/*===========================================================================*/
/*   (Ast/glo-def.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/glo-def.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t,
		BgL_typez00_bglt, BgL_typez00_bglt);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t
		BGl__defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t);
	static obj_t BGl__checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2defzd2();
	static obj_t BGl__defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl__defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_typez00zztype_typez00;
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	static BgL_globalz00_bglt
		BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
	static obj_t BGl__defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern bool_t BGl_dssslzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl__defza7d2globalza7d23594z00,
		BGl__defzd2globalzd2sfunz12z12zzast_glozd2defzd2, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunzd2nozd2warningz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl__defza7d2globalza7d23595z00,
		BGl__defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2methodzd2definitionzd2envzd2zzast_glozd2defzd2,
		BgL_bgl__checkza7d2methodza73596z00,
		BGl__checkzd2methodzd2definitionz00zzast_glozd2defzd2, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2svarz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl__defza7d2globalza7d23597z00,
		BGl__defzd2globalzd2svarz12z12zzast_glozd2defzd2, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3574z00zzast_glozd2defzd2,
		BgL_bgl_string3574za700za7za7a3598za7, "check-method-definition", 23);
	      DEFINE_STRING(BGl_string3575z00zzast_glozd2defzd2,
		BgL_bgl_string3575za700za7za7a3599za7, "unexpected generic arg", 22);
	      DEFINE_STRING(BGl_string3576z00zzast_glozd2defzd2,
		BgL_bgl_string3576za700za7za7a3600za7,
		"(incompatible DSSSL #!optional prototype)", 41);
	      DEFINE_STRING(BGl_string3577z00zzast_glozd2defzd2,
		BgL_bgl_string3577za700za7za7a3601za7,
		"(incompatible DSSSL #!key prototype)", 36);
	      DEFINE_STRING(BGl_string3578z00zzast_glozd2defzd2,
		BgL_bgl_string3578za700za7za7a3602za7, "(incompatible Dsssl prototype)",
		30);
	      DEFINE_STRING(BGl_string3580z00zzast_glozd2defzd2,
		BgL_bgl_string3580za700za7za7a3603za7, "(arity differs)", 15);
	      DEFINE_STRING(BGl_string3579z00zzast_glozd2defzd2,
		BgL_bgl_string3579za700za7za7a3604za7,
		"(incompatible function type result)", 35);
	      DEFINE_STRING(BGl_string3581z00zzast_glozd2defzd2,
		BgL_bgl_string3581za700za7za7a3605za7,
		"(declared as function of another class)", 39);
	      DEFINE_STRING(BGl_string3582z00zzast_glozd2defzd2,
		BgL_bgl_string3582za700za7za7a3606za7, "(not declared as function)", 26);
	      DEFINE_STRING(BGl_string3583z00zzast_glozd2defzd2,
		BgL_bgl_string3583za700za7za7a3607za7, "(incompatible formal type)", 26);
	      DEFINE_STRING(BGl_string3584z00zzast_glozd2defzd2,
		BgL_bgl_string3584za700za7za7a3608za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string3585z00zzast_glozd2defzd2,
		BgL_bgl_string3585za700za7za7a3609za7, "(incompatible variable type)", 28);
	      DEFINE_STRING(BGl_string3586z00zzast_glozd2defzd2,
		BgL_bgl_string3586za700za7za7a3610za7, "(not declared as a variable)", 28);
	      DEFINE_STRING(BGl_string3587z00zzast_glozd2defzd2,
		BgL_bgl_string3587za700za7za7a3611za7,
		"Prototype and definition don't match", 36);
	      DEFINE_STRING(BGl_string3588z00zzast_glozd2defzd2,
		BgL_bgl_string3588za700za7za7a3612za7, " ", 1);
	      DEFINE_STRING(BGl_string3590z00zzast_glozd2defzd2,
		BgL_bgl_string3590za700za7za7a3613za7, "ast_glo-def", 11);
	      DEFINE_STRING(BGl_string3589z00zzast_glozd2defzd2,
		BgL_bgl_string3589za700za7za7a3614za7, "(generic not found for method)",
		30);
	      DEFINE_STRING(BGl_string3591z00zzast_glozd2defzd2,
		BgL_bgl_string3591za700za7za7a3615za7,
		"bigloo now sgfun static export bdb ", 35);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2scnstz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl__defza7d2globalza7d23616z00,
		BGl__defzd2globalzd2scnstz12z12zzast_glozd2defzd2, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long
		BgL_checksumz00_1686, char *BgL_fromz00_1687)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2defzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
					BGl_cnstzd2initzd2zzast_glozd2defzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_glo-def");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 15 */
			{	/* Ast/glo-def.scm 15 */
				obj_t BgL_cportz00_1678;

				BgL_cportz00_1678 =
					bgl_open_input_string(BGl_string3591z00zzast_glozd2defzd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_1679;

					BgL_iz00_1679 = ((long) 5);
				BgL_loopz00_1680:
					if ((BgL_iz00_1679 == ((long) -1)))
						{	/* Ast/glo-def.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/glo-def.scm 15 */
							{	/* Ast/glo-def.scm 15 */
								obj_t BgL_arg3593z00_1682;

								{	/* Ast/glo-def.scm 15 */

									{	/* Ast/glo-def.scm 15 */
										obj_t BgL_locationz00_1684;

										BgL_locationz00_1684 = BBOOL(((bool_t) 0));
										{	/* Ast/glo-def.scm 15 */

											BgL_arg3593z00_1682 =
												BGl_readz00zz__readerz00(BgL_cportz00_1678,
												BgL_locationz00_1684);
										}
									}
								}
								{	/* Ast/glo-def.scm 15 */
									int BgL_auxz00_1705;

									BgL_auxz00_1705 = (int) (BgL_iz00_1679);
									CNST_TABLE_SET(BgL_auxz00_1705, BgL_arg3593z00_1682);
							}}
							{	/* Ast/glo-def.scm 15 */
								int BgL_auxz00_1685;

								BgL_auxz00_1685 = (int) ((BgL_iz00_1679 - ((long) 1)));
								{
									long BgL_iz00_1710;

									BgL_iz00_1710 = (long) (BgL_auxz00_1685);
									BgL_iz00_1679 = BgL_iz00_1710;
									goto BgL_loopz00_1680;
								}
							}
						}
				}
			}
		}
	}



/* def-global-sfun-no-warning! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t
		BgL_idz00_1, obj_t BgL_argsz00_2, obj_t BgL_locz00_3, obj_t BgL_modz00_4,
		obj_t BgL_classz00_5, obj_t BgL_srczd2expzd2_6, obj_t BgL_remz00_7,
		obj_t BgL_nodez00_8)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 67 */
			{	/* Ast/glo-def.scm 68 */
				int BgL_warningz00_1486;

				BgL_warningz00_1486 = BGl_bigloozd2warningzd2zz__paramz00();
				BGl_bigloozd2warningzd2setz12z12zz__paramz00((int) (((long) 0)));
				{	/* Ast/glo-def.scm 68 */
					BgL_globalz00_bglt BgL_funz00_1487;

					BgL_funz00_1487 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_1,
						BgL_argsz00_2, BgL_locz00_3, BgL_modz00_4, BgL_classz00_5,
						BgL_srczd2expzd2_6, BgL_remz00_7, BgL_nodez00_8);
					BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_warningz00_1486);
					return BgL_funz00_1487;
				}
			}
		}
	}



/* _def-global-sfun-no-warning! */
	obj_t BGl__defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t
		BgL_envz00_1644, obj_t BgL_idz00_1645, obj_t BgL_argsz00_1646,
		obj_t BgL_locz00_1647, obj_t BgL_modz00_1648, obj_t BgL_classz00_1649,
		obj_t BgL_srczd2expzd2_1650, obj_t BgL_remz00_1651, obj_t BgL_nodez00_1652)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 67 */
			{	/* Ast/glo-def.scm 68 */
				BgL_globalz00_bglt BgL_auxz00_1717;

				BgL_auxz00_1717 =
					BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
					(BgL_idz00_1645, BgL_argsz00_1646, BgL_locz00_1647, BgL_modz00_1648,
					BgL_classz00_1649, BgL_srczd2expzd2_1650, BgL_remz00_1651,
					BgL_nodez00_1652);
				return (obj_t) (BgL_auxz00_1717);
			}
		}
	}



/* def-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_idz00_9,
		obj_t BgL_argsz00_10, obj_t BgL_localsz00_11, obj_t BgL_modulez00_12,
		obj_t BgL_classz00_13, obj_t BgL_srczd2expzd2_14, obj_t BgL_remz00_15,
		obj_t BgL_nodez00_16)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 80 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_9);
			{	/* Ast/glo-def.scm 86 */
				obj_t BgL_locz00_882;

				BgL_locz00_882 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_14);
				{	/* Ast/glo-def.scm 86 */
					obj_t BgL_idze2typeze2_883;

					BgL_idze2typeze2_883 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9, BgL_locz00_882);
					{	/* Ast/glo-def.scm 87 */
						obj_t BgL_typezd2reszd2_884;

						BgL_typezd2reszd2_884 = CDR(BgL_idze2typeze2_883);
						{	/* Ast/glo-def.scm 88 */
							obj_t BgL_idz00_885;

							BgL_idz00_885 = CAR(BgL_idze2typeze2_883);
							{	/* Ast/glo-def.scm 89 */
								obj_t BgL_importz00_886;

								{	/* Ast/glo-def.scm 90 */
									bool_t BgL_testz00_1725;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3)))
										{	/* Ast/glo-def.scm 91 */
											obj_t BgL_arg3410z00_930;
											obj_t BgL_arg3411z00_931;

											BgL_arg3410z00_930 = CNST_TABLE_REF(((long) 0));
											{	/* Ast/glo-def.scm 91 */
												obj_t BgL_arg3412z00_932;

												BgL_arg3412z00_932 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Ast/glo-def.scm 91 */
													BgL_backendz00_bglt BgL_obj1440z00_1492;

													BgL_obj1440z00_1492 =
														(BgL_backendz00_bglt) (BgL_arg3412z00_932);
													BgL_arg3411z00_931 =
														(((BgL_backendz00_bglt) CREF(BgL_obj1440z00_1492))->
														BgL_debugzd2supportzd2);
											}}
											BgL_testz00_1725 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg3410z00_930, BgL_arg3411z00_931));
										}
									else
										{	/* Ast/glo-def.scm 90 */
											BgL_testz00_1725 = ((bool_t) 0);
										}
									if (BgL_testz00_1725)
										{	/* Ast/glo-def.scm 90 */
											BgL_importz00_886 = CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* Ast/glo-def.scm 90 */
											BgL_importz00_886 = CNST_TABLE_REF(((long) 2));
								}}
								{	/* Ast/glo-def.scm 90 */
									obj_t BgL_oldzd2globalzd2_887;

									BgL_oldzd2globalzd2_887 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_885,
										BgL_modulez00_12);
									{	/* Ast/glo-def.scm 94 */
										BgL_globalz00_bglt BgL_globalz00_888;

										if (BGl_iszd2azf3z21zz__objectz00(BgL_oldzd2globalzd2_887,
												BGl_globalz00zzast_varz00))
											{	/* Ast/glo-def.scm 96 */
												BgL_globalz00_888 =
													BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2
													(BgL_oldzd2globalzd2_887, BgL_typezd2reszd2_884,
													BgL_argsz00_10, BgL_localsz00_11, BgL_classz00_13,
													BgL_srczd2expzd2_14);
											}
										else
											{	/* Ast/glo-def.scm 96 */
												BgL_globalz00_888 =
													BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
													(BgL_idz00_885, BgL_argsz00_10, BgL_modulez00_12,
													BgL_importz00_886, BgL_classz00_13,
													BgL_srczd2expzd2_14, BFALSE);
											}
										{	/* Ast/glo-def.scm 95 */
											obj_t BgL_defzd2loczd2_889;

											BgL_defzd2loczd2_889 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_14);
											{	/* Ast/glo-def.scm 111 */

												{	/* Ast/glo-def.scm 112 */
													bool_t BgL_testz00_1743;

													{	/* Ast/glo-def.scm 112 */
														BgL_valuez00_bglt BgL_arg3406z00_926;

														{	/* Ast/glo-def.scm 112 */
															BgL_variablez00_bglt BgL_obj1470z00_1494;

															BgL_obj1470z00_1494 =
																(BgL_variablez00_bglt) (BgL_globalz00_888);
															BgL_arg3406z00_926 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1470z00_1494))->BgL_valuez00);
														}
														{	/* Ast/glo-def.scm 112 */
															obj_t BgL_obj1813z00_1495;

															BgL_obj1813z00_1495 =
																(obj_t) (BgL_arg3406z00_926);
															BgL_testz00_1743 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1813z00_1495, BGl_sfunz00zzast_varz00);
														}
													}
													if (BgL_testz00_1743)
														{	/* Ast/glo-def.scm 112 */
															{	/* Ast/glo-def.scm 119 */
																BgL_variablez00_bglt BgL_varz00_1496;
																BgL_typez00_bglt BgL_newzd2typezd2_1497;

																BgL_varz00_1496 =
																	(BgL_variablez00_bglt) (BgL_globalz00_888);
																BgL_newzd2typezd2_1497 =
																	(BgL_typez00_bglt) (BgL_typezd2reszd2_884);
																{	/* Ast/glo-def.scm 119 */
																	BgL_typez00_bglt BgL_oldzd2typezd2_1498;

																	BgL_oldzd2typezd2_1498 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_varz00_1496))->BgL_typez00);
																	if (((obj_t) (BgL_oldzd2typezd2_1498) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Ast/glo-def.scm 119 */
																			((((BgL_variablez00_bglt)
																						CREF(BgL_varz00_1496))->
																					BgL_typez00) =
																				((BgL_typez00_bglt)
																					BgL_newzd2typezd2_1497), BUNSPEC);
																		}
																	else
																		{	/* Ast/glo-def.scm 119 */
																			BFALSE;
																		}
																}
															}
															{	/* Ast/glo-def.scm 121 */
																bool_t BgL_testz00_1755;

																{	/* Ast/glo-def.scm 121 */
																	long BgL_auxz00_1756;

																	{	/* Ast/glo-def.scm 122 */
																		obj_t BgL_auxz00_1758;

																		{	/* Ast/glo-def.scm 122 */
																			BgL_sfunz00_bglt BgL_obj1737z00_1504;

																			{	/* Ast/glo-def.scm 122 */
																				BgL_variablez00_bglt
																					BgL_obj1470z00_1503;
																				BgL_obj1470z00_1503 =
																					(BgL_variablez00_bglt)
																					(BgL_globalz00_888);
																				{	/* Ast/glo-def.scm 122 */
																					BgL_valuez00_bglt BgL_auxz00_1760;

																					BgL_auxz00_1760 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1470z00_1503))->
																						BgL_valuez00);
																					BgL_obj1737z00_1504 =
																						(BgL_sfunz00_bglt)
																						(BgL_auxz00_1760);
																			}}
																			BgL_auxz00_1758 =
																				(((BgL_sfunz00_bglt)
																					CREF(BgL_obj1737z00_1504))->
																				BgL_argsz00);
																		}
																		BgL_auxz00_1756 =
																			bgl_list_length(BgL_auxz00_1758);
																	}
																	BgL_testz00_1755 =
																		(bgl_list_length(BgL_localsz00_11) ==
																		BgL_auxz00_1756);
																}
																if (BgL_testz00_1755)
																	{	/* Ast/glo-def.scm 123 */
																		obj_t BgL_typesz00_892;

																		{	/* Ast/glo-def.scm 123 */
																			obj_t BgL_l3359z00_901;

																			{	/* Ast/glo-def.scm 134 */
																				BgL_sfunz00_bglt BgL_obj1737z00_1508;

																				{	/* Ast/glo-def.scm 134 */
																					BgL_variablez00_bglt
																						BgL_obj1470z00_1507;
																					BgL_obj1470z00_1507 =
																						(BgL_variablez00_bglt)
																						(BgL_globalz00_888);
																					{	/* Ast/glo-def.scm 134 */
																						BgL_valuez00_bglt BgL_auxz00_1767;

																						BgL_auxz00_1767 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1470z00_1507))->
																							BgL_valuez00);
																						BgL_obj1737z00_1508 =
																							(BgL_sfunz00_bglt)
																							(BgL_auxz00_1767);
																					}
																				}
																				BgL_l3359z00_901 =
																					(((BgL_sfunz00_bglt)
																						CREF(BgL_obj1737z00_1508))->
																					BgL_argsz00);
																			}
																			if (NULLP(BgL_l3359z00_901))
																				{	/* Ast/glo-def.scm 123 */
																					BgL_typesz00_892 = BNIL;
																				}
																			else
																				{	/* Ast/glo-def.scm 123 */
																					obj_t BgL_head3361z00_903;

																					BgL_head3361z00_903 =
																						MAKE_PAIR(BNIL, BNIL);
																					{
																						obj_t BgL_l3359z00_904;
																						obj_t BgL_tail3362z00_905;

																						BgL_l3359z00_904 = BgL_l3359z00_901;
																						BgL_tail3362z00_905 =
																							BgL_head3361z00_903;
																					BgL_map3360z00_906:
																						if (NULLP(BgL_l3359z00_904))
																							{	/* Ast/glo-def.scm 123 */
																								BgL_typesz00_892 =
																									CDR(BgL_head3361z00_903);
																							}
																						else
																							{	/* Ast/glo-def.scm 123 */
																								obj_t BgL_newtail3363z00_908;

																								{	/* Ast/glo-def.scm 123 */
																									obj_t BgL_arg3390z00_910;

																									{	/* Ast/glo-def.scm 123 */
																										obj_t BgL_az00_912;

																										BgL_az00_912 =
																											CAR(BgL_l3359z00_904);
																										if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_912, BGl_localz00zzast_varz00))
																											{	/* Ast/glo-def.scm 126 */
																												BgL_variablez00_bglt
																													BgL_obj1467z00_1516;
																												BgL_obj1467z00_1516 =
																													(BgL_variablez00_bglt)
																													(BgL_az00_912);
																												{	/* Ast/glo-def.scm 126 */
																													BgL_typez00_bglt
																														BgL_auxz00_1781;
																													BgL_auxz00_1781 =
																														(((BgL_variablez00_bglt) CREF(BgL_obj1467z00_1516))->BgL_typez00);
																													BgL_arg3390z00_910 =
																														(obj_t)
																														(BgL_auxz00_1781);
																												}
																											}
																										else
																											{	/* Ast/glo-def.scm 125 */
																												if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_912, BGl_typez00zztype_typez00))
																													{	/* Ast/glo-def.scm 127 */
																														BgL_arg3390z00_910 =
																															BgL_az00_912;
																													}
																												else
																													{	/* Ast/glo-def.scm 127 */
																														BgL_arg3390z00_910 =
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string3574z00zzast_glozd2defzd2,
																															BGl_string3575z00zzast_glozd2defzd2,
																															BGl_shapez00zztools_shapez00
																															(BgL_az00_912));
																													}
																											}
																									}
																									BgL_newtail3363z00_908 =
																										MAKE_PAIR
																										(BgL_arg3390z00_910, BNIL);
																								}
																								SET_CDR(BgL_tail3362z00_905,
																									BgL_newtail3363z00_908);
																								{
																									obj_t BgL_tail3362z00_1792;
																									obj_t BgL_l3359z00_1790;

																									BgL_l3359z00_1790 =
																										CDR(BgL_l3359z00_904);
																									BgL_tail3362z00_1792 =
																										BgL_newtail3363z00_908;
																									BgL_tail3362z00_905 =
																										BgL_tail3362z00_1792;
																									BgL_l3359z00_904 =
																										BgL_l3359z00_1790;
																									goto BgL_map3360z00_906;
																								}
																							}
																					}
																				}
																		}
																		{
																			obj_t BgL_ll3364z00_893;
																			obj_t BgL_ll3365z00_894;

																			BgL_ll3364z00_893 = BgL_localsz00_11;
																			BgL_ll3365z00_894 = BgL_typesz00_892;
																		BgL_forzd2each3367zd2_895:
																			if (NULLP(BgL_ll3364z00_893))
																				{	/* Ast/glo-def.scm 135 */
																					((bool_t) 1);
																				}
																			else
																				{	/* Ast/glo-def.scm 135 */
																					{	/* Ast/glo-def.scm 135 */
																						obj_t BgL_arg3382z00_897;
																						obj_t BgL_arg3383z00_898;

																						BgL_arg3382z00_897 =
																							CAR(BgL_ll3364z00_893);
																						BgL_arg3383z00_898 =
																							CAR(BgL_ll3365z00_894);
																						{	/* Ast/glo-def.scm 135 */
																							BgL_variablez00_bglt
																								BgL_varz00_1526;
																							BgL_typez00_bglt
																								BgL_newzd2typezd2_1527;
																							BgL_varz00_1526 =
																								(BgL_variablez00_bglt)
																								(BgL_arg3382z00_897);
																							BgL_newzd2typezd2_1527 =
																								(BgL_typez00_bglt)
																								(BgL_arg3383z00_898);
																							{	/* Ast/glo-def.scm 135 */
																								BgL_typez00_bglt
																									BgL_oldzd2typezd2_1528;
																								BgL_oldzd2typezd2_1528 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_varz00_1526))->
																									BgL_typez00);
																								if (((obj_t)
																										(BgL_oldzd2typezd2_1528) ==
																										BGl_za2_za2z00zztype_cachez00))
																									{	/* Ast/glo-def.scm 135 */
																										((((BgL_variablez00_bglt)
																													CREF
																													(BgL_varz00_1526))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_newzd2typezd2_1527),
																											BUNSPEC);
																									}
																								else
																									{	/* Ast/glo-def.scm 135 */
																										BFALSE;
																									}
																							}
																						}
																					}
																					{
																						obj_t BgL_ll3365z00_1806;
																						obj_t BgL_ll3364z00_1804;

																						BgL_ll3364z00_1804 =
																							CDR(BgL_ll3364z00_893);
																						BgL_ll3365z00_1806 =
																							CDR(BgL_ll3365z00_894);
																						BgL_ll3365z00_894 =
																							BgL_ll3365z00_1806;
																						BgL_ll3364z00_893 =
																							BgL_ll3364z00_1804;
																						goto BgL_forzd2each3367zd2_895;
																					}
																				}
																		}
																	}
																else
																	{	/* Ast/glo-def.scm 121 */
																		((bool_t) 0);
																	}
															}
															BGl_removezd2varzd2fromz12z12zzast_removez00
																(BgL_remz00_15,
																(BgL_variablez00_bglt) (BgL_globalz00_888));
															{	/* Ast/glo-def.scm 139 */
																BgL_valuez00_bglt BgL_arg3403z00_923;

																{	/* Ast/glo-def.scm 139 */
																	BgL_variablez00_bglt BgL_obj1470z00_1535;

																	BgL_obj1470z00_1535 =
																		(BgL_variablez00_bglt) (BgL_globalz00_888);
																	BgL_arg3403z00_923 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1470z00_1535))->BgL_valuez00);
																}
																{	/* Ast/glo-def.scm 139 */
																	BgL_sfunz00_bglt BgL_obj1744z00_1536;
																	obj_t BgL_val1742z00_1537;

																	BgL_obj1744z00_1536 =
																		(BgL_sfunz00_bglt) (BgL_arg3403z00_923);
																	BgL_val1742z00_1537 = BgL_nodez00_16;
																	((((BgL_sfunz00_bglt)
																				CREF(BgL_obj1744z00_1536))->
																			BgL_bodyz00) =
																		((obj_t) BgL_val1742z00_1537), BUNSPEC);
																}
															}
															{	/* Ast/glo-def.scm 141 */
																BgL_valuez00_bglt BgL_arg3404z00_924;

																{	/* Ast/glo-def.scm 141 */
																	BgL_variablez00_bglt BgL_obj1470z00_1538;

																	BgL_obj1470z00_1538 =
																		(BgL_variablez00_bglt) (BgL_globalz00_888);
																	BgL_arg3404z00_924 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1470z00_1538))->BgL_valuez00);
																}
																{	/* Ast/glo-def.scm 141 */
																	BgL_sfunz00_bglt BgL_obj1739z00_1539;
																	obj_t BgL_val1738z00_1540;

																	BgL_obj1739z00_1539 =
																		(BgL_sfunz00_bglt) (BgL_arg3404z00_924);
																	BgL_val1738z00_1540 = BgL_localsz00_11;
																	((((BgL_sfunz00_bglt)
																				CREF(BgL_obj1739z00_1539))->
																			BgL_argsz00) =
																		((obj_t) BgL_val1738z00_1540), BUNSPEC);
																}
															}
															{	/* Ast/glo-def.scm 143 */
																BgL_valuez00_bglt BgL_arg3405z00_925;

																{	/* Ast/glo-def.scm 143 */
																	BgL_variablez00_bglt BgL_obj1470z00_1541;

																	BgL_obj1470z00_1541 =
																		(BgL_variablez00_bglt) (BgL_globalz00_888);
																	BgL_arg3405z00_925 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1470z00_1541))->BgL_valuez00);
																}
																{	/* Ast/glo-def.scm 143 */
																	BgL_sfunz00_bglt BgL_obj1753z00_1542;
																	obj_t BgL_val1752z00_1543;

																	BgL_obj1753z00_1542 =
																		(BgL_sfunz00_bglt) (BgL_arg3405z00_925);
																	BgL_val1752z00_1543 = BgL_defzd2loczd2_889;
																	((((BgL_sfunz00_bglt)
																				CREF(BgL_obj1753z00_1542))->
																			BgL_locz00) =
																		((obj_t) BgL_val1752z00_1543), BUNSPEC);
																}
															}
															BGl_leavezd2functionzd2zztools_errorz00();
														}
													else
														{	/* Ast/glo-def.scm 112 */
															BFALSE;
														}
												}
												return BgL_globalz00_888;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _def-global-sfun! */
	obj_t BGl__defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_envz00_1653,
		obj_t BgL_idz00_1654, obj_t BgL_argsz00_1655, obj_t BgL_localsz00_1656,
		obj_t BgL_modulez00_1657, obj_t BgL_classz00_1658,
		obj_t BgL_srczd2expzd2_1659, obj_t BgL_remz00_1660, obj_t BgL_nodez00_1661)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 80 */
			{	/* Ast/glo-def.scm 146 */
				BgL_globalz00_bglt BgL_auxz00_1823;

				BgL_auxz00_1823 =
					BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_1654,
					BgL_argsz00_1655, BgL_localsz00_1656, BgL_modulez00_1657,
					BgL_classz00_1658, BgL_srczd2expzd2_1659, BgL_remz00_1660,
					BgL_nodez00_1661);
				return (obj_t) (BgL_auxz00_1823);
			}
		}
	}



/* check-sfun-definition */
	BgL_globalz00_bglt BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_oldz00_17, obj_t BgL_typezd2reszd2_18, obj_t BgL_argsz00_19,
		obj_t BgL_localsz00_20, obj_t BgL_classz00_21, obj_t BgL_srczd2expzd2_22)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 151 */
			{	/* Ast/glo-def.scm 154 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_933;

				{	/* Ast/glo-def.scm 154 */
					BgL_variablez00_bglt BgL_obj1470z00_1544;

					BgL_obj1470z00_1544 = (BgL_variablez00_bglt) (BgL_oldz00_17);
					BgL_oldzd2valuezd2_933 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1470z00_1544))->BgL_valuez00);
				}
				{	/* Ast/glo-def.scm 156 */
					bool_t BgL_testz00_1828;

					{	/* Ast/glo-def.scm 156 */
						obj_t BgL_obj1813z00_1545;

						BgL_obj1813z00_1545 = (obj_t) (BgL_oldzd2valuezd2_933);
						BgL_testz00_1828 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1813z00_1545,
							BGl_sfunz00zzast_varz00);
					}
					if (BgL_testz00_1828)
						{	/* Ast/glo-def.scm 158 */
							bool_t BgL_testz00_1831;

							{	/* Ast/glo-def.scm 158 */
								obj_t BgL_auxz00_1832;

								{	/* Ast/glo-def.scm 158 */
									BgL_sfunz00_bglt BgL_obj1745z00_1546;

									BgL_obj1745z00_1546 =
										(BgL_sfunz00_bglt) (BgL_oldzd2valuezd2_933);
									BgL_auxz00_1832 =
										(((BgL_sfunz00_bglt) CREF(BgL_obj1745z00_1546))->
										BgL_classz00);
								}
								BgL_testz00_1831 = (BgL_auxz00_1832 == BgL_classz00_21);
							}
							if (BgL_testz00_1831)
								{	/* Ast/glo-def.scm 160 */
									bool_t BgL_testz00_1836;

									{	/* Ast/glo-def.scm 160 */
										long BgL_arg3436z00_957;
										long BgL_arg3437z00_958;

										{	/* Ast/glo-def.scm 160 */
											BgL_funz00_bglt BgL_obj1671z00_1547;

											BgL_obj1671z00_1547 =
												(BgL_funz00_bglt) (BgL_oldzd2valuezd2_933);
											BgL_arg3436z00_957 =
												(((BgL_funz00_bglt) CREF(BgL_obj1671z00_1547))->
												BgL_arityz00);
										}
										BgL_arg3437z00_958 =
											BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_19);
										BgL_testz00_1836 =
											(BgL_arg3436z00_957 == BgL_arg3437z00_958);
									}
									if (BgL_testz00_1836)
										{	/* Ast/glo-def.scm 162 */
											bool_t BgL_testz00_1841;

											{	/* Ast/glo-def.scm 162 */
												bool_t BgL_arg3433z00_954;
												BgL_typez00_bglt BgL_arg3434z00_955;

												BgL_arg3433z00_954 =
													(CNST_TABLE_REF(((long) 3)) == BgL_classz00_21);
												{	/* Ast/glo-def.scm 164 */
													BgL_variablez00_bglt BgL_obj1467z00_1550;

													BgL_obj1467z00_1550 =
														(BgL_variablez00_bglt) (BgL_oldz00_17);
													BgL_arg3434z00_955 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1467z00_1550))->BgL_typez00);
												}
												BgL_testz00_1841 =
													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
													(BgL_arg3433z00_954,
													(BgL_typez00_bglt) (BgL_typezd2reszd2_18),
													BgL_arg3434z00_955);
											}
											if (BgL_testz00_1841)
												{	/* Ast/glo-def.scm 162 */
													if (BGl_dssslzd2prototypezf3z21zztools_dssslz00
														(BgL_argsz00_19))
														{	/* Ast/glo-def.scm 168 */
															if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_19))
																{	/* Ast/glo-def.scm 171 */
																	bool_t BgL_testz00_1852;

																	{	/* Ast/glo-def.scm 171 */
																		obj_t BgL_arg3421z00_942;
																		obj_t BgL_arg3422z00_943;

																		BgL_arg3421z00_942 =
																			BGl_dssslzd2optionalszd2zztools_dssslz00
																			(BgL_argsz00_19);
																		{	/* Ast/glo-def.scm 171 */
																			BgL_sfunz00_bglt BgL_obj1754z00_1551;

																			BgL_obj1754z00_1551 =
																				(BgL_sfunz00_bglt)
																				(BgL_oldzd2valuezd2_933);
																			BgL_arg3422z00_943 =
																				(((BgL_sfunz00_bglt)
																					CREF(BgL_obj1754z00_1551))->
																				BgL_optionalsz00);
																		}
																		BgL_testz00_1852 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_arg3421z00_942, BgL_arg3422z00_943);
																	}
																	if (BgL_testz00_1852)
																		{	/* Ast/glo-def.scm 171 */
																			BgL_oldz00_17;
																		}
																	else
																		{	/* Ast/glo-def.scm 173 */
																			obj_t BgL_list3420z00_941;

																			BgL_list3420z00_941 =
																				MAKE_PAIR
																				(BGl_string3576z00zzast_glozd2defzd2,
																				BNIL);
																			{	/* Ast/glo-def.scm 173 */
																				BgL_globalz00_bglt BgL_auxz00_1858;

																				BgL_auxz00_1858 =
																					BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					((BgL_globalz00_bglt) (BgL_oldz00_17),
																					BgL_srczd2expzd2_22,
																					BgL_list3420z00_941);
																				(obj_t) (BgL_auxz00_1858);
																			}
																		}
																}
															else
																{	/* Ast/glo-def.scm 170 */
																	if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_19))
																		{	/* Ast/glo-def.scm 177 */
																			bool_t BgL_testz00_1864;

																			{	/* Ast/glo-def.scm 177 */
																				obj_t BgL_arg3426z00_947;
																				obj_t BgL_arg3427z00_948;

																				BgL_arg3426z00_947 =
																					BGl_dssslzd2keyszd2zztools_dssslz00
																					(BgL_argsz00_19);
																				{	/* Ast/glo-def.scm 177 */
																					BgL_sfunz00_bglt BgL_obj1755z00_1552;

																					BgL_obj1755z00_1552 =
																						(BgL_sfunz00_bglt)
																						(BgL_oldzd2valuezd2_933);
																					BgL_arg3427z00_948 =
																						(((BgL_sfunz00_bglt)
																							CREF(BgL_obj1755z00_1552))->
																						BgL_keysz00);
																				}
																				BgL_testz00_1864 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg3426z00_947,
																					BgL_arg3427z00_948);
																			}
																			if (BgL_testz00_1864)
																				{	/* Ast/glo-def.scm 177 */
																					BgL_oldz00_17;
																				}
																			else
																				{	/* Ast/glo-def.scm 179 */
																					obj_t BgL_list3425z00_946;

																					BgL_list3425z00_946 =
																						MAKE_PAIR
																						(BGl_string3577z00zzast_glozd2defzd2,
																						BNIL);
																					{	/* Ast/glo-def.scm 179 */
																						BgL_globalz00_bglt BgL_auxz00_1870;

																						BgL_auxz00_1870 =
																							BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																							((BgL_globalz00_bglt)
																							(BgL_oldz00_17),
																							BgL_srczd2expzd2_22,
																							BgL_list3425z00_946);
																						(obj_t) (BgL_auxz00_1870);
																					}
																				}
																		}
																	else
																		{	/* Ast/glo-def.scm 182 */
																			bool_t BgL_testz00_1874;

																			{	/* Ast/glo-def.scm 182 */
																				obj_t BgL_arg3430z00_951;
																				obj_t BgL_arg3431z00_952;

																				{	/* Ast/glo-def.scm 182 */
																					BgL_sfunz00_bglt BgL_obj1748z00_1553;

																					BgL_obj1748z00_1553 =
																						(BgL_sfunz00_bglt)
																						(BgL_oldzd2valuezd2_933);
																					BgL_arg3430z00_951 =
																						(((BgL_sfunz00_bglt)
																							CREF(BgL_obj1748z00_1553))->
																						BgL_dssslzd2keywordszd2);
																				}
																				BgL_arg3431z00_952 =
																					BGl_dssslzd2formalszd2zztools_dssslz00
																					(BgL_argsz00_19);
																				BgL_testz00_1874 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg3430z00_951,
																					BgL_arg3431z00_952);
																			}
																			if (BgL_testz00_1874)
																				{	/* Ast/glo-def.scm 182 */
																					BFALSE;
																				}
																			else
																				{	/* Ast/glo-def.scm 184 */
																					obj_t BgL_list3429z00_950;

																					BgL_list3429z00_950 =
																						MAKE_PAIR
																						(BGl_string3578z00zzast_glozd2defzd2,
																						BNIL);
																					{	/* Ast/glo-def.scm 184 */
																						BgL_globalz00_bglt BgL_auxz00_1880;

																						BgL_auxz00_1880 =
																							BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																							((BgL_globalz00_bglt)
																							(BgL_oldz00_17),
																							BgL_srczd2expzd2_22,
																							BgL_list3429z00_950);
																						(obj_t) (BgL_auxz00_1880);
																					}
																				}
																		}
																}
														}
													else
														{	/* Ast/glo-def.scm 168 */
															BFALSE;
														}
												}
											else
												{	/* Ast/glo-def.scm 165 */
													obj_t BgL_list3432z00_953;

													BgL_list3432z00_953 =
														MAKE_PAIR(BGl_string3579z00zzast_glozd2defzd2,
														BNIL);
													{	/* Ast/glo-def.scm 165 */
														BgL_globalz00_bglt BgL_auxz00_1885;

														BgL_auxz00_1885 =
															BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
															(BgL_globalz00_bglt) (BgL_oldz00_17),
															BgL_srczd2expzd2_22, BgL_list3432z00_953);
														(obj_t) (BgL_auxz00_1885);
													}
												}
										}
									else
										{	/* Ast/glo-def.scm 161 */
											obj_t BgL_list3435z00_956;

											BgL_list3435z00_956 =
												MAKE_PAIR(BGl_string3580z00zzast_glozd2defzd2, BNIL);
											{	/* Ast/glo-def.scm 161 */
												BgL_globalz00_bglt BgL_auxz00_1890;

												BgL_auxz00_1890 =
													BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
													(BgL_globalz00_bglt) (BgL_oldz00_17),
													BgL_srczd2expzd2_22, BgL_list3435z00_956);
												(obj_t) (BgL_auxz00_1890);
											}
										}
								}
							else
								{	/* Ast/glo-def.scm 159 */
									obj_t BgL_list3438z00_959;

									BgL_list3438z00_959 =
										MAKE_PAIR(BGl_string3581z00zzast_glozd2defzd2, BNIL);
									{	/* Ast/glo-def.scm 159 */
										BgL_globalz00_bglt BgL_auxz00_1895;

										BgL_auxz00_1895 =
											BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
											(BgL_globalz00_bglt) (BgL_oldz00_17), BgL_srczd2expzd2_22,
											BgL_list3438z00_959);
										(obj_t) (BgL_auxz00_1895);
									}
								}
						}
					else
						{	/* Ast/glo-def.scm 157 */
							obj_t BgL_list3440z00_961;

							BgL_list3440z00_961 =
								MAKE_PAIR(BGl_string3582z00zzast_glozd2defzd2, BNIL);
							{	/* Ast/glo-def.scm 157 */
								BgL_globalz00_bglt BgL_auxz00_1900;

								BgL_auxz00_1900 =
									BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
									(BgL_globalz00_bglt) (BgL_oldz00_17), BgL_srczd2expzd2_22,
									BgL_list3440z00_961);
								(obj_t) (BgL_auxz00_1900);
							}
						}
				}
				{	/* Ast/glo-def.scm 185 */
					obj_t BgL_g3351z00_962;

					{	/* Ast/glo-def.scm 186 */
						obj_t BgL_l3368z00_976;

						{	/* Ast/glo-def.scm 196 */
							BgL_sfunz00_bglt BgL_obj1737z00_1554;

							BgL_obj1737z00_1554 = (BgL_sfunz00_bglt) (BgL_oldzd2valuezd2_933);
							BgL_l3368z00_976 =
								(((BgL_sfunz00_bglt) CREF(BgL_obj1737z00_1554))->BgL_argsz00);
						}
						if (NULLP(BgL_l3368z00_976))
							{	/* Ast/glo-def.scm 186 */
								BgL_g3351z00_962 = BNIL;
							}
						else
							{	/* Ast/glo-def.scm 186 */
								obj_t BgL_head3370z00_978;

								BgL_head3370z00_978 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3368z00_979;
									obj_t BgL_tail3371z00_980;

									BgL_l3368z00_979 = BgL_l3368z00_976;
									BgL_tail3371z00_980 = BgL_head3370z00_978;
								BgL_map3369z00_981:
									if (NULLP(BgL_l3368z00_979))
										{	/* Ast/glo-def.scm 186 */
											BgL_g3351z00_962 = CDR(BgL_head3370z00_978);
										}
									else
										{	/* Ast/glo-def.scm 186 */
											obj_t BgL_newtail3372z00_983;

											{	/* Ast/glo-def.scm 186 */
												obj_t BgL_arg3454z00_985;

												{	/* Ast/glo-def.scm 186 */
													obj_t BgL_az00_987;

													BgL_az00_987 = CAR(BgL_l3368z00_979);
													if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_987,
															BGl_localz00zzast_varz00))
														{	/* Ast/glo-def.scm 189 */
															BgL_variablez00_bglt BgL_obj1467z00_1562;

															BgL_obj1467z00_1562 =
																(BgL_variablez00_bglt) (BgL_az00_987);
															{	/* Ast/glo-def.scm 189 */
																BgL_typez00_bglt BgL_auxz00_1916;

																BgL_auxz00_1916 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1467z00_1562))->BgL_typez00);
																BgL_arg3454z00_985 = (obj_t) (BgL_auxz00_1916);
															}
														}
													else
														{	/* Ast/glo-def.scm 188 */
															if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_987,
																	BGl_typez00zztype_typez00))
																{	/* Ast/glo-def.scm 190 */
																	BgL_arg3454z00_985 = BgL_az00_987;
																}
															else
																{	/* Ast/glo-def.scm 190 */
																	BgL_arg3454z00_985 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string3574z00zzast_glozd2defzd2,
																		BGl_string3575z00zzast_glozd2defzd2,
																		BGl_shapez00zztools_shapez00(BgL_az00_987));
																}
														}
												}
												BgL_newtail3372z00_983 =
													MAKE_PAIR(BgL_arg3454z00_985, BNIL);
											}
											SET_CDR(BgL_tail3371z00_980, BgL_newtail3372z00_983);
											{
												obj_t BgL_tail3371z00_1927;
												obj_t BgL_l3368z00_1925;

												BgL_l3368z00_1925 = CDR(BgL_l3368z00_979);
												BgL_tail3371z00_1927 = BgL_newtail3372z00_983;
												BgL_tail3371z00_980 = BgL_tail3371z00_1927;
												BgL_l3368z00_979 = BgL_l3368z00_1925;
												goto BgL_map3369z00_981;
											}
										}
								}
							}
					}
					{
						obj_t BgL_localsz00_963;
						obj_t BgL_typesz00_964;

						{	/* Ast/glo-def.scm 185 */
							obj_t BgL_auxz00_1928;

							BgL_localsz00_963 = BgL_localsz00_20;
							BgL_typesz00_964 = BgL_g3351z00_962;
						BgL_loopz00_965:
							if (NULLP(BgL_localsz00_963))
								{	/* Ast/glo-def.scm 198 */
									{	/* Ast/glo-def.scm 201 */
										BgL_globalz00_bglt BgL_obj1555z00_1570;
										obj_t BgL_val1554z00_1571;

										BgL_obj1555z00_1570 = (BgL_globalz00_bglt) (BgL_oldz00_17);
										BgL_val1554z00_1571 = BgL_srczd2expzd2_22;
										((((BgL_globalz00_bglt) CREF(BgL_obj1555z00_1570))->
												BgL_srcz00) = ((obj_t) BgL_val1554z00_1571), BUNSPEC);
									}
									BgL_auxz00_1928 = BgL_oldz00_17;
								}
							else
								{	/* Ast/glo-def.scm 203 */
									bool_t BgL_testz00_1933;

									if (NULLP(BgL_typesz00_964))
										{	/* Ast/glo-def.scm 203 */
											BgL_testz00_1933 = ((bool_t) 1);
										}
									else
										{	/* Ast/glo-def.scm 204 */
											bool_t BgL_testz00_1936;

											{	/* Ast/glo-def.scm 205 */
												BgL_typez00_bglt BgL_arg3448z00_973;
												obj_t BgL_arg3449z00_974;

												{	/* Ast/glo-def.scm 205 */
													BgL_variablez00_bglt BgL_obj1467z00_1574;

													{	/* Ast/glo-def.scm 205 */
														obj_t BgL_pairz00_1573;

														BgL_pairz00_1573 = BgL_localsz00_963;
														{	/* Ast/glo-def.scm 205 */
															obj_t BgL_auxz00_1937;

															BgL_auxz00_1937 = CAR(BgL_pairz00_1573);
															BgL_obj1467z00_1574 =
																(BgL_variablez00_bglt) (BgL_auxz00_1937);
														}
													}
													BgL_arg3448z00_973 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1467z00_1574))->BgL_typez00);
												}
												BgL_arg3449z00_974 = CAR(BgL_typesz00_964);
												BgL_testz00_1936 =
													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2((
														(bool_t) 0), BgL_arg3448z00_973,
													(BgL_typez00_bglt) (BgL_arg3449z00_974));
											}
											if (BgL_testz00_1936)
												{	/* Ast/glo-def.scm 204 */
													BgL_testz00_1933 = ((bool_t) 0);
												}
											else
												{	/* Ast/glo-def.scm 204 */
													BgL_testz00_1933 = ((bool_t) 1);
												}
										}
									if (BgL_testz00_1933)
										{	/* Ast/glo-def.scm 207 */
											obj_t BgL_list3443z00_968;

											BgL_list3443z00_968 =
												MAKE_PAIR(BGl_string3583z00zzast_glozd2defzd2, BNIL);
											{	/* Ast/glo-def.scm 207 */
												BgL_globalz00_bglt BgL_auxz00_1945;

												BgL_auxz00_1945 =
													BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
													(BgL_globalz00_bglt) (BgL_oldz00_17),
													BgL_srczd2expzd2_22, BgL_list3443z00_968);
												BgL_auxz00_1928 = (obj_t) (BgL_auxz00_1945);
											}
										}
									else
										{
											obj_t BgL_typesz00_1951;
											obj_t BgL_localsz00_1949;

											BgL_localsz00_1949 = CDR(BgL_localsz00_963);
											BgL_typesz00_1951 = CDR(BgL_typesz00_964);
											BgL_typesz00_964 = BgL_typesz00_1951;
											BgL_localsz00_963 = BgL_localsz00_1949;
											goto BgL_loopz00_965;
										}
								}
							return (BgL_globalz00_bglt) (BgL_auxz00_1928);
						}
					}
				}
			}
		}
	}



/* def-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_idz00_23,
		obj_t BgL_modulez00_24, obj_t BgL_nodez00_25, obj_t BgL_classz00_26,
		obj_t BgL_locz00_27)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 214 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_23);
			{	/* Ast/glo-def.scm 216 */
				obj_t BgL_idze2typeze2_1578;

				BgL_idze2typeze2_1578 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_23, BgL_locz00_27);
				{	/* Ast/glo-def.scm 216 */
					obj_t BgL_idze2idze2_1579;

					BgL_idze2idze2_1579 = CAR(BgL_idze2typeze2_1578);
					{	/* Ast/glo-def.scm 216 */
						obj_t BgL_oldzd2globalzd2_1580;

						BgL_oldzd2globalzd2_1580 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idze2idze2_1579,
							BgL_modulez00_24);
						{	/* Ast/glo-def.scm 216 */
							BgL_globalz00_bglt BgL_globalz00_1581;

							BgL_globalz00_1581 =
								BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2
								(BgL_idz00_23, BgL_modulez00_24, CNST_TABLE_REF(((long) 2)),
								BgL_nodez00_25, BgL_classz00_26, BgL_locz00_27);
							{	/* Ast/glo-def.scm 216 */

								BGl_removezd2varzd2fromz12z12zzast_removez00(CNST_TABLE_REF((
											(long) 4)), (BgL_variablez00_bglt) (BgL_globalz00_1581));
								BGl_leavezd2functionzd2zztools_errorz00();
								return BgL_globalz00_1581;
							}
						}
					}
				}
			}
		}
	}



/* _def-global-scnst! */
	obj_t BGl__defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_envz00_1662,
		obj_t BgL_idz00_1663, obj_t BgL_modulez00_1664, obj_t BgL_nodez00_1665,
		obj_t BgL_classz00_1666, obj_t BgL_locz00_1667)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 214 */
			{	/* Ast/glo-def.scm 229 */
				BgL_globalz00_bglt BgL_auxz00_1964;

				BgL_auxz00_1964 =
					BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_idz00_1663,
					BgL_modulez00_1664, BgL_nodez00_1665, BgL_classz00_1666,
					BgL_locz00_1667);
				return (obj_t) (BgL_auxz00_1964);
			}
		}
	}



/* def-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_idz00_28,
		obj_t BgL_modulez00_29, obj_t BgL_srczd2expzd2_30, obj_t BgL_remz00_31)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 234 */
			{	/* Ast/glo-def.scm 235 */
				obj_t BgL_locz00_997;

				BgL_locz00_997 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_30);
				{	/* Ast/glo-def.scm 235 */
					obj_t BgL_idze2typeze2_998;

					BgL_idze2typeze2_998 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_28, BgL_locz00_997);
					{	/* Ast/glo-def.scm 236 */
						obj_t BgL_idze2idze2_999;

						BgL_idze2idze2_999 = CAR(BgL_idze2typeze2_998);
						{	/* Ast/glo-def.scm 237 */
							obj_t BgL_oldzd2globalzd2_1000;

							BgL_oldzd2globalzd2_1000 =
								BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idze2idze2_999,
								BgL_modulez00_29);
							{	/* Ast/glo-def.scm 238 */
								obj_t BgL_importz00_1001;

								{	/* Ast/glo-def.scm 239 */
									bool_t BgL_testz00_1971;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3)))
										{	/* Ast/glo-def.scm 240 */
											obj_t BgL_arg3473z00_1018;
											obj_t BgL_arg3474z00_1019;

											BgL_arg3473z00_1018 = CNST_TABLE_REF(((long) 0));
											{	/* Ast/glo-def.scm 240 */
												obj_t BgL_arg3475z00_1020;

												BgL_arg3475z00_1020 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Ast/glo-def.scm 240 */
													BgL_backendz00_bglt BgL_obj1440z00_1586;

													BgL_obj1440z00_1586 =
														(BgL_backendz00_bglt) (BgL_arg3475z00_1020);
													BgL_arg3474z00_1019 =
														(((BgL_backendz00_bglt) CREF(BgL_obj1440z00_1586))->
														BgL_debugzd2supportzd2);
											}}
											BgL_testz00_1971 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg3473z00_1018, BgL_arg3474z00_1019));
										}
									else
										{	/* Ast/glo-def.scm 239 */
											BgL_testz00_1971 = ((bool_t) 0);
										}
									if (BgL_testz00_1971)
										{	/* Ast/glo-def.scm 239 */
											BgL_importz00_1001 = CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* Ast/glo-def.scm 239 */
											BgL_importz00_1001 = CNST_TABLE_REF(((long) 2));
								}}
								{	/* Ast/glo-def.scm 239 */
									obj_t BgL_typez00_1002;

									{	/* Ast/glo-def.scm 243 */
										obj_t BgL_typez00_1009;

										BgL_typez00_1009 = CDR(BgL_idze2typeze2_998);
										{	/* Ast/glo-def.scm 246 */
											bool_t BgL_testz00_1984;

											{	/* Ast/glo-def.scm 246 */
												obj_t BgL_auxz00_1985;

												{	/* Ast/glo-def.scm 246 */
													BgL_typez00_bglt BgL_obj1293z00_1588;

													BgL_obj1293z00_1588 =
														(BgL_typez00_bglt) (BgL_typez00_1009);
													BgL_auxz00_1985 =
														(((BgL_typez00_bglt) CREF(BgL_obj1293z00_1588))->
														BgL_classz00);
												}
												BgL_testz00_1984 =
													(BgL_auxz00_1985 == CNST_TABLE_REF(((long) 5)));
											}
											if (BgL_testz00_1984)
												{	/* Ast/glo-def.scm 246 */
													BgL_typez00_1002 = BgL_typez00_1009;
												}
											else
												{	/* Ast/glo-def.scm 246 */
													BgL_typez00_1002 =
														BGl_userzd2errorzd2zztools_errorz00
														(BgL_idze2idze2_999,
														BGl_string3584z00zzast_glozd2defzd2,
														BGl_shapez00zztools_shapez00(BgL_typez00_1009),
														BNIL);
												}
										}
									}
									{	/* Ast/glo-def.scm 243 */
										BgL_globalz00_bglt BgL_globalz00_1003;

										if (BGl_iszd2azf3z21zz__objectz00(BgL_oldzd2globalzd2_1000,
												BGl_globalz00zzast_varz00))
											{	/* Ast/glo-def.scm 252 */
												BgL_globalz00_1003 =
													BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2
													(BgL_oldzd2globalzd2_1000, BgL_typez00_1002,
													BgL_srczd2expzd2_30);
											}
										else
											{	/* Ast/glo-def.scm 252 */
												BgL_globalz00_1003 =
													BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
													(BgL_idz00_28, BgL_modulez00_29, BgL_importz00_1001,
													BgL_srczd2expzd2_30, BFALSE);
											}
										{	/* Ast/glo-def.scm 251 */
											obj_t BgL_defzd2loczd2_1004;

											BgL_defzd2loczd2_1004 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_30);
											{	/* Ast/glo-def.scm 262 */

												{	/* Ast/glo-def.scm 264 */
													BgL_variablez00_bglt BgL_varz00_1590;
													BgL_typez00_bglt BgL_newzd2typezd2_1591;

													BgL_varz00_1590 =
														(BgL_variablez00_bglt) (BgL_globalz00_1003);
													BgL_newzd2typezd2_1591 =
														(BgL_typez00_bglt) (BgL_typez00_1002);
													{	/* Ast/glo-def.scm 264 */
														BgL_typez00_bglt BgL_oldzd2typezd2_1592;

														BgL_oldzd2typezd2_1592 =
															(((BgL_variablez00_bglt) CREF(BgL_varz00_1590))->
															BgL_typez00);
														if (((obj_t) (BgL_oldzd2typezd2_1592) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Ast/glo-def.scm 264 */
																((((BgL_variablez00_bglt)
																			CREF(BgL_varz00_1590))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_newzd2typezd2_1591),
																	BUNSPEC);
															}
														else
															{	/* Ast/glo-def.scm 264 */
																BFALSE;
															}
													}
												}
												{	/* Ast/glo-def.scm 266 */
													bool_t BgL_testz00_2004;

													{	/* Ast/glo-def.scm 266 */
														BgL_valuez00_bglt BgL_arg3463z00_1007;

														{	/* Ast/glo-def.scm 266 */
															BgL_variablez00_bglt BgL_obj1470z00_1597;

															BgL_obj1470z00_1597 =
																(BgL_variablez00_bglt) (BgL_globalz00_1003);
															BgL_arg3463z00_1007 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1470z00_1597))->BgL_valuez00);
														}
														{	/* Ast/glo-def.scm 266 */
															obj_t BgL_obj1888z00_1598;

															BgL_obj1888z00_1598 =
																(obj_t) (BgL_arg3463z00_1007);
															BgL_testz00_2004 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1888z00_1598, BGl_svarz00zzast_varz00);
														}
													}
													if (BgL_testz00_2004)
														{	/* Ast/glo-def.scm 268 */
															BgL_valuez00_bglt BgL_arg3462z00_1006;

															{	/* Ast/glo-def.scm 268 */
																BgL_variablez00_bglt BgL_obj1470z00_1599;

																BgL_obj1470z00_1599 =
																	(BgL_variablez00_bglt) (BgL_globalz00_1003);
																BgL_arg3462z00_1006 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1470z00_1599))->BgL_valuez00);
															}
															{	/* Ast/glo-def.scm 268 */
																BgL_svarz00_bglt BgL_obj1881z00_1600;
																obj_t BgL_val1880z00_1601;

																BgL_obj1881z00_1600 =
																	(BgL_svarz00_bglt) (BgL_arg3462z00_1006);
																BgL_val1880z00_1601 = BgL_defzd2loczd2_1004;
																((((BgL_svarz00_bglt)
																			CREF(BgL_obj1881z00_1600))->BgL_locz00) =
																	((obj_t) BgL_val1880z00_1601), BUNSPEC);
															}
														}
													else
														{	/* Ast/glo-def.scm 266 */
															BFALSE;
														}
												}
												BGl_removezd2varzd2fromz12z12zzast_removez00
													(BgL_remz00_31,
													(BgL_variablez00_bglt) (BgL_globalz00_1003));
												return BgL_globalz00_1003;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _def-global-svar! */
	obj_t BGl__defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_envz00_1668,
		obj_t BgL_idz00_1669, obj_t BgL_modulez00_1670, obj_t BgL_srczd2expzd2_1671,
		obj_t BgL_remz00_1672)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 234 */
			{	/* Ast/glo-def.scm 235 */
				BgL_globalz00_bglt BgL_auxz00_2015;

				BgL_auxz00_2015 =
					BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_1669,
					BgL_modulez00_1670, BgL_srczd2expzd2_1671, BgL_remz00_1672);
				return (obj_t) (BgL_auxz00_2015);
			}
		}
	}



/* check-svar-definition */
	BgL_globalz00_bglt BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_oldz00_32, obj_t BgL_typez00_33, obj_t BgL_srczd2expzd2_34)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 276 */
			{	/* Ast/glo-def.scm 277 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1021;

				{	/* Ast/glo-def.scm 277 */
					BgL_variablez00_bglt BgL_obj1470z00_1602;

					BgL_obj1470z00_1602 = (BgL_variablez00_bglt) (BgL_oldz00_32);
					BgL_oldzd2valuezd2_1021 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1470z00_1602))->BgL_valuez00);
				}
				{	/* Ast/glo-def.scm 279 */
					bool_t BgL_testz00_2020;

					{	/* Ast/glo-def.scm 279 */
						obj_t BgL_obj1888z00_1603;

						BgL_obj1888z00_1603 = (obj_t) (BgL_oldzd2valuezd2_1021);
						BgL_testz00_2020 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1888z00_1603,
							BGl_svarz00zzast_varz00);
					}
					if (BgL_testz00_2020)
						{	/* Ast/glo-def.scm 281 */
							bool_t BgL_testz00_2023;

							{	/* Ast/glo-def.scm 281 */
								BgL_typez00_bglt BgL_arg3479z00_1025;

								{	/* Ast/glo-def.scm 281 */
									BgL_variablez00_bglt BgL_obj1467z00_1604;

									BgL_obj1467z00_1604 = (BgL_variablez00_bglt) (BgL_oldz00_32);
									BgL_arg3479z00_1025 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1467z00_1604))->
										BgL_typez00);
								}
								BgL_testz00_2023 =
									BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t) 0),
									(BgL_typez00_bglt) (BgL_typez00_33), BgL_arg3479z00_1025);
							}
							if (BgL_testz00_2023)
								{	/* Ast/glo-def.scm 281 */
									return (BgL_globalz00_bglt) (BgL_oldz00_32);
								}
							else
								{	/* Ast/glo-def.scm 282 */
									obj_t BgL_list3478z00_1024;

									BgL_list3478z00_1024 =
										MAKE_PAIR(BGl_string3585z00zzast_glozd2defzd2, BNIL);
									return
										BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
										(BgL_globalz00_bglt) (BgL_oldz00_32), BgL_srczd2expzd2_34,
										BgL_list3478z00_1024);
								}
						}
					else
						{	/* Ast/glo-def.scm 280 */
							obj_t BgL_list3480z00_1026;

							BgL_list3480z00_1026 =
								MAKE_PAIR(BGl_string3586z00zzast_glozd2defzd2, BNIL);
							return
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
								(BgL_globalz00_bglt) (BgL_oldz00_32), BgL_srczd2expzd2_34,
								BgL_list3480z00_1026);
						}
				}
			}
		}
	}



/* compatible-type? */
	bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t BgL_subzf3zf3_35,
		BgL_typez00_bglt BgL_newz00_36, BgL_typez00_bglt BgL_oldz00_37)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 289 */
			{	/* Ast/glo-def.scm 290 */
				bool_t BgL__ortest_3352z00_1027;

				BgL__ortest_3352z00_1027 =
					((obj_t) (BgL_newz00_36) == BGl_za2_za2z00zztype_cachez00);
				if (BgL__ortest_3352z00_1027)
					{	/* Ast/glo-def.scm 290 */
						return BgL__ortest_3352z00_1027;
					}
				else
					{	/* Ast/glo-def.scm 291 */
						bool_t BgL__ortest_3353z00_1028;

						BgL__ortest_3353z00_1028 =
							((obj_t) (BgL_oldz00_37) == (obj_t) (BgL_newz00_36));
						if (BgL__ortest_3353z00_1028)
							{	/* Ast/glo-def.scm 291 */
								return BgL__ortest_3353z00_1028;
							}
						else
							{	/* Ast/glo-def.scm 291 */
								if (BgL_subzf3zf3_35)
									{	/* Ast/glo-def.scm 293 */
										bool_t BgL__ortest_3355z00_1030;

										BgL__ortest_3355z00_1030 =
											BGl_typezd2subclasszf3z21zzobject_classz00(BgL_newz00_36,
											BgL_oldz00_37);
										if (BgL__ortest_3355z00_1030)
											{	/* Ast/glo-def.scm 293 */
												return BgL__ortest_3355z00_1030;
											}
										else
											{	/* Ast/glo-def.scm 294 */
												bool_t BgL_testz00_2045;

												{	/* Ast/glo-def.scm 294 */
													obj_t BgL_obj3142z00_1605;

													BgL_obj3142z00_1605 = (obj_t) (BgL_newz00_36);
													BgL_testz00_2045 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj3142z00_1605,
														BGl_tclassz00zzobject_classz00);
												}
												if (BgL_testz00_2045)
													{	/* Ast/glo-def.scm 294 */
														return
															(
															(obj_t) (BgL_oldz00_37) ==
															BGl_za2objza2z00zztype_cachez00);
													}
												else
													{	/* Ast/glo-def.scm 294 */
														return ((bool_t) 0);
													}
											}
									}
								else
									{	/* Ast/glo-def.scm 292 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}
	}



/* mismatch-error */
	BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt
		BgL_globalz00_38, obj_t BgL_srczd2expzd2_39, obj_t BgL_addzd2msgzd2_40)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 299 */
			{	/* Ast/glo-def.scm 301 */
				obj_t BgL_arg3481z00_1033;
				obj_t BgL_arg3482z00_1034;

				if (PAIRP(BgL_addzd2msgzd2_40))
					{	/* Ast/glo-def.scm 301 */
						BgL_arg3481z00_1033 =
							string_append_3(BGl_string3587z00zzast_glozd2defzd2,
							BGl_string3588z00zzast_glozd2defzd2, CAR(BgL_addzd2msgzd2_40));
					}
				else
					{	/* Ast/glo-def.scm 301 */
						BgL_arg3481z00_1033 = BGl_string3587z00zzast_glozd2defzd2;
					}
				{	/* Ast/glo-def.scm 304 */
					obj_t BgL_arg3487z00_1039;

					BgL_arg3487z00_1039 =
						(((BgL_globalz00_bglt) CREF(BgL_globalz00_38))->BgL_srcz00);
					BgL_arg3482z00_1034 =
						BGl_shapez00zztools_shapez00(BgL_arg3487z00_1039);
				}
				{	/* Ast/glo-def.scm 301 */
					obj_t BgL_list3483z00_1035;

					BgL_list3483z00_1035 = MAKE_PAIR((obj_t) (BgL_globalz00_38), BNIL);
					{	/* Ast/glo-def.scm 301 */
						obj_t BgL_auxz00_2058;

						BgL_auxz00_2058 =
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg3481z00_1033,
							BgL_arg3482z00_1034, BgL_srczd2expzd2_39, BgL_list3483z00_1035);
						return (BgL_globalz00_bglt) (BgL_auxz00_2058);
					}
				}
			}
		}
	}



/* check-method-definition */
	BGL_EXPORTED_DEF bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t BgL_idz00_43,
		obj_t BgL_argsz00_44, obj_t BgL_localsz00_45, obj_t BgL_srcz00_46)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 319 */
			{	/* Ast/glo-def.scm 320 */
				obj_t BgL_locz00_1042;

				BgL_locz00_1042 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_46);
				{	/* Ast/glo-def.scm 320 */
					BgL_typez00_bglt BgL_typezd2reszd2_1043;

					BgL_typezd2reszd2_1043 =
						BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_43, BgL_locz00_1042);
					{	/* Ast/glo-def.scm 321 */
						obj_t BgL_methodzd2idzd2_1044;

						BgL_methodzd2idzd2_1044 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_43, BgL_locz00_1042);
						{	/* Ast/glo-def.scm 322 */
							obj_t BgL_genericz00_1045;

							BgL_genericz00_1045 =
								BGl_findzd2globalzd2zzast_envz00(BgL_idz00_43, BNIL);
							{	/* Ast/glo-def.scm 323 */

								if (BGl_iszd2azf3z21zz__objectz00(BgL_genericz00_1045,
										BGl_globalz00zzast_varz00))
									{	/* Ast/glo-def.scm 328 */
										BgL_valuez00_bglt BgL_genericzd2valuezd2_1047;

										{	/* Ast/glo-def.scm 328 */
											BgL_variablez00_bglt BgL_obj1470z00_1615;

											BgL_obj1470z00_1615 =
												(BgL_variablez00_bglt) (BgL_genericz00_1045);
											BgL_genericzd2valuezd2_1047 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1470z00_1615))->
												BgL_valuez00);
										}
										{	/* Ast/glo-def.scm 330 */
											bool_t BgL_testz00_2069;

											{	/* Ast/glo-def.scm 330 */
												obj_t BgL_obj1813z00_1616;

												BgL_obj1813z00_1616 =
													(obj_t) (BgL_genericzd2valuezd2_1047);
												BgL_testz00_2069 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1813z00_1616,
													BGl_sfunz00zzast_varz00);
											}
											if (BgL_testz00_2069)
												{	/* Ast/glo-def.scm 333 */
													bool_t BgL_testz00_2072;

													{	/* Ast/glo-def.scm 333 */
														obj_t BgL_auxz00_2073;

														{	/* Ast/glo-def.scm 333 */
															BgL_sfunz00_bglt BgL_obj1745z00_1617;

															BgL_obj1745z00_1617 =
																(BgL_sfunz00_bglt)
																(BgL_genericzd2valuezd2_1047);
															BgL_auxz00_2073 =
																(((BgL_sfunz00_bglt)
																	CREF(BgL_obj1745z00_1617))->BgL_classz00);
														}
														BgL_testz00_2072 =
															(BgL_auxz00_2073 == CNST_TABLE_REF(((long) 3)));
													}
													if (BgL_testz00_2072)
														{	/* Ast/glo-def.scm 336 */
															bool_t BgL_testz00_2078;

															{	/* Ast/glo-def.scm 336 */
																long BgL_arg3518z00_1088;
																long BgL_arg3519z00_1089;

																{	/* Ast/glo-def.scm 336 */
																	BgL_funz00_bglt BgL_obj1671z00_1618;

																	BgL_obj1671z00_1618 =
																		(BgL_funz00_bglt)
																		(BgL_genericzd2valuezd2_1047);
																	BgL_arg3518z00_1088 =
																		(((BgL_funz00_bglt)
																			CREF(BgL_obj1671z00_1618))->BgL_arityz00);
																}
																BgL_arg3519z00_1089 =
																	BGl_globalzd2arityzd2zztools_argsz00
																	(BgL_argsz00_44);
																BgL_testz00_2078 =
																	(BgL_arg3518z00_1088 == BgL_arg3519z00_1089);
															}
															if (BgL_testz00_2078)
																{	/* Ast/glo-def.scm 339 */
																	bool_t BgL_testz00_2083;

																	{	/* Ast/glo-def.scm 339 */
																		BgL_typez00_bglt BgL_arg3516z00_1086;

																		{	/* Ast/glo-def.scm 339 */
																			BgL_variablez00_bglt BgL_obj1467z00_1621;

																			BgL_obj1467z00_1621 =
																				(BgL_variablez00_bglt)
																				(BgL_genericz00_1045);
																			BgL_arg3516z00_1086 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_obj1467z00_1621))->
																				BgL_typez00);
																		}
																		BgL_testz00_2083 =
																			BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																			(((bool_t) 1), BgL_typezd2reszd2_1043,
																			BgL_arg3516z00_1086);
																	}
																	if (BgL_testz00_2083)
																		{	/* Ast/glo-def.scm 344 */
																			obj_t BgL__ortest_3357z00_1052;

																			{	/* Ast/glo-def.scm 344 */
																				obj_t BgL_g3358z00_1053;

																				{	/* Ast/glo-def.scm 345 */
																					obj_t BgL_l3373z00_1068;

																					{	/* Ast/glo-def.scm 356 */
																						BgL_sfunz00_bglt
																							BgL_obj1737z00_1622;
																						BgL_obj1737z00_1622 =
																							(BgL_sfunz00_bglt)
																							(BgL_genericzd2valuezd2_1047);
																						BgL_l3373z00_1068 =
																							(((BgL_sfunz00_bglt)
																								CREF(BgL_obj1737z00_1622))->
																							BgL_argsz00);
																					}
																					if (NULLP(BgL_l3373z00_1068))
																						{	/* Ast/glo-def.scm 345 */
																							BgL_g3358z00_1053 = BNIL;
																						}
																					else
																						{	/* Ast/glo-def.scm 345 */
																							obj_t BgL_head3376z00_1070;

																							BgL_head3376z00_1070 =
																								MAKE_PAIR(BNIL, BNIL);
																							{
																								obj_t BgL_l3373z00_1071;
																								obj_t BgL_tail3377z00_1072;

																								BgL_l3373z00_1071 =
																									BgL_l3373z00_1068;
																								BgL_tail3377z00_1072 =
																									BgL_head3376z00_1070;
																							BgL_map3375z00_1073:
																								if (NULLP(BgL_l3373z00_1071))
																									{	/* Ast/glo-def.scm 345 */
																										BgL_g3358z00_1053 =
																											CDR(BgL_head3376z00_1070);
																									}
																								else
																									{	/* Ast/glo-def.scm 345 */
																										obj_t
																											BgL_newtail3378z00_1075;
																										{	/* Ast/glo-def.scm 345 */
																											obj_t BgL_arg3507z00_1077;

																											{	/* Ast/glo-def.scm 345 */
																												obj_t BgL_az00_1079;

																												BgL_az00_1079 =
																													CAR
																													(BgL_l3373z00_1071);
																												if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_1079, BGl_localz00zzast_varz00))
																													{	/* Ast/glo-def.scm 348 */
																														BgL_variablez00_bglt
																															BgL_obj1467z00_1630;
																														BgL_obj1467z00_1630
																															=
																															(BgL_variablez00_bglt)
																															(BgL_az00_1079);
																														{	/* Ast/glo-def.scm 348 */
																															BgL_typez00_bglt
																																BgL_auxz00_2099;
																															BgL_auxz00_2099 =
																																(((BgL_variablez00_bglt) CREF(BgL_obj1467z00_1630))->BgL_typez00);
																															BgL_arg3507z00_1077
																																=
																																(obj_t)
																																(BgL_auxz00_2099);
																														}
																													}
																												else
																													{	/* Ast/glo-def.scm 347 */
																														if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_1079, BGl_typez00zztype_typez00))
																															{	/* Ast/glo-def.scm 349 */
																																BgL_arg3507z00_1077
																																	=
																																	BgL_az00_1079;
																															}
																														else
																															{	/* Ast/glo-def.scm 349 */
																																BgL_arg3507z00_1077
																																	=
																																	BGl_internalzd2errorzd2zztools_errorz00
																																	(BGl_string3574z00zzast_glozd2defzd2,
																																	BGl_string3575z00zzast_glozd2defzd2,
																																	BGl_shapez00zztools_shapez00
																																	(BgL_az00_1079));
																															}
																													}
																											}
																											BgL_newtail3378z00_1075 =
																												MAKE_PAIR
																												(BgL_arg3507z00_1077,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail3377z00_1072,
																											BgL_newtail3378z00_1075);
																										{
																											obj_t
																												BgL_tail3377z00_2110;
																											obj_t BgL_l3373z00_2108;

																											BgL_l3373z00_2108 =
																												CDR(BgL_l3373z00_1071);
																											BgL_tail3377z00_2110 =
																												BgL_newtail3378z00_1075;
																											BgL_tail3377z00_1072 =
																												BgL_tail3377z00_2110;
																											BgL_l3373z00_1071 =
																												BgL_l3373z00_2108;
																											goto BgL_map3375z00_1073;
																										}
																									}
																							}
																						}
																				}
																				{
																					obj_t BgL_localsz00_1054;
																					obj_t BgL_typesz00_1055;
																					bool_t BgL_subzf3zf3_1056;

																					BgL_localsz00_1054 = BgL_localsz00_45;
																					BgL_typesz00_1055 = BgL_g3358z00_1053;
																					BgL_subzf3zf3_1056 = ((bool_t) 1);
																				BgL_loopz00_1057:
																					if (NULLP(BgL_localsz00_1054))
																						{	/* Ast/glo-def.scm 359 */
																							BgL__ortest_3357z00_1052 = BTRUE;
																						}
																					else
																						{	/* Ast/glo-def.scm 359 */
																							if (NULLP(BgL_typesz00_1055))
																								{	/* Ast/glo-def.scm 362 */
																									obj_t BgL_list3496z00_1060;

																									BgL_list3496z00_1060 =
																										MAKE_PAIR
																										(BGl_string3583z00zzast_glozd2defzd2,
																										BNIL);
																									{	/* Ast/glo-def.scm 362 */
																										BgL_globalz00_bglt
																											BgL_auxz00_2116;
																										BgL_auxz00_2116 =
																											BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																											((BgL_globalz00_bglt)
																											(BgL_genericz00_1045),
																											BgL_srcz00_46,
																											BgL_list3496z00_1060);
																										BgL__ortest_3357z00_1052 =
																											(obj_t) (BgL_auxz00_2116);
																									}
																								}
																							else
																								{	/* Ast/glo-def.scm 365 */
																									bool_t BgL_testz00_2120;

																									{	/* Ast/glo-def.scm 366 */
																										BgL_typez00_bglt
																											BgL_arg3501z00_1065;
																										obj_t BgL_arg3502z00_1066;

																										{	/* Ast/glo-def.scm 366 */
																											BgL_variablez00_bglt
																												BgL_obj1467z00_1640;
																											{	/* Ast/glo-def.scm 366 */
																												obj_t BgL_pairz00_1639;

																												BgL_pairz00_1639 =
																													BgL_localsz00_1054;
																												{	/* Ast/glo-def.scm 366 */
																													obj_t BgL_auxz00_2121;

																													BgL_auxz00_2121 =
																														CAR
																														(BgL_pairz00_1639);
																													BgL_obj1467z00_1640 =
																														(BgL_variablez00_bglt)
																														(BgL_auxz00_2121);
																												}
																											}
																											BgL_arg3501z00_1065 =
																												(((BgL_variablez00_bglt)
																													CREF
																													(BgL_obj1467z00_1640))->
																												BgL_typez00);
																										}
																										BgL_arg3502z00_1066 =
																											CAR(BgL_typesz00_1055);
																										BgL_testz00_2120 =
																											BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																											(BgL_subzf3zf3_1056,
																											BgL_arg3501z00_1065,
																											(BgL_typez00_bglt)
																											(BgL_arg3502z00_1066));
																									}
																									if (BgL_testz00_2120)
																										{
																											bool_t BgL_subzf3zf3_2132;
																											obj_t BgL_typesz00_2130;
																											obj_t BgL_localsz00_2128;

																											BgL_localsz00_2128 =
																												CDR(BgL_localsz00_1054);
																											BgL_typesz00_2130 =
																												CDR(BgL_typesz00_1055);
																											BgL_subzf3zf3_2132 =
																												((bool_t) 0);
																											BgL_subzf3zf3_1056 =
																												BgL_subzf3zf3_2132;
																											BgL_typesz00_1055 =
																												BgL_typesz00_2130;
																											BgL_localsz00_1054 =
																												BgL_localsz00_2128;
																											goto BgL_loopz00_1057;
																										}
																									else
																										{	/* Ast/glo-def.scm 365 */
																											{	/* Ast/glo-def.scm 368 */
																												obj_t
																													BgL_list3500z00_1064;
																												BgL_list3500z00_1064 =
																													MAKE_PAIR
																													(BGl_string3583z00zzast_glozd2defzd2,
																													BNIL);
																												BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																													((BgL_globalz00_bglt)
																													(BgL_genericz00_1045),
																													BgL_srcz00_46,
																													BgL_list3500z00_1064);
																											}
																											BgL__ortest_3357z00_1052 =
																												BFALSE;
																										}
																								}
																						}
																				}
																			}
																			if (CBOOL(BgL__ortest_3357z00_1052))
																				{	/* Ast/glo-def.scm 344 */
																					return
																						CBOOL(BgL__ortest_3357z00_1052);
																				}
																			else
																				{	/* Ast/glo-def.scm 344 */
																					return ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/glo-def.scm 339 */
																			{	/* Ast/glo-def.scm 340 */
																				obj_t BgL_list3515z00_1085;

																				BgL_list3515z00_1085 =
																					MAKE_PAIR
																					(BGl_string3579z00zzast_glozd2defzd2,
																					BNIL);
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					((BgL_globalz00_bglt)
																					(BgL_genericz00_1045), BgL_srcz00_46,
																					BgL_list3515z00_1085);
																			}
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Ast/glo-def.scm 336 */
																	{	/* Ast/glo-def.scm 337 */
																		obj_t BgL_list3517z00_1087;

																		BgL_list3517z00_1087 =
																			MAKE_PAIR
																			(BGl_string3580z00zzast_glozd2defzd2,
																			BNIL);
																		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
																			(BgL_globalz00_bglt)
																			(BgL_genericz00_1045), BgL_srcz00_46,
																			BgL_list3517z00_1087);
																	}
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Ast/glo-def.scm 333 */
															{	/* Ast/glo-def.scm 334 */
																obj_t BgL_list3520z00_1090;

																BgL_list3520z00_1090 =
																	MAKE_PAIR(BGl_string3589z00zzast_glozd2defzd2,
																	BNIL);
																BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
																	(BgL_globalz00_bglt) (BgL_genericz00_1045),
																	BgL_srcz00_46, BgL_list3520z00_1090);
															}
															return ((bool_t) 0);
														}
												}
											else
												{	/* Ast/glo-def.scm 330 */
													{	/* Ast/glo-def.scm 331 */
														obj_t BgL_list3523z00_1093;

														BgL_list3523z00_1093 =
															MAKE_PAIR(BGl_string3589z00zzast_glozd2defzd2,
															BNIL);
														BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
															(BgL_globalz00_bglt) (BgL_genericz00_1045),
															BgL_srcz00_46, BgL_list3523z00_1093);
													}
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* Ast/glo-def.scm 324 */
										return ((bool_t) 1);
									}
							}
						}
					}
				}
			}
		}
	}



/* _check-method-definition */
	obj_t BGl__checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_envz00_1673, obj_t BgL_idz00_1674, obj_t BgL_argsz00_1675,
		obj_t BgL_localsz00_1676, obj_t BgL_srcz00_1677)
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 319 */
			return
				BBOOL(BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
				(BgL_idz00_1674, BgL_argsz00_1675, BgL_localsz00_1676,
					BgL_srcz00_1677));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo-def.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 237711330),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 215625933),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 315458190),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3590z00zzast_glozd2defzd2));
		}
	}

#ifdef __cplusplus
}
#endif
