/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl__restorezd2valuezd2types3480z00zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl__restorezd2valuezd2typesz123226z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl__bindzd2globalz123483zc0zzast_envz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
	static obj_t BGl_zc3anonymousza33237ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl__unbindzd2globalz123484zc0zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__globalzd2bucketzd2posit3486z00zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl__forzd2eachzd2globalz123485z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl__findzd2global3481zd2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	static obj_t BGl_zc3anonymousza33369ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__findzd2globalzf2module3482z20zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_restorezd2valuezd2typesz123229z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123231z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123233z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123235z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl__forza7d2eachza7d2gl3500z00, va_generic_entry,
		BGl__forzd2eachzd2globalz123485z12zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl__findza7d2global343501za7, va_generic_entry,
		BGl__findzd2global3481zd2zzast_envz00, BUNSPEC, -2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_restorezd2valuezd2typesz123226zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3502za7,
		BGl__restorezd2valuezd2typesz123226z12zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl__initializa7a7eza7d23503z00,
		BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl__globalza7d2bucket3504za7,
		BGl__globalzd2bucketzd2posit3486z00zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl__alreadyza7d2resto3505za7,
		BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl__getza7d2genvza7d2za7za73506z00, BGl__getzd2genvzd2zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__unbindza7d2global3507za7,
		BGl__unbindzd2globalz123484zc0zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__addza7d2genvza712za7c3508za7, BGl__addzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__restoreza7d2globa3509za7, BGl__restorezd2globalz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__setza7d2genvza712za7c3510za7, BGl__setzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl__additionalza7d2he3511za7,
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl__findza7d2globalza7f3512z00,
		BGl__findzd2globalzf2module3482z20zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3487z00zzast_envz00,
		BgL_bgl_string3487za700za7za7a3513za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string3488z00zzast_envz00,
		BgL_bgl_string3488za700za7za7a3514za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string3490z00zzast_envz00,
		BgL_bgl_string3490za700za7za7a3515za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string3489z00zzast_envz00,
		BgL_bgl_string3489za700za7za7a3516za7, "eval", 4);
	      DEFINE_STRING(BGl_string3491z00zzast_envz00,
		BgL_bgl_string3491za700za7za7a3517za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string3492z00zzast_envz00,
		BgL_bgl_string3492za700za7za7a3518za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string3493z00zzast_envz00,
		BgL_bgl_string3493za700za7za7a3519za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3494z00zzast_envz00,
		BgL_bgl_string3494za700za7za7a3520za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string3495z00zzast_envz00,
		BgL_bgl_string3495za700za7za7a3521za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string3496z00zzast_envz00,
		BgL_bgl_string3496za700za7za7a3522za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string3497z00zzast_envz00,
		BgL_bgl_string3497za700za7za7a3523za7,
		"eval now read @ foreign the-global-environment ", 47);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3524za7,
		BGl__restorezd2valuezd2types3480z00zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__bindza7d2globalza713525z00,
		BGl__bindzd2globalz123483zc0zzast_envz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_1843, char *BgL_fromz00_1844)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_1834;

				BgL_cportz00_1834 =
					bgl_open_input_string(BGl_string3497z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1835;

					BgL_iz00_1835 = ((long) 5);
				BgL_loopz00_1836:
					if ((BgL_iz00_1835 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg3499z00_1838;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_1840;

										BgL_locationz00_1840 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg3499z00_1838 =
												BGl_readz00zz__readerz00(BgL_cportz00_1834,
												BgL_locationz00_1840);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_1865;

									BgL_auxz00_1865 = (int) (BgL_iz00_1835);
									CNST_TABLE_SET(BgL_auxz00_1865, BgL_arg3499z00_1838);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_1841;

								BgL_auxz00_1841 = (int) ((BgL_iz00_1835 - ((long) 1)));
								{
									long BgL_iz00_1870;

									BgL_iz00_1870 = (long) (BgL_auxz00_1841);
									BgL_iz00_1835 = BgL_iz00_1870;
									goto BgL_loopz00_1836;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 53 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC);
		}
	}



/* _set-genv! */
	obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1777,
		obj_t BgL_genvz00_1778)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 53 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_1778);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 62 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2,
				make_fx_procedure(BGl_zc3anonymousza33237ze3z83zzast_envz00,
					(int) (((long) 2)), (int) (((long) 0))));
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* _add-genv! */
	obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1780,
		obj_t BgL_genvz00_1781)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 62 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_1781);
		}
	}



/* <anonymous:3237> */
	obj_t BGl_zc3anonymousza33237ze3z83zzast_envz00(obj_t BgL_envz00_1782,
		obj_t BgL_kz00_1783, obj_t BgL_bucketz00_1784)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 65 */
			{
				obj_t BgL_kz00_837;
				obj_t BgL_bucketz00_838;

				{	/* Ast/venv.scm 66 */
					bool_t BgL_auxz00_1879;

					BgL_kz00_837 = BgL_kz00_1783;
					BgL_bucketz00_838 = BgL_bucketz00_1784;
					{	/* Ast/venv.scm 66 */
						obj_t BgL_g3220z00_840;

						BgL_g3220z00_840 = CDR(BgL_bucketz00_838);
						{
							obj_t BgL_l3217z00_841;

							BgL_l3217z00_841 = BgL_g3220z00_840;
						BgL_forzd2each3219zd2_842:
							if (PAIRP(BgL_l3217z00_841))
								{	/* Ast/venv.scm 66 */
									{	/* Ast/venv.scm 85 */
										obj_t BgL_newz00_844;

										BgL_newz00_844 = CAR(BgL_l3217z00_841);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_844,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 68 */
											obj_t BgL_modulez00_845;

											{	/* Ast/venv.scm 68 */
												BgL_globalz00_bglt BgL_obj1452z00_1487;

												BgL_obj1452z00_1487 =
													(BgL_globalz00_bglt) (BgL_newz00_844);
												BgL_modulez00_845 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1487))->
													BgL_modulez00);
											}
											{	/* Ast/venv.scm 68 */
												obj_t BgL_idz00_846;

												{	/* Ast/venv.scm 69 */
													BgL_variablez00_bglt BgL_obj1379z00_1488;

													BgL_obj1379z00_1488 =
														(BgL_variablez00_bglt) (BgL_newz00_844);
													BgL_idz00_846 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1379z00_1488))->BgL_idz00);
												}
												{	/* Ast/venv.scm 69 */
													obj_t BgL_bucketz00_847;

													BgL_bucketz00_847 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_846);
													{	/* Ast/venv.scm 70 */

														if (PAIRP(BgL_bucketz00_847))
															{	/* Ast/venv.scm 74 */
																bool_t BgL_testz00_1892;

																if (
																	(BgL_modulez00_845 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 74 */
																		BgL_testz00_1892 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 75 */
																		bool_t BgL_testz00_1895;

																		{	/* Ast/venv.scm 76 */
																			obj_t BgL_arg3247z00_857;

																			{	/* Ast/venv.scm 76 */
																				BgL_globalz00_bglt BgL_obj1452z00_1494;

																				{	/* Ast/venv.scm 76 */
																					obj_t BgL_pairz00_1490;

																					BgL_pairz00_1490 = BgL_bucketz00_847;
																					{	/* Ast/venv.scm 76 */
																						obj_t BgL_pairz00_1493;

																						BgL_pairz00_1493 =
																							CDR(BgL_pairz00_1490);
																						{	/* Ast/venv.scm 76 */
																							obj_t BgL_auxz00_1897;

																							BgL_auxz00_1897 =
																								CAR(BgL_pairz00_1493);
																							BgL_obj1452z00_1494 =
																								(BgL_globalz00_bglt)
																								(BgL_auxz00_1897);
																						}
																					}
																				}
																				BgL_arg3247z00_857 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_obj1452z00_1494))->
																					BgL_modulez00);
																			}
																			BgL_testz00_1895 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg3247z00_857);
																		}
																		if (BgL_testz00_1895)
																			{	/* Ast/venv.scm 75 */
																				BgL_testz00_1892 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 75 */
																				BgL_testz00_1892 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_1892)
																	{	/* Ast/venv.scm 82 */
																		obj_t BgL_newzd2bucketzd2_850;

																		BgL_newzd2bucketzd2_850 =
																			MAKE_PAIR(BgL_newz00_844,
																			CDR(BgL_bucketz00_847));
																		SET_CDR(BgL_bucketz00_847,
																			BgL_newzd2bucketzd2_850);
																	}
																else
																	{	/* Ast/venv.scm 85 */
																		obj_t BgL_arg3242z00_852;
																		obj_t BgL_arg3243z00_853;

																		BgL_arg3242z00_852 = CDR(BgL_bucketz00_847);
																		{	/* Ast/venv.scm 85 */
																			obj_t BgL_arg3244z00_854;

																			{	/* Ast/venv.scm 85 */
																				obj_t BgL_pairz00_1499;

																				BgL_pairz00_1499 = BgL_bucketz00_847;
																				BgL_arg3244z00_854 =
																					CDR(CDR(BgL_pairz00_1499));
																			}
																			BgL_arg3243z00_853 =
																				MAKE_PAIR(BgL_newz00_844,
																				BgL_arg3244z00_854);
																		}
																		SET_CDR(BgL_arg3242z00_852,
																			BgL_arg3243z00_853);
																	}
															}
														else
															{	/* Ast/venv.scm 73 */
																obj_t BgL_arg3249z00_859;

																{	/* Ast/venv.scm 73 */
																	obj_t BgL_list3250z00_860;

																	{	/* Ast/venv.scm 73 */
																		obj_t BgL_arg3251z00_861;

																		BgL_arg3251z00_861 =
																			MAKE_PAIR(BgL_newz00_844, BNIL);
																		BgL_list3250z00_860 =
																			MAKE_PAIR(BgL_idz00_846,
																			BgL_arg3251z00_861);
																	}
																	BgL_arg3249z00_859 = BgL_list3250z00_860;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_846,
																	BgL_arg3249z00_859);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l3217z00_1913;

										BgL_l3217z00_1913 = CDR(BgL_l3217z00_841);
										BgL_l3217z00_841 = BgL_l3217z00_1913;
										goto BgL_forzd2each3219zd2_842;
									}
								}
							else
								{	/* Ast/venv.scm 66 */
									BgL_auxz00_1879 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1879);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 103 */
			{
				obj_t BgL_l3221z00_864;

				BgL_l3221z00_864 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_forzd2each3222zd2_865:
				if (PAIRP(BgL_l3221z00_864))
					{	/* Ast/venv.scm 104 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l3221z00_864));
						{
							obj_t BgL_l3221z00_1920;

							BgL_l3221z00_1920 = CDR(BgL_l3221z00_864);
							BgL_l3221z00_864 = BgL_l3221z00_1920;
							goto BgL_forzd2each3222zd2_865;
						}
					}
				else
					{	/* Ast/venv.scm 104 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* _additional-heap-restore-globals! */
	obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t
		BgL_envz00_1785)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 103 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 110 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 113 */
				BgL_typez00_bglt BgL_typez00_870;

				{	/* Ast/venv.scm 114 */
					BgL_variablez00_bglt BgL_obj1384z00_1513;

					BgL_obj1384z00_1513 = (BgL_variablez00_bglt) (BgL_newz00_4);
					BgL_typez00_870 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1384z00_1513))->BgL_typez00);
				}
				{	/* Ast/venv.scm 114 */
					BgL_valuez00_bglt BgL_valuez00_871;

					{	/* Ast/venv.scm 115 */
						BgL_variablez00_bglt BgL_obj1387z00_1514;

						BgL_obj1387z00_1514 = (BgL_variablez00_bglt) (BgL_newz00_4);
						BgL_valuez00_871 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1514))->
							BgL_valuez00);
					}
					{	/* Ast/venv.scm 115 */
						obj_t BgL_typezd2idzd2_872;

						BgL_typezd2idzd2_872 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_870))->BgL_idz00);
						{	/* Ast/venv.scm 116 */

							{	/* Ast/venv.scm 118 */
								BgL_typez00_bglt BgL_arg3256z00_873;

								BgL_arg3256z00_873 =
									BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_872);
								{	/* Ast/venv.scm 118 */
									BgL_variablez00_bglt BgL_obj1386z00_1516;
									BgL_typez00_bglt BgL_val1385z00_1517;

									BgL_obj1386z00_1516 = (BgL_variablez00_bglt) (BgL_newz00_4);
									BgL_val1385z00_1517 = BgL_arg3256z00_873;
									((((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1516))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_val1385z00_1517), BUNSPEC);
								}
							}
							{	/* Ast/venv.scm 120 */
								obj_t BgL_method3227z00_1519;

								{	/* Ast/venv.scm 120 */
									BgL_objectz00_bglt BgL_objz00_1520;

									BgL_objz00_1520 = (BgL_objectz00_bglt) (BgL_valuez00_871);
									{	/* Ast/venv.scm 120 */
										long BgL_objzd2classzd2numz00_1521;

										BgL_objzd2classzd2numz00_1521 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1520);
										{	/* Ast/venv.scm 120 */
											obj_t BgL_arg2249z00_1522;

											BgL_arg2249z00_1522 =
												PROCEDURE_REF
												(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
												(int) (((long) 1)));
											{	/* Ast/venv.scm 120 */
												obj_t BgL_arrayz00_1524;
												int BgL_offsetz00_1525;

												BgL_arrayz00_1524 = BgL_arg2249z00_1522;
												BgL_offsetz00_1525 =
													(int) (BgL_objzd2classzd2numz00_1521);
												{	/* Ast/venv.scm 120 */
													long BgL_offsetz00_1526;

													BgL_offsetz00_1526 =
														((long) (BgL_offsetz00_1525) - OBJECT_TYPE);
													{	/* Ast/venv.scm 120 */
														long BgL_modz00_1527;

														{	/* Ast/venv.scm 120 */
															int BgL_arg2251z00_1528;

															BgL_arg2251z00_1528 = (int) (((long) 8));
															{	/* Ast/venv.scm 120 */
																long BgL_auxz00_1940;

																BgL_auxz00_1940 = (long) (BgL_arg2251z00_1528);
																BgL_modz00_1527 =
																	(BgL_offsetz00_1526 / BgL_auxz00_1940);
														}}
														{	/* Ast/venv.scm 120 */
															long BgL_restz00_1529;

															{	/* Ast/venv.scm 120 */
																int BgL_arg2250z00_1530;

																BgL_arg2250z00_1530 = (int) (((long) 8));
																{	/* Ast/venv.scm 120 */
																	long BgL_auxz00_1944;

																	BgL_auxz00_1944 =
																		(long) (BgL_arg2250z00_1530);
																	BgL_restz00_1529 =
																		(BgL_offsetz00_1526 % BgL_auxz00_1944);
															}}
															{	/* Ast/venv.scm 120 */

																BgL_method3227z00_1519 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1524,
																		(int) (BgL_modz00_1527)),
																	(int) (BgL_restz00_1529));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3227z00_1519) (BgL_method3227z00_1519,
									(obj_t) (BgL_valuez00_871), BEOA);
							}
							{	/* Ast/venv.scm 122 */
								bool_t BgL_testz00_1954;

								{	/* Ast/venv.scm 122 */
									bool_t BgL_testz00_1955;

									{	/* Ast/venv.scm 122 */
										obj_t BgL_arg3266z00_883;

										BgL_arg3266z00_883 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Ast/venv.scm 122 */
											BgL_backendz00_bglt BgL_obj3081z00_1544;

											BgL_obj3081z00_1544 =
												(BgL_backendz00_bglt) (BgL_arg3266z00_883);
											BgL_testz00_1955 =
												(((BgL_backendz00_bglt) CREF(BgL_obj3081z00_1544))->
												BgL_qualifiedzd2typeszd2);
									}}
									if (BgL_testz00_1955)
										{	/* Ast/venv.scm 123 */
											bool_t BgL_testz00_1959;

											{	/* Ast/venv.scm 123 */
												obj_t BgL_auxz00_1960;

												{	/* Ast/venv.scm 123 */
													BgL_globalz00_bglt BgL_obj1452z00_1545;

													BgL_obj1452z00_1545 =
														(BgL_globalz00_bglt) (BgL_newz00_4);
													BgL_auxz00_1960 =
														(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1545))->
														BgL_modulez00);
												}
												BgL_testz00_1959 =
													(BgL_auxz00_1960 == CNST_TABLE_REF(((long) 1)));
											}
											if (BgL_testz00_1959)
												{	/* Ast/venv.scm 123 */
													BgL_testz00_1954 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 123 */
													BgL_testz00_1954 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 122 */
											BgL_testz00_1954 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_1954)
									{	/* Ast/venv.scm 124 */
										obj_t BgL_arg3258z00_875;
										obj_t BgL_arg3259z00_876;
										obj_t BgL_arg3260z00_877;

										{	/* Ast/venv.scm 124 */
											BgL_globalz00_bglt BgL_obj1452z00_1546;

											BgL_obj1452z00_1546 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3258z00_875 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1546))->
												BgL_modulez00);
										}
										{	/* Ast/venv.scm 125 */
											BgL_globalz00_bglt BgL_obj1473z00_1547;

											BgL_obj1473z00_1547 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3259z00_876 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1473z00_1547))->
												BgL_jvmzd2typezd2namez00);
										}
										BgL_arg3260z00_877 =
											BGl_shapez00zztools_shapez00(BgL_newz00_4);
										{	/* Ast/venv.scm 124 */
											obj_t BgL_list3261z00_878;

											BgL_list3261z00_878 = MAKE_PAIR(BgL_arg3260z00_877, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg3258z00_875, BgL_arg3259z00_876,
												BgL_list3261z00_878);
										}
									}
								else
									{	/* Ast/venv.scm 122 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* _restore-global! */
	obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_1786,
		obj_t BgL_newz00_1787)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 110 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_1787);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 145 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* _already-restored? */
	obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_1790,
		obj_t BgL_funz00_1791)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 145 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_1791);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* _get-genv */
	obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_1792)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* _initialize-Genv! */
	obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_1793)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_13,
		obj_t BgL_modulez00_14)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			{	/* Ast/venv.scm 233 */
				obj_t BgL_bucketz00_885;
				obj_t BgL_modulez00_886;

				BgL_bucketz00_885 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_13);
				if (NULLP(BgL_modulez00_14))
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_886 = BNIL;
					}
				else
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_886 = CAR(BgL_modulez00_14);
					}
				if (PAIRP(BgL_bucketz00_885))
					{	/* Ast/venv.scm 236 */
						if (NULLP(CDR(BgL_bucketz00_885)))
							{	/* Ast/venv.scm 238 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 238 */
								if (NULLP(BgL_modulez00_886))
									{	/* Ast/venv.scm 241 */
										obj_t BgL_pairz00_1554;

										BgL_pairz00_1554 = BgL_bucketz00_885;
										return CAR(CDR(BgL_pairz00_1554));
									}
								else
									{
										obj_t BgL_globalsz00_891;

										BgL_globalsz00_891 = CDR(BgL_bucketz00_885);
									BgL_loopz00_892:
										if (NULLP(BgL_globalsz00_891))
											{	/* Ast/venv.scm 245 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 247 */
												bool_t BgL_testz00_1992;

												{	/* Ast/venv.scm 247 */
													obj_t BgL_auxz00_1993;

													{	/* Ast/venv.scm 247 */
														BgL_globalz00_bglt BgL_obj1452z00_1561;

														{	/* Ast/venv.scm 247 */
															obj_t BgL_pairz00_1560;

															BgL_pairz00_1560 = BgL_globalsz00_891;
															{	/* Ast/venv.scm 247 */
																obj_t BgL_auxz00_1994;

																BgL_auxz00_1994 = CAR(BgL_pairz00_1560);
																BgL_obj1452z00_1561 =
																	(BgL_globalz00_bglt) (BgL_auxz00_1994);
															}
														}
														BgL_auxz00_1993 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1452z00_1561))->BgL_modulez00);
													}
													BgL_testz00_1992 =
														(BgL_auxz00_1993 == BgL_modulez00_886);
												}
												if (BgL_testz00_1992)
													{	/* Ast/venv.scm 247 */
														return CAR(BgL_globalsz00_891);
													}
												else
													{
														obj_t BgL_globalsz00_2000;

														BgL_globalsz00_2000 = CDR(BgL_globalsz00_891);
														BgL_globalsz00_891 = BgL_globalsz00_2000;
														goto BgL_loopz00_892;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 236 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global3481 */
	obj_t BGl__findzd2global3481zd2zzast_envz00(obj_t BgL_envz00_1794,
		obj_t BgL_idz00_1795, obj_t BgL_modulez00_1796)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1795, BgL_modulez00_1796);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_15, obj_t BgL_modulez00_16)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			{	/* Ast/venv.scm 256 */
				obj_t BgL_bucketz00_900;

				BgL_bucketz00_900 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_15);
				if (PAIRP(BgL_bucketz00_900))
					{	/* Ast/venv.scm 258 */
						if (NULLP(CDR(BgL_bucketz00_900)))
							{	/* Ast/venv.scm 260 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_905;

								BgL_globalsz00_905 = CDR(BgL_bucketz00_900);
							BgL_loopz00_906:
								if (NULLP(BgL_globalsz00_905))
									{	/* Ast/venv.scm 267 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 269 */
										bool_t BgL_testz00_2012;

										{	/* Ast/venv.scm 269 */
											obj_t BgL_auxz00_2013;

											{	/* Ast/venv.scm 269 */
												BgL_globalz00_bglt BgL_obj1452z00_1575;

												{	/* Ast/venv.scm 269 */
													obj_t BgL_pairz00_1574;

													BgL_pairz00_1574 = BgL_globalsz00_905;
													{	/* Ast/venv.scm 269 */
														obj_t BgL_auxz00_2014;

														BgL_auxz00_2014 = CAR(BgL_pairz00_1574);
														BgL_obj1452z00_1575 =
															(BgL_globalz00_bglt) (BgL_auxz00_2014);
													}
												}
												BgL_auxz00_2013 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1575))->
													BgL_modulez00);
											}
											BgL_testz00_2012 = (BgL_auxz00_2013 == BgL_modulez00_16);
										}
										if (BgL_testz00_2012)
											{	/* Ast/venv.scm 269 */
												return CAR(BgL_globalsz00_905);
											}
										else
											{
												obj_t BgL_globalsz00_2020;

												BgL_globalsz00_2020 = CDR(BgL_globalsz00_905);
												BgL_globalsz00_905 = BgL_globalsz00_2020;
												goto BgL_loopz00_906;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 258 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global/module3482 */
	obj_t BGl__findzd2globalzf2module3482z20zzast_envz00(obj_t BgL_envz00_1797,
		obj_t BgL_idz00_1798, obj_t BgL_modulez00_1799)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1798,
				BgL_modulez00_1799);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_17,
		obj_t BgL_oz00_18, obj_t BgL_msgz00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			{	/* Ast/venv.scm 278 */
				bool_t BgL_testz00_2024;

				{	/* Ast/venv.scm 278 */
					bool_t BgL_testz00_2025;

					{	/* Ast/venv.scm 278 */
						int BgL_arg3305z00_936;

						BgL_arg3305z00_936 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_2025 = ((long) (BgL_arg3305z00_936) > ((long) 0));
					}
					if (BgL_testz00_2025)
						{	/* Ast/venv.scm 278 */
							BgL_testz00_2024 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 278 */
							BgL_testz00_2024 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2024)
					{	/* Ast/venv.scm 280 */
						obj_t BgL_locz00_915;
						obj_t BgL_oldz00_916;
						obj_t BgL_newz00_917;
						obj_t BgL_msgz00_918;

						{	/* Ast/venv.scm 280 */
							obj_t BgL_arg3288z00_919;

							{	/* Ast/venv.scm 280 */
								BgL_globalz00_bglt BgL_obj1470z00_1580;

								BgL_obj1470z00_1580 = (BgL_globalz00_bglt) (BgL_oz00_18);
								BgL_arg3288z00_919 =
									(((BgL_globalz00_bglt) CREF(BgL_obj1470z00_1580))->
									BgL_srcz00);
							}
							BgL_locz00_915 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg3288z00_919);
						}
						{	/* Ast/venv.scm 281 */
							obj_t BgL_arg3289z00_920;
							obj_t BgL_arg3290z00_921;

							BgL_arg3289z00_920 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 281 */
								obj_t BgL_arg3291z00_922;
								obj_t BgL_arg3292z00_923;

								{	/* Ast/venv.scm 281 */
									BgL_variablez00_bglt BgL_obj1379z00_1581;

									BgL_obj1379z00_1581 = (BgL_variablez00_bglt) (BgL_oz00_18);
									BgL_arg3291z00_922 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1581))->
										BgL_idz00);
								}
								{	/* Ast/venv.scm 281 */
									BgL_globalz00_bglt BgL_obj1452z00_1582;

									BgL_obj1452z00_1582 = (BgL_globalz00_bglt) (BgL_oz00_18);
									BgL_arg3292z00_923 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1582))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 281 */
									obj_t BgL_list3294z00_925;

									{	/* Ast/venv.scm 281 */
										obj_t BgL_arg3295z00_926;

										BgL_arg3295z00_926 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3294z00_925 =
											MAKE_PAIR(BgL_arg3292z00_923, BgL_arg3295z00_926);
									}
									BgL_arg3290z00_921 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3291z00_922, BgL_list3294z00_925);
							}}
							BgL_oldz00_916 =
								MAKE_PAIR(BgL_arg3289z00_920, BgL_arg3290z00_921);
						}
						{	/* Ast/venv.scm 282 */
							obj_t BgL_arg3296z00_927;
							obj_t BgL_arg3297z00_928;

							BgL_arg3296z00_927 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 282 */
								obj_t BgL_arg3298z00_929;
								obj_t BgL_arg3299z00_930;

								{	/* Ast/venv.scm 282 */
									BgL_variablez00_bglt BgL_obj1379z00_1583;

									BgL_obj1379z00_1583 = (BgL_variablez00_bglt) (BgL_nz00_17);
									BgL_arg3298z00_929 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1583))->
										BgL_idz00);
								}
								{	/* Ast/venv.scm 282 */
									BgL_globalz00_bglt BgL_obj1452z00_1584;

									BgL_obj1452z00_1584 = (BgL_globalz00_bglt) (BgL_nz00_17);
									BgL_arg3299z00_930 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1584))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 282 */
									obj_t BgL_list3301z00_932;

									{	/* Ast/venv.scm 282 */
										obj_t BgL_arg3302z00_933;

										BgL_arg3302z00_933 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3301z00_932 =
											MAKE_PAIR(BgL_arg3299z00_930, BgL_arg3302z00_933);
									}
									BgL_arg3297z00_928 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3298z00_929, BgL_list3301z00_932);
							}}
							BgL_newz00_917 =
								MAKE_PAIR(BgL_arg3296z00_927, BgL_arg3297z00_928);
						}
						if (PAIRP(BgL_msgz00_19))
							{	/* Ast/venv.scm 283 */
								BgL_msgz00_918 = CAR(BgL_msgz00_19);
							}
						else
							{	/* Ast/venv.scm 283 */
								BgL_msgz00_918 = BGl_string3487z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_915))
							{	/* Ast/venv.scm 284 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_915, BgL_oldz00_916, BgL_msgz00_918,
									BgL_newz00_917);
							}
						else
							{	/* Ast/venv.scm 284 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_916,
									BgL_msgz00_918, BgL_newz00_917);
							}
					}
				else
					{	/* Ast/venv.scm 278 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_20,
		obj_t BgL_srcz00_21)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 291 */
			{	/* Ast/venv.scm 293 */
				obj_t BgL_locz00_939;

				BgL_locz00_939 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_21);
				if (CBOOL(BgL_locz00_939))
					{	/* Ast/venv.scm 296 */
						obj_t BgL_arg3307z00_941;
						obj_t BgL_arg3308z00_942;

						{	/* Ast/venv.scm 296 */
							BgL_globalz00_bglt BgL_obj1452z00_1587;

							BgL_obj1452z00_1587 = (BgL_globalz00_bglt) (BgL_oz00_20);
							BgL_arg3307z00_941 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1587))->
								BgL_modulez00);
						}
						BgL_arg3308z00_942 = BGl_shapez00zztools_shapez00(BgL_oz00_20);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_939,
							BgL_arg3307z00_941, BGl_string3488z00zzast_envz00,
							BgL_arg3308z00_942, BNIL);
					}
				else
					{	/* Ast/venv.scm 297 */
						obj_t BgL_arg3310z00_944;
						obj_t BgL_arg3311z00_945;

						{	/* Ast/venv.scm 297 */
							BgL_globalz00_bglt BgL_obj1452z00_1588;

							BgL_obj1452z00_1588 = (BgL_globalz00_bglt) (BgL_oz00_20);
							BgL_arg3310z00_944 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1588))->
								BgL_modulez00);
						}
						BgL_arg3311z00_945 = BGl_shapez00zztools_shapez00(BgL_oz00_20);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg3310z00_944,
							BGl_string3488z00zzast_envz00, BgL_arg3311z00_945, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_22,
		obj_t BgL_srcz00_23)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 302 */
			{	/* Ast/venv.scm 304 */
				obj_t BgL_locz00_948;

				BgL_locz00_948 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_23);
				if (CBOOL(BgL_locz00_948))
					{	/* Ast/venv.scm 307 */
						obj_t BgL_arg3313z00_950;
						obj_t BgL_arg3314z00_951;

						{	/* Ast/venv.scm 307 */
							BgL_globalz00_bglt BgL_obj1452z00_1589;

							BgL_obj1452z00_1589 = (BgL_globalz00_bglt) (BgL_oz00_22);
							BgL_arg3313z00_950 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1589))->
								BgL_modulez00);
						}
						BgL_arg3314z00_951 = BGl_shapez00zztools_shapez00(BgL_oz00_22);
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_948,
							BgL_arg3313z00_950, BGl_string3488z00zzast_envz00,
							BgL_arg3314z00_951);
					}
				else
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg3315z00_952;
						obj_t BgL_arg3316z00_953;

						{	/* Ast/venv.scm 308 */
							BgL_globalz00_bglt BgL_obj1452z00_1590;

							BgL_obj1452z00_1590 = (BgL_globalz00_bglt) (BgL_oz00_22);
							BgL_arg3315z00_952 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1590))->
								BgL_modulez00);
						}
						BgL_arg3316z00_953 = BGl_shapez00zztools_shapez00(BgL_oz00_22);
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg3315z00_952,
							BGl_string3488z00zzast_envz00, BgL_arg3316z00_953);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_24, obj_t BgL_modulez00_25, BgL_valuez00_bglt BgL_valuez00_26,
		obj_t BgL_importz00_27, obj_t BgL_srcz00_28)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 325 */
			{	/* Ast/venv.scm 328 */
				obj_t BgL_oldz00_954;

				{	/* Ast/venv.scm 328 */
					obj_t BgL_list3350z00_991;

					BgL_list3350z00_991 = MAKE_PAIR(BgL_modulez00_25, BNIL);
					BgL_oldz00_954 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_24, BgL_list3350z00_991);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_954,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 329 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 331 */
								return (BgL_globalz00_bglt) (BgL_oldz00_954);
							}
						else
							{	/* Ast/venv.scm 333 */
								bool_t BgL_testz00_2087;

								{	/* Ast/venv.scm 333 */
									obj_t BgL_auxz00_2088;

									{	/* Ast/venv.scm 333 */
										BgL_globalz00_bglt BgL_obj1452z00_1592;

										BgL_obj1452z00_1592 = (BgL_globalz00_bglt) (BgL_oldz00_954);
										BgL_auxz00_2088 =
											(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1592))->
											BgL_modulez00);
									}
									BgL_testz00_2087 = (BgL_modulez00_25 == BgL_auxz00_2088);
								}
								if (BgL_testz00_2087)
									{	/* Ast/venv.scm 333 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_954, BgL_srcz00_28);
										return (BgL_globalz00_bglt) (BgL_oldz00_954);
									}
								else
									{	/* Ast/venv.scm 337 */
										obj_t BgL_auxz00_2094;

										BgL_auxz00_2094 =
											BGl_errorzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_954, BgL_srcz00_28);
										return (BgL_globalz00_bglt) (BgL_auxz00_2094);
									}
							}
					}
				else
					{	/* Ast/venv.scm 338 */
						obj_t BgL_bucketz00_958;
						BgL_globalz00_bglt BgL_newz00_959;

						BgL_bucketz00_958 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_24);
						{	/* Ast/var.scm 32 */
							obj_t BgL_arg3344z00_985;
							obj_t BgL_arg3345z00_986;
							obj_t BgL_arg3348z00_989;

							BgL_arg3344z00_985 = CNST_TABLE_REF(((long) 3));
							BgL_arg3345z00_986 = CNST_TABLE_REF(((long) 4));
							if ((BgL_importz00_27 == CNST_TABLE_REF(((long) 5))))
								{	/* Ast/venv.scm 341 */
									BgL_arg3348z00_989 = BGl_string3489z00zzast_envz00;
								}
							else
								{	/* Ast/venv.scm 341 */
									BgL_arg3348z00_989 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_modulez00_25);
								}
							BgL_newz00_959 =
								BGl_makezd2globalzd2zzast_varz00(BgL_idz00_24, BFALSE,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
								BgL_valuez00_26, BgL_arg3344z00_985, BUNSPEC,
								BgL_arg3345z00_986, ((long) 0), BgL_modulez00_25,
								BgL_importz00_27, ((bool_t) 1), BFALSE, ((bool_t) 1), BNIL,
								BgL_srcz00_28, BgL_arg3348z00_989);
						}
						{	/* Ast/venv.scm 349 */
							bool_t BgL_testz00_2106;

							if (PAIRP(BgL_bucketz00_958))
								{	/* Ast/venv.scm 349 */
									BgL_testz00_2106 = NULLP(CDR(BgL_bucketz00_958));
								}
							else
								{	/* Ast/venv.scm 349 */
									BgL_testz00_2106 = ((bool_t) 1);
								}
							if (BgL_testz00_2106)
								{	/* Ast/venv.scm 349 */
									{	/* Ast/venv.scm 351 */
										obj_t BgL_arg3321z00_961;

										{	/* Ast/venv.scm 351 */
											obj_t BgL_list3322z00_962;

											{	/* Ast/venv.scm 351 */
												obj_t BgL_arg3323z00_963;

												BgL_arg3323z00_963 =
													MAKE_PAIR((obj_t) (BgL_newz00_959), BNIL);
												BgL_list3322z00_962 =
													MAKE_PAIR(BgL_idz00_24, BgL_arg3323z00_963);
											}
											BgL_arg3321z00_961 = BgL_list3322z00_962;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_24,
											BgL_arg3321z00_961);
									}
									return BgL_newz00_959;
								}
							else
								{	/* Ast/venv.scm 354 */
									obj_t BgL_oldza2za2_964;

									BgL_oldza2za2_964 = CDR(BgL_bucketz00_958);
									{	/* Ast/venv.scm 354 */
										obj_t BgL_midz00_965;

										{	/* Ast/venv.scm 356 */
											obj_t BgL_arg3339z00_981;

											{	/* Ast/venv.scm 356 */
												BgL_globalz00_bglt BgL_obj1452z00_1600;

												{	/* Ast/venv.scm 356 */
													obj_t BgL_pairz00_1599;

													BgL_pairz00_1599 = BgL_oldza2za2_964;
													{	/* Ast/venv.scm 356 */
														obj_t BgL_auxz00_2116;

														BgL_auxz00_2116 = CAR(BgL_pairz00_1599);
														BgL_obj1452z00_1600 =
															(BgL_globalz00_bglt) (BgL_auxz00_2116);
													}
												}
												BgL_arg3339z00_981 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1600))->
													BgL_modulez00);
											}
											BgL_midz00_965 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg3339z00_981);
										}
										{	/* Ast/venv.scm 355 */

											{	/* Ast/venv.scm 358 */
												bool_t BgL_testz00_2121;

												{	/* Ast/venv.scm 358 */
													obj_t BgL_arg3337z00_979;

													{	/* Ast/venv.scm 358 */
														BgL_globalz00_bglt BgL_obj1452z00_1602;

														{	/* Ast/venv.scm 358 */
															obj_t BgL_pairz00_1601;

															BgL_pairz00_1601 = BgL_oldza2za2_964;
															{	/* Ast/venv.scm 358 */
																obj_t BgL_auxz00_2122;

																BgL_auxz00_2122 = CAR(BgL_pairz00_1601);
																BgL_obj1452z00_1602 =
																	(BgL_globalz00_bglt) (BgL_auxz00_2122);
															}
														}
														BgL_arg3337z00_979 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1452z00_1602))->BgL_modulez00);
													}
													BgL_testz00_2121 =
														(BgL_arg3337z00_979 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_2121)
													{	/* Ast/venv.scm 358 */
														{	/* Ast/venv.scm 360 */
															bool_t BgL_testz00_2127;

															if ((BgL_idz00_24 == BgL_midz00_965))
																{	/* Ast/venv.scm 360 */
																	BgL_testz00_2127 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 360 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 360 */
																			BgL_testz00_2127 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 360 */
																			BgL_testz00_2127 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2127)
																{	/* Ast/venv.scm 361 */
																	obj_t BgL_arg3326z00_968;

																	BgL_arg3326z00_968 = CAR(BgL_oldza2za2_964);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(BgL_arg3326z00_968,
																		(obj_t) (BgL_newz00_959), BNIL);
																}
															else
																{	/* Ast/venv.scm 360 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 362 */
															obj_t BgL_arg3329z00_971;
															obj_t BgL_arg3331z00_972;

															BgL_arg3329z00_971 = CDR(BgL_bucketz00_958);
															{	/* Ast/venv.scm 362 */
																obj_t BgL_arg3332z00_973;

																{	/* Ast/venv.scm 362 */
																	obj_t BgL_pairz00_1605;

																	BgL_pairz00_1605 = BgL_bucketz00_958;
																	BgL_arg3332z00_973 =
																		CDR(CDR(BgL_pairz00_1605));
																}
																BgL_arg3331z00_972 =
																	MAKE_PAIR(
																	(obj_t) (BgL_newz00_959), BgL_arg3332z00_973);
															}
															SET_CDR(BgL_arg3329z00_971, BgL_arg3331z00_972);
														}
														return BgL_newz00_959;
													}
												else
													{	/* Ast/venv.scm 365 */
														obj_t BgL_newza2za2_974;

														BgL_newza2za2_974 =
															MAKE_PAIR(
															(obj_t) (BgL_newz00_959), BgL_oldza2za2_964);
														{	/* Ast/venv.scm 366 */
															bool_t BgL_testz00_2143;

															if ((BgL_idz00_24 == BgL_midz00_965))
																{	/* Ast/venv.scm 366 */
																	BgL_testz00_2143 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 366 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 366 */
																			BgL_testz00_2143 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 366 */
																			BgL_testz00_2143 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2143)
																{	/* Ast/venv.scm 367 */
																	obj_t BgL_arg3334z00_976;

																	BgL_arg3334z00_976 = CAR(BgL_oldza2za2_964);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		((obj_t) (BgL_newz00_959),
																		BgL_arg3334z00_976, BNIL);
																}
															else
																{	/* Ast/venv.scm 366 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_958, BgL_newza2za2_974);
														return BgL_newz00_959;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* _bind-global!3483 */
	obj_t BGl__bindzd2globalz123483zc0zzast_envz00(obj_t BgL_envz00_1800,
		obj_t BgL_idz00_1801, obj_t BgL_modulez00_1802, obj_t BgL_valuez00_1803,
		obj_t BgL_importz00_1804, obj_t BgL_srcz00_1805)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 325 */
			{	/* Ast/venv.scm 328 */
				BgL_globalz00_bglt BgL_auxz00_2152;

				BgL_auxz00_2152 =
					BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1801,
					BgL_modulez00_1802, (BgL_valuez00_bglt) (BgL_valuez00_1803),
					BgL_importz00_1804, BgL_srcz00_1805);
				return (obj_t) (BgL_auxz00_2152);
			}
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_29, obj_t BgL_modulez00_30)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 374 */
			{	/* Ast/venv.scm 375 */
				obj_t BgL_globalz00_992;

				{	/* Ast/venv.scm 375 */
					obj_t BgL_list3365z00_1012;

					BgL_list3365z00_1012 = MAKE_PAIR(BgL_modulez00_30, BNIL);
					BgL_globalz00_992 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_29,
						BgL_list3365z00_1012);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_992,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 378 */
						obj_t BgL_bucketz00_994;

						BgL_bucketz00_994 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_29);
						{	/* Ast/venv.scm 379 */
							obj_t BgL_g3215z00_995;

							BgL_g3215z00_995 = CDR(BgL_bucketz00_994);
							{
								obj_t BgL_curz00_996;
								obj_t BgL_prevz00_997;

								BgL_curz00_996 = BgL_g3215z00_995;
								BgL_prevz00_997 = BgL_bucketz00_994;
							BgL_loopz00_998:
								if ((CAR(BgL_curz00_996) == BgL_globalz00_992))
									{	/* Ast/venv.scm 382 */
										obj_t BgL_auxz00_2165;

										BgL_auxz00_2165 = CDR(BgL_curz00_996);
										return SET_CDR(BgL_prevz00_997, BgL_auxz00_2165);
									}
								else
									{
										obj_t BgL_prevz00_2170;
										obj_t BgL_curz00_2168;

										BgL_curz00_2168 = CDR(BgL_curz00_996);
										BgL_prevz00_2170 = CDR(BgL_prevz00_997);
										BgL_prevz00_997 = BgL_prevz00_2170;
										BgL_curz00_996 = BgL_curz00_2168;
										goto BgL_loopz00_998;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 377 */
						obj_t BgL_arg3359z00_1006;

						{	/* Ast/venv.scm 377 */
							obj_t BgL_arg3361z00_1008;
							obj_t BgL_arg3362z00_1009;

							BgL_arg3361z00_1008 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 377 */
								obj_t BgL_list3363z00_1010;

								{	/* Ast/venv.scm 377 */
									obj_t BgL_arg3364z00_1011;

									BgL_arg3364z00_1011 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3363z00_1010 =
										MAKE_PAIR(BgL_modulez00_30, BgL_arg3364z00_1011);
								}
								BgL_arg3362z00_1009 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_idz00_29,
									BgL_list3363z00_1010);
							}
							BgL_arg3359z00_1006 =
								MAKE_PAIR(BgL_arg3361z00_1008, BgL_arg3362z00_1009);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string3490z00zzast_envz00,
							BGl_string3491z00zzast_envz00, BgL_arg3359z00_1006, BNIL);
					}
			}
		}
	}



/* _unbind-global!3484 */
	obj_t BGl__unbindzd2globalz123484zc0zzast_envz00(obj_t BgL_envz00_1806,
		obj_t BgL_idz00_1807, obj_t BgL_modulez00_1808)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 374 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_1807,
				BgL_modulez00_1808);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_31, obj_t BgL_envz00_32)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 388 */
			{	/* Ast/venv.scm 389 */
				obj_t BgL_arg3366z00_1013;

				if (NULLP(BgL_envz00_32))
					{	/* Ast/venv.scm 389 */
						BgL_arg3366z00_1013 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 389 */
						BgL_arg3366z00_1013 = CAR(BgL_envz00_32);
					}
				{	/* Ast/venv.scm 390 */
					obj_t BgL_zc3anonymousza33369ze3z83_1809;

					BgL_zc3anonymousza33369ze3z83_1809 =
						make_fx_procedure(BGl_zc3anonymousza33369ze3z83zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33369ze3z83_1809,
						(int) (((long) 0)), BgL_procz00_31);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg3366z00_1013,
						BgL_zc3anonymousza33369ze3z83_1809);
				}
			}
		}
	}



/* _for-each-global!3485 */
	obj_t BGl__forzd2eachzd2globalz123485z12zzast_envz00(obj_t BgL_envz00_1810,
		obj_t BgL_procz00_1811, obj_t BgL_envz00_1812)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 388 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_1811,
				BgL_envz00_1812);
		}
	}



/* <anonymous:3369> */
	obj_t BGl_zc3anonymousza33369ze3z83zzast_envz00(obj_t BgL_envz00_1813,
		obj_t BgL_kz00_1815, obj_t BgL_bucketz00_1816)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 390 */
			{	/* Ast/venv.scm 390 */
				obj_t BgL_procz00_1814;

				BgL_procz00_1814 = PROCEDURE_REF(BgL_envz00_1813, (int) (((long) 0)));
				{
					obj_t BgL_kz00_1016;
					obj_t BgL_bucketz00_1017;

					{	/* Ast/venv.scm 390 */
						bool_t BgL_auxz00_2191;

						BgL_kz00_1016 = BgL_kz00_1815;
						BgL_bucketz00_1017 = BgL_bucketz00_1816;
						{	/* Ast/venv.scm 390 */
							obj_t BgL_g3225z00_1019;

							BgL_g3225z00_1019 = CDR(BgL_bucketz00_1017);
							{
								obj_t BgL_l3223z00_1020;

								BgL_l3223z00_1020 = BgL_g3225z00_1019;
							BgL_forzd2each3224zd2_1021:
								if (PAIRP(BgL_l3223z00_1020))
									{	/* Ast/venv.scm 390 */
										{	/* Ast/venv.scm 390 */
											obj_t BgL_arg3371z00_1023;

											BgL_arg3371z00_1023 = CAR(BgL_l3223z00_1020);
											PROCEDURE_ENTRY(BgL_procz00_1814) (BgL_procz00_1814,
												BgL_arg3371z00_1023, BEOA);
										}
										{
											obj_t BgL_l3223z00_2198;

											BgL_l3223z00_2198 = CDR(BgL_l3223z00_1020);
											BgL_l3223z00_1020 = BgL_l3223z00_2198;
											goto BgL_forzd2each3224zd2_1021;
										}
									}
								else
									{	/* Ast/venv.scm 390 */
										BgL_auxz00_2191 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_2191);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_33, obj_t BgL_modulez00_34)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 395 */
			{	/* Ast/venv.scm 396 */
				obj_t BgL_bucketz00_1026;

				BgL_bucketz00_1026 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_33);
				if (PAIRP(BgL_bucketz00_1026))
					{
						obj_t BgL_globalsz00_1029;
						long BgL_posz00_1030;

						{	/* Ast/venv.scm 399 */
							long BgL_auxz00_2204;

							BgL_globalsz00_1029 = CDR(BgL_bucketz00_1026);
							BgL_posz00_1030 = ((long) 0);
						BgL_loopz00_1031:
							if (NULLP(BgL_globalsz00_1029))
								{	/* Ast/venv.scm 402 */
									BgL_auxz00_2204 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 404 */
									bool_t BgL_testz00_2207;

									{	/* Ast/venv.scm 404 */
										obj_t BgL_auxz00_2208;

										{	/* Ast/venv.scm 404 */
											BgL_globalz00_bglt BgL_obj1452z00_1632;

											{	/* Ast/venv.scm 404 */
												obj_t BgL_pairz00_1631;

												BgL_pairz00_1631 = BgL_globalsz00_1029;
												{	/* Ast/venv.scm 404 */
													obj_t BgL_auxz00_2209;

													BgL_auxz00_2209 = CAR(BgL_pairz00_1631);
													BgL_obj1452z00_1632 =
														(BgL_globalz00_bglt) (BgL_auxz00_2209);
												}
											}
											BgL_auxz00_2208 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1632))->
												BgL_modulez00);
										}
										BgL_testz00_2207 = (BgL_auxz00_2208 == BgL_modulez00_34);
									}
									if (BgL_testz00_2207)
										{	/* Ast/venv.scm 404 */
											BgL_auxz00_2204 = BgL_posz00_1030;
										}
									else
										{
											long BgL_posz00_2216;
											obj_t BgL_globalsz00_2214;

											BgL_globalsz00_2214 = CDR(BgL_globalsz00_1029);
											BgL_posz00_2216 = (BgL_posz00_1030 + ((long) 1));
											BgL_posz00_1030 = BgL_posz00_2216;
											BgL_globalsz00_1029 = BgL_globalsz00_2214;
											goto BgL_loopz00_1031;
										}
								}
							return BINT(BgL_auxz00_2204);
						}
					}
				else
					{	/* Ast/venv.scm 397 */
						return BINT(((long) -1));
		}}}
	}



/* _global-bucket-posit3486 */
	obj_t BGl__globalzd2bucketzd2posit3486z00zzast_envz00(obj_t BgL_envz00_1817,
		obj_t BgL_idz00_1818, obj_t BgL_modulez00_1819)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 395 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_1818,
				BgL_modulez00_1819);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_restorezd2valuezd2typesz123226zd2envzc0zzast_envz00);
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123229z12_1823;

				BgL_restorezd2valuezd2typesz123229z12_1823 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123229z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_funz00zzast_varz00, BgL_restorezd2valuezd2typesz123229z12_1823);
			}
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123231z12_1822;

				BgL_restorezd2valuezd2typesz123231z12_1822 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123231z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_sfunz00zzast_varz00, BgL_restorezd2valuezd2typesz123231z12_1822);
			}
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123233z12_1821;

				BgL_restorezd2valuezd2typesz123233z12_1821 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123233z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_isfunz00zzinline_inlinez00,
					BgL_restorezd2valuezd2typesz123233z12_1821);
			}
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123235z12_1820;

				BgL_restorezd2valuezd2typesz123235z12_1820 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123235z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_cfunz00zzast_varz00, BgL_restorezd2valuezd2typesz123235z12_1820);
			}
		}
	}



/* restore-value-types!3235 */
	obj_t BGl_restorezd2valuezd2typesz123235z12zzast_envz00(obj_t BgL_envz00_1824,
		obj_t BgL_valuez00_1825)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 207 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1468;

				{	/* Ast/venv.scm 207 */
					bool_t BgL_auxz00_2239;

					BgL_valuez00_1468 = (BgL_cfunz00_bglt) (BgL_valuez00_1825);
					{

						{	/* Ast/venv.scm 207 */
							obj_t BgL_nextzd2method3234zd2_1480;

							BgL_nextzd2method3234zd2_1480 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_valuez00_1468),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							if (PROCEDUREP(BgL_nextzd2method3234zd2_1480))
								{	/* Ast/venv.scm 207 */
									PROCEDURE_ENTRY(BgL_nextzd2method3234zd2_1480)
										(BgL_nextzd2method3234zd2_1480, (obj_t) (BgL_valuez00_1468),
										BEOA);
								}
							else
								{	/* Ast/venv.scm 207 */
									{	/* Ast/venv.scm 207 */
										BgL_valuez00_bglt BgL_valuez00_1726;

										BgL_valuez00_1726 = (BgL_valuez00_bglt) (BgL_valuez00_1468);
										{	/* Ast/venv.scm 207 */
											obj_t BgL_method3227z00_1727;

											{	/* Ast/venv.scm 207 */
												BgL_objectz00_bglt BgL_objz00_1728;

												BgL_objz00_1728 =
													(BgL_objectz00_bglt) (BgL_valuez00_1726);
												{	/* Ast/venv.scm 207 */
													long BgL_objzd2classzd2numz00_1729;

													BgL_objzd2classzd2numz00_1729 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1728);
													{	/* Ast/venv.scm 207 */
														obj_t BgL_arg2249z00_1730;

														BgL_arg2249z00_1730 =
															PROCEDURE_REF
															(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
															(int) (((long) 1)));
														{	/* Ast/venv.scm 207 */
															obj_t BgL_arrayz00_1732;
															int BgL_offsetz00_1733;

															BgL_arrayz00_1732 = BgL_arg2249z00_1730;
															BgL_offsetz00_1733 =
																(int) (BgL_objzd2classzd2numz00_1729);
															{	/* Ast/venv.scm 207 */
																long BgL_offsetz00_1734;

																BgL_offsetz00_1734 =
																	((long) (BgL_offsetz00_1733) - OBJECT_TYPE);
																{	/* Ast/venv.scm 207 */
																	long BgL_modz00_1735;

																	{	/* Ast/venv.scm 207 */
																		int BgL_arg2251z00_1736;

																		BgL_arg2251z00_1736 = (int) (((long) 8));
																		{	/* Ast/venv.scm 207 */
																			long BgL_auxz00_2256;

																			BgL_auxz00_2256 =
																				(long) (BgL_arg2251z00_1736);
																			BgL_modz00_1735 =
																				(BgL_offsetz00_1734 / BgL_auxz00_2256);
																	}}
																	{	/* Ast/venv.scm 207 */
																		long BgL_restz00_1737;

																		{	/* Ast/venv.scm 207 */
																			int BgL_arg2250z00_1738;

																			BgL_arg2250z00_1738 = (int) (((long) 8));
																			{	/* Ast/venv.scm 207 */
																				long BgL_auxz00_2260;

																				BgL_auxz00_2260 =
																					(long) (BgL_arg2250z00_1738);
																				BgL_restz00_1737 =
																					(BgL_offsetz00_1734 %
																					BgL_auxz00_2260);
																		}}
																		{	/* Ast/venv.scm 207 */

																			BgL_method3227z00_1727 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1732,
																					(int) (BgL_modz00_1735)),
																				(int) (BgL_restz00_1737));
											}}}}}}}}
											PROCEDURE_ENTRY(BgL_method3227z00_1727)
												(BgL_method3227z00_1727, (obj_t) (BgL_valuez00_1726),
												BEOA);
						}}}}
						{
							obj_t BgL_argsz00_1472;

							{	/* Ast/venv.scm 210 */
								obj_t BgL_arg3461z00_1474;

								BgL_arg3461z00_1474 =
									(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1468))->
									BgL_argszd2typezd2);
								BgL_argsz00_1472 = BgL_arg3461z00_1474;
							BgL_loopz00_1473:
								if (PAIRP(BgL_argsz00_1472))
									{	/* Ast/venv.scm 211 */
										{	/* Ast/venv.scm 213 */
											BgL_typez00_bglt BgL_arg3463z00_1476;

											{	/* Ast/venv.scm 213 */
												obj_t BgL_arg3464z00_1477;

												{	/* Ast/venv.scm 213 */
													BgL_typez00_bglt BgL_obj1286z00_1721;

													{	/* Ast/venv.scm 213 */
														obj_t BgL_pairz00_1720;

														BgL_pairz00_1720 = BgL_argsz00_1472;
														{	/* Ast/venv.scm 213 */
															obj_t BgL_auxz00_2273;

															BgL_auxz00_2273 = CAR(BgL_pairz00_1720);
															BgL_obj1286z00_1721 =
																(BgL_typez00_bglt) (BgL_auxz00_2273);
														}
													}
													BgL_arg3464z00_1477 =
														(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1721))->
														BgL_idz00);
												}
												BgL_arg3463z00_1476 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3464z00_1477);
											}
											{	/* Ast/venv.scm 213 */
												obj_t BgL_pairz00_1722;
												obj_t BgL_objz00_1723;

												BgL_pairz00_1722 = BgL_argsz00_1472;
												BgL_objz00_1723 = (obj_t) (BgL_arg3463z00_1476);
												SET_CAR(BgL_pairz00_1722, BgL_objz00_1723);
											}
										}
										{
											obj_t BgL_argsz00_2280;

											BgL_argsz00_2280 = CDR(BgL_argsz00_1472);
											BgL_argsz00_1472 = BgL_argsz00_2280;
											goto BgL_loopz00_1473;
										}
									}
								else
									{	/* Ast/venv.scm 211 */
										BgL_auxz00_2239 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2239);
				}
			}
		}
	}



/* restore-value-types!3233 */
	obj_t BGl_restorezd2valuezd2typesz123233z12zzast_envz00(obj_t BgL_envz00_1826,
		obj_t BgL_valuez00_1827)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 200 */
			{
				BgL_isfunz00_bglt BgL_valuez00_1462;

				BgL_valuez00_1462 = (BgL_isfunz00_bglt) (BgL_valuez00_1827);
				{

					{	/* Ast/venv.scm 200 */
						obj_t BgL_nextzd2method3232zd2_1466;

						BgL_nextzd2method3232zd2_1466 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1462),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						if (PROCEDUREP(BgL_nextzd2method3232zd2_1466))
							{	/* Ast/venv.scm 200 */
								PROCEDURE_ENTRY(BgL_nextzd2method3232zd2_1466)
									(BgL_nextzd2method3232zd2_1466, (obj_t) (BgL_valuez00_1462),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 200 */
								{	/* Ast/venv.scm 200 */
									BgL_valuez00_bglt BgL_valuez00_1692;

									BgL_valuez00_1692 = (BgL_valuez00_bglt) (BgL_valuez00_1462);
									{	/* Ast/venv.scm 200 */
										obj_t BgL_method3227z00_1693;

										{	/* Ast/venv.scm 200 */
											BgL_objectz00_bglt BgL_objz00_1694;

											BgL_objz00_1694 =
												(BgL_objectz00_bglt) (BgL_valuez00_1692);
											{	/* Ast/venv.scm 200 */
												long BgL_objzd2classzd2numz00_1695;

												BgL_objzd2classzd2numz00_1695 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1694);
												{	/* Ast/venv.scm 200 */
													obj_t BgL_arg2249z00_1696;

													BgL_arg2249z00_1696 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 200 */
														obj_t BgL_arrayz00_1698;
														int BgL_offsetz00_1699;

														BgL_arrayz00_1698 = BgL_arg2249z00_1696;
														BgL_offsetz00_1699 =
															(int) (BgL_objzd2classzd2numz00_1695);
														{	/* Ast/venv.scm 200 */
															long BgL_offsetz00_1700;

															BgL_offsetz00_1700 =
																((long) (BgL_offsetz00_1699) - OBJECT_TYPE);
															{	/* Ast/venv.scm 200 */
																long BgL_modz00_1701;

																{	/* Ast/venv.scm 200 */
																	int BgL_arg2251z00_1702;

																	BgL_arg2251z00_1702 = (int) (((long) 8));
																	{	/* Ast/venv.scm 200 */
																		long BgL_auxz00_2300;

																		BgL_auxz00_2300 =
																			(long) (BgL_arg2251z00_1702);
																		BgL_modz00_1701 =
																			(BgL_offsetz00_1700 / BgL_auxz00_2300);
																}}
																{	/* Ast/venv.scm 200 */
																	long BgL_restz00_1703;

																	{	/* Ast/venv.scm 200 */
																		int BgL_arg2250z00_1704;

																		BgL_arg2250z00_1704 = (int) (((long) 8));
																		{	/* Ast/venv.scm 200 */
																			long BgL_auxz00_2304;

																			BgL_auxz00_2304 =
																				(long) (BgL_arg2250z00_1704);
																			BgL_restz00_1703 =
																				(BgL_offsetz00_1700 % BgL_auxz00_2304);
																	}}
																	{	/* Ast/venv.scm 200 */

																		BgL_method3227z00_1693 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1698,
																				(int) (BgL_modz00_1701)),
																			(int) (BgL_restz00_1703));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3227z00_1693)
											(BgL_method3227z00_1693, (obj_t) (BgL_valuez00_1692),
											BEOA);
					}}}}
					{	/* Ast/venv.scm 202 */
						BgL_nodez00_bglt BgL_arg3459z00_1465;

						{
							obj_t BgL_auxz00_2314;

							{	/* Ast/venv.scm 202 */
								BgL_objectz00_bglt BgL_auxz00_2315;

								BgL_auxz00_2315 = (BgL_objectz00_bglt) (BgL_valuez00_1462);
								BgL_auxz00_2314 = BGL_OBJECT_WIDENING(BgL_auxz00_2315);
							}
							BgL_arg3459z00_1465 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2314))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg3459z00_1465);
					}
				}
			}
		}
	}



/* restore-value-types!3231 */
	obj_t BGl_restorezd2valuezd2typesz123231z12zzast_envz00(obj_t BgL_envz00_1828,
		obj_t BgL_valuez00_1829)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 165 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1430;

				BgL_valuez00_1430 = (BgL_sfunz00_bglt) (BgL_valuez00_1829);
				{

					{	/* Ast/venv.scm 165 */
						obj_t BgL_nextzd2method3230zd2_1460;

						BgL_nextzd2method3230zd2_1460 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1430),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						if (PROCEDUREP(BgL_nextzd2method3230zd2_1460))
							{	/* Ast/venv.scm 165 */
								PROCEDURE_ENTRY(BgL_nextzd2method3230zd2_1460)
									(BgL_nextzd2method3230zd2_1460, (obj_t) (BgL_valuez00_1430),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 165 */
								{	/* Ast/venv.scm 165 */
									BgL_valuez00_bglt BgL_valuez00_1664;

									BgL_valuez00_1664 = (BgL_valuez00_bglt) (BgL_valuez00_1430);
									{	/* Ast/venv.scm 165 */
										obj_t BgL_method3227z00_1665;

										{	/* Ast/venv.scm 165 */
											BgL_objectz00_bglt BgL_objz00_1666;

											BgL_objz00_1666 =
												(BgL_objectz00_bglt) (BgL_valuez00_1664);
											{	/* Ast/venv.scm 165 */
												long BgL_objzd2classzd2numz00_1667;

												BgL_objzd2classzd2numz00_1667 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1666);
												{	/* Ast/venv.scm 165 */
													obj_t BgL_arg2249z00_1668;

													BgL_arg2249z00_1668 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 165 */
														obj_t BgL_arrayz00_1670;
														int BgL_offsetz00_1671;

														BgL_arrayz00_1670 = BgL_arg2249z00_1668;
														BgL_offsetz00_1671 =
															(int) (BgL_objzd2classzd2numz00_1667);
														{	/* Ast/venv.scm 165 */
															long BgL_offsetz00_1672;

															BgL_offsetz00_1672 =
																((long) (BgL_offsetz00_1671) - OBJECT_TYPE);
															{	/* Ast/venv.scm 165 */
																long BgL_modz00_1673;

																{	/* Ast/venv.scm 165 */
																	int BgL_arg2251z00_1674;

																	BgL_arg2251z00_1674 = (int) (((long) 8));
																	{	/* Ast/venv.scm 165 */
																		long BgL_auxz00_2337;

																		BgL_auxz00_2337 =
																			(long) (BgL_arg2251z00_1674);
																		BgL_modz00_1673 =
																			(BgL_offsetz00_1672 / BgL_auxz00_2337);
																}}
																{	/* Ast/venv.scm 165 */
																	long BgL_restz00_1675;

																	{	/* Ast/venv.scm 165 */
																		int BgL_arg2250z00_1676;

																		BgL_arg2250z00_1676 = (int) (((long) 8));
																		{	/* Ast/venv.scm 165 */
																			long BgL_auxz00_2341;

																			BgL_auxz00_2341 =
																				(long) (BgL_arg2250z00_1676);
																			BgL_restz00_1675 =
																				(BgL_offsetz00_1672 % BgL_auxz00_2341);
																	}}
																	{	/* Ast/venv.scm 165 */

																		BgL_method3227z00_1665 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1670,
																				(int) (BgL_modz00_1673)),
																			(int) (BgL_restz00_1675));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3227z00_1665)
											(BgL_method3227z00_1665, (obj_t) (BgL_valuez00_1664),
											BEOA);
					}}}}
					{
						obj_t BgL_argsz00_1434;

						{	/* Ast/venv.scm 168 */
							obj_t BgL_arg3437z00_1436;

							BgL_arg3437z00_1436 =
								(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1430))->BgL_argsz00);
							BgL_argsz00_1434 = BgL_arg3437z00_1436;
						BgL_loopz00_1435:
							if (PAIRP(BgL_argsz00_1434))
								{	/* Ast/venv.scm 171 */
									obj_t BgL_argz00_1438;

									BgL_argz00_1438 = CAR(BgL_argsz00_1434);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1438,
											BGl_typez00zztype_typez00))
										{	/* Ast/venv.scm 174 */
											BgL_typez00_bglt BgL_arg3440z00_1440;

											{	/* Ast/venv.scm 174 */
												obj_t BgL_arg3441z00_1441;

												{	/* Ast/venv.scm 174 */
													BgL_typez00_bglt BgL_obj1286z00_1646;

													BgL_obj1286z00_1646 =
														(BgL_typez00_bglt) (BgL_argz00_1438);
													BgL_arg3441z00_1441 =
														(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1646))->
														BgL_idz00);
												}
												BgL_arg3440z00_1440 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3441z00_1441);
											}
											{	/* Ast/venv.scm 174 */
												obj_t BgL_pairz00_1647;
												obj_t BgL_objz00_1648;

												BgL_pairz00_1647 = BgL_argsz00_1434;
												BgL_objz00_1648 = (obj_t) (BgL_arg3440z00_1440);
												SET_CAR(BgL_pairz00_1647, BgL_objz00_1648);
											}
										}
									else
										{	/* Ast/venv.scm 173 */
											if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1438,
													BGl_localz00zzast_varz00))
												{	/* Ast/venv.scm 176 */
													BgL_typez00_bglt BgL_newzd2typezd2_1443;

													{	/* Ast/venv.scm 176 */
														obj_t BgL_arg3443z00_1444;

														{	/* Ast/venv.scm 176 */
															BgL_typez00_bglt BgL_obj1286z00_1651;

															{	/* Ast/venv.scm 176 */
																BgL_variablez00_bglt BgL_obj1384z00_1650;

																BgL_obj1384z00_1650 =
																	(BgL_variablez00_bglt) (BgL_argz00_1438);
																BgL_obj1286z00_1651 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1384z00_1650))->BgL_typez00);
															}
															BgL_arg3443z00_1444 =
																(((BgL_typez00_bglt)
																	CREF(BgL_obj1286z00_1651))->BgL_idz00);
														}
														BgL_newzd2typezd2_1443 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg3443z00_1444);
													}
													{	/* Ast/venv.scm 177 */
														BgL_variablez00_bglt BgL_obj1386z00_1652;
														BgL_typez00_bglt BgL_val1385z00_1653;

														BgL_obj1386z00_1652 =
															(BgL_variablez00_bglt) (BgL_argz00_1438);
														BgL_val1385z00_1653 = BgL_newzd2typezd2_1443;
														((((BgL_variablez00_bglt)
																	CREF(BgL_obj1386z00_1652))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1385z00_1653),
															BUNSPEC);
													}
												}
											else
												{	/* Ast/venv.scm 175 */
													BGl_errorz00zz__errorz00
														(BGl_string3492z00zzast_envz00,
														BGl_string3493z00zzast_envz00,
														BGl_shapez00zztools_shapez00(BgL_argz00_1438));
												}
										}
									{
										obj_t BgL_argsz00_2372;

										BgL_argsz00_2372 = CDR(BgL_argsz00_1434);
										BgL_argsz00_1434 = BgL_argsz00_2372;
										goto BgL_loopz00_1435;
									}
								}
							else
								{	/* Ast/venv.scm 170 */
									if (NULLP(BgL_argsz00_1434))
										{	/* Ast/venv.scm 184 */
											obj_t BgL_bodyz00_1451;

											BgL_bodyz00_1451 =
												(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1430))->
												BgL_bodyz00);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1451,
													BGl_nodez00zzast_nodez00))
												{	/* Ast/venv.scm 187 */
													BgL_typez00_bglt BgL_tresz00_1453;

													{	/* Ast/venv.scm 187 */
														BgL_nodez00_bglt BgL_obj1866z00_1658;

														BgL_obj1866z00_1658 =
															(BgL_nodez00_bglt) (BgL_bodyz00_1451);
														BgL_tresz00_1453 =
															(((BgL_nodez00_bglt) CREF(BgL_obj1866z00_1658))->
															BgL_typez00);
													}
													BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
														(BgL_nodez00_bglt) (BgL_bodyz00_1451));
													{	/* Ast/venv.scm 189 */
														bool_t BgL_testz00_2383;

														{	/* Ast/venv.scm 189 */
															obj_t BgL_obj1374z00_1659;

															BgL_obj1374z00_1659 = (obj_t) (BgL_tresz00_1453);
															BgL_testz00_2383 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1374z00_1659,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2383)
															{	/* Ast/venv.scm 191 */
																BgL_typez00_bglt BgL_arg3453z00_1455;

																{	/* Ast/venv.scm 191 */
																	obj_t BgL_arg3454z00_1456;

																	BgL_arg3454z00_1456 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_tresz00_1453))->BgL_idz00);
																	BgL_arg3453z00_1455 =
																		BGl_findzd2typezd2zztype_envz00
																		(BgL_arg3454z00_1456);
																}
																{	/* Ast/venv.scm 190 */
																	BgL_nodez00_bglt BgL_obj1868z00_1661;
																	BgL_typez00_bglt BgL_val1867z00_1662;

																	BgL_obj1868z00_1661 =
																		(BgL_nodez00_bglt) (BgL_bodyz00_1451);
																	BgL_val1867z00_1662 = BgL_arg3453z00_1455;
																	return
																		((((BgL_nodez00_bglt)
																				CREF(BgL_obj1868z00_1661))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_val1867z00_1662),
																		BUNSPEC);
																}
															}
														else
															{	/* Ast/venv.scm 189 */
																return BFALSE;
															}
													}
												}
											else
												{	/* Ast/venv.scm 186 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/venv.scm 183 */
											return
												BGl_errorz00zz__errorz00(BGl_string3494z00zzast_envz00,
												BGl_string3495z00zzast_envz00,
												BGl_shapez00zztools_shapez00(BgL_argsz00_1434));
										}
								}
						}
					}
				}
			}
		}
	}



/* restore-value-types!3229 */
	obj_t BGl_restorezd2valuezd2typesz123229z12zzast_envz00(obj_t BgL_envz00_1830,
		obj_t BgL_valuez00_1831)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 157 */
			{
				BgL_funz00_bglt BgL_valuez00_1419;

				BgL_valuez00_1419 = (BgL_funz00_bglt) (BgL_valuez00_1831);
				{	/* Ast/venv.scm 159 */
					bool_t BgL_testz00_2393;

					{	/* Ast/venv.scm 159 */
						obj_t BgL_arg3435z00_1427;

						BgL_arg3435z00_1427 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1419))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_2393 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3435z00_1427,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_2393)
						{	/* Ast/venv.scm 160 */
							BgL_typez00_bglt BgL_arg3432z00_1424;

							{	/* Ast/venv.scm 160 */
								obj_t BgL_arg3433z00_1425;

								{	/* Ast/venv.scm 160 */
									BgL_typez00_bglt BgL_obj1286z00_1639;

									{	/* Ast/venv.scm 160 */
										obj_t BgL_auxz00_2396;

										BgL_auxz00_2396 =
											(((BgL_funz00_bglt) CREF(BgL_valuez00_1419))->
											BgL_predicatezd2ofzd2);
										BgL_obj1286z00_1639 = (BgL_typez00_bglt) (BgL_auxz00_2396);
									}
									BgL_arg3433z00_1425 =
										(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1639))->BgL_idz00);
								}
								BgL_arg3432z00_1424 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3433z00_1425);
							}
							{	/* Ast/venv.scm 160 */
								BgL_funz00_bglt BgL_obj1594z00_1640;
								obj_t BgL_val1593z00_1641;

								BgL_obj1594z00_1640 = BgL_valuez00_1419;
								BgL_val1593z00_1641 = (obj_t) (BgL_arg3432z00_1424);
								return
									((((BgL_funz00_bglt) CREF(BgL_obj1594z00_1640))->
										BgL_predicatezd2ofzd2) =
									((obj_t) BgL_val1593z00_1641), BUNSPEC);
							}
						}
					else
						{	/* Ast/venv.scm 159 */
							return BFALSE;
						}
				}
			}
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_7)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 151 */
			{	/* Ast/venv.scm 151 */
				obj_t BgL_method3227z00_1752;

				{	/* Ast/venv.scm 151 */
					BgL_objectz00_bglt BgL_objz00_1753;

					BgL_objz00_1753 = (BgL_objectz00_bglt) (BgL_valuez00_7);
					{	/* Ast/venv.scm 151 */
						long BgL_objzd2classzd2numz00_1754;

						BgL_objzd2classzd2numz00_1754 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1753);
						{	/* Ast/venv.scm 151 */
							obj_t BgL_arg2249z00_1755;

							BgL_arg2249z00_1755 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 151 */
								obj_t BgL_arrayz00_1757;
								int BgL_offsetz00_1758;

								BgL_arrayz00_1757 = BgL_arg2249z00_1755;
								BgL_offsetz00_1758 = (int) (BgL_objzd2classzd2numz00_1754);
								{	/* Ast/venv.scm 151 */
									long BgL_offsetz00_1759;

									BgL_offsetz00_1759 =
										((long) (BgL_offsetz00_1758) - OBJECT_TYPE);
									{	/* Ast/venv.scm 151 */
										long BgL_modz00_1760;

										{	/* Ast/venv.scm 151 */
											int BgL_arg2251z00_1761;

											BgL_arg2251z00_1761 = (int) (((long) 8));
											{	/* Ast/venv.scm 151 */
												long BgL_auxz00_2412;

												BgL_auxz00_2412 = (long) (BgL_arg2251z00_1761);
												BgL_modz00_1760 =
													(BgL_offsetz00_1759 / BgL_auxz00_2412);
										}}
										{	/* Ast/venv.scm 151 */
											long BgL_restz00_1762;

											{	/* Ast/venv.scm 151 */
												int BgL_arg2250z00_1763;

												BgL_arg2250z00_1763 = (int) (((long) 8));
												{	/* Ast/venv.scm 151 */
													long BgL_auxz00_2416;

													BgL_auxz00_2416 = (long) (BgL_arg2250z00_1763);
													BgL_restz00_1762 =
														(BgL_offsetz00_1759 % BgL_auxz00_2416);
											}}
											{	/* Ast/venv.scm 151 */

												BgL_method3227z00_1752 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1757,
														(int) (BgL_modz00_1760)), (int) (BgL_restz00_1762));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3227z00_1752) (BgL_method3227z00_1752,
					(obj_t) (BgL_valuez00_7), BEOA);
			}
		}
	}



/* _restore-value-types3480 */
	obj_t BGl__restorezd2valuezd2types3480z00zzast_envz00(obj_t BgL_envz00_1788,
		obj_t BgL_valuez00_1789)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 151 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				(BgL_valuez00_bglt) (BgL_valuez00_1789));
		}
	}



/* _restore-value-types!3226 */
	obj_t BGl__restorezd2valuezd2typesz123226z12zzast_envz00(obj_t
		BgL_envz00_1832, obj_t BgL_valuez00_1833)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 346346738),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 61601340),
				BSTRING_TO_STRING(BGl_string3496z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
