/*===========================================================================*/
/*   (BackEnd/dotnet.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/dotnet.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_dotnetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_outz00;
		obj_t BgL_qnamez00;
	}                *BgL_dotnetz00_bglt;


	static obj_t BGl_dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	static BgL_dotnetz00_bglt
		BGl_buildzd2dotnetzd2backendz00zzbackend_dotnetz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_backendzd2linkzd2objects2245z00zzbackend_dotnetz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_dotnetz00 = BUNSPEC;
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	static obj_t BGl__buildzd2dotnetzd2backendz00zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32393ze3z83zzbackend_dotnetz00(obj_t);
	BGL_IMPORT obj_t open_output_file(obj_t);
	static obj_t BGl_zc3anonymousza32396ze3z83zzbackend_dotnetz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_dotnetz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_dotnetz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl__startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00(obj_t);
	static obj_t BGl_startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_dotnetz00();
	BGL_IMPORT bool_t directoryp(char *);
	extern obj_t BGl_execz00zzcc_execz00(obj_t, bool_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	extern BgL_dotnetz00_bglt BGl_makezd2dotnetzd2zzbackend_dotnet_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_backendzd2compilezd2dotn2239z00zzbackend_dotnetz00(obj_t,
		obj_t);
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_backendzd2linkzd2dotnet2241z00zzbackend_dotnetz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00();
	extern obj_t BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00;
	extern obj_t BGl_dotnetzd2ldzd2zzmsil_ldz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_dotnetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_execz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_dotnet_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzbackend_dotnetz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_output_port(obj_t);
	static obj_t BGl_zc3exitza32435ze3z83zzbackend_dotnetz00();
	static obj_t BGl_emitz00zzbackend_dotnetz00(BgL_dotnetz00_bglt, obj_t);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_backendzd2checkzd2inline2247z00zzbackend_dotnetz00(obj_t,
		obj_t);
	extern obj_t BGl_za2dotnetzd2usezd2externalzd2asmza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t open_output_string();
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_dotnetzd2externalzd2asmz00zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_msilzd2compilezd2zzmsil_compilez00(BgL_dotnetz00_bglt,
		obj_t);
	static obj_t BGl__dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t,
		obj_t);
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_backendzd2cnstzd2tablezd2n2243zd2zzbackend_dotnetz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_dotnetz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00 =
		BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzbackend_dotnetz00();
	extern obj_t BGl_dotnetz00zzbackend_dotnet_classz00;
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
	static obj_t BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 = BUNSPEC;
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[16];


	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2540z00zzbackend_dotnetz00,
		BgL_bgl_string2540za700za7za7b2577za7, ".", 1);
	      DEFINE_STRING(BGl_string2541z00zzbackend_dotnetz00,
		BgL_bgl_string2541za700za7za7b2578za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2542z00zzbackend_dotnetz00,
		BgL_bgl_string2542za700za7za7b2579za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2543z00zzbackend_dotnetz00,
		BgL_bgl_string2543za700za7za7b2580za7, "", 0);
	      DEFINE_STRING(BGl_string2544z00zzbackend_dotnetz00,
		BgL_bgl_string2544za700za7za7b2581za7, "start-dotnet-emission!", 22);
	      DEFINE_STRING(BGl_string2545z00zzbackend_dotnetz00,
		BgL_bgl_string2545za700za7za7b2582za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2546z00zzbackend_dotnetz00,
		BgL_bgl_string2546za700za7za7b2583za7, " ", 1);
	      DEFINE_STRING(BGl_string2547z00zzbackend_dotnetz00,
		BgL_bgl_string2547za700za7za7b2584za7, "Unknown linker style, supported: ",
		33);
	      DEFINE_STRING(BGl_string2548z00zzbackend_dotnetz00,
		BgL_bgl_string2548za700za7za7b2585za7, "asm (dotnet)", 12);
	      DEFINE_STRING(BGl_string2550z00zzbackend_dotnetz00,
		BgL_bgl_string2550za700za7za7b2586za7, ")", 1);
	      DEFINE_STRING(BGl_string2549z00zzbackend_dotnetz00,
		BgL_bgl_string2549za700za7za7b2587za7, ".il", 3);
	      DEFINE_STRING(BGl_string2551z00zzbackend_dotnetz00,
		BgL_bgl_string2551za700za7za7b2588za7, "   . ilasm (", 12);
	      DEFINE_STRING(BGl_string2552z00zzbackend_dotnetz00,
		BgL_bgl_string2552za700za7za7b2589za7, "      [", 7);
	      DEFINE_STRING(BGl_string2553z00zzbackend_dotnetz00,
		BgL_bgl_string2553za700za7za7b2590za7, "ilasm", 5);
	      DEFINE_STRING(BGl_string2554z00zzbackend_dotnetz00,
		BgL_bgl_string2554za700za7za7b2591za7, "dotnetmain", 10);
	      DEFINE_STRING(BGl_string2555z00zzbackend_dotnetz00,
		BgL_bgl_string2555za700za7za7b2592za7, ".bgl", 4);
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2556z00zzbackend_dotnetz00,
		BgL_bgl_string2556za700za7za7b2593za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2557z00zzbackend_dotnetz00,
		BgL_bgl_string2557za700za7za7b2594za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2558z00zzbackend_dotnetz00,
		BgL_bgl_string2558za700za7za7b2595za7, "link", 4);
	      DEFINE_STRING(BGl_string2560z00zzbackend_dotnetz00,
		BgL_bgl_string2560za700za7za7b2596za7, "\"", 1);
	      DEFINE_STRING(BGl_string2559z00zzbackend_dotnetz00,
		BgL_bgl_string2559za700za7za7b2597za7, ".obj", 4);
	      DEFINE_STRING(BGl_string2561z00zzbackend_dotnetz00,
		BgL_bgl_string2561za700za7za7b2598za7, " and ", 5);
	      DEFINE_STRING(BGl_string2562z00zzbackend_dotnetz00,
		BgL_bgl_string2562za700za7za7b2599za7, "Redeclaration of the main (files ",
		33);
	      DEFINE_STRING(BGl_string2563z00zzbackend_dotnetz00,
		BgL_bgl_string2563za700za7za7b2600za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2564z00zzbackend_dotnetz00,
		BgL_bgl_string2564za700za7za7b2601za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2565z00zzbackend_dotnetz00,
		BgL_bgl_string2565za700za7za7b2602za7, ".Net (saw)", 10);
	      DEFINE_STRING(BGl_string2566z00zzbackend_dotnetz00,
		BgL_bgl_string2566za700za7za7b2603za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2567z00zzbackend_dotnetz00,
		BgL_bgl_string2567za700za7za7b2604za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2568z00zzbackend_dotnetz00,
		BgL_bgl_string2568za700za7za7b2605za7, "]", 1);
	      DEFINE_STRING(BGl_string2570z00zzbackend_dotnetz00,
		BgL_bgl_string2570za700za7za7b2606za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2569z00zzbackend_dotnetz00,
		BgL_bgl_string2569za700za7za7b2607za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2571z00zzbackend_dotnetz00,
		BgL_bgl_string2571za700za7za7b2608za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2572z00zzbackend_dotnetz00,
		BgL_bgl_string2572za700za7za7b2609za7, "backend_dotnet", 14);
	      DEFINE_STRING(BGl_string2573z00zzbackend_dotnetz00,
		BgL_bgl_string2573za700za7za7b2610za7,
		"done ok cc il (ld distrib) pass-started (start-dotnet-emission!) main module now ld (java) jvm bigloo-.net pnet .net ",
		117);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2dotnetzd2emissionz12zd2envzc0zzbackend_dotnetz00,
		BgL_bgl__startza7d2dotnetza72611z00,
		BGl__startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2dotnetzd2backendzd2envzd2zzbackend_dotnetz00,
		BgL_bgl__buildza7d2dotnetza72612z00,
		BGl__buildzd2dotnetzd2backendz00zzbackend_dotnetz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_dotnetzd2externalzd2pnetzd2asmzd2envz00zzbackend_dotnetz00,
		BgL_bgl__dotnetza7d2extern2613za7,
		BGl__dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_dotnetz00(long
		BgL_checksumz00_1144, char *BgL_fromz00_1145)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_dotnetz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_dotnetz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_dotnetz00();
					BGl_cnstzd2initzd2zzbackend_dotnetz00();
					BGl_importedzd2moduleszd2initz00zzbackend_dotnetz00();
					BGl_methodzd2initzd2zzbackend_dotnetz00();
					BGl_toplevelzd2initzd2zzbackend_dotnetz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_dotnet");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_cportz00_1132;

				BgL_cportz00_1132 =
					bgl_open_input_string(BGl_string2573z00zzbackend_dotnetz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1133;

					BgL_iz00_1133 = ((long) 15);
				BgL_loopz00_1134:
					if ((BgL_iz00_1133 == ((long) -1)))
						{	/* BackEnd/dotnet.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/dotnet.scm 1 */
							{	/* BackEnd/dotnet.scm 1 */
								obj_t BgL_arg2576z00_1136;

								{	/* BackEnd/dotnet.scm 1 */

									{	/* BackEnd/dotnet.scm 1 */
										obj_t BgL_locationz00_1138;

										BgL_locationz00_1138 = BBOOL(((bool_t) 0));
										{	/* BackEnd/dotnet.scm 1 */

											BgL_arg2576z00_1136 =
												BGl_readz00zz__readerz00(BgL_cportz00_1132,
												BgL_locationz00_1138);
										}
									}
								}
								{	/* BackEnd/dotnet.scm 1 */
									int BgL_auxz00_1168;

									BgL_auxz00_1168 = (int) (BgL_iz00_1133);
									CNST_TABLE_SET(BgL_auxz00_1168, BgL_arg2576z00_1136);
							}}
							{	/* BackEnd/dotnet.scm 1 */
								int BgL_auxz00_1139;

								BgL_auxz00_1139 = (int) ((BgL_iz00_1133 - ((long) 1)));
								{
									long BgL_iz00_1173;

									BgL_iz00_1173 = (long) (BgL_auxz00_1139);
									BgL_iz00_1133 = BgL_iz00_1173;
									goto BgL_loopz00_1134;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2dotnetzd2backendzd2envzd2zzbackend_dotnetz00);
			BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 =
				BGl_string2540z00zzbackend_dotnetz00;
			{	/* BackEnd/dotnet.scm 121 */
				obj_t BgL_arg2248z00_446;

				BgL_arg2248z00_446 =
					MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
					BGl_dotnetzd2externalzd2pnetzd2asmzd2envz00zzbackend_dotnetz00);
				{	/* BackEnd/dotnet.scm 121 */
					obj_t BgL_list2249z00_447;

					BgL_list2249z00_447 = MAKE_PAIR(BgL_arg2248z00_446, BNIL);
					BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00 =
						BgL_list2249z00_447;
			}}
			return BUNSPEC;
		}
	}



/* build-dotnet-backend */
	BgL_dotnetz00_bglt BGl_buildzd2dotnetzd2backendz00zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 32 */
			{	/* BackEnd/dotnet.scm 34 */
				obj_t BgL_arg2254z00_448;
				obj_t BgL_arg2255z00_449;
				obj_t BgL_arg2264z00_458;
				obj_t BgL_arg2265z00_459;
				obj_t BgL_arg2269z00_463;

				BgL_arg2254z00_448 = CNST_TABLE_REF(((long) 0));
				BgL_arg2255z00_449 = CNST_TABLE_REF(((long) 2));
				BgL_arg2264z00_458 = CNST_TABLE_REF(((long) 3));
				BgL_arg2265z00_459 = CNST_TABLE_REF(((long) 4));
				BgL_arg2269z00_463 = open_output_string();
				return
					BGl_makezd2dotnetzd2zzbackend_dotnet_classz00(BgL_arg2254z00_448,
					BgL_arg2255z00_449, BGl_string2541z00zzbackend_dotnetz00, BNIL, BNIL,
					BNIL, BNIL, BNIL, BNIL, ((bool_t) 0),
					BGl_string2542z00zzbackend_dotnetz00, BgL_arg2264z00_458,
					((bool_t) 1), ((bool_t) 0), ((bool_t) 0), ((bool_t) 0), ((bool_t) 1),
					((bool_t) 0), ((bool_t) 1), BgL_arg2265z00_459, BNIL, ((bool_t) 1),
					((bool_t) 1), ((bool_t) 0), BNIL, BNIL, BgL_arg2269z00_463,
					BGl_string2543z00zzbackend_dotnetz00);
			}
		}
	}



/* _build-dotnet-backend */
	obj_t BGl__buildzd2dotnetzd2backendz00zzbackend_dotnetz00(obj_t
		BgL_envz00_1092)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 32 */
			{	/* BackEnd/dotnet.scm 34 */
				BgL_dotnetz00_bglt BgL_auxz00_1186;

				BgL_auxz00_1186 = BGl_buildzd2dotnetzd2backendz00zzbackend_dotnetz00();
				return (obj_t) (BgL_auxz00_1186);
			}
		}
	}



/* start-dotnet-emission! */
	obj_t BGl_startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 101 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/dotnet.scm 104 */
					obj_t BgL_dnamez00_481;

					BgL_dnamez00_481 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					if (bigloo_strcmp(BgL_dnamez00_481,
							BGl_string2543z00zzbackend_dotnetz00))
						{	/* BackEnd/dotnet.scm 105 */
							BFALSE;
						}
					else
						{	/* BackEnd/dotnet.scm 105 */
							BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 =
								BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
						}
				}
			else
				{	/* BackEnd/dotnet.scm 103 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 5))))
						{	/* BackEnd/dotnet.scm 107 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 108 */
									BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 =
										BGl_dirnamez00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/dotnet.scm 108 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/dotnet.scm 107 */
							BFALSE;
						}
				}
			{	/* BackEnd/dotnet.scm 110 */
				bool_t BgL_testz00_1202;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00)))
					{	/* BackEnd/dotnet.scm 110 */
						BgL_testz00_1202 =
							directoryp(BSTRING_TO_STRING
							(BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00));
					}
				else
					{	/* BackEnd/dotnet.scm 110 */
						BgL_testz00_1202 = ((bool_t) 0);
					}
				if (BgL_testz00_1202)
					{	/* BackEnd/dotnet.scm 110 */
						return BTRUE;
					}
				else
					{	/* BackEnd/dotnet.scm 110 */
						return
							BGl_errorz00zz__errorz00(BGl_string2544z00zzbackend_dotnetz00,
							BGl_string2545z00zzbackend_dotnetz00,
							BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00);
					}
			}
		}
	}



/* _start-dotnet-emission! */
	obj_t BGl__startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00(obj_t
		BgL_envz00_1095)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 101 */
			return BGl_startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00();
		}
	}



/* dotnet-external-asm */
	obj_t BGl_dotnetzd2externalzd2asmz00zzbackend_dotnetz00(obj_t BgL_namez00_4)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 126 */
			{	/* BackEnd/dotnet.scm 127 */
				obj_t BgL_idz00_488;

				BgL_idz00_488 =
					BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00;
				{	/* BackEnd/dotnet.scm 127 */
					obj_t BgL_cz00_489;

					BgL_cz00_489 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_488,
						BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00);
					{	/* BackEnd/dotnet.scm 128 */

						{	/* BackEnd/dotnet.scm 129 */
							bool_t BgL_testz00_1211;

							if (PAIRP(BgL_cz00_489))
								{	/* BackEnd/dotnet.scm 130 */
									bool_t BgL_testz00_1214;

									{	/* BackEnd/dotnet.scm 130 */
										obj_t BgL_auxz00_1215;

										BgL_auxz00_1215 = CDR(BgL_cz00_489);
										BgL_testz00_1214 = PROCEDUREP(BgL_auxz00_1215);
									}
									if (BgL_testz00_1214)
										{	/* BackEnd/dotnet.scm 130 */
											BgL_testz00_1211 =
												PROCEDURE_CORRECT_ARITYP(CDR(BgL_cz00_489),
												(int) (((long) 1)));
										}
									else
										{	/* BackEnd/dotnet.scm 130 */
											BgL_testz00_1211 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/dotnet.scm 129 */
									BgL_testz00_1211 = ((bool_t) 0);
								}
							if (BgL_testz00_1211)
								{	/* BackEnd/dotnet.scm 132 */
									obj_t BgL_fun2289z00_491;

									BgL_fun2289z00_491 = CDR(BgL_cz00_489);
									return
										PROCEDURE_ENTRY(BgL_fun2289z00_491) (BgL_fun2289z00_491,
										BgL_namez00_4, BEOA);
								}
							else
								{	/* BackEnd/dotnet.scm 133 */
									obj_t BgL_arg2291z00_493;

									{	/* BackEnd/dotnet.scm 134 */
										obj_t BgL_runner2306z00_515;

										{	/* BackEnd/dotnet.scm 134 */
											obj_t BgL_arg2293z00_495;

											{	/* BackEnd/dotnet.scm 136 */
												obj_t BgL_l2231z00_497;

												BgL_l2231z00_497 =
													BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00;
												if (NULLP(BgL_l2231z00_497))
													{	/* BackEnd/dotnet.scm 136 */
														BgL_arg2293z00_495 = BNIL;
													}
												else
													{	/* BackEnd/dotnet.scm 136 */
														obj_t BgL_head2233z00_499;

														BgL_head2233z00_499 = MAKE_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l2231z00_500;
															obj_t BgL_tail2234z00_501;

															BgL_l2231z00_500 = BgL_l2231z00_497;
															BgL_tail2234z00_501 = BgL_head2233z00_499;
														BgL_map2232z00_502:
															if (NULLP(BgL_l2231z00_500))
																{	/* BackEnd/dotnet.scm 136 */
																	BgL_arg2293z00_495 = CDR(BgL_head2233z00_499);
																}
															else
																{	/* BackEnd/dotnet.scm 136 */
																	obj_t BgL_newtail2235z00_504;

																	{	/* BackEnd/dotnet.scm 136 */
																		obj_t BgL_arg2298z00_506;

																		{	/* BackEnd/dotnet.scm 136 */
																			obj_t BgL_xz00_508;

																			BgL_xz00_508 = CAR(BgL_l2231z00_500);
																			{	/* BackEnd/dotnet.scm 137 */
																				bool_t BgL_testz00_1231;

																				if (PAIRP(BgL_xz00_508))
																					{	/* BackEnd/dotnet.scm 138 */
																						obj_t BgL_auxz00_1234;

																						BgL_auxz00_1234 = CAR(BgL_xz00_508);
																						BgL_testz00_1231 =
																							SYMBOLP(BgL_auxz00_1234);
																					}
																				else
																					{	/* BackEnd/dotnet.scm 137 */
																						BgL_testz00_1231 = ((bool_t) 0);
																					}
																				if (BgL_testz00_1231)
																					{	/* BackEnd/dotnet.scm 139 */
																						obj_t BgL_arg2301z00_510;

																						BgL_arg2301z00_510 =
																							SYMBOL_TO_STRING(CAR
																							(BgL_xz00_508));
																						BgL_arg2298z00_506 =
																							string_append(BgL_arg2301z00_510,
																							BGl_string2546z00zzbackend_dotnetz00);
																					}
																				else
																					{	/* BackEnd/dotnet.scm 137 */
																						BgL_arg2298z00_506 =
																							BGl_string2543z00zzbackend_dotnetz00;
																					}
																			}
																		}
																		BgL_newtail2235z00_504 =
																			MAKE_PAIR(BgL_arg2298z00_506, BNIL);
																	}
																	SET_CDR(BgL_tail2234z00_501,
																		BgL_newtail2235z00_504);
																	{
																		obj_t BgL_tail2234z00_1244;
																		obj_t BgL_l2231z00_1242;

																		BgL_l2231z00_1242 = CDR(BgL_l2231z00_500);
																		BgL_tail2234z00_1244 =
																			BgL_newtail2235z00_504;
																		BgL_tail2234z00_501 = BgL_tail2234z00_1244;
																		BgL_l2231z00_500 = BgL_l2231z00_1242;
																		goto BgL_map2232z00_502;
																	}
																}
														}
													}
											}
											{	/* BackEnd/dotnet.scm 134 */
												obj_t BgL_list2294z00_496;

												BgL_list2294z00_496 =
													MAKE_PAIR(BgL_arg2293z00_495, BNIL);
												BgL_runner2306z00_515 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BGl_string2547z00zzbackend_dotnetz00,
													BgL_list2294z00_496);
											}
										}
										BgL_arg2291z00_493 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_runner2306z00_515);
									}
									return
										BGl_errorz00zz__errorz00
										(BGl_string2548z00zzbackend_dotnetz00, BgL_arg2291z00_493,
										BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00);
								}
						}
					}
				}
			}
		}
	}



/* dotnet-external-pnet-asm */
	obj_t BGl_dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t
		BgL_namez00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 148 */
			{	/* BackEnd/dotnet.scm 149 */
				obj_t BgL_ilz00_521;

				BgL_ilz00_521 =
					string_append(BGl_prefixz00zz__osz00(BgL_namez00_5),
					BGl_string2549z00zzbackend_dotnetz00);
				{	/* BackEnd/dotnet.scm 149 */
					obj_t BgL_cmdz00_522;

					BgL_cmdz00_522 =
						string_append_3
						(BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00,
						BGl_string2546z00zzbackend_dotnetz00, BgL_ilz00_521);
					{	/* BackEnd/dotnet.scm 150 */

						{	/* BackEnd/dotnet.scm 151 */
							obj_t BgL_list2312z00_523;

							{	/* BackEnd/dotnet.scm 151 */
								obj_t BgL_arg2314z00_525;

								{	/* BackEnd/dotnet.scm 151 */
									obj_t BgL_arg2315z00_526;

									{	/* BackEnd/dotnet.scm 151 */
										obj_t BgL_arg2317z00_528;

										BgL_arg2317z00_528 =
											MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
										BgL_arg2315z00_526 =
											MAKE_PAIR(BGl_string2550z00zzbackend_dotnetz00,
											BgL_arg2317z00_528);
									}
									BgL_arg2314z00_525 =
										MAKE_PAIR
										(BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00,
										BgL_arg2315z00_526);
								}
								BgL_list2312z00_523 =
									MAKE_PAIR(BGl_string2551z00zzbackend_dotnetz00,
									BgL_arg2314z00_525);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
								BgL_list2312z00_523);
						}
						{	/* BackEnd/dotnet.scm 152 */
							obj_t BgL_list2318z00_529;

							{	/* BackEnd/dotnet.scm 152 */
								obj_t BgL_arg2320z00_531;

								{	/* BackEnd/dotnet.scm 152 */
									obj_t BgL_arg2321z00_532;

									{	/* BackEnd/dotnet.scm 152 */
										obj_t BgL_arg2322z00_533;

										BgL_arg2322z00_533 =
											MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
										BgL_arg2321z00_532 =
											MAKE_PAIR(BCHAR(((unsigned char) ']')),
											BgL_arg2322z00_533);
									}
									BgL_arg2320z00_531 =
										MAKE_PAIR(BgL_cmdz00_522, BgL_arg2321z00_532);
								}
								BgL_list2318z00_529 =
									MAKE_PAIR(BGl_string2552z00zzbackend_dotnetz00,
									BgL_arg2320z00_531);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2318z00_529);
						}
						{	/* BackEnd/dotnet.scm 153 */
							obj_t BgL_resz00_534;

							BgL_resz00_534 =
								BGl_execz00zzcc_execz00(BgL_cmdz00_522, ((bool_t) 1),
								BGl_string2553z00zzbackend_dotnetz00);
							if (CBOOL(BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 154 */
									char *BgL_stringz00_969;

									BgL_stringz00_969 = BSTRING_TO_STRING(BgL_ilz00_521);
									if (unlink(BgL_stringz00_969))
										{	/* BackEnd/dotnet.scm 154 */
											((bool_t) 0);
										}
									else
										{	/* BackEnd/dotnet.scm 154 */
											((bool_t) 1);
										}
								}
							else
								{	/* BackEnd/dotnet.scm 154 */
									((bool_t) 0);
								}
							return BgL_resz00_534;
						}
					}
				}
			}
		}
	}



/* _dotnet-external-pnet-asm */
	obj_t BGl__dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t
		BgL_envz00_1093, obj_t BgL_namez00_1094)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 148 */
			return
				BGl_dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00
				(BgL_namez00_1094);
		}
	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 185 */
			return
				string_append(BGl_string2554z00zzbackend_dotnetz00,
				BGl_string2555z00zzbackend_dotnetz00);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_backendzd2compilezd2dotn2239z00_1102;

				BgL_backendzd2compilezd2dotn2239z00_1102 =
					make_fx_procedure
					(BGl_backendzd2compilezd2dotn2239z00zzbackend_dotnetz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
					BGl_dotnetz00zzbackend_dotnet_classz00,
					BgL_backendzd2compilezd2dotn2239z00_1102);
			}
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_backendzd2linkzd2dotnet2241z00_1099;

				BgL_backendzd2linkzd2dotnet2241z00_1099 =
					make_fx_procedure
					(BGl_backendzd2linkzd2dotnet2241z00zzbackend_dotnetz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
					BGl_dotnetz00zzbackend_dotnet_classz00,
					BgL_backendzd2linkzd2dotnet2241z00_1099);
			}
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_backendzd2cnstzd2tablezd2n2243zd2_1098;

				BgL_backendzd2cnstzd2tablezd2n2243zd2_1098 =
					make_fx_procedure
					(BGl_backendzd2cnstzd2tablezd2n2243zd2zzbackend_dotnetz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
					BGl_dotnetz00zzbackend_dotnet_classz00,
					BgL_backendzd2cnstzd2tablezd2n2243zd2_1098);
			}
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_backendzd2linkzd2objects2245z00_1097;

				BgL_backendzd2linkzd2objects2245z00_1097 =
					make_fx_procedure
					(BGl_backendzd2linkzd2objects2245z00zzbackend_dotnetz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
					BGl_dotnetz00zzbackend_dotnet_classz00,
					BgL_backendzd2linkzd2objects2245z00_1097);
			}
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_backendzd2checkzd2inline2247z00_1096;

				BgL_backendzd2checkzd2inline2247z00_1096 =
					make_fx_procedure
					(BGl_backendzd2checkzd2inline2247z00zzbackend_dotnetz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
					BGl_dotnetz00zzbackend_dotnet_classz00,
					BgL_backendzd2checkzd2inline2247z00_1096);
			}
		}
	}



/* backend-check-inline2247 */
	obj_t BGl_backendzd2checkzd2inline2247z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1103, obj_t BgL_mez00_1104)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 305 */
			{
				BgL_dotnetz00_bglt BgL_mez00_934;

				BgL_mez00_934 = (BgL_dotnetz00_bglt) (BgL_mez00_1104);
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* BackEnd/dotnet.scm 306 */
						return BFALSE;
					}
				else
					{	/* BackEnd/dotnet.scm 306 */
						return BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00();
					}
			}
		}
	}



/* backend-link-objects2245 */
	obj_t BGl_backendzd2linkzd2objects2245z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1105, obj_t BgL_mez00_1106, obj_t BgL_sourcesz00_1107)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 191 */
			{
				BgL_dotnetz00_bglt BgL_mez00_776;
				obj_t BgL_sourcesz00_777;

				BgL_mez00_776 = (BgL_dotnetz00_bglt) (BgL_mez00_1106);
				BgL_sourcesz00_777 = BgL_sourcesz00_1107;
				if (NULLP(BgL_sourcesz00_777))
					{	/* BackEnd/dotnet.scm 196 */
						obj_t BgL_firstz00_782;

						BgL_firstz00_782 =
							BGl_prefixz00zz__osz00(CAR
							(BGl_za2ozd2filesza2zd2zzengine_paramz00));
						{	/* BackEnd/dotnet.scm 197 */
							obj_t BgL_list2406z00_783;

							{	/* BackEnd/dotnet.scm 197 */
								obj_t BgL_arg2408z00_785;

								{	/* BackEnd/dotnet.scm 197 */
									obj_t BgL_arg2411z00_787;

									{	/* BackEnd/dotnet.scm 197 */
										obj_t BgL_arg2413z00_789;

										BgL_arg2413z00_789 =
											MAKE_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00, BNIL);
										BgL_arg2411z00_787 =
											MAKE_PAIR(BGl_string2556z00zzbackend_dotnetz00,
											BgL_arg2413z00_789);
									}
									BgL_arg2408z00_785 =
										MAKE_PAIR(BGl_string2557z00zzbackend_dotnetz00,
										BgL_arg2411z00_787);
								}
								BgL_list2406z00_783 =
									MAKE_PAIR(BGl_string2558z00zzbackend_dotnetz00,
									BgL_arg2408z00_785);
							}
							BGl_warningz00zz__errorz00(BgL_list2406z00_783);
						}
						BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
						BGl_za2srczd2filesza2zd2zzengine_paramz00 = BNIL;
						return BGl_dotnetzd2ldzd2zzmsil_ldz00();
					}
				else
					{
						obj_t BgL_sourcesz00_793;
						obj_t BgL_clsz00_794;
						obj_t BgL_mainz00_795;
						obj_t BgL_fmainz00_796;
						obj_t BgL_librariesz00_797;

						BgL_sourcesz00_793 = BgL_sourcesz00_777;
						BgL_clsz00_794 = BNIL;
						BgL_mainz00_795 = BFALSE;
						BgL_fmainz00_796 = BGl_string2543z00zzbackend_dotnetz00;
						BgL_librariesz00_797 = BNIL;
					BgL_loopz00_798:
						if (NULLP(BgL_sourcesz00_793))
							{	/* BackEnd/dotnet.scm 207 */
								if (CBOOL(BgL_mainz00_795))
									{	/* BackEnd/dotnet.scm 211 */
										obj_t BgL_firstz00_800;

										BgL_firstz00_800 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2ozd2filesza2zd2zzengine_paramz00));
										{
											obj_t BgL_l2236z00_801;

											BgL_l2236z00_801 = BgL_librariesz00_797;
										BgL_forzd2each2237zd2_802:
											if (PAIRP(BgL_l2236z00_801))
												{	/* BackEnd/dotnet.scm 214 */
													{	/* BackEnd/dotnet.scm 215 */
														obj_t BgL_libz00_804;

														BgL_libz00_804 = CAR(BgL_l2236z00_801);
														BGl_usezd2libraryz12zc0zzmodule_alibraryz00
															(BgL_libz00_804, CNST_TABLE_REF(((long) 6)));
													}
													{
														obj_t BgL_l2236z00_1321;

														BgL_l2236z00_1321 = CDR(BgL_l2236z00_801);
														BgL_l2236z00_801 = BgL_l2236z00_1321;
														goto BgL_forzd2each2237zd2_802;
													}
												}
											else
												{	/* BackEnd/dotnet.scm 214 */
													((bool_t) 1);
												}
										}
										BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
										{	/* BackEnd/dotnet.scm 219 */
											obj_t BgL_list2418z00_806;

											BgL_list2418z00_806 = MAKE_PAIR(BgL_fmainz00_796, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2418z00_806;
										}
										BGl_za2srczd2filesza2zd2zzengine_paramz00 = BNIL;
										return BGl_dotnetzd2ldzd2zzmsil_ldz00();
									}
								else
									{	/* BackEnd/dotnet.scm 222 */
										obj_t BgL_tmpz00_808;

										BgL_tmpz00_808 =
											BGl_makezd2tmpzd2filezd2namezd2zzbackend_dotnetz00();
										BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_808,
											CBOOL(BgL_mainz00_795),
											string_to_symbol(BSTRING_TO_STRING
												(BGl_string2554z00zzbackend_dotnetz00)), BgL_clsz00_794,
											BgL_librariesz00_797);
										{	/* BackEnd/dotnet.scm 224 */
											obj_t BgL_list2421z00_810;

											BgL_list2421z00_810 = MAKE_PAIR(BgL_tmpz00_808, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2421z00_810;
										}
										{
											obj_t BgL_raz00_812;
											obj_t BgL_resz00_813;

											BgL_raz00_812 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
											BgL_resz00_813 = BNIL;
										BgL_loopz00_814:
											if (NULLP(BgL_raz00_812))
												{	/* BackEnd/dotnet.scm 230 */
													BGl_za2restzd2argsza2zd2zzengine_paramz00 =
														bgl_reverse_bang(BgL_resz00_813);
												}
											else
												{	/* BackEnd/dotnet.scm 232 */
													bool_t BgL_testz00_1335;

													{	/* BackEnd/dotnet.scm 232 */
														obj_t BgL_arg2428z00_821;

														BgL_arg2428z00_821 =
															BGl_suffixz00zz__osz00(CAR(BgL_raz00_812));
														BgL_testz00_1335 =
															CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2428z00_821,
																BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
													}
													if (BgL_testz00_1335)
														{
															obj_t BgL_raz00_1340;

															BgL_raz00_1340 = CDR(BgL_raz00_812);
															BgL_raz00_812 = BgL_raz00_1340;
															goto BgL_loopz00_814;
														}
													else
														{	/* BackEnd/dotnet.scm 235 */
															obj_t BgL_arg2425z00_818;
															obj_t BgL_arg2426z00_819;

															BgL_arg2425z00_818 = CDR(BgL_raz00_812);
															BgL_arg2426z00_819 =
																MAKE_PAIR(CAR(BgL_raz00_812), BgL_resz00_813);
															{
																obj_t BgL_resz00_1346;
																obj_t BgL_raz00_1345;

																BgL_raz00_1345 = BgL_arg2425z00_818;
																BgL_resz00_1346 = BgL_arg2426z00_819;
																BgL_resz00_813 = BgL_resz00_1346;
																BgL_raz00_812 = BgL_raz00_1345;
																goto BgL_loopz00_814;
															}
														}
												}
										}
										{	/* BackEnd/dotnet.scm 236 */
											obj_t BgL_val2228z00_823;

											BgL_val2228z00_823 =
												BGl_zc3exitza32435ze3z83zzbackend_dotnetz00();
											BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
											{	/* BackEnd/dotnet.scm 240 */
												obj_t BgL_prez00_824;

												BgL_prez00_824 = BGl_prefixz00zz__osz00(BgL_tmpz00_808);
												{	/* BackEnd/dotnet.scm 240 */
													obj_t BgL_objzd2filezd2_825;

													BgL_objzd2filezd2_825 =
														string_append(BgL_prez00_824,
														BGl_string2559z00zzbackend_dotnetz00);
													{	/* BackEnd/dotnet.scm 241 */

														if (fexists(BSTRING_TO_STRING(BgL_tmpz00_808)))
															{	/* BackEnd/dotnet.scm 243 */
																char *BgL_stringz00_1015;

																BgL_stringz00_1015 =
																	BSTRING_TO_STRING(BgL_tmpz00_808);
																if (unlink(BgL_stringz00_1015))
																	{	/* BackEnd/dotnet.scm 243 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/dotnet.scm 243 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/dotnet.scm 242 */
																((bool_t) 0);
															}
														if (fexists(BSTRING_TO_STRING
																(BgL_objzd2filezd2_825)))
															{	/* BackEnd/dotnet.scm 245 */
																char *BgL_stringz00_1018;

																BgL_stringz00_1018 =
																	BSTRING_TO_STRING(BgL_objzd2filezd2_825);
																if (unlink(BgL_stringz00_1018))
																	{	/* BackEnd/dotnet.scm 245 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/dotnet.scm 245 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/dotnet.scm 244 */
																((bool_t) 0);
															}
													}
												}
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2228z00_823)))
												{	/* BackEnd/dotnet.scm 240 */
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2228z00_823), CDR(BgL_val2228z00_823));
												}
											else
												{	/* BackEnd/dotnet.scm 240 */
													BgL_val2228z00_823;
												}
										}
										return BINT(((long) 0));
							}}
						else
							{	/* BackEnd/dotnet.scm 247 */
								obj_t BgL_portz00_834;

								{	/* BackEnd/dotnet.scm 247 */
									obj_t BgL_arg2520z00_927;

									{	/* BackEnd/dotnet.scm 247 */
										obj_t BgL_pairz00_1022;

										BgL_pairz00_1022 = BgL_sourcesz00_793;
										BgL_arg2520z00_927 = CAR(CAR(BgL_pairz00_1022));
									}
									BgL_portz00_834 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg2520z00_927, BNIL);
								}
								if (INPUT_PORTP(BgL_portz00_834))
									{	/* BackEnd/dotnet.scm 250 */
										obj_t BgL_expz00_836;

										{	/* BackEnd/dotnet.scm 250 */
											obj_t BgL_list2516z00_923;

											BgL_list2516z00_923 = MAKE_PAIR(BgL_portz00_834, BNIL);
											BgL_expz00_836 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list2516z00_923);
										}
										close_input_port(BgL_portz00_834);
										{
											obj_t BgL_namez00_837;
											obj_t BgL_newzd2mainzd2_838;
											obj_t BgL_namez00_840;

											if (PAIRP(BgL_expz00_836))
												{	/* BackEnd/dotnet.scm 252 */
													obj_t BgL_cdrzd2987zd2_845;

													BgL_cdrzd2987zd2_845 = CDR(BgL_expz00_836);
													if (
														(CAR(BgL_expz00_836) == CNST_TABLE_REF(((long) 7))))
														{	/* BackEnd/dotnet.scm 252 */
															if (PAIRP(BgL_cdrzd2987zd2_845))
																{
																	obj_t BgL_gzd2994zd2_850;

																	BgL_gzd2994zd2_850 =
																		CDR(BgL_cdrzd2987zd2_845);
																BgL_zc3anonymousza32441ze3z83_851:
																	if (PAIRP(BgL_gzd2994zd2_850))
																		{	/* BackEnd/dotnet.scm 252 */
																			obj_t BgL_carzd2997zd2_853;

																			BgL_carzd2997zd2_853 =
																				CAR(BgL_gzd2994zd2_850);
																			if (PAIRP(BgL_carzd2997zd2_853))
																				{	/* BackEnd/dotnet.scm 252 */
																					obj_t BgL_cdrzd21001zd2_855;

																					BgL_cdrzd21001zd2_855 =
																						CDR(BgL_carzd2997zd2_853);
																					if (
																						(CAR(BgL_carzd2997zd2_853) ==
																							CNST_TABLE_REF(((long) 8))))
																						{	/* BackEnd/dotnet.scm 252 */
																							if (PAIRP(BgL_cdrzd21001zd2_855))
																								{	/* BackEnd/dotnet.scm 252 */
																									if (NULLP(CDR
																											(BgL_cdrzd21001zd2_855)))
																										{	/* BackEnd/dotnet.scm 252 */
																											BgL_namez00_837 =
																												CAR
																												(BgL_cdrzd2987zd2_845);
																											BgL_newzd2mainzd2_838 =
																												CAR
																												(BgL_cdrzd21001zd2_855);
																											{	/* BackEnd/dotnet.scm 257 */
																												obj_t
																													BgL_arg2461z00_873;
																												{	/* BackEnd/dotnet.scm 257 */
																													obj_t
																														BgL_arg2463z00_875;
																													obj_t
																														BgL_arg2464z00_876;
																													{	/* BackEnd/dotnet.scm 257 */
																														obj_t
																															BgL_arg2465z00_877;
																														{	/* BackEnd/dotnet.scm 257 */
																															obj_t
																																BgL_arg2466z00_878;
																															{	/* BackEnd/dotnet.scm 257 */
																																obj_t
																																	BgL_pairz00_1049;
																																BgL_pairz00_1049
																																	=
																																	BgL_sourcesz00_793;
																																BgL_arg2466z00_878
																																	=
																																	CDR(CAR
																																	(BgL_pairz00_1049));
																															}
																															BgL_arg2465z00_877
																																=
																																BGl_prefixz00zz__osz00
																																(BgL_arg2466z00_878);
																														}
																														BgL_arg2463z00_875 =
																															BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																															(BgL_arg2465z00_877);
																													}
																													BgL_arg2464z00_876 =
																														BGl_filezd2separatorzd2zz__osz00
																														();
																													BgL_arg2461z00_873 =
																														BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																														(BgL_arg2463z00_875,
																														CCHAR
																														(BgL_arg2464z00_876),
																														(char) (((unsigned
																																	char) '.')));
																												}
																												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																													(BgL_namez00_837,
																													BgL_arg2461z00_873,
																													BNIL);
																											}
																											if (CBOOL
																												(BgL_mainz00_795))
																												{	/* BackEnd/dotnet.scm 261 */
																													obj_t
																														BgL_arg2468z00_880;
																													obj_t
																														BgL_arg2470z00_881;
																													{	/* BackEnd/dotnet.scm 262 */
																														obj_t
																															BgL_arg2473z00_884;
																														{	/* BackEnd/dotnet.scm 266 */
																															obj_t
																																BgL_pairz00_1053;
																															BgL_pairz00_1053 =
																																BgL_sourcesz00_793;
																															BgL_arg2473z00_884
																																=
																																CAR(CAR
																																(BgL_pairz00_1053));
																														}
																														{	/* BackEnd/dotnet.scm 262 */
																															obj_t
																																BgL_list2475z00_886;
																															{	/* BackEnd/dotnet.scm 262 */
																																obj_t
																																	BgL_arg2476z00_887;
																																{	/* BackEnd/dotnet.scm 262 */
																																	obj_t
																																		BgL_arg2478z00_888;
																																	{	/* BackEnd/dotnet.scm 262 */
																																		obj_t
																																			BgL_arg2479z00_889;
																																		{	/* BackEnd/dotnet.scm 262 */
																																			obj_t
																																				BgL_arg2480z00_890;
																																			BgL_arg2480z00_890
																																				=
																																				MAKE_PAIR
																																				(BGl_string2550z00zzbackend_dotnetz00,
																																				BNIL);
																																			BgL_arg2479z00_889
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2473z00_884,
																																				BgL_arg2480z00_890);
																																		}
																																		BgL_arg2478z00_888
																																			=
																																			MAKE_PAIR
																																			(BGl_string2561z00zzbackend_dotnetz00,
																																			BgL_arg2479z00_889);
																																	}
																																	BgL_arg2476z00_887
																																		=
																																		MAKE_PAIR
																																		(BgL_fmainz00_796,
																																		BgL_arg2478z00_888);
																																}
																																BgL_list2475z00_886
																																	=
																																	MAKE_PAIR
																																	(BGl_string2562z00zzbackend_dotnetz00,
																																	BgL_arg2476z00_887);
																															}
																															BgL_arg2468z00_880
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2475z00_886);
																														}
																													}
																													BgL_arg2470z00_881 =
																														MAKE_PAIR
																														(BgL_mainz00_795,
																														BgL_newzd2mainzd2_838);
																													BGl_errorz00zz__errorz00
																														(BGl_string2543z00zzbackend_dotnetz00,
																														BgL_arg2468z00_880,
																														BgL_arg2470z00_881);
																												}
																											else
																												{	/* BackEnd/dotnet.scm 260 */
																													BFALSE;
																												}
																											{	/* BackEnd/dotnet.scm 268 */
																												obj_t
																													BgL_arg2481z00_891;
																												obj_t
																													BgL_arg2482z00_892;
																												obj_t
																													BgL_arg2483z00_893;
																												obj_t
																													BgL_arg2484z00_894;
																												BgL_arg2481z00_891 =
																													CDR
																													(BgL_sourcesz00_793);
																												{	/* BackEnd/dotnet.scm 270 */
																													obj_t
																														BgL_arg2485z00_895;
																													{	/* BackEnd/dotnet.scm 270 */
																														obj_t
																															BgL_arg2486z00_896;
																														{	/* BackEnd/dotnet.scm 270 */
																															obj_t
																																BgL_arg2490z00_900;
																															{	/* BackEnd/dotnet.scm 271 */
																																obj_t
																																	BgL_pairz00_1058;
																																BgL_pairz00_1058
																																	=
																																	BgL_sourcesz00_793;
																																BgL_arg2490z00_900
																																	=
																																	CAR(CAR
																																	(BgL_pairz00_1058));
																															}
																															BgL_arg2486z00_896
																																=
																																string_append_3
																																(BGl_string2560z00zzbackend_dotnetz00,
																																BgL_arg2490z00_900,
																																BGl_string2560z00zzbackend_dotnetz00);
																														}
																														{	/* BackEnd/dotnet.scm 269 */
																															obj_t
																																BgL_list2487z00_897;
																															{	/* BackEnd/dotnet.scm 269 */
																																obj_t
																																	BgL_arg2488z00_898;
																																BgL_arg2488z00_898
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2486z00_896,
																																	BNIL);
																																BgL_list2487z00_897
																																	=
																																	MAKE_PAIR
																																	(BgL_namez00_837,
																																	BgL_arg2488z00_898);
																															}
																															BgL_arg2485z00_895
																																=
																																BgL_list2487z00_897;
																														}
																													}
																													BgL_arg2482z00_892 =
																														MAKE_PAIR
																														(BgL_arg2485z00_895,
																														BgL_clsz00_794);
																												}
																												{	/* BackEnd/dotnet.scm 274 */
																													obj_t
																														BgL_pairz00_1064;
																													BgL_pairz00_1064 =
																														BgL_sourcesz00_793;
																													BgL_arg2483z00_893 =
																														CAR(CAR
																														(BgL_pairz00_1064));
																												}
																												{	/* BackEnd/dotnet.scm 275 */
																													obj_t
																														BgL_arg2492z00_902;
																													{	/* BackEnd/dotnet.scm 275 */
																														obj_t
																															BgL_arg2493z00_903;
																														{	/* BackEnd/dotnet.scm 275 */
																															obj_t
																																BgL_pairz00_1068;
																															BgL_pairz00_1068 =
																																BgL_expz00_836;
																															BgL_arg2493z00_903
																																=
																																CDR(CDR
																																(BgL_pairz00_1068));
																														}
																														BgL_arg2492z00_902 =
																															BGl_findzd2librarieszd2zzengine_linkz00
																															(BgL_arg2493z00_903);
																													}
																													BgL_arg2484z00_894 =
																														bgl_append2
																														(BgL_arg2492z00_902,
																														BgL_librariesz00_797);
																												}
																												{
																													obj_t
																														BgL_librariesz00_1440;
																													obj_t
																														BgL_fmainz00_1439;
																													obj_t
																														BgL_mainz00_1438;
																													obj_t BgL_clsz00_1437;
																													obj_t
																														BgL_sourcesz00_1436;
																													BgL_sourcesz00_1436 =
																														BgL_arg2481z00_891;
																													BgL_clsz00_1437 =
																														BgL_arg2482z00_892;
																													BgL_mainz00_1438 =
																														BgL_newzd2mainzd2_838;
																													BgL_fmainz00_1439 =
																														BgL_arg2483z00_893;
																													BgL_librariesz00_1440
																														=
																														BgL_arg2484z00_894;
																													BgL_librariesz00_797 =
																														BgL_librariesz00_1440;
																													BgL_fmainz00_796 =
																														BgL_fmainz00_1439;
																													BgL_mainz00_795 =
																														BgL_mainz00_1438;
																													BgL_clsz00_794 =
																														BgL_clsz00_1437;
																													BgL_sourcesz00_793 =
																														BgL_sourcesz00_1436;
																													goto BgL_loopz00_798;
																												}
																											}
																										}
																									else
																										{
																											obj_t BgL_gzd2994zd2_1443;

																											BgL_gzd2994zd2_1443 =
																												CDR(BgL_gzd2994zd2_850);
																											BgL_gzd2994zd2_850 =
																												BgL_gzd2994zd2_1443;
																											goto
																												BgL_zc3anonymousza32441ze3z83_851;
																										}
																								}
																							else
																								{
																									obj_t BgL_gzd2994zd2_1445;

																									BgL_gzd2994zd2_1445 =
																										CDR(BgL_gzd2994zd2_850);
																									BgL_gzd2994zd2_850 =
																										BgL_gzd2994zd2_1445;
																									goto
																										BgL_zc3anonymousza32441ze3z83_851;
																								}
																						}
																					else
																						{
																							obj_t BgL_gzd2994zd2_1447;

																							BgL_gzd2994zd2_1447 =
																								CDR(BgL_gzd2994zd2_850);
																							BgL_gzd2994zd2_850 =
																								BgL_gzd2994zd2_1447;
																							goto
																								BgL_zc3anonymousza32441ze3z83_851;
																						}
																				}
																			else
																				{
																					obj_t BgL_gzd2994zd2_1449;

																					BgL_gzd2994zd2_1449 =
																						CDR(BgL_gzd2994zd2_850);
																					BgL_gzd2994zd2_850 =
																						BgL_gzd2994zd2_1449;
																					goto
																						BgL_zc3anonymousza32441ze3z83_851;
																				}
																		}
																	else
																		{	/* BackEnd/dotnet.scm 252 */
																			BgL_namez00_840 =
																				CAR(CDR(BgL_expz00_836));
																			{	/* BackEnd/dotnet.scm 281 */
																				obj_t BgL_arg2494z00_904;

																				{	/* BackEnd/dotnet.scm 281 */
																					obj_t BgL_arg2496z00_906;
																					obj_t BgL_arg2497z00_907;

																					{	/* BackEnd/dotnet.scm 281 */
																						obj_t BgL_arg2498z00_908;

																						{	/* BackEnd/dotnet.scm 281 */
																							obj_t BgL_arg2499z00_909;

																							{	/* BackEnd/dotnet.scm 281 */
																								obj_t BgL_pairz00_1072;

																								BgL_pairz00_1072 =
																									BgL_sourcesz00_793;
																								BgL_arg2499z00_909 =
																									CDR(CAR(BgL_pairz00_1072));
																							}
																							BgL_arg2498z00_908 =
																								BGl_prefixz00zz__osz00
																								(BgL_arg2499z00_909);
																						}
																						BgL_arg2496z00_906 =
																							BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																							(BgL_arg2498z00_908);
																					}
																					BgL_arg2497z00_907 =
																						BGl_filezd2separatorzd2zz__osz00();
																					BgL_arg2494z00_904 =
																						BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																						(BgL_arg2496z00_906,
																						CCHAR(BgL_arg2497z00_907),
																						(char) (((unsigned char) '.')));
																				}
																				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																					(BgL_namez00_840, BgL_arg2494z00_904,
																					BNIL);
																			}
																			{	/* BackEnd/dotnet.scm 284 */
																				obj_t BgL_arg2501z00_910;
																				obj_t BgL_arg2502z00_911;
																				obj_t BgL_arg2504z00_912;

																				BgL_arg2501z00_910 =
																					CDR(BgL_sourcesz00_793);
																				{	/* BackEnd/dotnet.scm 286 */
																					obj_t BgL_arg2505z00_913;

																					{	/* BackEnd/dotnet.scm 286 */
																						obj_t BgL_arg2507z00_914;

																						{	/* BackEnd/dotnet.scm 286 */
																							obj_t BgL_arg2511z00_918;

																							{	/* BackEnd/dotnet.scm 287 */
																								obj_t BgL_pairz00_1077;

																								BgL_pairz00_1077 =
																									BgL_sourcesz00_793;
																								BgL_arg2511z00_918 =
																									CAR(CAR(BgL_pairz00_1077));
																							}
																							BgL_arg2507z00_914 =
																								string_append_3
																								(BGl_string2560z00zzbackend_dotnetz00,
																								BgL_arg2511z00_918,
																								BGl_string2560z00zzbackend_dotnetz00);
																						}
																						{	/* BackEnd/dotnet.scm 285 */
																							obj_t BgL_list2508z00_915;

																							{	/* BackEnd/dotnet.scm 285 */
																								obj_t BgL_arg2509z00_916;

																								BgL_arg2509z00_916 =
																									MAKE_PAIR(BgL_arg2507z00_914,
																									BNIL);
																								BgL_list2508z00_915 =
																									MAKE_PAIR(BgL_namez00_840,
																									BgL_arg2509z00_916);
																							}
																							BgL_arg2505z00_913 =
																								BgL_list2508z00_915;
																					}}
																					BgL_arg2502z00_911 =
																						MAKE_PAIR(BgL_arg2505z00_913,
																						BgL_clsz00_794);
																				}
																				{	/* BackEnd/dotnet.scm 291 */
																					obj_t BgL_arg2513z00_920;

																					{	/* BackEnd/dotnet.scm 291 */
																						obj_t BgL_arg2514z00_921;

																						{	/* BackEnd/dotnet.scm 291 */
																							obj_t BgL_pairz00_1083;

																							BgL_pairz00_1083 = BgL_expz00_836;
																							BgL_arg2514z00_921 =
																								CDR(CDR(BgL_pairz00_1083));
																						}
																						BgL_arg2513z00_920 =
																							BGl_findzd2librarieszd2zzengine_linkz00
																							(BgL_arg2514z00_921);
																					}
																					BgL_arg2504z00_912 =
																						bgl_append2(BgL_arg2513z00_920,
																						BgL_librariesz00_797);
																				}
																				{
																					obj_t BgL_librariesz00_1473;
																					obj_t BgL_clsz00_1472;
																					obj_t BgL_sourcesz00_1471;

																					BgL_sourcesz00_1471 =
																						BgL_arg2501z00_910;
																					BgL_clsz00_1472 = BgL_arg2502z00_911;
																					BgL_librariesz00_1473 =
																						BgL_arg2504z00_912;
																					BgL_librariesz00_797 =
																						BgL_librariesz00_1473;
																					BgL_clsz00_794 = BgL_clsz00_1472;
																					BgL_sourcesz00_793 =
																						BgL_sourcesz00_1471;
																					goto BgL_loopz00_798;
																				}
																			}
																		}
																}
															else
																{	/* BackEnd/dotnet.scm 252 */
																BgL_tagzd2978zd2_842:
																	{
																		obj_t BgL_sourcesz00_1477;

																		BgL_sourcesz00_1477 =
																			CDR(BgL_sourcesz00_793);
																		BgL_sourcesz00_793 = BgL_sourcesz00_1477;
																		goto BgL_loopz00_798;
																	}
																}
														}
													else
														{	/* BackEnd/dotnet.scm 252 */
															goto BgL_tagzd2978zd2_842;
														}
												}
											else
												{	/* BackEnd/dotnet.scm 252 */
													goto BgL_tagzd2978zd2_842;
												}
										}
									}
								else
									{	/* BackEnd/dotnet.scm 249 */
										obj_t BgL_arg2519z00_926;

										{	/* BackEnd/dotnet.scm 249 */
											obj_t BgL_pairz00_1088;

											BgL_pairz00_1088 = BgL_sourcesz00_793;
											BgL_arg2519z00_926 = CAR(CAR(BgL_pairz00_1088));
										}
										return
											BGl_errorz00zz__errorz00
											(BGl_string2543z00zzbackend_dotnetz00,
											BGl_string2563z00zzbackend_dotnetz00, BgL_arg2519z00_926);
									}
							}
					}
			}
		}
	}



/* <exit:2435> */
	obj_t BGl_zc3exitza32435ze3z83zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 239 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2229z00_832;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2229z00_832))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2229z00_832 = (void *) jmpbuf;
						{	/* BackEnd/dotnet.scm 239 */

							PUSH_EXIT(BgL_an_exit2229z00_832, ((long) 0));
							{	/* BackEnd/dotnet.scm 237 */
								obj_t BgL_val2230z00_833;

								BgL_val2230z00_833 = BGl_compilerz00zzengine_compilerz00();
								POP_EXIT();
								return BgL_val2230z00_833;
							}
						}
					}
			}
		}
	}



/* backend-cnst-table-n2243 */
	obj_t BGl_backendzd2cnstzd2tablezd2n2243zd2zzbackend_dotnetz00(obj_t
		BgL_envz00_1108, obj_t BgL_mez00_1109, obj_t BgL_offsetz00_1110)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 167 */
			return BGl_string2564z00zzbackend_dotnetz00;
		}
	}



/* backend-link-dotnet2241 */
	obj_t BGl_backendzd2linkzd2dotnet2241z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1111, obj_t BgL_mez00_1112, obj_t BgL_resultz00_1113)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 160 */
			return BGl_dotnetzd2ldzd2zzmsil_ldz00();
		}
	}



/* backend-compile-dotn2239 */
	obj_t BGl_backendzd2compilezd2dotn2239z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1114, obj_t BgL_mez00_1115)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 44 */
			{
				BgL_dotnetz00_bglt BgL_mez00_694;

				BgL_mez00_694 = (BgL_dotnetz00_bglt) (BgL_mez00_1115);
				{	/* BackEnd/dotnet.scm 46 */
					obj_t BgL_list2344z00_698;

					{	/* BackEnd/dotnet.scm 46 */
						obj_t BgL_arg2347z00_700;

						{	/* BackEnd/dotnet.scm 46 */
							obj_t BgL_arg2349z00_702;

							BgL_arg2349z00_702 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg2347z00_700 =
								MAKE_PAIR(BGl_string2565z00zzbackend_dotnetz00,
								BgL_arg2349z00_702);
						}
						BgL_list2344z00_698 =
							MAKE_PAIR(BGl_string2566z00zzbackend_dotnetz00,
							BgL_arg2347z00_700);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2344z00_698);
				}
				BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
				BGl_za2currentzd2passza2zd2zzengine_passz00 =
					BGl_string2565z00zzbackend_dotnetz00;
				{	/* BackEnd/dotnet.scm 46 */
					obj_t BgL_g2223z00_703;
					obj_t BgL_g2224z00_704;

					{	/* BackEnd/dotnet.scm 46 */
						obj_t BgL_list2358z00_716;

						BgL_list2358z00_716 =
							MAKE_PAIR
							(BGl_startzd2dotnetzd2emissionz12zd2envzc0zzbackend_dotnetz00,
							BNIL);
						BgL_g2223z00_703 = BgL_list2358z00_716;
					}
					BgL_g2224z00_704 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_hooksz00_705;
						obj_t BgL_hnamesz00_706;

						BgL_hooksz00_705 = BgL_g2223z00_703;
						BgL_hnamesz00_706 = BgL_g2224z00_704;
					BgL_loopz00_707:
						if (NULLP(BgL_hooksz00_705))
							{	/* BackEnd/dotnet.scm 46 */
								CNST_TABLE_REF(((long) 10));
							}
						else
							{	/* BackEnd/dotnet.scm 46 */
								bool_t BgL_testz00_1501;

								{	/* BackEnd/dotnet.scm 46 */
									obj_t BgL_fun2357z00_715;

									BgL_fun2357z00_715 = CAR(BgL_hooksz00_705);
									BgL_testz00_1501 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2357z00_715)
										(BgL_fun2357z00_715, BEOA));
								}
								if (BgL_testz00_1501)
									{
										obj_t BgL_hnamesz00_1508;
										obj_t BgL_hooksz00_1506;

										BgL_hooksz00_1506 = CDR(BgL_hooksz00_705);
										BgL_hnamesz00_1508 = CDR(BgL_hnamesz00_706);
										BgL_hnamesz00_706 = BgL_hnamesz00_1508;
										BgL_hooksz00_705 = BgL_hooksz00_1506;
										goto BgL_loopz00_707;
									}
								else
									{	/* BackEnd/dotnet.scm 46 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2565z00zzbackend_dotnetz00,
											BGl_string2567z00zzbackend_dotnetz00,
											CAR(BgL_hnamesz00_706));
									}
							}
					}
				}
				{	/* BackEnd/dotnet.scm 47 */
					obj_t BgL_arg2362z00_720;

					BgL_arg2362z00_720 =
						(((BgL_dotnetz00_bglt) CREF(BgL_mez00_694))->BgL_qnamez00);
					{	/* BackEnd/dotnet.scm 47 */
						obj_t BgL_list2364z00_722;

						{	/* BackEnd/dotnet.scm 47 */
							obj_t BgL_arg2365z00_723;

							{	/* BackEnd/dotnet.scm 47 */
								obj_t BgL_arg2366z00_724;

								{	/* BackEnd/dotnet.scm 47 */
									obj_t BgL_arg2368z00_725;

									{	/* BackEnd/dotnet.scm 47 */
										obj_t BgL_arg2369z00_726;

										{	/* BackEnd/dotnet.scm 47 */
											obj_t BgL_arg2370z00_727;

											BgL_arg2370z00_727 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2369z00_726 =
												MAKE_PAIR(BGl_string2568z00zzbackend_dotnetz00,
												BgL_arg2370z00_727);
										}
										BgL_arg2368z00_725 =
											MAKE_PAIR(BgL_arg2362z00_720, BgL_arg2369z00_726);
									}
									BgL_arg2366z00_724 =
										MAKE_PAIR(BGl_string2569z00zzbackend_dotnetz00,
										BgL_arg2368z00_725);
								}
								BgL_arg2365z00_723 =
									MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_arg2366z00_724);
							}
							BgL_list2364z00_722 =
								MAKE_PAIR(BGl_string2570z00zzbackend_dotnetz00,
								BgL_arg2365z00_723);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
							BgL_list2364z00_722);
				}}
				{
					obj_t BgL_auxz00_1522;

					BgL_auxz00_1522 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00);
					((((BgL_dotnetz00_bglt) CREF(BgL_mez00_694))->BgL_qnamez00) =
						((obj_t) BgL_auxz00_1522), BUNSPEC);
				}
				{	/* BackEnd/dotnet.scm 53 */
					bool_t BgL_testz00_1525;

					if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
						{	/* BackEnd/dotnet.scm 53 */
							BgL_testz00_1525 = ((bool_t) 0);
						}
					else
						{	/* BackEnd/dotnet.scm 53 */
							BgL_testz00_1525 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 11))));
						}
					if (BgL_testz00_1525)
						{	/* BackEnd/dotnet.scm 53 */
							BGl_za2mainza2z00zzmodule_modulez00 =
								BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
						}
					else
						{	/* BackEnd/dotnet.scm 53 */
							BFALSE;
						}
				}
				{	/* BackEnd/dotnet.scm 64 */
					obj_t BgL_bnamez00_730;

					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 5))))
						{	/* BackEnd/dotnet.scm 65 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 66 */
									BgL_bnamez00_730 =
										string_append(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00(CAR
												(BGl_za2srczd2filesza2zd2zzengine_paramz00))),
										BGl_string2549z00zzbackend_dotnetz00);
								}
							else
								{	/* BackEnd/dotnet.scm 66 */
									BgL_bnamez00_730 = BGl_string2571z00zzbackend_dotnetz00;
								}
						}
					else
						{	/* BackEnd/dotnet.scm 65 */
							if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 69 */
									BgL_bnamez00_730 =
										string_append(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00
											(BGl_za2destza2z00zzengine_paramz00)),
										BGl_string2549z00zzbackend_dotnetz00);
								}
							else
								{	/* BackEnd/dotnet.scm 69 */
									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* BackEnd/dotnet.scm 70 */
											BgL_bnamez00_730 =
												string_append(BGl_prefixz00zz__osz00
												(BGl_basenamez00zz__osz00(CAR
														(BGl_za2srczd2filesza2zd2zzengine_paramz00))),
												BGl_string2549z00zzbackend_dotnetz00);
										}
									else
										{	/* BackEnd/dotnet.scm 70 */
											BgL_bnamez00_730 = BFALSE;
										}
								}
						}
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 12))))
						{	/* BackEnd/dotnet.scm 77 */
							BGl_emitz00zzbackend_dotnetz00(BgL_mez00_694, BgL_bnamez00_730);
						}
					else
						{	/* BackEnd/dotnet.scm 77 */
							if (CBOOL
								(BGl_za2dotnetzd2usezd2externalzd2asmza2zd2zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 79 */
									BGl_emitz00zzbackend_dotnetz00(BgL_mez00_694,
										BgL_bnamez00_730);
									BGl_dotnetzd2externalzd2asmz00zzbackend_dotnetz00
										(BGl_makezd2filezd2namez00zz__osz00
										(BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00,
											BgL_bnamez00_730));
								}
							else
								{	/* BackEnd/dotnet.scm 79 */
									BUNSPEC;
								}
						}
				}
				{	/* BackEnd/dotnet.scm 84 */
					obj_t BgL_arg2391z00_745;

					BgL_arg2391z00_745 = CNST_TABLE_REF(((long) 12));
					BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2391z00_745,
						make_fx_procedure(BGl_zc3anonymousza32393ze3z83zzbackend_dotnetz00,
							(int) (((long) 0)), (int) (((long) 0))));
				}
				{	/* BackEnd/dotnet.scm 85 */
					obj_t BgL_arg2394z00_749;

					BgL_arg2394z00_749 = CNST_TABLE_REF(((long) 13));
					BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2394z00_749,
						make_fx_procedure(BGl_zc3anonymousza32396ze3z83zzbackend_dotnetz00,
							(int) (((long) 0)), (int) (((long) 0))));
				}
				return CNST_TABLE_REF(((long) 14));
		}}
	}



/* emit */
	obj_t BGl_emitz00zzbackend_dotnetz00(BgL_dotnetz00_bglt BgL_mez00_1131,
		obj_t BgL_destz00_753)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 63 */
			{	/* BackEnd/dotnet.scm 57 */
				obj_t BgL_dirz00_755;

				BgL_dirz00_755 = BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00;
				{	/* BackEnd/dotnet.scm 58 */
					obj_t BgL_portz00_756;

					if (STRINGP(BgL_destz00_753))
						{	/* BackEnd/dotnet.scm 58 */
							BgL_portz00_756 =
								open_output_file(BGl_makezd2filezd2namez00zz__osz00
								(BgL_dirz00_755, BgL_destz00_753));
						}
					else
						{	/* BackEnd/dotnet.scm 58 */
							BgL_portz00_756 = BGL_CURRENT_OUTPUT_PORT();
						}
					BGl_msilzd2compilezd2zzmsil_compilez00(BgL_mez00_1131,
						BgL_portz00_756);
					{	/* BackEnd/dotnet.scm 62 */
						bool_t BgL_testz00_1579;

						{	/* BackEnd/dotnet.scm 62 */
							obj_t BgL_arg2399z00_758;

							BgL_arg2399z00_758 = BGL_CURRENT_OUTPUT_PORT();
							BgL_testz00_1579 = (BgL_portz00_756 == BgL_arg2399z00_758);
						}
						if (BgL_testz00_1579)
							{	/* BackEnd/dotnet.scm 62 */
								return BFALSE;
							}
						else
							{	/* BackEnd/dotnet.scm 62 */
								return close_output_port(BgL_portz00_756);
							}
					}
				}
			}
		}
	}



/* <anonymous:2396> */
	obj_t BGl_zc3anonymousza32396ze3z83zzbackend_dotnetz00(obj_t BgL_envz00_1116)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 85 */
			{

				return CNST_TABLE_REF(((long) 15));
		}}
	}



/* <anonymous:2393> */
	obj_t BGl_zc3anonymousza32393ze3z83zzbackend_dotnetz00(obj_t BgL_envz00_1117)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 84 */
			{

				return CNST_TABLE_REF(((long) 15));
		}}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 55672085),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 392051205),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 450629069),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_dotnet_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 179083793),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzcc_execz00(((long) 267934406),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmsil_compilez00(((long) 181915969),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmsil_ldz00(((long) 129172181),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmsil_inlinez00(((long) 124495278),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string2572z00zzbackend_dotnetz00));
		}
	}

#ifdef __cplusplus
}
#endif
