/*===========================================================================*/
/*   (BackEnd/jvm.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
	}             *BgL_jvmz00_bglt;


	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 = BUNSPEC;
	extern obj_t BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	extern BgL_jvmz00_bglt BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvmz00 = BUNSPEC;
	static obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_backendzd2linkzd2objects2346z00zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_zc3exitza32530ze3z83zzbackend_jvmz00();
	BGL_IMPORT obj_t open_output_file(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00();
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
	static obj_t BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	static obj_t BGl_handler2314z00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_handler2316z00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
	BGL_IMPORT bool_t directoryp(char *);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_output_port(obj_t);
	extern obj_t BGl_jvmz00zzbackend_jvm_classz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_emitz00zzbackend_jvmz00(obj_t, obj_t);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32457ze3z83zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_zc3anonymousza32460ze3z83zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32463ze3z83zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
	static obj_t BGl_backendzd2checkzd2inline2348z00zzbackend_jvmz00(obj_t,
		obj_t);
	static BgL_jvmz00_bglt BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00();
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	extern obj_t BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	static obj_t BGl_backendzd2cnstzd2tablezd2n2344zd2zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_backendzd2linkzd2jvm2342z00zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	static obj_t BGl_backendzd2compilezd2jvm2340z00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_zc3exitza32487ze3z83zzbackend_jvmz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_jvmz00();
	static obj_t BGl_zc3exitza32492ze3z83zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[20];


	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00,
		BgL_bgl__buildza7d2jvmza7d2b2679z00,
		BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2638z00zzbackend_jvmz00,
		BgL_bgl_string2638za700za7za7b2680za7, ".", 1);
	      DEFINE_STRING(BGl_string2640z00zzbackend_jvmz00,
		BgL_bgl_string2640za700za7za7b2681za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2639z00zzbackend_jvmz00,
		BgL_bgl_string2639za700za7za7b2682za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2641z00zzbackend_jvmz00,
		BgL_bgl_string2641za700za7za7b2683za7, "", 0);
	      DEFINE_STRING(BGl_string2642z00zzbackend_jvmz00,
		BgL_bgl_string2642za700za7za7b2684za7, "'.", 2);
	      DEFINE_STRING(BGl_string2643z00zzbackend_jvmz00,
		BgL_bgl_string2643za700za7za7b2685za7, "', class path is `", 18);
	      DEFINE_STRING(BGl_string2644z00zzbackend_jvmz00,
		BgL_bgl_string2644za700za7za7b2686za7, " is `", 5);
	      DEFINE_STRING(BGl_string2645z00zzbackend_jvmz00,
		BgL_bgl_string2645za700za7za7b2687za7, "Package name for module ", 24);
	      DEFINE_STRING(BGl_string2646z00zzbackend_jvmz00,
		BgL_bgl_string2646za700za7za7b2688za7,
		"Incompatible package name and class path.", 41);
	      DEFINE_STRING(BGl_string2647z00zzbackend_jvmz00,
		BgL_bgl_string2647za700za7za7b2689za7, ".jast", 5);
	      DEFINE_STRING(BGl_string2648z00zzbackend_jvmz00,
		BgL_bgl_string2648za700za7za7b2690za7, ".jas", 4);
	      DEFINE_STRING(BGl_string2650z00zzbackend_jvmz00,
		BgL_bgl_string2650za700za7za7b2691za7, "start-jvm-emission!", 19);
	      DEFINE_STRING(BGl_string2649z00zzbackend_jvmz00,
		BgL_bgl_string2649za700za7za7b2692za7, ".class", 6);
	      DEFINE_STRING(BGl_string2651z00zzbackend_jvmz00,
		BgL_bgl_string2651za700za7za7b2693za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2652z00zzbackend_jvmz00,
		BgL_bgl_string2652za700za7za7b2694za7, "JVMMAIN", 7);
	      DEFINE_STRING(BGl_string2653z00zzbackend_jvmz00,
		BgL_bgl_string2653za700za7za7b2695za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2654z00zzbackend_jvmz00,
		BgL_bgl_string2654za700za7za7b2696za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2655z00zzbackend_jvmz00,
		BgL_bgl_string2655za700za7za7b2697za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2656z00zzbackend_jvmz00,
		BgL_bgl_string2656za700za7za7b2698za7, "link", 4);
	      DEFINE_STRING(BGl_string2657z00zzbackend_jvmz00,
		BgL_bgl_string2657za700za7za7b2699za7, "\"", 1);
	      DEFINE_STRING(BGl_string2658z00zzbackend_jvmz00,
		BgL_bgl_string2658za700za7za7b2700za7, ")", 1);
	      DEFINE_STRING(BGl_string2660z00zzbackend_jvmz00,
		BgL_bgl_string2660za700za7za7b2701za7, "Redeclaration of the main (files ",
		33);
	      DEFINE_STRING(BGl_string2659z00zzbackend_jvmz00,
		BgL_bgl_string2659za700za7za7b2702za7, " and ", 5);
	      DEFINE_STRING(BGl_string2661z00zzbackend_jvmz00,
		BgL_bgl_string2661za700za7za7b2703za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2662z00zzbackend_jvmz00,
		BgL_bgl_string2662za700za7za7b2704za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2663z00zzbackend_jvmz00,
		BgL_bgl_string2663za700za7za7b2705za7, "Jvm", 3);
	      DEFINE_STRING(BGl_string2664z00zzbackend_jvmz00,
		BgL_bgl_string2664za700za7za7b2706za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2665z00zzbackend_jvmz00,
		BgL_bgl_string2665za700za7za7b2707za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2666z00zzbackend_jvmz00,
		BgL_bgl_string2666za700za7za7b2708za7, "]", 1);
	      DEFINE_STRING(BGl_string2667z00zzbackend_jvmz00,
		BgL_bgl_string2667za700za7za7b2709za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2668z00zzbackend_jvmz00,
		BgL_bgl_string2668za700za7za7b2710za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2670z00zzbackend_jvmz00,
		BgL_bgl_string2670za700za7za7b2711za7, "/", 1);
	      DEFINE_STRING(BGl_string2669z00zzbackend_jvmz00,
		BgL_bgl_string2669za700za7za7b2712za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2671z00zzbackend_jvmz00,
		BgL_bgl_string2671za700za7za7b2713za7, "/a.class", 8);
	      DEFINE_STRING(BGl_string2672z00zzbackend_jvmz00,
		BgL_bgl_string2672za700za7za7b2714za7, "jvm-dump", 8);
	      DEFINE_STRING(BGl_string2673z00zzbackend_jvmz00,
		BgL_bgl_string2673za700za7za7b2715za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string2674z00zzbackend_jvmz00,
		BgL_bgl_string2674za700za7za7b2716za7, "Incorrect handler arity", 23);
	      DEFINE_STRING(BGl_string2675z00zzbackend_jvmz00,
		BgL_bgl_string2675za700za7za7b2717za7, "backend_jvm", 11);
	      DEFINE_STRING(BGl_string2676z00zzbackend_jvmz00,
		BgL_bgl_string2676za700za7za7b2718za7,
		"done with-handler cc (ld distrib) pass-started (start-jvm-emission!) main module now ld class jvmas jast lower unamed (jvm) (java) native bigloo-jvm jvm ",
		153);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
		BgL_bgl__startza7d2jvmza7d2e2719z00,
		BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long
		BgL_checksumz00_1271, char *BgL_fromz00_1272)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvmz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_cnstzd2initzd2zzbackend_jvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_methodzd2initzd2zzbackend_jvmz00();
					BGl_toplevelzd2initzd2zzbackend_jvmz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_jvm");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_cportz00_1257;

				BgL_cportz00_1257 =
					bgl_open_input_string(BGl_string2676z00zzbackend_jvmz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1258;

					BgL_iz00_1258 = ((long) 19);
				BgL_loopz00_1259:
					if ((BgL_iz00_1258 == ((long) -1)))
						{	/* BackEnd/jvm.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm.scm 1 */
							{	/* BackEnd/jvm.scm 1 */
								obj_t BgL_arg2678z00_1261;

								{	/* BackEnd/jvm.scm 1 */

									{	/* BackEnd/jvm.scm 1 */
										obj_t BgL_locationz00_1263;

										BgL_locationz00_1263 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm.scm 1 */

											BgL_arg2678z00_1261 =
												BGl_readz00zz__readerz00(BgL_cportz00_1257,
												BgL_locationz00_1263);
										}
									}
								}
								{	/* BackEnd/jvm.scm 1 */
									int BgL_auxz00_1297;

									BgL_auxz00_1297 = (int) (BgL_iz00_1258);
									CNST_TABLE_SET(BgL_auxz00_1297, BgL_arg2678z00_1261);
							}}
							{	/* BackEnd/jvm.scm 1 */
								int BgL_auxz00_1264;

								BgL_auxz00_1264 = (int) ((BgL_iz00_1258 - ((long) 1)));
								{
									long BgL_iz00_1302;

									BgL_iz00_1302 = (long) (BgL_auxz00_1264);
									BgL_iz00_1258 = BgL_iz00_1302;
									goto BgL_loopz00_1259;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00);
			BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
				BGl_string2638z00zzbackend_jvmz00;
			return BUNSPEC;
		}
	}



/* build-jvm-backend */
	BgL_jvmz00_bglt BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 27 */
			return
				BGl_makezd2jvmzd2zzbackend_jvm_classz00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)), BGl_string2639z00zzbackend_jvmz00, BNIL,
				BNIL, BNIL, BNIL, BNIL, BNIL, ((bool_t) 0),
				BGl_string2640z00zzbackend_jvmz00, CNST_TABLE_REF(((long) 2)),
				((bool_t) 1), ((bool_t) 0), ((bool_t) 0), ((bool_t) 0), ((bool_t) 1),
				((bool_t) 0), ((bool_t) 1), CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 4)), ((bool_t) 1), ((bool_t) 1), ((bool_t) 0),
				BNIL, BNIL, CNST_TABLE_REF(((long) 5)), BNIL, BFALSE, BNIL, BNIL, BNIL,
				BFALSE, BNIL);
		}
	}



/* _build-jvm-backend */
	obj_t BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00(obj_t BgL_envz00_1203)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 27 */
			{	/* BackEnd/jvm.scm 28 */
				BgL_jvmz00_bglt BgL_auxz00_1313;

				BgL_auxz00_1313 = BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00();
				return (obj_t) (BgL_auxz00_1313);
			}
		}
	}



/* jvm-check-package */
	obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t BgL_modulez00_2,
		obj_t BgL_pathz00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 96 */
			{
				obj_t BgL_basez00_494;
				obj_t BgL_pathz00_495;

				{	/* BackEnd/jvm.scm 113 */
					obj_t BgL_qtypez00_475;

					BgL_qtypez00_475 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_2);
					{	/* BackEnd/jvm.scm 113 */
						obj_t BgL_basez00_476;

						{	/* BackEnd/jvm.scm 114 */
							obj_t BgL_prez00_491;

							BgL_prez00_491 = BGl_prefixz00zz__osz00(BgL_qtypez00_475);
							if (bigloo_strcmp(BgL_prez00_491,
									BGl_string2641z00zzbackend_jvmz00))
								{	/* BackEnd/jvm.scm 116 */
									BgL_basez00_476 = BGl_string2638z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 116 */
									if (bigloo_strcmp(BgL_prez00_491, BgL_qtypez00_475))
										{	/* BackEnd/jvm.scm 118 */
											BgL_basez00_476 = BGl_string2638z00zzbackend_jvmz00;
										}
									else
										{	/* BackEnd/jvm.scm 118 */
											BgL_basez00_476 = BgL_prez00_491;
										}
								}
						}
						{	/* BackEnd/jvm.scm 114 */

							{	/* BackEnd/jvm.scm 122 */
								bool_t BgL_testz00_1322;

								BgL_basez00_494 =
									BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_basez00_476);
								BgL_pathz00_495 = BgL_pathz00_3;
								{	/* BackEnd/jvm.scm 98 */
									long BgL_lbasez00_497;
									long BgL_lpathz00_498;

									BgL_lbasez00_497 = STRING_LENGTH(BgL_basez00_494);
									BgL_lpathz00_498 = STRING_LENGTH(BgL_pathz00_495);
									if ((BgL_lpathz00_498 < BgL_lbasez00_497))
										{	/* BackEnd/jvm.scm 100 */
											BgL_testz00_1322 = ((bool_t) 0);
										}
									else
										{
											long BgL_rpathz00_502;
											long BgL_rbasez00_503;

											BgL_rpathz00_502 = (BgL_lpathz00_498 - ((long) 1));
											BgL_rbasez00_503 = (BgL_lbasez00_497 - ((long) 1));
										BgL_loopz00_504:
											if ((BgL_rbasez00_503 == ((long) -1)))
												{	/* BackEnd/jvm.scm 104 */
													BgL_testz00_1322 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/jvm.scm 106 */
													unsigned char BgL_cbasez00_506;
													unsigned char BgL_cpathz00_507;

													BgL_cbasez00_506 =
														STRING_REF(BgL_basez00_494, BgL_rbasez00_503);
													BgL_cpathz00_507 =
														STRING_REF(BgL_pathz00_495, BgL_rpathz00_502);
													{	/* BackEnd/jvm.scm 108 */
														bool_t BgL_testz00_1331;

														if ((BgL_cbasez00_506 == BgL_cpathz00_507))
															{	/* BackEnd/jvm.scm 108 */
																BgL_testz00_1331 = ((bool_t) 1);
															}
														else
															{	/* BackEnd/jvm.scm 108 */
																if ((BgL_cpathz00_507 == ((unsigned char) '/')))
																	{	/* BackEnd/jvm.scm 109 */
																		BgL_testz00_1331 =
																			(BgL_cbasez00_506 ==
																			((unsigned char) '.'));
																	}
																else
																	{	/* BackEnd/jvm.scm 109 */
																		BgL_testz00_1331 = ((bool_t) 0);
																	}
															}
														if (BgL_testz00_1331)
															{
																long BgL_rbasez00_1339;
																long BgL_rpathz00_1337;

																BgL_rpathz00_1337 =
																	(BgL_rpathz00_502 - ((long) 1));
																BgL_rbasez00_1339 =
																	(BgL_rbasez00_503 - ((long) 1));
																BgL_rbasez00_503 = BgL_rbasez00_1339;
																BgL_rpathz00_502 = BgL_rpathz00_1337;
																goto BgL_loopz00_504;
															}
														else
															{	/* BackEnd/jvm.scm 108 */
																BgL_testz00_1322 = ((bool_t) 0);
															}
													}
												}
										}
								}
								if (BgL_testz00_1322)
									{	/* BackEnd/jvm.scm 122 */
										return BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 123 */
										obj_t BgL_list2350z00_478;

										{	/* BackEnd/jvm.scm 123 */
											obj_t BgL_arg2352z00_480;

											{	/* BackEnd/jvm.scm 123 */
												obj_t BgL_arg2354z00_482;

												{	/* BackEnd/jvm.scm 123 */
													obj_t BgL_arg2355z00_483;

													{	/* BackEnd/jvm.scm 123 */
														obj_t BgL_arg2357z00_485;

														{	/* BackEnd/jvm.scm 123 */
															obj_t BgL_arg2358z00_486;

															{	/* BackEnd/jvm.scm 123 */
																obj_t BgL_arg2360z00_488;

																{	/* BackEnd/jvm.scm 123 */
																	obj_t BgL_arg2361z00_489;

																	BgL_arg2361z00_489 =
																		MAKE_PAIR(BGl_string2642z00zzbackend_jvmz00,
																		BNIL);
																	BgL_arg2360z00_488 =
																		MAKE_PAIR(BgL_pathz00_3,
																		BgL_arg2361z00_489);
																}
																BgL_arg2358z00_486 =
																	MAKE_PAIR(BGl_string2643z00zzbackend_jvmz00,
																	BgL_arg2360z00_488);
															}
															BgL_arg2357z00_485 =
																MAKE_PAIR(BgL_basez00_476, BgL_arg2358z00_486);
														}
														BgL_arg2355z00_483 =
															MAKE_PAIR(BGl_string2644z00zzbackend_jvmz00,
															BgL_arg2357z00_485);
													}
													BgL_arg2354z00_482 =
														MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
														BgL_arg2355z00_483);
												}
												BgL_arg2352z00_480 =
													MAKE_PAIR(BGl_string2645z00zzbackend_jvmz00,
													BgL_arg2354z00_482);
											}
											BgL_list2350z00_478 =
												MAKE_PAIR(BGl_string2646z00zzbackend_jvmz00,
												BgL_arg2352z00_480);
										}
										return BGl_warningz00zz__errorz00(BgL_list2350z00_478);
									}
							}
						}
					}
				}
			}
		}
	}



/* jvmasdump */
	obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t BgL_classfilez00_4,
		obj_t BgL_portz00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 129 */
			{	/* BackEnd/jvm.scm 130 */
				obj_t BgL_owz00_514;
				obj_t BgL_ocz00_515;

				BgL_owz00_514 = BGl_za2ppzd2widthza2zd2zz__ppz00;
				BgL_ocz00_515 = BGl_za2ppzd2caseza2zd2zz__ppz00;
				BGl_za2ppzd2widthza2zd2zz__ppz00 = BINT(((long) 10240));
				BGl_za2ppzd2caseza2zd2zz__ppz00 = CNST_TABLE_REF(((long) 6));
				{	/* BackEnd/jvm.scm 133 */
					obj_t BgL_list2372z00_516;

					BgL_list2372z00_516 = MAKE_PAIR(BgL_portz00_5, BNIL);
					BGl_ppz00zz__ppz00(BgL_classfilez00_4, BgL_list2372z00_516);
				}
				BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_515;
				return (BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_514, BUNSPEC);
			}
		}
	}



/* addsuffix */
	obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t BgL_namez00_6)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 137 */
			{	/* BackEnd/jvm.scm 139 */
				obj_t BgL_arg2373z00_517;

				{	/* BackEnd/jvm.scm 139 */
					obj_t BgL_casezd2valuezd2_518;

					BgL_casezd2valuezd2_518 = BGl_za2passza2z00zzengine_paramz00;
					if ((BgL_casezd2valuezd2_518 == CNST_TABLE_REF(((long) 7))))
						{	/* BackEnd/jvm.scm 139 */
							BgL_arg2373z00_517 = BGl_string2647z00zzbackend_jvmz00;
						}
					else
						{	/* BackEnd/jvm.scm 139 */
							if ((BgL_casezd2valuezd2_518 == CNST_TABLE_REF(((long) 8))))
								{	/* BackEnd/jvm.scm 139 */
									BgL_arg2373z00_517 = BGl_string2648z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 139 */
									BgL_arg2373z00_517 = BGl_string2649z00zzbackend_jvmz00;
								}
						}
				}
				return string_append(BgL_namez00_6, BgL_arg2373z00_517);
			}
		}
	}



/* jasname */
	obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t BgL_cfz00_7)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 147 */
			if (PAIRP(BgL_cfz00_7))
				{	/* BackEnd/jvm.scm 148 */
					obj_t BgL_carzd2967zd2_525;

					BgL_carzd2967zd2_525 = CAR(BgL_cfz00_7);
					if (PAIRP(BgL_carzd2967zd2_525))
						{	/* BackEnd/jvm.scm 148 */
							obj_t BgL_cdrzd2971zd2_527;

							BgL_cdrzd2971zd2_527 = CDR(BgL_carzd2967zd2_525);
							if ((CAR(BgL_carzd2967zd2_525) == CNST_TABLE_REF(((long) 9))))
								{	/* BackEnd/jvm.scm 148 */
									if (PAIRP(BgL_cdrzd2971zd2_527))
										{	/* BackEnd/jvm.scm 148 */
											if (NULLP(CDR(BgL_cdrzd2971zd2_527)))
												{	/* BackEnd/jvm.scm 148 */
													obj_t BgL_arg2381z00_531;

													BgL_arg2381z00_531 = CAR(BgL_cdrzd2971zd2_527);
													{	/* BackEnd/jvm.scm 148 */
														obj_t BgL_arg2386z00_1048;

														BgL_arg2386z00_1048 =
															SYMBOL_TO_STRING(BgL_arg2381z00_531);
														return
															BGl_addsuffixz00zzbackend_jvmz00
															(BgL_arg2386z00_1048);
													}
												}
											else
												{	/* BackEnd/jvm.scm 148 */
													return BFALSE;
												}
										}
									else
										{	/* BackEnd/jvm.scm 148 */
											return BFALSE;
										}
								}
							else
								{	/* BackEnd/jvm.scm 148 */
									return BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 148 */
							return BFALSE;
						}
				}
			else
				{	/* BackEnd/jvm.scm 148 */
					return BFALSE;
				}
		}
	}



/* jvm-filename */
	obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t BgL_namez00_8)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 155 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 156 */
					if (bigloo_strcmp(BgL_namez00_8, BGl_string2638z00zzbackend_jvmz00))
						{	/* BackEnd/jvm.scm 157 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* BackEnd/jvm.scm 157 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_8);
						}
				}
			else
				{	/* BackEnd/jvm.scm 156 */
					return BgL_namez00_8;
				}
		}
	}



/* jvm-dirname */
	obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t BgL_filez00_9)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 165 */
			{	/* BackEnd/jvm.scm 166 */
				obj_t BgL_dfilez00_538;

				BgL_dfilez00_538 = BGl_dirnamez00zz__osz00(BgL_filez00_9);
				{	/* BackEnd/jvm.scm 166 */
					obj_t BgL_dirz00_539;

					BgL_dirz00_539 =
						BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_dfilez00_538);
					{	/* BackEnd/jvm.scm 167 */

						{	/* BackEnd/jvm.scm 168 */
							bool_t BgL_testz00_1389;

							if (bigloo_strcmp(BgL_dfilez00_538,
									BGl_string2641z00zzbackend_jvmz00))
								{	/* BackEnd/jvm.scm 168 */
									BgL_testz00_1389 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/jvm.scm 168 */
									if (directoryp(BSTRING_TO_STRING(BgL_dfilez00_538)))
										{	/* BackEnd/jvm.scm 169 */
											BgL_testz00_1389 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/jvm.scm 169 */
											if (fexists(BSTRING_TO_STRING(BgL_dfilez00_538)))
												{	/* BackEnd/jvm.scm 170 */
													BgL_testz00_1389 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/jvm.scm 171 */
													bool_t BgL__ortest_2327z00_544;

													if (STRINGP
														(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
														{	/* BackEnd/jvm.scm 171 */
															BgL__ortest_2327z00_544 = ((bool_t) 0);
														}
													else
														{	/* BackEnd/jvm.scm 171 */
															BgL__ortest_2327z00_544 = ((bool_t) 1);
														}
													if (BgL__ortest_2327z00_544)
														{	/* BackEnd/jvm.scm 171 */
															BgL_testz00_1389 = BgL__ortest_2327z00_544;
														}
													else
														{	/* BackEnd/jvm.scm 171 */
															BgL_testz00_1389 =
																directoryp(BSTRING_TO_STRING
																(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00));
														}
												}
										}
								}
							if (BgL_testz00_1389)
								{	/* BackEnd/jvm.scm 168 */
									BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00
										(BgL_dirz00_539);
								}
							else
								{	/* BackEnd/jvm.scm 168 */
									((bool_t) 0);
								}
						}
						return BgL_dirz00_539;
					}
				}
			}
		}
	}



/* start-jvm-emission! */
	obj_t BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 180 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/jvm.scm 183 */
					obj_t BgL_dnamez00_547;

					BgL_dnamez00_547 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					if (bigloo_strcmp(BgL_dnamez00_547,
							BGl_string2641z00zzbackend_jvmz00))
						{	/* BackEnd/jvm.scm 184 */
							BFALSE;
						}
					else
						{	/* BackEnd/jvm.scm 184 */
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
								BGl_jvmzd2dirnamezd2zzbackend_jvmz00
								(BGl_za2destza2z00zzengine_paramz00);
						}
				}
			else
				{	/* BackEnd/jvm.scm 182 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 186 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 187 */
									BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
										BGl_jvmzd2dirnamezd2zzbackend_jvmz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/jvm.scm 187 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 186 */
							BFALSE;
						}
				}
			{	/* BackEnd/jvm.scm 189 */
				bool_t BgL_testz00_1417;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00)))
					{	/* BackEnd/jvm.scm 189 */
						BgL_testz00_1417 =
							directoryp(BSTRING_TO_STRING
							(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
					}
				else
					{	/* BackEnd/jvm.scm 189 */
						BgL_testz00_1417 = ((bool_t) 0);
					}
				if (BgL_testz00_1417)
					{	/* BackEnd/jvm.scm 189 */
						return BTRUE;
					}
				else
					{	/* BackEnd/jvm.scm 189 */
						return
							BGl_errorz00zz__errorz00(BGl_string2650z00zzbackend_jvmz00,
							BGl_string2651z00zzbackend_jvmz00,
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
					}
			}
		}
	}



/* _start-jvm-emission! */
	obj_t BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00(obj_t BgL_envz00_1204)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 180 */
			return BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00();
		}
	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 224 */
			return
				string_append(BGl_string2652z00zzbackend_jvmz00,
				BGl_string2653z00zzbackend_jvmz00);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2compilezd2jvm2340z00_1214;

				BgL_backendzd2compilezd2jvm2340z00_1214 =
					make_fx_procedure(BGl_backendzd2compilezd2jvm2340z00zzbackend_jvmz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2compilezd2jvm2340z00_1214);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2linkzd2jvm2342z00_1208;

				BgL_backendzd2linkzd2jvm2342z00_1208 =
					make_fx_procedure(BGl_backendzd2linkzd2jvm2342z00zzbackend_jvmz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2linkzd2jvm2342z00_1208);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2cnstzd2tablezd2n2344zd2_1207;

				BgL_backendzd2cnstzd2tablezd2n2344zd2_1207 =
					make_fx_procedure
					(BGl_backendzd2cnstzd2tablezd2n2344zd2zzbackend_jvmz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2cnstzd2tablezd2n2344zd2_1207);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2linkzd2objects2346z00_1206;

				BgL_backendzd2linkzd2objects2346z00_1206 =
					make_fx_procedure(BGl_backendzd2linkzd2objects2346z00zzbackend_jvmz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2linkzd2objects2346z00_1206);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2checkzd2inline2348z00_1205;

				BgL_backendzd2checkzd2inline2348z00_1205 =
					make_fx_procedure(BGl_backendzd2checkzd2inline2348z00zzbackend_jvmz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2checkzd2inline2348z00_1205);
			}
		}
	}



/* backend-check-inline2348 */
	obj_t BGl_backendzd2checkzd2inline2348z00zzbackend_jvmz00(obj_t
		BgL_envz00_1215, obj_t BgL_mez00_1216)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 346 */
			{
				BgL_jvmz00_bglt BgL_mez00_1003;

				BgL_mez00_1003 = (BgL_jvmz00_bglt) (BgL_mez00_1216);
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* BackEnd/jvm.scm 347 */
						return BFALSE;
					}
				else
					{	/* BackEnd/jvm.scm 347 */
						return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
					}
			}
		}
	}



/* backend-link-objects2346 */
	obj_t BGl_backendzd2linkzd2objects2346z00zzbackend_jvmz00(obj_t
		BgL_envz00_1217, obj_t BgL_mez00_1218, obj_t BgL_sourcesz00_1219)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 230 */
			{
				BgL_jvmz00_bglt BgL_mez00_844;
				obj_t BgL_sourcesz00_845;

				BgL_mez00_844 = (BgL_jvmz00_bglt) (BgL_mez00_1218);
				BgL_sourcesz00_845 = BgL_sourcesz00_1219;
				if (NULLP(BgL_sourcesz00_845))
					{	/* BackEnd/jvm.scm 235 */
						obj_t BgL_firstz00_850;

						BgL_firstz00_850 =
							BGl_prefixz00zz__osz00(CAR
							(BGl_za2ozd2filesza2zd2zzengine_paramz00));
						{	/* BackEnd/jvm.scm 236 */
							obj_t BgL_list2501z00_851;

							{	/* BackEnd/jvm.scm 236 */
								obj_t BgL_arg2504z00_853;

								{	/* BackEnd/jvm.scm 236 */
									obj_t BgL_arg2507z00_855;

									{	/* BackEnd/jvm.scm 236 */
										obj_t BgL_arg2509z00_857;

										BgL_arg2509z00_857 =
											MAKE_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00, BNIL);
										BgL_arg2507z00_855 =
											MAKE_PAIR(BGl_string2654z00zzbackend_jvmz00,
											BgL_arg2509z00_857);
									}
									BgL_arg2504z00_853 =
										MAKE_PAIR(BGl_string2655z00zzbackend_jvmz00,
										BgL_arg2507z00_855);
								}
								BgL_list2501z00_851 =
									MAKE_PAIR(BGl_string2656z00zzbackend_jvmz00,
									BgL_arg2504z00_853);
							}
							BGl_warningz00zz__errorz00(BgL_list2501z00_851);
						}
						BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
						BGl_readzd2jfilezd2zzread_jvmz00();
						return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
					}
				else
					{
						obj_t BgL_sourcesz00_861;
						obj_t BgL_clsz00_862;
						obj_t BgL_mainzd2modulezd2_863;
						obj_t BgL_mainz00_864;
						obj_t BgL_fmainz00_865;
						obj_t BgL_librariesz00_866;

						BgL_sourcesz00_861 = BgL_sourcesz00_845;
						BgL_clsz00_862 = BNIL;
						BgL_mainzd2modulezd2_863 = BFALSE;
						BgL_mainz00_864 = BFALSE;
						BgL_fmainz00_865 = BGl_string2641z00zzbackend_jvmz00;
						BgL_librariesz00_866 = BNIL;
					BgL_loopz00_867:
						if (NULLP(BgL_sourcesz00_861))
							{	/* BackEnd/jvm.scm 247 */
								if (CBOOL(BgL_mainz00_864))
									{	/* BackEnd/jvm.scm 251 */
										obj_t BgL_firstz00_869;

										BgL_firstz00_869 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2ozd2filesza2zd2zzengine_paramz00));
										{
											obj_t BgL_l2337z00_870;

											BgL_l2337z00_870 = BgL_librariesz00_866;
										BgL_forzd2each2338zd2_871:
											if (PAIRP(BgL_l2337z00_870))
												{	/* BackEnd/jvm.scm 254 */
													{	/* BackEnd/jvm.scm 255 */
														obj_t BgL_libz00_873;

														BgL_libz00_873 = CAR(BgL_l2337z00_870);
														BGl_usezd2libraryz12zc0zzmodule_alibraryz00
															(BgL_libz00_873, CNST_TABLE_REF(((long) 11)));
													}
													{
														obj_t BgL_l2337z00_1473;

														BgL_l2337z00_1473 = CDR(BgL_l2337z00_870);
														BgL_l2337z00_870 = BgL_l2337z00_1473;
														goto BgL_forzd2each2338zd2_871;
													}
												}
											else
												{	/* BackEnd/jvm.scm 254 */
													((bool_t) 1);
												}
										}
										BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
										{	/* BackEnd/jvm.scm 259 */
											obj_t BgL_list2514z00_875;

											BgL_list2514z00_875 = MAKE_PAIR(BgL_fmainz00_865, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2514z00_875;
										}
										BGl_readzd2jfilezd2zzread_jvmz00();
										return
											BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BgL_mainzd2modulezd2_863);
									}
								else
									{	/* BackEnd/jvm.scm 262 */
										obj_t BgL_tmpz00_877;

										BgL_tmpz00_877 =
											BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
										BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_877,
											CBOOL(BgL_mainz00_864),
											string_to_symbol(BSTRING_TO_STRING
												(BGl_string2652z00zzbackend_jvmz00)), BgL_clsz00_862,
											BgL_librariesz00_866);
										{	/* BackEnd/jvm.scm 264 */
											obj_t BgL_list2517z00_879;

											BgL_list2517z00_879 = MAKE_PAIR(BgL_tmpz00_877, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2517z00_879;
										}
										{
											obj_t BgL_raz00_881;
											obj_t BgL_resz00_882;

											BgL_raz00_881 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
											BgL_resz00_882 = BNIL;
										BgL_liipz00_883:
											if (NULLP(BgL_raz00_881))
												{	/* BackEnd/jvm.scm 270 */
													BGl_za2restzd2argsza2zd2zzengine_paramz00 =
														bgl_reverse_bang(BgL_resz00_882);
												}
											else
												{	/* BackEnd/jvm.scm 272 */
													bool_t BgL_testz00_1488;

													{	/* BackEnd/jvm.scm 272 */
														obj_t BgL_arg2524z00_890;

														BgL_arg2524z00_890 =
															BGl_suffixz00zz__osz00(CAR(BgL_raz00_881));
														BgL_testz00_1488 =
															CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2524z00_890,
																BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
													}
													if (BgL_testz00_1488)
														{
															obj_t BgL_raz00_1493;

															BgL_raz00_1493 = CDR(BgL_raz00_881);
															BgL_raz00_881 = BgL_raz00_1493;
															goto BgL_liipz00_883;
														}
													else
														{	/* BackEnd/jvm.scm 275 */
															obj_t BgL_arg2521z00_887;
															obj_t BgL_arg2522z00_888;

															BgL_arg2521z00_887 = CDR(BgL_raz00_881);
															BgL_arg2522z00_888 =
																MAKE_PAIR(CAR(BgL_raz00_881), BgL_resz00_882);
															{
																obj_t BgL_resz00_1499;
																obj_t BgL_raz00_1498;

																BgL_raz00_1498 = BgL_arg2521z00_887;
																BgL_resz00_1499 = BgL_arg2522z00_888;
																BgL_resz00_882 = BgL_resz00_1499;
																BgL_raz00_881 = BgL_raz00_1498;
																goto BgL_liipz00_883;
															}
														}
												}
										}
										{	/* BackEnd/jvm.scm 276 */
											obj_t BgL_val2331z00_892;

											BgL_val2331z00_892 =
												BGl_zc3exitza32530ze3z83zzbackend_jvmz00();
											BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
											{	/* BackEnd/jvm.scm 280 */
												obj_t BgL_prez00_893;

												BgL_prez00_893 = BGl_prefixz00zz__osz00(BgL_tmpz00_877);
												{	/* BackEnd/jvm.scm 280 */
													obj_t BgL_classzd2filezd2_894;

													BgL_classzd2filezd2_894 =
														string_append(BgL_prez00_893,
														BGl_string2649z00zzbackend_jvmz00);
													{	/* BackEnd/jvm.scm 281 */

														if (fexists(BSTRING_TO_STRING(BgL_tmpz00_877)))
															{	/* BackEnd/jvm.scm 283 */
																char *BgL_stringz00_1129;

																BgL_stringz00_1129 =
																	BSTRING_TO_STRING(BgL_tmpz00_877);
																if (unlink(BgL_stringz00_1129))
																	{	/* BackEnd/jvm.scm 283 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/jvm.scm 283 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/jvm.scm 282 */
																((bool_t) 0);
															}
													}
												}
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2331z00_892)))
												{	/* BackEnd/jvm.scm 280 */
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2331z00_892), CDR(BgL_val2331z00_892));
												}
											else
												{	/* BackEnd/jvm.scm 280 */
													BgL_val2331z00_892;
												}
										}
										return BINT(((long) 0));
							}}
						else
							{	/* BackEnd/jvm.scm 285 */
								obj_t BgL_portz00_902;

								{	/* BackEnd/jvm.scm 285 */
									obj_t BgL_arg2619z00_995;

									{	/* BackEnd/jvm.scm 285 */
										obj_t BgL_pairz00_1133;

										BgL_pairz00_1133 = BgL_sourcesz00_861;
										BgL_arg2619z00_995 = CAR(CAR(BgL_pairz00_1133));
									}
									BgL_portz00_902 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg2619z00_995, BNIL);
								}
								if (INPUT_PORTP(BgL_portz00_902))
									{	/* BackEnd/jvm.scm 288 */
										obj_t BgL_expz00_904;

										{	/* BackEnd/jvm.scm 288 */
											obj_t BgL_list2614z00_991;

											BgL_list2614z00_991 = MAKE_PAIR(BgL_portz00_902, BNIL);
											BgL_expz00_904 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list2614z00_991);
										}
										close_input_port(BgL_portz00_902);
										{
											obj_t BgL_namez00_905;
											obj_t BgL_newzd2mainzd2_906;
											obj_t BgL_namez00_908;

											if (PAIRP(BgL_expz00_904))
												{	/* BackEnd/jvm.scm 290 */
													obj_t BgL_cdrzd2987zd2_913;

													BgL_cdrzd2987zd2_913 = CDR(BgL_expz00_904);
													if (
														(CAR(BgL_expz00_904) ==
															CNST_TABLE_REF(((long) 12))))
														{	/* BackEnd/jvm.scm 290 */
															if (PAIRP(BgL_cdrzd2987zd2_913))
																{
																	obj_t BgL_gzd2994zd2_918;

																	BgL_gzd2994zd2_918 =
																		CDR(BgL_cdrzd2987zd2_913);
																BgL_zc3anonymousza32537ze3z83_919:
																	if (PAIRP(BgL_gzd2994zd2_918))
																		{	/* BackEnd/jvm.scm 290 */
																			obj_t BgL_carzd2997zd2_921;

																			BgL_carzd2997zd2_921 =
																				CAR(BgL_gzd2994zd2_918);
																			if (PAIRP(BgL_carzd2997zd2_921))
																				{	/* BackEnd/jvm.scm 290 */
																					obj_t BgL_cdrzd21001zd2_923;

																					BgL_cdrzd21001zd2_923 =
																						CDR(BgL_carzd2997zd2_921);
																					if (
																						(CAR(BgL_carzd2997zd2_921) ==
																							CNST_TABLE_REF(((long) 13))))
																						{	/* BackEnd/jvm.scm 290 */
																							if (PAIRP(BgL_cdrzd21001zd2_923))
																								{	/* BackEnd/jvm.scm 290 */
																									if (NULLP(CDR
																											(BgL_cdrzd21001zd2_923)))
																										{	/* BackEnd/jvm.scm 290 */
																											BgL_namez00_905 =
																												CAR
																												(BgL_cdrzd2987zd2_913);
																											BgL_newzd2mainzd2_906 =
																												CAR
																												(BgL_cdrzd21001zd2_923);
																											{	/* BackEnd/jvm.scm 295 */
																												obj_t
																													BgL_arg2560z00_941;
																												{	/* BackEnd/jvm.scm 295 */
																													obj_t
																														BgL_arg2562z00_943;
																													obj_t
																														BgL_arg2563z00_944;
																													{	/* BackEnd/jvm.scm 295 */
																														obj_t
																															BgL_arg2564z00_945;
																														{	/* BackEnd/jvm.scm 295 */
																															obj_t
																																BgL_arg2565z00_946;
																															{	/* BackEnd/jvm.scm 295 */
																																obj_t
																																	BgL_pairz00_1160;
																																BgL_pairz00_1160
																																	=
																																	BgL_sourcesz00_861;
																																BgL_arg2565z00_946
																																	=
																																	CDR(CAR
																																	(BgL_pairz00_1160));
																															}
																															BgL_arg2564z00_945
																																=
																																BGl_prefixz00zz__osz00
																																(BgL_arg2565z00_946);
																														}
																														BgL_arg2562z00_943 =
																															BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																															(BgL_arg2564z00_945);
																													}
																													BgL_arg2563z00_944 =
																														BGl_filezd2separatorzd2zz__osz00
																														();
																													BgL_arg2560z00_941 =
																														BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																														(BgL_arg2562z00_943,
																														CCHAR
																														(BgL_arg2563z00_944),
																														(char) (((unsigned
																																	char) '.')));
																												}
																												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																													(BgL_namez00_905,
																													BgL_arg2560z00_941,
																													BNIL);
																											}
																											if (CBOOL
																												(BgL_mainz00_864))
																												{	/* BackEnd/jvm.scm 299 */
																													obj_t
																														BgL_arg2567z00_948;
																													obj_t
																														BgL_arg2568z00_949;
																													{	/* BackEnd/jvm.scm 300 */
																														obj_t
																															BgL_arg2571z00_952;
																														{	/* BackEnd/jvm.scm 304 */
																															obj_t
																																BgL_pairz00_1164;
																															BgL_pairz00_1164 =
																																BgL_sourcesz00_861;
																															BgL_arg2571z00_952
																																=
																																CAR(CAR
																																(BgL_pairz00_1164));
																														}
																														{	/* BackEnd/jvm.scm 300 */
																															obj_t
																																BgL_list2573z00_954;
																															{	/* BackEnd/jvm.scm 300 */
																																obj_t
																																	BgL_arg2576z00_955;
																																{	/* BackEnd/jvm.scm 300 */
																																	obj_t
																																		BgL_arg2577z00_956;
																																	{	/* BackEnd/jvm.scm 300 */
																																		obj_t
																																			BgL_arg2578z00_957;
																																		{	/* BackEnd/jvm.scm 300 */
																																			obj_t
																																				BgL_arg2579z00_958;
																																			BgL_arg2579z00_958
																																				=
																																				MAKE_PAIR
																																				(BGl_string2658z00zzbackend_jvmz00,
																																				BNIL);
																																			BgL_arg2578z00_957
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2571z00_952,
																																				BgL_arg2579z00_958);
																																		}
																																		BgL_arg2577z00_956
																																			=
																																			MAKE_PAIR
																																			(BGl_string2659z00zzbackend_jvmz00,
																																			BgL_arg2578z00_957);
																																	}
																																	BgL_arg2576z00_955
																																		=
																																		MAKE_PAIR
																																		(BgL_fmainz00_865,
																																		BgL_arg2577z00_956);
																																}
																																BgL_list2573z00_954
																																	=
																																	MAKE_PAIR
																																	(BGl_string2660z00zzbackend_jvmz00,
																																	BgL_arg2576z00_955);
																															}
																															BgL_arg2567z00_948
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2573z00_954);
																														}
																													}
																													BgL_arg2568z00_949 =
																														MAKE_PAIR
																														(BgL_mainz00_864,
																														BgL_newzd2mainzd2_906);
																													BGl_errorz00zz__errorz00
																														(BGl_string2641z00zzbackend_jvmz00,
																														BgL_arg2567z00_948,
																														BgL_arg2568z00_949);
																												}
																											else
																												{	/* BackEnd/jvm.scm 298 */
																													BFALSE;
																												}
																											{	/* BackEnd/jvm.scm 306 */
																												obj_t
																													BgL_arg2581z00_959;
																												obj_t
																													BgL_arg2582z00_960;
																												obj_t
																													BgL_arg2583z00_961;
																												obj_t
																													BgL_arg2584z00_962;
																												BgL_arg2581z00_959 =
																													CDR
																													(BgL_sourcesz00_861);
																												{	/* BackEnd/jvm.scm 308 */
																													obj_t
																														BgL_arg2585z00_963;
																													{	/* BackEnd/jvm.scm 308 */
																														obj_t
																															BgL_arg2586z00_964;
																														{	/* BackEnd/jvm.scm 308 */
																															obj_t
																																BgL_arg2590z00_968;
																															{	/* BackEnd/jvm.scm 309 */
																																obj_t
																																	BgL_pairz00_1169;
																																BgL_pairz00_1169
																																	=
																																	BgL_sourcesz00_861;
																																BgL_arg2590z00_968
																																	=
																																	CAR(CAR
																																	(BgL_pairz00_1169));
																															}
																															BgL_arg2586z00_964
																																=
																																string_append_3
																																(BGl_string2657z00zzbackend_jvmz00,
																																BgL_arg2590z00_968,
																																BGl_string2657z00zzbackend_jvmz00);
																														}
																														{	/* BackEnd/jvm.scm 307 */
																															obj_t
																																BgL_list2587z00_965;
																															{	/* BackEnd/jvm.scm 307 */
																																obj_t
																																	BgL_arg2588z00_966;
																																BgL_arg2588z00_966
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2586z00_964,
																																	BNIL);
																																BgL_list2587z00_965
																																	=
																																	MAKE_PAIR
																																	(BgL_namez00_905,
																																	BgL_arg2588z00_966);
																															}
																															BgL_arg2585z00_963
																																=
																																BgL_list2587z00_965;
																														}
																													}
																													BgL_arg2582z00_960 =
																														MAKE_PAIR
																														(BgL_arg2585z00_963,
																														BgL_clsz00_862);
																												}
																												{	/* BackEnd/jvm.scm 313 */
																													obj_t
																														BgL_pairz00_1175;
																													BgL_pairz00_1175 =
																														BgL_sourcesz00_861;
																													BgL_arg2583z00_961 =
																														CAR(CAR
																														(BgL_pairz00_1175));
																												}
																												{	/* BackEnd/jvm.scm 314 */
																													obj_t
																														BgL_arg2592z00_970;
																													{	/* BackEnd/jvm.scm 314 */
																														obj_t
																															BgL_arg2593z00_971;
																														{	/* BackEnd/jvm.scm 314 */
																															obj_t
																																BgL_pairz00_1179;
																															BgL_pairz00_1179 =
																																BgL_expz00_904;
																															BgL_arg2593z00_971
																																=
																																CDR(CDR
																																(BgL_pairz00_1179));
																														}
																														BgL_arg2592z00_970 =
																															BGl_findzd2librarieszd2zzengine_linkz00
																															(BgL_arg2593z00_971);
																													}
																													BgL_arg2584z00_962 =
																														bgl_append2
																														(BgL_arg2592z00_970,
																														BgL_librariesz00_866);
																												}
																												{
																													obj_t
																														BgL_librariesz00_1588;
																													obj_t
																														BgL_fmainz00_1587;
																													obj_t
																														BgL_mainz00_1586;
																													obj_t
																														BgL_mainzd2modulezd2_1585;
																													obj_t BgL_clsz00_1584;
																													obj_t
																														BgL_sourcesz00_1583;
																													BgL_sourcesz00_1583 =
																														BgL_arg2581z00_959;
																													BgL_clsz00_1584 =
																														BgL_arg2582z00_960;
																													BgL_mainzd2modulezd2_1585
																														= BgL_namez00_905;
																													BgL_mainz00_1586 =
																														BgL_newzd2mainzd2_906;
																													BgL_fmainz00_1587 =
																														BgL_arg2583z00_961;
																													BgL_librariesz00_1588
																														=
																														BgL_arg2584z00_962;
																													BgL_librariesz00_866 =
																														BgL_librariesz00_1588;
																													BgL_fmainz00_865 =
																														BgL_fmainz00_1587;
																													BgL_mainz00_864 =
																														BgL_mainz00_1586;
																													BgL_mainzd2modulezd2_863
																														=
																														BgL_mainzd2modulezd2_1585;
																													BgL_clsz00_862 =
																														BgL_clsz00_1584;
																													BgL_sourcesz00_861 =
																														BgL_sourcesz00_1583;
																													goto BgL_loopz00_867;
																												}
																											}
																										}
																									else
																										{
																											obj_t BgL_gzd2994zd2_1591;

																											BgL_gzd2994zd2_1591 =
																												CDR(BgL_gzd2994zd2_918);
																											BgL_gzd2994zd2_918 =
																												BgL_gzd2994zd2_1591;
																											goto
																												BgL_zc3anonymousza32537ze3z83_919;
																										}
																								}
																							else
																								{
																									obj_t BgL_gzd2994zd2_1593;

																									BgL_gzd2994zd2_1593 =
																										CDR(BgL_gzd2994zd2_918);
																									BgL_gzd2994zd2_918 =
																										BgL_gzd2994zd2_1593;
																									goto
																										BgL_zc3anonymousza32537ze3z83_919;
																								}
																						}
																					else
																						{
																							obj_t BgL_gzd2994zd2_1595;

																							BgL_gzd2994zd2_1595 =
																								CDR(BgL_gzd2994zd2_918);
																							BgL_gzd2994zd2_918 =
																								BgL_gzd2994zd2_1595;
																							goto
																								BgL_zc3anonymousza32537ze3z83_919;
																						}
																				}
																			else
																				{
																					obj_t BgL_gzd2994zd2_1597;

																					BgL_gzd2994zd2_1597 =
																						CDR(BgL_gzd2994zd2_918);
																					BgL_gzd2994zd2_918 =
																						BgL_gzd2994zd2_1597;
																					goto
																						BgL_zc3anonymousza32537ze3z83_919;
																				}
																		}
																	else
																		{	/* BackEnd/jvm.scm 290 */
																			BgL_namez00_908 =
																				CAR(CDR(BgL_expz00_904));
																			{	/* BackEnd/jvm.scm 320 */
																				obj_t BgL_arg2594z00_972;

																				{	/* BackEnd/jvm.scm 320 */
																					obj_t BgL_arg2596z00_974;
																					obj_t BgL_arg2597z00_975;

																					{	/* BackEnd/jvm.scm 320 */
																						obj_t BgL_arg2598z00_976;

																						{	/* BackEnd/jvm.scm 320 */
																							obj_t BgL_arg2599z00_977;

																							{	/* BackEnd/jvm.scm 320 */
																								obj_t BgL_pairz00_1183;

																								BgL_pairz00_1183 =
																									BgL_sourcesz00_861;
																								BgL_arg2599z00_977 =
																									CDR(CAR(BgL_pairz00_1183));
																							}
																							BgL_arg2598z00_976 =
																								BGl_prefixz00zz__osz00
																								(BgL_arg2599z00_977);
																						}
																						BgL_arg2596z00_974 =
																							BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																							(BgL_arg2598z00_976);
																					}
																					BgL_arg2597z00_975 =
																						BGl_filezd2separatorzd2zz__osz00();
																					BgL_arg2594z00_972 =
																						BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																						(BgL_arg2596z00_974,
																						CCHAR(BgL_arg2597z00_975),
																						(char) (((unsigned char) '.')));
																				}
																				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																					(BgL_namez00_908, BgL_arg2594z00_972,
																					BNIL);
																			}
																			{	/* BackEnd/jvm.scm 323 */
																				obj_t BgL_arg2600z00_978;
																				obj_t BgL_arg2601z00_979;
																				obj_t BgL_arg2602z00_980;

																				BgL_arg2600z00_978 =
																					CDR(BgL_sourcesz00_861);
																				{	/* BackEnd/jvm.scm 325 */
																					obj_t BgL_arg2603z00_981;

																					{	/* BackEnd/jvm.scm 325 */
																						obj_t BgL_arg2604z00_982;

																						{	/* BackEnd/jvm.scm 325 */
																							obj_t BgL_arg2608z00_986;

																							{	/* BackEnd/jvm.scm 326 */
																								obj_t BgL_pairz00_1188;

																								BgL_pairz00_1188 =
																									BgL_sourcesz00_861;
																								BgL_arg2608z00_986 =
																									CAR(CAR(BgL_pairz00_1188));
																							}
																							BgL_arg2604z00_982 =
																								string_append_3
																								(BGl_string2657z00zzbackend_jvmz00,
																								BgL_arg2608z00_986,
																								BGl_string2657z00zzbackend_jvmz00);
																						}
																						{	/* BackEnd/jvm.scm 324 */
																							obj_t BgL_list2605z00_983;

																							{	/* BackEnd/jvm.scm 324 */
																								obj_t BgL_arg2606z00_984;

																								BgL_arg2606z00_984 =
																									MAKE_PAIR(BgL_arg2604z00_982,
																									BNIL);
																								BgL_list2605z00_983 =
																									MAKE_PAIR(BgL_namez00_908,
																									BgL_arg2606z00_984);
																							}
																							BgL_arg2603z00_981 =
																								BgL_list2605z00_983;
																					}}
																					BgL_arg2601z00_979 =
																						MAKE_PAIR(BgL_arg2603z00_981,
																						BgL_clsz00_862);
																				}
																				{	/* BackEnd/jvm.scm 331 */
																					obj_t BgL_arg2611z00_988;

																					{	/* BackEnd/jvm.scm 331 */
																						obj_t BgL_arg2612z00_989;

																						{	/* BackEnd/jvm.scm 331 */
																							obj_t BgL_pairz00_1194;

																							BgL_pairz00_1194 = BgL_expz00_904;
																							BgL_arg2612z00_989 =
																								CDR(CDR(BgL_pairz00_1194));
																						}
																						BgL_arg2611z00_988 =
																							BGl_findzd2librarieszd2zzengine_linkz00
																							(BgL_arg2612z00_989);
																					}
																					BgL_arg2602z00_980 =
																						bgl_append2(BgL_arg2611z00_988,
																						BgL_librariesz00_866);
																				}
																				{
																					obj_t BgL_librariesz00_1621;
																					obj_t BgL_clsz00_1620;
																					obj_t BgL_sourcesz00_1619;

																					BgL_sourcesz00_1619 =
																						BgL_arg2600z00_978;
																					BgL_clsz00_1620 = BgL_arg2601z00_979;
																					BgL_librariesz00_1621 =
																						BgL_arg2602z00_980;
																					BgL_librariesz00_866 =
																						BgL_librariesz00_1621;
																					BgL_clsz00_862 = BgL_clsz00_1620;
																					BgL_sourcesz00_861 =
																						BgL_sourcesz00_1619;
																					goto BgL_loopz00_867;
																				}
																			}
																		}
																}
															else
																{	/* BackEnd/jvm.scm 290 */
																BgL_tagzd2978zd2_910:
																	{
																		obj_t BgL_sourcesz00_1625;

																		BgL_sourcesz00_1625 =
																			CDR(BgL_sourcesz00_861);
																		BgL_sourcesz00_861 = BgL_sourcesz00_1625;
																		goto BgL_loopz00_867;
																	}
																}
														}
													else
														{	/* BackEnd/jvm.scm 290 */
															goto BgL_tagzd2978zd2_910;
														}
												}
											else
												{	/* BackEnd/jvm.scm 290 */
													goto BgL_tagzd2978zd2_910;
												}
										}
									}
								else
									{	/* BackEnd/jvm.scm 287 */
										obj_t BgL_arg2618z00_994;

										{	/* BackEnd/jvm.scm 287 */
											obj_t BgL_pairz00_1199;

											BgL_pairz00_1199 = BgL_sourcesz00_861;
											BgL_arg2618z00_994 = CAR(CAR(BgL_pairz00_1199));
										}
										return
											BGl_errorz00zz__errorz00
											(BGl_string2641z00zzbackend_jvmz00,
											BGl_string2661z00zzbackend_jvmz00, BgL_arg2618z00_994);
									}
							}
					}
			}
		}
	}



/* <exit:2530> */
	obj_t BGl_zc3exitza32530ze3z83zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 279 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2332z00_900;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2332z00_900))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2332z00_900 = (void *) jmpbuf;
						{	/* BackEnd/jvm.scm 279 */

							PUSH_EXIT(BgL_an_exit2332z00_900, ((long) 0));
							{	/* BackEnd/jvm.scm 277 */
								obj_t BgL_val2333z00_901;

								BgL_val2333z00_901 = BGl_compilerz00zzengine_compilerz00();
								POP_EXIT();
								return BgL_val2333z00_901;
							}
						}
					}
			}
		}
	}



/* backend-cnst-table-n2344 */
	obj_t BGl_backendzd2cnstzd2tablezd2n2344zd2zzbackend_jvmz00(obj_t
		BgL_envz00_1220, obj_t BgL_mez00_1221, obj_t BgL_offsetz00_1222)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 206 */
			return BGl_string2662z00zzbackend_jvmz00;
		}
	}



/* backend-link-jvm2342 */
	obj_t BGl_backendzd2linkzd2jvm2342z00zzbackend_jvmz00(obj_t BgL_envz00_1223,
		obj_t BgL_mez00_1224, obj_t BgL_resultz00_1225)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 199 */
			return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
		}
	}



/* backend-compile-jvm2340 */
	obj_t BGl_backendzd2compilezd2jvm2340z00zzbackend_jvmz00(obj_t
		BgL_envz00_1226, obj_t BgL_mez00_1227)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 35 */
			{
				BgL_jvmz00_bglt BgL_mez00_717;

				BgL_mez00_717 = (BgL_jvmz00_bglt) (BgL_mez00_1227);
				{	/* BackEnd/jvm.scm 37 */
					obj_t BgL_list2421z00_721;

					{	/* BackEnd/jvm.scm 37 */
						obj_t BgL_arg2423z00_723;

						{	/* BackEnd/jvm.scm 37 */
							obj_t BgL_arg2425z00_725;

							BgL_arg2425z00_725 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg2423z00_723 =
								MAKE_PAIR(BGl_string2663z00zzbackend_jvmz00,
								BgL_arg2425z00_725);
						}
						BgL_list2421z00_721 =
							MAKE_PAIR(BGl_string2664z00zzbackend_jvmz00, BgL_arg2423z00_723);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2421z00_721);
				}
				BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
				BGl_za2currentzd2passza2zd2zzengine_passz00 =
					BGl_string2663z00zzbackend_jvmz00;
				{	/* BackEnd/jvm.scm 37 */
					obj_t BgL_g2312z00_726;
					obj_t BgL_g2313z00_727;

					{	/* BackEnd/jvm.scm 37 */
						obj_t BgL_list2434z00_739;

						BgL_list2434z00_739 =
							MAKE_PAIR(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
							BNIL);
						BgL_g2312z00_726 = BgL_list2434z00_739;
					}
					BgL_g2313z00_727 = CNST_TABLE_REF(((long) 14));
					{
						obj_t BgL_hooksz00_728;
						obj_t BgL_hnamesz00_729;

						BgL_hooksz00_728 = BgL_g2312z00_726;
						BgL_hnamesz00_729 = BgL_g2313z00_727;
					BgL_loopz00_730:
						if (NULLP(BgL_hooksz00_728))
							{	/* BackEnd/jvm.scm 37 */
								CNST_TABLE_REF(((long) 15));
							}
						else
							{	/* BackEnd/jvm.scm 37 */
								bool_t BgL_testz00_1649;

								{	/* BackEnd/jvm.scm 37 */
									obj_t BgL_fun2433z00_738;

									BgL_fun2433z00_738 = CAR(BgL_hooksz00_728);
									BgL_testz00_1649 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2433z00_738)
										(BgL_fun2433z00_738, BEOA));
								}
								if (BgL_testz00_1649)
									{
										obj_t BgL_hnamesz00_1656;
										obj_t BgL_hooksz00_1654;

										BgL_hooksz00_1654 = CDR(BgL_hooksz00_728);
										BgL_hnamesz00_1656 = CDR(BgL_hnamesz00_729);
										BgL_hnamesz00_729 = BgL_hnamesz00_1656;
										BgL_hooksz00_728 = BgL_hooksz00_1654;
										goto BgL_loopz00_730;
									}
								else
									{	/* BackEnd/jvm.scm 37 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2663z00zzbackend_jvmz00,
											BGl_string2665z00zzbackend_jvmz00,
											CAR(BgL_hnamesz00_729));
									}
							}
					}
				}
				{	/* BackEnd/jvm.scm 38 */
					obj_t BgL_arg2438z00_743;

					BgL_arg2438z00_743 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00);
					{	/* BackEnd/jvm.scm 38 */
						obj_t BgL_list2440z00_745;

						{	/* BackEnd/jvm.scm 38 */
							obj_t BgL_arg2441z00_746;

							{	/* BackEnd/jvm.scm 38 */
								obj_t BgL_arg2442z00_747;

								{	/* BackEnd/jvm.scm 38 */
									obj_t BgL_arg2443z00_748;

									{	/* BackEnd/jvm.scm 38 */
										obj_t BgL_arg2444z00_749;

										{	/* BackEnd/jvm.scm 38 */
											obj_t BgL_arg2446z00_750;

											BgL_arg2446z00_750 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2444z00_749 =
												MAKE_PAIR(BGl_string2666z00zzbackend_jvmz00,
												BgL_arg2446z00_750);
										}
										BgL_arg2443z00_748 =
											MAKE_PAIR(BgL_arg2438z00_743, BgL_arg2444z00_749);
									}
									BgL_arg2442z00_747 =
										MAKE_PAIR(BGl_string2667z00zzbackend_jvmz00,
										BgL_arg2443z00_748);
								}
								BgL_arg2441z00_746 =
									MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_arg2442z00_747);
							}
							BgL_list2440z00_745 =
								MAKE_PAIR(BGl_string2668z00zzbackend_jvmz00,
								BgL_arg2441z00_746);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
							BgL_list2440z00_745);
				}}
				{	/* BackEnd/jvm.scm 41 */
					obj_t BgL_arg2447z00_751;

					{	/* BackEnd/jvm.scm 41 */
						obj_t BgL_arg2448z00_752;

						BgL_arg2448z00_752 =
							BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
							(BGl_za2moduleza2z00zzmodule_modulez00);
						BgL_arg2447z00_751 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg2448z00_752));
					}
					((((BgL_jvmz00_bglt) CREF(BgL_mez00_717))->BgL_qnamez00) =
						((obj_t) BgL_arg2447z00_751), BUNSPEC);
				}
				{	/* BackEnd/jvm.scm 44 */
					bool_t BgL_testz00_1674;

					if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
						{	/* BackEnd/jvm.scm 44 */
							BgL_testz00_1674 = ((bool_t) 0);
						}
					else
						{	/* BackEnd/jvm.scm 44 */
							BgL_testz00_1674 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 16))));
						}
					if (BgL_testz00_1674)
						{	/* BackEnd/jvm.scm 44 */
							BGl_za2mainza2z00zzmodule_modulez00 =
								BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
						}
					else
						{	/* BackEnd/jvm.scm 44 */
							BFALSE;
						}
				}
				BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00
					(BGl_za2moduleza2z00zzmodule_modulez00,
					BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
				{	/* BackEnd/jvm.scm 71 */
					obj_t BgL_lza2za2_754;
					obj_t BgL_bnamez00_755;

					BgL_lza2za2_754 =
						BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_mez00_717);
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 73 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 74 */
									BgL_bnamez00_755 =
										BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00(CAR
												(BGl_za2srczd2filesza2zd2zzengine_paramz00))));
								}
							else
								{	/* BackEnd/jvm.scm 74 */
									BgL_bnamez00_755 = BGl_string2669z00zzbackend_jvmz00;
								}
						}
					else
						{	/* BackEnd/jvm.scm 73 */
							if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
								{	/* BackEnd/jvm.scm 77 */
									BgL_bnamez00_755 =
										BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00
											(BGl_za2destza2z00zzengine_paramz00)));
								}
							else
								{	/* BackEnd/jvm.scm 77 */
									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* BackEnd/jvm.scm 78 */
											BgL_bnamez00_755 =
												BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
												(BGl_basenamez00zz__osz00(CAR
														(BGl_za2srczd2filesza2zd2zzengine_paramz00))));
										}
									else
										{	/* BackEnd/jvm.scm 78 */
											BgL_bnamez00_755 = BFALSE;
										}
								}
						}
					BGl_emitz00zzbackend_jvmz00(CAR(BgL_lza2za2_754), BgL_bnamez00_755);
					{	/* BackEnd/jvm.scm 84 */
						obj_t BgL_g2336z00_757;

						BgL_g2336z00_757 = CDR(BgL_lza2za2_754);
						{
							obj_t BgL_l2334z00_758;

							BgL_l2334z00_758 = BgL_g2336z00_757;
						BgL_forzd2each2335zd2_759:
							if (PAIRP(BgL_l2334z00_758))
								{	/* BackEnd/jvm.scm 84 */
									{	/* BackEnd/jvm.scm 84 */
										obj_t BgL_cfz00_761;

										BgL_cfz00_761 = CAR(BgL_l2334z00_758);
										BGl_emitz00zzbackend_jvmz00(BgL_cfz00_761,
											BGl_jasnamez00zzbackend_jvmz00(BgL_cfz00_761));
									}
									{
										obj_t BgL_l2334z00_1711;

										BgL_l2334z00_1711 = CDR(BgL_l2334z00_758);
										BgL_l2334z00_758 = BgL_l2334z00_1711;
										goto BgL_forzd2each2335zd2_759;
									}
								}
							else
								{	/* BackEnd/jvm.scm 84 */
									((bool_t) 1);
								}
						}
					}
					{	/* BackEnd/jvm.scm 86 */
						obj_t BgL_arg2454z00_764;

						BgL_arg2454z00_764 = CNST_TABLE_REF(((long) 17));
						BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2454z00_764,
							make_fx_procedure(BGl_zc3anonymousza32457ze3z83zzbackend_jvmz00,
								(int) (((long) 0)), (int) (((long) 0))));
					}
					{	/* BackEnd/jvm.scm 87 */
						obj_t BgL_arg2458z00_768;

						BgL_arg2458z00_768 = CNST_TABLE_REF(((long) 8));
						BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2458z00_768,
							make_fx_procedure(BGl_zc3anonymousza32460ze3z83zzbackend_jvmz00,
								(int) (((long) 0)), (int) (((long) 0))));
					}
					{	/* BackEnd/jvm.scm 88 */
						obj_t BgL_arg2461z00_772;

						BgL_arg2461z00_772 = CNST_TABLE_REF(((long) 7));
						return
							BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2461z00_772,
							make_fx_procedure(BGl_zc3anonymousza32463ze3z83zzbackend_jvmz00,
								(int) (((long) 0)), (int) (((long) 0))));
		}}}}
	}



/* <exit:2492> */
	obj_t BGl_zc3exitza32492ze3z83zzbackend_jvmz00(obj_t BgL_portz00_1252,
		obj_t BgL_classfilez00_1251)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 69 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2322z00_819;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2322z00_819))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2322z00_819 = (void *) jmpbuf;
						{	/* BackEnd/jvm.scm 69 */

							PUSH_EXIT(BgL_an_exit2322z00_819, ((long) 0));
							{	/* BackEnd/jvm.scm 68 */
								obj_t BgL_val2323z00_820;

								BgL_val2323z00_820 =
									BGl_jvmzd2aszd2zzjas_asz00(BgL_classfilez00_1251,
									BgL_portz00_1252);
								POP_EXIT();
								return BgL_val2323z00_820;
							}
						}
					}
			}
		}
	}



/* <exit:2487> */
	obj_t BGl_zc3exitza32487ze3z83zzbackend_jvmz00(obj_t BgL_portz00_1256,
		obj_t BgL_handlers2315z00_1255, obj_t BgL_cnamez00_1254,
		obj_t BgL_classfilez00_1253)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_exit2318z00_809;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_exit2318z00_809))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_exit2318z00_809 = (void *) jmpbuf;
						{	/* BackEnd/jvm.scm 63 */

							PUSH_EXIT(BgL_exit2318z00_809, ((long) 0));
							{	/* BackEnd/jvm.scm 63 */
								obj_t BgL_exitd2319z00_810;

								BgL_exitd2319z00_810 = BGL_EXITD_TOP();
								{	/* BackEnd/jvm.scm 63 */
									obj_t BgL_handler2316z00_1213;

									BgL_handler2316z00_1213 =
										make_fx_procedure(BGl_handler2316z00zzbackend_jvmz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_handler2316z00_1213,
										(int) (((long) 0)), BgL_cnamez00_1254);
									PROCEDURE_SET(BgL_handler2316z00_1213,
										(int) (((long) 1)), BgL_exitd2319z00_810);
									{	/* BackEnd/jvm.scm 63 */
										obj_t BgL_arg2488z00_812;

										BgL_arg2488z00_812 =
											MAKE_PAIR(BgL_handler2316z00_1213,
											BgL_handlers2315z00_1255);
										BGL_ERROR_HANDLER_SET(BgL_arg2488z00_812);
										BUNSPEC;
									}
									{	/* BackEnd/jvm.scm 67 */
										obj_t BgL_tmp2320z00_813;

										{	/* BackEnd/jvm.scm 67 */
											obj_t BgL_val2321z00_814;

											BgL_val2321z00_814 =
												BGl_zc3exitza32492ze3z83zzbackend_jvmz00
												(BgL_portz00_1256, BgL_classfilez00_1253);
											close_binary_port(BgL_portz00_1256);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2321z00_814)))
												{	/* BackEnd/jvm.scm 69 */
													BgL_tmp2320z00_813 =
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2321z00_814), CDR(BgL_val2321z00_814));
												}
											else
												{	/* BackEnd/jvm.scm 69 */
													BgL_tmp2320z00_813 = BgL_val2321z00_814;
												}
										}
										POP_EXIT();
										return BgL_tmp2320z00_813;
									}
								}
							}
						}
					}
			}
		}
	}



/* emit */
	obj_t BGl_emitz00zzbackend_jvmz00(obj_t BgL_classfilez00_788,
		obj_t BgL_destz00_789)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 69 */
			{	/* BackEnd/jvm.scm 48 */
				obj_t BgL_dirz00_791;

				BgL_dirz00_791 = BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00;
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 8))))
					{	/* BackEnd/jvm.scm 50 */
						obj_t BgL_portz00_793;

						if (STRINGP(BgL_destz00_789))
							{	/* BackEnd/jvm.scm 50 */
								BgL_portz00_793 =
									open_output_file(string_append_3(BgL_dirz00_791,
										BGl_string2670z00zzbackend_jvmz00, BgL_destz00_789));
							}
						else
							{	/* BackEnd/jvm.scm 50 */
								BgL_portz00_793 = BGL_CURRENT_OUTPUT_PORT();
							}
						BGl_jvmasdumpz00zzbackend_jvmz00(BgL_classfilez00_788,
							BgL_portz00_793);
						{	/* BackEnd/jvm.scm 55 */
							bool_t BgL_testz00_1765;

							{	/* BackEnd/jvm.scm 55 */
								obj_t BgL_arg2479z00_795;

								BgL_arg2479z00_795 = BGL_CURRENT_OUTPUT_PORT();
								BgL_testz00_1765 = (BgL_portz00_793 == BgL_arg2479z00_795);
							}
							if (BgL_testz00_1765)
								{	/* BackEnd/jvm.scm 55 */
									return BFALSE;
								}
							else
								{	/* BackEnd/jvm.scm 55 */
									return close_output_port(BgL_portz00_793);
								}
						}
					}
				else
					{	/* BackEnd/jvm.scm 57 */
						obj_t BgL_cnamez00_798;

						if (STRINGP(BgL_destz00_789))
							{	/* BackEnd/jvm.scm 57 */
								BgL_cnamez00_798 =
									string_append_3(BgL_dirz00_791,
									BGl_string2670z00zzbackend_jvmz00, BgL_destz00_789);
							}
						else
							{	/* BackEnd/jvm.scm 57 */
								BgL_cnamez00_798 =
									string_append(BgL_dirz00_791,
									BGl_string2671z00zzbackend_jvmz00);
							}
						{	/* BackEnd/jvm.scm 57 */
							obj_t BgL_portz00_799;

							BgL_portz00_799 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_cnamez00_798);
							{	/* BackEnd/jvm.scm 60 */

								if (BINARY_PORTP(BgL_portz00_799))
									{	/* BackEnd/jvm.scm 61 */
										BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 61 */
										BGl_errorz00zz__errorz00(BGl_string2672z00zzbackend_jvmz00,
											BGl_string2673z00zzbackend_jvmz00, BgL_cnamez00_798);
									}
								{	/* BackEnd/jvm.scm 65 */
									obj_t BgL_handler2314z00_1212;

									BgL_handler2314z00_1212 =
										make_fx_procedure(BGl_handler2314z00zzbackend_jvmz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_handler2314z00_1212,
										(int) (((long) 0)), BgL_cnamez00_798);
									if (PROCEDURE_CORRECT_ARITYP(BgL_handler2314z00_1212,
											(int) (((long) 1))))
										{	/* BackEnd/jvm.scm 63 */
											obj_t BgL_handlers2315z00_803;

											BgL_handlers2315z00_803 = BGL_ERROR_HANDLER_GET();
											{	/* BackEnd/jvm.scm 63 */
												obj_t BgL_val2317z00_804;

												BgL_val2317z00_804 =
													BGl_zc3exitza32487ze3z83zzbackend_jvmz00
													(BgL_portz00_799, BgL_handlers2315z00_803,
													BgL_cnamez00_798, BgL_classfilez00_788);
												BGL_ERROR_HANDLER_SET(BgL_handlers2315z00_803);
												BUNSPEC;
												if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
														(BgL_val2317z00_804)))
													{	/* BackEnd/jvm.scm 63 */
														return
															BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
															(BgL_val2317z00_804), CDR(BgL_val2317z00_804));
													}
												else
													{	/* BackEnd/jvm.scm 63 */
														return BgL_val2317z00_804;
													}
											}
										}
									else
										{	/* BackEnd/jvm.scm 63 */
											return
												BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 18)),
												BGl_string2674z00zzbackend_jvmz00,
												BgL_handler2314z00_1212);
		}}}}}}}
	}



/* <anonymous:2463> */
	obj_t BGl_zc3anonymousza32463ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1228)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 88 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* <anonymous:2460> */
	obj_t BGl_zc3anonymousza32460ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1229)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 87 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* <anonymous:2457> */
	obj_t BGl_zc3anonymousza32457ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1230)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 86 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* handler2316 */
	obj_t BGl_handler2316z00zzbackend_jvmz00(obj_t BgL_envz00_1231,
		obj_t BgL_ez00_1234)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 63 */
			{	/* BackEnd/jvm.scm 63 */
				obj_t BgL_cnamez00_1232;
				obj_t BgL_exitd2319z00_1233;

				BgL_cnamez00_1232 = PROCEDURE_REF(BgL_envz00_1231, (int) (((long) 0)));
				BgL_exitd2319z00_1233 =
					PROCEDURE_REF(BgL_envz00_1231, (int) (((long) 1)));
				{
					obj_t BgL_ez00_821;

					BgL_ez00_821 = BgL_ez00_1234;
					{	/* BackEnd/jvm.scm 63 */
						obj_t BgL_arg2494z00_1098;

						{	/* BackEnd/jvm.scm 63 */
							char *BgL_stringz00_1100;

							BgL_stringz00_1100 = BSTRING_TO_STRING(BgL_cnamez00_1232);
							if (unlink(BgL_stringz00_1100))
								{	/* BackEnd/jvm.scm 63 */
									((bool_t) 0);
								}
							else
								{	/* BackEnd/jvm.scm 63 */
									((bool_t) 1);
								}
						}
						BgL_arg2494z00_1098 = BGl_raisez00zz__errorz00(BgL_ez00_821);
						return
							BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_exitd2319z00_1233,
							BgL_arg2494z00_1098);
					}
				}
			}
		}
	}



/* handler2314 */
	obj_t BGl_handler2314z00zzbackend_jvmz00(obj_t BgL_envz00_1235,
		obj_t BgL_ez00_1237)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 64 */
			{	/* BackEnd/jvm.scm 65 */
				obj_t BgL_cnamez00_1236;

				BgL_cnamez00_1236 = PROCEDURE_REF(BgL_envz00_1235, (int) (((long) 0)));
				{
					obj_t BgL_ez00_825;

					BgL_ez00_825 = BgL_ez00_1237;
					{	/* BackEnd/jvm.scm 65 */
						char *BgL_stringz00_1104;

						BgL_stringz00_1104 = BSTRING_TO_STRING(BgL_cnamez00_1236);
						if (unlink(BgL_stringz00_1104))
							{	/* BackEnd/jvm.scm 65 */
								((bool_t) 0);
							}
						else
							{	/* BackEnd/jvm.scm 65 */
								((bool_t) 1);
							}
					}
					return BGl_raisez00zz__errorz00(BgL_ez00_825);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 392051205),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 450629069),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 55672085),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 179083793),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 29862157),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_peepz00(((long) 442782109),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(((long) 507437104),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(((long) 499088871),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 293010567),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string2675z00zzbackend_jvmz00));
		}
	}

#ifdef __cplusplus
}
#endif
