/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t
		BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_nodezd2setupz12zd2prezd2arit4508zc0zzcfa_arithmeticz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_cfaz12zd2arithmeticzd2app4510z12zzcfa_arithmeticz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00(BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string4712z00zzcfa_arithmeticz00,
		BgL_bgl_string4712za700za7za7c4718za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string4713z00zzcfa_arithmeticz00,
		BgL_bgl_string4713za700za7za7c4719za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string4714z00zzcfa_arithmeticz00,
		BgL_bgl_string4714za700za7za7c4720za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string4715z00zzcfa_arithmeticz00,
		BgL_bgl_string4715za700za7za7c4721za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl__cleanupza7d2arith4722za7,
		BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_1842, char *BgL_fromz00_1843)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_1834;

				BgL_cportz00_1834 =
					bgl_open_input_string(BGl_string4715z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1835;

					BgL_iz00_1835 = ((long) 0);
				BgL_loopz00_1836:
					if ((BgL_iz00_1835 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg4717z00_1838;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_1840;

										BgL_locationz00_1840 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg4717z00_1838 =
												BGl_readz00zz__readerz00(BgL_cportz00_1834,
												BgL_locationz00_1840);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_1862;

									BgL_auxz00_1862 = (int) (BgL_iz00_1835);
									CNST_TABLE_SET(BgL_auxz00_1862, BgL_arg4717z00_1838);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_1841;

								BgL_auxz00_1841 = (int) ((BgL_iz00_1835 - ((long) 1)));
								{
									long BgL_iz00_1867;

									BgL_iz00_1867 = (long) (BgL_auxz00_1841);
									BgL_iz00_1835 = BgL_iz00_1867;
									goto BgL_loopz00_1836;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l4488z00_975;

				{	/* Cfa/arithmetic.scm 67 */
					bool_t BgL_auxz00_1869;

					BgL_l4488z00_975 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
				BgL_forzd2each4490zd2_976:
					if (PAIRP(BgL_l4488z00_975))
						{	/* Cfa/arithmetic.scm 67 */
							{	/* Cfa/arithmetic.scm 68 */
								obj_t BgL_nodez00_978;

								BgL_nodez00_978 = CAR(BgL_l4488z00_975);
								{	/* Cfa/arithmetic.scm 69 */
									BgL_variablez00_bglt BgL_fz00_980;

									{	/* Cfa/arithmetic.scm 69 */
										BgL_varz00_bglt BgL_obj1929z00_1693;

										{	/* Cfa/arithmetic.scm 69 */
											BgL_appz00_bglt BgL_obj2023z00_1692;

											BgL_obj2023z00_1692 = (BgL_appz00_bglt) (BgL_nodez00_978);
											BgL_obj1929z00_1693 =
												(((BgL_appz00_bglt) CREF(BgL_obj2023z00_1692))->
												BgL_funz00);
										}
										BgL_fz00_980 =
											(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1693))->
											BgL_variablez00);
									}
									{	/* Cfa/arithmetic.scm 69 */
										BgL_valuez00_bglt BgL_valz00_981;

										BgL_valz00_981 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_980))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 70 */

											{	/* Cfa/arithmetic.scm 72 */
												bool_t BgL_testz00_1877;

												{	/* Cfa/arithmetic.scm 72 */
													BgL_typez00_bglt BgL_arg4513z00_983;

													BgL_arg4513z00_983 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_980))->
														BgL_typez00);
													BgL_testz00_1877 =
														((obj_t) (BgL_arg4513z00_983) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_1877)
													{	/* Cfa/arithmetic.scm 73 */
														BgL_variablez00_bglt BgL_obj1386z00_1696;
														BgL_typez00_bglt BgL_val1385z00_1697;

														BgL_obj1386z00_1696 = BgL_fz00_980;
														BgL_val1385z00_1697 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt)
																	CREF(BgL_obj1386z00_1696))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1385z00_1697),
															BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 72 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 74 */
												bool_t BgL_testz00_1883;

												{	/* Cfa/arithmetic.scm 74 */
													BgL_typez00_bglt BgL_arg4515z00_985;

													{	/* Cfa/arithmetic.scm 74 */
														BgL_nodez00_bglt BgL_obj1866z00_1698;

														BgL_obj1866z00_1698 =
															(BgL_nodez00_bglt) (BgL_nodez00_978);
														BgL_arg4515z00_985 =
															(((BgL_nodez00_bglt) CREF(BgL_obj1866z00_1698))->
															BgL_typez00);
													}
													BgL_testz00_1883 =
														(
														(obj_t) (BgL_arg4515z00_985) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_1883)
													{	/* Cfa/arithmetic.scm 75 */
														BgL_nodez00_bglt BgL_obj1868z00_1699;
														BgL_typez00_bglt BgL_val1867z00_1700;

														BgL_obj1868z00_1699 =
															(BgL_nodez00_bglt) (BgL_nodez00_978);
														BgL_val1867z00_1700 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_obj1868z00_1699))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1867z00_1700),
															BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 74 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 77 */
												bool_t BgL_testz00_1891;

												{	/* Cfa/arithmetic.scm 77 */
													obj_t BgL_obj1729z00_1701;

													BgL_obj1729z00_1701 = (obj_t) (BgL_valz00_981);
													BgL_testz00_1891 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1701,
														BGl_sfunz00zzast_varz00);
												}
												if (BgL_testz00_1891)
													{	/* Cfa/arithmetic.scm 79 */
														obj_t BgL_arg4517z00_987;

														{	/* Cfa/arithmetic.scm 79 */
															obj_t BgL_l4482z00_988;

															{	/* Cfa/arithmetic.scm 79 */
																BgL_sfunz00_bglt BgL_obj1654z00_1702;

																BgL_obj1654z00_1702 =
																	(BgL_sfunz00_bglt) (BgL_valz00_981);
																BgL_l4482z00_988 =
																	(((BgL_sfunz00_bglt)
																		CREF(BgL_obj1654z00_1702))->BgL_argsz00);
															}
															if (NULLP(BgL_l4482z00_988))
																{	/* Cfa/arithmetic.scm 79 */
																	BgL_arg4517z00_987 = BNIL;
																}
															else
																{	/* Cfa/arithmetic.scm 79 */
																	obj_t BgL_head4484z00_990;

																	BgL_head4484z00_990 =
																		MAKE_PAIR
																		(BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																		(CAR(BgL_l4482z00_988)), BNIL);
																	{	/* Cfa/arithmetic.scm 79 */
																		obj_t BgL_g4487z00_991;

																		BgL_g4487z00_991 = CDR(BgL_l4482z00_988);
																		{
																			obj_t BgL_l4482z00_992;
																			obj_t BgL_tail4485z00_993;

																			BgL_l4482z00_992 = BgL_g4487z00_991;
																			BgL_tail4485z00_993 = BgL_head4484z00_990;
																		BgL_map4483z00_994:
																			if (NULLP(BgL_l4482z00_992))
																				{	/* Cfa/arithmetic.scm 79 */
																					BgL_arg4517z00_987 =
																						BgL_head4484z00_990;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 79 */
																					obj_t BgL_newtail4486z00_996;

																					BgL_newtail4486z00_996 =
																						MAKE_PAIR
																						(BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_l4482z00_992)), BNIL);
																					SET_CDR(BgL_tail4485z00_993,
																						BgL_newtail4486z00_996);
																					{
																						obj_t BgL_tail4485z00_1910;
																						obj_t BgL_l4482z00_1908;

																						BgL_l4482z00_1908 =
																							CDR(BgL_l4482z00_992);
																						BgL_tail4485z00_1910 =
																							BgL_newtail4486z00_996;
																						BgL_tail4485z00_993 =
																							BgL_tail4485z00_1910;
																						BgL_l4482z00_992 =
																							BgL_l4482z00_1908;
																						goto BgL_map4483z00_994;
																					}
																				}
																		}
																	}
																}
														}
														{	/* Cfa/arithmetic.scm 78 */
															BgL_sfunz00_bglt BgL_obj1656z00_1715;
															obj_t BgL_val1655z00_1716;

															BgL_obj1656z00_1715 =
																(BgL_sfunz00_bglt) (BgL_valz00_981);
															BgL_val1655z00_1716 = BgL_arg4517z00_987;
															((((BgL_sfunz00_bglt) CREF(BgL_obj1656z00_1715))->
																	BgL_argsz00) =
																((obj_t) BgL_val1655z00_1716), BUNSPEC);
														}
													}
												else
													{	/* Cfa/arithmetic.scm 80 */
														bool_t BgL_testz00_1913;

														{	/* Cfa/arithmetic.scm 80 */
															obj_t BgL_obj1794z00_1717;

															BgL_obj1794z00_1717 = (obj_t) (BgL_valz00_981);
															BgL_testz00_1913 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1794z00_1717, BGl_cfunz00zzast_varz00);
														}
														if (BgL_testz00_1913)
															{	/* Cfa/arithmetic.scm 81 */
																obj_t BgL_g4472z00_1005;

																{	/* Cfa/arithmetic.scm 81 */
																	BgL_cfunz00_bglt BgL_obj1750z00_1718;

																	BgL_obj1750z00_1718 =
																		(BgL_cfunz00_bglt) (BgL_valz00_981);
																	BgL_g4472z00_1005 =
																		(((BgL_cfunz00_bglt)
																			CREF(BgL_obj1750z00_1718))->
																		BgL_argszd2typezd2);
																}
																{
																	obj_t BgL_lz00_1006;

																	{	/* Cfa/arithmetic.scm 81 */
																		bool_t BgL_auxz00_1918;

																		BgL_lz00_1006 = BgL_g4472z00_1005;
																	BgL_loopz00_1007:
																		if (PAIRP(BgL_lz00_1006))
																			{	/* Cfa/arithmetic.scm 82 */
																				{	/* Cfa/arithmetic.scm 84 */
																					obj_t BgL_auxz00_1921;

																					BgL_auxz00_1921 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_lz00_1006));
																					SET_CAR(BgL_lz00_1006,
																						BgL_auxz00_1921);
																				}
																				{
																					obj_t BgL_lz00_1925;

																					BgL_lz00_1925 = CDR(BgL_lz00_1006);
																					BgL_lz00_1006 = BgL_lz00_1925;
																					goto BgL_loopz00_1007;
																				}
																			}
																		else
																			{	/* Cfa/arithmetic.scm 82 */
																				BgL_auxz00_1918 = ((bool_t) 0);
																			}
																		BBOOL(BgL_auxz00_1918);
																	}
																}
															}
														else
															{	/* Cfa/arithmetic.scm 80 */
																BFALSE;
															}
													}
											}
										}
									}
								}
							}
							{
								obj_t BgL_l4488z00_1928;

								BgL_l4488z00_1928 = CDR(BgL_l4488z00_975);
								BgL_l4488z00_975 = BgL_l4488z00_1928;
								goto BgL_forzd2each4490zd2_976;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 67 */
							BgL_auxz00_1869 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1869);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_1014)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 66 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1014,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_1014 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_1014;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1014,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 59 */
							{	/* Cfa/arithmetic.scm 60 */
								bool_t BgL_testz00_1937;

								{	/* Cfa/arithmetic.scm 60 */
									BgL_typez00_bglt BgL_arg4539z00_1020;

									{	/* Cfa/arithmetic.scm 60 */
										BgL_variablez00_bglt BgL_obj1384z00_1727;

										BgL_obj1384z00_1727 =
											(BgL_variablez00_bglt) (BgL_tz00_1014);
										BgL_arg4539z00_1020 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1384z00_1727))->
											BgL_typez00);
									}
									BgL_testz00_1937 =
										(
										(obj_t) (BgL_arg4539z00_1020) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_1937)
									{	/* Cfa/arithmetic.scm 61 */
										BgL_variablez00_bglt BgL_obj1386z00_1728;
										BgL_typez00_bglt BgL_val1385z00_1729;

										BgL_obj1386z00_1728 =
											(BgL_variablez00_bglt) (BgL_tz00_1014);
										BgL_val1385z00_1729 =
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1728))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_val1385z00_1729), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 60 */
										BFALSE;
									}
							}
							return BgL_tz00_1014;
						}
					else
						{	/* Cfa/arithmetic.scm 59 */
							return BgL_tz00_1014;
						}
				}
		}
	}



/* _cleanup-arithmetic-nodes! */
	obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_envz00_1823)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_nodezd2setupz12zd2prezd2arit4508zc0_1825;

				BgL_nodezd2setupz12zd2prezd2arit4508zc0_1825 =
					make_fx_procedure
					(BGl_nodezd2setupz12zd2prezd2arit4508zc0zzcfa_arithmeticz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
					BgL_nodezd2setupz12zd2prezd2arit4508zc0_1825);
			}
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cfaz12zd2arithmeticzd2app4510z12_1824;

				BgL_cfaz12zd2arithmeticzd2app4510z12_1824 =
					make_fx_procedure
					(BGl_cfaz12zd2arithmeticzd2app4510z12zzcfa_arithmeticz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_arithmeticzd2appzd2zzcfa_info2z00,
					BgL_cfaz12zd2arithmeticzd2app4510z12_1824);
			}
		}
	}



/* cfa!-arithmetic-app4510 */
	obj_t BGl_cfaz12zd2arithmeticzd2app4510z12zzcfa_arithmeticz00(obj_t
		BgL_envz00_1826, obj_t BgL_nodez00_1827)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 141 */
			{
				BgL_arithmeticzd2appzd2_bglt BgL_nodez00_1605;

				{	/* Cfa/arithmetic.scm 170 */
					BgL_approxz00_bglt BgL_auxz00_1954;

					BgL_nodez00_1605 = (BgL_arithmeticzd2appzd2_bglt) (BgL_nodez00_1827);
					{
						obj_t BgL_argszd2approxzd2_1645;
						obj_t BgL_speczd2typeszd2_1646;
						obj_t BgL_argszd2approxzd2_1656;
						obj_t BgL_typez00_1657;
						obj_t BgL_speczd2typeszd2_1658;
						obj_t BgL_argszd2approxzd2_1671;

						{	/* Cfa/arithmetic.scm 182 */
							obj_t BgL_argszd2approxzd2_1613;

							{	/* Cfa/arithmetic.scm 182 */
								obj_t BgL_l4498z00_1629;

								{	/* Cfa/arithmetic.scm 182 */
									BgL_appz00_bglt BgL_obj2026z00_1781;

									BgL_obj2026z00_1781 = (BgL_appz00_bglt) (BgL_nodez00_1605);
									BgL_l4498z00_1629 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1781))->
										BgL_argsz00);
								}
								if (NULLP(BgL_l4498z00_1629))
									{	/* Cfa/arithmetic.scm 182 */
										BgL_argszd2approxzd2_1613 = BNIL;
									}
								else
									{	/* Cfa/arithmetic.scm 182 */
										obj_t BgL_head4500z00_1631;

										{	/* Cfa/arithmetic.scm 182 */
											BgL_approxz00_bglt BgL_arg4683z00_1642;

											{	/* Cfa/arithmetic.scm 182 */
												obj_t BgL_arg4685z00_1644;

												BgL_arg4685z00_1644 = CAR(BgL_l4498z00_1629);
												BgL_arg4683z00_1642 =
													BGl_cfaz12z12zzcfa_cfaz00(
													(BgL_nodez00_bglt) (BgL_arg4685z00_1644));
											}
											{	/* Cfa/arithmetic.scm 182 */
												obj_t BgL_obj1z00_1784;

												BgL_obj1z00_1784 = (obj_t) (BgL_arg4683z00_1642);
												BgL_head4500z00_1631 =
													MAKE_PAIR(BgL_obj1z00_1784, BNIL);
											}
										}
										{	/* Cfa/arithmetic.scm 182 */
											obj_t BgL_g4503z00_1632;

											BgL_g4503z00_1632 = CDR(BgL_l4498z00_1629);
											{
												obj_t BgL_l4498z00_1633;
												obj_t BgL_tail4501z00_1634;

												BgL_l4498z00_1633 = BgL_g4503z00_1632;
												BgL_tail4501z00_1634 = BgL_head4500z00_1631;
											BgL_map4499z00_1635:
												if (NULLP(BgL_l4498z00_1633))
													{	/* Cfa/arithmetic.scm 182 */
														BgL_argszd2approxzd2_1613 = BgL_head4500z00_1631;
													}
												else
													{	/* Cfa/arithmetic.scm 182 */
														obj_t BgL_newtail4502z00_1637;

														{	/* Cfa/arithmetic.scm 182 */
															BgL_approxz00_bglt BgL_arg4679z00_1639;

															{	/* Cfa/arithmetic.scm 182 */
																obj_t BgL_arg4682z00_1641;

																BgL_arg4682z00_1641 = CAR(BgL_l4498z00_1633);
																BgL_arg4679z00_1639 =
																	BGl_cfaz12z12zzcfa_cfaz00(
																	(BgL_nodez00_bglt) (BgL_arg4682z00_1641));
															}
															{	/* Cfa/arithmetic.scm 182 */
																obj_t BgL_obj1z00_1789;

																BgL_obj1z00_1789 =
																	(obj_t) (BgL_arg4679z00_1639);
																BgL_newtail4502z00_1637 =
																	MAKE_PAIR(BgL_obj1z00_1789, BNIL);
															}
														}
														SET_CDR(BgL_tail4501z00_1634,
															BgL_newtail4502z00_1637);
														{
															obj_t BgL_tail4501z00_1975;
															obj_t BgL_l4498z00_1973;

															BgL_l4498z00_1973 = CDR(BgL_l4498z00_1633);
															BgL_tail4501z00_1975 = BgL_newtail4502z00_1637;
															BgL_tail4501z00_1634 = BgL_tail4501z00_1975;
															BgL_l4498z00_1633 = BgL_l4498z00_1973;
															goto BgL_map4499z00_1635;
														}
													}
											}
										}
									}
							}
							{	/* Cfa/arithmetic.scm 184 */
								obj_t BgL_tyz00_1614;

								BgL_argszd2approxzd2_1671 = BgL_argszd2approxzd2_1613;
								{
									obj_t BgL_argsz00_1673;

									BgL_argsz00_1673 = BgL_argszd2approxzd2_1671;
								BgL_loopz00_1674:
									if (NULLP(BgL_argsz00_1673))
										{	/* Cfa/arithmetic.scm 150 */
											BgL_tyz00_1614 = BFALSE;
										}
									else
										{	/* Cfa/arithmetic.scm 152 */
											obj_t BgL_tz00_1676;

											{	/* Cfa/arithmetic.scm 152 */
												BgL_typez00_bglt BgL_arg4704z00_1679;

												{	/* Cfa/arithmetic.scm 152 */
													BgL_approxz00_bglt BgL_obj3019z00_1818;

													{	/* Cfa/arithmetic.scm 152 */
														obj_t BgL_pairz00_1817;

														BgL_pairz00_1817 = BgL_argsz00_1673;
														{	/* Cfa/arithmetic.scm 152 */
															obj_t BgL_auxz00_1978;

															BgL_auxz00_1978 = CAR(BgL_pairz00_1817);
															BgL_obj3019z00_1818 =
																(BgL_approxz00_bglt) (BgL_auxz00_1978);
														}
													}
													BgL_arg4704z00_1679 =
														(((BgL_approxz00_bglt) CREF(BgL_obj3019z00_1818))->
														BgL_typez00);
												}
												if (
													((obj_t) (BgL_arg4704z00_1679) ==
														BGl_za2intza2z00zztype_cachez00))
													{	/* Cfa/arithmetic.scm 152 */
														BgL_tz00_1676 = BGl_za2longza2z00zztype_cachez00;
													}
												else
													{	/* Cfa/arithmetic.scm 152 */
														BgL_tz00_1676 = (obj_t) (BgL_arg4704z00_1679);
													}
											}
											if ((BgL_tz00_1676 == BGl_za2_za2z00zztype_cachez00))
												{
													obj_t BgL_argsz00_1988;

													BgL_argsz00_1988 = CDR(BgL_argsz00_1673);
													BgL_argsz00_1673 = BgL_argsz00_1988;
													goto BgL_loopz00_1674;
												}
											else
												{	/* Cfa/arithmetic.scm 153 */
													BgL_tyz00_1614 = BgL_tz00_1676;
												}
										}
								}
								{	/* Cfa/arithmetic.scm 185 */
									bool_t BgL_testz00_1990;

									BgL_argszd2approxzd2_1656 = BgL_argszd2approxzd2_1613;
									BgL_typez00_1657 = BgL_tyz00_1614;
									{
										obj_t BgL_auxz00_2013;

										{	/* Cfa/arithmetic.scm 185 */
											BgL_objectz00_bglt BgL_auxz00_2014;

											BgL_auxz00_2014 = (BgL_objectz00_bglt) (BgL_nodez00_1605);
											BgL_auxz00_2013 = BGL_OBJECT_WIDENING(BgL_auxz00_2014);
										}
										BgL_speczd2typeszd2_1658 =
											(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2013))->
											BgL_speczd2typeszd2);
									}
									{	/* Cfa/arithmetic.scm 159 */
										bool_t BgL__ortest_4478z00_1660;

										if (CBOOL(BgL_typez00_1657))
											{	/* Cfa/arithmetic.scm 159 */
												BgL__ortest_4478z00_1660 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 159 */
												BgL__ortest_4478z00_1660 = ((bool_t) 1);
											}
										if (BgL__ortest_4478z00_1660)
											{	/* Cfa/arithmetic.scm 159 */
												BgL_testz00_1990 = BgL__ortest_4478z00_1660;
											}
										else
											{	/* Cfa/arithmetic.scm 159 */
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_typez00_1657, BgL_speczd2typeszd2_1658)))
													{
														obj_t BgL_argsz00_1662;

														BgL_argsz00_1662 = BgL_argszd2approxzd2_1656;
													BgL_loopz00_1663:
														if (NULLP(BgL_argsz00_1662))
															{	/* Cfa/arithmetic.scm 162 */
																BgL_testz00_1990 = ((bool_t) 1);
															}
														else
															{	/* Cfa/arithmetic.scm 164 */
																obj_t BgL_tz00_1665;

																{	/* Cfa/arithmetic.scm 164 */
																	BgL_typez00_bglt BgL_arg4698z00_1669;

																	{	/* Cfa/arithmetic.scm 164 */
																		BgL_approxz00_bglt BgL_obj3019z00_1812;

																		{	/* Cfa/arithmetic.scm 164 */
																			obj_t BgL_pairz00_1811;

																			BgL_pairz00_1811 = BgL_argsz00_1662;
																			{	/* Cfa/arithmetic.scm 164 */
																				obj_t BgL_auxz00_1999;

																				BgL_auxz00_1999 = CAR(BgL_pairz00_1811);
																				BgL_obj3019z00_1812 =
																					(BgL_approxz00_bglt)
																					(BgL_auxz00_1999);
																			}
																		}
																		BgL_arg4698z00_1669 =
																			(((BgL_approxz00_bglt)
																				CREF(BgL_obj3019z00_1812))->
																			BgL_typez00);
																	}
																	if (
																		((obj_t) (BgL_arg4698z00_1669) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 164 */
																			BgL_tz00_1665 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 164 */
																			BgL_tz00_1665 =
																				(obj_t) (BgL_arg4698z00_1669);
																		}
																}
																{	/* Cfa/arithmetic.scm 165 */
																	bool_t BgL_testz00_2007;

																	if ((BgL_tz00_1665 == BgL_typez00_1657))
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2007 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2007 =
																				(BgL_tz00_1665 ==
																				BGl_za2_za2z00zztype_cachez00);
																		}
																	if (BgL_testz00_2007)
																		{
																			obj_t BgL_argsz00_2011;

																			BgL_argsz00_2011 = CDR(BgL_argsz00_1662);
																			BgL_argsz00_1662 = BgL_argsz00_2011;
																			goto BgL_loopz00_1663;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_1990 = ((bool_t) 0);
																		}
																}
															}
													}
												else
													{	/* Cfa/arithmetic.scm 160 */
														BgL_testz00_1990 = ((bool_t) 0);
													}
											}
									}
									if (BgL_testz00_1990)
										{	/* Cfa/arithmetic.scm 187 */
											bool_t BgL_testz00_2018;

											BgL_argszd2approxzd2_1645 = BgL_argszd2approxzd2_1613;
											{
												obj_t BgL_auxz00_2034;

												{	/* Cfa/arithmetic.scm 187 */
													BgL_objectz00_bglt BgL_auxz00_2035;

													BgL_auxz00_2035 =
														(BgL_objectz00_bglt) (BgL_nodez00_1605);
													BgL_auxz00_2034 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2035);
												}
												BgL_speczd2typeszd2_1646 =
													(((BgL_arithmeticzd2appzd2_bglt)
														CREF(BgL_auxz00_2034))->BgL_speczd2typeszd2);
											}
											{
												obj_t BgL_argsz00_1648;

												BgL_argsz00_1648 = BgL_argszd2approxzd2_1645;
											BgL_loopz00_1649:
												if (NULLP(BgL_argsz00_1648))
													{	/* Cfa/arithmetic.scm 172 */
														BgL_testz00_2018 = ((bool_t) 1);
													}
												else
													{	/* Cfa/arithmetic.scm 174 */
														bool_t BgL_testz00_2021;

														{	/* Cfa/arithmetic.scm 174 */
															obj_t BgL_arg4690z00_1653;

															{	/* Cfa/arithmetic.scm 174 */
																BgL_typez00_bglt BgL_arg4691z00_1654;

																{	/* Cfa/arithmetic.scm 174 */
																	BgL_approxz00_bglt BgL_obj3019z00_1806;

																	{	/* Cfa/arithmetic.scm 174 */
																		obj_t BgL_pairz00_1805;

																		BgL_pairz00_1805 = BgL_argsz00_1648;
																		{	/* Cfa/arithmetic.scm 174 */
																			obj_t BgL_auxz00_2022;

																			BgL_auxz00_2022 = CAR(BgL_pairz00_1805);
																			BgL_obj3019z00_1806 =
																				(BgL_approxz00_bglt) (BgL_auxz00_2022);
																		}
																	}
																	BgL_arg4691z00_1654 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_obj3019z00_1806))->BgL_typez00);
																}
																if (
																	((obj_t) (BgL_arg4691z00_1654) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 174 */
																		BgL_arg4690z00_1653 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 174 */
																		BgL_arg4690z00_1653 =
																			(obj_t) (BgL_arg4691z00_1654);
																	}
															}
															BgL_testz00_2021 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(BgL_arg4690z00_1653,
																	BgL_speczd2typeszd2_1646));
														}
														if (BgL_testz00_2021)
															{
																obj_t BgL_argsz00_2032;

																BgL_argsz00_2032 = CDR(BgL_argsz00_1648);
																BgL_argsz00_1648 = BgL_argsz00_2032;
																goto BgL_loopz00_1649;
															}
														else
															{	/* Cfa/arithmetic.scm 174 */
																BgL_testz00_2018 = ((bool_t) 0);
															}
													}
											}
											if (BgL_testz00_2018)
												{	/* Cfa/arithmetic.scm 190 */
													bool_t BgL_testz00_2039;

													{	/* Cfa/arithmetic.scm 190 */
														BgL_typez00_bglt BgL_arg4669z00_1619;

														{	/* Cfa/arithmetic.scm 190 */
															BgL_approxz00_bglt BgL_obj3019z00_1797;

															{
																obj_t BgL_auxz00_2040;

																{	/* Cfa/arithmetic.scm 190 */
																	BgL_objectz00_bglt BgL_auxz00_2041;

																	BgL_auxz00_2041 =
																		(BgL_objectz00_bglt) (BgL_nodez00_1605);
																	BgL_auxz00_2040 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2041);
																}
																BgL_obj3019z00_1797 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_2040))->BgL_approxz00);
															}
															BgL_arg4669z00_1619 =
																(((BgL_approxz00_bglt)
																	CREF(BgL_obj3019z00_1797))->BgL_typez00);
														}
														BgL_testz00_2039 =
															(
															(obj_t) (BgL_arg4669z00_1619) ==
															BGl_za2_za2z00zztype_cachez00);
													}
													if (BgL_testz00_2039)
														{	/* Cfa/arithmetic.scm 190 */
															{	/* Cfa/arithmetic.scm 193 */
																BgL_approxz00_bglt BgL_arg4668z00_1618;

																{
																	obj_t BgL_auxz00_2048;

																	{	/* Cfa/arithmetic.scm 193 */
																		BgL_objectz00_bglt BgL_auxz00_2049;

																		BgL_auxz00_2049 =
																			(BgL_objectz00_bglt) (BgL_nodez00_1605);
																		BgL_auxz00_2048 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2049);
																	}
																	BgL_arg4668z00_1618 =
																		(((BgL_arithmeticzd2appzd2_bglt)
																			CREF(BgL_auxz00_2048))->BgL_approxz00);
																}
																BGl_approxzd2setzd2typez12z12zzcfa_approxz00
																	(BgL_arg4668z00_1618,
																	(BgL_typez00_bglt) (BgL_tyz00_1614));
															}
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
														}
													else
														{	/* Cfa/arithmetic.scm 190 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/arithmetic.scm 187 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/arithmetic.scm 185 */
											{
												obj_t BgL_l4504z00_1622;

												BgL_l4504z00_1622 = BgL_argszd2approxzd2_1613;
											BgL_forzd2each4506zd2_1623:
												if (PAIRP(BgL_l4504z00_1622))
													{	/* Cfa/arithmetic.scm 197 */
														{	/* Cfa/arithmetic.scm 197 */
															obj_t BgL_az00_1625;

															BgL_az00_1625 = CAR(BgL_l4504z00_1622);
															BGl_loosez12z12zzcfa_loosez00(
																(BgL_approxz00_bglt) (BgL_az00_1625),
																CNST_TABLE_REF(((long) 0)));
														}
														{
															obj_t BgL_l4504z00_2062;

															BgL_l4504z00_2062 = CDR(BgL_l4504z00_1622);
															BgL_l4504z00_1622 = BgL_l4504z00_2062;
															goto BgL_forzd2each4506zd2_1623;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 197 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 198 */
												BgL_approxz00_bglt BgL_arg4674z00_1627;

												{
													obj_t BgL_auxz00_2064;

													{	/* Cfa/arithmetic.scm 198 */
														BgL_objectz00_bglt BgL_auxz00_2065;

														BgL_auxz00_2065 =
															(BgL_objectz00_bglt) (BgL_nodez00_1605);
														BgL_auxz00_2064 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2065);
													}
													BgL_arg4674z00_1627 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_2064))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg4674z00_1627,
													(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
											}
										}
								}
							}
						}
						{
							obj_t BgL_auxz00_2071;

							{	/* Cfa/arithmetic.scm 200 */
								BgL_objectz00_bglt BgL_auxz00_2072;

								BgL_auxz00_2072 = (BgL_objectz00_bglt) (BgL_nodez00_1605);
								BgL_auxz00_2071 = BGL_OBJECT_WIDENING(BgL_auxz00_2072);
							}
							BgL_auxz00_1954 =
								(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2071))->
								BgL_approxz00);
						}
					}
					return (obj_t) (BgL_auxz00_1954);
				}
			}
		}
	}



/* node-setup!-pre-arit4508 */
	obj_t BGl_nodezd2setupz12zd2prezd2arit4508zc0zzcfa_arithmeticz00(obj_t
		BgL_envz00_1828, obj_t BgL_nodez00_1829)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 96 */
			{
				BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1548;

				{	/* Cfa/arithmetic.scm 99 */
					BgL_appz00_bglt BgL_auxz00_2078;

					BgL_nodez00_1548 =
						(BgL_prezd2arithmeticzd2appz00_bglt) (BgL_nodez00_1829);
					{	/* Cfa/arithmetic.scm 107 */
						BgL_variablez00_bglt BgL_fz00_1553;

						{	/* Cfa/arithmetic.scm 107 */
							BgL_varz00_bglt BgL_obj1929z00_1731;

							{	/* Cfa/arithmetic.scm 107 */
								BgL_appz00_bglt BgL_obj2023z00_1730;

								BgL_obj2023z00_1730 = (BgL_appz00_bglt) (BgL_nodez00_1548);
								BgL_obj1929z00_1731 =
									(((BgL_appz00_bglt) CREF(BgL_obj2023z00_1730))->BgL_funz00);
							}
							BgL_fz00_1553 =
								(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1731))->
								BgL_variablez00);
						}
						{	/* Cfa/arithmetic.scm 107 */
							BgL_valuez00_bglt BgL_valz00_1554;

							BgL_valz00_1554 =
								(((BgL_variablez00_bglt) CREF(BgL_fz00_1553))->BgL_valuez00);
							{	/* Cfa/arithmetic.scm 108 */

								{	/* Cfa/arithmetic.scm 110 */
									bool_t BgL_testz00_2083;

									{	/* Cfa/arithmetic.scm 110 */
										BgL_typez00_bglt BgL_arg4633z00_1556;

										BgL_arg4633z00_1556 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_1553))->
											BgL_typez00);
										BgL_testz00_2083 =
											((obj_t) (BgL_arg4633z00_1556) ==
											BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_testz00_2083)
										{	/* Cfa/arithmetic.scm 110 */
											{	/* Cfa/arithmetic.scm 114 */
												BgL_variablez00_bglt BgL_obj1386z00_1734;
												BgL_typez00_bglt BgL_val1385z00_1735;

												BgL_obj1386z00_1734 = BgL_fz00_1553;
												BgL_val1385z00_1735 =
													(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1734))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_val1385z00_1735), BUNSPEC);
											}
											{	/* Cfa/arithmetic.scm 115 */
												BgL_nodez00_bglt BgL_obj1868z00_1736;
												BgL_typez00_bglt BgL_val1867z00_1737;

												BgL_obj1868z00_1736 =
													(BgL_nodez00_bglt) (BgL_nodez00_1548);
												BgL_val1867z00_1737 =
													(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
												((((BgL_nodez00_bglt) CREF(BgL_obj1868z00_1736))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_val1867z00_1737), BUNSPEC);
											}
										}
									else
										{	/* Cfa/arithmetic.scm 110 */
											BFALSE;
										}
								}
								{	/* Cfa/arithmetic.scm 117 */
									bool_t BgL_testz00_2092;

									{	/* Cfa/arithmetic.scm 117 */
										obj_t BgL_obj1729z00_1738;

										BgL_obj1729z00_1738 = (obj_t) (BgL_valz00_1554);
										BgL_testz00_2092 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1738,
											BGl_sfunz00zzast_varz00);
									}
									if (BgL_testz00_2092)
										{	/* Cfa/arithmetic.scm 119 */
											obj_t BgL_arg4635z00_1558;

											{	/* Cfa/arithmetic.scm 119 */
												obj_t BgL_l4491z00_1559;

												{	/* Cfa/arithmetic.scm 119 */
													BgL_sfunz00_bglt BgL_obj1654z00_1739;

													BgL_obj1654z00_1739 =
														(BgL_sfunz00_bglt) (BgL_valz00_1554);
													BgL_l4491z00_1559 =
														(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1739))->
														BgL_argsz00);
												}
												if (NULLP(BgL_l4491z00_1559))
													{	/* Cfa/arithmetic.scm 119 */
														BgL_arg4635z00_1558 = BNIL;
													}
												else
													{	/* Cfa/arithmetic.scm 119 */
														obj_t BgL_head4494z00_1561;

														BgL_head4494z00_1561 =
															MAKE_PAIR
															(BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_l4491z00_1559)), BNIL);
														{	/* Cfa/arithmetic.scm 119 */
															obj_t BgL_g4497z00_1562;

															BgL_g4497z00_1562 = CDR(BgL_l4491z00_1559);
															{
																obj_t BgL_l4491z00_1563;
																obj_t BgL_tail4495z00_1564;

																BgL_l4491z00_1563 = BgL_g4497z00_1562;
																BgL_tail4495z00_1564 = BgL_head4494z00_1561;
															BgL_map4493z00_1565:
																if (NULLP(BgL_l4491z00_1563))
																	{	/* Cfa/arithmetic.scm 119 */
																		BgL_arg4635z00_1558 = BgL_head4494z00_1561;
																	}
																else
																	{	/* Cfa/arithmetic.scm 119 */
																		obj_t BgL_newtail4496z00_1567;

																		BgL_newtail4496z00_1567 =
																			MAKE_PAIR
																			(BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l4491z00_1563)), BNIL);
																		SET_CDR(BgL_tail4495z00_1564,
																			BgL_newtail4496z00_1567);
																		{
																			obj_t BgL_tail4495z00_2111;
																			obj_t BgL_l4491z00_2109;

																			BgL_l4491z00_2109 =
																				CDR(BgL_l4491z00_1563);
																			BgL_tail4495z00_2111 =
																				BgL_newtail4496z00_1567;
																			BgL_tail4495z00_1564 =
																				BgL_tail4495z00_2111;
																			BgL_l4491z00_1563 = BgL_l4491z00_2109;
																			goto BgL_map4493z00_1565;
																		}
																	}
															}
														}
													}
											}
											{	/* Cfa/arithmetic.scm 118 */
												BgL_sfunz00_bglt BgL_obj1656z00_1752;
												obj_t BgL_val1655z00_1753;

												BgL_obj1656z00_1752 =
													(BgL_sfunz00_bglt) (BgL_valz00_1554);
												BgL_val1655z00_1753 = BgL_arg4635z00_1558;
												((((BgL_sfunz00_bglt) CREF(BgL_obj1656z00_1752))->
														BgL_argsz00) =
													((obj_t) BgL_val1655z00_1753), BUNSPEC);
											}
										}
									else
										{	/* Cfa/arithmetic.scm 120 */
											bool_t BgL_testz00_2114;

											{	/* Cfa/arithmetic.scm 120 */
												obj_t BgL_obj1794z00_1754;

												BgL_obj1794z00_1754 = (obj_t) (BgL_valz00_1554);
												BgL_testz00_2114 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1794z00_1754,
													BGl_cfunz00zzast_varz00);
											}
											if (BgL_testz00_2114)
												{	/* Cfa/arithmetic.scm 121 */
													obj_t BgL_g4475z00_1576;

													{	/* Cfa/arithmetic.scm 121 */
														BgL_cfunz00_bglt BgL_obj1750z00_1755;

														BgL_obj1750z00_1755 =
															(BgL_cfunz00_bglt) (BgL_valz00_1554);
														BgL_g4475z00_1576 =
															(((BgL_cfunz00_bglt) CREF(BgL_obj1750z00_1755))->
															BgL_argszd2typezd2);
													}
													{
														obj_t BgL_lz00_1577;

														BgL_lz00_1577 = BgL_g4475z00_1576;
													BgL_loopz00_1578:
														if (PAIRP(BgL_lz00_1577))
															{	/* Cfa/arithmetic.scm 123 */
																obj_t BgL_auxz00_2121;

																BgL_auxz00_2121 =
																	BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																	(CAR(BgL_lz00_1577));
																SET_CAR(BgL_lz00_1577, BgL_auxz00_2121);
															}
														else
															{
																obj_t BgL_lz00_2125;

																BgL_lz00_2125 = CDR(BgL_lz00_1577);
																BgL_lz00_1577 = BgL_lz00_2125;
																goto BgL_loopz00_1578;
															}
													}
												}
											else
												{	/* Cfa/arithmetic.scm 120 */
													BGl_errorz00zz__errorz00
														(BGl_string4712z00zzcfa_arithmeticz00,
														BGl_string4713z00zzcfa_arithmeticz00,
														(obj_t) (BgL_nodez00_1548));
												}
										}
								}
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
									MAKE_PAIR(
									(obj_t) (BgL_nodez00_1548),
									BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
								{	/* Cfa/arithmetic.scm 129 */
									obj_t BgL_arg4650z00_1583;

									{	/* Cfa/arithmetic.scm 129 */
										BgL_appz00_bglt BgL_obj2026z00_1761;

										BgL_obj2026z00_1761 = (BgL_appz00_bglt) (BgL_nodez00_1548);
										BgL_arg4650z00_1583 =
											(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1761))->
											BgL_argsz00);
									}
									BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4650z00_1583);
								}
								{	/* Cfa/arithmetic.scm 130 */
									obj_t BgL_speczd2typeszd2_1584;

									{
										obj_t BgL_auxz00_2134;

										{	/* Cfa/arithmetic.scm 130 */
											BgL_objectz00_bglt BgL_auxz00_2135;

											BgL_auxz00_2135 = (BgL_objectz00_bglt) (BgL_nodez00_1548);
											BgL_auxz00_2134 = BGL_OBJECT_WIDENING(BgL_auxz00_2135);
										}
										BgL_speczd2typeszd2_1584 =
											(((BgL_prezd2arithmeticzd2appz00_bglt)
												CREF(BgL_auxz00_2134))->BgL_speczd2typeszd2);
									}
									{	/* Cfa/arithmetic.scm 130 */
										BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1585;

										{	/* Cfa/arithmetic.scm 131 */
											long BgL_arg4657z00_1594;

											{	/* Cfa/arithmetic.scm 131 */
												obj_t BgL_arg4658z00_1595;

												{	/* Cfa/arithmetic.scm 131 */
													obj_t BgL_arg4659z00_1596;

													{	/* Cfa/arithmetic.scm 131 */
														BgL_objectz00_bglt BgL_objectz00_1763;

														BgL_objectz00_1763 =
															(BgL_objectz00_bglt) (BgL_nodez00_1548);
														{	/* Cfa/arithmetic.scm 131 */
															long BgL_arg2252z00_1764;

															{	/* Cfa/arithmetic.scm 131 */
																long BgL_arg2253z00_1765;

																BgL_arg2253z00_1765 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_1763);
																BgL_arg2252z00_1764 =
																	(BgL_arg2253z00_1765 - OBJECT_TYPE);
															}
															BgL_arg4659z00_1596 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																(int) (BgL_arg2252z00_1764));
													}}
													BgL_arg4658z00_1595 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg4659z00_1596);
												}
												BgL_arg4657z00_1594 =
													BGl_classzd2numzd2zz__objectz00(BgL_arg4658z00_1595);
											}
											{	/* Cfa/arithmetic.scm 131 */
												BgL_objectz00_bglt BgL_objz00_1771;

												BgL_objz00_1771 =
													(BgL_objectz00_bglt) (BgL_nodez00_1548);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1771,
													BgL_arg4657z00_1594);
										}}
										{	/* Cfa/arithmetic.scm 131 */
											BgL_objectz00_bglt BgL_auxz00_2148;

											BgL_auxz00_2148 = (BgL_objectz00_bglt) (BgL_nodez00_1548);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_2148, BFALSE);
										}
										BgL_nodez00_1585 = BgL_nodez00_1548;
										{	/* Cfa/arithmetic.scm 131 */

											{	/* Cfa/arithmetic.scm 132 */
												BgL_appz00_bglt BgL_obj4477z00_1586;

												BgL_obj4477z00_1586 =
													((BgL_appz00_bglt)
													(BgL_appz00_bglt) (BgL_nodez00_1585));
												{	/* Cfa/arithmetic.scm 134 */
													obj_t BgL_arg4651z00_1587;

													{	/* Cfa/arithmetic.scm 134 */
														BgL_approxz00_bglt BgL_arg4652z00_1588;

														{	/* Cfa/arithmetic.scm 134 */
															bool_t BgL_testz00_2153;

															{	/* Cfa/arithmetic.scm 134 */
																BgL_typez00_bglt BgL_arg4655z00_1591;

																BgL_arg4655z00_1591 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_fz00_1553))->BgL_typez00);
																BgL_testz00_2153 =
																	((obj_t) (BgL_arg4655z00_1591) ==
																	BGl_za2_za2z00zztype_cachez00);
															}
															if (BgL_testz00_2153)
																{	/* Cfa/arithmetic.scm 134 */
																	BgL_arg4652z00_1588 =
																		BGl_makezd2emptyzd2approxz00zzcfa_approxz00
																		();
																}
															else
																{	/* Cfa/arithmetic.scm 136 */
																	BgL_typez00_bglt BgL_arg4654z00_1590;

																	BgL_arg4654z00_1590 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_fz00_1553))->BgL_typez00);
																	BgL_arg4652z00_1588 =
																		BGl_makezd2typezd2approxz00zzcfa_approxz00
																		(BgL_arg4654z00_1590);
																}
														}
														BgL_arg4651z00_1587 =
															BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00
															(BgL_arg4652z00_1588, BgL_speczd2typeszd2_1584);
													}
													{	/* Cfa/arithmetic.scm 132 */
														BgL_objectz00_bglt BgL_auxz00_2161;

														BgL_auxz00_2161 =
															(BgL_objectz00_bglt) (BgL_obj4477z00_1586);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2161,
															BgL_arg4651z00_1587);
													}
												}
												{	/* Cfa/arithmetic.scm 132 */
													long BgL_arg4656z00_1592;

													BgL_arg4656z00_1592 =
														BGl_classzd2numzd2zz__objectz00
														(BGl_arithmeticzd2appzd2zzcfa_info2z00);
													{	/* Cfa/arithmetic.scm 132 */
														BgL_objectz00_bglt BgL_objz00_1775;

														BgL_objz00_1775 =
															(BgL_objectz00_bglt) (BgL_obj4477z00_1586);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1775,
															BgL_arg4656z00_1592);
												}}
												BgL_auxz00_2078 = BgL_obj4477z00_1586;
					}}}}}}}
					return (obj_t) (BgL_auxz00_2078);
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_1598)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 105 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_1598,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 99 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 99 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_1598,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 101 */
							{	/* Cfa/arithmetic.scm 102 */
								BgL_variablez00_bglt BgL_obj1386z00_1779;
								BgL_typez00_bglt BgL_val1385z00_1780;

								BgL_obj1386z00_1779 = (BgL_variablez00_bglt) (BgL_lz00_1598);
								BgL_val1385z00_1780 =
									(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1779))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1385z00_1780), BUNSPEC);
							}
							return BgL_lz00_1598;
						}
					else
						{	/* Cfa/arithmetic.scm 101 */
							return BgL_lz00_1598;
						}
				}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 249450490),
				BSTRING_TO_STRING(BGl_string4714z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
