/*===========================================================================*/
/*   (Cfa/box.scm)                                                           */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/box.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	extern obj_t
		BGl_wideningzd2makezd2boxzf2Cinfozf2zzcfa_infoz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t
		BGl_wideningzd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(BgL_approxz00_bglt);
	static obj_t BGl_nodezd2setupz12zd2prezd2make4498zc0zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_nodezd2setupz12zd2makezd2box4496zc0zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2boxzd2refzf2Cinfozf2zzcfa_infoz00(BgL_approxz00_bglt);
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t
		BGl_wideningzd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_cfaz12zd2boxzd2refzf2Ozd2Cinfo4506z32zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_boxz00();
	extern obj_t
		BGl_wideningzd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_loosezd2allocz12zd2makezd2bo4510zc0zzcfa_boxz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_cfaz12zd2boxzd2setz12zf2Ozd2Cinf4508z20zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34643ze3z83zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_nodezd2setupz12zd2boxzd2setz124500zd2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_cfaz12zd2makezd2boxzf2Ozd2Cinf4504z32zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34655ze3z83zzcfa_boxz00(obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(BgL_approxz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
	static obj_t BGl_nodezd2setupz12zd2boxzd2ref4502zc0zzcfa_boxz00(obj_t, obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string4671z00zzcfa_boxz00,
		BgL_bgl_string4671za700za7za7c4677za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string4672z00zzcfa_boxz00,
		BgL_bgl_string4672za700za7za7c4678za7,
		"Illegal mixed of optimized and unoptimize `make-box'", 52);
	      DEFINE_STRING(BGl_string4673z00zzcfa_boxz00,
		BgL_bgl_string4673za700za7za7c4679za7, "cfa_box", 7);
	      DEFINE_STRING(BGl_string4674z00zzcfa_boxz00,
		BgL_bgl_string4674za700za7za7c4680za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long
		BgL_checksumz00_1727, char *BgL_fromz00_1728)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_boxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
					BGl_cnstzd2initzd2zzcfa_boxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
					BGl_methodzd2initzd2zzcfa_boxz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00()
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_box");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_boxz00()
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 15 */
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cportz00_1718;

				BgL_cportz00_1718 =
					bgl_open_input_string(BGl_string4674z00zzcfa_boxz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1719;

					BgL_iz00_1719 = ((long) 0);
				BgL_loopz00_1720:
					if ((BgL_iz00_1719 == ((long) -1)))
						{	/* Cfa/box.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/box.scm 15 */
							{	/* Cfa/box.scm 15 */
								obj_t BgL_arg4676z00_1722;

								{	/* Cfa/box.scm 15 */

									{	/* Cfa/box.scm 15 */
										obj_t BgL_locationz00_1724;

										BgL_locationz00_1724 = BBOOL(((bool_t) 0));
										{	/* Cfa/box.scm 15 */

											BgL_arg4676z00_1722 =
												BGl_readz00zz__readerz00(BgL_cportz00_1718,
												BgL_locationz00_1724);
										}
									}
								}
								{	/* Cfa/box.scm 15 */
									int BgL_auxz00_1744;

									BgL_auxz00_1744 = (int) (BgL_iz00_1719);
									CNST_TABLE_SET(BgL_auxz00_1744, BgL_arg4676z00_1722);
							}}
							{	/* Cfa/box.scm 15 */
								int BgL_auxz00_1725;

								BgL_auxz00_1725 = (int) ((BgL_iz00_1719 - ((long) 1)));
								{
									long BgL_iz00_1749;

									BgL_iz00_1749 = (long) (BgL_auxz00_1725);
									BgL_iz00_1719 = BgL_iz00_1749;
									goto BgL_loopz00_1720;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_boxz00()
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_boxz00()
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 15 */
			{	/* Cfa/box.scm 15 */
				obj_t BgL_nodezd2setupz12zd2makezd2box4496zc0_1687;

				BgL_nodezd2setupz12zd2makezd2box4496zc0_1687 =
					make_fx_procedure(BGl_nodezd2setupz12zd2makezd2box4496zc0zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_makezd2boxzd2zzast_nodez00,
					BgL_nodezd2setupz12zd2makezd2box4496zc0_1687);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_nodezd2setupz12zd2prezd2make4498zc0_1686;

				BgL_nodezd2setupz12zd2prezd2make4498zc0_1686 =
					make_fx_procedure(BGl_nodezd2setupz12zd2prezd2make4498zc0zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_prezd2makezd2boxz00zzcfa_infoz00,
					BgL_nodezd2setupz12zd2prezd2make4498zc0_1686);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_nodezd2setupz12zd2boxzd2setz124500zd2_1685;

				BgL_nodezd2setupz12zd2boxzd2setz124500zd2_1685 =
					make_fx_procedure
					(BGl_nodezd2setupz12zd2boxzd2setz124500zd2zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_boxzd2setz12zc0zzast_nodez00,
					BgL_nodezd2setupz12zd2boxzd2setz124500zd2_1685);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_nodezd2setupz12zd2boxzd2ref4502zc0_1684;

				BgL_nodezd2setupz12zd2boxzd2ref4502zc0_1684 =
					make_fx_procedure(BGl_nodezd2setupz12zd2boxzd2ref4502zc0zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_boxzd2refzd2zzast_nodez00,
					BgL_nodezd2setupz12zd2boxzd2ref4502zc0_1684);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cfaz12zd2makezd2boxzf2ozd2cinf4504z32_1683;

				BgL_cfaz12zd2makezd2boxzf2ozd2cinf4504z32_1683 =
					make_fx_procedure
					(BGl_cfaz12zd2makezd2boxzf2Ozd2Cinf4504z32zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00,
					BgL_cfaz12zd2makezd2boxzf2ozd2cinf4504z32_1683);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cfaz12zd2boxzd2refzf2ozd2cinfo4506z32_1682;

				BgL_cfaz12zd2boxzd2refzf2ozd2cinfo4506z32_1682 =
					make_fx_procedure
					(BGl_cfaz12zd2boxzd2refzf2Ozd2Cinfo4506z32zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00,
					BgL_cfaz12zd2boxzd2refzf2ozd2cinfo4506z32_1682);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cfaz12zd2boxzd2setz12zf2ozd2cinf4508z20_1680;

				BgL_cfaz12zd2boxzd2setz12zf2ozd2cinf4508z20_1680 =
					make_fx_procedure
					(BGl_cfaz12zd2boxzd2setz12zf2Ozd2Cinf4508z20zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00,
					BgL_cfaz12zd2boxzd2setz12zf2ozd2cinf4508z20_1680);
			}
			{	/* Cfa/box.scm 15 */
				obj_t BgL_loosezd2allocz12zd2makezd2bo4510zc0_1678;

				BgL_loosezd2allocz12zd2makezd2bo4510zc0_1678 =
					make_fx_procedure(BGl_loosezd2allocz12zd2makezd2bo4510zc0zzcfa_boxz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
					BGl_makezd2boxzd2zzast_nodez00,
					BgL_loosezd2allocz12zd2makezd2bo4510zc0_1678);
			}
		}
	}



/* loose-alloc!-make-bo4510 */
	obj_t BGl_loosezd2allocz12zd2makezd2bo4510zc0zzcfa_boxz00(obj_t
		BgL_envz00_1688, obj_t BgL_allocz00_1689)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 145 */
			return BUNSPEC;
		}
	}



/* cfa!-box-set!/O-Cinf4508 */
	obj_t BGl_cfaz12zd2boxzd2setz12zf2Ozd2Cinf4508z20zzcfa_boxz00(obj_t
		BgL_envz00_1690, obj_t BgL_nodez00_1691)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 117 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_nodez00_1600;

				{	/* Cfa/box.scm 118 */
					BgL_approxz00_bglt BgL_auxz00_1783;

					BgL_nodez00_1600 =
						(BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) (BgL_nodez00_1691);
					{	/* Cfa/box.scm 119 */
						BgL_approxz00_bglt BgL_boxzd2approxzd2_1604;
						BgL_approxz00_bglt BgL_valzd2approxzd2_1605;

						{	/* Cfa/box.scm 119 */
							BgL_varz00_bglt BgL_arg4662z00_1618;

							{	/* Cfa/box.scm 119 */
								BgL_boxzd2setz12zc0_bglt BgL_obj2997z00_1671;

								BgL_obj2997z00_1671 =
									(BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_1600);
								BgL_arg4662z00_1618 =
									(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_obj2997z00_1671))->
									BgL_varz00);
							}
							BgL_boxzd2approxzd2_1604 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4662z00_1618));
						}
						{	/* Cfa/box.scm 120 */
							BgL_nodez00_bglt BgL_arg4663z00_1619;

							{	/* Cfa/box.scm 120 */
								BgL_boxzd2setz12zc0_bglt BgL_obj3000z00_1672;

								BgL_obj3000z00_1672 =
									(BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_1600);
								BgL_arg4663z00_1619 =
									(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_obj3000z00_1672))->
									BgL_valuez00);
							}
							BgL_valzd2approxzd2_1605 =
								BGl_cfaz12z12zzcfa_cfaz00(BgL_arg4663z00_1619);
						}
						if (
							(((BgL_approxz00_bglt) CREF(BgL_boxzd2approxzd2_1604))->
								BgL_topzf3zf3))
							{	/* Cfa/box.scm 124 */
								BgL_approxz00_bglt BgL_auxz00_1793;

								BgL_auxz00_1793 =
									BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_1605,
									CNST_TABLE_REF(((long) 0)));
								(obj_t) (BgL_auxz00_1793);
							}
						else
							{	/* Cfa/box.scm 128 */
								obj_t BgL_zc3anonymousza34655ze3z83_1679;

								BgL_zc3anonymousza34655ze3z83_1679 =
									make_fx_procedure(BGl_zc3anonymousza34655ze3z83zzcfa_boxz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza34655ze3z83_1679,
									(int) (((long) 0)), (obj_t) (BgL_nodez00_1600));
								PROCEDURE_SET(BgL_zc3anonymousza34655ze3z83_1679,
									(int) (((long) 1)), (obj_t) (BgL_valzd2approxzd2_1605));
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3anonymousza34655ze3z83_1679,
									BgL_boxzd2approxzd2_1604);
					}}
					{
						obj_t BgL_auxz00_1807;

						{	/* Cfa/box.scm 137 */
							BgL_objectz00_bglt BgL_auxz00_1808;

							BgL_auxz00_1808 = (BgL_objectz00_bglt) (BgL_nodez00_1600);
							BgL_auxz00_1807 = BGL_OBJECT_WIDENING(BgL_auxz00_1808);
						}
						BgL_auxz00_1783 =
							(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) CREF(BgL_auxz00_1807))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_1783);
				}
			}
		}
	}



/* <anonymous:4655> */
	obj_t BGl_zc3anonymousza34655ze3z83zzcfa_boxz00(obj_t BgL_envz00_1692,
		obj_t BgL_boxz00_1695)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 126 */
			{	/* Cfa/box.scm 128 */
				obj_t BgL_nodez00_1693;
				obj_t BgL_valzd2approxzd2_1694;

				BgL_nodez00_1693 = PROCEDURE_REF(BgL_envz00_1692, (int) (((long) 0)));
				BgL_valzd2approxzd2_1694 =
					PROCEDURE_REF(BgL_envz00_1692, (int) (((long) 1)));
				{
					obj_t BgL_boxz00_1608;

					BgL_boxz00_1608 = BgL_boxz00_1695;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_1608,
							BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00))
						{	/* Cfa/box.scm 130 */
							BgL_approxz00_bglt BgL_arg4657z00_1612;

							{	/* Cfa/box.scm 130 */
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_obj3768z00_1675;

								BgL_obj3768z00_1675 =
									(BgL_makezd2boxzf2ozd2cinfozf2_bglt) (BgL_boxz00_1608);
								{
									obj_t BgL_auxz00_1821;

									{	/* Cfa/box.scm 130 */
										BgL_objectz00_bglt BgL_auxz00_1822;

										BgL_auxz00_1822 =
											(BgL_objectz00_bglt) (BgL_obj3768z00_1675);
										BgL_auxz00_1821 = BGL_OBJECT_WIDENING(BgL_auxz00_1822);
									}
									BgL_arg4657z00_1612 =
										(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
											CREF(BgL_auxz00_1821))->BgL_valuezd2approxzd2);
								}
							}
							{	/* Cfa/box.scm 130 */
								BgL_approxz00_bglt BgL_auxz00_1826;

								BgL_auxz00_1826 =
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4657z00_1612,
									(BgL_approxz00_bglt) (BgL_valzd2approxzd2_1694));
								return (obj_t) (BgL_auxz00_1826);
							}
						}
					else
						{	/* Cfa/box.scm 128 */
							if (BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_1608,
									BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00))
								{	/* Cfa/box.scm 131 */
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string4671z00zzcfa_boxz00,
										BGl_string4672z00zzcfa_boxz00,
										BGl_shapez00zztools_shapez00(BgL_nodez00_1693));
								}
							else
								{	/* Cfa/box.scm 131 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* cfa!-box-ref/O-Cinfo4506 */
	obj_t BGl_cfaz12zd2boxzd2refzf2Ozd2Cinfo4506z32zzcfa_boxz00(obj_t
		BgL_envz00_1696, obj_t BgL_nodez00_1697)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 97 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_nodez00_1580;

				{	/* Cfa/box.scm 98 */
					BgL_approxz00_bglt BgL_auxz00_1834;

					BgL_nodez00_1580 =
						(BgL_boxzd2refzf2ozd2cinfozf2_bglt) (BgL_nodez00_1697);
					{	/* Cfa/box.scm 99 */
						BgL_approxz00_bglt BgL_boxzd2approxzd2_1584;

						{	/* Cfa/box.scm 99 */
							BgL_varz00_bglt BgL_arg4651z00_1597;

							{	/* Cfa/box.scm 99 */
								BgL_boxzd2refzd2_bglt BgL_obj2971z00_1665;

								BgL_obj2971z00_1665 =
									(BgL_boxzd2refzd2_bglt) (BgL_nodez00_1580);
								BgL_arg4651z00_1597 =
									(((BgL_boxzd2refzd2_bglt) CREF(BgL_obj2971z00_1665))->
									BgL_varz00);
							}
							BgL_boxzd2approxzd2_1584 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4651z00_1597));
						}
						{	/* Cfa/box.scm 103 */
							obj_t BgL_zc3anonymousza34643ze3z83_1681;

							BgL_zc3anonymousza34643ze3z83_1681 =
								make_fx_procedure(BGl_zc3anonymousza34643ze3z83zzcfa_boxz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza34643ze3z83_1681,
								(int) (((long) 0)), (obj_t) (BgL_nodez00_1580));
							PROCEDURE_SET(BgL_zc3anonymousza34643ze3z83_1681,
								(int) (((long) 1)), (obj_t) (BgL_nodez00_1580));
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BgL_zc3anonymousza34643ze3z83_1681, BgL_boxzd2approxzd2_1584);
					}}
					{
						obj_t BgL_auxz00_1849;

						{	/* Cfa/box.scm 112 */
							BgL_objectz00_bglt BgL_auxz00_1850;

							BgL_auxz00_1850 = (BgL_objectz00_bglt) (BgL_nodez00_1580);
							BgL_auxz00_1849 = BGL_OBJECT_WIDENING(BgL_auxz00_1850);
						}
						BgL_auxz00_1834 =
							(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) CREF(BgL_auxz00_1849))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_1834);
				}
			}
		}
	}



/* <anonymous:4643> */
	obj_t BGl_zc3anonymousza34643ze3z83zzcfa_boxz00(obj_t BgL_envz00_1698,
		obj_t BgL_boxz00_1701)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 101 */
			{	/* Cfa/box.scm 103 */
				obj_t BgL_nodez00_1699;
				obj_t BgL_instance4487z00_1700;

				BgL_nodez00_1699 = PROCEDURE_REF(BgL_envz00_1698, (int) (((long) 0)));
				BgL_instance4487z00_1700 =
					PROCEDURE_REF(BgL_envz00_1698, (int) (((long) 1)));
				{
					obj_t BgL_boxz00_1586;

					BgL_boxz00_1586 = BgL_boxz00_1701;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_1586,
							BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00))
						{	/* Cfa/box.scm 105 */
							BgL_approxz00_bglt BgL_arg4645z00_1590;
							BgL_approxz00_bglt BgL_arg4646z00_1591;

							{	/* Cfa/box.scm 105 */
								BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_obj3868z00_1667;

								BgL_obj3868z00_1667 =
									(BgL_boxzd2refzf2ozd2cinfozf2_bglt)
									(BgL_instance4487z00_1700);
								{
									obj_t BgL_auxz00_1863;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_auxz00_1864;

										BgL_auxz00_1864 =
											(BgL_objectz00_bglt) (BgL_obj3868z00_1667);
										BgL_auxz00_1863 = BGL_OBJECT_WIDENING(BgL_auxz00_1864);
									}
									BgL_arg4645z00_1590 =
										(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
											CREF(BgL_auxz00_1863))->BgL_approxz00);
								}
							}
							{	/* Cfa/box.scm 105 */
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_obj3768z00_1668;

								BgL_obj3768z00_1668 =
									(BgL_makezd2boxzf2ozd2cinfozf2_bglt) (BgL_boxz00_1586);
								{
									obj_t BgL_auxz00_1869;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_auxz00_1870;

										BgL_auxz00_1870 =
											(BgL_objectz00_bglt) (BgL_obj3768z00_1668);
										BgL_auxz00_1869 = BGL_OBJECT_WIDENING(BgL_auxz00_1870);
									}
									BgL_arg4646z00_1591 =
										(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
											CREF(BgL_auxz00_1869))->BgL_valuezd2approxzd2);
								}
							}
							{	/* Cfa/box.scm 105 */
								BgL_approxz00_bglt BgL_auxz00_1874;

								BgL_auxz00_1874 =
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4645z00_1590,
									BgL_arg4646z00_1591);
								return (obj_t) (BgL_auxz00_1874);
							}
						}
					else
						{	/* Cfa/box.scm 103 */
							if (BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_1586,
									BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00))
								{	/* Cfa/box.scm 106 */
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string4671z00zzcfa_boxz00,
										BGl_string4672z00zzcfa_boxz00,
										BGl_shapez00zztools_shapez00(BgL_nodez00_1699));
								}
							else
								{	/* Cfa/box.scm 106 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* cfa!-make-box/O-Cinf4504 */
	obj_t BGl_cfaz12zd2makezd2boxzf2Ozd2Cinf4504z32zzcfa_boxz00(obj_t
		BgL_envz00_1702, obj_t BgL_nodez00_1703)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 87 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_nodez00_1571;

				{	/* Cfa/box.scm 88 */
					BgL_approxz00_bglt BgL_auxz00_1881;

					BgL_nodez00_1571 =
						(BgL_makezd2boxzf2ozd2cinfozf2_bglt) (BgL_nodez00_1703);
					{	/* Cfa/box.scm 90 */
						BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_1575;

						{	/* Cfa/box.scm 90 */
							BgL_nodez00_bglt BgL_arg4640z00_1577;

							{	/* Cfa/box.scm 90 */
								BgL_makezd2boxzd2_bglt BgL_obj2939z00_1662;

								BgL_obj2939z00_1662 =
									(BgL_makezd2boxzd2_bglt) (BgL_nodez00_1571);
								BgL_arg4640z00_1577 =
									(((BgL_makezd2boxzd2_bglt) CREF(BgL_obj2939z00_1662))->
									BgL_valuez00);
							}
							BgL_initzd2valuezd2approxz00_1575 =
								BGl_cfaz12z12zzcfa_cfaz00(BgL_arg4640z00_1577);
						}
						{	/* Cfa/box.scm 91 */
							BgL_approxz00_bglt BgL_arg4639z00_1576;

							{
								obj_t BgL_auxz00_1885;

								{	/* Cfa/box.scm 91 */
									BgL_objectz00_bglt BgL_auxz00_1886;

									BgL_auxz00_1886 = (BgL_objectz00_bglt) (BgL_nodez00_1571);
									BgL_auxz00_1885 = BGL_OBJECT_WIDENING(BgL_auxz00_1886);
								}
								BgL_arg4639z00_1576 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										CREF(BgL_auxz00_1885))->BgL_valuezd2approxzd2);
							}
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4639z00_1576,
								BgL_initzd2valuezd2approxz00_1575);
						}
						{
							obj_t BgL_auxz00_1891;

							{	/* Cfa/box.scm 92 */
								BgL_objectz00_bglt BgL_auxz00_1892;

								BgL_auxz00_1892 = (BgL_objectz00_bglt) (BgL_nodez00_1571);
								BgL_auxz00_1891 = BGL_OBJECT_WIDENING(BgL_auxz00_1892);
							}
							BgL_auxz00_1881 =
								(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) CREF(BgL_auxz00_1891))->
								BgL_approxz00);
						}
					}
					return (obj_t) (BgL_auxz00_1881);
				}
			}
		}
	}



/* node-setup!-box-ref4502 */
	obj_t BGl_nodezd2setupz12zd2boxzd2ref4502zc0zzcfa_boxz00(obj_t
		BgL_envz00_1704, obj_t BgL_nodez00_1705)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 73 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1554;

				BgL_nodez00_1554 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_1705);
				{	/* Cfa/box.scm 75 */
					BgL_varz00_bglt BgL_arg4629z00_1558;

					BgL_arg4629z00_1558 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1554))->BgL_varz00);
					BGl_nodezd2setupz12zc0zzcfa_setupz00(
						(BgL_nodez00_bglt) (BgL_arg4629z00_1558));
				}
				if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
					{	/* Cfa/box.scm 77 */
						BgL_boxzd2refzd2_bglt BgL_obj4483z00_1560;

						BgL_obj4483z00_1560 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1554);
						{	/* Cfa/box.scm 78 */
							obj_t BgL_arg4631z00_1561;

							{	/* Cfa/box.scm 78 */
								BgL_approxz00_bglt BgL_arg4632z00_1562;

								BgL_arg4632z00_1562 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00(
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
								BgL_arg4631z00_1561 =
									BGl_wideningzd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00
									(BgL_arg4632z00_1562);
							}
							{	/* Cfa/box.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_1908;

								BgL_auxz00_1908 = (BgL_objectz00_bglt) (BgL_obj4483z00_1560);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1908, BgL_arg4631z00_1561);
						}}
						{	/* Cfa/box.scm 77 */
							long BgL_arg4633z00_1563;

							BgL_arg4633z00_1563 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
							{	/* Cfa/box.scm 77 */
								BgL_objectz00_bglt BgL_objz00_1657;

								BgL_objz00_1657 = (BgL_objectz00_bglt) (BgL_obj4483z00_1560);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1657, BgL_arg4633z00_1563);
						}}
						return (obj_t) (BgL_obj4483z00_1560);
					}
				else
					{	/* Cfa/box.scm 76 */
						{	/* Cfa/box.scm 80 */
							BgL_boxzd2refzd2_bglt BgL_obj4484z00_1564;

							BgL_obj4484z00_1564 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1554);
							{	/* Cfa/box.scm 81 */
								obj_t BgL_arg4634z00_1565;

								{	/* Cfa/box.scm 81 */
									BgL_approxz00_bglt BgL_arg4635z00_1566;

									BgL_arg4635z00_1566 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
									BgL_arg4634z00_1565 =
										BGl_wideningzd2boxzd2refzf2Cinfozf2zzcfa_infoz00
										(BgL_arg4635z00_1566);
								}
								{	/* Cfa/box.scm 80 */
									BgL_objectz00_bglt BgL_auxz00_1919;

									BgL_auxz00_1919 = (BgL_objectz00_bglt) (BgL_obj4484z00_1564);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_1919, BgL_arg4634z00_1565);
								}
							}
							{	/* Cfa/box.scm 80 */
								long BgL_arg4636z00_1567;

								BgL_arg4636z00_1567 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
								{	/* Cfa/box.scm 80 */
									BgL_objectz00_bglt BgL_objz00_1659;

									BgL_objz00_1659 = (BgL_objectz00_bglt) (BgL_obj4484z00_1564);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1659,
										BgL_arg4636z00_1567);
							}} BgL_obj4484z00_1564;
						}
						{	/* Cfa/box.scm 82 */
							BgL_approxz00_bglt BgL_arg4637z00_1568;

							{	/* Cfa/box.scm 82 */
								BgL_boxzd2refzf2cinfoz20_bglt BgL_obj3817z00_1661;

								BgL_obj3817z00_1661 =
									(BgL_boxzd2refzf2cinfoz20_bglt) (BgL_nodez00_1554);
								{
									obj_t BgL_auxz00_1926;

									{	/* Cfa/box.scm 82 */
										BgL_objectz00_bglt BgL_auxz00_1927;

										BgL_auxz00_1927 =
											(BgL_objectz00_bglt) (BgL_obj3817z00_1661);
										BgL_auxz00_1926 = BGL_OBJECT_WIDENING(BgL_auxz00_1927);
									}
									BgL_arg4637z00_1568 =
										(((BgL_boxzd2refzf2cinfoz20_bglt) CREF(BgL_auxz00_1926))->
										BgL_approxz00);
							}}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg4637z00_1568);
						}
					}
			}
		}
	}



/* node-setup!-box-set!4500 */
	obj_t BGl_nodezd2setupz12zd2boxzd2setz124500zd2zzcfa_boxz00(obj_t
		BgL_envz00_1706, obj_t BgL_nodez00_1707)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 60 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1537;

				{	/* Cfa/box.scm 61 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_1933;

					BgL_nodez00_1537 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_1707);
					{	/* Cfa/box.scm 62 */
						BgL_varz00_bglt BgL_arg4619z00_1541;

						BgL_arg4619z00_1541 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1537))->BgL_varz00);
						BGl_nodezd2setupz12zc0zzcfa_setupz00(
							(BgL_nodez00_bglt) (BgL_arg4619z00_1541));
					}
					{	/* Cfa/box.scm 63 */
						BgL_nodez00_bglt BgL_arg4620z00_1542;

						BgL_arg4620z00_1542 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1537))->
							BgL_valuez00);
						BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg4620z00_1542);
					}
					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
						{	/* Cfa/box.scm 65 */
							BgL_boxzd2setz12zc0_bglt BgL_obj4479z00_1544;

							BgL_obj4479z00_1544 =
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1537);
							{	/* Cfa/box.scm 66 */
								obj_t BgL_arg4622z00_1545;

								{	/* Cfa/box.scm 66 */
									BgL_approxz00_bglt BgL_arg4623z00_1546;

									BgL_arg4623z00_1546 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00));
									BgL_arg4622z00_1545 =
										BGl_wideningzd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00
										(BgL_arg4623z00_1546);
								}
								{	/* Cfa/box.scm 65 */
									BgL_objectz00_bglt BgL_auxz00_1946;

									BgL_auxz00_1946 = (BgL_objectz00_bglt) (BgL_obj4479z00_1544);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_1946, BgL_arg4622z00_1545);
							}}
							{	/* Cfa/box.scm 65 */
								long BgL_arg4624z00_1547;

								BgL_arg4624z00_1547 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
								{	/* Cfa/box.scm 65 */
									BgL_objectz00_bglt BgL_objz00_1650;

									BgL_objz00_1650 = (BgL_objectz00_bglt) (BgL_obj4479z00_1544);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1650,
										BgL_arg4624z00_1547);
							}}
							BgL_auxz00_1933 = BgL_obj4479z00_1544;
						}
					else
						{	/* Cfa/box.scm 67 */
							BgL_boxzd2setz12zc0_bglt BgL_obj4480z00_1548;

							BgL_obj4480z00_1548 =
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1537);
							{	/* Cfa/box.scm 68 */
								obj_t BgL_arg4625z00_1549;

								{	/* Cfa/box.scm 68 */
									BgL_approxz00_bglt BgL_arg4626z00_1550;

									BgL_arg4626z00_1550 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00));
									BgL_arg4625z00_1549 =
										BGl_wideningzd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00
										(BgL_arg4626z00_1550);
								}
								{	/* Cfa/box.scm 67 */
									BgL_objectz00_bglt BgL_auxz00_1956;

									BgL_auxz00_1956 = (BgL_objectz00_bglt) (BgL_obj4480z00_1548);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_1956, BgL_arg4625z00_1549);
								}
							}
							{	/* Cfa/box.scm 67 */
								long BgL_arg4627z00_1551;

								BgL_arg4627z00_1551 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
								{	/* Cfa/box.scm 67 */
									BgL_objectz00_bglt BgL_objz00_1652;

									BgL_objz00_1652 = (BgL_objectz00_bglt) (BgL_obj4480z00_1548);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1652,
										BgL_arg4627z00_1551);
							}}
							BgL_auxz00_1933 = BgL_obj4480z00_1548;
						}
					return (obj_t) (BgL_auxz00_1933);
				}
			}
		}
	}



/* node-setup!-pre-make4498 */
	obj_t BGl_nodezd2setupz12zd2prezd2make4498zc0zzcfa_boxz00(obj_t
		BgL_envz00_1708, obj_t BgL_nodez00_1709)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 46 */
			{
				BgL_prezd2makezd2boxz00_bglt BgL_nodez00_1518;

				BgL_nodez00_1518 = (BgL_prezd2makezd2boxz00_bglt) (BgL_nodez00_1709);
				{	/* Cfa/box.scm 48 */
					BgL_nodez00_bglt BgL_arg4609z00_1522;

					{	/* Cfa/box.scm 48 */
						BgL_makezd2boxzd2_bglt BgL_obj2939z00_1631;

						BgL_obj2939z00_1631 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_1518);
						BgL_arg4609z00_1522 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_obj2939z00_1631))->
							BgL_valuez00);
					}
					BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg4609z00_1522);
				}
				{	/* Cfa/box.scm 49 */
					BgL_prezd2makezd2boxz00_bglt BgL_nodez00_1523;

					{	/* Cfa/box.scm 49 */
						long BgL_arg4615z00_1532;

						{	/* Cfa/box.scm 49 */
							obj_t BgL_arg4616z00_1533;

							{	/* Cfa/box.scm 49 */
								obj_t BgL_arg4617z00_1534;

								{	/* Cfa/box.scm 49 */
									BgL_objectz00_bglt BgL_objectz00_1632;

									BgL_objectz00_1632 = (BgL_objectz00_bglt) (BgL_nodez00_1518);
									{	/* Cfa/box.scm 49 */
										long BgL_arg2252z00_1633;

										{	/* Cfa/box.scm 49 */
											long BgL_arg2253z00_1634;

											BgL_arg2253z00_1634 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_1632);
											BgL_arg2252z00_1633 = (BgL_arg2253z00_1634 - OBJECT_TYPE);
										}
										BgL_arg4617z00_1534 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg2252z00_1633));
								}}
								BgL_arg4616z00_1533 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg4617z00_1534);
							}
							BgL_arg4615z00_1532 =
								BGl_classzd2numzd2zz__objectz00(BgL_arg4616z00_1533);
						}
						{	/* Cfa/box.scm 49 */
							BgL_objectz00_bglt BgL_objz00_1640;

							BgL_objz00_1640 = (BgL_objectz00_bglt) (BgL_nodez00_1518);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1640, BgL_arg4615z00_1532);
					}}
					{	/* Cfa/box.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_1976;

						BgL_auxz00_1976 = (BgL_objectz00_bglt) (BgL_nodez00_1518);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_1976, BFALSE);
					}
					BgL_nodez00_1523 = BgL_nodez00_1518;
					{	/* Cfa/box.scm 49 */

						{	/* Cfa/box.scm 50 */
							BgL_makezd2boxzd2_bglt BgL_nodez00_1524;

							{	/* Cfa/box.scm 50 */
								BgL_makezd2boxzd2_bglt BgL_obj4476z00_1526;

								BgL_obj4476z00_1526 =
									((BgL_makezd2boxzd2_bglt)
									(BgL_makezd2boxzd2_bglt) (BgL_nodez00_1523));
								{	/* Cfa/box.scm 51 */
									obj_t BgL_arg4611z00_1527;

									{	/* Cfa/box.scm 51 */
										BgL_approxz00_bglt BgL_arg4612z00_1528;
										BgL_approxz00_bglt BgL_arg4613z00_1529;

										BgL_arg4612z00_1528 =
											BGl_makezd2typezd2approxz00zzcfa_approxz00(
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
										BgL_arg4613z00_1529 =
											BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
										BgL_arg4611z00_1527 =
											BGl_wideningzd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00
											(BgL_arg4612z00_1528, BgL_arg4613z00_1529);
									}
									{	/* Cfa/box.scm 50 */
										BgL_objectz00_bglt BgL_auxz00_1985;

										BgL_auxz00_1985 =
											(BgL_objectz00_bglt) (BgL_obj4476z00_1526);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_1985,
											BgL_arg4611z00_1527);
								}}
								{	/* Cfa/box.scm 50 */
									long BgL_arg4614z00_1530;

									BgL_arg4614z00_1530 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
									{	/* Cfa/box.scm 50 */
										BgL_objectz00_bglt BgL_objz00_1642;

										BgL_objz00_1642 =
											(BgL_objectz00_bglt) (BgL_obj4476z00_1526);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1642,
											BgL_arg4614z00_1530);
								}}
								BgL_nodez00_1524 = BgL_obj4476z00_1526;
							}
							{	/* Cfa/box.scm 55 */
								BgL_approxz00_bglt BgL_arg4610z00_1525;

								BgL_arg4610z00_1525 =
									BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
									(BgL_nodez00_bglt) (BgL_nodez00_1524));
								{	/* Cfa/box.scm 53 */
									BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_obj3767z00_1644;
									BgL_approxz00_bglt BgL_val3766z00_1645;

									BgL_obj3767z00_1644 =
										(BgL_makezd2boxzf2ozd2cinfozf2_bglt) (BgL_nodez00_1524);
									BgL_val3766z00_1645 = BgL_arg4610z00_1525;
									{
										obj_t BgL_auxz00_1995;

										{	/* Cfa/box.scm 53 */
											BgL_objectz00_bglt BgL_auxz00_1996;

											BgL_auxz00_1996 =
												(BgL_objectz00_bglt) (BgL_obj3767z00_1644);
											BgL_auxz00_1995 = BGL_OBJECT_WIDENING(BgL_auxz00_1996);
										}
										return
											((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
													CREF(BgL_auxz00_1995))->BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_val3766z00_1645), BUNSPEC);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* node-setup!-make-box4496 */
	obj_t BGl_nodezd2setupz12zd2makezd2box4496zc0zzcfa_boxz00(obj_t
		BgL_envz00_1710, obj_t BgL_nodez00_1711)
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 36 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1506;

				BgL_nodez00_1506 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_1711);
				{	/* Cfa/box.scm 38 */
					BgL_nodez00_bglt BgL_arg4603z00_1510;

					BgL_arg4603z00_1510 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1506))->BgL_valuez00);
					BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg4603z00_1510);
				}
				{	/* Cfa/box.scm 39 */
					BgL_makezd2boxzd2_bglt BgL_obj4472z00_1511;

					BgL_obj4472z00_1511 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_1506);
					{	/* Cfa/box.scm 40 */
						obj_t BgL_arg4604z00_1512;

						{	/* Cfa/box.scm 40 */
							BgL_approxz00_bglt BgL_arg4605z00_1513;

							BgL_arg4605z00_1513 =
								BGl_makezd2typezd2approxz00zzcfa_approxz00(
								(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
							BgL_arg4604z00_1512 =
								BGl_wideningzd2makezd2boxzf2Cinfozf2zzcfa_infoz00
								(BgL_arg4605z00_1513);
						}
						{	/* Cfa/box.scm 39 */
							BgL_objectz00_bglt BgL_auxz00_2007;

							BgL_auxz00_2007 = (BgL_objectz00_bglt) (BgL_obj4472z00_1511);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2007, BgL_arg4604z00_1512);
						}
					}
					{	/* Cfa/box.scm 39 */
						long BgL_arg4606z00_1514;

						BgL_arg4606z00_1514 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
						{	/* Cfa/box.scm 39 */
							BgL_objectz00_bglt BgL_objz00_1628;

							BgL_objz00_1628 = (BgL_objectz00_bglt) (BgL_obj4472z00_1511);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1628, BgL_arg4606z00_1514);
					}} BgL_obj4472z00_1511;
				}
				{	/* Cfa/box.scm 41 */
					BgL_approxz00_bglt BgL_arg4607z00_1515;

					{	/* Cfa/box.scm 41 */
						BgL_makezd2boxzf2cinfoz20_bglt BgL_obj3735z00_1630;

						BgL_obj3735z00_1630 =
							(BgL_makezd2boxzf2cinfoz20_bglt) (BgL_nodez00_1506);
						{
							obj_t BgL_auxz00_2014;

							{	/* Cfa/box.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_2015;

								BgL_auxz00_2015 = (BgL_objectz00_bglt) (BgL_obj3735z00_1630);
								BgL_auxz00_2014 = BGL_OBJECT_WIDENING(BgL_auxz00_2015);
							}
							BgL_arg4607z00_1515 =
								(((BgL_makezd2boxzf2cinfoz20_bglt) CREF(BgL_auxz00_2014))->
								BgL_approxz00);
					}}
					return
						BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg4607z00_1515);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00()
	{
		AN_OBJECT;
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 416995938),
				BSTRING_TO_STRING(BGl_string4673z00zzcfa_boxz00));
		}
	}

#ifdef __cplusplus
}
#endif
