/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	static obj_t BGl__addzd2funcallz12zc0zzcfa_closurez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_startzd2cachezd2zzcfa_closurez00();
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 =
		BUNSPEC;
	static obj_t BGl__approxzd2procedurezd2el4783z00zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl__approxzd2procedurezd2el4784z00zzcfa_closurez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl__closurezd2optimiza7atio4782z75zzcfa_closurez00(obj_t,
		obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl__addzd2procedurezd2refz12z12zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	static obj_t BGl_zc3anonymousza34541ze3z83zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_zc3anonymousza34546ze3z83zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl__addzd2makezd2procedurez12z12zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	extern obj_t BGl_scnstz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_stopzd2cachezd2zzcfa_closurez00();
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00(obj_t);
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2el1zf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t __cnst[21];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl__approxza7d2proced4793za7,
		BGl__approxzd2procedurezd2el4783z00zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4785z00zzcfa_closurez00,
		BgL_bgl_string4785za700za7za7c4794za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string4786z00zzcfa_closurez00,
		BgL_bgl_string4786za700za7za7c4795za7, ": ", 2);
	      DEFINE_STRING(BGl_string4787z00zzcfa_closurez00,
		BgL_bgl_string4787za700za7za7c4796za7, "     ", 5);
	      DEFINE_STRING(BGl_string4788z00zzcfa_closurez00,
		BgL_bgl_string4788za700za7za7c4797za7, "        ", 8);
	      DEFINE_STRING(BGl_string4790z00zzcfa_closurez00,
		BgL_bgl_string4790za700za7za7c4798za7,
		"make-l-procedure make-el-procedure-1 make-el-procedure procedure-1-el-set! procedure-1-el-ref procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X light elight nothing-to-do selfun sefun done ok ",
		251);
	      DEFINE_STRING(BGl_string4789z00zzcfa_closurez00,
		BgL_bgl_string4789za700za7za7c4799za7, "cfa_closure", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl__addza7d2procedure4800za7,
		BGl__addzd2procedurezd2refz12z12zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl__closureza7d2optim4801za7,
		BGl__closurezd2optimiza7atio4782z75zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl__addza7d2funcallza714802z00,
		BGl__addzd2funcallz12zc0zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl__closureza7d2optim4803za7,
		BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl__addza7d2makeza7d2pr4804z00,
		BGl__addzd2makezd2procedurez12z12zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2el1zf3zd2envz21zzcfa_closurez00,
		BgL_bgl__approxza7d2proced4805za7,
		BGl__approxzd2procedurezd2el4784z00zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_2049, char *BgL_fromz00_2050)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_2041;

				BgL_cportz00_2041 =
					bgl_open_input_string(BGl_string4790z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2042;

					BgL_iz00_2042 = ((long) 20);
				BgL_loopz00_2043:
					if ((BgL_iz00_2042 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg4792z00_2045;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_2047;

										BgL_locationz00_2047 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg4792z00_2045 =
												BGl_readz00zz__readerz00(BgL_cportz00_2041,
												BgL_locationz00_2047);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_2066;

									BgL_auxz00_2066 = (int) (BgL_iz00_2042);
									CNST_TABLE_SET(BgL_auxz00_2066, BgL_arg4792z00_2045);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_2048;

								BgL_auxz00_2048 = (int) ((BgL_iz00_2042 - ((long) 1)));
								{
									long BgL_iz00_2071;

									BgL_iz00_2071 = (long) (BgL_auxz00_2048);
									BgL_iz00_2042 = BgL_iz00_2071;
									goto BgL_loopz00_2043;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 52 */
			{	/* Cfa/closure.scm 53 */
				long BgL_n1z00_1780;

				BgL_n1z00_1780 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_1780 >= ((long) 2)));
		}}
	}



/* _closure-optimization? */
	obj_t BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00(obj_t
		BgL_envz00_2022)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 52 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 58 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 59 */
					{	/* Cfa/closure.scm 61 */
						obj_t BgL_list4521z00_984;

						{	/* Cfa/closure.scm 61 */
							obj_t BgL_arg4523z00_986;

							BgL_arg4523z00_986 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list4521z00_984 =
								MAKE_PAIR(BGl_string4785z00zzcfa_closurez00,
								BgL_arg4523z00_986);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list4521z00_984);
					}
					BGl_startzd2cachezd2zzcfa_closurez00();
					{
						obj_t BgL_l4502z00_987;

						BgL_l4502z00_987 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_forzd2each4504zd2_988:
						if (PAIRP(BgL_l4502z00_987))
							{	/* Cfa/closure.scm 70 */
								{	/* Cfa/closure.scm 72 */
									obj_t BgL_appz00_990;

									BgL_appz00_990 = CAR(BgL_l4502z00_987);
									{	/* Cfa/closure.scm 73 */
										BgL_variablez00_bglt BgL_funz00_992;
										bool_t BgL_lostzf3zf3_993;
										obj_t BgL_siza7eza7_994;

										{	/* Cfa/closure.scm 73 */
											BgL_varz00_bglt BgL_obj1929z00_1788;

											{	/* Cfa/closure.scm 73 */
												obj_t BgL_auxz00_2089;

												{	/* Cfa/closure.scm 73 */
													obj_t BgL_pairz00_1787;

													{	/* Cfa/closure.scm 73 */
														BgL_appz00_bglt BgL_obj2026z00_1786;

														BgL_obj2026z00_1786 =
															(BgL_appz00_bglt) (BgL_appz00_990);
														BgL_pairz00_1787 =
															(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1786))->
															BgL_argsz00);
													}
													BgL_auxz00_2089 = CAR(BgL_pairz00_1787);
												}
												BgL_obj1929z00_1788 =
													(BgL_varz00_bglt) (BgL_auxz00_2089);
											}
											BgL_funz00_992 =
												(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1788))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 74 */
											long BgL_auxz00_2095;

											{	/* Cfa/closure.scm 74 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4079z00_1789;

												BgL_obj4079z00_1789 =
													(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_990);
												{
													obj_t BgL_auxz00_2097;

													{	/* Cfa/closure.scm 74 */
														BgL_objectz00_bglt BgL_auxz00_2098;

														BgL_auxz00_2098 =
															(BgL_objectz00_bglt) (BgL_obj4079z00_1789);
														BgL_auxz00_2097 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2098);
													}
													BgL_auxz00_2095 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2097))->BgL_lostzd2stampzd2);
											}}
											BgL_lostzf3zf3_993 = (BgL_auxz00_2095 > ((long) -1));
										}
										{	/* Cfa/closure.scm 75 */
											obj_t BgL_arg4536z00_1006;

											{	/* Cfa/closure.scm 75 */
												obj_t BgL_pairz00_1793;

												{	/* Cfa/closure.scm 75 */
													BgL_appz00_bglt BgL_obj2026z00_1792;

													BgL_obj2026z00_1792 =
														(BgL_appz00_bglt) (BgL_appz00_990);
													BgL_pairz00_1793 =
														(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1792))->
														BgL_argsz00);
												}
												BgL_arg4536z00_1006 = CAR(CDR(CDR(BgL_pairz00_1793)));
											}
											BgL_siza7eza7_994 =
												BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
												(BgL_nodez00_bglt) (BgL_arg4536z00_1006));
										}
										{	/* Cfa/closure.scm 77 */
											bool_t BgL_testz00_2110;

											if (BgL_lostzf3zf3_993)
												{	/* Cfa/closure.scm 77 */
													BgL_testz00_2110 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 78 */
													bool_t BgL_testz00_2112;

													{	/* Cfa/closure.scm 78 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4082z00_1799;
														BgL_obj4082z00_1799 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_990);
														{
															obj_t BgL_auxz00_2114;

															{	/* Cfa/closure.scm 78 */
																BgL_objectz00_bglt BgL_auxz00_2115;

																BgL_auxz00_2115 =
																	(BgL_objectz00_bglt) (BgL_obj4082z00_1799);
																BgL_auxz00_2114 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2115);
															}
															BgL_testz00_2112 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2114))->BgL_xzd2tzf3z21);
														}
													}
													if (BgL_testz00_2112)
														{	/* Cfa/closure.scm 79 */
															bool_t BgL_testz00_2119;

															{	/* Cfa/closure.scm 79 */
																long BgL_auxz00_2120;

																{	/* Cfa/closure.scm 79 */
																	BgL_funz00_bglt BgL_obj1588z00_1801;

																	{	/* Cfa/closure.scm 79 */
																		BgL_valuez00_bglt BgL_auxz00_2121;

																		BgL_auxz00_2121 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_funz00_992))->BgL_valuez00);
																		BgL_obj1588z00_1801 =
																			(BgL_funz00_bglt) (BgL_auxz00_2121);
																	}
																	BgL_auxz00_2120 =
																		(((BgL_funz00_bglt)
																			CREF(BgL_obj1588z00_1801))->BgL_arityz00);
																}
																BgL_testz00_2119 =
																	(BgL_auxz00_2120 < ((long) 0));
															}
															if (BgL_testz00_2119)
																{	/* Cfa/closure.scm 79 */
																	BgL_testz00_2110 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 79 */
																	if (INTEGERP(BgL_siza7eza7_994))
																		{	/* Cfa/closure.scm 80 */
																			BgL_testz00_2110 =
																				(
																				(long) CINT(BgL_siza7eza7_994) ==
																				((long) 0));
																		}
																	else
																		{	/* Cfa/closure.scm 80 */
																			BgL_testz00_2110 = ((bool_t) 1);
																		}
																}
														}
													else
														{	/* Cfa/closure.scm 78 */
															BgL_testz00_2110 = ((bool_t) 1);
														}
												}
											if (BgL_testz00_2110)
												{	/* Cfa/closure.scm 77 */
													BNIL;
												}
											else
												{	/* Cfa/closure.scm 77 */
													{	/* Cfa/closure.scm 88 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4089z00_1807;
														bool_t BgL_val4086z00_1808;

														BgL_obj4089z00_1807 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_990);
														BgL_val4086z00_1808 = ((bool_t) 1);
														{
															obj_t BgL_auxz00_2131;

															{	/* Cfa/closure.scm 88 */
																BgL_objectz00_bglt BgL_auxz00_2132;

																BgL_auxz00_2132 =
																	(BgL_objectz00_bglt) (BgL_obj4089z00_1807);
																BgL_auxz00_2131 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2132);
															}
															((((BgL_makezd2procedurezd2appz00_bglt)
																		CREF(BgL_auxz00_2131))->BgL_xz00) =
																((bool_t) BgL_val4086z00_1808), BUNSPEC);
														}
													}
													{	/* Cfa/closure.scm 89 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4092z00_1809;
														bool_t BgL_val4091z00_1810;

														BgL_obj4092z00_1809 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_990);
														BgL_val4091z00_1810 = ((bool_t) 1);
														{
															obj_t BgL_auxz00_2137;

															{	/* Cfa/closure.scm 89 */
																BgL_objectz00_bglt BgL_auxz00_2138;

																BgL_auxz00_2138 =
																	(BgL_objectz00_bglt) (BgL_obj4092z00_1809);
																BgL_auxz00_2137 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2138);
															}
															((((BgL_makezd2procedurezd2appz00_bglt)
																		CREF(BgL_auxz00_2137))->BgL_tz00) =
																((bool_t) BgL_val4091z00_1810), BUNSPEC);
														}
													}
												}
										}
									}
								}
								{
									obj_t BgL_l4502z00_2142;

									BgL_l4502z00_2142 = CDR(BgL_l4502z00_987);
									BgL_l4502z00_987 = BgL_l4502z00_2142;
									goto BgL_forzd2each4504zd2_988;
								}
							}
						else
							{	/* Cfa/closure.scm 70 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_1);
					return BGl_stopzd2cachezd2zzcfa_closurez00();
				}
			else
				{	/* Cfa/closure.scm 59 */
					return BFALSE;
				}
		}
	}



/* _closure-optimizatio4782 */
	obj_t BGl__closurezd2optimiza7atio4782z75zzcfa_closurez00(obj_t
		BgL_envz00_2023, obj_t BgL_globalsz00_2024)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 58 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_2024);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_2)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 120 */
			{
				obj_t BgL_l4505z00_1009;

				BgL_l4505z00_1009 = BgL_funcallzd2listzd2_2;
			BgL_forzd2each4506zd2_1010:
				if (PAIRP(BgL_l4505z00_1009))
					{	/* Cfa/closure.scm 122 */
						{	/* Cfa/closure.scm 158 */
							BgL_funcallz00_bglt BgL_appz00_1012;

							{	/* Cfa/closure.scm 158 */
								obj_t BgL_pairz00_1814;

								BgL_pairz00_1814 = BgL_l4505z00_1009;
								{	/* Cfa/closure.scm 158 */
									obj_t BgL_auxz00_2155;

									BgL_auxz00_2155 = CAR(BgL_pairz00_1814);
									BgL_appz00_1012 = (BgL_funcallz00_bglt) (BgL_auxz00_2155);
								}
							}
							{	/* Cfa/closure.scm 124 */
								BgL_nodez00_bglt BgL_funz00_1013;

								BgL_funz00_1013 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_1012))->BgL_funz00);
								{	/* Cfa/closure.scm 124 */
									BgL_approxz00_bglt BgL_approxz00_1014;

									BgL_approxz00_1014 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1013);
									{	/* Cfa/closure.scm 125 */
										obj_t BgL_allocz00_1015;

										BgL_allocz00_1015 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_1014))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 126 */
											BgL_typez00_bglt BgL_typez00_1016;

											BgL_typez00_1016 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_1014))->
												BgL_typez00);
											{	/* Cfa/closure.scm 127 */
												bool_t BgL_topzf3zf3_1017;

												BgL_topzf3zf3_1017 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_1014))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 128 */

													if (BgL_topzf3zf3_1017)
														{	/* Cfa/closure.scm 130 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(make_fx_procedure
																(BGl_zc3anonymousza34541ze3z83zzcfa_closurez00,
																	(int) (((long) 1)), (int) (((long) 0))),
																BgL_approxz00_1014);
														}
													else
														{	/* Cfa/closure.scm 141 */
															bool_t BgL_testz00_2168;

															{	/* Cfa/closure.scm 141 */
																obj_t BgL_arg4551z00_1034;

																BgL_arg4551z00_1034 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_1015);
																BgL_testz00_2168 =
																	((long) CINT(BgL_arg4551z00_1034) ==
																	((long) 0));
															}
															if (BgL_testz00_2168)
																{	/* Cfa/closure.scm 141 */
																	CNST_TABLE_REF(((long) 0));
																}
															else
																{	/* Cfa/closure.scm 144 */
																	bool_t BgL_testz00_2173;

																	{	/* Cfa/closure.scm 144 */
																		bool_t BgL_testz00_2174;

																		{	/* Cfa/closure.scm 144 */
																			obj_t BgL_arg4549z00_1032;

																			BgL_arg4549z00_1032 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_1015);
																			BgL_testz00_2174 =
																				((long) CINT(BgL_arg4549z00_1032) ==
																				((long) 1));
																		}
																		if (BgL_testz00_2174)
																			{	/* Cfa/closure.scm 145 */
																				obj_t BgL__ortest_4472z00_1031;

																				BgL__ortest_4472z00_1031 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_4472z00_1031))
																					{	/* Cfa/closure.scm 145 */
																						BgL_testz00_2173 =
																							CBOOL(BgL__ortest_4472z00_1031);
																					}
																				else
																					{	/* Cfa/closure.scm 145 */
																						BgL_testz00_2173 =
																							(
																							(obj_t) (BgL_typez00_1016) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 144 */
																				BgL_testz00_2173 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_2173)
																		{	/* Cfa/closure.scm 144 */
																			CNST_TABLE_REF(((long) 0));
																		}
																	else
																		{	/* Cfa/closure.scm 144 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(make_fx_procedure
																				(BGl_zc3anonymousza34546ze3z83zzcfa_closurez00,
																					(int) (((long) 1)),
																					(int) (((long) 0))),
																				BgL_approxz00_1014);
						}}}}}}}}}}
						{
							obj_t BgL_l4505z00_2188;

							BgL_l4505z00_2188 = CDR(BgL_l4505z00_1009);
							BgL_l4505z00_1009 = BgL_l4505z00_2188;
							goto BgL_forzd2each4506zd2_1010;
						}
					}
				else
					{	/* Cfa/closure.scm 122 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* <anonymous:4541> */
	obj_t BGl_zc3anonymousza34541ze3z83zzcfa_closurez00(obj_t BgL_envz00_2027,
		obj_t BgL_allocz00_2028)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 133 */
			{
				obj_t BgL_allocz00_1019;

				BgL_allocz00_1019 = BgL_allocz00_2028;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1019,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 138 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4092z00_1820;
							bool_t BgL_val4091z00_1821;

							BgL_obj4092z00_1820 =
								(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1019);
							BgL_val4091z00_1821 = ((bool_t) 0);
							{
								obj_t BgL_auxz00_2193;

								{	/* Cfa/closure.scm 138 */
									BgL_objectz00_bglt BgL_auxz00_2194;

									BgL_auxz00_2194 = (BgL_objectz00_bglt) (BgL_obj4092z00_1820);
									BgL_auxz00_2193 = BGL_OBJECT_WIDENING(BgL_auxz00_2194);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2193))->
										BgL_tz00) = ((bool_t) BgL_val4091z00_1821), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 139 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4089z00_1822;
							bool_t BgL_val4086z00_1823;

							BgL_obj4089z00_1822 =
								(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1019);
							BgL_val4086z00_1823 = ((bool_t) 0);
							{
								obj_t BgL_auxz00_2199;

								{	/* Cfa/closure.scm 139 */
									BgL_objectz00_bglt BgL_auxz00_2200;

									BgL_auxz00_2200 = (BgL_objectz00_bglt) (BgL_obj4089z00_1822);
									BgL_auxz00_2199 = BGL_OBJECT_WIDENING(BgL_auxz00_2200);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2199))->BgL_xz00) =
									((bool_t) BgL_val4086z00_1823), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return BFALSE;
					}
			}
		}
	}



/* <anonymous:4546> */
	obj_t BGl_zc3anonymousza34546ze3z83zzcfa_closurez00(obj_t BgL_envz00_2029,
		obj_t BgL_allocz00_2030)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 152 */
			{
				obj_t BgL_allocz00_1026;

				BgL_allocz00_1026 = BgL_allocz00_2030;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1026,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 153 */
						{	/* Cfa/closure.scm 157 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4089z00_1829;
							bool_t BgL_val4086z00_1830;

							BgL_obj4089z00_1829 =
								(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1026);
							BgL_val4086z00_1830 = ((bool_t) 0);
							{
								obj_t BgL_auxz00_2207;

								{	/* Cfa/closure.scm 157 */
									BgL_objectz00_bglt BgL_auxz00_2208;

									BgL_auxz00_2208 = (BgL_objectz00_bglt) (BgL_obj4089z00_1829);
									BgL_auxz00_2207 = BGL_OBJECT_WIDENING(BgL_auxz00_2208);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2207))->BgL_xz00) =
									((bool_t) BgL_val4086z00_1830), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 153 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 170 */
			{
				bool_t BgL_continuezf3zf3_1037;

				BgL_continuezf3zf3_1037 = ((bool_t) 1);
			BgL_loopz00_1038:
				if (BgL_continuezf3zf3_1037)
					{	/* Cfa/closure.scm 175 */
						bool_t BgL_continuezf3zf3_1039;

						BgL_continuezf3zf3_1039 = ((bool_t) 0);
						{
							obj_t BgL_l4509z00_1040;

							BgL_l4509z00_1040 = BgL_funcallzd2listzd2_3;
						BgL_forzd2each4510zd2_1041:
							if (PAIRP(BgL_l4509z00_1040))
								{	/* Cfa/closure.scm 176 */
									{	/* Cfa/closure.scm 212 */
										obj_t BgL_appz00_1043;

										BgL_appz00_1043 = CAR(BgL_l4509z00_1040);
										{	/* Cfa/closure.scm 179 */
											BgL_nodez00_bglt BgL_funz00_1044;

											{	/* Cfa/closure.scm 179 */
												BgL_funcallz00_bglt BgL_obj2090z00_1834;

												BgL_obj2090z00_1834 =
													(BgL_funcallz00_bglt) (BgL_appz00_1043);
												BgL_funz00_1044 =
													(((BgL_funcallz00_bglt) CREF(BgL_obj2090z00_1834))->
													BgL_funz00);
											}
											{	/* Cfa/closure.scm 179 */
												BgL_approxz00_bglt BgL_approxz00_1045;

												BgL_approxz00_1045 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1044);
												{	/* Cfa/closure.scm 180 */
													obj_t BgL_allocz00_1046;

													{	/* Cfa/closure.scm 181 */
														obj_t BgL_arg4568z00_1070;

														BgL_arg4568z00_1070 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_1045))->
															BgL_allocsz00);
														BgL_allocz00_1046 =
															BGl_setzd2ze3listz31zzcfa_setz00
															(BgL_arg4568z00_1070);
													}
													{	/* Cfa/closure.scm 181 */
														BgL_typez00_bglt BgL_typez00_1047;

														BgL_typez00_1047 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_1045))->
															BgL_typez00);
														{	/* Cfa/closure.scm 182 */
															bool_t BgL_tzd2initzf3z21_1048;

															{	/* Cfa/closure.scm 183 */
																bool_t BgL__ortest_4473z00_1067;

																BgL__ortest_4473z00_1067 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_1045))->BgL_topzf3zf3);
																if (BgL__ortest_4473z00_1067)
																	{	/* Cfa/closure.scm 183 */
																		BgL_tzd2initzf3z21_1048 =
																			BgL__ortest_4473z00_1067;
																	}
																else
																	{	/* Cfa/closure.scm 184 */
																		bool_t BgL_testz00_2224;

																		if (
																			((obj_t) (BgL_typez00_1047) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 184 */
																				BgL_testz00_2224 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 184 */
																				BgL_testz00_2224 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_2224)
																			{	/* Cfa/closure.scm 184 */
																				BgL_tzd2initzf3z21_1048 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 184 */
																				BgL_tzd2initzf3z21_1048 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 183 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_1049;
																	obj_t BgL_allocsz00_1050;

																	BgL_onezd2nonzd2tzf3zf3_1049 =
																		BgL_tzd2initzf3z21_1048;
																	BgL_allocsz00_1050 = BgL_allocz00_1046;
																BgL_loopz00_1051:
																	if (NULLP(BgL_allocsz00_1050))
																		{	/* Cfa/closure.scm 192 */
																			CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Cfa/closure.scm 192 */
																			if (BgL_onezd2nonzd2tzf3zf3_1049)
																				{
																					obj_t BgL_l4507z00_1053;

																					{	/* Cfa/closure.scm 195 */
																						bool_t BgL_auxz00_2233;

																						BgL_l4507z00_1053 =
																							BgL_allocz00_1046;
																					BgL_forzd2each4508zd2_1054:
																						if (PAIRP(BgL_l4507z00_1053))
																							{	/* Cfa/closure.scm 195 */
																								{	/* Cfa/closure.scm 197 */
																									obj_t BgL_allocz00_1056;

																									BgL_allocz00_1056 =
																										CAR(BgL_l4507z00_1053);
																									if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1056, BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 199 */
																											bool_t BgL_testz00_2239;

																											{	/* Cfa/closure.scm 199 */
																												BgL_makezd2procedurezd2appz00_bglt
																													BgL_obj4090z00_1842;
																												BgL_obj4090z00_1842 =
																													(BgL_makezd2procedurezd2appz00_bglt)
																													(BgL_allocz00_1056);
																												{
																													obj_t BgL_auxz00_2241;

																													{	/* Cfa/closure.scm 199 */
																														BgL_objectz00_bglt
																															BgL_auxz00_2242;
																														BgL_auxz00_2242 =
																															(BgL_objectz00_bglt)
																															(BgL_obj4090z00_1842);
																														BgL_auxz00_2241 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_2242);
																													}
																													BgL_testz00_2239 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2241))->BgL_tz00);
																												}
																											}
																											if (BgL_testz00_2239)
																												{	/* Cfa/closure.scm 199 */
																													{	/* Cfa/closure.scm 201 */
																														BgL_makezd2procedurezd2appz00_bglt
																															BgL_obj4092z00_1843;
																														bool_t
																															BgL_val4091z00_1844;
																														BgL_obj4092z00_1843
																															=
																															(BgL_makezd2procedurezd2appz00_bglt)
																															(BgL_allocz00_1056);
																														BgL_val4091z00_1844
																															= ((bool_t) 0);
																														{
																															obj_t
																																BgL_auxz00_2247;
																															{	/* Cfa/closure.scm 201 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_2248;
																																BgL_auxz00_2248
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_obj4092z00_1843);
																																BgL_auxz00_2247
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_2248);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2247))->BgL_tz00) = ((bool_t) BgL_val4091z00_1844), BUNSPEC);
																														}
																													}
																													BgL_continuezf3zf3_1039
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/closure.scm 199 */
																													BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/closure.scm 197 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l4507z00_2252;

																									BgL_l4507z00_2252 =
																										CDR(BgL_l4507z00_1053);
																									BgL_l4507z00_1053 =
																										BgL_l4507z00_2252;
																									goto
																										BgL_forzd2each4508zd2_1054;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 195 */
																								BgL_auxz00_2233 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_2233);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 204 */
																					bool_t BgL_testz00_2255;

																					{	/* Cfa/closure.scm 204 */
																						obj_t BgL_arg4564z00_1066;

																						BgL_arg4564z00_1066 =
																							CAR(BgL_allocsz00_1050);
																						BgL_testz00_2255 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg4564z00_1066,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_2255)
																						{	/* Cfa/closure.scm 205 */
																							obj_t BgL_instance4476z00_1062;

																							BgL_instance4476z00_1062 =
																								CAR(BgL_allocsz00_1050);
																							{	/* Cfa/closure.scm 206 */
																								bool_t BgL_testz00_2259;

																								{	/* Cfa/closure.scm 206 */
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_obj4090z00_1849;
																									BgL_obj4090z00_1849 =
																										(BgL_makezd2procedurezd2appz00_bglt)
																										(BgL_instance4476z00_1062);
																									{
																										obj_t BgL_auxz00_2261;

																										{	/* Cfa/closure.scm 206 */
																											BgL_objectz00_bglt
																												BgL_auxz00_2262;
																											BgL_auxz00_2262 =
																												(BgL_objectz00_bglt)
																												(BgL_obj4090z00_1849);
																											BgL_auxz00_2261 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_2262);
																										}
																										BgL_testz00_2259 =
																											(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2261))->BgL_tz00);
																									}
																								}
																								if (BgL_testz00_2259)
																									{
																										obj_t BgL_allocsz00_2266;

																										BgL_allocsz00_2266 =
																											CDR(BgL_allocsz00_1050);
																										BgL_allocsz00_1050 =
																											BgL_allocsz00_2266;
																										goto BgL_loopz00_1051;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_2268;
																										BgL_onezd2nonzd2tzf3zf3_2268
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_1049
																											=
																											BgL_onezd2nonzd2tzf3zf3_2268;
																										goto BgL_loopz00_1051;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 204 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_2271;

																									BgL_allocsz00_2271 =
																										CDR(BgL_allocsz00_1050);
																									BgL_allocsz00_1050 =
																										BgL_allocsz00_2271;
																									goto BgL_loopz00_1051;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_2273;
																									BgL_onezd2nonzd2tzf3zf3_2273 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_1049 =
																										BgL_onezd2nonzd2tzf3zf3_2273;
																									goto BgL_loopz00_1051;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l4509z00_2274;

										BgL_l4509z00_2274 = CDR(BgL_l4509z00_1040);
										BgL_l4509z00_1040 = BgL_l4509z00_2274;
										goto BgL_forzd2each4510zd2_1041;
									}
								}
							else
								{	/* Cfa/closure.scm 176 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_2276;

							BgL_continuezf3zf3_2276 = BgL_continuezf3zf3_1039;
							BgL_continuezf3zf3_1037 = BgL_continuezf3zf3_2276;
							goto BgL_loopz00_1038;
						}
					}
				else
					{	/* Cfa/closure.scm 173 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 241 */
			{
				obj_t BgL_appz00_1108;
				obj_t BgL_appz00_1085;

				{
					obj_t BgL_l4511z00_1077;

					BgL_l4511z00_1077 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_forzd2each4512zd2_1078:
					if (PAIRP(BgL_l4511z00_1077))
						{	/* Cfa/closure.scm 273 */
							{	/* Cfa/closure.scm 274 */
								obj_t BgL_appz00_1080;

								BgL_appz00_1080 = CAR(BgL_l4511z00_1077);
								{	/* Cfa/closure.scm 276 */
									bool_t BgL_testz00_2280;

									{	/* Cfa/closure.scm 276 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4085z00_1855;

										BgL_obj4085z00_1855 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1080);
										{
											obj_t BgL_auxz00_2282;

											{	/* Cfa/closure.scm 276 */
												BgL_objectz00_bglt BgL_auxz00_2283;

												BgL_auxz00_2283 =
													(BgL_objectz00_bglt) (BgL_obj4085z00_1855);
												BgL_auxz00_2282 = BGL_OBJECT_WIDENING(BgL_auxz00_2283);
											}
											BgL_testz00_2280 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2282))->BgL_xz00);
										}
									}
									if (BgL_testz00_2280)
										{	/* Cfa/closure.scm 276 */
											BgL_appz00_1108 = BgL_appz00_1080;
											{	/* Cfa/closure.scm 244 */
												obj_t BgL_siza7eza7_1111;

												{	/* Cfa/closure.scm 244 */
													obj_t BgL_arg4609z00_1128;

													{	/* Cfa/closure.scm 244 */
														obj_t BgL_pairz00_1891;

														{	/* Cfa/closure.scm 244 */
															BgL_appz00_bglt BgL_obj2026z00_1890;

															BgL_obj2026z00_1890 =
																(BgL_appz00_bglt) (BgL_appz00_1108);
															BgL_pairz00_1891 =
																(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1890))->
																BgL_argsz00);
														}
														BgL_arg4609z00_1128 =
															CAR(CDR(CDR(BgL_pairz00_1891)));
													}
													BgL_siza7eza7_1111 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														(BgL_nodez00_bglt) (BgL_arg4609z00_1128));
												}
												{	/* Cfa/closure.scm 244 */
													BgL_variablez00_bglt BgL_ffunz00_1112;

													{	/* Cfa/closure.scm 245 */
														BgL_varz00_bglt BgL_obj1929z00_1899;

														{	/* Cfa/closure.scm 245 */
															obj_t BgL_auxz00_2294;

															{	/* Cfa/closure.scm 245 */
																obj_t BgL_pairz00_1898;

																{	/* Cfa/closure.scm 245 */
																	BgL_appz00_bglt BgL_obj2026z00_1897;

																	BgL_obj2026z00_1897 =
																		(BgL_appz00_bglt) (BgL_appz00_1108);
																	BgL_pairz00_1898 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_obj2026z00_1897))->BgL_argsz00);
																}
																BgL_auxz00_2294 = CAR(BgL_pairz00_1898);
															}
															BgL_obj1929z00_1899 =
																(BgL_varz00_bglt) (BgL_auxz00_2294);
														}
														BgL_ffunz00_1112 =
															(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1899))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 245 */
														BgL_valuez00_bglt BgL_sfunz00_1113;

														BgL_sfunz00_1113 =
															(((BgL_variablez00_bglt) CREF(BgL_ffunz00_1112))->
															BgL_valuez00);
														{	/* Cfa/closure.scm 246 */

															if (
																((long) CINT(BgL_siza7eza7_1111) == ((long) 1)))
																{	/* Cfa/closure.scm 248 */
																	{	/* Cfa/closure.scm 249 */
																		bool_t BgL_testz00_2304;

																		{	/* Cfa/closure.scm 249 */
																			bool_t BgL_testz00_2305;

																			{	/* Cfa/closure.scm 249 */
																				obj_t BgL_obj1527z00_1903;

																				BgL_obj1527z00_1903 =
																					(obj_t) (BgL_ffunz00_1112);
																				BgL_testz00_2305 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1527z00_1903,
																					BGl_globalz00zzast_varz00);
																			}
																			if (BgL_testz00_2305)
																				{	/* Cfa/closure.scm 250 */
																					bool_t BgL_testz00_2308;

																					{	/* Cfa/closure.scm 250 */
																						obj_t BgL_arg4604z00_1123;

																						{	/* Cfa/closure.scm 250 */
																							BgL_funz00_bglt
																								BgL_obj1601z00_1904;
																							BgL_obj1601z00_1904 =
																								(BgL_funz00_bglt)
																								(BgL_sfunz00_1113);
																							BgL_arg4604z00_1123 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1601z00_1904))->
																								BgL_thezd2closurezd2);
																						}
																						BgL_testz00_2308 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg4604z00_1123,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_2308)
																						{	/* Cfa/closure.scm 251 */
																							BgL_valuez00_bglt
																								BgL_arg4602z00_1121;
																							{	/* Cfa/closure.scm 251 */
																								BgL_variablez00_bglt
																									BgL_obj1387z00_1907;
																								{	/* Cfa/closure.scm 251 */
																									BgL_funz00_bglt
																										BgL_obj1601z00_1906;
																									BgL_obj1601z00_1906 =
																										(BgL_funz00_bglt)
																										(BgL_sfunz00_1113);
																									{	/* Cfa/closure.scm 251 */
																										obj_t BgL_auxz00_2313;

																										BgL_auxz00_2313 =
																											(((BgL_funz00_bglt)
																												CREF
																												(BgL_obj1601z00_1906))->
																											BgL_thezd2closurezd2);
																										BgL_obj1387z00_1907 =
																											(BgL_variablez00_bglt)
																											(BgL_auxz00_2313);
																									}
																								}
																								BgL_arg4602z00_1121 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1387z00_1907))->
																									BgL_valuez00);
																							}
																							{	/* Cfa/closure.scm 251 */
																								obj_t BgL_obj1824z00_1908;

																								BgL_obj1824z00_1908 =
																									(obj_t) (BgL_arg4602z00_1121);
																								BgL_testz00_2304 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1824z00_1908,
																									BGl_scnstz00zzast_varz00);
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 250 */
																							BgL_testz00_2304 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 249 */
																					BgL_testz00_2304 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2304)
																			{	/* Cfa/closure.scm 252 */
																				BgL_valuez00_bglt BgL_arg4597z00_1116;
																				obj_t BgL_arg4598z00_1117;

																				{	/* Cfa/closure.scm 252 */
																					BgL_variablez00_bglt
																						BgL_obj1387z00_1910;
																					{	/* Cfa/closure.scm 252 */
																						BgL_funz00_bglt BgL_obj1601z00_1909;

																						BgL_obj1601z00_1909 =
																							(BgL_funz00_bglt)
																							(BgL_sfunz00_1113);
																						{	/* Cfa/closure.scm 252 */
																							obj_t BgL_auxz00_2320;

																							BgL_auxz00_2320 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1601z00_1909))->
																								BgL_thezd2closurezd2);
																							BgL_obj1387z00_1910 =
																								(BgL_variablez00_bglt)
																								(BgL_auxz00_2320);
																						}
																					}
																					BgL_arg4597z00_1116 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1387z00_1910))->
																						BgL_valuez00);
																				}
																				BgL_arg4598z00_1117 =
																					CNST_TABLE_REF(((long) 3));
																				{	/* Cfa/closure.scm 252 */
																					BgL_scnstz00_bglt BgL_obj1808z00_1911;
																					obj_t BgL_val1807z00_1912;

																					BgL_obj1808z00_1911 =
																						(BgL_scnstz00_bglt)
																						(BgL_arg4597z00_1116);
																					BgL_val1807z00_1912 =
																						BgL_arg4598z00_1117;
																					((((BgL_scnstz00_bglt)
																								CREF(BgL_obj1808z00_1911))->
																							BgL_classz00) =
																						((obj_t) BgL_val1807z00_1912),
																						BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 249 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 254 */
																		BgL_varz00_bglt BgL_arg4605z00_1124;

																		{	/* Cfa/closure.scm 254 */
																			BgL_appz00_bglt BgL_obj2023z00_1913;

																			BgL_obj2023z00_1913 =
																				(BgL_appz00_bglt) (BgL_appz00_1108);
																			BgL_arg4605z00_1124 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2023z00_1913))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 254 */
																			BgL_varz00_bglt BgL_obj1931z00_1914;
																			BgL_variablez00_bglt BgL_val1930z00_1915;

																			BgL_obj1931z00_1914 = BgL_arg4605z00_1124;
																			BgL_val1930z00_1915 =
																				(BgL_variablez00_bglt)
																				(BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_obj1931z00_1914))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val1930z00_1915), BUNSPEC);
																		}
																	}
																}
															else
																{	/* Cfa/closure.scm 256 */
																	BgL_varz00_bglt BgL_arg4606z00_1125;

																	{	/* Cfa/closure.scm 256 */
																		BgL_appz00_bglt BgL_obj2023z00_1916;

																		BgL_obj2023z00_1916 =
																			(BgL_appz00_bglt) (BgL_appz00_1108);
																		BgL_arg4606z00_1125 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_obj2023z00_1916))->BgL_funz00);
																	}
																	{	/* Cfa/closure.scm 256 */
																		BgL_varz00_bglt BgL_obj1931z00_1917;
																		BgL_variablez00_bglt BgL_val1930z00_1918;

																		BgL_obj1931z00_1917 = BgL_arg4606z00_1125;
																		BgL_val1930z00_1918 =
																			(BgL_variablez00_bglt)
																			(BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																		((((BgL_varz00_bglt)
																					CREF(BgL_obj1931z00_1917))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt)
																				BgL_val1930z00_1918), BUNSPEC);
																	}
																}
														}
													}
												}
											}
											{	/* Cfa/closure.scm 257 */
												obj_t BgL_arg4611z00_1130;

												{	/* Cfa/closure.scm 257 */
													obj_t BgL_pairz00_1920;

													{	/* Cfa/closure.scm 257 */
														BgL_appz00_bglt BgL_obj2026z00_1919;

														BgL_obj2026z00_1919 =
															(BgL_appz00_bglt) (BgL_appz00_1108);
														BgL_pairz00_1920 =
															(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1919))->
															BgL_argsz00);
													}
													BgL_arg4611z00_1130 = CDR(CDR(BgL_pairz00_1920));
												}
												{	/* Cfa/closure.scm 257 */
													BgL_appz00_bglt BgL_obj2028z00_1924;
													obj_t BgL_val2027z00_1925;

													BgL_obj2028z00_1924 =
														(BgL_appz00_bglt) (BgL_appz00_1108);
													BgL_val2027z00_1925 = BgL_arg4611z00_1130;
													((((BgL_appz00_bglt) CREF(BgL_obj2028z00_1924))->
															BgL_argsz00) =
														((obj_t) BgL_val2027z00_1925), BUNSPEC);
												}
											}
											BgL_appz00_1108;
										}
									else
										{	/* Cfa/closure.scm 277 */
											bool_t BgL_testz00_2341;

											{	/* Cfa/closure.scm 277 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4090z00_1856;

												BgL_obj4090z00_1856 =
													(BgL_makezd2procedurezd2appz00_bglt)
													(BgL_appz00_1080);
												{
													obj_t BgL_auxz00_2343;

													{	/* Cfa/closure.scm 277 */
														BgL_objectz00_bglt BgL_auxz00_2344;

														BgL_auxz00_2344 =
															(BgL_objectz00_bglt) (BgL_obj4090z00_1856);
														BgL_auxz00_2343 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2344);
													}
													BgL_testz00_2341 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2343))->BgL_tz00);
												}
											}
											if (BgL_testz00_2341)
												{	/* Cfa/closure.scm 277 */
													BgL_appz00_1085 = BgL_appz00_1080;
													{	/* Cfa/closure.scm 261 */
														obj_t BgL_siza7eza7_1088;

														{	/* Cfa/closure.scm 261 */
															obj_t BgL_arg4592z00_1106;

															{	/* Cfa/closure.scm 261 */
																obj_t BgL_pairz00_1859;

																{	/* Cfa/closure.scm 261 */
																	BgL_appz00_bglt BgL_obj2026z00_1858;

																	BgL_obj2026z00_1858 =
																		(BgL_appz00_bglt) (BgL_appz00_1085);
																	BgL_pairz00_1859 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_obj2026z00_1858))->BgL_argsz00);
																}
																BgL_arg4592z00_1106 =
																	CAR(CDR(CDR(BgL_pairz00_1859)));
															}
															BgL_siza7eza7_1088 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																(BgL_nodez00_bglt) (BgL_arg4592z00_1106));
														}
														{	/* Cfa/closure.scm 261 */
															BgL_variablez00_bglt BgL_ffunz00_1089;

															{	/* Cfa/closure.scm 262 */
																BgL_varz00_bglt BgL_obj1929z00_1867;

																{	/* Cfa/closure.scm 262 */
																	obj_t BgL_auxz00_2355;

																	{	/* Cfa/closure.scm 262 */
																		obj_t BgL_pairz00_1866;

																		{	/* Cfa/closure.scm 262 */
																			BgL_appz00_bglt BgL_obj2026z00_1865;

																			BgL_obj2026z00_1865 =
																				(BgL_appz00_bglt) (BgL_appz00_1085);
																			BgL_pairz00_1866 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2026z00_1865))->
																				BgL_argsz00);
																		}
																		BgL_auxz00_2355 = CAR(BgL_pairz00_1866);
																	}
																	BgL_obj1929z00_1867 =
																		(BgL_varz00_bglt) (BgL_auxz00_2355);
																}
																BgL_ffunz00_1089 =
																	(((BgL_varz00_bglt)
																		CREF(BgL_obj1929z00_1867))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 262 */
																BgL_valuez00_bglt BgL_sfunz00_1090;

																BgL_sfunz00_1090 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_1089))->BgL_valuez00);
																{	/* Cfa/closure.scm 263 */

																	{	/* Cfa/closure.scm 264 */
																		bool_t BgL_testz00_2362;

																		{	/* Cfa/closure.scm 264 */
																			bool_t BgL_testz00_2363;

																			{	/* Cfa/closure.scm 264 */
																				obj_t BgL_obj1527z00_1869;

																				BgL_obj1527z00_1869 =
																					(obj_t) (BgL_ffunz00_1089);
																				BgL_testz00_2363 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1527z00_1869,
																					BGl_globalz00zzast_varz00);
																			}
																			if (BgL_testz00_2363)
																				{	/* Cfa/closure.scm 265 */
																					bool_t BgL_testz00_2366;

																					{	/* Cfa/closure.scm 265 */
																						obj_t BgL_arg4585z00_1099;

																						{	/* Cfa/closure.scm 265 */
																							BgL_funz00_bglt
																								BgL_obj1601z00_1870;
																							BgL_obj1601z00_1870 =
																								(BgL_funz00_bglt)
																								(BgL_sfunz00_1090);
																							BgL_arg4585z00_1099 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1601z00_1870))->
																								BgL_thezd2closurezd2);
																						}
																						BgL_testz00_2366 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg4585z00_1099,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_2366)
																						{	/* Cfa/closure.scm 266 */
																							BgL_valuez00_bglt
																								BgL_arg4583z00_1097;
																							{	/* Cfa/closure.scm 266 */
																								BgL_variablez00_bglt
																									BgL_obj1387z00_1873;
																								{	/* Cfa/closure.scm 266 */
																									BgL_funz00_bglt
																										BgL_obj1601z00_1872;
																									BgL_obj1601z00_1872 =
																										(BgL_funz00_bglt)
																										(BgL_sfunz00_1090);
																									{	/* Cfa/closure.scm 266 */
																										obj_t BgL_auxz00_2371;

																										BgL_auxz00_2371 =
																											(((BgL_funz00_bglt)
																												CREF
																												(BgL_obj1601z00_1872))->
																											BgL_thezd2closurezd2);
																										BgL_obj1387z00_1873 =
																											(BgL_variablez00_bglt)
																											(BgL_auxz00_2371);
																									}
																								}
																								BgL_arg4583z00_1097 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1387z00_1873))->
																									BgL_valuez00);
																							}
																							{	/* Cfa/closure.scm 266 */
																								obj_t BgL_obj1824z00_1874;

																								BgL_obj1824z00_1874 =
																									(obj_t) (BgL_arg4583z00_1097);
																								BgL_testz00_2362 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1824z00_1874,
																									BGl_scnstz00zzast_varz00);
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 265 */
																							BgL_testz00_2362 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 264 */
																					BgL_testz00_2362 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2362)
																			{	/* Cfa/closure.scm 267 */
																				BgL_valuez00_bglt BgL_arg4578z00_1092;
																				obj_t BgL_arg4579z00_1093;

																				{	/* Cfa/closure.scm 267 */
																					BgL_variablez00_bglt
																						BgL_obj1387z00_1876;
																					{	/* Cfa/closure.scm 267 */
																						BgL_funz00_bglt BgL_obj1601z00_1875;

																						BgL_obj1601z00_1875 =
																							(BgL_funz00_bglt)
																							(BgL_sfunz00_1090);
																						{	/* Cfa/closure.scm 267 */
																							obj_t BgL_auxz00_2378;

																							BgL_auxz00_2378 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1601z00_1875))->
																								BgL_thezd2closurezd2);
																							BgL_obj1387z00_1876 =
																								(BgL_variablez00_bglt)
																								(BgL_auxz00_2378);
																						}
																					}
																					BgL_arg4578z00_1092 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1387z00_1876))->
																						BgL_valuez00);
																				}
																				BgL_arg4579z00_1093 =
																					CNST_TABLE_REF(((long) 2));
																				{	/* Cfa/closure.scm 267 */
																					BgL_scnstz00_bglt BgL_obj1808z00_1877;
																					obj_t BgL_val1807z00_1878;

																					BgL_obj1808z00_1877 =
																						(BgL_scnstz00_bglt)
																						(BgL_arg4578z00_1092);
																					BgL_val1807z00_1878 =
																						BgL_arg4579z00_1093;
																					((((BgL_scnstz00_bglt)
																								CREF(BgL_obj1808z00_1877))->
																							BgL_classz00) =
																						((obj_t) BgL_val1807z00_1878),
																						BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 264 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 269 */
																		BgL_varz00_bglt BgL_arg4586z00_1100;

																		{	/* Cfa/closure.scm 269 */
																			BgL_appz00_bglt BgL_obj2023z00_1879;

																			BgL_obj2023z00_1879 =
																				(BgL_appz00_bglt) (BgL_appz00_1085);
																			BgL_arg4586z00_1100 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2023z00_1879))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 269 */
																			BgL_varz00_bglt BgL_obj1931z00_1880;
																			BgL_variablez00_bglt BgL_val1930z00_1881;

																			BgL_obj1931z00_1880 = BgL_arg4586z00_1100;
																			BgL_val1930z00_1881 =
																				(BgL_variablez00_bglt)
																				(BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_obj1931z00_1880))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val1930z00_1881), BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 270 */
																		obj_t BgL_arg4587z00_1101;
																		obj_t BgL_arg4588z00_1102;

																		{	/* Cfa/closure.scm 270 */
																			BgL_appz00_bglt BgL_obj2026z00_1882;

																			BgL_obj2026z00_1882 =
																				(BgL_appz00_bglt) (BgL_appz00_1085);
																			BgL_arg4587z00_1101 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2026z00_1882))->
																				BgL_argsz00);
																		}
																		{	/* Cfa/closure.scm 270 */
																			obj_t BgL_pairz00_1884;

																			{	/* Cfa/closure.scm 270 */
																				BgL_appz00_bglt BgL_obj2026z00_1883;

																				BgL_obj2026z00_1883 =
																					(BgL_appz00_bglt) (BgL_appz00_1085);
																				BgL_pairz00_1884 =
																					(((BgL_appz00_bglt)
																						CREF(BgL_obj2026z00_1883))->
																					BgL_argsz00);
																			}
																			BgL_arg4588z00_1102 =
																				CDR(CDR(BgL_pairz00_1884));
																		}
																		SET_CDR(BgL_arg4587z00_1101,
																			BgL_arg4588z00_1102);
																	}
																	BgL_appz00_1085;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 277 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l4511z00_2396;

								BgL_l4511z00_2396 = CDR(BgL_l4511z00_1077);
								BgL_l4511z00_1077 = BgL_l4511z00_2396;
								goto BgL_forzd2each4512zd2_1078;
							}
						}
					else
						{	/* Cfa/closure.scm 273 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 283 */
			{
				obj_t BgL_l4513z00_1134;

				BgL_l4513z00_1134 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_forzd2each4514zd2_1135:
				if (PAIRP(BgL_l4513z00_1134))
					{	/* Cfa/closure.scm 284 */
						{	/* Cfa/closure.scm 308 */
							BgL_funcallz00_bglt BgL_appz00_1137;

							{	/* Cfa/closure.scm 308 */
								obj_t BgL_pairz00_1927;

								BgL_pairz00_1927 = BgL_l4513z00_1134;
								{	/* Cfa/closure.scm 308 */
									obj_t BgL_auxz00_2400;

									BgL_auxz00_2400 = CAR(BgL_pairz00_1927);
									BgL_appz00_1137 = (BgL_funcallz00_bglt) (BgL_auxz00_2400);
								}
							}
							{	/* Cfa/closure.scm 286 */
								BgL_nodez00_bglt BgL_funz00_1138;

								BgL_funz00_1138 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_1137))->BgL_funz00);
								{	/* Cfa/closure.scm 286 */
									BgL_approxz00_bglt BgL_approxz00_1139;

									BgL_approxz00_1139 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1138);
									{	/* Cfa/closure.scm 287 */
										obj_t BgL_alloczd2listzd2_1140;

										{	/* Cfa/closure.scm 288 */
											obj_t BgL_arg4625z00_1156;

											BgL_arg4625z00_1156 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_1139))->
												BgL_allocsz00);
											BgL_alloczd2listzd2_1140 =
												BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4625z00_1156);
										}
										{	/* Cfa/closure.scm 288 */

											{	/* Cfa/closure.scm 289 */
												bool_t BgL_testz00_2407;

												if (PAIRP(BgL_alloczd2listzd2_1140))
													{	/* Cfa/closure.scm 290 */
														bool_t BgL_testz00_2410;

														{	/* Cfa/closure.scm 290 */
															obj_t BgL_arg4624z00_1155;

															BgL_arg4624z00_1155 =
																CAR(BgL_alloczd2listzd2_1140);
															BgL_testz00_2410 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg4624z00_1155,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_2410)
															{	/* Cfa/closure.scm 290 */
																BgL_testz00_2407 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 290 */
																BgL_testz00_2407 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 289 */
														BgL_testz00_2407 = ((bool_t) 1);
													}
												if (BgL_testz00_2407)
													{	/* Cfa/closure.scm 289 */
														CNST_TABLE_REF(((long) 4));
													}
												else
													{	/* Cfa/closure.scm 294 */
														BgL_appz00_bglt BgL_allocz00_1142;

														{	/* Cfa/closure.scm 294 */
															obj_t BgL_pairz00_1933;

															BgL_pairz00_1933 = BgL_alloczd2listzd2_1140;
															{	/* Cfa/closure.scm 294 */
																obj_t BgL_auxz00_2414;

																BgL_auxz00_2414 = CAR(BgL_pairz00_1933);
																BgL_allocz00_1142 =
																	(BgL_appz00_bglt) (BgL_auxz00_2414);
															}
														}
														{	/* Cfa/closure.scm 297 */
															bool_t BgL_testz00_2417;

															{	/* Cfa/closure.scm 297 */
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_obj4085z00_1934;
																BgL_obj4085z00_1934 =
																	(BgL_makezd2procedurezd2appz00_bglt)
																	(BgL_allocz00_1142);
																{
																	obj_t BgL_auxz00_2419;

																	{	/* Cfa/closure.scm 297 */
																		BgL_objectz00_bglt BgL_auxz00_2420;

																		BgL_auxz00_2420 =
																			(BgL_objectz00_bglt)
																			(BgL_obj4085z00_1934);
																		BgL_auxz00_2419 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2420);
																	}
																	BgL_testz00_2417 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_2419))->BgL_xz00);
																}
															}
															if (BgL_testz00_2417)
																{	/* Cfa/closure.scm 297 */
																	{	/* Cfa/closure.scm 301 */
																		BgL_varz00_bglt BgL_arg4616z00_1145;

																		{	/* Cfa/closure.scm 301 */
																			BgL_varz00_bglt
																				BgL_duplicated4488z00_1146;
																			{	/* Cfa/closure.scm 301 */
																				obj_t BgL_pairz00_1936;

																				BgL_pairz00_1936 =
																					(((BgL_appz00_bglt)
																						CREF(BgL_allocz00_1142))->
																					BgL_argsz00);
																				{	/* Cfa/closure.scm 301 */
																					obj_t BgL_auxz00_2425;

																					BgL_auxz00_2425 =
																						CAR(BgL_pairz00_1936);
																					BgL_duplicated4488z00_1146 =
																						(BgL_varz00_bglt) (BgL_auxz00_2425);
																				}
																			}
																			{	/* Cfa/closure.scm 301 */
																				BgL_varz00_bglt BgL_new4489z00_1147;

																				{	/* Cfa/closure.scm 301 */
																					obj_t BgL_arg4617z00_1148;
																					BgL_typez00_bglt BgL_arg4618z00_1149;
																					BgL_variablez00_bglt
																						BgL_arg4619z00_1150;
																					{	/* Cfa/closure.scm 301 */
																						BgL_nodez00_bglt
																							BgL_obj1865z00_1937;
																						BgL_obj1865z00_1937 =
																							(BgL_nodez00_bglt)
																							(BgL_duplicated4488z00_1146);
																						BgL_arg4617z00_1148 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_obj1865z00_1937))->
																							BgL_locz00);
																					}
																					{	/* Cfa/closure.scm 301 */
																						BgL_nodez00_bglt
																							BgL_obj1866z00_1938;
																						BgL_obj1866z00_1938 =
																							(BgL_nodez00_bglt)
																							(BgL_duplicated4488z00_1146);
																						BgL_arg4618z00_1149 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_obj1866z00_1938))->
																							BgL_typez00);
																					}
																					BgL_arg4619z00_1150 =
																						(((BgL_varz00_bglt)
																							CREF
																							(BgL_duplicated4488z00_1146))->
																						BgL_variablez00);
																					BgL_new4489z00_1147 =
																						BGl_makezd2varzd2zzast_nodez00
																						(BgL_arg4617z00_1148,
																						BgL_arg4618z00_1149,
																						BgL_arg4619z00_1150);
																				}
																				{	/* Cfa/closure.scm 301 */

																					BgL_arg4616z00_1145 =
																						BgL_new4489z00_1147;
																				}
																			}
																		}
																		{	/* Cfa/closure.scm 299 */
																			BgL_funcallz00_bglt BgL_obj2092z00_1940;
																			BgL_nodez00_bglt BgL_val2091z00_1941;

																			BgL_obj2092z00_1940 = BgL_appz00_1137;
																			BgL_val2091z00_1941 =
																				(BgL_nodez00_bglt)
																				(BgL_arg4616z00_1145);
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_obj2092z00_1940))->
																					BgL_funz00) =
																				((BgL_nodez00_bglt)
																					BgL_val2091z00_1941), BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 302 */
																		BgL_funcallz00_bglt BgL_obj2098z00_1942;
																		obj_t BgL_val2097z00_1943;

																		BgL_obj2098z00_1942 = BgL_appz00_1137;
																		BgL_val2097z00_1943 =
																			CNST_TABLE_REF(((long) 5));
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_obj2098z00_1942))->
																				BgL_strengthz00) =
																			((obj_t) BgL_val2097z00_1943), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 303 */
																	bool_t BgL_testz00_2438;

																	{	/* Cfa/closure.scm 303 */
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_obj4090z00_1944;
																		BgL_obj4090z00_1944 =
																			(BgL_makezd2procedurezd2appz00_bglt)
																			(BgL_allocz00_1142);
																		{
																			obj_t BgL_auxz00_2440;

																			{	/* Cfa/closure.scm 303 */
																				BgL_objectz00_bglt BgL_auxz00_2441;

																				BgL_auxz00_2441 =
																					(BgL_objectz00_bglt)
																					(BgL_obj4090z00_1944);
																				BgL_auxz00_2440 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2441);
																			}
																			BgL_testz00_2438 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_2440))->BgL_tz00);
																		}
																	}
																	if (BgL_testz00_2438)
																		{	/* Cfa/closure.scm 303 */
																			{	/* Cfa/closure.scm 305 */
																				BgL_funcallz00_bglt BgL_obj2098z00_1945;
																				obj_t BgL_val2097z00_1946;

																				BgL_obj2098z00_1945 = BgL_appz00_1137;
																				BgL_val2097z00_1946 =
																					CNST_TABLE_REF(((long) 6));
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_obj2098z00_1945))->
																						BgL_strengthz00) =
																					((obj_t) BgL_val2097z00_1946),
																					BUNSPEC);
																		}}
																	else
																		{	/* Cfa/closure.scm 303 */
																			CNST_TABLE_REF(((long) 4));
						}}}}}}}}}}
						{
							obj_t BgL_l4513z00_2448;

							BgL_l4513z00_2448 = CDR(BgL_l4513z00_1134);
							BgL_l4513z00_1134 = BgL_l4513z00_2448;
							goto BgL_forzd2each4514zd2_1135;
						}
					}
				else
					{	/* Cfa/closure.scm 284 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 314 */
			{
				obj_t BgL_l4515z00_1158;

				BgL_l4515z00_1158 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_forzd2each4516zd2_1159:
				if (PAIRP(BgL_l4515z00_1158))
					{	/* Cfa/closure.scm 315 */
						{	/* Cfa/closure.scm 317 */
							obj_t BgL_appz00_1161;

							BgL_appz00_1161 = CAR(BgL_l4515z00_1158);
							{	/* Cfa/closure.scm 317 */
								BgL_approxz00_bglt BgL_approxz00_1163;

								{	/* Cfa/closure.scm 318 */
									obj_t BgL_arg4643z00_1184;

									{	/* Cfa/closure.scm 318 */
										obj_t BgL_pairz00_1952;

										{	/* Cfa/closure.scm 318 */
											BgL_appz00_bglt BgL_obj2026z00_1951;

											BgL_obj2026z00_1951 = (BgL_appz00_bglt) (BgL_appz00_1161);
											BgL_pairz00_1952 =
												(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1951))->
												BgL_argsz00);
										}
										BgL_arg4643z00_1184 = CAR(BgL_pairz00_1952);
									}
									BgL_approxz00_1163 =
										BGl_cfaz12z12zzcfa_cfaz00(
										(BgL_nodez00_bglt) (BgL_arg4643z00_1184));
								}
								{	/* Cfa/closure.scm 318 */
									obj_t BgL_alloczd2listzd2_1164;

									{	/* Cfa/closure.scm 319 */
										obj_t BgL_arg4642z00_1183;

										BgL_arg4642z00_1183 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_1163))->
											BgL_allocsz00);
										BgL_alloczd2listzd2_1164 =
											BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4642z00_1183);
									}
									{	/* Cfa/closure.scm 319 */
										BgL_varz00_bglt BgL_funz00_1165;

										{	/* Cfa/closure.scm 320 */
											BgL_appz00_bglt BgL_obj2023z00_1954;

											BgL_obj2023z00_1954 = (BgL_appz00_bglt) (BgL_appz00_1161);
											BgL_funz00_1165 =
												(((BgL_appz00_bglt) CREF(BgL_obj2023z00_1954))->
												BgL_funz00);
										}
										{	/* Cfa/closure.scm 320 */
											BgL_variablez00_bglt BgL_vfunz00_1166;

											BgL_vfunz00_1166 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_1165))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 321 */

												{	/* Cfa/closure.scm 322 */
													bool_t BgL_testz00_2463;

													if (PAIRP(BgL_alloczd2listzd2_1164))
														{	/* Cfa/closure.scm 323 */
															bool_t BgL_testz00_2466;

															{	/* Cfa/closure.scm 323 */
																obj_t BgL_arg4641z00_1182;

																BgL_arg4641z00_1182 =
																	CAR(BgL_alloczd2listzd2_1164);
																BgL_testz00_2466 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_arg4641z00_1182,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_2466)
																{	/* Cfa/closure.scm 323 */
																	BgL_testz00_2463 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 323 */
																	BgL_testz00_2463 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 322 */
															BgL_testz00_2463 = ((bool_t) 1);
														}
													if (BgL_testz00_2463)
														{	/* Cfa/closure.scm 322 */
															CNST_TABLE_REF(((long) 4));
														}
													else
														{	/* Cfa/closure.scm 325 */
															BgL_appz00_bglt BgL_allocz00_1168;

															{	/* Cfa/closure.scm 325 */
																obj_t BgL_pairz00_1959;

																BgL_pairz00_1959 = BgL_alloczd2listzd2_1164;
																{	/* Cfa/closure.scm 325 */
																	obj_t BgL_auxz00_2470;

																	BgL_auxz00_2470 = CAR(BgL_pairz00_1959);
																	BgL_allocz00_1168 =
																		(BgL_appz00_bglt) (BgL_auxz00_2470);
																}
															}
															{	/* Cfa/closure.scm 328 */
																bool_t BgL_testz00_2473;

																{	/* Cfa/closure.scm 328 */
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_obj4085z00_1960;
																	BgL_obj4085z00_1960 =
																		(BgL_makezd2procedurezd2appz00_bglt)
																		(BgL_allocz00_1168);
																	{
																		obj_t BgL_auxz00_2475;

																		{	/* Cfa/closure.scm 328 */
																			BgL_objectz00_bglt BgL_auxz00_2476;

																			BgL_auxz00_2476 =
																				(BgL_objectz00_bglt)
																				(BgL_obj4085z00_1960);
																			BgL_auxz00_2475 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2476);
																		}
																		BgL_testz00_2473 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_2475))->BgL_xz00);
																	}
																}
																if (BgL_testz00_2473)
																	{	/* Cfa/closure.scm 329 */
																		bool_t BgL_testz00_2480;

																		{	/* Cfa/closure.scm 329 */
																			obj_t BgL_arg4633z00_1174;

																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_arg4635z00_1176;

																				{	/* Cfa/closure.scm 329 */
																					obj_t BgL_pairz00_1962;

																					BgL_pairz00_1962 =
																						(((BgL_appz00_bglt)
																							CREF(BgL_allocz00_1168))->
																						BgL_argsz00);
																					BgL_arg4635z00_1176 =
																						CAR(CDR(CDR(BgL_pairz00_1962)));
																				}
																				BgL_arg4633z00_1174 =
																					BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																					((BgL_nodez00_bglt)
																					(BgL_arg4635z00_1176));
																			}
																			BgL_testz00_2480 =
																				(
																				(long) CINT(BgL_arg4633z00_1174) ==
																				((long) 1));
																		}
																		if (BgL_testz00_2480)
																			{	/* Cfa/closure.scm 329 */
																				if (
																					((obj_t) (BgL_vfunz00_1166) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 331 */
																						BgL_varz00_bglt BgL_obj1931z00_1970;
																						BgL_variablez00_bglt
																							BgL_val1930z00_1971;
																						BgL_obj1931z00_1970 =
																							BgL_funz00_1165;
																						BgL_val1930z00_1971 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1931z00_1970))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1930z00_1971), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 332 */
																						BgL_varz00_bglt BgL_obj1931z00_1972;
																						BgL_variablez00_bglt
																							BgL_val1930z00_1973;
																						BgL_obj1931z00_1972 =
																							BgL_funz00_1165;
																						BgL_val1930z00_1973 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1931z00_1972))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1930z00_1973), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 329 */
																				if (
																					((obj_t) (BgL_vfunz00_1166) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 334 */
																						BgL_varz00_bglt BgL_obj1931z00_1974;
																						BgL_variablez00_bglt
																							BgL_val1930z00_1975;
																						BgL_obj1931z00_1974 =
																							BgL_funz00_1165;
																						BgL_val1930z00_1975 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1931z00_1974))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1930z00_1975), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 335 */
																						BgL_varz00_bglt BgL_obj1931z00_1976;
																						BgL_variablez00_bglt
																							BgL_val1930z00_1977;
																						BgL_obj1931z00_1976 =
																							BgL_funz00_1165;
																						BgL_val1930z00_1977 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1931z00_1976))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1930z00_1977), BUNSPEC);
																					}
																			}
																	}
																else
																	{	/* Cfa/closure.scm 336 */
																		bool_t BgL_testz00_2503;

																		{	/* Cfa/closure.scm 336 */
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_obj4090z00_1978;
																			BgL_obj4090z00_1978 =
																				(BgL_makezd2procedurezd2appz00_bglt)
																				(BgL_allocz00_1168);
																			{
																				obj_t BgL_auxz00_2505;

																				{	/* Cfa/closure.scm 336 */
																					BgL_objectz00_bglt BgL_auxz00_2506;

																					BgL_auxz00_2506 =
																						(BgL_objectz00_bglt)
																						(BgL_obj4090z00_1978);
																					BgL_auxz00_2505 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_2506);
																				}
																				BgL_testz00_2503 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_2505))->BgL_tz00);
																			}
																		}
																		if (BgL_testz00_2503)
																			{	/* Cfa/closure.scm 336 */
																				if (
																					((obj_t) (BgL_vfunz00_1166) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 338 */
																						BgL_varz00_bglt BgL_obj1931z00_1979;
																						BgL_variablez00_bglt
																							BgL_val1930z00_1980;
																						BgL_obj1931z00_1979 =
																							BgL_funz00_1165;
																						BgL_val1930z00_1980 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1931z00_1979))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1930z00_1980), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 339 */
																						BgL_varz00_bglt BgL_obj1931z00_1981;
																						BgL_variablez00_bglt
																							BgL_val1930z00_1982;
																						BgL_obj1931z00_1981 =
																							BgL_funz00_1165;
																						BgL_val1930z00_1982 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1931z00_1981))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1930z00_1982), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 336 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l4515z00_2517;

							BgL_l4515z00_2517 = CDR(BgL_l4515z00_1158);
							BgL_l4515z00_1158 = BgL_l4515z00_2517;
							goto BgL_forzd2each4516zd2_1159;
						}
					}
				else
					{	/* Cfa/closure.scm 315 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_6)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 345 */
			{
				obj_t BgL_xpz00_1190;
				obj_t BgL_tpz00_1191;
				obj_t BgL_allocsz00_1192;

				BgL_xpz00_1190 = BNIL;
				BgL_tpz00_1191 = BNIL;
				BgL_allocsz00_1192 = BgL_allocsz00_6;
			BgL_loopz00_1193:
				if (NULLP(BgL_allocsz00_1192))
					{	/* Cfa/closure.scm 356 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 7)),
							BgL_xpz00_1190);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 8)),
							BgL_tpz00_1191);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 361 */
						obj_t BgL_instance4494z00_1195;

						BgL_instance4494z00_1195 = CAR(BgL_allocsz00_1192);
						{	/* Cfa/closure.scm 363 */
							bool_t BgL_testz00_2526;

							{	/* Cfa/closure.scm 363 */
								BgL_makezd2procedurezd2appz00_bglt BgL_obj4085z00_1986;

								BgL_obj4085z00_1986 =
									(BgL_makezd2procedurezd2appz00_bglt)
									(BgL_instance4494z00_1195);
								{
									obj_t BgL_auxz00_2528;

									{	/* Cfa/closure.scm 363 */
										BgL_objectz00_bglt BgL_auxz00_2529;

										BgL_auxz00_2529 =
											(BgL_objectz00_bglt) (BgL_obj4085z00_1986);
										BgL_auxz00_2528 = BGL_OBJECT_WIDENING(BgL_auxz00_2529);
									}
									BgL_testz00_2526 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2528))->BgL_xz00);
								}
							}
							if (BgL_testz00_2526)
								{	/* Cfa/closure.scm 364 */
									obj_t BgL_arg4648z00_1197;
									obj_t BgL_arg4649z00_1198;

									{	/* Cfa/closure.scm 364 */
										BgL_variablez00_bglt BgL_arg4650z00_1199;

										{	/* Cfa/closure.scm 364 */
											BgL_varz00_bglt BgL_obj1929z00_1989;

											{	/* Cfa/closure.scm 364 */
												obj_t BgL_auxz00_2533;

												{	/* Cfa/closure.scm 364 */
													obj_t BgL_pairz00_1988;

													{	/* Cfa/closure.scm 364 */
														BgL_appz00_bglt BgL_obj2026z00_1987;

														BgL_obj2026z00_1987 =
															(BgL_appz00_bglt) (BgL_instance4494z00_1195);
														BgL_pairz00_1988 =
															(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1987))->
															BgL_argsz00);
													}
													BgL_auxz00_2533 = CAR(BgL_pairz00_1988);
												}
												BgL_obj1929z00_1989 =
													(BgL_varz00_bglt) (BgL_auxz00_2533);
											}
											BgL_arg4650z00_1199 =
												(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1989))->
												BgL_variablez00);
										}
										BgL_arg4648z00_1197 =
											MAKE_PAIR((obj_t) (BgL_arg4650z00_1199), BgL_xpz00_1190);
									}
									BgL_arg4649z00_1198 = CDR(BgL_allocsz00_1192);
									{
										obj_t BgL_allocsz00_2543;
										obj_t BgL_xpz00_2542;

										BgL_xpz00_2542 = BgL_arg4648z00_1197;
										BgL_allocsz00_2543 = BgL_arg4649z00_1198;
										BgL_allocsz00_1192 = BgL_allocsz00_2543;
										BgL_xpz00_1190 = BgL_xpz00_2542;
										goto BgL_loopz00_1193;
									}
								}
							else
								{	/* Cfa/closure.scm 365 */
									bool_t BgL_testz00_2544;

									{	/* Cfa/closure.scm 365 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4090z00_1991;

										BgL_obj4090z00_1991 =
											(BgL_makezd2procedurezd2appz00_bglt)
											(BgL_instance4494z00_1195);
										{
											obj_t BgL_auxz00_2546;

											{	/* Cfa/closure.scm 365 */
												BgL_objectz00_bglt BgL_auxz00_2547;

												BgL_auxz00_2547 =
													(BgL_objectz00_bglt) (BgL_obj4090z00_1991);
												BgL_auxz00_2546 = BGL_OBJECT_WIDENING(BgL_auxz00_2547);
											}
											BgL_testz00_2544 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2546))->BgL_tz00);
										}
									}
									if (BgL_testz00_2544)
										{	/* Cfa/closure.scm 366 */
											obj_t BgL_arg4654z00_1203;
											obj_t BgL_arg4655z00_1204;

											{	/* Cfa/closure.scm 366 */
												BgL_variablez00_bglt BgL_arg4656z00_1205;

												{	/* Cfa/closure.scm 366 */
													BgL_varz00_bglt BgL_obj1929z00_1994;

													{	/* Cfa/closure.scm 366 */
														obj_t BgL_auxz00_2551;

														{	/* Cfa/closure.scm 366 */
															obj_t BgL_pairz00_1993;

															{	/* Cfa/closure.scm 366 */
																BgL_appz00_bglt BgL_obj2026z00_1992;

																BgL_obj2026z00_1992 =
																	(BgL_appz00_bglt) (BgL_instance4494z00_1195);
																BgL_pairz00_1993 =
																	(((BgL_appz00_bglt)
																		CREF(BgL_obj2026z00_1992))->BgL_argsz00);
															}
															BgL_auxz00_2551 = CAR(BgL_pairz00_1993);
														}
														BgL_obj1929z00_1994 =
															(BgL_varz00_bglt) (BgL_auxz00_2551);
													}
													BgL_arg4656z00_1205 =
														(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1994))->
														BgL_variablez00);
												}
												BgL_arg4654z00_1203 =
													MAKE_PAIR(
													(obj_t) (BgL_arg4656z00_1205), BgL_tpz00_1191);
											}
											BgL_arg4655z00_1204 = CDR(BgL_allocsz00_1192);
											{
												obj_t BgL_allocsz00_2561;
												obj_t BgL_tpz00_2560;

												BgL_tpz00_2560 = BgL_arg4654z00_1203;
												BgL_allocsz00_2561 = BgL_arg4655z00_1204;
												BgL_allocsz00_1192 = BgL_allocsz00_2561;
												BgL_tpz00_1191 = BgL_tpz00_2560;
												goto BgL_loopz00_1193;
											}
										}
									else
										{
											obj_t BgL_allocsz00_2562;

											BgL_allocsz00_2562 = CDR(BgL_allocsz00_1192);
											BgL_allocsz00_1192 = BgL_allocsz00_2562;
											goto BgL_loopz00_1193;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_1209,
		obj_t BgL_lz00_1210)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 352 */
			if (PAIRP(BgL_lz00_1210))
				{	/* Cfa/closure.scm 347 */
					{	/* Cfa/closure.scm 349 */
						obj_t BgL_arg4666z00_1216;

						BgL_arg4666z00_1216 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_1210));
						{	/* Cfa/closure.scm 349 */
							obj_t BgL_list4667z00_1217;

							{	/* Cfa/closure.scm 349 */
								obj_t BgL_arg4668z00_1218;

								{	/* Cfa/closure.scm 349 */
									obj_t BgL_arg4669z00_1219;

									{	/* Cfa/closure.scm 349 */
										obj_t BgL_arg4670z00_1220;

										{	/* Cfa/closure.scm 349 */
											obj_t BgL_arg4671z00_1221;

											BgL_arg4671z00_1221 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg4670z00_1220 =
												MAKE_PAIR(BgL_arg4666z00_1216, BgL_arg4671z00_1221);
										}
										BgL_arg4669z00_1219 =
											MAKE_PAIR(BGl_string4786z00zzcfa_closurez00,
											BgL_arg4670z00_1220);
									}
									BgL_arg4668z00_1218 =
										MAKE_PAIR(BgL_propz00_1209, BgL_arg4669z00_1219);
								}
								BgL_list4667z00_1217 =
									MAKE_PAIR(BGl_string4787z00zzcfa_closurez00,
									BgL_arg4668z00_1218);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list4667z00_1217);
					}}
					{	/* Cfa/closure.scm 350 */
						obj_t BgL_g4519z00_1223;

						BgL_g4519z00_1223 = CDR(BgL_lz00_1210);
						{
							obj_t BgL_l4517z00_1224;

							BgL_l4517z00_1224 = BgL_g4519z00_1223;
						BgL_forzd2each4518zd2_1225:
							if (PAIRP(BgL_l4517z00_1224))
								{	/* Cfa/closure.scm 350 */
									{	/* Cfa/closure.scm 351 */
										obj_t BgL_xz00_1227;

										BgL_xz00_1227 = CAR(BgL_l4517z00_1224);
										{	/* Cfa/closure.scm 351 */
											obj_t BgL_arg4676z00_1230;

											BgL_arg4676z00_1230 =
												BGl_shapez00zztools_shapez00(BgL_xz00_1227);
											{	/* Cfa/closure.scm 351 */
												obj_t BgL_list4677z00_1231;

												{	/* Cfa/closure.scm 351 */
													obj_t BgL_arg4678z00_1232;

													{	/* Cfa/closure.scm 351 */
														obj_t BgL_arg4679z00_1233;

														BgL_arg4679z00_1233 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg4678z00_1232 =
															MAKE_PAIR(BgL_arg4676z00_1230,
															BgL_arg4679z00_1233);
													}
													BgL_list4677z00_1231 =
														MAKE_PAIR(BGl_string4788z00zzcfa_closurez00,
														BgL_arg4678z00_1232);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list4677z00_1231);
									}}}
									{
										obj_t BgL_l4517z00_2587;

										BgL_l4517z00_2587 = CDR(BgL_l4517z00_1224);
										BgL_l4517z00_1224 = BgL_l4517z00_2587;
										goto BgL_forzd2each4518zd2_1225;
									}
								}
							else
								{	/* Cfa/closure.scm 350 */
									return ((bool_t) 1);
								}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 347 */
					return ((bool_t) 0);
				}
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 380 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 381 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							(obj_t) (BgL_astz00_7),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 381 */
					return BFALSE;
				}
		}
	}



/* _add-funcall! */
	obj_t BGl__addzd2funcallz12zc0zzcfa_closurez00(obj_t BgL_envz00_2031,
		obj_t BgL_astz00_2032)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 380 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				(BgL_nodez00_bglt) (BgL_astz00_2032));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 387 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 388 */
					return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							(obj_t) (BgL_astz00_8),
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 388 */
					return BFALSE;
				}
		}
	}



/* _add-make-procedure! */
	obj_t BGl__addzd2makezd2procedurez12z12zzcfa_closurez00(obj_t BgL_envz00_2033,
		obj_t BgL_astz00_2034)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 387 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				(BgL_nodez00_bglt) (BgL_astz00_2034));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 394 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 395 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							(obj_t) (BgL_astz00_9),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 395 */
					return BFALSE;
				}
		}
	}



/* _add-procedure-ref! */
	obj_t BGl__addzd2procedurezd2refz12z12zzcfa_closurez00(obj_t BgL_envz00_2035,
		obj_t BgL_astz00_2036)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 394 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				(BgL_nodez00_bglt) (BgL_astz00_2036));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 401 */
			{	/* Cfa/closure.scm 402 */
				BgL_typez00_bglt BgL_typez00_1239;
				obj_t BgL_alloczd2listzd2_1240;

				BgL_typez00_1239 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_10))->BgL_typez00);
				{	/* Cfa/closure.scm 403 */
					obj_t BgL_arg4687z00_1248;

					BgL_arg4687z00_1248 =
						(((BgL_approxz00_bglt) CREF(BgL_approxz00_10))->BgL_allocsz00);
					BgL_alloczd2listzd2_1240 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4687z00_1248);
				}
				if (
					((obj_t) (BgL_typez00_1239) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 404 */
						if (PAIRP(BgL_alloczd2listzd2_1240))
							{	/* Cfa/closure.scm 405 */
								if (NULLP(CDR(BgL_alloczd2listzd2_1240)))
									{	/* Cfa/closure.scm 407 */
										bool_t BgL_testz00_2621;

										{	/* Cfa/closure.scm 407 */
											obj_t BgL_arg4685z00_1246;

											BgL_arg4685z00_1246 = CAR(BgL_alloczd2listzd2_1240);
											BgL_testz00_2621 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg4685z00_1246,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_2621)
											{	/* Cfa/closure.scm 408 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4085z00_2017;

												{	/* Cfa/closure.scm 408 */
													obj_t BgL_pairz00_2016;

													BgL_pairz00_2016 = BgL_alloczd2listzd2_1240;
													{	/* Cfa/closure.scm 408 */
														obj_t BgL_auxz00_2624;

														BgL_auxz00_2624 = CAR(BgL_pairz00_2016);
														BgL_obj4085z00_2017 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_auxz00_2624);
													}
												}
												{
													obj_t BgL_auxz00_2627;

													{	/* Cfa/closure.scm 408 */
														BgL_objectz00_bglt BgL_auxz00_2628;

														BgL_auxz00_2628 =
															(BgL_objectz00_bglt) (BgL_obj4085z00_2017);
														BgL_auxz00_2627 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2628);
													}
													return
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2627))->BgL_xz00);
												}
											}
										else
											{	/* Cfa/closure.scm 407 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 406 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 405 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 404 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _approx-procedure-el4783 */
	obj_t BGl__approxzd2procedurezd2el4783z00zzcfa_closurez00(obj_t
		BgL_envz00_2037, obj_t BgL_approxz00_2038)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 401 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					(BgL_approxz00_bglt) (BgL_approxz00_2038)));
		}
	}



/* approx-procedure-el1? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2el1zf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 413 */
			{	/* Cfa/closure.scm 414 */
				obj_t BgL_alloczd2listzd2_1249;

				{	/* Cfa/closure.scm 414 */
					obj_t BgL_arg4690z00_1253;

					BgL_arg4690z00_1253 =
						(((BgL_approxz00_bglt) CREF(BgL_approxz00_11))->BgL_allocsz00);
					BgL_alloczd2listzd2_1249 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4690z00_1253);
				}
				{	/* Cfa/closure.scm 415 */
					obj_t BgL_instance4500z00_1250;

					BgL_instance4500z00_1250 = CAR(BgL_alloczd2listzd2_1249);
					{	/* Cfa/closure.scm 416 */
						BgL_variablez00_bglt BgL_arg4688z00_1251;

						{	/* Cfa/closure.scm 416 */
							BgL_varz00_bglt BgL_obj1929z00_2021;

							{	/* Cfa/closure.scm 416 */
								BgL_appz00_bglt BgL_obj2023z00_2020;

								BgL_obj2023z00_2020 =
									(BgL_appz00_bglt) (BgL_instance4500z00_1250);
								BgL_obj1929z00_2021 =
									(((BgL_appz00_bglt) CREF(BgL_obj2023z00_2020))->BgL_funz00);
							}
							BgL_arg4688z00_1251 =
								(((BgL_varz00_bglt) CREF(BgL_obj1929z00_2021))->
								BgL_variablez00);
						}
						return
							(
							(obj_t) (BgL_arg4688z00_1251) ==
							BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00);
					}
				}
			}
		}
	}



/* _approx-procedure-el4784 */
	obj_t BGl__approxzd2procedurezd2el4784z00zzcfa_closurez00(obj_t
		BgL_envz00_2039, obj_t BgL_approxz00_2040)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 413 */
			return
				BBOOL(BGl_approxzd2procedurezd2el1zf3zf3zzcfa_closurez00(
					(BgL_approxz00_bglt) (BgL_approxz00_2040)));
		}
	}



/* start-cache */
	obj_t BGl_startzd2cachezd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 436 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 9)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 12)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
				CNST_TABLE_REF(((long) 10)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 10))), BUNSPEC);
		}
	}



/* stop-cache */
	obj_t BGl_stopzd2cachezd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 452 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 474371048),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315510299),
				BSTRING_TO_STRING(BGl_string4789z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
