/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	extern BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t,
		long);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_cfaz12zd2funcallzf2Cinfo4496z32zzcfa_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34689ze3z83zzcfa_funcallz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34696ze3z83zzcfa_funcallz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(obj_t, BgL_variablez00_bglt,
		long, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00();
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00();
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallzf2cinfozf2_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	static BgL_approxz00_bglt
		BGl_funcallz12z12zzcfa_funcallz00(BgL_makezd2procedurezd2appz00_bglt, obj_t,
		obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string4717z00zzcfa_funcallz00,
		BgL_bgl_string4717za700za7za7c4726za7, "cfa", 3);
	      DEFINE_STRING(BGl_string4718z00zzcfa_funcallz00,
		BgL_bgl_string4718za700za7za7c4727za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string4720z00zzcfa_funcallz00,
		BgL_bgl_string4720za700za7za7c4728za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string4719z00zzcfa_funcallz00,
		BgL_bgl_string4719za700za7za7c4729za7, " provided", 9);
	      DEFINE_STRING(BGl_string4721z00zzcfa_funcallz00,
		BgL_bgl_string4721za700za7za7c4730za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string4722z00zzcfa_funcallz00,
		BgL_bgl_string4722za700za7za7c4731za7, "cfa_funcall", 11);
	      DEFINE_STRING(BGl_string4723z00zzcfa_funcallz00,
		BgL_bgl_string4723za700za7za7c4732za7, "all ", 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_1841, char *BgL_fromz00_1842)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_1833;

				BgL_cportz00_1833 =
					bgl_open_input_string(BGl_string4723z00zzcfa_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1834;

					BgL_iz00_1834 = ((long) 0);
				BgL_loopz00_1835:
					if ((BgL_iz00_1834 == ((long) -1)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg4725z00_1837;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_1839;

										BgL_locationz00_1839 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg4725z00_1837 =
												BGl_readz00zz__readerz00(BgL_cportz00_1833,
												BgL_locationz00_1839);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_auxz00_1861;

									BgL_auxz00_1861 = (int) (BgL_iz00_1834);
									CNST_TABLE_SET(BgL_auxz00_1861, BgL_arg4725z00_1837);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_1840;

								BgL_auxz00_1840 = (int) ((BgL_iz00_1834 - ((long) 1)));
								{
									long BgL_iz00_1866;

									BgL_iz00_1866 = (long) (BgL_auxz00_1840);
									BgL_iz00_1834 = BgL_iz00_1866;
									goto BgL_loopz00_1835;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_2, obj_t BgL_argszd2approxzd2_3)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 93 */
			{	/* Cfa/funcall.scm 95 */
				long BgL_miz00_988;

				{	/* Cfa/funcall.scm 95 */
					long BgL_auxz00_1868;

					{	/* Cfa/funcall.scm 95 */
						BgL_funz00_bglt BgL_obj1588z00_1696;

						BgL_obj1588z00_1696 = (BgL_funz00_bglt) (BgL_funz00_2);
						BgL_auxz00_1868 =
							(((BgL_funz00_bglt) CREF(BgL_obj1588z00_1696))->BgL_arityz00);
					}
					BgL_miz00_988 = (((long) 1) + BgL_auxz00_1868);
				}
				{	/* Cfa/funcall.scm 96 */
					long BgL_lz00_990;

					BgL_lz00_990 = bgl_list_length(BgL_argszd2approxzd2_3);
					{	/* Cfa/funcall.scm 97 */

						if ((BgL_lz00_990 >= BgL_miz00_988))
							{	/* Cfa/funcall.scm 98 */
								long BgL_auxz00_1875;

								{	/* Cfa/funcall.scm 96 */
									long BgL_auxz00_1876;

									{	/* Cfa/funcall.scm 96 */
										obj_t BgL_auxz00_1877;

										{	/* Cfa/funcall.scm 96 */
											BgL_sfunz00_bglt BgL_obj1670z00_1699;

											BgL_obj1670z00_1699 = (BgL_sfunz00_bglt) (BgL_funz00_2);
											BgL_auxz00_1877 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1670z00_1699))->
												BgL_optionalsz00);
										}
										BgL_auxz00_1876 = bgl_list_length(BgL_auxz00_1877);
									}
									BgL_auxz00_1875 = (BgL_miz00_988 + BgL_auxz00_1876);
								}
								return (BgL_lz00_990 <= BgL_auxz00_1875);
							}
						else
							{	/* Cfa/funcall.scm 98 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 103 */
			{	/* Cfa/funcall.scm 105 */
				long BgL_miz00_996;

				{	/* Cfa/funcall.scm 105 */
					long BgL_auxz00_1883;

					{	/* Cfa/funcall.scm 105 */
						BgL_funz00_bglt BgL_obj1588z00_1706;

						BgL_obj1588z00_1706 = (BgL_funz00_bglt) (BgL_funz00_4);
						BgL_auxz00_1883 =
							(((BgL_funz00_bglt) CREF(BgL_obj1588z00_1706))->BgL_arityz00);
					}
					BgL_miz00_996 = (((long) 1) + BgL_auxz00_1883);
				}
				{	/* Cfa/funcall.scm 106 */
					long BgL_lz00_998;

					BgL_lz00_998 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 107 */

						if ((BgL_lz00_998 >= BgL_miz00_996))
							{	/* Cfa/funcall.scm 108 */
								long BgL_auxz00_1890;

								{	/* Cfa/funcall.scm 106 */
									long BgL_auxz00_1891;

									{	/* Cfa/funcall.scm 106 */
										long BgL_auxz00_1892;

										{	/* Cfa/funcall.scm 106 */
											obj_t BgL_auxz00_1893;

											{	/* Cfa/funcall.scm 106 */
												BgL_sfunz00_bglt BgL_obj1671z00_1709;

												BgL_obj1671z00_1709 = (BgL_sfunz00_bglt) (BgL_funz00_4);
												BgL_auxz00_1893 =
													(((BgL_sfunz00_bglt) CREF(BgL_obj1671z00_1709))->
													BgL_keysz00);
											}
											BgL_auxz00_1892 = bgl_list_length(BgL_auxz00_1893);
										}
										BgL_auxz00_1891 = (((long) 2) * BgL_auxz00_1892);
									}
									BgL_auxz00_1890 = (BgL_miz00_996 + BgL_auxz00_1891);
								}
								return (BgL_lz00_998 <= BgL_auxz00_1890);
							}
						else
							{	/* Cfa/funcall.scm 108 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 113 */
			{	/* Cfa/funcall.scm 114 */
				obj_t BgL_gz00_1006;

				{	/* Cfa/funcall.scm 114 */
					BgL_sfunz00_bglt BgL_obj1672z00_1718;

					BgL_obj1672z00_1718 = (BgL_sfunz00_bglt) (BgL_funz00_6);
					BgL_gz00_1006 =
						(((BgL_sfunz00_bglt) CREF(BgL_obj1672z00_1718))->
						BgL_thezd2closurezd2globalz00);
				}
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_1006))
					{	/* Cfa/funcall.scm 117 */
						BgL_valuez00_bglt BgL_auxz00_1904;

						{	/* Cfa/funcall.scm 117 */
							BgL_variablez00_bglt BgL_obj1387z00_1719;

							BgL_obj1387z00_1719 = (BgL_variablez00_bglt) (BgL_gz00_1006);
							BgL_auxz00_1904 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1719))->
								BgL_valuez00);
						}
						return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00
							(BgL_auxz00_1904, BgL_argszd2approxzd2_7);
					}
				else
					{	/* Cfa/funcall.scm 116 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_1006))
							{	/* Cfa/funcall.scm 119 */
								BgL_valuez00_bglt BgL_auxz00_1910;

								{	/* Cfa/funcall.scm 119 */
									BgL_variablez00_bglt BgL_obj1387z00_1720;

									BgL_obj1387z00_1720 = (BgL_variablez00_bglt) (BgL_gz00_1006);
									BgL_auxz00_1910 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1720))->
										BgL_valuez00);
								}
								return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_auxz00_1910, BgL_argszd2approxzd2_7);
							}
						else
							{	/* Cfa/funcall.scm 121 */
								long BgL_arg4513z00_1011;

								{	/* Cfa/funcall.scm 121 */
									BgL_funz00_bglt BgL_obj1588z00_1721;

									BgL_obj1588z00_1721 = (BgL_funz00_bglt) (BgL_funz00_6);
									BgL_arg4513z00_1011 =
										(((BgL_funz00_bglt) CREF(BgL_obj1588z00_1721))->
										BgL_arityz00);
								}
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg4513z00_1011), BgL_argszd2approxzd2_7);
							}
					}
			}
		}
	}



/* funcall! */
	BgL_approxz00_bglt
		BGl_funcallz12z12zzcfa_funcallz00(BgL_makezd2procedurezd2appz00_bglt
		BgL_allocz00_8, obj_t BgL_argszd2approxzd2_9, obj_t BgL_nodez00_10)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 126 */
			{	/* Cfa/funcall.scm 127 */
				obj_t BgL_calleez00_1012;

				{	/* Cfa/funcall.scm 127 */
					obj_t BgL_pairz00_1723;

					{	/* Cfa/funcall.scm 127 */
						BgL_appz00_bglt BgL_obj2026z00_1722;

						BgL_obj2026z00_1722 = (BgL_appz00_bglt) (BgL_allocz00_8);
						BgL_pairz00_1723 =
							(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1722))->BgL_argsz00);
					}
					BgL_calleez00_1012 = CAR(BgL_pairz00_1723);
				}
				{	/* Cfa/funcall.scm 127 */
					BgL_variablez00_bglt BgL_vz00_1013;

					{	/* Cfa/funcall.scm 128 */
						BgL_varz00_bglt BgL_obj1929z00_1724;

						BgL_obj1929z00_1724 = (BgL_varz00_bglt) (BgL_calleez00_1012);
						BgL_vz00_1013 =
							(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1724))->BgL_variablez00);
					}
					{	/* Cfa/funcall.scm 128 */
						BgL_valuez00_bglt BgL_funz00_1014;

						BgL_funz00_1014 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1013))->BgL_valuez00);
						{	/* Cfa/funcall.scm 129 */
							long BgL_arityz00_1015;

							{	/* Cfa/funcall.scm 130 */
								BgL_funz00_bglt BgL_obj1588z00_1726;

								BgL_obj1588z00_1726 = (BgL_funz00_bglt) (BgL_funz00_1014);
								BgL_arityz00_1015 =
									(((BgL_funz00_bglt) CREF(BgL_obj1588z00_1726))->BgL_arityz00);
							}
							{	/* Cfa/funcall.scm 130 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_1014, BgL_argszd2approxzd2_9))
									{	/* Cfa/funcall.scm 137 */
										bool_t BgL_testz00_1928;

										{	/* Cfa/funcall.scm 137 */
											bool_t BgL_testz00_1929;

											{	/* Cfa/funcall.scm 137 */
												obj_t BgL_arg4531z00_1044;

												{	/* Cfa/funcall.scm 137 */
													BgL_sfunz00_bglt BgL_obj1672z00_1727;

													BgL_obj1672z00_1727 =
														(BgL_sfunz00_bglt) (BgL_funz00_1014);
													BgL_arg4531z00_1044 =
														(((BgL_sfunz00_bglt) CREF(BgL_obj1672z00_1727))->
														BgL_thezd2closurezd2globalz00);
												}
												BgL_testz00_1929 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg4531z00_1044);
											}
											if (BgL_testz00_1929)
												{	/* Cfa/funcall.scm 137 */
													BgL_testz00_1928 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 138 */
													obj_t BgL_arg4530z00_1043;

													{	/* Cfa/funcall.scm 138 */
														BgL_sfunz00_bglt BgL_obj1672z00_1728;

														BgL_obj1672z00_1728 =
															(BgL_sfunz00_bglt) (BgL_funz00_1014);
														BgL_arg4530z00_1043 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1672z00_1728))->
															BgL_thezd2closurezd2globalz00);
													}
													BgL_testz00_1928 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg4530z00_1043);
												}
										}
										if (BgL_testz00_1928)
											{	/* Cfa/funcall.scm 137 */
												{
													obj_t BgL_l4491z00_1018;

													BgL_l4491z00_1018 = BgL_argszd2approxzd2_9;
												BgL_forzd2each4492zd2_1019:
													if (PAIRP(BgL_l4491z00_1018))
														{	/* Cfa/funcall.scm 141 */
															{	/* Cfa/funcall.scm 141 */
																obj_t BgL_approxz00_1021;

																BgL_approxz00_1021 = CAR(BgL_l4491z00_1018);
																BGl_loosez12z12zzcfa_loosez00(
																	(BgL_approxz00_bglt) (BgL_approxz00_1021),
																	CNST_TABLE_REF(((long) 0)));
															}
															{
																obj_t BgL_l4491z00_1942;

																BgL_l4491z00_1942 = CDR(BgL_l4491z00_1018);
																BgL_l4491z00_1018 = BgL_l4491z00_1942;
																goto BgL_forzd2each4492zd2_1019;
															}
														}
													else
														{	/* Cfa/funcall.scm 141 */
															((bool_t) 1);
														}
												}
												return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
											}
										else
											{	/* Cfa/funcall.scm 137 */
												if ((BgL_arityz00_1015 >= ((long) 0)))
													{	/* Cfa/funcall.scm 143 */
														return
															BGl_appz12z12zzcfa_appz00(
															(BgL_funz00_bglt) (BgL_funz00_1014),
															(BgL_varz00_bglt) (BgL_calleez00_1012),
															BgL_argszd2approxzd2_9);
													}
												else
													{	/* Cfa/funcall.scm 143 */
														{
															obj_t BgL_oldzd2argszd2approxz00_1025;
															obj_t BgL_newzd2argszd2approxz00_1026;
															long BgL_arityz00_1027;

															BgL_oldzd2argszd2approxz00_1025 =
																BgL_argszd2approxzd2_9;
															BgL_newzd2argszd2approxz00_1026 = BNIL;
															BgL_arityz00_1027 = BgL_arityz00_1015;
														BgL_loopz00_1028:
															if ((BgL_arityz00_1027 == ((long) -1)))
																{	/* Cfa/funcall.scm 153 */
																	{
																		obj_t BgL_l4493z00_1030;

																		BgL_l4493z00_1030 =
																			BgL_oldzd2argszd2approxz00_1025;
																	BgL_forzd2each4494zd2_1031:
																		if (PAIRP(BgL_l4493z00_1030))
																			{	/* Cfa/funcall.scm 155 */
																				{	/* Cfa/funcall.scm 155 */
																					obj_t BgL_approxz00_1033;

																					BgL_approxz00_1033 =
																						CAR(BgL_l4493z00_1030);
																					BGl_loosez12z12zzcfa_loosez00(
																						(BgL_approxz00_bglt)
																						(BgL_approxz00_1033),
																						CNST_TABLE_REF(((long) 0)));
																				}
																				{
																					obj_t BgL_l4493z00_1958;

																					BgL_l4493z00_1958 =
																						CDR(BgL_l4493z00_1030);
																					BgL_l4493z00_1030 = BgL_l4493z00_1958;
																					goto BgL_forzd2each4494zd2_1031;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 155 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 159 */
																		obj_t BgL_arg4522z00_1035;

																		{	/* Cfa/funcall.scm 159 */
																			obj_t BgL_arg4523z00_1036;

																			{	/* Cfa/funcall.scm 159 */
																				BgL_approxz00_bglt BgL_arg4524z00_1037;

																				{	/* Cfa/funcall.scm 159 */
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_obj3523z00_1739;
																					BgL_obj3523z00_1739 =
																						(BgL_funcallzf2cinfozf2_bglt)
																						(BgL_nodez00_10);
																					{
																						obj_t BgL_auxz00_1961;

																						{	/* Cfa/funcall.scm 159 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1962;
																							BgL_auxz00_1962 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3523z00_1739);
																							BgL_auxz00_1961 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1962);
																						}
																						BgL_arg4524z00_1037 =
																							(((BgL_funcallzf2cinfozf2_bglt)
																								CREF(BgL_auxz00_1961))->
																							BgL_vazd2approxzd2);
																					}
																				}
																				BgL_arg4523z00_1036 =
																					MAKE_PAIR(
																					(obj_t) (BgL_arg4524z00_1037),
																					BgL_newzd2argszd2approxz00_1026);
																			}
																			BgL_arg4522z00_1035 =
																				bgl_reverse_bang(BgL_arg4523z00_1036);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			(BgL_funz00_bglt) (BgL_funz00_1014),
																			(BgL_varz00_bglt) (BgL_calleez00_1012),
																			BgL_arg4522z00_1035);
																	}
																}
															else
																{	/* Cfa/funcall.scm 161 */
																	obj_t BgL_arg4525z00_1038;
																	obj_t BgL_arg4526z00_1039;
																	long BgL_arg4527z00_1040;

																	BgL_arg4525z00_1038 =
																		CDR(BgL_oldzd2argszd2approxz00_1025);
																	BgL_arg4526z00_1039 =
																		MAKE_PAIR(CAR
																		(BgL_oldzd2argszd2approxz00_1025),
																		BgL_newzd2argszd2approxz00_1026);
																	BgL_arg4527z00_1040 =
																		(BgL_arityz00_1027 + ((long) 1));
																	{
																		long BgL_arityz00_1978;
																		obj_t BgL_newzd2argszd2approxz00_1977;
																		obj_t BgL_oldzd2argszd2approxz00_1976;

																		BgL_oldzd2argszd2approxz00_1976 =
																			BgL_arg4525z00_1038;
																		BgL_newzd2argszd2approxz00_1977 =
																			BgL_arg4526z00_1039;
																		BgL_arityz00_1978 = BgL_arg4527z00_1040;
																		BgL_arityz00_1027 = BgL_arityz00_1978;
																		BgL_newzd2argszd2approxz00_1026 =
																			BgL_newzd2argszd2approxz00_1977;
																		BgL_oldzd2argszd2approxz00_1025 =
																			BgL_oldzd2argszd2approxz00_1976;
																		goto BgL_loopz00_1028;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 134 */
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_10, BgL_vz00_1013, BgL_arityz00_1015,
											BgL_argszd2approxzd2_9);
									}
							}
						}
					}
				}
			}
		}
	}



/* funcall-type-error */
	obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallzf2cinfozf2_bglt
		BgL_nodez00_11, BgL_typez00_bglt BgL_typez00_12)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 168 */
			{	/* Cfa/funcall.scm 171 */
				bool_t BgL_testz00_1980;

				{
					obj_t BgL_auxz00_1981;

					{	/* Cfa/funcall.scm 171 */
						BgL_objectz00_bglt BgL_auxz00_1982;

						BgL_auxz00_1982 = (BgL_objectz00_bglt) (BgL_nodez00_11);
						BgL_auxz00_1981 = BGL_OBJECT_WIDENING(BgL_auxz00_1982);
					}
					BgL_testz00_1980 =
						(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_1981))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_testz00_1980)
					{	/* Cfa/funcall.scm 171 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 171 */
						{	/* Cfa/funcall.scm 173 */
							bool_t BgL_val3528z00_1746;

							BgL_val3528z00_1746 = ((bool_t) 1);
							{
								obj_t BgL_auxz00_1986;

								{	/* Cfa/funcall.scm 173 */
									BgL_objectz00_bglt BgL_auxz00_1987;

									BgL_auxz00_1987 = (BgL_objectz00_bglt) (BgL_nodez00_11);
									BgL_auxz00_1986 = BGL_OBJECT_WIDENING(BgL_auxz00_1987);
								}
								((((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_1986))->
										BgL_typezd2errorzd2noticedzf3zf3) =
									((bool_t) BgL_val3528z00_1746), BUNSPEC);
							}
						}
						{	/* Cfa/funcall.scm 174 */
							obj_t BgL_arg4534z00_1048;
							obj_t BgL_arg4537z00_1051;

							{	/* Cfa/funcall.scm 174 */
								BgL_nodez00_bglt BgL_obj1865z00_1747;

								BgL_obj1865z00_1747 = (BgL_nodez00_bglt) (BgL_nodez00_11);
								BgL_arg4534z00_1048 =
									(((BgL_nodez00_bglt) CREF(BgL_obj1865z00_1747))->BgL_locz00);
							}
							BgL_arg4537z00_1051 =
								BGl_shapez00zztools_shapez00((obj_t) (BgL_typez00_12));
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg4534z00_1048, BGl_string4717z00zzcfa_funcallz00,
								BGl_string4718z00zzcfa_funcallz00, BgL_arg4537z00_1051);
						}
					}
			}
		}
	}



/* funcall-arity-error */
	BgL_approxz00_bglt BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(obj_t
		BgL_nodez00_13, BgL_variablez00_bglt BgL_vz00_14, long BgL_arityz00_15,
		obj_t BgL_argszd2approxzd2_16)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 182 */
			{	/* Cfa/funcall.scm 184 */
				bool_t BgL_testz00_1996;

				{	/* Cfa/funcall.scm 184 */
					BgL_funcallzf2cinfozf2_bglt BgL_obj3524z00_1748;

					BgL_obj3524z00_1748 = (BgL_funcallzf2cinfozf2_bglt) (BgL_nodez00_13);
					{
						obj_t BgL_auxz00_1998;

						{	/* Cfa/funcall.scm 184 */
							BgL_objectz00_bglt BgL_auxz00_1999;

							BgL_auxz00_1999 = (BgL_objectz00_bglt) (BgL_obj3524z00_1748);
							BgL_auxz00_1998 = BGL_OBJECT_WIDENING(BgL_auxz00_1999);
						}
						BgL_testz00_1996 =
							(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_1998))->
							BgL_arityzd2errorzd2noticedzf3zf3);
				}}
				if (BgL_testz00_1996)
					{	/* Cfa/funcall.scm 184 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 185 */
						long BgL_lenzd2provzd2_1054;

						BgL_lenzd2provzd2_1054 =
							(bgl_list_length(BgL_argszd2approxzd2_16) - ((long) 1));
						{	/* Cfa/funcall.scm 186 */
							BgL_funcallzf2cinfozf2_bglt BgL_obj3526z00_1751;
							bool_t BgL_val3525z00_1752;

							BgL_obj3526z00_1751 =
								(BgL_funcallzf2cinfozf2_bglt) (BgL_nodez00_13);
							BgL_val3525z00_1752 = ((bool_t) 1);
							{
								obj_t BgL_auxz00_2006;

								{	/* Cfa/funcall.scm 186 */
									BgL_objectz00_bglt BgL_auxz00_2007;

									BgL_auxz00_2007 = (BgL_objectz00_bglt) (BgL_obj3526z00_1751);
									BgL_auxz00_2006 = BGL_OBJECT_WIDENING(BgL_auxz00_2007);
								}
								((((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_2006))->
										BgL_arityzd2errorzd2noticedzf3zf3) =
									((bool_t) BgL_val3525z00_1752), BUNSPEC);
						}}
						{	/* Cfa/funcall.scm 187 */
							obj_t BgL_arg4539z00_1055;
							obj_t BgL_arg4540z00_1056;
							obj_t BgL_arg4542z00_1058;

							{	/* Cfa/funcall.scm 187 */
								BgL_nodez00_bglt BgL_obj1865z00_1753;

								BgL_obj1865z00_1753 = (BgL_nodez00_bglt) (BgL_nodez00_13);
								BgL_arg4539z00_1055 =
									(((BgL_nodez00_bglt) CREF(BgL_obj1865z00_1753))->BgL_locz00);
							}
							{	/* Cfa/funcall.scm 191 */
								obj_t BgL_arg4543z00_1059;

								{	/* Cfa/funcall.scm 191 */
									bool_t BgL_testz00_2013;

									{	/* Cfa/funcall.scm 191 */
										obj_t BgL_obj1587z00_1754;

										BgL_obj1587z00_1754 = (obj_t) (BgL_vz00_14);
										BgL_testz00_2013 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1587z00_1754,
											BGl_localz00zzast_varz00);
									}
									if (BgL_testz00_2013)
										{	/* Cfa/funcall.scm 192 */
											BgL_localz00_bglt BgL_duplicated4479z00_1061;

											BgL_duplicated4479z00_1061 =
												(BgL_localz00_bglt) (BgL_vz00_14);
											{	/* Cfa/funcall.scm 192 */
												BgL_localz00_bglt BgL_new4480z00_1062;

												{	/* Cfa/funcall.scm 192 */
													obj_t BgL_arg4545z00_1063;
													obj_t BgL_arg4546z00_1064;
													BgL_typez00_bglt BgL_arg4547z00_1065;
													BgL_valuez00_bglt BgL_arg4548z00_1066;
													obj_t BgL_arg4549z00_1067;
													obj_t BgL_arg4550z00_1068;
													obj_t BgL_arg4551z00_1069;
													long BgL_arg4552z00_1070;
													bool_t BgL_arg4553z00_1071;
													long BgL_arg4554z00_1072;

													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1379z00_1755;

														BgL_obj1379z00_1755 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4545z00_1063 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1379z00_1755))->BgL_idz00);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1381z00_1756;

														BgL_obj1381z00_1756 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4546z00_1064 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1381z00_1756))->BgL_namez00);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1384z00_1757;

														BgL_obj1384z00_1757 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4547z00_1065 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1384z00_1757))->BgL_typez00);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1387z00_1758;

														BgL_obj1387z00_1758 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4548z00_1066 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1387z00_1758))->BgL_valuez00);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1390z00_1759;

														BgL_obj1390z00_1759 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4549z00_1067 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1390z00_1759))->BgL_accessz00);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1393z00_1760;

														BgL_obj1393z00_1760 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4550z00_1068 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1393z00_1760))->
															BgL_fastzd2alphazd2);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1396z00_1761;

														BgL_obj1396z00_1761 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4551z00_1069 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1396z00_1761))->BgL_removablez00);
													}
													{	/* Cfa/funcall.scm 192 */
														BgL_variablez00_bglt BgL_obj1399z00_1762;

														BgL_obj1399z00_1762 =
															(BgL_variablez00_bglt)
															(BgL_duplicated4479z00_1061);
														BgL_arg4552z00_1070 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1399z00_1762))->BgL_occurrencez00);
													}
													BgL_arg4553z00_1071 =
														(((BgL_localz00_bglt)
															CREF(BgL_duplicated4479z00_1061))->
														BgL_userzf3zf3);
													BgL_arg4554z00_1072 =
														(((BgL_localz00_bglt)
															CREF(BgL_duplicated4479z00_1061))->BgL_keyz00);
													BgL_new4480z00_1062 =
														BGl_makezd2localzd2zzast_varz00(BgL_arg4545z00_1063,
														BgL_arg4546z00_1064, BgL_arg4547z00_1065,
														BgL_arg4548z00_1066, BgL_arg4549z00_1067,
														BgL_arg4550z00_1068, BgL_arg4551z00_1069,
														BgL_arg4552z00_1070, BgL_arg4553z00_1071,
														BgL_arg4554z00_1072);
												}
												{	/* Cfa/funcall.scm 192 */

													BgL_arg4543z00_1059 = (obj_t) (BgL_new4480z00_1062);
										}}}
									else
										{	/* Cfa/funcall.scm 193 */
											bool_t BgL_testz00_2037;

											{	/* Cfa/funcall.scm 193 */
												obj_t BgL_obj1527z00_1765;

												BgL_obj1527z00_1765 = (obj_t) (BgL_vz00_14);
												BgL_testz00_2037 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1527z00_1765,
													BGl_globalz00zzast_varz00);
											}
											if (BgL_testz00_2037)
												{	/* Cfa/funcall.scm 194 */
													BgL_globalz00_bglt BgL_duplicated4481z00_1074;

													BgL_duplicated4481z00_1074 =
														(BgL_globalz00_bglt) (BgL_vz00_14);
													{	/* Cfa/funcall.scm 194 */
														BgL_globalz00_bglt BgL_new4482z00_1075;

														{	/* Cfa/funcall.scm 194 */
															obj_t BgL_arg4556z00_1076;
															obj_t BgL_arg4557z00_1077;
															BgL_typez00_bglt BgL_arg4558z00_1078;
															BgL_valuez00_bglt BgL_arg4559z00_1079;
															obj_t BgL_arg4560z00_1080;
															obj_t BgL_arg4561z00_1081;
															obj_t BgL_arg4562z00_1082;
															long BgL_arg4563z00_1083;
															obj_t BgL_arg4564z00_1084;
															obj_t BgL_arg4565z00_1085;
															bool_t BgL_arg4566z00_1086;
															obj_t BgL_arg4568z00_1087;
															bool_t BgL_arg4569z00_1088;
															obj_t BgL_arg4570z00_1089;
															obj_t BgL_arg4571z00_1090;
															obj_t BgL_arg4572z00_1091;

															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1379z00_1766;

																BgL_obj1379z00_1766 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4556z00_1076 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1379z00_1766))->BgL_idz00);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1381z00_1767;

																BgL_obj1381z00_1767 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4557z00_1077 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1381z00_1767))->BgL_namez00);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1384z00_1768;

																BgL_obj1384z00_1768 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4558z00_1078 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1384z00_1768))->BgL_typez00);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1387z00_1769;

																BgL_obj1387z00_1769 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4559z00_1079 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_1769))->BgL_valuez00);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1390z00_1770;

																BgL_obj1390z00_1770 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4560z00_1080 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1390z00_1770))->BgL_accessz00);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1393z00_1771;

																BgL_obj1393z00_1771 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4561z00_1081 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1393z00_1771))->
																	BgL_fastzd2alphazd2);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1396z00_1772;

																BgL_obj1396z00_1772 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4562z00_1082 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1396z00_1772))->
																	BgL_removablez00);
															}
															{	/* Cfa/funcall.scm 194 */
																BgL_variablez00_bglt BgL_obj1399z00_1773;

																BgL_obj1399z00_1773 =
																	(BgL_variablez00_bglt)
																	(BgL_duplicated4481z00_1074);
																BgL_arg4563z00_1083 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1399z00_1773))->
																	BgL_occurrencez00);
															}
															BgL_arg4564z00_1084 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_modulez00);
															BgL_arg4565z00_1085 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_importz00);
															BgL_arg4566z00_1086 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_evaluablezf3zf3);
															BgL_arg4568z00_1087 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_libraryz00);
															BgL_arg4569z00_1088 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_userzf3zf3);
															BgL_arg4570z00_1089 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_pragmaz00);
															BgL_arg4571z00_1090 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_srcz00);
															BgL_arg4572z00_1091 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_duplicated4481z00_1074))->
																BgL_jvmzd2typezd2namez00);
															BgL_new4482z00_1075 =
																BGl_makezd2globalzd2zzast_varz00
																(BgL_arg4556z00_1076, BgL_arg4557z00_1077,
																BgL_arg4558z00_1078, BgL_arg4559z00_1079,
																BgL_arg4560z00_1080, BgL_arg4561z00_1081,
																BgL_arg4562z00_1082, BgL_arg4563z00_1083,
																BgL_arg4564z00_1084, BgL_arg4565z00_1085,
																BgL_arg4566z00_1086, BgL_arg4568z00_1087,
																BgL_arg4569z00_1088, BgL_arg4570z00_1089,
																BgL_arg4571z00_1090, BgL_arg4572z00_1091);
														}
														{	/* Cfa/funcall.scm 194 */

															BgL_arg4543z00_1059 =
																(obj_t) (BgL_new4482z00_1075);
												}}}
											else
												{	/* Cfa/funcall.scm 193 */
													BgL_arg4543z00_1059 = (obj_t) (BgL_vz00_14);
												}
										}
								}
								BgL_arg4540z00_1056 =
									BGl_shapez00zztools_shapez00(BgL_arg4543z00_1059);
							}
							{	/* Cfa/funcall.scm 199 */
								obj_t BgL_arg4573z00_1092;
								obj_t BgL_arg4575z00_1094;

								{	/* Cfa/funcall.scm 199 */

									BgL_arg4573z00_1092 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_15 - ((long) 1)), ((long) 10));
								}
								{	/* Cfa/funcall.scm 201 */

									BgL_arg4575z00_1094 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_1054, ((long) 10));
								}
								{	/* Cfa/funcall.scm 198 */
									obj_t BgL_list4577z00_1096;

									{	/* Cfa/funcall.scm 198 */
										obj_t BgL_arg4578z00_1097;

										{	/* Cfa/funcall.scm 198 */
											obj_t BgL_arg4579z00_1098;

											{	/* Cfa/funcall.scm 198 */
												obj_t BgL_arg4580z00_1099;

												BgL_arg4580z00_1099 =
													MAKE_PAIR(BGl_string4719z00zzcfa_funcallz00, BNIL);
												BgL_arg4579z00_1098 =
													MAKE_PAIR(BgL_arg4575z00_1094, BgL_arg4580z00_1099);
											}
											BgL_arg4578z00_1097 =
												MAKE_PAIR(BGl_string4720z00zzcfa_funcallz00,
												BgL_arg4579z00_1098);
										}
										BgL_list4577z00_1096 =
											MAKE_PAIR(BgL_arg4573z00_1092, BgL_arg4578z00_1097);
									}
									BgL_arg4542z00_1058 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list4577z00_1096);
							}}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg4539z00_1055, BgL_arg4540z00_1056,
								BGl_string4721z00zzcfa_funcallz00, BgL_arg4542z00_1058);
			}}}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cfaz12zd2funcallzf2cinfo4496z32_1818;

				BgL_cfaz12zd2funcallzf2cinfo4496z32_1818 =
					make_fx_procedure(BGl_cfaz12zd2funcallzf2Cinfo4496z32zzcfa_funcallz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_funcallzf2Cinfozf2zzcfa_infoz00,
					BgL_cfaz12zd2funcallzf2cinfo4496z32_1818);
			}
		}
	}



/* cfa!-funcall/Cinfo4496 */
	obj_t BGl_cfaz12zd2funcallzf2Cinfo4496z32zzcfa_funcallz00(obj_t
		BgL_envz00_1819, obj_t BgL_nodez00_1820)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 42 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_nodez00_1633;

				{	/* Tools/trace.sch 53 */
					BgL_approxz00_bglt BgL_auxz00_2083;

					BgL_nodez00_1633 = (BgL_funcallzf2cinfozf2_bglt) (BgL_nodez00_1820);
					{	/* Cfa/funcall.scm 45 */
						BgL_approxz00_bglt BgL_funzd2approxzd2_1637;

						{	/* Cfa/funcall.scm 45 */
							BgL_nodez00_bglt BgL_arg4714z00_1693;

							{	/* Cfa/funcall.scm 45 */
								BgL_funcallz00_bglt BgL_obj2090z00_1784;

								BgL_obj2090z00_1784 = (BgL_funcallz00_bglt) (BgL_nodez00_1633);
								BgL_arg4714z00_1693 =
									(((BgL_funcallz00_bglt) CREF(BgL_obj2090z00_1784))->
									BgL_funz00);
							}
							BgL_funzd2approxzd2_1637 =
								BGl_cfaz12z12zzcfa_cfaz00(BgL_arg4714z00_1693);
						}
						{	/* Cfa/funcall.scm 45 */
							obj_t BgL_argszd2approxzd2_1638;

							{	/* Cfa/funcall.scm 46 */
								obj_t BgL_l4483z00_1676;

								{	/* Cfa/funcall.scm 46 */
									obj_t BgL_pairz00_1786;

									{	/* Cfa/funcall.scm 46 */
										BgL_funcallz00_bglt BgL_obj2093z00_1785;

										BgL_obj2093z00_1785 =
											(BgL_funcallz00_bglt) (BgL_nodez00_1633);
										BgL_pairz00_1786 =
											(((BgL_funcallz00_bglt) CREF(BgL_obj2093z00_1785))->
											BgL_argsz00);
									}
									BgL_l4483z00_1676 = CDR(BgL_pairz00_1786);
								}
								if (NULLP(BgL_l4483z00_1676))
									{	/* Cfa/funcall.scm 46 */
										BgL_argszd2approxzd2_1638 = BNIL;
									}
								else
									{	/* Cfa/funcall.scm 46 */
										obj_t BgL_head4485z00_1678;

										{	/* Cfa/funcall.scm 46 */
											BgL_approxz00_bglt BgL_arg4710z00_1689;

											{	/* Cfa/funcall.scm 46 */
												obj_t BgL_arg4712z00_1691;

												BgL_arg4712z00_1691 = CAR(BgL_l4483z00_1676);
												BgL_arg4710z00_1689 =
													BGl_cfaz12z12zzcfa_cfaz00(
													(BgL_nodez00_bglt) (BgL_arg4712z00_1691));
											}
											{	/* Cfa/funcall.scm 46 */
												obj_t BgL_obj1z00_1789;

												BgL_obj1z00_1789 = (obj_t) (BgL_arg4710z00_1689);
												BgL_head4485z00_1678 =
													MAKE_PAIR(BgL_obj1z00_1789, BNIL);
											}
										}
										{	/* Cfa/funcall.scm 46 */
											obj_t BgL_g4488z00_1679;

											BgL_g4488z00_1679 = CDR(BgL_l4483z00_1676);
											{
												obj_t BgL_l4483z00_1680;
												obj_t BgL_tail4486z00_1681;

												BgL_l4483z00_1680 = BgL_g4488z00_1679;
												BgL_tail4486z00_1681 = BgL_head4485z00_1678;
											BgL_map4484z00_1682:
												if (NULLP(BgL_l4483z00_1680))
													{	/* Cfa/funcall.scm 46 */
														BgL_argszd2approxzd2_1638 = BgL_head4485z00_1678;
													}
												else
													{	/* Cfa/funcall.scm 46 */
														obj_t BgL_newtail4487z00_1684;

														{	/* Cfa/funcall.scm 46 */
															BgL_approxz00_bglt BgL_arg4707z00_1686;

															{	/* Cfa/funcall.scm 46 */
																obj_t BgL_arg4709z00_1688;

																BgL_arg4709z00_1688 = CAR(BgL_l4483z00_1680);
																BgL_arg4707z00_1686 =
																	BGl_cfaz12z12zzcfa_cfaz00(
																	(BgL_nodez00_bglt) (BgL_arg4709z00_1688));
															}
															{	/* Cfa/funcall.scm 46 */
																obj_t BgL_obj1z00_1794;

																BgL_obj1z00_1794 =
																	(obj_t) (BgL_arg4707z00_1686);
																BgL_newtail4487z00_1684 =
																	MAKE_PAIR(BgL_obj1z00_1794, BNIL);
															}
														}
														SET_CDR(BgL_tail4486z00_1681,
															BgL_newtail4487z00_1684);
														{
															obj_t BgL_tail4486z00_2108;
															obj_t BgL_l4483z00_2106;

															BgL_l4483z00_2106 = CDR(BgL_l4483z00_1680);
															BgL_tail4486z00_2108 = BgL_newtail4487z00_1684;
															BgL_tail4486z00_1681 = BgL_tail4486z00_2108;
															BgL_l4483z00_1680 = BgL_l4483z00_2106;
															goto BgL_map4484z00_1682;
														}
													}
											}
										}
									}
							}
							{	/* Cfa/funcall.scm 46 */

								{	/* Cfa/funcall.scm 51 */
									BgL_typez00_bglt BgL_funzd2typezd2_1639;

									BgL_funzd2typezd2_1639 =
										(((BgL_approxz00_bglt) CREF(BgL_funzd2approxzd2_1637))->
										BgL_typez00);
									{	/* Cfa/funcall.scm 52 */
										bool_t BgL_testz00_2110;

										if (
											((obj_t) (BgL_funzd2typezd2_1639) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/funcall.scm 52 */
												BgL_testz00_2110 = ((bool_t) 0);
											}
										else
											{	/* Cfa/funcall.scm 52 */
												if (
													((obj_t) (BgL_funzd2typezd2_1639) ==
														BGl_za2objza2z00zztype_cachez00))
													{	/* Cfa/funcall.scm 53 */
														BgL_testz00_2110 = ((bool_t) 0);
													}
												else
													{	/* Cfa/funcall.scm 53 */
														if (
															((obj_t) (BgL_funzd2typezd2_1639) ==
																BGl_za2procedureza2z00zztype_cachez00))
															{	/* Cfa/funcall.scm 54 */
																BgL_testz00_2110 = ((bool_t) 0);
															}
														else
															{	/* Cfa/funcall.scm 54 */
																BgL_testz00_2110 = ((bool_t) 1);
															}
													}
											}
										if (BgL_testz00_2110)
											{	/* Cfa/funcall.scm 52 */
												BGl_funcallzd2typezd2errorz00zzcfa_funcallz00
													(BgL_nodez00_1633, BgL_funzd2typezd2_1639);
											}
										else
											{	/* Cfa/funcall.scm 52 */
												BFALSE;
											}
									}
								}
								{	/* Cfa/funcall.scm 57 */
									bool_t BgL_testz00_2121;

									{	/* Cfa/funcall.scm 57 */
										bool_t BgL_testz00_2122;

										{	/* Cfa/funcall.scm 57 */
											BgL_typez00_bglt BgL_arg4684z00_1647;

											BgL_arg4684z00_1647 =
												(((BgL_approxz00_bglt) CREF(BgL_funzd2approxzd2_1637))->
												BgL_typez00);
											BgL_testz00_2122 =
												((obj_t) (BgL_arg4684z00_1647) ==
												BGl_za2procedureza2z00zztype_cachez00);
										}
										if (BgL_testz00_2122)
											{	/* Cfa/funcall.scm 57 */
												BgL_testz00_2121 =
													(((BgL_approxz00_bglt)
														CREF(BgL_funzd2approxzd2_1637))->BgL_topzf3zf3);
											}
										else
											{	/* Cfa/funcall.scm 57 */
												BgL_testz00_2121 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_2121)
										{	/* Cfa/funcall.scm 59 */
											BgL_approxz00_bglt BgL_arg4682z00_1645;

											{
												obj_t BgL_auxz00_2127;

												{	/* Cfa/funcall.scm 59 */
													BgL_objectz00_bglt BgL_auxz00_2128;

													BgL_auxz00_2128 =
														(BgL_objectz00_bglt) (BgL_nodez00_1633);
													BgL_auxz00_2127 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2128);
												}
												BgL_arg4682z00_1645 =
													(((BgL_funcallzf2cinfozf2_bglt)
														CREF(BgL_auxz00_2127))->BgL_approxz00);
											}
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
												(BgL_arg4682z00_1645,
												(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
										}
									else
										{	/* Cfa/funcall.scm 57 */
											BFALSE;
										}
								}
								{	/* Cfa/funcall.scm 61 */
									bool_t BgL_testz00_2134;

									if (
										(((BgL_approxz00_bglt) CREF(BgL_funzd2approxzd2_1637))->
											BgL_topzf3zf3))
										{	/* Cfa/funcall.scm 61 */
											BgL_testz00_2134 = ((bool_t) 1);
										}
									else
										{	/* Cfa/funcall.scm 62 */
											bool_t BgL_testz00_2137;

											{	/* Cfa/funcall.scm 62 */
												BgL_typez00_bglt BgL_arg4703z00_1675;

												BgL_arg4703z00_1675 =
													(((BgL_approxz00_bglt)
														CREF(BgL_funzd2approxzd2_1637))->BgL_typez00);
												BgL_testz00_2137 =
													((obj_t) (BgL_arg4703z00_1675) ==
													BGl_za2procedureza2z00zztype_cachez00);
											}
											if (BgL_testz00_2137)
												{	/* Cfa/funcall.scm 62 */
													BgL_testz00_2134 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 62 */
													BgL_testz00_2134 = ((bool_t) 1);
												}
										}
									if (BgL_testz00_2134)
										{	/* Cfa/funcall.scm 61 */
											{
												obj_t BgL_l4489z00_1649;

												BgL_l4489z00_1649 = BgL_argszd2approxzd2_1638;
											BgL_forzd2each4490zd2_1650:
												if (PAIRP(BgL_l4489z00_1649))
													{	/* Cfa/funcall.scm 64 */
														{	/* Cfa/funcall.scm 64 */
															obj_t BgL_approxz00_1652;

															BgL_approxz00_1652 = CAR(BgL_l4489z00_1649);
															BGl_loosez12z12zzcfa_loosez00(
																(BgL_approxz00_bglt) (BgL_approxz00_1652),
																CNST_TABLE_REF(((long) 0)));
														}
														{
															obj_t BgL_l4489z00_2147;

															BgL_l4489z00_2147 = CDR(BgL_l4489z00_1649);
															BgL_l4489z00_1649 = BgL_l4489z00_2147;
															goto BgL_forzd2each4490zd2_1650;
														}
													}
												else
													{	/* Cfa/funcall.scm 64 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/funcall.scm 67 */
												obj_t BgL_zc3anonymousza34689ze3z83_1817;

												BgL_zc3anonymousza34689ze3z83_1817 =
													make_fx_procedure
													(BGl_zc3anonymousza34689ze3z83zzcfa_funcallz00,
													(int) (((long) 1)), (int) (((long) 3)));
												PROCEDURE_SET(BgL_zc3anonymousza34689ze3z83_1817,
													(int) (((long) 0)), (obj_t) (BgL_nodez00_1633));
												PROCEDURE_SET(BgL_zc3anonymousza34689ze3z83_1817,
													(int) (((long) 1)), BgL_argszd2approxzd2_1638);
												PROCEDURE_SET(BgL_zc3anonymousza34689ze3z83_1817,
													(int) (((long) 2)), (obj_t) (BgL_nodez00_1633));
												BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
													(BgL_zc3anonymousza34689ze3z83_1817,
													BgL_funzd2approxzd2_1637);
											}
											{	/* Cfa/funcall.scm 76 */
												BgL_approxz00_bglt BgL_arg4694z00_1663;

												{
													obj_t BgL_auxz00_2161;

													{	/* Cfa/funcall.scm 76 */
														BgL_objectz00_bglt BgL_auxz00_2162;

														BgL_auxz00_2162 =
															(BgL_objectz00_bglt) (BgL_nodez00_1633);
														BgL_auxz00_2161 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2162);
													}
													BgL_arg4694z00_1663 =
														(((BgL_funcallzf2cinfozf2_bglt)
															CREF(BgL_auxz00_2161))->BgL_approxz00);
												}
												BGl_approxzd2setzd2topz12z12zzcfa_approxz00
													(BgL_arg4694z00_1663);
										}}
									else
										{	/* Cfa/funcall.scm 79 */
											obj_t BgL_zc3anonymousza34696ze3z83_1816;

											BgL_zc3anonymousza34696ze3z83_1816 =
												make_fx_procedure
												(BGl_zc3anonymousza34696ze3z83zzcfa_funcallz00,
												(int) (((long) 1)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3anonymousza34696ze3z83_1816,
												(int) (((long) 0)), (obj_t) (BgL_nodez00_1633));
											PROCEDURE_SET(BgL_zc3anonymousza34696ze3z83_1816,
												(int) (((long) 1)), BgL_argszd2approxzd2_1638);
											PROCEDURE_SET(BgL_zc3anonymousza34696ze3z83_1816,
												(int) (((long) 2)), (obj_t) (BgL_nodez00_1633));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3anonymousza34696ze3z83_1816,
												BgL_funzd2approxzd2_1637);
								}}
								{
									obj_t BgL_auxz00_2179;

									{	/* Cfa/funcall.scm 88 */
										BgL_objectz00_bglt BgL_auxz00_2180;

										BgL_auxz00_2180 = (BgL_objectz00_bglt) (BgL_nodez00_1633);
										BgL_auxz00_2179 = BGL_OBJECT_WIDENING(BgL_auxz00_2180);
									}
									BgL_auxz00_2083 =
										(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_2179))->
										BgL_approxz00);
					}}}}
					return (obj_t) (BgL_auxz00_2083);
				}
			}
		}
	}



/* <anonymous:4689> */
	obj_t BGl_zc3anonymousza34689ze3z83zzcfa_funcallz00(obj_t BgL_envz00_1821,
		obj_t BgL_allocz00_1825)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 66 */
			{	/* Cfa/funcall.scm 67 */
				obj_t BgL_instance4470z00_1822;
				obj_t BgL_argszd2approxzd2_1823;
				obj_t BgL_nodez00_1824;

				BgL_instance4470z00_1822 =
					PROCEDURE_REF(BgL_envz00_1821, (int) (((long) 0)));
				BgL_argszd2approxzd2_1823 =
					PROCEDURE_REF(BgL_envz00_1821, (int) (((long) 1)));
				BgL_nodez00_1824 = PROCEDURE_REF(BgL_envz00_1821, (int) (((long) 2)));
				{
					obj_t BgL_allocz00_1655;

					{	/* Cfa/funcall.scm 67 */
						BgL_approxz00_bglt BgL_auxz00_2192;

						BgL_allocz00_1655 = BgL_allocz00_1825;
						if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1655,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/funcall.scm 68 */
								BgL_approxz00_bglt BgL_envzd2approxzd2_1658;

								{	/* Cfa/funcall.scm 68 */
									BgL_makezd2procedurezd2appz00_bglt BgL_obj4073z00_1809;

									BgL_obj4073z00_1809 =
										(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1655);
									{
										obj_t BgL_auxz00_2196;

										{	/* Cfa/funcall.scm 68 */
											BgL_objectz00_bglt BgL_auxz00_2197;

											BgL_auxz00_2197 =
												(BgL_objectz00_bglt) (BgL_obj4073z00_1809);
											BgL_auxz00_2196 = BGL_OBJECT_WIDENING(BgL_auxz00_2197);
										}
										BgL_envzd2approxzd2_1658 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_2196))->BgL_approxz00);
									}
								}
								{	/* Cfa/funcall.scm 69 */
									BgL_approxz00_bglt BgL_arg4691z00_1659;
									BgL_approxz00_bglt BgL_arg4692z00_1660;

									{	/* Cfa/funcall.scm 69 */
										BgL_funcallzf2cinfozf2_bglt BgL_obj3522z00_1810;

										BgL_obj3522z00_1810 =
											(BgL_funcallzf2cinfozf2_bglt) (BgL_instance4470z00_1822);
										{
											obj_t BgL_auxz00_2202;

											{	/* Cfa/funcall.scm 69 */
												BgL_objectz00_bglt BgL_auxz00_2203;

												BgL_auxz00_2203 =
													(BgL_objectz00_bglt) (BgL_obj3522z00_1810);
												BgL_auxz00_2202 = BGL_OBJECT_WIDENING(BgL_auxz00_2203);
											}
											BgL_arg4691z00_1659 =
												(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_2202))->
												BgL_approxz00);
										}
									}
									{	/* Cfa/funcall.scm 71 */
										obj_t BgL_arg4693z00_1661;

										BgL_arg4693z00_1661 =
											MAKE_PAIR(
											(obj_t) (BgL_envzd2approxzd2_1658),
											BgL_argszd2approxzd2_1823);
										BgL_arg4692z00_1660 =
											BGl_funcallz12z12zzcfa_funcallz00(
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1655),
											BgL_arg4693z00_1661, BgL_nodez00_1824);
									}
									BgL_auxz00_2192 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4691z00_1659,
										BgL_arg4692z00_1660);
								}
							}
						else
							{	/* Cfa/funcall.scm 67 */
								BgL_auxz00_2192 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
						return (obj_t) (BgL_auxz00_2192);
					}
				}
			}
		}
	}



/* <anonymous:4696> */
	obj_t BGl_zc3anonymousza34696ze3z83zzcfa_funcallz00(obj_t BgL_envz00_1826,
		obj_t BgL_allocz00_1830)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 78 */
			{	/* Cfa/funcall.scm 79 */
				obj_t BgL_instance4470z00_1827;
				obj_t BgL_argszd2approxzd2_1828;
				obj_t BgL_nodez00_1829;

				BgL_instance4470z00_1827 =
					PROCEDURE_REF(BgL_envz00_1826, (int) (((long) 0)));
				BgL_argszd2approxzd2_1828 =
					PROCEDURE_REF(BgL_envz00_1826, (int) (((long) 1)));
				BgL_nodez00_1829 = PROCEDURE_REF(BgL_envz00_1826, (int) (((long) 2)));
				{
					obj_t BgL_allocz00_1665;

					{	/* Cfa/funcall.scm 79 */
						BgL_approxz00_bglt BgL_auxz00_2220;

						BgL_allocz00_1665 = BgL_allocz00_1830;
						if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1665,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/funcall.scm 80 */
								BgL_approxz00_bglt BgL_envzd2approxzd2_1668;

								{	/* Cfa/funcall.scm 80 */
									BgL_makezd2procedurezd2appz00_bglt BgL_obj4073z00_1813;

									BgL_obj4073z00_1813 =
										(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1665);
									{
										obj_t BgL_auxz00_2224;

										{	/* Cfa/funcall.scm 80 */
											BgL_objectz00_bglt BgL_auxz00_2225;

											BgL_auxz00_2225 =
												(BgL_objectz00_bglt) (BgL_obj4073z00_1813);
											BgL_auxz00_2224 = BGL_OBJECT_WIDENING(BgL_auxz00_2225);
										}
										BgL_envzd2approxzd2_1668 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_2224))->BgL_approxz00);
									}
								}
								{	/* Cfa/funcall.scm 81 */
									BgL_approxz00_bglt BgL_arg4698z00_1669;
									BgL_approxz00_bglt BgL_arg4699z00_1670;

									{	/* Cfa/funcall.scm 81 */
										BgL_funcallzf2cinfozf2_bglt BgL_obj3522z00_1814;

										BgL_obj3522z00_1814 =
											(BgL_funcallzf2cinfozf2_bglt) (BgL_instance4470z00_1827);
										{
											obj_t BgL_auxz00_2230;

											{	/* Cfa/funcall.scm 81 */
												BgL_objectz00_bglt BgL_auxz00_2231;

												BgL_auxz00_2231 =
													(BgL_objectz00_bglt) (BgL_obj3522z00_1814);
												BgL_auxz00_2230 = BGL_OBJECT_WIDENING(BgL_auxz00_2231);
											}
											BgL_arg4698z00_1669 =
												(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_2230))->
												BgL_approxz00);
										}
									}
									{	/* Cfa/funcall.scm 83 */
										obj_t BgL_arg4700z00_1671;

										BgL_arg4700z00_1671 =
											MAKE_PAIR(
											(obj_t) (BgL_envzd2approxzd2_1668),
											BgL_argszd2approxzd2_1828);
										BgL_arg4699z00_1670 =
											BGl_funcallz12z12zzcfa_funcallz00(
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1665),
											BgL_arg4700z00_1671, BgL_nodez00_1829);
									}
									BgL_auxz00_2220 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4698z00_1669,
										BgL_arg4699z00_1670);
								}
							}
						else
							{	/* Cfa/funcall.scm 79 */
								BgL_auxz00_2220 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
						return (obj_t) (BgL_auxz00_2220);
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 207302694),
				BSTRING_TO_STRING(BGl_string4722z00zzcfa_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
