/*===========================================================================*/
/*   (Engine/signals.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/signals.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzengine_signalsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_signalsz00();
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzengine_signalsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	static obj_t
		BGl__installzd2compilerzd2signalsz12z12zzengine_signalsz00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_signalsz00();
	static obj_t BGl_killzd2myzd2selfz00zzengine_signalsz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_signalsz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2compilerzd2signalsz12zd2envzc0zzengine_signalsz00,
		BgL_bgl__installza7d2compi1290za7,
		BGl__installzd2compilerzd2signalsz12z12zzengine_signalsz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1287z00zzengine_signalsz00,
		BgL_bgl_string1287za700za7za7e1291za7,
		"*** INTERNAL-ERROR: Illegal signal caught", 41);
	      DEFINE_STRING(BGl_string1288z00zzengine_signalsz00,
		BgL_bgl_string1288za700za7za7e1292za7, " --- aborting...", 16);
	      DEFINE_STRING(BGl_string1289z00zzengine_signalsz00,
		BgL_bgl_string1289za700za7za7e1293za7, "engine_signals", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzengine_signalsz00(long BgL_checksumz00_40,
		char *BgL_fromz00_41)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_signalsz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_signalsz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_signalsz00();
					BGl_importedzd2moduleszd2initz00zzengine_signalsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_signalsz00()
	{
		AN_OBJECT;
		{	/* Engine/signals.scm 16 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_signals");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_signals");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"engine_signals");
			return BUNSPEC;
		}
	}



/* install-compiler-signals! */
	BGL_EXPORTED_DEF obj_t
		BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00()
	{
		AN_OBJECT;
		{	/* Engine/signals.scm 24 */
			{	/* Engine/signals.scm 26 */
				obj_t BgL_killzd2myzd2selfz00_36;

				BgL_killzd2myzd2selfz00_36 =
					make_fx_procedure(BGl_killzd2myzd2selfz00zzengine_signalsz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_signalz00zz__osz00(SIGFPE, BgL_killzd2myzd2selfz00_36);
				BGl_signalz00zz__osz00(SIGILL, BgL_killzd2myzd2selfz00_36);
				BGl_signalz00zz__osz00(SIGBUS, BgL_killzd2myzd2selfz00_36);
				return BGl_signalz00zz__osz00(SIGSEGV, BgL_killzd2myzd2selfz00_36);
			}
		}
	}



/* _install-compiler-signals! */
	obj_t BGl__installzd2compilerzd2signalsz12z12zzengine_signalsz00(obj_t
		BgL_envz00_37)
	{
		AN_OBJECT;
		{	/* Engine/signals.scm 24 */
			return BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
		}
	}



/* kill-my-self */
	obj_t BGl_killzd2myzd2selfz00zzengine_signalsz00(obj_t BgL_envz00_38,
		obj_t BgL_nz00_39)
	{
		AN_OBJECT;
		{	/* Engine/signals.scm 25 */
			{
				obj_t BgL_nz00_27;

				BgL_nz00_27 = BgL_nz00_39;
				{	/* Engine/signals.scm 26 */
					obj_t BgL_port1285z00_29;

					BgL_port1285z00_29 = BGL_CURRENT_ERROR_PORT();
					bgl_display_string(BGl_string1287z00zzengine_signalsz00,
						BgL_port1285z00_29);
					bgl_display_string(BGl_string1288z00zzengine_signalsz00,
						BgL_port1285z00_29);
					bgl_display_obj(BgL_nz00_27, BgL_port1285z00_29);
					BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port1285z00_29);
				}
				return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 2)));
		}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_signalsz00()
	{
		AN_OBJECT;
		{	/* Engine/signals.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_signalsz00()
	{
		AN_OBJECT;
		{	/* Engine/signals.scm 16 */
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string1289z00zzengine_signalsz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1289z00zzengine_signalsz00));
		}
	}

#ifdef __cplusplus
}
#endif
