/*===========================================================================*/
/*   (Expand/expander.scm)                                                   */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/expander.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	static obj_t BGl__checkzd2tozd2bezd2macroszd2zzexpand_expanderz00(obj_t);
	static obj_t BGl__findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t);
	static obj_t BGl__unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_expanderz00 = BUNSPEC;
	static obj_t BGl__unbindzd2Gzd2expanderz121348z12zzexpand_expanderz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2tozd2bezd2macroszd2zzexpand_expanderz00();
	BGL_IMPORT obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t);
	static obj_t BGl_zc3anonymousza31314ze3z83zzexpand_expanderz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t);
	static obj_t BGl__installzd2Gzd2comptimezd21346zd2zzexpand_expanderz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00();
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_expanderz00();
	BGL_EXPORTED_DECL obj_t BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t);
	static obj_t BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_hashtablezd2removez12zc0zz__hashz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_expanderz00();
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
	static obj_t BGl__initializa7ezd2Genvz12z67zzexpand_expanderz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tozd2bezd2macroz12z12zzexpand_expanderz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzexpand_expanderz00();
	static obj_t BGl_za2Genvza2z00zzexpand_expanderz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__initializa7ezd2Oenvz12z67zzexpand_expanderz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2Oenvza2z00zzexpand_expanderz00 = BUNSPEC;
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t
		BGl__installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t);
	static obj_t BGl__findzd2Gzd2expander1347z00zzexpand_expanderz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00();
	static obj_t BGl_methodzd2initzd2zzexpand_expanderz00();
	static obj_t BGl__tozd2bezd2macroz121349z12zzexpand_expanderz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tozd2bezd2macroz12zd2envzc0zzexpand_expanderz00,
		BgL_bgl__toza7d2beza7d2macro1360z00,
		BGl__tozd2bezd2macroz121349z12zzexpand_expanderz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unbindzd2Ozd2expanderz12zd2envzc0zzexpand_expanderz00,
		BgL_bgl__unbindza7d2oza7d2ex1361z00,
		BGl__unbindzd2Ozd2expanderz12z12zzexpand_expanderz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1350z00zzexpand_expanderz00,
		BgL_bgl_string1350za700za7za7e1362za7, "install-O-comptime-expander", 27);
	      DEFINE_STRING(BGl_string1351z00zzexpand_expanderz00,
		BgL_bgl_string1351za700za7za7e1363za7,
		"Illegal re-installation of O-expander", 37);
	      DEFINE_STRING(BGl_string1352z00zzexpand_expanderz00,
		BgL_bgl_string1352za700za7za7e1364za7, "install-G-comptime-expander", 27);
	      DEFINE_STRING(BGl_string1353z00zzexpand_expanderz00,
		BgL_bgl_string1353za700za7za7e1365za7,
		"Illegal re-installation of G-expander", 37);
	      DEFINE_STRING(BGl_string1354z00zzexpand_expanderz00,
		BgL_bgl_string1354za700za7za7e1366za7, "Can't find syntax definition", 28);
	      DEFINE_STRING(BGl_string1355z00zzexpand_expanderz00,
		BgL_bgl_string1355za700za7za7e1367za7, "Can't find macro definition", 27);
	      DEFINE_STRING(BGl_string1356z00zzexpand_expanderz00,
		BgL_bgl_string1356za700za7za7e1368za7, "expand_expander", 15);
	      DEFINE_STRING(BGl_string1357z00zzexpand_expanderz00,
		BgL_bgl_string1357za700za7za7e1369za7, "syntax expand expander ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Genvz12zd2envzb5zzexpand_expanderz00,
		BgL_bgl__initializa7a7eza7d21370z00,
		BGl__initializa7ezd2Genvz12z67zzexpand_expanderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2tozd2bezd2macroszd2envz00zzexpand_expanderz00,
		BgL_bgl__checkza7d2toza7d2be1371z00,
		BGl__checkzd2tozd2bezd2macroszd2zzexpand_expanderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2Ozd2expanderzd2envzd2zzexpand_expanderz00,
		BgL_bgl__findza7d2oza7d2expa1372z00,
		BGl__findzd2Ozd2expanderz00zzexpand_expanderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2Gzd2expanderzd2envzd2zzexpand_expanderz00,
		BgL_bgl__findza7d2gza7d2expa1373z00,
		BGl__findzd2Gzd2expander1347z00zzexpand_expanderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unbindzd2Gzd2expanderz12zd2envzc0zzexpand_expanderz00,
		BgL_bgl__unbindza7d2gza7d2ex1374z00,
		BGl__unbindzd2Gzd2expanderz121348z12zzexpand_expanderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Oenvz12zd2envzb5zzexpand_expanderz00,
		BgL_bgl__initializa7a7eza7d21375z00,
		BGl__initializa7ezd2Oenvz12z67zzexpand_expanderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2Ozd2comptimezd2expanderzd2envz00zzexpand_expanderz00,
		BgL_bgl__installza7d2oza7d2c1376z00,
		BGl__installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2Gzd2comptimezd2expanderzd2envz00zzexpand_expanderz00,
		BgL_bgl__installza7d2gza7d2c1377z00,
		BGl__installzd2Gzd2comptimezd21346zd2zzexpand_expanderz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long
		BgL_checksumz00_221, char *BgL_fromz00_222)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_expanderz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_expanderz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00();
					BGl_cnstzd2initzd2zzexpand_expanderz00();
					BGl_importedzd2moduleszd2initz00zzexpand_expanderz00();
					BGl_toplevelzd2initzd2zzexpand_expanderz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__macroz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"expand_expander");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			{	/* Expand/expander.scm 15 */
				obj_t BgL_cportz00_213;

				BgL_cportz00_213 =
					bgl_open_input_string(BGl_string1357z00zzexpand_expanderz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_214;

					BgL_iz00_214 = ((long) 2);
				BgL_loopz00_215:
					if ((BgL_iz00_214 == ((long) -1)))
						{	/* Expand/expander.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/expander.scm 15 */
							{	/* Expand/expander.scm 15 */
								obj_t BgL_arg1359z00_217;

								{	/* Expand/expander.scm 15 */

									{	/* Expand/expander.scm 15 */
										obj_t BgL_locationz00_219;

										BgL_locationz00_219 = BBOOL(((bool_t) 0));
										{	/* Expand/expander.scm 15 */

											BgL_arg1359z00_217 =
												BGl_readz00zz__readerz00(BgL_cportz00_213,
												BgL_locationz00_219);
										}
									}
								}
								{	/* Expand/expander.scm 15 */
									int BgL_auxz00_242;

									BgL_auxz00_242 = (int) (BgL_iz00_214);
									CNST_TABLE_SET(BgL_auxz00_242, BgL_arg1359z00_217);
							}}
							{	/* Expand/expander.scm 15 */
								int BgL_auxz00_220;

								BgL_auxz00_220 = (int) ((BgL_iz00_214 - ((long) 1)));
								{
									long BgL_iz00_247;

									BgL_iz00_247 = (long) (BgL_auxz00_220);
									BgL_iz00_214 = BgL_iz00_247;
									goto BgL_loopz00_215;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			BGl_za2Oenvza2z00zzexpand_expanderz00 = BNIL;
			BGl_za2Genvza2z00zzexpand_expanderz00 = BNIL;
			return (BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00 =
				BNIL, BUNSPEC);
		}
	}



/* initialize-Oenv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 39 */
			return (BGl_za2Oenvza2z00zzexpand_expanderz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* _initialize-Oenv! */
	obj_t BGl__initializa7ezd2Oenvz12z67zzexpand_expanderz00(obj_t BgL_envz00_187)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 39 */
			return BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00();
		}
	}



/* install-O-comptime-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t
		BgL_keywordz00_11, obj_t BgL_functionz00_12)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 49 */
			{	/* Expand/expander.scm 50 */
				bool_t BgL_testz00_251;

				{	/* Expand/expander.scm 50 */
					obj_t BgL_arg1317z00_66;

					{	/* Expand/expander.scm 50 */
						obj_t BgL__andtest_1285z00_125;

						BgL__andtest_1285z00_125 =
							BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
						if (CBOOL(BgL__andtest_1285z00_125))
							{	/* Expand/expander.scm 50 */
								BgL_arg1317z00_66 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_keywordz00_11);
							}
						else
							{	/* Expand/expander.scm 50 */
								BgL_arg1317z00_66 = BFALSE;
							}
					}
					if (STRUCTP(BgL_arg1317z00_66))
						{	/* Expand/expander.scm 50 */
							BgL_testz00_251 =
								(STRUCT_KEY(BgL_arg1317z00_66) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Expand/expander.scm 50 */
							BgL_testz00_251 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_251)
					{	/* Expand/expander.scm 50 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string1350z00zzexpand_expanderz00,
							BGl_string1351z00zzexpand_expanderz00, BgL_keywordz00_11);
					}
				else
					{	/* Expand/expander.scm 54 */
						obj_t BgL_newz00_58;

						{	/* Expand/expander.scm 55 */
							obj_t BgL_zc3anonymousza31314ze3z83_188;

							BgL_zc3anonymousza31314ze3z83_188 =
								make_fx_procedure
								(BGl_zc3anonymousza31314ze3z83zzexpand_expanderz00,
								(int) (((long) 2)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31314ze3z83_188,
								(int) (((long) 0)), BgL_functionz00_12);
							{	/* Expand/expander.scm 54 */
								obj_t BgL_newz00_134;

								BgL_newz00_134 =
									create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
								{	/* Expand/expander.scm 54 */
									int BgL_auxz00_269;

									BgL_auxz00_269 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_134, BgL_auxz00_269,
										BgL_zc3anonymousza31314ze3z83_188);
								}
								{	/* Expand/expander.scm 54 */
									int BgL_auxz00_272;

									BgL_auxz00_272 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_134, BgL_auxz00_272, BgL_keywordz00_11);
								}
								BgL_newz00_58 = BgL_newz00_134;
						}}
						BGl_hashtablezd2putz12zc0zz__hashz00
							(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_keywordz00_11,
							BgL_newz00_58);
						return BgL_newz00_58;
					}
			}
		}
	}



/* _install-O-comptime-expander */
	obj_t BGl__installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t
		BgL_envz00_189, obj_t BgL_keywordz00_190, obj_t BgL_functionz00_191)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 49 */
			return
				BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00
				(BgL_keywordz00_190, BgL_functionz00_191);
		}
	}



/* <anonymous:1314> */
	obj_t BGl_zc3anonymousza31314ze3z83zzexpand_expanderz00(obj_t BgL_envz00_192,
		obj_t BgL_xz00_194, obj_t BgL_ez00_195)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 54 */
			{	/* Expand/expander.scm 55 */
				obj_t BgL_functionz00_193;

				BgL_functionz00_193 = PROCEDURE_REF(BgL_envz00_192, (int) (((long) 0)));
				{
					obj_t BgL_xz00_60;
					obj_t BgL_ez00_61;

					BgL_xz00_60 = BgL_xz00_194;
					BgL_ez00_61 = BgL_ez00_195;
					{	/* Expand/expander.scm 55 */
						obj_t BgL_newxz00_63;

						BgL_newxz00_63 =
							PROCEDURE_ENTRY(BgL_functionz00_193) (BgL_functionz00_193,
							BgL_xz00_60, BgL_ez00_61, BEOA);
						if (PAIRP(BgL_newxz00_63))
							{	/* Expand/expander.scm 56 */
								return
									BGl_epairifyz00zztools_miscz00(BgL_newxz00_63, BgL_xz00_60);
							}
						else
							{	/* Expand/expander.scm 56 */
								return BgL_newxz00_63;
							}
					}
				}
			}
		}
	}



/* find-O-expander */
	BGL_EXPORTED_DEF obj_t BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t
		BgL_symbolz00_13)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 68 */
			{	/* Expand/expander.scm 69 */
				obj_t BgL__andtest_1285z00_144;

				BgL__andtest_1285z00_144 =
					BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
				if (CBOOL(BgL__andtest_1285z00_144))
					{	/* Expand/expander.scm 69 */
						return
							BGl_hashtablezd2getzd2zz__hashz00
							(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_symbolz00_13);
					}
				else
					{	/* Expand/expander.scm 69 */
						return BFALSE;
					}
			}
		}
	}



/* _find-O-expander */
	obj_t BGl__findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t BgL_envz00_196,
		obj_t BgL_symbolz00_197)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 68 */
			return BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(BgL_symbolz00_197);
		}
	}



/* unbind-O-expander! */
	BGL_EXPORTED_DEF obj_t
		BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t BgL_symbolz00_14)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 74 */
			return
				BBOOL(BGl_hashtablezd2removez12zc0zz__hashz00
				(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_symbolz00_14));
		}
	}



/* _unbind-O-expander! */
	obj_t BGl__unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t
		BgL_envz00_198, obj_t BgL_symbolz00_199)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 74 */
			return
				BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(BgL_symbolz00_199);
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 85 */
			return (BGl_za2Genvza2z00zzexpand_expanderz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* _initialize-Genv! */
	obj_t BGl__initializa7ezd2Genvz12z67zzexpand_expanderz00(obj_t BgL_envz00_200)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 85 */
			return BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00();
		}
	}



/* install-G-comptime-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t
		BgL_keywordz00_15, obj_t BgL_functionz00_16)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 95 */
			{	/* Expand/expander.scm 96 */
				bool_t BgL_testz00_293;

				{	/* Expand/expander.scm 96 */
					obj_t BgL_arg1320z00_71;

					BgL_arg1320z00_71 =
						BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(BgL_keywordz00_15);
					if (STRUCTP(BgL_arg1320z00_71))
						{	/* Expand/expander.scm 96 */
							BgL_testz00_293 =
								(STRUCT_KEY(BgL_arg1320z00_71) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Expand/expander.scm 96 */
							BgL_testz00_293 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_293)
					{	/* Expand/expander.scm 96 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string1352z00zzexpand_expanderz00,
							BGl_string1353z00zzexpand_expanderz00, BgL_keywordz00_15);
					}
				else
					{	/* Expand/expander.scm 100 */
						obj_t BgL_newz00_70;

						{	/* Expand/expander.scm 100 */
							obj_t BgL_newz00_154;

							BgL_newz00_154 =
								create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
							{	/* Expand/expander.scm 100 */
								int BgL_auxz00_304;

								BgL_auxz00_304 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_154, BgL_auxz00_304, BgL_functionz00_16);
							}
							{	/* Expand/expander.scm 100 */
								int BgL_auxz00_307;

								BgL_auxz00_307 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_154, BgL_auxz00_307, BgL_keywordz00_15);
							}
							BgL_newz00_70 = BgL_newz00_154;
						}
						BGl_hashtablezd2putz12zc0zz__hashz00
							(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_keywordz00_15,
							BgL_newz00_70);
						return BgL_newz00_70;
					}
			}
		}
	}



/* _install-G-comptime-1346 */
	obj_t BGl__installzd2Gzd2comptimezd21346zd2zzexpand_expanderz00(obj_t
		BgL_envz00_201, obj_t BgL_keywordz00_202, obj_t BgL_functionz00_203)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 95 */
			return
				BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00
				(BgL_keywordz00_202, BgL_functionz00_203);
		}
	}



/* find-G-expander */
	BGL_EXPORTED_DEF obj_t BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t
		BgL_symbolz00_17)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 110 */
			{	/* Expand/expander.scm 111 */
				bool_t BgL_testz00_312;

				{	/* Expand/expander.scm 111 */
					bool_t BgL_res1345z00_173;

					{	/* Expand/expander.scm 111 */
						obj_t BgL_objz00_165;

						BgL_objz00_165 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
						if (INTEGERP(BgL_objz00_165))
							{	/* Expand/expander.scm 111 */
								BgL_res1345z00_173 = ((bool_t) 1);
							}
						else
							{	/* Expand/expander.scm 111 */
								if (REALP(BgL_objz00_165))
									{	/* Expand/expander.scm 111 */
										BgL_res1345z00_173 = ((bool_t) 1);
									}
								else
									{	/* Expand/expander.scm 111 */
										if (ELONGP(BgL_objz00_165))
											{	/* Expand/expander.scm 111 */
												BgL_res1345z00_173 = ((bool_t) 1);
											}
										else
											{	/* Expand/expander.scm 111 */
												BgL_res1345z00_173 = LLONGP(BgL_objz00_165);
											}
									}
							}
					}
					BgL_testz00_312 = BgL_res1345z00_173;
				}
				if (BgL_testz00_312)
					{	/* Expand/expander.scm 111 */
						if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00
							(BGl_za2compilerzd2debugza2zd2zzengine_paramz00,
								BINT(((long) 1))))
							{	/* Expand/expander.scm 111 */
								return
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_symbolz00_17);
							}
						else
							{	/* Expand/expander.scm 111 */
								return BFALSE;
							}
					}
				else
					{	/* Expand/expander.scm 111 */
						return BFALSE;
					}
			}
		}
	}



/* _find-G-expander1347 */
	obj_t BGl__findzd2Gzd2expander1347z00zzexpand_expanderz00(obj_t
		BgL_envz00_204, obj_t BgL_symbolz00_205)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 110 */
			return BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(BgL_symbolz00_205);
		}
	}



/* unbind-G-expander! */
	BGL_EXPORTED_DEF obj_t
		BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t BgL_symbolz00_18)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 117 */
			return
				BBOOL(BGl_hashtablezd2removez12zc0zz__hashz00
				(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_symbolz00_18));
		}
	}



/* _unbind-G-expander!1348 */
	obj_t BGl__unbindzd2Gzd2expanderz121348z12zzexpand_expanderz00(obj_t
		BgL_envz00_206, obj_t BgL_symbolz00_207)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 117 */
			return
				BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(BgL_symbolz00_207);
		}
	}



/* to-be-macro! */
	BGL_EXPORTED_DEF obj_t BGl_tozd2bezd2macroz12z12zzexpand_expanderz00(obj_t
		BgL_idz00_19, obj_t BgL_srcz00_20)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 128 */
			if (CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_19,
						BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00)))
				{	/* Expand/expander.scm 129 */
					return BFALSE;
				}
			else
				{	/* Expand/expander.scm 130 */
					obj_t BgL_arg1323z00_75;

					BgL_arg1323z00_75 = MAKE_PAIR(BgL_idz00_19, BgL_srcz00_20);
					return (BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00 =
						MAKE_PAIR(BgL_arg1323z00_75,
							BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00), BUNSPEC);
				}
		}
	}



/* _to-be-macro!1349 */
	obj_t BGl__tozd2bezd2macroz121349z12zzexpand_expanderz00(obj_t BgL_envz00_208,
		obj_t BgL_idz00_209, obj_t BgL_srcz00_210)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 128 */
			return
				BGl_tozd2bezd2macroz12z12zzexpand_expanderz00(BgL_idz00_209,
				BgL_srcz00_210);
		}
	}



/* check-to-be-macros */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2tozd2bezd2macroszd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 135 */
			{
				obj_t BgL_l1288z00_76;

				{	/* Expand/expander.scm 136 */
					bool_t BgL_auxz00_334;

					BgL_l1288z00_76 = BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00;
				BgL_forzd2each1290zd2_77:
					if (PAIRP(BgL_l1288z00_76))
						{	/* Expand/expander.scm 136 */
							{	/* Expand/expander.scm 137 */
								obj_t BgL_mz00_79;

								BgL_mz00_79 = CAR(BgL_l1288z00_76);
								{
									obj_t BgL_idz00_80;

									{	/* Expand/expander.scm 137 */
										obj_t BgL_ezd2931zd2_83;

										BgL_ezd2931zd2_83 = CDR(BgL_mz00_79);
										if (PAIRP(BgL_ezd2931zd2_83))
											{	/* Expand/expander.scm 137 */
												obj_t BgL_cdrzd2935zd2_85;

												BgL_cdrzd2935zd2_85 = CDR(BgL_ezd2931zd2_83);
												if (
													(CAR(BgL_ezd2931zd2_83) ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Expand/expander.scm 137 */
														if (PAIRP(BgL_cdrzd2935zd2_85))
															{	/* Expand/expander.scm 137 */
																if (NULLP(CDR(BgL_cdrzd2935zd2_85)))
																	{	/* Expand/expander.scm 137 */
																		BgL_idz00_80 = CAR(BgL_cdrzd2935zd2_85);
																		if (CBOOL
																			(BGl_getzd2compilerzd2expanderz00zz__macroz00
																				(BgL_idz00_80)))
																			{	/* Expand/expander.scm 139 */
																				BFALSE;
																			}
																		else
																			{	/* Expand/expander.scm 139 */
																				BGl_errorz00zz__errorz00(CNST_TABLE_REF(
																						((long) 1)),
																					BGl_string1354z00zzexpand_expanderz00,
																					BgL_idz00_80);
																	}}
																else
																	{	/* Expand/expander.scm 137 */
																	BgL_tagzd2930zd2_82:
																		{	/* Expand/expander.scm 144 */
																			bool_t BgL_testz00_357;

																			{	/* Expand/expander.scm 144 */
																				obj_t BgL_arg1338z00_98;

																				BgL_arg1338z00_98 = CAR(BgL_mz00_79);
																				BgL_testz00_357 =
																					CBOOL
																					(BGl_getzd2compilerzd2expanderz00zz__macroz00
																					(BgL_arg1338z00_98));
																			}
																			if (BgL_testz00_357)
																				{	/* Expand/expander.scm 144 */
																					BFALSE;
																				}
																			else
																				{	/* Expand/expander.scm 145 */
																					obj_t BgL_arg1335z00_95;
																					obj_t BgL_arg1337z00_97;

																					BgL_arg1335z00_95 =
																						CNST_TABLE_REF(((long) 1));
																					BgL_arg1337z00_97 = CDR(BgL_mz00_79);
																					BGl_errorz00zz__errorz00
																						(BgL_arg1335z00_95,
																						BGl_string1355z00zzexpand_expanderz00,
																						BgL_arg1337z00_97);
															}}}}
														else
															{	/* Expand/expander.scm 137 */
																goto BgL_tagzd2930zd2_82;
															}
													}
												else
													{	/* Expand/expander.scm 137 */
														goto BgL_tagzd2930zd2_82;
													}
											}
										else
											{	/* Expand/expander.scm 137 */
												goto BgL_tagzd2930zd2_82;
											}
									}
								}
							}
							{
								obj_t BgL_l1288z00_364;

								BgL_l1288z00_364 = CDR(BgL_l1288z00_76);
								BgL_l1288z00_76 = BgL_l1288z00_364;
								goto BgL_forzd2each1290zd2_77;
							}
						}
					else
						{	/* Expand/expander.scm 136 */
							BgL_auxz00_334 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_334);
				}
			}
		}
	}



/* _check-to-be-macros */
	obj_t BGl__checkzd2tozd2bezd2macroszd2zzexpand_expanderz00(obj_t
		BgL_envz00_211)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 135 */
			return BGl_checkzd2tozd2bezd2macroszd2zzexpand_expanderz00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1356z00zzexpand_expanderz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1356z00zzexpand_expanderz00));
			return
				BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1356z00zzexpand_expanderz00));
		}
	}

#ifdef __cplusplus
}
#endif
