/*===========================================================================*/
/*   (Expand/if.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/if.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_expandzd2orzf2boolz20zzexpand_ifz00(obj_t);
	extern obj_t BGl_lexicalzd2stackzd2zzexpand_epsz00();
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_ifz00 = BUNSPEC;
	static obj_t BGl_findzd2casezd2expz00zzexpand_ifz00(obj_t);
	static obj_t BGl_valzd2ze3constantz31zzexpand_ifz00(obj_t);
	static obj_t BGl__expandzd2testzd2zzexpand_ifz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl__expandzd2andzd2zzexpand_ifz00(obj_t, obj_t, obj_t);
	static obj_t BGl__expandzd2not2109zd2zzexpand_ifz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_loopz72z72z00zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_ifz00();
	static obj_t BGl_getzd2newzd2testzd2namezd2zzexpand_ifz00(obj_t);
	static obj_t BGl__expandzd2orzd2zzexpand_ifz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_ifz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static bool_t BGl_iszd2azd2validzd2constantzf3z21zzexpand_ifz00(obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_ifz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzexpand_ifz00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2andzd2zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_expandzd2andzf2boolz20zzexpand_ifz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2notzd2zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_newzd2ezd2zzexpand_ifz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_loopz72z72z72z72zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_makezd2clausezd2zzexpand_ifz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	static bool_t BGl_za2casezd2enabledzf3za2z21zzexpand_ifz00;
	static obj_t BGl_loopz00zzexpand_ifz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2ifzd2zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_loopz72z72zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_iszd2casezf3z21zzexpand_ifz00(obj_t);
	static obj_t BGl_expandzd2ifzd2withz00zzexpand_ifz00(obj_t, obj_t, obj_t,
		bool_t);
	static obj_t BGl_expandzd2testzd2zzexpand_ifz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2orzd2zzexpand_ifz00(obj_t, obj_t);
	static obj_t BGl_ifzd2ze3casez12z23zzexpand_ifz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_ifz00();
	static obj_t BGl__expandzd2if2108zd2zzexpand_ifz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_ifz00();
	static obj_t __cnst[16];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2orzd2envz00zzexpand_ifz00,
		BgL_bgl__expandza7d2orza7d2za72124za7, BGl__expandzd2orzd2zzexpand_ifz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2ifzd2envz00zzexpand_ifz00,
		BgL_bgl__expandza7d2if21082125za7, BGl__expandzd2if2108zd2zzexpand_ifz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2notzd2envz00zzexpand_ifz00,
		BgL_bgl__expandza7d2not2102126za7, BGl__expandzd2not2109zd2zzexpand_ifz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2andzd2envz00zzexpand_ifz00,
		BgL_bgl__expandza7d2andza7d22127z00, BGl__expandzd2andzd2zzexpand_ifz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_expandzd2testzd2envz00zzexpand_ifz00,
		BgL_bgl__expandza7d2testza7d2128z00, BGl__expandzd2testzd2zzexpand_ifz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2110z00zzexpand_ifz00,
		BgL_bgl_string2110za700za7za7e2129za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2111z00zzexpand_ifz00,
		BgL_bgl_string2111za700za7za7e2130za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string2112z00zzexpand_ifz00,
		BgL_bgl_string2112za700za7za7e2131za7, "_", 1);
	      DEFINE_STRING(BGl_string2113z00zzexpand_ifz00,
		BgL_bgl_string2113za700za7za7e2132za7, "test_", 5);
	      DEFINE_STRING(BGl_string2114z00zzexpand_ifz00,
		BgL_bgl_string2114za700za7za7e2133za7, "or", 2);
	      DEFINE_STRING(BGl_string2115z00zzexpand_ifz00,
		BgL_bgl_string2115za700za7za7e2134za7, "and", 3);
	      DEFINE_STRING(BGl_string2116z00zzexpand_ifz00,
		BgL_bgl_string2116za700za7za7e2135za7, "Illegal `not' form", 18);
	      DEFINE_STRING(BGl_string2117z00zzexpand_ifz00,
		BgL_bgl_string2117za700za7za7e2136za7, "expand_if", 9);
	      DEFINE_STRING(BGl_string2118z00zzexpand_ifz00,
		BgL_bgl_string2118za700za7za7e2137za7,
		"non-user else quote memq eqv? char=? =fx eq? c-eq? case and or null? let test if ",
		81);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_ifz00(long
		BgL_checksumz00_989, char *BgL_fromz00_990)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_ifz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_ifz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_ifz00();
					BGl_cnstzd2initzd2zzexpand_ifz00();
					BGl_importedzd2moduleszd2initz00zzexpand_ifz00();
					BGl_toplevelzd2initzd2zzexpand_ifz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_ifz00()
	{
		AN_OBJECT;
		{	/* Expand/if.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_if");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "expand_if");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_if");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_if");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "expand_if");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_ifz00()
	{
		AN_OBJECT;
		{	/* Expand/if.scm 15 */
			{	/* Expand/if.scm 15 */
				obj_t BgL_cportz00_981;

				BgL_cportz00_981 =
					bgl_open_input_string(BGl_string2118z00zzexpand_ifz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_982;

					BgL_iz00_982 = ((long) 15);
				BgL_loopz00_983:
					if ((BgL_iz00_982 == ((long) -1)))
						{	/* Expand/if.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/if.scm 15 */
							{	/* Expand/if.scm 15 */
								obj_t BgL_arg2123z00_985;

								{	/* Expand/if.scm 15 */

									{	/* Expand/if.scm 15 */
										obj_t BgL_locationz00_987;

										BgL_locationz00_987 = BBOOL(((bool_t) 0));
										{	/* Expand/if.scm 15 */

											BgL_arg2123z00_985 =
												BGl_readz00zz__readerz00(BgL_cportz00_981,
												BgL_locationz00_987);
										}
									}
								}
								{	/* Expand/if.scm 15 */
									int BgL_auxz00_1009;

									BgL_auxz00_1009 = (int) (BgL_iz00_982);
									CNST_TABLE_SET(BgL_auxz00_1009, BgL_arg2123z00_985);
							}}
							{	/* Expand/if.scm 15 */
								int BgL_auxz00_988;

								BgL_auxz00_988 = (int) ((BgL_iz00_982 - ((long) 1)));
								{
									long BgL_iz00_1014;

									BgL_iz00_1014 = (long) (BgL_auxz00_988);
									BgL_iz00_982 = BgL_iz00_1014;
									goto BgL_loopz00_983;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_ifz00()
	{
		AN_OBJECT;
		{	/* Expand/if.scm 15 */
			return (BGl_za2casezd2enabledzf3za2z21zzexpand_ifz00 =
				((bool_t) 1), BUNSPEC);
		}
	}



/* expand-or/bool */
	obj_t BGl_expandzd2orzf2boolz20zzexpand_ifz00(obj_t BgL_expz00_1)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 28 */
			return
				BGl_replacez12z12zztools_miscz00(BgL_expz00_1,
				BGl_loopz72z72z72z72zzexpand_ifz00(BgL_expz00_1, CDR(BgL_expz00_1)));
		}
	}



/* loop''' */
	obj_t BGl_loopz72z72z72z72zzexpand_ifz00(obj_t BgL_expz00_980,
		obj_t BgL_sorz00_52)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 29 */
			if (NULLP(BgL_sorz00_52))
				{	/* Expand/if.scm 31 */
					return BFALSE;
				}
			else
				{	/* Expand/if.scm 31 */
					if (PAIRP(BgL_sorz00_52))
						{	/* Expand/if.scm 33 */
							if (NULLP(CDR(BgL_sorz00_52)))
								{	/* Expand/if.scm 35 */
									return CAR(BgL_sorz00_52);
								}
							else
								{	/* Expand/if.scm 38 */
									obj_t BgL_resz00_57;

									{	/* Expand/if.scm 38 */
										obj_t BgL_arg1314z00_64;
										obj_t BgL_arg1315z00_65;

										BgL_arg1314z00_64 = CNST_TABLE_REF(((long) 0));
										{	/* Expand/if.scm 38 */
											obj_t BgL_arg1317z00_66;
											obj_t BgL_arg1318z00_67;

											BgL_arg1317z00_66 = CAR(BgL_sorz00_52);
											BgL_arg1318z00_67 =
												BGl_loopz72z72z72z72zzexpand_ifz00(BgL_expz00_980,
												CDR(BgL_sorz00_52));
											{	/* Expand/if.scm 38 */
												obj_t BgL_list1320z00_69;

												{	/* Expand/if.scm 38 */
													obj_t BgL_arg1321z00_70;

													{	/* Expand/if.scm 38 */
														obj_t BgL_arg1323z00_71;

														BgL_arg1323z00_71 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg1321z00_70 =
															MAKE_PAIR(BgL_arg1318z00_67, BgL_arg1323z00_71);
													}
													BgL_list1320z00_69 =
														MAKE_PAIR(BTRUE, BgL_arg1321z00_70);
												}
												BgL_arg1315z00_65 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1317z00_66, BgL_list1320z00_69);
										}}
										BgL_resz00_57 =
											MAKE_PAIR(BgL_arg1314z00_64, BgL_arg1315z00_65);
									}
									{	/* Expand/if.scm 40 */
										bool_t BgL_testz00_1036;

										{	/* Expand/if.scm 40 */
											obj_t BgL_auxz00_1037;

											BgL_auxz00_1037 = CAR(BgL_sorz00_52);
											BgL_testz00_1036 = EXTENDED_PAIRP(BgL_auxz00_1037);
										}
										if (BgL_testz00_1036)
											{	/* Expand/if.scm 41 */
												obj_t BgL_arg1307z00_59;
												obj_t BgL_arg1310z00_60;
												obj_t BgL_arg1311z00_61;

												BgL_arg1307z00_59 = CAR(BgL_resz00_57);
												BgL_arg1310z00_60 = CDR(BgL_resz00_57);
												BgL_arg1311z00_61 = CER(CAR(BgL_sorz00_52));
												{	/* Expand/if.scm 41 */
													obj_t BgL_res2099z00_627;

													BgL_res2099z00_627 =
														MAKE_EXTENDED_PAIR(BgL_arg1307z00_59,
														BgL_arg1310z00_60, BgL_arg1311z00_61);
													return BgL_res2099z00_627;
												}
											}
										else
											{	/* Expand/if.scm 40 */
												return BgL_resz00_57;
											}
									}
								}
						}
					else
						{	/* Expand/if.scm 33 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string2110z00zzexpand_ifz00, BgL_expz00_980);
						}
				}
		}
	}



/* expand-and/bool */
	obj_t BGl_expandzd2andzf2boolz20zzexpand_ifz00(obj_t BgL_expz00_2)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 49 */
			return
				BGl_replacez12z12zztools_miscz00(BgL_expz00_2,
				BGl_loopz72z72z00zzexpand_ifz00(BgL_expz00_2, CDR(BgL_expz00_2)));
		}
	}



/* loop'' */
	obj_t BGl_loopz72z72z00zzexpand_ifz00(obj_t BgL_expz00_979,
		obj_t BgL_sandz00_76)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 50 */
			if (NULLP(BgL_sandz00_76))
				{	/* Expand/if.scm 52 */
					return BTRUE;
				}
			else
				{	/* Expand/if.scm 52 */
					if (PAIRP(BgL_sandz00_76))
						{	/* Expand/if.scm 54 */
							if (NULLP(CDR(BgL_sandz00_76)))
								{	/* Expand/if.scm 56 */
									return CAR(BgL_sandz00_76);
								}
							else
								{	/* Expand/if.scm 59 */
									obj_t BgL_resz00_81;

									{	/* Expand/if.scm 59 */
										obj_t BgL_arg1335z00_88;
										obj_t BgL_arg1336z00_89;

										BgL_arg1335z00_88 = CNST_TABLE_REF(((long) 0));
										{	/* Expand/if.scm 59 */
											obj_t BgL_arg1337z00_90;
											obj_t BgL_arg1338z00_91;

											BgL_arg1337z00_90 = CAR(BgL_sandz00_76);
											BgL_arg1338z00_91 =
												BGl_loopz72z72z00zzexpand_ifz00(BgL_expz00_979,
												CDR(BgL_sandz00_76));
											{	/* Expand/if.scm 59 */
												obj_t BgL_list1341z00_93;

												{	/* Expand/if.scm 59 */
													obj_t BgL_arg1342z00_94;

													{	/* Expand/if.scm 59 */
														obj_t BgL_arg1343z00_95;

														BgL_arg1343z00_95 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg1342z00_94 =
															MAKE_PAIR(BFALSE, BgL_arg1343z00_95);
													}
													BgL_list1341z00_93 =
														MAKE_PAIR(BgL_arg1338z00_91, BgL_arg1342z00_94);
												}
												BgL_arg1336z00_89 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1337z00_90, BgL_list1341z00_93);
										}}
										BgL_resz00_81 =
											MAKE_PAIR(BgL_arg1335z00_88, BgL_arg1336z00_89);
									}
									{	/* Expand/if.scm 61 */
										bool_t BgL_testz00_1066;

										{	/* Expand/if.scm 61 */
											obj_t BgL_auxz00_1067;

											BgL_auxz00_1067 = CAR(BgL_sandz00_76);
											BgL_testz00_1066 = EXTENDED_PAIRP(BgL_auxz00_1067);
										}
										if (BgL_testz00_1066)
											{	/* Expand/if.scm 62 */
												obj_t BgL_arg1330z00_83;
												obj_t BgL_arg1331z00_84;
												obj_t BgL_arg1332z00_85;

												BgL_arg1330z00_83 = CAR(BgL_resz00_81);
												BgL_arg1331z00_84 = CDR(BgL_resz00_81);
												BgL_arg1332z00_85 = CER(CAR(BgL_sandz00_76));
												{	/* Expand/if.scm 62 */
													obj_t BgL_res2100z00_645;

													BgL_res2100z00_645 =
														MAKE_EXTENDED_PAIR(BgL_arg1330z00_83,
														BgL_arg1331z00_84, BgL_arg1332z00_85);
													return BgL_res2100z00_645;
												}
											}
										else
											{	/* Expand/if.scm 61 */
												return BgL_resz00_81;
											}
									}
								}
						}
					else
						{	/* Expand/if.scm 54 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string2110z00zzexpand_ifz00, BgL_expz00_979);
						}
				}
		}
	}



/* expand-test */
	obj_t BGl_expandzd2testzd2zzexpand_ifz00(obj_t BgL_xz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 70 */
			if (CBOOL(BGl_za2nilza2z00zz__evalz00))
				{	/* Expand/if.scm 80 */
					obj_t BgL_resz00_99;

					BgL_resz00_99 = BGl_newzd2ezd2zzexpand_ifz00(BgL_xz00_3, BgL_ez00_4);
					{	/* Expand/if.scm 81 */
						bool_t BgL_testz00_1079;

						if (PAIRP(BgL_xz00_3))
							{	/* Expand/if.scm 81 */
								BgL_testz00_1079 = PAIRP(BgL_resz00_99);
							}
						else
							{	/* Expand/if.scm 81 */
								BgL_testz00_1079 = ((bool_t) 0);
							}
						if (BgL_testz00_1079)
							{	/* Expand/if.scm 81 */
								return
									BGl_replacez12z12zztools_miscz00(BgL_xz00_3, BgL_resz00_99);
							}
						else
							{	/* Expand/if.scm 81 */
								return BgL_resz00_99;
							}
					}
				}
			else
				{	/* Expand/if.scm 84 */
					obj_t BgL_auxz00_102;

					BgL_auxz00_102 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
					{	/* Expand/if.scm 85 */
						obj_t BgL_arg1348z00_103;
						obj_t BgL_arg1350z00_104;

						BgL_arg1348z00_103 = CNST_TABLE_REF(((long) 2));
						{	/* Expand/if.scm 85 */
							obj_t BgL_arg1351z00_105;
							obj_t BgL_arg1354z00_106;

							{	/* Expand/if.scm 85 */
								obj_t BgL_arg1358z00_110;

								{	/* Expand/if.scm 85 */
									obj_t BgL_arg1360z00_112;

									{	/* Expand/if.scm 85 */
										obj_t BgL_arg1362z00_113;

										{	/* Expand/if.scm 85 */
											obj_t BgL_resz00_116;

											BgL_resz00_116 =
												BGl_newzd2ezd2zzexpand_ifz00(BgL_xz00_3, BgL_ez00_4);
											if (PAIRP(BgL_resz00_116))
												{	/* Expand/if.scm 89 */
													BgL_arg1362z00_113 =
														MAKE_PAIR(CAR(BgL_resz00_116), CDR(BgL_resz00_116));
												}
											else
												{	/* Expand/if.scm 89 */
													BgL_arg1362z00_113 = BgL_resz00_116;
												}
										}
										{	/* Expand/if.scm 85 */
											obj_t BgL_list1364z00_115;

											BgL_list1364z00_115 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1360z00_112 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1362z00_113, BgL_list1364z00_115);
										}
									}
									BgL_arg1358z00_110 =
										MAKE_PAIR(BgL_auxz00_102, BgL_arg1360z00_112);
								}
								BgL_arg1351z00_105 = MAKE_PAIR(BgL_arg1358z00_110, BNIL);
							}
							{	/* Expand/if.scm 92 */
								obj_t BgL_arg1368z00_120;
								obj_t BgL_arg1369z00_121;

								BgL_arg1368z00_120 = CNST_TABLE_REF(((long) 0));
								{	/* Expand/if.scm 93 */
									obj_t BgL_arg1370z00_122;

									{	/* Expand/if.scm 93 */
										obj_t BgL_arg1375z00_127;
										obj_t BgL_arg1376z00_128;

										BgL_arg1375z00_127 = CNST_TABLE_REF(((long) 0));
										{	/* Expand/if.scm 93 */
											obj_t BgL_arg1377z00_129;

											{	/* Expand/if.scm 93 */
												obj_t BgL_arg1382z00_134;
												obj_t BgL_arg1383z00_135;

												BgL_arg1382z00_134 = CNST_TABLE_REF(((long) 3));
												{	/* Expand/if.scm 93 */
													obj_t BgL_list1384z00_136;

													BgL_list1384z00_136 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg1383z00_135 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_auxz00_102, BgL_list1384z00_136);
												}
												BgL_arg1377z00_129 =
													MAKE_PAIR(BgL_arg1382z00_134, BgL_arg1383z00_135);
											}
											{	/* Expand/if.scm 93 */
												obj_t BgL_list1379z00_131;

												{	/* Expand/if.scm 93 */
													obj_t BgL_arg1380z00_132;

													{	/* Expand/if.scm 93 */
														obj_t BgL_arg1381z00_133;

														BgL_arg1381z00_133 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg1380z00_132 =
															MAKE_PAIR(BTRUE, BgL_arg1381z00_133);
													}
													BgL_list1379z00_131 =
														MAKE_PAIR(BFALSE, BgL_arg1380z00_132);
												}
												BgL_arg1376z00_128 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1377z00_129, BgL_list1379z00_131);
										}}
										BgL_arg1370z00_122 =
											MAKE_PAIR(BgL_arg1375z00_127, BgL_arg1376z00_128);
									}
									{	/* Expand/if.scm 92 */
										obj_t BgL_list1372z00_124;

										{	/* Expand/if.scm 92 */
											obj_t BgL_arg1373z00_125;

											{	/* Expand/if.scm 92 */
												obj_t BgL_arg1374z00_126;

												BgL_arg1374z00_126 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg1373z00_125 =
													MAKE_PAIR(BFALSE, BgL_arg1374z00_126);
											}
											BgL_list1372z00_124 =
												MAKE_PAIR(BgL_arg1370z00_122, BgL_arg1373z00_125);
										}
										BgL_arg1369z00_121 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_auxz00_102, BgL_list1372z00_124);
								}}
								BgL_arg1354z00_106 =
									MAKE_PAIR(BgL_arg1368z00_120, BgL_arg1369z00_121);
							}
							{	/* Expand/if.scm 85 */
								obj_t BgL_list1356z00_108;

								{	/* Expand/if.scm 85 */
									obj_t BgL_arg1357z00_109;

									BgL_arg1357z00_109 = MAKE_PAIR(BNIL, BNIL);
									BgL_list1356z00_108 =
										MAKE_PAIR(BgL_arg1354z00_106, BgL_arg1357z00_109);
								}
								BgL_arg1350z00_104 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1351z00_105, BgL_list1356z00_108);
						}}
						return MAKE_PAIR(BgL_arg1348z00_103, BgL_arg1350z00_104);
					}
				}
		}
	}



/* new-e */
	obj_t BGl_newzd2ezd2zzexpand_ifz00(obj_t BgL_xz00_137, obj_t BgL_ez00_138)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 71 */
		BGl_newzd2ezd2zzexpand_ifz00:
			{

				if (PAIRP(BgL_xz00_137))
					{	/* Expand/if.scm 71 */
						if ((CAR(BgL_xz00_137) == CNST_TABLE_REF(((long) 4))))
							{	/* Expand/if.scm 71 */
								{
									obj_t BgL_xz00_1123;

									BgL_xz00_1123 =
										BGl_expandzd2orzf2boolz20zzexpand_ifz00(BgL_xz00_137);
									BgL_xz00_137 = BgL_xz00_1123;
									goto BGl_newzd2ezd2zzexpand_ifz00;
								}
							}
						else
							{	/* Expand/if.scm 71 */
								if ((CAR(BgL_xz00_137) == CNST_TABLE_REF(((long) 5))))
									{	/* Expand/if.scm 71 */
										{
											obj_t BgL_xz00_1129;

											BgL_xz00_1129 =
												BGl_expandzd2andzf2boolz20zzexpand_ifz00(BgL_xz00_137);
											BgL_xz00_137 = BgL_xz00_1129;
											goto BGl_newzd2ezd2zzexpand_ifz00;
										}
									}
								else
									{	/* Expand/if.scm 71 */
									BgL_tagzd21189zd2_142:
										return
											PROCEDURE_ENTRY(BgL_ez00_138) (BgL_ez00_138, BgL_xz00_137,
											BgL_ez00_138, BEOA);
									}
							}
					}
				else
					{	/* Expand/if.scm 71 */
						goto BgL_tagzd21189zd2_142;
					}
			}
		}
	}



/* _expand-test */
	obj_t BGl__expandzd2testzd2zzexpand_ifz00(obj_t BgL_envz00_962,
		obj_t BgL_xz00_963, obj_t BgL_ez00_964)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 70 */
			return BGl_expandzd2testzd2zzexpand_ifz00(BgL_xz00_963, BgL_ez00_964);
		}
	}



/* expand-if */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2ifzd2zzexpand_ifz00(obj_t BgL_xz00_5,
		obj_t BgL_ez00_6)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 104 */
			{
				obj_t BgL_testz00_164;
				obj_t BgL_alorsz00_165;
				obj_t BgL_testz00_160;
				obj_t BgL_alorsz00_161;
				obj_t BgL_sinonz00_162;

				if (PAIRP(BgL_xz00_5))
					{	/* Expand/if.scm 105 */
						obj_t BgL_cdrzd21207zd2_170;

						BgL_cdrzd21207zd2_170 = CDR(BgL_xz00_5);
						if (PAIRP(BgL_cdrzd21207zd2_170))
							{	/* Expand/if.scm 105 */
								obj_t BgL_cdrzd21211zd2_172;

								BgL_cdrzd21211zd2_172 = CDR(BgL_cdrzd21207zd2_170);
								if ((CAR(BgL_cdrzd21207zd2_170) == BTRUE))
									{	/* Expand/if.scm 105 */
										if (PAIRP(BgL_cdrzd21211zd2_172))
											{	/* Expand/if.scm 105 */
												obj_t BgL_cdrzd21215zd2_175;

												BgL_cdrzd21215zd2_175 = CDR(BgL_cdrzd21211zd2_172);
												if (PAIRP(BgL_cdrzd21215zd2_175))
													{	/* Expand/if.scm 105 */
														if (NULLP(CDR(BgL_cdrzd21215zd2_175)))
															{	/* Expand/if.scm 105 */
																obj_t BgL_arg1402z00_178;

																BgL_arg1402z00_178 = CAR(BgL_cdrzd21211zd2_172);
																{	/* Expand/if.scm 105 */
																	obj_t BgL_arg1449z00_668;

																	BgL_arg1449z00_668 =
																		PROCEDURE_ENTRY(BgL_ez00_6) (BgL_ez00_6,
																		BgL_arg1402z00_178, BgL_ez00_6, BEOA);
																	return
																		BGl_replacez12z12zztools_miscz00(BgL_xz00_5,
																		BgL_arg1449z00_668);
																}
															}
														else
															{	/* Expand/if.scm 105 */
															BgL_tagzd21199zd2_167:
																return
																	BGl_errorz00zz__errorz00(BFALSE,
																	BGl_string2111z00zzexpand_ifz00, BgL_xz00_5);
															}
													}
												else
													{	/* Expand/if.scm 105 */
														obj_t BgL_cdrzd21262zd2_182;

														BgL_cdrzd21262zd2_182 = CDR(BgL_cdrzd21207zd2_170);
														if (NULLP(CDR(BgL_cdrzd21262zd2_182)))
															{	/* Expand/if.scm 105 */
																BgL_testz00_164 = CAR(BgL_cdrzd21207zd2_170);
																BgL_alorsz00_165 = CAR(BgL_cdrzd21262zd2_182);
															BgL_tagzd21198zd2_166:
																{	/* Expand/if.scm 133 */
																	obj_t BgL_resz00_254;

																	{	/* Expand/if.scm 133 */
																		obj_t BgL_arg1474z00_255;
																		obj_t BgL_arg1476z00_256;

																		BgL_arg1474z00_255 =
																			CNST_TABLE_REF(((long) 0));
																		{	/* Expand/if.scm 133 */
																			obj_t BgL_arg1477z00_257;
																			obj_t BgL_arg1478z00_258;

																			BgL_arg1477z00_257 =
																				BGl_expandzd2ifzd2withz00zzexpand_ifz00
																				(BGl_expandzd2testzd2envz00zzexpand_ifz00,
																				BgL_testz00_164, BgL_ez00_6,
																				((bool_t) 1));
																			BgL_arg1478z00_258 =
																				BGl_expandzd2ifzd2withz00zzexpand_ifz00
																				(BgL_ez00_6, BgL_alorsz00_165,
																				BgL_ez00_6, ((bool_t) 1));
																			{	/* Expand/if.scm 133 */
																				obj_t BgL_list1481z00_260;

																				{	/* Expand/if.scm 133 */
																					obj_t BgL_arg1482z00_261;

																					{	/* Expand/if.scm 133 */
																						obj_t BgL_arg1484z00_262;

																						BgL_arg1484z00_262 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg1482z00_261 =
																							MAKE_PAIR(BFALSE,
																							BgL_arg1484z00_262);
																					}
																					BgL_list1481z00_260 =
																						MAKE_PAIR(BgL_arg1478z00_258,
																						BgL_arg1482z00_261);
																				}
																				BgL_arg1476z00_256 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg1477z00_257,
																					BgL_list1481z00_260);
																		}}
																		BgL_resz00_254 =
																			MAKE_PAIR(BgL_arg1474z00_255,
																			BgL_arg1476z00_256);
																	}
																	return
																		BGl_epairifyzd2reczd2zztools_miscz00
																		(BgL_resz00_254, BgL_xz00_5);
																}
															}
														else
															{	/* Expand/if.scm 105 */
																goto BgL_tagzd21199zd2_167;
															}
													}
											}
										else
											{	/* Expand/if.scm 105 */
												goto BgL_tagzd21199zd2_167;
											}
									}
								else
									{	/* Expand/if.scm 105 */
										obj_t BgL_cdrzd21295zd2_188;

										BgL_cdrzd21295zd2_188 = CDR(BgL_cdrzd21207zd2_170);
										if ((CAR(BgL_cdrzd21207zd2_170) == BFALSE))
											{	/* Expand/if.scm 105 */
												if (PAIRP(BgL_cdrzd21295zd2_188))
													{	/* Expand/if.scm 105 */
														obj_t BgL_cdrzd21299zd2_191;

														BgL_cdrzd21299zd2_191 = CDR(BgL_cdrzd21295zd2_188);
														if (PAIRP(BgL_cdrzd21299zd2_191))
															{	/* Expand/if.scm 105 */
																if (NULLP(CDR(BgL_cdrzd21299zd2_191)))
																	{	/* Expand/if.scm 105 */
																		obj_t BgL_arg1416z00_195;

																		BgL_arg1416z00_195 =
																			CAR(BgL_cdrzd21299zd2_191);
																		{	/* Expand/if.scm 105 */
																			obj_t BgL_arg1450z00_687;

																			BgL_arg1450z00_687 =
																				PROCEDURE_ENTRY(BgL_ez00_6) (BgL_ez00_6,
																				BgL_arg1416z00_195, BgL_ez00_6, BEOA);
																			return
																				BGl_replacez12z12zztools_miscz00
																				(BgL_xz00_5, BgL_arg1450z00_687);
																		}
																	}
																else
																	{	/* Expand/if.scm 105 */
																		goto BgL_tagzd21199zd2_167;
																	}
															}
														else
															{	/* Expand/if.scm 105 */
																obj_t BgL_cdrzd21336zd2_198;

																BgL_cdrzd21336zd2_198 =
																	CDR(BgL_cdrzd21207zd2_170);
																if (NULLP(CDR(BgL_cdrzd21336zd2_198)))
																	{
																		obj_t BgL_alorsz00_1193;
																		obj_t BgL_testz00_1191;

																		BgL_testz00_1191 =
																			CAR(BgL_cdrzd21207zd2_170);
																		BgL_alorsz00_1193 =
																			CAR(BgL_cdrzd21336zd2_198);
																		BgL_alorsz00_165 = BgL_alorsz00_1193;
																		BgL_testz00_164 = BgL_testz00_1191;
																		goto BgL_tagzd21198zd2_166;
																	}
																else
																	{	/* Expand/if.scm 105 */
																		goto BgL_tagzd21199zd2_167;
																	}
															}
													}
												else
													{	/* Expand/if.scm 105 */
														goto BgL_tagzd21199zd2_167;
													}
											}
										else
											{	/* Expand/if.scm 105 */
												obj_t BgL_cdrzd21366zd2_204;

												BgL_cdrzd21366zd2_204 = CDR(BgL_cdrzd21207zd2_170);
												if (PAIRP(BgL_cdrzd21366zd2_204))
													{	/* Expand/if.scm 105 */
														obj_t BgL_cdrzd21371zd2_206;

														BgL_cdrzd21371zd2_206 = CDR(BgL_cdrzd21366zd2_204);
														if (PAIRP(BgL_cdrzd21371zd2_206))
															{	/* Expand/if.scm 105 */
																if (NULLP(CDR(BgL_cdrzd21371zd2_206)))
																	{	/* Expand/if.scm 105 */
																		BgL_testz00_160 =
																			CAR(BgL_cdrzd21207zd2_170);
																		BgL_alorsz00_161 =
																			CAR(BgL_cdrzd21366zd2_204);
																		BgL_sinonz00_162 =
																			CAR(BgL_cdrzd21371zd2_206);
																		{	/* Expand/if.scm 111 */
																			obj_t BgL_newzd2testzd2_225;
																			obj_t BgL_newzd2thenzd2_226;
																			obj_t BgL_newzd2elsezd2_227;

																			BgL_newzd2testzd2_225 =
																				BGl_replacez12z12zztools_miscz00
																				(BgL_testz00_160,
																				BGl_expandzd2ifzd2withz00zzexpand_ifz00
																				(BGl_expandzd2testzd2envz00zzexpand_ifz00,
																					BgL_testz00_160, BgL_ez00_6,
																					((bool_t) 1)));
																			BgL_newzd2thenzd2_226 =
																				BGl_replacez12z12zztools_miscz00
																				(BgL_alorsz00_161,
																				BGl_expandzd2ifzd2withz00zzexpand_ifz00
																				(BgL_ez00_6, BgL_alorsz00_161,
																					BgL_ez00_6, ((bool_t) 1)));
																			BgL_newzd2elsezd2_227 =
																				BGl_replacez12z12zztools_miscz00
																				(BgL_sinonz00_162,
																				BGl_expandzd2ifzd2withz00zzexpand_ifz00
																				(BgL_ez00_6, BgL_sinonz00_162,
																					BgL_ez00_6, ((bool_t) 0)));
																			{	/* Expand/if.scm 114 */
																				obj_t BgL_resz00_228;

																				{	/* Expand/if.scm 114 */
																					obj_t BgL_exp0z00_229;

																					{	/* Expand/if.scm 114 */
																						obj_t BgL_arg1464z00_246;
																						obj_t BgL_arg1465z00_247;

																						BgL_arg1464z00_246 =
																							CNST_TABLE_REF(((long) 0));
																						{	/* Expand/if.scm 114 */
																							obj_t BgL_list1466z00_248;

																							{	/* Expand/if.scm 114 */
																								obj_t BgL_arg1467z00_249;

																								{	/* Expand/if.scm 114 */
																									obj_t BgL_arg1468z00_250;

																									BgL_arg1468z00_250 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1467z00_249 =
																										MAKE_PAIR
																										(BgL_newzd2elsezd2_227,
																										BgL_arg1468z00_250);
																								}
																								BgL_list1466z00_248 =
																									MAKE_PAIR
																									(BgL_newzd2thenzd2_226,
																									BgL_arg1467z00_249);
																							}
																							BgL_arg1465z00_247 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_newzd2testzd2_225,
																								BgL_list1466z00_248);
																						}
																						BgL_exp0z00_229 =
																							MAKE_PAIR(BgL_arg1464z00_246,
																							BgL_arg1465z00_247);
																					}
																					{	/* Expand/if.scm 114 */
																						obj_t BgL_exp1z00_230;

																						BgL_exp1z00_230 =
																							BGl_epairifyzd2reczd2zztools_miscz00
																							(BgL_exp0z00_229, BgL_xz00_5);
																						{	/* Expand/if.scm 115 */
																							obj_t BgL_expz00_231;

																							BgL_expz00_231 =
																								MAKE_PAIR(CAR(BgL_exp1z00_230),
																								CDR(BgL_exp1z00_230));
																							{	/* Expand/if.scm 116 */

																								{	/* Expand/if.scm 117 */
																									bool_t BgL_testz00_1220;

																									if (BGl_za2casezd2enabledzf3za2z21zzexpand_ifz00)
																										{	/* Expand/if.scm 118 */
																											bool_t BgL_testz00_1222;

																											{	/* Expand/if.scm 118 */
																												obj_t
																													BgL_arg1459z00_241;
																												{	/* Expand/if.scm 118 */
																													obj_t
																														BgL_arg1460z00_242;
																													obj_t
																														BgL_arg1461z00_243;
																													BgL_arg1460z00_242 =
																														CNST_TABLE_REF((
																															(long) 6));
																													BgL_arg1461z00_243 =
																														BGl_lexicalzd2stackzd2zzexpand_epsz00
																														();
																													BgL_arg1459z00_241 =
																														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1460z00_242,
																														BgL_arg1461z00_243);
																												}
																												BgL_testz00_1222 =
																													PAIRP
																													(BgL_arg1459z00_241);
																											}
																											if (BgL_testz00_1222)
																												{	/* Expand/if.scm 118 */
																													BgL_testz00_1220 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Expand/if.scm 118 */
																													BgL_testz00_1220 =
																														((bool_t) 1);
																												}
																										}
																									else
																										{	/* Expand/if.scm 117 */
																											BgL_testz00_1220 =
																												((bool_t) 0);
																										}
																									if (BgL_testz00_1220)
																										{	/* Expand/if.scm 119 */
																											obj_t
																												BgL_newzd2expzd2_233;
																											BgL_newzd2expzd2_233 =
																												BGl_findzd2casezd2expz00zzexpand_ifz00
																												(BgL_expz00_231);
																											if (CBOOL
																												(BgL_newzd2expzd2_233))
																												{	/* Expand/if.scm 121 */
																													obj_t
																														BgL_newzd2newzd2expz00_234;
																													{	/* Expand/if.scm 122 */
																														obj_t
																															BgL_arg1457z00_239;
																														BgL_arg1457z00_239 =
																															BGl_ifzd2ze3casez12z23zzexpand_ifz00
																															(BgL_newzd2expzd2_233);
																														BgL_newzd2newzd2expz00_234
																															=
																															PROCEDURE_ENTRY
																															(BgL_ez00_6)
																															(BgL_ez00_6,
																															BgL_arg1457z00_239,
																															BgL_ez00_6, BEOA);
																													}
																													{	/* Expand/if.scm 123 */
																														obj_t
																															BgL_auxz00_1235;
																														obj_t
																															BgL_auxz00_1233;
																														BgL_auxz00_1235 =
																															CAR
																															(BgL_newzd2newzd2expz00_234);
																														BgL_auxz00_1233 =
																															CAR
																															(BgL_newzd2expzd2_233);
																														SET_CAR
																															(BgL_auxz00_1233,
																															BgL_auxz00_1235);
																													}
																													{	/* Expand/if.scm 125 */
																														obj_t
																															BgL_auxz00_1240;
																														obj_t
																															BgL_auxz00_1238;
																														BgL_auxz00_1240 =
																															CDR
																															(BgL_newzd2newzd2expz00_234);
																														BgL_auxz00_1238 =
																															CAR
																															(BgL_newzd2expzd2_233);
																														SET_CDR
																															(BgL_auxz00_1238,
																															BgL_auxz00_1240);
																													}
																													BgL_resz00_228 =
																														BgL_expz00_231;
																												}
																											else
																												{	/* Expand/if.scm 120 */
																													BgL_resz00_228 =
																														BgL_expz00_231;
																												}
																										}
																									else
																										{	/* Expand/if.scm 117 */
																											BgL_resz00_228 =
																												BgL_expz00_231;
																										}
																								}
																							}
																						}
																					}
																				}
																				BGl_replacez12z12zztools_miscz00
																					(BgL_xz00_5, BgL_resz00_228);
																			}
																			return BgL_xz00_5;
																		}
																	}
																else
																	{	/* Expand/if.scm 105 */
																		goto BgL_tagzd21199zd2_167;
																	}
															}
														else
															{	/* Expand/if.scm 105 */
																obj_t BgL_cdrzd21396zd2_214;

																BgL_cdrzd21396zd2_214 =
																	CDR(BgL_cdrzd21207zd2_170);
																if (NULLP(CDR(BgL_cdrzd21396zd2_214)))
																	{
																		obj_t BgL_alorsz00_1253;
																		obj_t BgL_testz00_1251;

																		BgL_testz00_1251 =
																			CAR(BgL_cdrzd21207zd2_170);
																		BgL_alorsz00_1253 =
																			CAR(BgL_cdrzd21396zd2_214);
																		BgL_alorsz00_165 = BgL_alorsz00_1253;
																		BgL_testz00_164 = BgL_testz00_1251;
																		goto BgL_tagzd21198zd2_166;
																	}
																else
																	{	/* Expand/if.scm 105 */
																		goto BgL_tagzd21199zd2_167;
																	}
															}
													}
												else
													{	/* Expand/if.scm 105 */
														goto BgL_tagzd21199zd2_167;
													}
											}
									}
							}
						else
							{	/* Expand/if.scm 105 */
								goto BgL_tagzd21199zd2_167;
							}
					}
				else
					{	/* Expand/if.scm 105 */
						goto BgL_tagzd21199zd2_167;
					}
			}
		}
	}



/* _expand-if2108 */
	obj_t BGl__expandzd2if2108zd2zzexpand_ifz00(obj_t BgL_envz00_965,
		obj_t BgL_xz00_966, obj_t BgL_ez00_967)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 104 */
			return BGl_expandzd2ifzd2zzexpand_ifz00(BgL_xz00_966, BgL_ez00_967);
		}
	}



/* expand-if-with */
	obj_t BGl_expandzd2ifzd2withz00zzexpand_ifz00(obj_t BgL_e1z00_7,
		obj_t BgL_xz00_8, obj_t BgL_e2z00_9, bool_t BgL_casezf3zf3_10)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 148 */
			{	/* Expand/if.scm 149 */
				bool_t BgL_casezd2enabledzf3z21_263;

				BgL_casezd2enabledzf3z21_263 =
					BGl_za2casezd2enabledzf3za2z21zzexpand_ifz00;
				BGl_za2casezd2enabledzf3za2z21zzexpand_ifz00 = BgL_casezf3zf3_10;
				{	/* Expand/if.scm 151 */
					obj_t BgL_resz00_264;

					BgL_resz00_264 =
						PROCEDURE_ENTRY(BgL_e1z00_7) (BgL_e1z00_7, BgL_xz00_8, BgL_e2z00_9,
						BEOA);
					BGl_za2casezd2enabledzf3za2z21zzexpand_ifz00 =
						BgL_casezd2enabledzf3z21_263;
					{	/* Expand/if.scm 153 */
						bool_t BgL_testz00_1258;

						if (PAIRP(BgL_xz00_8))
							{	/* Expand/if.scm 153 */
								BgL_testz00_1258 = PAIRP(BgL_resz00_264);
							}
						else
							{	/* Expand/if.scm 153 */
								BgL_testz00_1258 = ((bool_t) 0);
							}
						if (BgL_testz00_1258)
							{	/* Expand/if.scm 153 */
								return
									BGl_replacez12z12zztools_miscz00(BgL_xz00_8, BgL_resz00_264);
							}
						else
							{	/* Expand/if.scm 153 */
								return BgL_resz00_264;
							}
					}
				}
			}
		}
	}



/* find-case-exp */
	obj_t BGl_findzd2casezd2expz00zzexpand_ifz00(obj_t BgL_expz00_11)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 164 */
		BGl_findzd2casezd2expz00zzexpand_ifz00:
			{	/* Expand/if.scm 166 */
				obj_t BgL_iszd2casezd2_267;

				BgL_iszd2casezd2_267 = BGl_iszd2casezf3z21zzexpand_ifz00(BgL_expz00_11);
				if (CBOOL(BgL_iszd2casezd2_267))
					{	/* Expand/if.scm 167 */
						return BgL_iszd2casezd2_267;
					}
				else
					{	/* Expand/if.scm 167 */
						if (PAIRP(BgL_expz00_11))
							{	/* Expand/if.scm 169 */
								obj_t BgL_cdrzd21446zd2_273;

								BgL_cdrzd21446zd2_273 = CDR(BgL_expz00_11);
								if ((CAR(BgL_expz00_11) == CNST_TABLE_REF(((long) 0))))
									{	/* Expand/if.scm 169 */
										if (PAIRP(BgL_cdrzd21446zd2_273))
											{	/* Expand/if.scm 169 */
												obj_t BgL_cdrzd21449zd2_276;

												BgL_cdrzd21449zd2_276 = CDR(BgL_cdrzd21446zd2_273);
												if (PAIRP(BgL_cdrzd21449zd2_276))
													{	/* Expand/if.scm 169 */
														obj_t BgL_cdrzd21452zd2_278;

														BgL_cdrzd21452zd2_278 = CDR(BgL_cdrzd21449zd2_276);
														if (PAIRP(BgL_cdrzd21452zd2_278))
															{	/* Expand/if.scm 169 */
																if (NULLP(CDR(BgL_cdrzd21452zd2_278)))
																	{
																		obj_t BgL_expz00_1284;

																		BgL_expz00_1284 =
																			CAR(BgL_cdrzd21452zd2_278);
																		BgL_expz00_11 = BgL_expz00_1284;
																		goto BGl_findzd2casezd2expz00zzexpand_ifz00;
																	}
																else
																	{	/* Expand/if.scm 169 */
																		return BFALSE;
																	}
															}
														else
															{	/* Expand/if.scm 169 */
																return BFALSE;
															}
													}
												else
													{	/* Expand/if.scm 169 */
														return BFALSE;
													}
											}
										else
											{	/* Expand/if.scm 169 */
												return BFALSE;
											}
									}
								else
									{	/* Expand/if.scm 169 */
										return BFALSE;
									}
							}
						else
							{	/* Expand/if.scm 169 */
								return BFALSE;
							}
					}
			}
		}
	}



/* is-case? */
	obj_t BGl_iszd2casezf3z21zzexpand_ifz00(obj_t BgL_expz00_12)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 190 */
			{
				obj_t BgL_varz00_286;
				obj_t BgL_expz72z72_287;
				long BgL_nbzd2clauseszd2_288;

				BgL_varz00_286 = BNIL;
				BgL_expz72z72_287 = BgL_expz00_12;
				BgL_nbzd2clauseszd2_288 = ((long) 1);
			BgL_loopz00_289:
				{
					obj_t BgL_testz00_290;
					obj_t BgL_sinonz00_291;

					if (PAIRP(BgL_expz72z72_287))
						{	/* Expand/if.scm 191 */
							obj_t BgL_cdrzd21465zd2_296;

							BgL_cdrzd21465zd2_296 = CDR(BgL_expz72z72_287);
							if ((CAR(BgL_expz72z72_287) == CNST_TABLE_REF(((long) 0))))
								{	/* Expand/if.scm 191 */
									if (PAIRP(BgL_cdrzd21465zd2_296))
										{	/* Expand/if.scm 191 */
											obj_t BgL_cdrzd21469zd2_299;

											BgL_cdrzd21469zd2_299 = CDR(BgL_cdrzd21465zd2_296);
											if (PAIRP(BgL_cdrzd21469zd2_299))
												{	/* Expand/if.scm 191 */
													obj_t BgL_cdrzd21473zd2_301;

													BgL_cdrzd21473zd2_301 = CDR(BgL_cdrzd21469zd2_299);
													if (PAIRP(BgL_cdrzd21473zd2_301))
														{	/* Expand/if.scm 191 */
															if (NULLP(CDR(BgL_cdrzd21473zd2_301)))
																{	/* Expand/if.scm 191 */
																	BgL_testz00_290 = CAR(BgL_cdrzd21465zd2_296);
																	BgL_sinonz00_291 = CAR(BgL_cdrzd21473zd2_301);
																	{
																		obj_t BgL_newzd2varzd2_312;
																		obj_t BgL_exp1z00_313;
																		obj_t BgL_exp1z00_309;
																		obj_t BgL_exp2z00_310;

																		if (PAIRP(BgL_testz00_290))
																			{	/* Expand/if.scm 191 */
																				obj_t BgL_carzd21486zd2_317;
																				obj_t BgL_cdrzd21487zd2_318;

																				BgL_carzd21486zd2_317 =
																					CAR(BgL_testz00_290);
																				BgL_cdrzd21487zd2_318 =
																					CDR(BgL_testz00_290);
																				{

																					if (
																						(BgL_carzd21486zd2_317 ==
																							CNST_TABLE_REF(((long) 7))))
																						{	/* Expand/if.scm 191 */
																						BgL_kapzd21488zd2_319:
																							if (PAIRP(BgL_cdrzd21487zd2_318))
																								{	/* Expand/if.scm 191 */
																									obj_t BgL_cdrzd21492zd2_347;

																									BgL_cdrzd21492zd2_347 =
																										CDR(BgL_cdrzd21487zd2_318);
																									if (PAIRP
																										(BgL_cdrzd21492zd2_347))
																										{	/* Expand/if.scm 191 */
																											if (NULLP(CDR
																													(BgL_cdrzd21492zd2_347)))
																												{	/* Expand/if.scm 191 */
																													BgL_exp1z00_309 =
																														CAR
																														(BgL_cdrzd21487zd2_318);
																													BgL_exp2z00_310 =
																														CAR
																														(BgL_cdrzd21492zd2_347);
																													if (BGl_iszd2azd2validzd2constantzf3z21zzexpand_ifz00(BgL_exp1z00_309))
																														{	/* Expand/if.scm 199 */
																															if (NULLP
																																(BgL_varz00_286))
																																{
																																	long
																																		BgL_nbzd2clauseszd2_1325;
																																	obj_t
																																		BgL_expz72z72_1324;
																																	obj_t
																																		BgL_varz00_1323;
																																	BgL_varz00_1323
																																		=
																																		BgL_exp2z00_310;
																																	BgL_expz72z72_1324
																																		=
																																		BgL_sinonz00_291;
																																	BgL_nbzd2clauseszd2_1325
																																		=
																																		(BgL_nbzd2clauseszd2_288
																																		+
																																		((long) 1));
																																	BgL_nbzd2clauseszd2_288
																																		=
																																		BgL_nbzd2clauseszd2_1325;
																																	BgL_expz72z72_287
																																		=
																																		BgL_expz72z72_1324;
																																	BgL_varz00_286
																																		=
																																		BgL_varz00_1323;
																																	goto
																																		BgL_loopz00_289;
																																}
																															else
																																{	/* Expand/if.scm 201 */
																																	if (
																																		(BgL_varz00_286
																																			==
																																			BgL_exp2z00_310))
																																		{
																																			long
																																				BgL_nbzd2clauseszd2_1331;
																																			obj_t
																																				BgL_expz72z72_1330;
																																			obj_t
																																				BgL_varz00_1329;
																																			BgL_varz00_1329
																																				=
																																				BgL_exp2z00_310;
																																			BgL_expz72z72_1330
																																				=
																																				BgL_sinonz00_291;
																																			BgL_nbzd2clauseszd2_1331
																																				=
																																				(BgL_nbzd2clauseszd2_288
																																				+
																																				((long)
																																					1));
																																			BgL_nbzd2clauseszd2_288
																																				=
																																				BgL_nbzd2clauseszd2_1331;
																																			BgL_expz72z72_287
																																				=
																																				BgL_expz72z72_1330;
																																			BgL_varz00_286
																																				=
																																				BgL_varz00_1329;
																																			goto
																																				BgL_loopz00_289;
																																		}
																																	else
																																		{	/* Expand/if.scm 203 */
																																			if (
																																				(BgL_nbzd2clauseszd2_288
																																					>
																																					((long) 3)))
																																				{	/* Expand/if.scm 207 */
																																					obj_t
																																						BgL_list1546z00_359;
																																					{	/* Expand/if.scm 207 */
																																						obj_t
																																							BgL_arg1547z00_360;
																																						{	/* Expand/if.scm 207 */
																																							obj_t
																																								BgL_arg1548z00_361;
																																							BgL_arg1548z00_361
																																								=
																																								MAKE_PAIR
																																								(BgL_expz72z72_287,
																																								BNIL);
																																							BgL_arg1547z00_360
																																								=
																																								MAKE_PAIR
																																								(BgL_varz00_286,
																																								BgL_arg1548z00_361);
																																						}
																																						BgL_list1546z00_359
																																							=
																																							MAKE_PAIR
																																							(BgL_expz00_12,
																																							BgL_arg1547z00_360);
																																					}
																																					return
																																						BgL_list1546z00_359;
																																				}
																																			else
																																				{	/* Expand/if.scm 206 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Expand/if.scm 199 */
																															if (BGl_iszd2azd2validzd2constantzf3z21zzexpand_ifz00(BgL_exp2z00_310))
																																{	/* Expand/if.scm 209 */
																																	if (NULLP
																																		(BgL_varz00_286))
																																		{
																																			long
																																				BgL_nbzd2clauseszd2_1344;
																																			obj_t
																																				BgL_expz72z72_1343;
																																			obj_t
																																				BgL_varz00_1342;
																																			BgL_varz00_1342
																																				=
																																				BgL_exp1z00_309;
																																			BgL_expz72z72_1343
																																				=
																																				BgL_sinonz00_291;
																																			BgL_nbzd2clauseszd2_1344
																																				=
																																				(BgL_nbzd2clauseszd2_288
																																				+
																																				((long)
																																					1));
																																			BgL_nbzd2clauseszd2_288
																																				=
																																				BgL_nbzd2clauseszd2_1344;
																																			BgL_expz72z72_287
																																				=
																																				BgL_expz72z72_1343;
																																			BgL_varz00_286
																																				=
																																				BgL_varz00_1342;
																																			goto
																																				BgL_loopz00_289;
																																		}
																																	else
																																		{	/* Expand/if.scm 211 */
																																			if (
																																				(BgL_varz00_286
																																					==
																																					BgL_exp1z00_309))
																																				{
																																					long
																																						BgL_nbzd2clauseszd2_1350;
																																					obj_t
																																						BgL_expz72z72_1349;
																																					obj_t
																																						BgL_varz00_1348;
																																					BgL_varz00_1348
																																						=
																																						BgL_exp1z00_309;
																																					BgL_expz72z72_1349
																																						=
																																						BgL_sinonz00_291;
																																					BgL_nbzd2clauseszd2_1350
																																						=
																																						(BgL_nbzd2clauseszd2_288
																																						+
																																						((long) 1));
																																					BgL_nbzd2clauseszd2_288
																																						=
																																						BgL_nbzd2clauseszd2_1350;
																																					BgL_expz72z72_287
																																						=
																																						BgL_expz72z72_1349;
																																					BgL_varz00_286
																																						=
																																						BgL_varz00_1348;
																																					goto
																																						BgL_loopz00_289;
																																				}
																																			else
																																				{	/* Expand/if.scm 213 */
																																					if (
																																						(BgL_nbzd2clauseszd2_288
																																							>
																																							((long) 3)))
																																						{	/* Expand/if.scm 217 */
																																							obj_t
																																								BgL_list1555z00_368;
																																							{	/* Expand/if.scm 217 */
																																								obj_t
																																									BgL_arg1556z00_369;
																																								{	/* Expand/if.scm 217 */
																																									obj_t
																																										BgL_arg1557z00_370;
																																									BgL_arg1557z00_370
																																										=
																																										MAKE_PAIR
																																										(BgL_expz72z72_287,
																																										BNIL);
																																									BgL_arg1556z00_369
																																										=
																																										MAKE_PAIR
																																										(BgL_varz00_286,
																																										BgL_arg1557z00_370);
																																								}
																																								BgL_list1555z00_368
																																									=
																																									MAKE_PAIR
																																									(BgL_expz00_12,
																																									BgL_arg1556z00_369);
																																							}
																																							return
																																								BgL_list1555z00_368;
																																						}
																																					else
																																						{	/* Expand/if.scm 216 */
																																							return
																																								BFALSE;
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Expand/if.scm 209 */
																																	return BFALSE;
																																}
																														}
																												}
																											else
																												{	/* Expand/if.scm 191 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Expand/if.scm 191 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Expand/if.scm 191 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Expand/if.scm 191 */
																							if (
																								(BgL_carzd21486zd2_317 ==
																									CNST_TABLE_REF(((long) 8))))
																								{	/* Expand/if.scm 191 */
																									goto BgL_kapzd21488zd2_319;
																								}
																							else
																								{	/* Expand/if.scm 191 */
																									if (
																										(BgL_carzd21486zd2_317 ==
																											CNST_TABLE_REF(((long)
																													9))))
																										{	/* Expand/if.scm 191 */
																											goto
																												BgL_kapzd21488zd2_319;
																										}
																									else
																										{	/* Expand/if.scm 191 */
																											if (
																												(BgL_carzd21486zd2_317
																													==
																													CNST_TABLE_REF(((long)
																															10))))
																												{	/* Expand/if.scm 191 */
																													goto
																														BgL_kapzd21488zd2_319;
																												}
																											else
																												{	/* Expand/if.scm 191 */
																													if (
																														(BgL_carzd21486zd2_317
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Expand/if.scm 191 */
																															goto
																																BgL_kapzd21488zd2_319;
																														}
																													else
																														{	/* Expand/if.scm 191 */
																															if (
																																(CAR
																																	(BgL_testz00_290)
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			12))))
																																{	/* Expand/if.scm 191 */
																																	if (PAIRP
																																		(BgL_cdrzd21487zd2_318))
																																		{	/* Expand/if.scm 191 */
																																			obj_t
																																				BgL_cdrzd21524zd2_329;
																																			BgL_cdrzd21524zd2_329
																																				=
																																				CDR
																																				(BgL_cdrzd21487zd2_318);
																																			if (PAIRP
																																				(BgL_cdrzd21524zd2_329))
																																				{	/* Expand/if.scm 191 */
																																					obj_t
																																						BgL_carzd21527zd2_331;
																																					BgL_carzd21527zd2_331
																																						=
																																						CAR
																																						(BgL_cdrzd21524zd2_329);
																																					if (PAIRP(BgL_carzd21527zd2_331))
																																						{	/* Expand/if.scm 191 */
																																							obj_t
																																								BgL_cdrzd21531zd2_333;
																																							BgL_cdrzd21531zd2_333
																																								=
																																								CDR
																																								(BgL_carzd21527zd2_331);
																																							if ((CAR(BgL_carzd21527zd2_331) == CNST_TABLE_REF(((long) 13))))
																																								{	/* Expand/if.scm 191 */
																																									if (PAIRP(BgL_cdrzd21531zd2_333))
																																										{	/* Expand/if.scm 191 */
																																											if (NULLP(CDR(BgL_cdrzd21531zd2_333)))
																																												{	/* Expand/if.scm 191 */
																																													if (NULLP(CDR(BgL_cdrzd21524zd2_329)))
																																														{	/* Expand/if.scm 191 */
																																															BgL_newzd2varzd2_312
																																																=
																																																CAR
																																																(BgL_cdrzd21487zd2_318);
																																															BgL_exp1z00_313
																																																=
																																																CAR
																																																(BgL_cdrzd21531zd2_333);
																																															{	/* Expand/if.scm 223 */
																																																bool_t
																																																	BgL_testz00_1396;
																																																if (PAIRP(BgL_exp1z00_313))
																																																	{
																																																		obj_t
																																																			BgL_exp1z00_385;
																																																		BgL_exp1z00_385
																																																			=
																																																			BgL_exp1z00_313;
																																																	BgL_loopz00_386:
																																																		if (NULLP(BgL_exp1z00_385))
																																																			{	/* Expand/if.scm 226 */
																																																				BgL_testz00_1396
																																																					=
																																																					(
																																																					(bool_t)
																																																					1);
																																																			}
																																																		else
																																																			{	/* Expand/if.scm 226 */
																																																				if (BGl_iszd2azd2validzd2constantzf3z21zzexpand_ifz00(CAR(BgL_exp1z00_385)))
																																																					{
																																																						obj_t
																																																							BgL_exp1z00_1404;
																																																						BgL_exp1z00_1404
																																																							=
																																																							CDR
																																																							(BgL_exp1z00_385);
																																																						BgL_exp1z00_385
																																																							=
																																																							BgL_exp1z00_1404;
																																																						goto
																																																							BgL_loopz00_386;
																																																					}
																																																				else
																																																					{	/* Expand/if.scm 228 */
																																																						BgL_testz00_1396
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Expand/if.scm 223 */
																																																		BgL_testz00_1396
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																																if (BgL_testz00_1396)
																																																	{	/* Expand/if.scm 223 */
																																																		if (NULLP(BgL_varz00_286))
																																																			{
																																																				long
																																																					BgL_nbzd2clauseszd2_1410;
																																																				obj_t
																																																					BgL_expz72z72_1409;
																																																				obj_t
																																																					BgL_varz00_1408;
																																																				BgL_varz00_1408
																																																					=
																																																					BgL_newzd2varzd2_312;
																																																				BgL_expz72z72_1409
																																																					=
																																																					BgL_sinonz00_291;
																																																				BgL_nbzd2clauseszd2_1410
																																																					=
																																																					(BgL_nbzd2clauseszd2_288
																																																					+
																																																					((long) 1));
																																																				BgL_nbzd2clauseszd2_288
																																																					=
																																																					BgL_nbzd2clauseszd2_1410;
																																																				BgL_expz72z72_287
																																																					=
																																																					BgL_expz72z72_1409;
																																																				BgL_varz00_286
																																																					=
																																																					BgL_varz00_1408;
																																																				goto
																																																					BgL_loopz00_289;
																																																			}
																																																		else
																																																			{	/* Expand/if.scm 233 */
																																																				if ((BgL_newzd2varzd2_312 == BgL_varz00_286))
																																																					{
																																																						long
																																																							BgL_nbzd2clauseszd2_1416;
																																																						obj_t
																																																							BgL_expz72z72_1415;
																																																						obj_t
																																																							BgL_varz00_1414;
																																																						BgL_varz00_1414
																																																							=
																																																							BgL_newzd2varzd2_312;
																																																						BgL_expz72z72_1415
																																																							=
																																																							BgL_sinonz00_291;
																																																						BgL_nbzd2clauseszd2_1416
																																																							=
																																																							(BgL_nbzd2clauseszd2_288
																																																							+
																																																							((long) 1));
																																																						BgL_nbzd2clauseszd2_288
																																																							=
																																																							BgL_nbzd2clauseszd2_1416;
																																																						BgL_expz72z72_287
																																																							=
																																																							BgL_expz72z72_1415;
																																																						BgL_varz00_286
																																																							=
																																																							BgL_varz00_1414;
																																																						goto
																																																							BgL_loopz00_289;
																																																					}
																																																				else
																																																					{	/* Expand/if.scm 235 */
																																																						if ((BgL_nbzd2clauseszd2_288 > ((long) 3)))
																																																							{	/* Expand/if.scm 239 */
																																																								obj_t
																																																									BgL_list1567z00_377;
																																																								{	/* Expand/if.scm 239 */
																																																									obj_t
																																																										BgL_arg1569z00_378;
																																																									{	/* Expand/if.scm 239 */
																																																										obj_t
																																																											BgL_arg1570z00_379;
																																																										BgL_arg1570z00_379
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_expz72z72_287,
																																																											BNIL);
																																																										BgL_arg1569z00_378
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_varz00_286,
																																																											BgL_arg1570z00_379);
																																																									}
																																																									BgL_list1567z00_377
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_expz00_12,
																																																										BgL_arg1569z00_378);
																																																								}
																																																								return
																																																									BgL_list1567z00_377;
																																																							}
																																																						else
																																																							{	/* Expand/if.scm 238 */
																																																								return
																																																									BFALSE;
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Expand/if.scm 223 */
																																																		if ((BgL_nbzd2clauseszd2_288 > ((long) 3)))
																																																			{	/* Expand/if.scm 243 */
																																																				obj_t
																																																					BgL_list1573z00_381;
																																																				{	/* Expand/if.scm 243 */
																																																					obj_t
																																																						BgL_arg1575z00_382;
																																																					{	/* Expand/if.scm 243 */
																																																						obj_t
																																																							BgL_arg1576z00_383;
																																																						BgL_arg1576z00_383
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_expz72z72_287,
																																																							BNIL);
																																																						BgL_arg1575z00_382
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_varz00_286,
																																																							BgL_arg1576z00_383);
																																																					}
																																																					BgL_list1573z00_381
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_expz00_12,
																																																						BgL_arg1575z00_382);
																																																				}
																																																				return
																																																					BgL_list1573z00_381;
																																																			}
																																																		else
																																																			{	/* Expand/if.scm 242 */
																																																				return
																																																					BFALSE;
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Expand/if.scm 191 */
																																															return
																																																BFALSE;
																																														}
																																												}
																																											else
																																												{	/* Expand/if.scm 191 */
																																													return
																																														BFALSE;
																																												}
																																										}
																																									else
																																										{	/* Expand/if.scm 191 */
																																											return
																																												BFALSE;
																																										}
																																								}
																																							else
																																								{	/* Expand/if.scm 191 */
																																									return
																																										BFALSE;
																																								}
																																						}
																																					else
																																						{	/* Expand/if.scm 191 */
																																							return
																																								BFALSE;
																																						}
																																				}
																																			else
																																				{	/* Expand/if.scm 191 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Expand/if.scm 191 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Expand/if.scm 191 */
																																	return BFALSE;
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																		else
																			{	/* Expand/if.scm 191 */
																				return BFALSE;
																			}
																	}
																}
															else
																{	/* Expand/if.scm 191 */
																BgL_tagzd21458zd2_293:
																	if ((BgL_nbzd2clauseszd2_288 > ((long) 3)))
																		{	/* Expand/if.scm 247 */
																			obj_t BgL_list1585z00_392;

																			{	/* Expand/if.scm 247 */
																				obj_t BgL_arg1593z00_393;

																				{	/* Expand/if.scm 247 */
																					obj_t BgL_arg1594z00_394;

																					BgL_arg1594z00_394 =
																						MAKE_PAIR(BgL_expz72z72_287, BNIL);
																					BgL_arg1593z00_393 =
																						MAKE_PAIR(BgL_varz00_286,
																						BgL_arg1594z00_394);
																				}
																				BgL_list1585z00_392 =
																					MAKE_PAIR(BgL_expz00_12,
																					BgL_arg1593z00_393);
																			}
																			return BgL_list1585z00_392;
																		}
																	else
																		{	/* Expand/if.scm 246 */
																			return BFALSE;
																		}
																}
														}
													else
														{	/* Expand/if.scm 191 */
															goto BgL_tagzd21458zd2_293;
														}
												}
											else
												{	/* Expand/if.scm 191 */
													goto BgL_tagzd21458zd2_293;
												}
										}
									else
										{	/* Expand/if.scm 191 */
											goto BgL_tagzd21458zd2_293;
										}
								}
							else
								{	/* Expand/if.scm 191 */
									goto BgL_tagzd21458zd2_293;
								}
						}
					else
						{	/* Expand/if.scm 191 */
							goto BgL_tagzd21458zd2_293;
						}
				}
			}
		}
	}



/* is-a-valid-constant? */
	bool_t BGl_iszd2azd2validzd2constantzf3z21zzexpand_ifz00(obj_t BgL_cnstz00_13)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 255 */
			{	/* Expand/if.scm 256 */
				bool_t BgL__ortest_1292z00_395;

				BgL__ortest_1292z00_395 = INTEGERP(BgL_cnstz00_13);
				if (BgL__ortest_1292z00_395)
					{	/* Expand/if.scm 256 */
						return BgL__ortest_1292z00_395;
					}
				else
					{	/* Expand/if.scm 257 */
						bool_t BgL__ortest_1293z00_396;

						BgL__ortest_1293z00_396 = CHARP(BgL_cnstz00_13);
						if (BgL__ortest_1293z00_396)
							{	/* Expand/if.scm 257 */
								return BgL__ortest_1293z00_396;
							}
						else
							{	/* Expand/if.scm 258 */
								bool_t BgL__ortest_1294z00_397;

								BgL__ortest_1294z00_397 = CNSTP(BgL_cnstz00_13);
								if (BgL__ortest_1294z00_397)
									{	/* Expand/if.scm 258 */
										return BgL__ortest_1294z00_397;
									}
								else
									{	/* Expand/if.scm 259 */
										bool_t BgL__ortest_1295z00_398;

										BgL__ortest_1295z00_398 = KEYWORDP(BgL_cnstz00_13);
										if (BgL__ortest_1295z00_398)
											{	/* Expand/if.scm 259 */
												return BgL__ortest_1295z00_398;
											}
										else
											{	/* Expand/if.scm 259 */
												if (PAIRP(BgL_cnstz00_13))
													{	/* Expand/if.scm 260 */
														if (
															(CAR(BgL_cnstz00_13) ==
																CNST_TABLE_REF(((long) 13))))
															{	/* Expand/if.scm 262 */
																bool_t BgL_testz00_1451;

																{	/* Expand/if.scm 262 */
																	obj_t BgL_auxz00_1452;

																	BgL_auxz00_1452 = CDR(BgL_cnstz00_13);
																	BgL_testz00_1451 = PAIRP(BgL_auxz00_1452);
																}
																if (BgL_testz00_1451)
																	{	/* Expand/if.scm 263 */
																		bool_t BgL_testz00_1455;

																		{	/* Expand/if.scm 263 */
																			obj_t BgL_auxz00_1456;

																			{	/* Expand/if.scm 263 */
																				obj_t BgL_pairz00_832;

																				BgL_pairz00_832 = BgL_cnstz00_13;
																				BgL_auxz00_1456 =
																					CAR(CDR(BgL_pairz00_832));
																			}
																			BgL_testz00_1455 =
																				SYMBOLP(BgL_auxz00_1456);
																		}
																		if (BgL_testz00_1455)
																			{	/* Expand/if.scm 264 */
																				obj_t BgL_auxz00_1460;

																				{	/* Expand/if.scm 264 */
																					obj_t BgL_pairz00_837;

																					BgL_pairz00_837 = BgL_cnstz00_13;
																					BgL_auxz00_1460 =
																						CDR(CDR(BgL_pairz00_837));
																				}
																				return NULLP(BgL_auxz00_1460);
																			}
																		else
																			{	/* Expand/if.scm 263 */
																				return ((bool_t) 0);
																			}
																	}
																else
																	{	/* Expand/if.scm 262 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* Expand/if.scm 261 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* Expand/if.scm 260 */
														return ((bool_t) 0);
													}
											}
									}
							}
					}
			}
		}
	}



/* if->case! */
	obj_t BGl_ifzd2ze3casez12z23zzexpand_ifz00(obj_t BgL_expze2varze2endz00_14)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 273 */
			{	/* Expand/if.scm 275 */
				obj_t BgL_expz00_408;

				BgL_expz00_408 = CAR(BgL_expze2varze2endz00_14);
				{	/* Expand/if.scm 275 */
					obj_t BgL_varz00_409;

					{	/* Expand/if.scm 276 */
						obj_t BgL_pairz00_843;

						BgL_pairz00_843 = BgL_expze2varze2endz00_14;
						BgL_varz00_409 = CAR(CDR(BgL_pairz00_843));
					}
					{	/* Expand/if.scm 276 */
						obj_t BgL_endzd2expzd2_410;

						{	/* Expand/if.scm 277 */
							obj_t BgL_pairz00_847;

							BgL_pairz00_847 = BgL_expze2varze2endz00_14;
							BgL_endzd2expzd2_410 = CAR(CDR(CDR(BgL_pairz00_847)));
						}
						{	/* Expand/if.scm 277 */
							obj_t BgL_newzd2expzd2_411;

							{	/* Expand/if.scm 278 */
								obj_t BgL_arg1612z00_414;
								obj_t BgL_arg1617z00_415;

								BgL_arg1612z00_414 = CNST_TABLE_REF(((long) 6));
								{	/* Expand/if.scm 279 */
									obj_t BgL_arg1618z00_416;

									{	/* Expand/if.scm 279 */
										obj_t BgL_arg1620z00_418;

										{
											obj_t BgL_expz00_421;
											obj_t BgL_clausesz00_422;

											BgL_expz00_421 = BgL_expz00_408;
											BgL_clausesz00_422 = BNIL;
										BgL_loopz00_423:
											if ((BgL_expz00_421 == BgL_endzd2expzd2_410))
												{	/* Expand/if.scm 285 */
													obj_t BgL_arg1625z00_425;

													{	/* Expand/if.scm 285 */
														obj_t BgL_arg1628z00_426;

														{	/* Expand/if.scm 285 */
															obj_t BgL_arg1629z00_427;
															obj_t BgL_arg1630z00_428;

															BgL_arg1629z00_427 = CNST_TABLE_REF(((long) 14));
															{	/* Expand/if.scm 285 */
																obj_t BgL_list1631z00_429;

																BgL_list1631z00_429 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1630z00_428 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_endzd2expzd2_410, BgL_list1631z00_429);
															}
															BgL_arg1628z00_426 =
																MAKE_PAIR(BgL_arg1629z00_427,
																BgL_arg1630z00_428);
														}
														BgL_arg1625z00_425 =
															MAKE_PAIR(BgL_arg1628z00_426, BgL_clausesz00_422);
													}
													BgL_arg1620z00_418 =
														bgl_reverse_bang(BgL_arg1625z00_425);
												}
											else
												{	/* Expand/if.scm 284 */
													if (PAIRP(BgL_expz00_421))
														{	/* Expand/if.scm 286 */
															obj_t BgL_cdrzd21549zd2_436;

															BgL_cdrzd21549zd2_436 = CDR(BgL_expz00_421);
															if (
																(CAR(BgL_expz00_421) ==
																	CNST_TABLE_REF(((long) 0))))
																{	/* Expand/if.scm 286 */
																	if (PAIRP(BgL_cdrzd21549zd2_436))
																		{	/* Expand/if.scm 286 */
																			obj_t BgL_cdrzd21554zd2_439;

																			BgL_cdrzd21554zd2_439 =
																				CDR(BgL_cdrzd21549zd2_436);
																			if (PAIRP(BgL_cdrzd21554zd2_439))
																				{	/* Expand/if.scm 286 */
																					obj_t BgL_cdrzd21559zd2_441;

																					BgL_cdrzd21559zd2_441 =
																						CDR(BgL_cdrzd21554zd2_439);
																					if (PAIRP(BgL_cdrzd21559zd2_441))
																						{	/* Expand/if.scm 286 */
																							if (NULLP(CDR
																									(BgL_cdrzd21559zd2_441)))
																								{	/* Expand/if.scm 286 */
																									obj_t BgL_arg1639z00_444;
																									obj_t BgL_arg1640z00_445;
																									obj_t BgL_arg1641z00_446;

																									BgL_arg1639z00_444 =
																										CAR(BgL_cdrzd21549zd2_436);
																									BgL_arg1640z00_445 =
																										CAR(BgL_cdrzd21554zd2_439);
																									BgL_arg1641z00_446 =
																										CAR(BgL_cdrzd21559zd2_441);
																									{	/* Expand/if.scm 286 */
																										obj_t BgL_arg1648z00_869;

																										BgL_arg1648z00_869 =
																											MAKE_PAIR
																											(BGl_makezd2clausezd2zzexpand_ifz00
																											(BgL_varz00_409,
																												BgL_arg1639z00_444,
																												BgL_arg1640z00_445),
																											BgL_clausesz00_422);
																										{
																											obj_t BgL_clausesz00_1503;
																											obj_t BgL_expz00_1502;

																											BgL_expz00_1502 =
																												BgL_arg1641z00_446;
																											BgL_clausesz00_1503 =
																												BgL_arg1648z00_869;
																											BgL_clausesz00_422 =
																												BgL_clausesz00_1503;
																											BgL_expz00_421 =
																												BgL_expz00_1502;
																											goto BgL_loopz00_423;
																										}
																									}
																								}
																							else
																								{	/* Expand/if.scm 286 */
																									BgL_arg1620z00_418 = BFALSE;
																								}
																						}
																					else
																						{	/* Expand/if.scm 286 */
																							BgL_arg1620z00_418 = BFALSE;
																						}
																				}
																			else
																				{	/* Expand/if.scm 286 */
																					BgL_arg1620z00_418 = BFALSE;
																				}
																		}
																	else
																		{	/* Expand/if.scm 286 */
																			BgL_arg1620z00_418 = BFALSE;
																		}
																}
															else
																{	/* Expand/if.scm 286 */
																	BgL_arg1620z00_418 = BFALSE;
																}
														}
													else
														{	/* Expand/if.scm 286 */
															BgL_arg1620z00_418 = BFALSE;
														}
												}
										}
										BgL_arg1618z00_416 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1620z00_418, BNIL);
									}
									{	/* Expand/if.scm 278 */
										obj_t BgL_list1619z00_417;

										BgL_list1619z00_417 = MAKE_PAIR(BgL_arg1618z00_416, BNIL);
										BgL_arg1617z00_415 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_varz00_409, BgL_list1619z00_417);
									}
								}
								BgL_newzd2expzd2_411 =
									MAKE_PAIR(BgL_arg1612z00_414, BgL_arg1617z00_415);
							}
							{	/* Expand/if.scm 278 */

								{	/* Expand/if.scm 292 */
									obj_t BgL_auxz00_1508;

									BgL_auxz00_1508 = CAR(BgL_newzd2expzd2_411);
									SET_CAR(BgL_expz00_408, BgL_auxz00_1508);
								}
								{	/* Expand/if.scm 293 */
									obj_t BgL_auxz00_1511;

									BgL_auxz00_1511 = CDR(BgL_newzd2expzd2_411);
									SET_CDR(BgL_expz00_408, BgL_auxz00_1511);
								}
								return BgL_expz00_408;
							}
						}
					}
				}
			}
		}
	}



/* make-clause */
	obj_t BGl_makezd2clausezd2zzexpand_ifz00(obj_t BgL_varz00_15,
		obj_t BgL_testz00_16, obj_t BgL_alorsz00_17)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 300 */
			{
				obj_t BgL_exp1z00_453;
				obj_t BgL_exp2z00_454;
				obj_t BgL_expz00_456;

				if (PAIRP(BgL_testz00_16))
					{	/* Expand/if.scm 306 */
						obj_t BgL_carzd21573zd2_460;
						obj_t BgL_cdrzd21574zd2_461;

						BgL_carzd21573zd2_460 = CAR(BgL_testz00_16);
						BgL_cdrzd21574zd2_461 = CDR(BgL_testz00_16);
						{

							if ((BgL_carzd21573zd2_460 == CNST_TABLE_REF(((long) 8))))
								{	/* Expand/if.scm 306 */
								BgL_kapzd21575zd2_462:
									if (PAIRP(BgL_cdrzd21574zd2_461))
										{	/* Expand/if.scm 306 */
											obj_t BgL_cdrzd21579zd2_489;

											BgL_cdrzd21579zd2_489 = CDR(BgL_cdrzd21574zd2_461);
											if (PAIRP(BgL_cdrzd21579zd2_489))
												{	/* Expand/if.scm 306 */
													if (NULLP(CDR(BgL_cdrzd21579zd2_489)))
														{	/* Expand/if.scm 306 */
															BgL_exp1z00_453 = CAR(BgL_cdrzd21574zd2_461);
															BgL_exp2z00_454 = CAR(BgL_cdrzd21579zd2_489);
															if ((BgL_exp1z00_453 == BgL_varz00_15))
																{	/* Expand/if.scm 309 */
																	obj_t BgL_arg1702z00_496;
																	obj_t BgL_arg1703z00_497;

																	BgL_arg1702z00_496 =
																		MAKE_PAIR
																		(BGl_valzd2ze3constantz31zzexpand_ifz00
																		(BgL_exp2z00_454), BNIL);
																	{	/* Expand/if.scm 309 */
																		obj_t BgL_list1711z00_500;

																		BgL_list1711z00_500 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg1703z00_497 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_alorsz00_17, BgL_list1711z00_500);
																	}
																	return
																		MAKE_PAIR(BgL_arg1702z00_496,
																		BgL_arg1703z00_497);
																}
															else
																{	/* Expand/if.scm 310 */
																	obj_t BgL_arg1715z00_501;
																	obj_t BgL_arg1717z00_502;

																	BgL_arg1715z00_501 =
																		MAKE_PAIR
																		(BGl_valzd2ze3constantz31zzexpand_ifz00
																		(BgL_exp1z00_453), BNIL);
																	{	/* Expand/if.scm 310 */
																		obj_t BgL_list1724z00_505;

																		BgL_list1724z00_505 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg1717z00_502 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_alorsz00_17, BgL_list1724z00_505);
																	}
																	return
																		MAKE_PAIR(BgL_arg1715z00_501,
																		BgL_arg1717z00_502);
																}
														}
													else
														{	/* Expand/if.scm 306 */
															return BFALSE;
														}
												}
											else
												{	/* Expand/if.scm 306 */
													return BFALSE;
												}
										}
									else
										{	/* Expand/if.scm 306 */
											return BFALSE;
										}
								}
							else
								{	/* Expand/if.scm 306 */
									if ((BgL_carzd21573zd2_460 == CNST_TABLE_REF(((long) 7))))
										{	/* Expand/if.scm 306 */
											goto BgL_kapzd21575zd2_462;
										}
									else
										{	/* Expand/if.scm 306 */
											if (
												(BgL_carzd21573zd2_460 == CNST_TABLE_REF(((long) 11))))
												{	/* Expand/if.scm 306 */
													goto BgL_kapzd21575zd2_462;
												}
											else
												{	/* Expand/if.scm 306 */
													if (
														(BgL_carzd21573zd2_460 ==
															CNST_TABLE_REF(((long) 9))))
														{	/* Expand/if.scm 306 */
															goto BgL_kapzd21575zd2_462;
														}
													else
														{	/* Expand/if.scm 306 */
															if (
																(BgL_carzd21573zd2_460 ==
																	CNST_TABLE_REF(((long) 10))))
																{	/* Expand/if.scm 306 */
																	goto BgL_kapzd21575zd2_462;
																}
															else
																{	/* Expand/if.scm 306 */
																	if (
																		(CAR(BgL_testz00_16) ==
																			CNST_TABLE_REF(((long) 12))))
																		{	/* Expand/if.scm 306 */
																			if (PAIRP(BgL_cdrzd21574zd2_461))
																				{	/* Expand/if.scm 306 */
																					obj_t BgL_cdrzd21600zd2_472;

																					BgL_cdrzd21600zd2_472 =
																						CDR(BgL_cdrzd21574zd2_461);
																					if (PAIRP(BgL_cdrzd21600zd2_472))
																						{	/* Expand/if.scm 306 */
																							obj_t BgL_carzd21602zd2_474;

																							BgL_carzd21602zd2_474 =
																								CAR(BgL_cdrzd21600zd2_472);
																							if (PAIRP(BgL_carzd21602zd2_474))
																								{	/* Expand/if.scm 306 */
																									obj_t BgL_cdrzd21606zd2_476;

																									BgL_cdrzd21606zd2_476 =
																										CDR(BgL_carzd21602zd2_474);
																									if (
																										(CAR(BgL_carzd21602zd2_474)
																											==
																											CNST_TABLE_REF(((long)
																													13))))
																										{	/* Expand/if.scm 306 */
																											if (PAIRP
																												(BgL_cdrzd21606zd2_476))
																												{	/* Expand/if.scm 306 */
																													if (NULLP(CDR
																															(BgL_cdrzd21606zd2_476)))
																														{	/* Expand/if.scm 306 */
																															if (NULLP(CDR
																																	(BgL_cdrzd21600zd2_472)))
																																{	/* Expand/if.scm 306 */
																																	BgL_expz00_456
																																		=
																																		CAR
																																		(BgL_cdrzd21606zd2_476);
																																	{	/* Expand/if.scm 312 */
																																		obj_t
																																			BgL_arg1725z00_506;
																																		{	/* Expand/if.scm 312 */
																																			obj_t
																																				BgL_list1726z00_507;
																																			BgL_list1726z00_507
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg1725z00_506
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_alorsz00_17,
																																				BgL_list1726z00_507);
																																		}
																																		return
																																			MAKE_PAIR
																																			(BgL_expz00_456,
																																			BgL_arg1725z00_506);
																																	}
																																}
																															else
																																{	/* Expand/if.scm 306 */
																																	return BFALSE;
																																}
																														}
																													else
																														{	/* Expand/if.scm 306 */
																															return BFALSE;
																														}
																												}
																											else
																												{	/* Expand/if.scm 306 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Expand/if.scm 306 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Expand/if.scm 306 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Expand/if.scm 306 */
																							return BFALSE;
																						}
																				}
																			else
																				{	/* Expand/if.scm 306 */
																					return BFALSE;
																				}
																		}
																	else
																		{	/* Expand/if.scm 306 */
																			return BFALSE;
																		}
																}
														}
												}
										}
								}
						}
					}
				else
					{	/* Expand/if.scm 306 */
						return BFALSE;
					}
			}
		}
	}



/* val->constant */
	obj_t BGl_valzd2ze3constantz31zzexpand_ifz00(obj_t BgL_vz00_508)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 305 */
			{	/* Expand/if.scm 302 */
				bool_t BgL_testz00_1584;

				if (PAIRP(BgL_vz00_508))
					{	/* Expand/if.scm 302 */
						BgL_testz00_1584 =
							(CAR(BgL_vz00_508) == CNST_TABLE_REF(((long) 13)));
					}
				else
					{	/* Expand/if.scm 302 */
						BgL_testz00_1584 = ((bool_t) 0);
					}
				if (BgL_testz00_1584)
					{	/* Expand/if.scm 304 */
						obj_t BgL_pairz00_916;

						BgL_pairz00_916 = BgL_vz00_508;
						return CAR(CDR(BgL_pairz00_916));
					}
				else
					{	/* Expand/if.scm 302 */
						return BgL_vz00_508;
					}
			}
		}
	}



/* get-new-test-name */
	obj_t BGl_getzd2newzd2testzd2namezd2zzexpand_ifz00(obj_t BgL_stringz00_18)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 317 */
			{	/* Expand/if.scm 318 */
				obj_t BgL_symbolz00_515;

				BgL_symbolz00_515 =
					BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
					(BGl_string2112z00zzexpand_ifz00, BgL_stringz00_18,
						BGl_string2113z00zzexpand_ifz00));
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_515,
					CNST_TABLE_REF(((long) 15)), BTRUE);
				return BgL_symbolz00_515;
			}
		}
	}



/* expand-or */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2orzd2zzexpand_ifz00(obj_t BgL_xz00_19,
		obj_t BgL_ez00_20)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 329 */
			{	/* Expand/if.scm 330 */
				obj_t BgL_resz00_517;

				BgL_resz00_517 =
					BGl_loopz72z72zzexpand_ifz00(BgL_xz00_19, CDR(BgL_xz00_19));
				{	/* Expand/if.scm 347 */
					obj_t BgL_arg1800z00_518;

					BgL_arg1800z00_518 =
						PROCEDURE_ENTRY(BgL_ez00_20) (BgL_ez00_20, BgL_resz00_517,
						BgL_ez00_20, BEOA);
					return BGl_replacez12z12zztools_miscz00(BgL_xz00_19,
						BgL_arg1800z00_518);
				}
			}
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zzexpand_ifz00(obj_t BgL_xz00_978, obj_t BgL_sorz00_520)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 330 */
			if (NULLP(BgL_sorz00_520))
				{	/* Expand/if.scm 332 */
					return BFALSE;
				}
			else
				{	/* Expand/if.scm 332 */
					if (PAIRP(BgL_sorz00_520))
						{	/* Expand/if.scm 334 */
							if (NULLP(CDR(BgL_sorz00_520)))
								{	/* Expand/if.scm 336 */
									return CAR(BgL_sorz00_520);
								}
							else
								{	/* Expand/if.scm 339 */
									obj_t BgL_testz00_525;

									BgL_testz00_525 =
										BGl_getzd2newzd2testzd2namezd2zzexpand_ifz00
										(BGl_string2114z00zzexpand_ifz00);
									{	/* Expand/if.scm 339 */
										obj_t BgL_resz00_526;

										{	/* Expand/if.scm 340 */
											obj_t BgL_arg1819z00_533;
											obj_t BgL_arg1820z00_534;

											BgL_arg1819z00_533 = CNST_TABLE_REF(((long) 2));
											{	/* Expand/if.scm 340 */
												obj_t BgL_arg1822z00_535;
												obj_t BgL_arg1825z00_536;

												{	/* Expand/if.scm 340 */
													obj_t BgL_arg1834z00_540;

													{	/* Expand/if.scm 340 */
														obj_t BgL_arg1846z00_542;

														{	/* Expand/if.scm 340 */
															obj_t BgL_arg1849z00_543;

															BgL_arg1849z00_543 = CAR(BgL_sorz00_520);
															{	/* Expand/if.scm 340 */
																obj_t BgL_list1854z00_545;

																BgL_list1854z00_545 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1846z00_542 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1849z00_543, BgL_list1854z00_545);
														}}
														BgL_arg1834z00_540 =
															MAKE_PAIR(BgL_testz00_525, BgL_arg1846z00_542);
													}
													BgL_arg1822z00_535 =
														MAKE_PAIR(BgL_arg1834z00_540, BNIL);
												}
												{	/* Expand/if.scm 341 */
													obj_t BgL_arg1856z00_546;
													obj_t BgL_arg1863z00_547;

													BgL_arg1856z00_546 = CNST_TABLE_REF(((long) 0));
													{	/* Expand/if.scm 341 */
														obj_t BgL_arg1869z00_548;

														BgL_arg1869z00_548 =
															BGl_loopz72z72zzexpand_ifz00(BgL_xz00_978,
															CDR(BgL_sorz00_520));
														{	/* Expand/if.scm 341 */
															obj_t BgL_list1877z00_550;

															{	/* Expand/if.scm 341 */
																obj_t BgL_arg1883z00_551;

																{	/* Expand/if.scm 341 */
																	obj_t BgL_arg1887z00_552;

																	BgL_arg1887z00_552 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg1883z00_551 =
																		MAKE_PAIR(BgL_arg1869z00_548,
																		BgL_arg1887z00_552);
																}
																BgL_list1877z00_550 =
																	MAKE_PAIR(BgL_testz00_525,
																	BgL_arg1883z00_551);
															}
															BgL_arg1863z00_547 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_testz00_525, BgL_list1877z00_550);
													}}
													BgL_arg1825z00_536 =
														MAKE_PAIR(BgL_arg1856z00_546, BgL_arg1863z00_547);
												}
												{	/* Expand/if.scm 340 */
													obj_t BgL_list1827z00_538;

													{	/* Expand/if.scm 340 */
														obj_t BgL_arg1831z00_539;

														BgL_arg1831z00_539 = MAKE_PAIR(BNIL, BNIL);
														BgL_list1827z00_538 =
															MAKE_PAIR(BgL_arg1825z00_536, BgL_arg1831z00_539);
													}
													BgL_arg1820z00_534 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1822z00_535, BgL_list1827z00_538);
											}}
											BgL_resz00_526 =
												MAKE_PAIR(BgL_arg1819z00_533, BgL_arg1820z00_534);
										}
										{	/* Expand/if.scm 340 */

											{	/* Expand/if.scm 343 */
												bool_t BgL_testz00_1628;

												{	/* Expand/if.scm 343 */
													obj_t BgL_auxz00_1629;

													BgL_auxz00_1629 = CAR(BgL_sorz00_520);
													BgL_testz00_1628 = EXTENDED_PAIRP(BgL_auxz00_1629);
												}
												if (BgL_testz00_1628)
													{	/* Expand/if.scm 344 */
														obj_t BgL_arg1805z00_528;
														obj_t BgL_arg1806z00_529;
														obj_t BgL_arg1808z00_530;

														BgL_arg1805z00_528 = CAR(BgL_resz00_526);
														BgL_arg1806z00_529 = CDR(BgL_resz00_526);
														BgL_arg1808z00_530 = CER(CAR(BgL_sorz00_520));
														{	/* Expand/if.scm 344 */
															obj_t BgL_res2106z00_937;

															BgL_res2106z00_937 =
																MAKE_EXTENDED_PAIR(BgL_arg1805z00_528,
																BgL_arg1806z00_529, BgL_arg1808z00_530);
															return BgL_res2106z00_937;
														}
													}
												else
													{	/* Expand/if.scm 343 */
														return BgL_resz00_526;
													}
											}
										}
									}
								}
						}
					else
						{	/* Expand/if.scm 334 */
							return
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
								BGl_string2110z00zzexpand_ifz00, BgL_xz00_978);
		}}}
	}



/* _expand-or */
	obj_t BGl__expandzd2orzd2zzexpand_ifz00(obj_t BgL_envz00_968,
		obj_t BgL_xz00_969, obj_t BgL_ez00_970)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 329 */
			return BGl_expandzd2orzd2zzexpand_ifz00(BgL_xz00_969, BgL_ez00_970);
		}
	}



/* expand-and */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2andzd2zzexpand_ifz00(obj_t BgL_xz00_21,
		obj_t BgL_ez00_22)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 352 */
			{	/* Expand/if.scm 353 */
				obj_t BgL_resz00_555;

				BgL_resz00_555 =
					BGl_loopz00zzexpand_ifz00(BgL_xz00_21, CDR(BgL_xz00_21));
				{	/* Expand/if.scm 370 */
					obj_t BgL_arg1910z00_556;

					BgL_arg1910z00_556 =
						PROCEDURE_ENTRY(BgL_ez00_22) (BgL_ez00_22, BgL_resz00_555,
						BgL_ez00_22, BEOA);
					return BGl_replacez12z12zztools_miscz00(BgL_xz00_21,
						BgL_arg1910z00_556);
				}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zzexpand_ifz00(obj_t BgL_xz00_977, obj_t BgL_sandz00_558)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 353 */
			if (NULLP(BgL_sandz00_558))
				{	/* Expand/if.scm 355 */
					return BTRUE;
				}
			else
				{	/* Expand/if.scm 355 */
					if (PAIRP(BgL_sandz00_558))
						{	/* Expand/if.scm 357 */
							if (NULLP(CDR(BgL_sandz00_558)))
								{	/* Expand/if.scm 359 */
									return CAR(BgL_sandz00_558);
								}
							else
								{	/* Expand/if.scm 362 */
									obj_t BgL_testz00_563;

									BgL_testz00_563 =
										BGl_getzd2newzd2testzd2namezd2zzexpand_ifz00
										(BGl_string2115z00zzexpand_ifz00);
									{	/* Expand/if.scm 362 */
										obj_t BgL_resz00_564;

										{	/* Expand/if.scm 363 */
											obj_t BgL_arg1934z00_571;
											obj_t BgL_arg1937z00_572;

											BgL_arg1934z00_571 = CNST_TABLE_REF(((long) 2));
											{	/* Expand/if.scm 363 */
												obj_t BgL_arg1938z00_573;
												obj_t BgL_arg1942z00_574;

												{	/* Expand/if.scm 363 */
													obj_t BgL_arg1956z00_578;

													{	/* Expand/if.scm 363 */
														obj_t BgL_arg1959z00_580;

														{	/* Expand/if.scm 363 */
															obj_t BgL_arg1966z00_581;

															BgL_arg1966z00_581 = CAR(BgL_sandz00_558);
															{	/* Expand/if.scm 363 */
																obj_t BgL_list1973z00_583;

																BgL_list1973z00_583 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1959z00_580 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1966z00_581, BgL_list1973z00_583);
														}}
														BgL_arg1956z00_578 =
															MAKE_PAIR(BgL_testz00_563, BgL_arg1959z00_580);
													}
													BgL_arg1938z00_573 =
														MAKE_PAIR(BgL_arg1956z00_578, BNIL);
												}
												{	/* Expand/if.scm 364 */
													obj_t BgL_arg1985z00_584;
													obj_t BgL_arg1992z00_585;

													BgL_arg1985z00_584 = CNST_TABLE_REF(((long) 0));
													{	/* Expand/if.scm 364 */
														obj_t BgL_arg1998z00_586;

														BgL_arg1998z00_586 =
															BGl_loopz00zzexpand_ifz00(BgL_xz00_977,
															CDR(BgL_sandz00_558));
														{	/* Expand/if.scm 364 */
															obj_t BgL_list2012z00_588;

															{	/* Expand/if.scm 364 */
																obj_t BgL_arg2025z00_589;

																{	/* Expand/if.scm 364 */
																	obj_t BgL_arg2032z00_590;

																	BgL_arg2032z00_590 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2025z00_589 =
																		MAKE_PAIR(BFALSE, BgL_arg2032z00_590);
																}
																BgL_list2012z00_588 =
																	MAKE_PAIR(BgL_arg1998z00_586,
																	BgL_arg2025z00_589);
															}
															BgL_arg1992z00_585 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_testz00_563, BgL_list2012z00_588);
													}}
													BgL_arg1942z00_574 =
														MAKE_PAIR(BgL_arg1985z00_584, BgL_arg1992z00_585);
												}
												{	/* Expand/if.scm 363 */
													obj_t BgL_list1948z00_576;

													{	/* Expand/if.scm 363 */
														obj_t BgL_arg1951z00_577;

														BgL_arg1951z00_577 = MAKE_PAIR(BNIL, BNIL);
														BgL_list1948z00_576 =
															MAKE_PAIR(BgL_arg1942z00_574, BgL_arg1951z00_577);
													}
													BgL_arg1937z00_572 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1938z00_573, BgL_list1948z00_576);
											}}
											BgL_resz00_564 =
												MAKE_PAIR(BgL_arg1934z00_571, BgL_arg1937z00_572);
										}
										{	/* Expand/if.scm 363 */

											{	/* Expand/if.scm 366 */
												bool_t BgL_testz00_1672;

												{	/* Expand/if.scm 366 */
													obj_t BgL_auxz00_1673;

													BgL_auxz00_1673 = CAR(BgL_sandz00_558);
													BgL_testz00_1672 = EXTENDED_PAIRP(BgL_auxz00_1673);
												}
												if (BgL_testz00_1672)
													{	/* Expand/if.scm 367 */
														obj_t BgL_arg1917z00_566;
														obj_t BgL_arg1918z00_567;
														obj_t BgL_arg1922z00_568;

														BgL_arg1917z00_566 = CAR(BgL_resz00_564);
														BgL_arg1918z00_567 = CDR(BgL_resz00_564);
														BgL_arg1922z00_568 = CER(CAR(BgL_sandz00_558));
														{	/* Expand/if.scm 367 */
															obj_t BgL_res2107z00_955;

															BgL_res2107z00_955 =
																MAKE_EXTENDED_PAIR(BgL_arg1917z00_566,
																BgL_arg1918z00_567, BgL_arg1922z00_568);
															return BgL_res2107z00_955;
														}
													}
												else
													{	/* Expand/if.scm 366 */
														return BgL_resz00_564;
													}
											}
										}
									}
								}
						}
					else
						{	/* Expand/if.scm 357 */
							return
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
								BGl_string2110z00zzexpand_ifz00, BgL_xz00_977);
		}}}
	}



/* _expand-and */
	obj_t BGl__expandzd2andzd2zzexpand_ifz00(obj_t BgL_envz00_971,
		obj_t BgL_xz00_972, obj_t BgL_ez00_973)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 352 */
			return BGl_expandzd2andzd2zzexpand_ifz00(BgL_xz00_972, BgL_ez00_973);
		}
	}



/* expand-not */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2notzd2zzexpand_ifz00(obj_t BgL_xz00_23,
		obj_t BgL_ez00_24)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 375 */
			{
				obj_t BgL_expz00_593;

				if (PAIRP(BgL_xz00_23))
					{	/* Expand/if.scm 376 */
						obj_t BgL_cdrzd21619zd2_598;

						BgL_cdrzd21619zd2_598 = CDR(BgL_xz00_23);
						if (PAIRP(BgL_cdrzd21619zd2_598))
							{	/* Expand/if.scm 376 */
								if (NULLP(CDR(BgL_cdrzd21619zd2_598)))
									{	/* Expand/if.scm 376 */
										BgL_expz00_593 = CAR(BgL_cdrzd21619zd2_598);
										{	/* Expand/if.scm 378 */
											obj_t BgL_resz00_603;

											{	/* Expand/if.scm 378 */
												obj_t BgL_arg2071z00_604;

												{	/* Expand/if.scm 378 */
													obj_t BgL_arg2077z00_605;
													obj_t BgL_arg2084z00_606;

													BgL_arg2077z00_605 = CNST_TABLE_REF(((long) 0));
													{	/* Expand/if.scm 378 */
														obj_t BgL_list2085z00_607;

														{	/* Expand/if.scm 378 */
															obj_t BgL_arg2091z00_608;

															{	/* Expand/if.scm 378 */
																obj_t BgL_arg2098z00_609;

																BgL_arg2098z00_609 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2091z00_608 =
																	MAKE_PAIR(BTRUE, BgL_arg2098z00_609);
															}
															BgL_list2085z00_607 =
																MAKE_PAIR(BFALSE, BgL_arg2091z00_608);
														}
														BgL_arg2084z00_606 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_expz00_593, BgL_list2085z00_607);
													}
													BgL_arg2071z00_604 =
														MAKE_PAIR(BgL_arg2077z00_605, BgL_arg2084z00_606);
												}
												BgL_resz00_603 =
													PROCEDURE_ENTRY(BgL_ez00_24) (BgL_ez00_24,
													BgL_arg2071z00_604, BgL_ez00_24, BEOA);
											}
											return
												BGl_replacez12z12zztools_miscz00(BgL_xz00_23,
												BgL_resz00_603);
										}
									}
								else
									{	/* Expand/if.scm 376 */
									BgL_tagzd21614zd2_595:
										return
											BGl_errorz00zz__errorz00(BFALSE,
											BGl_string2116z00zzexpand_ifz00, BgL_xz00_23);
									}
							}
						else
							{	/* Expand/if.scm 376 */
								goto BgL_tagzd21614zd2_595;
							}
					}
				else
					{	/* Expand/if.scm 376 */
						goto BgL_tagzd21614zd2_595;
					}
			}
		}
	}



/* _expand-not2109 */
	obj_t BGl__expandzd2not2109zd2zzexpand_ifz00(obj_t BgL_envz00_974,
		obj_t BgL_xz00_975, obj_t BgL_ez00_976)
	{
		AN_OBJECT;
		{	/* Expand/if.scm 375 */
			return BGl_expandzd2notzd2zzexpand_ifz00(BgL_xz00_975, BgL_ez00_976);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_ifz00()
	{
		AN_OBJECT;
		{	/* Expand/if.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_ifz00()
	{
		AN_OBJECT;
		{	/* Expand/if.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2117z00zzexpand_ifz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2117z00zzexpand_ifz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2117z00zzexpand_ifz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string2117z00zzexpand_ifz00));
		}
	}

#ifdef __cplusplus
}
#endif
