/*===========================================================================*/
/*   (Globalize/integration.scm)                                             */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/integration.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	static obj_t
		BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t);
	static obj_t BGl_zc3anonymousza33474ze3z83zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	static obj_t BGl__setzd2integrationz12zc0zzglobaliza7e_integrationza7(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
		BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2integrationz12zd2envz12zzglobaliza7e_integrationza7,
		BgL_bgl__setza7d2integrati3544za7,
		BGl__setzd2integrationz12zc0zzglobaliza7e_integrationza7, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3541z00zzglobaliza7e_integrationza7,
		BgL_bgl_string3541za700za7za7g3545za7, "set-integration!", 16);
	      DEFINE_STRING(BGl_string3542z00zzglobaliza7e_integrationza7,
		BgL_bgl_string3542za700za7za7g3546za7, "No integration for ", 19);
	      DEFINE_STRING(BGl_string3543z00zzglobaliza7e_integrationza7,
		BgL_bgl_string3543za700za7za7g3547za7, "globalize_integration", 21);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long
		BgL_checksumz00_1432, char *BgL_fromz00_1433)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7()
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_integration");
			return BUNSPEC;
		}
	}



/* set-integration! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt
		BgL_globalz00_1, obj_t BgL_ez00_2, obj_t BgL_g0z00_3, obj_t BgL_g1z00_4)
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 31 */
			{
				obj_t BgL_l3430z00_852;

				BgL_l3430z00_852 = BgL_ez00_2;
			BgL_forzd2each3431zd2_853:
				if (PAIRP(BgL_l3430z00_852))
					{	/* Globalize/integration.scm 34 */
						{	/* Globalize/integration.scm 35 */
							obj_t BgL_fz00_855;

							BgL_fz00_855 = CAR(BgL_l3430z00_852);
							{	/* Globalize/integration.scm 36 */
								BgL_localzf2ginfozf2_bglt BgL_obj3302z00_1341;
								bool_t BgL_val3301z00_1342;

								BgL_obj3302z00_1341 =
									(BgL_localzf2ginfozf2_bglt) (BgL_fz00_855);
								BgL_val3301z00_1342 = ((bool_t) 1);
								{
									obj_t BgL_auxz00_1447;

									{	/* Globalize/integration.scm 36 */
										BgL_objectz00_bglt BgL_auxz00_1448;

										BgL_auxz00_1448 =
											(BgL_objectz00_bglt) (BgL_obj3302z00_1341);
										BgL_auxz00_1447 = BGL_OBJECT_WIDENING(BgL_auxz00_1448);
									}
									((((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_1447))->
											BgL_globaliza7edzf3z54) =
										((bool_t) BgL_val3301z00_1342), BUNSPEC);
								}
							}
						}
						{
							obj_t BgL_l3430z00_1452;

							BgL_l3430z00_1452 = CDR(BgL_l3430z00_852);
							BgL_l3430z00_852 = BgL_l3430z00_1452;
							goto BgL_forzd2each3431zd2_853;
						}
					}
				else
					{	/* Globalize/integration.scm 34 */
						((bool_t) 1);
					}
			}
			{	/* Globalize/integration.scm 40 */
				obj_t BgL_g3418z00_858;

				BgL_g3418z00_858 = MAKE_PAIR((obj_t) (BgL_globalz00_1), BgL_ez00_2);
				{
					obj_t BgL_fnsz00_859;

					BgL_fnsz00_859 = BgL_g3418z00_858;
				BgL_loopz00_860:
					if (PAIRP(BgL_fnsz00_859))
						{	/* Globalize/integration.scm 42 */
							obj_t BgL_arg3445z00_862;

							{	/* Globalize/integration.scm 42 */
								obj_t BgL_runner3457z00_879;

								if (NULLP(BgL_fnsz00_859))
									{	/* Globalize/integration.scm 42 */
										BgL_runner3457z00_879 = BNIL;
									}
								else
									{	/* Globalize/integration.scm 42 */
										obj_t BgL_head3434z00_865;

										BgL_head3434z00_865 =
											MAKE_PAIR
											(BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
											(CAR(BgL_fnsz00_859)), BNIL);
										{	/* Globalize/integration.scm 42 */
											obj_t BgL_g3437z00_866;

											BgL_g3437z00_866 = CDR(BgL_fnsz00_859);
											{
												obj_t BgL_l3432z00_867;
												obj_t BgL_tail3435z00_868;

												BgL_l3432z00_867 = BgL_g3437z00_866;
												BgL_tail3435z00_868 = BgL_head3434z00_865;
											BgL_map3433z00_869:
												if (NULLP(BgL_l3432z00_867))
													{	/* Globalize/integration.scm 42 */
														BgL_runner3457z00_879 = BgL_head3434z00_865;
													}
												else
													{	/* Globalize/integration.scm 42 */
														obj_t BgL_newtail3436z00_871;

														BgL_newtail3436z00_871 =
															MAKE_PAIR
															(BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
															(CAR(BgL_l3432z00_867)), BNIL);
														SET_CDR(BgL_tail3435z00_868,
															BgL_newtail3436z00_871);
														{
															obj_t BgL_tail3435z00_1472;
															obj_t BgL_l3432z00_1470;

															BgL_l3432z00_1470 = CDR(BgL_l3432z00_867);
															BgL_tail3435z00_1472 = BgL_newtail3436z00_871;
															BgL_tail3435z00_868 = BgL_tail3435z00_1472;
															BgL_l3432z00_867 = BgL_l3432z00_1470;
															goto BgL_map3433z00_869;
														}
													}
											}
										}
									}
								BgL_arg3445z00_862 =
									BGl_appendz00zz__r4_pairs_and_lists_6_3z00
									(BgL_runner3457z00_879);
							}
							{
								obj_t BgL_fnsz00_1474;

								BgL_fnsz00_1474 = BgL_arg3445z00_862;
								BgL_fnsz00_859 = BgL_fnsz00_1474;
								goto BgL_loopz00_860;
							}
						}
					else
						{	/* Globalize/integration.scm 41 */
							((bool_t) 0);
						}
				}
			}
			{
				obj_t BgL_l3438z00_880;

				BgL_l3438z00_880 = BgL_g1z00_4;
			BgL_forzd2each3439zd2_881:
				if (PAIRP(BgL_l3438z00_880))
					{	/* Globalize/integration.scm 44 */
						{	/* Globalize/integration.scm 45 */
							obj_t BgL_fz00_883;

							BgL_fz00_883 = CAR(BgL_l3438z00_880);
							{	/* Globalize/integration.scm 45 */
								bool_t BgL_testz00_1478;

								{	/* Globalize/integration.scm 45 */
									bool_t BgL__ortest_3425z00_1360;

									BgL__ortest_3425z00_1360 =
										BGl_iszd2azf3z21zz__objectz00(BgL_fz00_883,
										BGl_globalz00zzast_varz00);
									if (BgL__ortest_3425z00_1360)
										{	/* Globalize/integration.scm 45 */
											BgL_testz00_1478 = BgL__ortest_3425z00_1360;
										}
									else
										{	/* Globalize/integration.scm 45 */
											BgL_localzf2ginfozf2_bglt BgL_obj3300z00_1362;

											BgL_obj3300z00_1362 =
												(BgL_localzf2ginfozf2_bglt) (BgL_fz00_883);
											{
												obj_t BgL_auxz00_1482;

												{	/* Globalize/integration.scm 45 */
													BgL_objectz00_bglt BgL_auxz00_1483;

													BgL_auxz00_1483 =
														(BgL_objectz00_bglt) (BgL_obj3300z00_1362);
													BgL_auxz00_1482 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1483);
												}
												BgL_testz00_1478 =
													(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_1482))->
													BgL_globaliza7edzf3z54);
											}
										}
								}
								if (BgL_testz00_1478)
									{	/* Globalize/integration.scm 45 */
										BFALSE;
									}
								else
									{	/* Globalize/integration.scm 48 */
										BgL_valuez00_bglt BgL_instance3419z00_885;

										{	/* Globalize/integration.scm 48 */
											BgL_variablez00_bglt BgL_obj1387z00_1363;

											BgL_obj1387z00_1363 =
												(BgL_variablez00_bglt) (BgL_fz00_883);
											BgL_instance3419z00_885 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1363))->
												BgL_valuez00);
										}
										{	/* Globalize/integration.scm 49 */
											obj_t BgL_arg3460z00_886;

											{	/* Globalize/integration.scm 49 */
												BgL_sfunzf2ginfozf2_bglt BgL_obj3123z00_1364;

												BgL_obj3123z00_1364 =
													(BgL_sfunzf2ginfozf2_bglt) (BgL_instance3419z00_885);
												{
													obj_t BgL_auxz00_1490;

													{	/* Globalize/integration.scm 49 */
														BgL_objectz00_bglt BgL_auxz00_1491;

														BgL_auxz00_1491 =
															(BgL_objectz00_bglt) (BgL_obj3123z00_1364);
														BgL_auxz00_1490 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1491);
													}
													BgL_arg3460z00_886 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_1490))->BgL_imarkz00);
												}
											}
											{	/* Globalize/integration.scm 49 */
												BgL_sfunzf2ginfozf2_bglt BgL_obj3122z00_1365;
												obj_t BgL_val3121z00_1366;

												BgL_obj3122z00_1365 =
													(BgL_sfunzf2ginfozf2_bglt) (BgL_instance3419z00_885);
												BgL_val3121z00_1366 = BgL_arg3460z00_886;
												{
													obj_t BgL_auxz00_1496;

													{	/* Globalize/integration.scm 49 */
														BgL_objectz00_bglt BgL_auxz00_1497;

														BgL_auxz00_1497 =
															(BgL_objectz00_bglt) (BgL_obj3122z00_1365);
														BgL_auxz00_1496 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1497);
													}
													((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1496))->
															BgL_integratorz00) =
														((obj_t) BgL_val3121z00_1366), BUNSPEC);
												}
											}
										}
									}
							}
						}
						{
							obj_t BgL_l3438z00_1501;

							BgL_l3438z00_1501 = CDR(BgL_l3438z00_880);
							BgL_l3438z00_880 = BgL_l3438z00_1501;
							goto BgL_forzd2each3439zd2_881;
						}
					}
				else
					{	/* Globalize/integration.scm 44 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l3440z00_888;

				{	/* Globalize/integration.scm 52 */
					bool_t BgL_auxz00_1503;

					BgL_l3440z00_888 = BgL_g1z00_4;
				BgL_forzd2each3441zd2_889:
					if (PAIRP(BgL_l3440z00_888))
						{	/* Globalize/integration.scm 52 */
							{	/* Globalize/integration.scm 53 */
								obj_t BgL_fz00_891;

								BgL_fz00_891 = CAR(BgL_l3440z00_888);
								{	/* Globalize/integration.scm 53 */
									BgL_valuez00_bglt BgL_instance3421z00_892;

									{	/* Globalize/integration.scm 53 */
										BgL_variablez00_bglt BgL_obj1387z00_1370;

										BgL_obj1387z00_1370 = (BgL_variablez00_bglt) (BgL_fz00_891);
										BgL_instance3421z00_892 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1370))->
											BgL_valuez00);
									}
									{	/* Globalize/integration.scm 56 */
										bool_t BgL_testz00_1509;

										{	/* Globalize/integration.scm 56 */
											bool_t BgL__ortest_3425z00_1372;

											BgL__ortest_3425z00_1372 =
												BGl_iszd2azf3z21zz__objectz00(BgL_fz00_891,
												BGl_globalz00zzast_varz00);
											if (BgL__ortest_3425z00_1372)
												{	/* Globalize/integration.scm 56 */
													BgL_testz00_1509 = BgL__ortest_3425z00_1372;
												}
											else
												{	/* Globalize/integration.scm 56 */
													BgL_localzf2ginfozf2_bglt BgL_obj3300z00_1374;

													BgL_obj3300z00_1374 =
														(BgL_localzf2ginfozf2_bglt) (BgL_fz00_891);
													{
														obj_t BgL_auxz00_1513;

														{	/* Globalize/integration.scm 56 */
															BgL_objectz00_bglt BgL_auxz00_1514;

															BgL_auxz00_1514 =
																(BgL_objectz00_bglt) (BgL_obj3300z00_1374);
															BgL_auxz00_1513 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1514);
														}
														BgL_testz00_1509 =
															(((BgL_localzf2ginfozf2_bglt)
																CREF(BgL_auxz00_1513))->BgL_globaliza7edzf3z54);
													}
												}
										}
										if (BgL_testz00_1509)
											{	/* Globalize/integration.scm 56 */
												{	/* Globalize/integration.scm 58 */
													BgL_valuez00_bglt BgL_arg3488z00_1376;

													{	/* Globalize/integration.scm 58 */
														BgL_variablez00_bglt BgL_obj1387z00_1377;

														BgL_obj1387z00_1377 =
															(BgL_variablez00_bglt) (BgL_fz00_891);
														BgL_arg3488z00_1376 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1387z00_1377))->BgL_valuez00);
													}
													{	/* Globalize/integration.scm 58 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3122z00_1378;
														obj_t BgL_val3121z00_1379;

														BgL_obj3122z00_1378 =
															(BgL_sfunzf2ginfozf2_bglt) (BgL_arg3488z00_1376);
														BgL_val3121z00_1379 = BFALSE;
														{
															obj_t BgL_auxz00_1521;

															{	/* Globalize/integration.scm 58 */
																BgL_objectz00_bglt BgL_auxz00_1522;

																BgL_auxz00_1522 =
																	(BgL_objectz00_bglt) (BgL_obj3122z00_1378);
																BgL_auxz00_1521 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1522);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_1521))->BgL_integratorz00) =
																((obj_t) BgL_val3121z00_1379), BUNSPEC);
														}
													}
												}
											}
										else
											{	/* Globalize/integration.scm 59 */
												bool_t BgL_testz00_1526;

												{	/* Globalize/integration.scm 59 */
													obj_t BgL_arg3469z00_899;

													{	/* Globalize/integration.scm 59 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3120z00_1380;

														BgL_obj3120z00_1380 =
															(BgL_sfunzf2ginfozf2_bglt)
															(BgL_instance3421z00_892);
														{
															obj_t BgL_auxz00_1528;

															{	/* Globalize/integration.scm 59 */
																BgL_objectz00_bglt BgL_auxz00_1529;

																BgL_auxz00_1529 =
																	(BgL_objectz00_bglt) (BgL_obj3120z00_1380);
																BgL_auxz00_1528 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1529);
															}
															BgL_arg3469z00_899 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_1528))->BgL_integratorz00);
														}
													}
													BgL_testz00_1526 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3469z00_899,
														BGl_variablez00zzast_varz00);
												}
												if (BgL_testz00_1526)
													{	/* Globalize/integration.scm 59 */
														{	/* Globalize/integration.scm 63 */
															obj_t BgL_arg3465z00_895;

															{	/* Globalize/integration.scm 63 */
																BgL_sfunzf2ginfozf2_bglt BgL_obj3120z00_1382;

																BgL_obj3120z00_1382 =
																	(BgL_sfunzf2ginfozf2_bglt)
																	(BgL_instance3421z00_892);
																{
																	obj_t BgL_auxz00_1535;

																	{	/* Globalize/integration.scm 63 */
																		BgL_objectz00_bglt BgL_auxz00_1536;

																		BgL_auxz00_1536 =
																			(BgL_objectz00_bglt)
																			(BgL_obj3120z00_1382);
																		BgL_auxz00_1535 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1536);
																	}
																	BgL_arg3465z00_895 =
																		(((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_1535))->
																		BgL_integratorz00);
																}
															}
															BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7
																(BgL_fz00_891, BgL_arg3465z00_895);
														}
													}
												else
													{	/* Globalize/integration.scm 59 */
														BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string3541z00zzglobaliza7e_integrationza7,
															BGl_string3542z00zzglobaliza7e_integrationza7,
															BGl_shapez00zztools_shapez00(BgL_fz00_891));
													}
											}
									}
								}
							}
							{
								obj_t BgL_l3440z00_1543;

								BgL_l3440z00_1543 = CDR(BgL_l3440z00_888);
								BgL_l3440z00_888 = BgL_l3440z00_1543;
								goto BgL_forzd2each3441zd2_889;
							}
						}
					else
						{	/* Globalize/integration.scm 52 */
							BgL_auxz00_1503 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1503);
				}
			}
		}
	}



/* _set-integration! */
	obj_t BGl__setzd2integrationz12zc0zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_1422, obj_t BgL_globalz00_1423, obj_t BgL_ez00_1424,
		obj_t BgL_g0z00_1425, obj_t BgL_g1z00_1426)
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 31 */
			return
				BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(
				(BgL_globalz00_bglt) (BgL_globalz00_1423), BgL_ez00_1424,
				BgL_g0z00_1425, BgL_g1z00_1426);
		}
	}



/* traverse-call-to! */
	obj_t BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t
		BgL_fz00_5)
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 74 */
			{	/* Globalize/integration.scm 75 */
				obj_t BgL_integratorz00_901;

				{	/* Globalize/integration.scm 75 */
					bool_t BgL_testz00_1548;

					{	/* Globalize/integration.scm 75 */
						bool_t BgL__ortest_3425z00_1385;

						BgL__ortest_3425z00_1385 =
							BGl_iszd2azf3z21zz__objectz00(BgL_fz00_5,
							BGl_globalz00zzast_varz00);
						if (BgL__ortest_3425z00_1385)
							{	/* Globalize/integration.scm 75 */
								BgL_testz00_1548 = BgL__ortest_3425z00_1385;
							}
						else
							{	/* Globalize/integration.scm 75 */
								BgL_localzf2ginfozf2_bglt BgL_obj3300z00_1387;

								BgL_obj3300z00_1387 = (BgL_localzf2ginfozf2_bglt) (BgL_fz00_5);
								{
									obj_t BgL_auxz00_1552;

									{	/* Globalize/integration.scm 75 */
										BgL_objectz00_bglt BgL_auxz00_1553;

										BgL_auxz00_1553 =
											(BgL_objectz00_bglt) (BgL_obj3300z00_1387);
										BgL_auxz00_1552 = BGL_OBJECT_WIDENING(BgL_auxz00_1553);
									}
									BgL_testz00_1548 =
										(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_1552))->
										BgL_globaliza7edzf3z54);
								}
							}
					}
					if (BgL_testz00_1548)
						{	/* Globalize/integration.scm 75 */
							BgL_integratorz00_901 = BgL_fz00_5;
						}
					else
						{	/* Globalize/integration.scm 77 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3123z00_1389;

							{	/* Globalize/integration.scm 77 */
								BgL_variablez00_bglt BgL_obj1387z00_1388;

								BgL_obj1387z00_1388 = (BgL_variablez00_bglt) (BgL_fz00_5);
								{	/* Globalize/integration.scm 77 */
									BgL_valuez00_bglt BgL_auxz00_1558;

									BgL_auxz00_1558 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1388))->
										BgL_valuez00);
									BgL_obj3123z00_1389 =
										(BgL_sfunzf2ginfozf2_bglt) (BgL_auxz00_1558);
								}
							}
							{
								obj_t BgL_auxz00_1561;

								{	/* Globalize/integration.scm 77 */
									BgL_objectz00_bglt BgL_auxz00_1562;

									BgL_auxz00_1562 = (BgL_objectz00_bglt) (BgL_obj3123z00_1389);
									BgL_auxz00_1561 = BGL_OBJECT_WIDENING(BgL_auxz00_1562);
								}
								BgL_integratorz00_901 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1561))->
									BgL_imarkz00);
							}
						}
				}
				{	/* Globalize/integration.scm 78 */
					obj_t BgL_arg3472z00_903;

					{	/* Globalize/integration.scm 91 */
						BgL_sfunzf2ginfozf2_bglt BgL_obj3110z00_1391;

						{	/* Globalize/integration.scm 91 */
							BgL_variablez00_bglt BgL_obj1387z00_1390;

							BgL_obj1387z00_1390 = (BgL_variablez00_bglt) (BgL_fz00_5);
							{	/* Globalize/integration.scm 91 */
								BgL_valuez00_bglt BgL_auxz00_1567;

								BgL_auxz00_1567 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1390))->
									BgL_valuez00);
								BgL_obj3110z00_1391 =
									(BgL_sfunzf2ginfozf2_bglt) (BgL_auxz00_1567);
							}
						}
						{
							obj_t BgL_auxz00_1570;

							{	/* Globalize/integration.scm 91 */
								BgL_objectz00_bglt BgL_auxz00_1571;

								BgL_auxz00_1571 = (BgL_objectz00_bglt) (BgL_obj3110z00_1391);
								BgL_auxz00_1570 = BGL_OBJECT_WIDENING(BgL_auxz00_1571);
							}
							BgL_arg3472z00_903 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1570))->
								BgL_ctoz00);
						}
					}
					{	/* Globalize/integration.scm 79 */
						obj_t BgL_zc3anonymousza33474ze3z83_1427;

						BgL_zc3anonymousza33474ze3z83_1427 =
							make_fx_procedure
							(BGl_zc3anonymousza33474ze3z83zzglobaliza7e_integrationza7,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33474ze3z83_1427,
							(int) (((long) 0)), BgL_fz00_5);
						PROCEDURE_SET(BgL_zc3anonymousza33474ze3z83_1427,
							(int) (((long) 1)), BgL_integratorz00_901);
						{	/* Globalize/integration.scm 78 */
							obj_t BgL_list3473z00_904;

							BgL_list3473z00_904 = MAKE_PAIR(BgL_arg3472z00_903, BNIL);
							return
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3anonymousza33474ze3z83_1427, BgL_list3473z00_904);
						}
					}
				}
			}
		}
	}



/* <anonymous:3474> */
	obj_t BGl_zc3anonymousza33474ze3z83zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_1428, obj_t BgL_gz00_1431)
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 78 */
			{	/* Globalize/integration.scm 79 */
				obj_t BgL_fz00_1429;
				obj_t BgL_integratorz00_1430;

				BgL_fz00_1429 = PROCEDURE_REF(BgL_envz00_1428, (int) (((long) 0)));
				BgL_integratorz00_1430 =
					PROCEDURE_REF(BgL_envz00_1428, (int) (((long) 1)));
				{
					obj_t BgL_gz00_905;

					BgL_gz00_905 = BgL_gz00_1431;
					{	/* Globalize/integration.scm 79 */
						bool_t BgL_testz00_1588;

						{	/* Globalize/integration.scm 79 */
							bool_t BgL_testz00_1589;

							{	/* Globalize/integration.scm 79 */
								bool_t BgL__ortest_3425z00_1393;

								BgL__ortest_3425z00_1393 =
									BGl_iszd2azf3z21zz__objectz00(BgL_gz00_905,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_3425z00_1393)
									{	/* Globalize/integration.scm 79 */
										BgL_testz00_1589 = BgL__ortest_3425z00_1393;
									}
								else
									{	/* Globalize/integration.scm 79 */
										BgL_localzf2ginfozf2_bglt BgL_obj3300z00_1395;

										BgL_obj3300z00_1395 =
											(BgL_localzf2ginfozf2_bglt) (BgL_gz00_905);
										{
											obj_t BgL_auxz00_1593;

											{	/* Globalize/integration.scm 79 */
												BgL_objectz00_bglt BgL_auxz00_1594;

												BgL_auxz00_1594 =
													(BgL_objectz00_bglt) (BgL_obj3300z00_1395);
												BgL_auxz00_1593 = BGL_OBJECT_WIDENING(BgL_auxz00_1594);
											}
											BgL_testz00_1589 =
												(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_1593))->
												BgL_globaliza7edzf3z54);
										}
									}
							}
							if (BgL_testz00_1589)
								{	/* Globalize/integration.scm 79 */
									BgL_testz00_1588 = ((bool_t) 1);
								}
							else
								{	/* Globalize/integration.scm 79 */
									BgL_testz00_1588 = (BgL_fz00_1429 == BgL_gz00_905);
								}
						}
						if (BgL_testz00_1588)
							{	/* Globalize/integration.scm 79 */
								return BFALSE;
							}
						else
							{	/* Globalize/integration.scm 80 */
								BgL_valuez00_bglt BgL_instance3423z00_908;

								{	/* Globalize/integration.scm 80 */
									BgL_variablez00_bglt BgL_obj1387z00_1396;

									BgL_obj1387z00_1396 = (BgL_variablez00_bglt) (BgL_gz00_905);
									BgL_instance3423z00_908 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1396))->
										BgL_valuez00);
								}
								{	/* Globalize/integration.scm 82 */
									bool_t BgL_testz00_1601;

									{	/* Globalize/integration.scm 82 */
										obj_t BgL_auxz00_1602;

										{	/* Globalize/integration.scm 82 */
											BgL_sfunzf2ginfozf2_bglt BgL_obj3123z00_1397;

											BgL_obj3123z00_1397 =
												(BgL_sfunzf2ginfozf2_bglt) (BgL_instance3423z00_908);
											{
												obj_t BgL_auxz00_1604;

												{	/* Globalize/integration.scm 82 */
													BgL_objectz00_bglt BgL_auxz00_1605;

													BgL_auxz00_1605 =
														(BgL_objectz00_bglt) (BgL_obj3123z00_1397);
													BgL_auxz00_1604 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1605);
												}
												BgL_auxz00_1602 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1604))->
													BgL_imarkz00);
											}
										}
										BgL_testz00_1601 =
											(BgL_auxz00_1602 == BgL_integratorz00_1430);
									}
									if (BgL_testz00_1601)
										{	/* Globalize/integration.scm 82 */
											return BFALSE;
										}
									else
										{	/* Globalize/integration.scm 84 */
											bool_t BgL_testz00_1610;

											{	/* Globalize/integration.scm 84 */
												obj_t BgL_auxz00_1611;

												{	/* Globalize/integration.scm 84 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3123z00_1398;

													BgL_obj3123z00_1398 =
														(BgL_sfunzf2ginfozf2_bglt)
														(BgL_instance3423z00_908);
													{
														obj_t BgL_auxz00_1613;

														{	/* Globalize/integration.scm 84 */
															BgL_objectz00_bglt BgL_auxz00_1614;

															BgL_auxz00_1614 =
																(BgL_objectz00_bglt) (BgL_obj3123z00_1398);
															BgL_auxz00_1613 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1614);
														}
														BgL_auxz00_1611 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_1613))->BgL_imarkz00);
													}
												}
												BgL_testz00_1610 = (BgL_auxz00_1611 == BUNSPEC);
											}
											if (BgL_testz00_1610)
												{	/* Globalize/integration.scm 84 */
													{	/* Globalize/integration.scm 85 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3125z00_1399;
														obj_t BgL_val3124z00_1400;

														BgL_obj3125z00_1399 =
															(BgL_sfunzf2ginfozf2_bglt)
															(BgL_instance3423z00_908);
														BgL_val3124z00_1400 = BgL_integratorz00_1430;
														{
															obj_t BgL_auxz00_1620;

															{	/* Globalize/integration.scm 85 */
																BgL_objectz00_bglt BgL_auxz00_1621;

																BgL_auxz00_1621 =
																	(BgL_objectz00_bglt) (BgL_obj3125z00_1399);
																BgL_auxz00_1620 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1621);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_1620))->BgL_imarkz00) =
																((obj_t) BgL_val3124z00_1400), BUNSPEC);
														}
													}
													return BgL_gz00_905;
												}
											else
												{	/* Globalize/integration.scm 84 */
													{	/* Globalize/integration.scm 88 */
														BgL_localzf2ginfozf2_bglt BgL_obj3302z00_1401;
														bool_t BgL_val3301z00_1402;

														BgL_obj3302z00_1401 =
															(BgL_localzf2ginfozf2_bglt) (BgL_gz00_905);
														BgL_val3301z00_1402 = ((bool_t) 1);
														{
															obj_t BgL_auxz00_1626;

															{	/* Globalize/integration.scm 88 */
																BgL_objectz00_bglt BgL_auxz00_1627;

																BgL_auxz00_1627 =
																	(BgL_objectz00_bglt) (BgL_obj3302z00_1401);
																BgL_auxz00_1626 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1627);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_1626))->
																	BgL_globaliza7edzf3z54) =
																((bool_t) BgL_val3301z00_1402), BUNSPEC);
														}
													}
													{	/* Globalize/integration.scm 89 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3125z00_1403;
														obj_t BgL_val3124z00_1404;

														BgL_obj3125z00_1403 =
															(BgL_sfunzf2ginfozf2_bglt)
															(BgL_instance3423z00_908);
														BgL_val3124z00_1404 = BFALSE;
														{
															obj_t BgL_auxz00_1632;

															{	/* Globalize/integration.scm 89 */
																BgL_objectz00_bglt BgL_auxz00_1633;

																BgL_auxz00_1633 =
																	(BgL_objectz00_bglt) (BgL_obj3125z00_1403);
																BgL_auxz00_1632 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1633);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_1632))->BgL_imarkz00) =
																((obj_t) BgL_val3124z00_1404), BUNSPEC);
														}
													}
													return BgL_gz00_905;
												}
										}
								}
							}
					}
				}
			}
		}
	}



/* integrate-in! */
	obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t BgL_fz00_7,
		obj_t BgL_gz00_8)
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 106 */
			{	/* Globalize/integration.scm 108 */
				BgL_valuez00_bglt BgL_arg3484z00_920;

				{	/* Globalize/integration.scm 108 */
					BgL_variablez00_bglt BgL_obj1387z00_1408;

					BgL_obj1387z00_1408 = (BgL_variablez00_bglt) (BgL_fz00_7);
					BgL_arg3484z00_920 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1408))->BgL_valuez00);
				}
				{	/* Globalize/integration.scm 108 */
					BgL_sfunzf2ginfozf2_bglt BgL_obj3122z00_1409;
					obj_t BgL_val3121z00_1410;

					BgL_obj3122z00_1409 = (BgL_sfunzf2ginfozf2_bglt) (BgL_arg3484z00_920);
					BgL_val3121z00_1410 = BgL_gz00_8;
					{
						obj_t BgL_auxz00_1640;

						{	/* Globalize/integration.scm 108 */
							BgL_objectz00_bglt BgL_auxz00_1641;

							BgL_auxz00_1641 = (BgL_objectz00_bglt) (BgL_obj3122z00_1409);
							BgL_auxz00_1640 = BGL_OBJECT_WIDENING(BgL_auxz00_1641);
						}
						((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1640))->
								BgL_integratorz00) = ((obj_t) BgL_val3121z00_1410), BUNSPEC);
					}
				}
			}
			{	/* Globalize/integration.scm 109 */
				BgL_valuez00_bglt BgL_arg3485z00_921;

				{	/* Globalize/integration.scm 109 */
					BgL_variablez00_bglt BgL_obj1387z00_1411;

					BgL_obj1387z00_1411 = (BgL_variablez00_bglt) (BgL_fz00_7);
					BgL_arg3485z00_921 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1411))->BgL_valuez00);
				}
				{	/* Globalize/integration.scm 109 */
					BgL_sfunzf2ginfozf2_bglt BgL_obj3103z00_1412;
					bool_t BgL_val3101z00_1413;

					BgL_obj3103z00_1412 = (BgL_sfunzf2ginfozf2_bglt) (BgL_arg3485z00_921);
					BgL_val3101z00_1413 = ((bool_t) 0);
					{
						obj_t BgL_auxz00_1648;

						{	/* Globalize/integration.scm 109 */
							BgL_objectz00_bglt BgL_auxz00_1649;

							BgL_auxz00_1649 = (BgL_objectz00_bglt) (BgL_obj3103z00_1412);
							BgL_auxz00_1648 = BGL_OBJECT_WIDENING(BgL_auxz00_1649);
						}
						((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1648))->BgL_gzf3zf3) =
							((bool_t) BgL_val3101z00_1413), BUNSPEC);
					}
				}
			}
			{	/* Globalize/integration.scm 110 */
				BgL_valuez00_bglt BgL_instance3428z00_922;

				{	/* Globalize/integration.scm 110 */
					BgL_variablez00_bglt BgL_obj1387z00_1414;

					BgL_obj1387z00_1414 = (BgL_variablez00_bglt) (BgL_gz00_8);
					BgL_instance3428z00_922 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1414))->BgL_valuez00);
				}
				{	/* Globalize/integration.scm 111 */
					obj_t BgL_arg3486z00_923;

					{	/* Globalize/integration.scm 111 */
						obj_t BgL_arg3487z00_924;

						{	/* Globalize/integration.scm 111 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3129z00_1415;

							BgL_obj3129z00_1415 =
								(BgL_sfunzf2ginfozf2_bglt) (BgL_instance3428z00_922);
							{
								obj_t BgL_auxz00_1656;

								{	/* Globalize/integration.scm 111 */
									BgL_objectz00_bglt BgL_auxz00_1657;

									BgL_auxz00_1657 = (BgL_objectz00_bglt) (BgL_obj3129z00_1415);
									BgL_auxz00_1656 = BGL_OBJECT_WIDENING(BgL_auxz00_1657);
								}
								BgL_arg3487z00_924 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1656))->
									BgL_integratedz00);
							}
						}
						BgL_arg3486z00_923 = MAKE_PAIR(BgL_fz00_7, BgL_arg3487z00_924);
					}
					{	/* Globalize/integration.scm 111 */
						BgL_sfunzf2ginfozf2_bglt BgL_obj3131z00_1416;
						obj_t BgL_val3130z00_1417;

						BgL_obj3131z00_1416 =
							(BgL_sfunzf2ginfozf2_bglt) (BgL_instance3428z00_922);
						BgL_val3130z00_1417 = BgL_arg3486z00_923;
						{
							obj_t BgL_auxz00_1663;

							{	/* Globalize/integration.scm 111 */
								BgL_objectz00_bglt BgL_auxz00_1664;

								BgL_auxz00_1664 = (BgL_objectz00_bglt) (BgL_obj3131z00_1416);
								BgL_auxz00_1663 = BGL_OBJECT_WIDENING(BgL_auxz00_1664);
							}
							return
								((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1663))->
									BgL_integratedz00) = ((obj_t) BgL_val3130z00_1417), BUNSPEC);
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7()
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7()
	{
		AN_OBJECT;
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					426556099),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					482601228),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					139755433),
				BSTRING_TO_STRING(BGl_string3543z00zzglobaliza7e_integrationza7));
		}
	}

#ifdef __cplusplus
}
#endif
