/*===========================================================================*/
/*   (Globalize/loc2glo.scm)                                                 */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/loc2glo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		obj_t);
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl__localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
		BUNSPEC;
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt, BgL_globalz00_bglt, obj_t, obj_t, BgL_localz00_bglt,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		bool_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	static BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	extern obj_t BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		long, long, bool_t);
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl__thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(obj_t,
		obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96();
	extern obj_t BGl_wideningzd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, long,
		obj_t, obj_t, obj_t, obj_t, long, long, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl__localza7d2za7e3glob3729z00,
		BGl__localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl__theza7d2globalza7d23730z00,
		BGl__thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string3725za700za7za7g3731za7, "globalize_local->global", 23);
	      DEFINE_STRING(BGl_string3726z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string3726za700za7za7g3732za7,
		"now sfun static _ value procedure-ref env ", 42);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long
		BgL_checksumz00_1813, char *BgL_fromz00_1814)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_local->global");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			{	/* Globalize/loc2glo.scm 15 */
				obj_t BgL_cportz00_1801;

				BgL_cportz00_1801 =
					bgl_open_input_string
					(BGl_string3726z00zzglobaliza7e_localzd2ze3globalz96,
					(int) (((long) 0)));
				{
					long BgL_iz00_1802;

					BgL_iz00_1802 = ((long) 6);
				BgL_loopz00_1803:
					if ((BgL_iz00_1802 == ((long) -1)))
						{	/* Globalize/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/loc2glo.scm 15 */
							{	/* Globalize/loc2glo.scm 15 */
								obj_t BgL_arg3728z00_1805;

								{	/* Globalize/loc2glo.scm 15 */

									{	/* Globalize/loc2glo.scm 15 */
										obj_t BgL_locationz00_1807;

										BgL_locationz00_1807 = BBOOL(((bool_t) 0));
										{	/* Globalize/loc2glo.scm 15 */

											BgL_arg3728z00_1805 =
												BGl_readz00zz__readerz00(BgL_cportz00_1801,
												BgL_locationz00_1807);
										}
									}
								}
								{	/* Globalize/loc2glo.scm 15 */
									int BgL_auxz00_1832;

									BgL_auxz00_1832 = (int) (BgL_iz00_1802);
									CNST_TABLE_SET(BgL_auxz00_1832, BgL_arg3728z00_1805);
							}}
							{	/* Globalize/loc2glo.scm 15 */
								int BgL_auxz00_1808;

								BgL_auxz00_1808 = (int) ((BgL_iz00_1802 - ((long) 1)));
								{
									long BgL_iz00_1837;

									BgL_iz00_1837 = (long) (BgL_auxz00_1808);
									BgL_iz00_1802 = BgL_iz00_1837;
									goto BgL_loopz00_1803;
								}
							}
						}
				}
			}
		}
	}



/* default-type */
	obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 38 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) < ((long) 2)))
				{	/* Globalize/loc2glo.scm 39 */
					return BGl_za2objza2z00zztype_cachez00;
				}
			else
				{	/* Globalize/loc2glo.scm 39 */
					return BGl_za2_za2z00zztype_cachez00;
				}
		}
	}



/* local->global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_1)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 44 */
			{	/* Globalize/loc2glo.scm 48 */
				BgL_globalz00_bglt BgL_globalz00_872;

				BgL_globalz00_872 =
					BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_1);
				{	/* Globalize/loc2glo.scm 48 */
					obj_t BgL_argsz00_873;

					{	/* Globalize/loc2glo.scm 49 */
						BgL_sfunz00_bglt BgL_obj1676z00_1561;

						{	/* Globalize/loc2glo.scm 49 */
							BgL_variablez00_bglt BgL_obj1407z00_1560;

							BgL_obj1407z00_1560 = (BgL_variablez00_bglt) (BgL_localz00_1);
							{	/* Globalize/loc2glo.scm 49 */
								BgL_valuez00_bglt BgL_auxz00_1844;

								BgL_auxz00_1844 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1560))->
									BgL_valuez00);
								BgL_obj1676z00_1561 = (BgL_sfunz00_bglt) (BgL_auxz00_1844);
							}
						}
						BgL_argsz00_873 =
							(((BgL_sfunz00_bglt) CREF(BgL_obj1676z00_1561))->BgL_argsz00);
					}
					{	/* Globalize/loc2glo.scm 49 */
						BgL_valuez00_bglt BgL_infoz00_874;

						{	/* Globalize/loc2glo.scm 50 */
							BgL_variablez00_bglt BgL_obj1407z00_1562;

							BgL_obj1407z00_1562 = (BgL_variablez00_bglt) (BgL_localz00_1);
							BgL_infoz00_874 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1562))->
								BgL_valuez00);
						}
						{	/* Globalize/loc2glo.scm 50 */
							obj_t BgL_newzd2bodyzd2_875;

							{	/* Globalize/loc2glo.scm 51 */
								BgL_sfunzf2ginfozf2_bglt BgL_obj3167z00_1563;

								BgL_obj3167z00_1563 =
									(BgL_sfunzf2ginfozf2_bglt) (BgL_infoz00_874);
								{
									obj_t BgL_auxz00_1851;

									{	/* Globalize/loc2glo.scm 51 */
										BgL_objectz00_bglt BgL_auxz00_1852;

										BgL_auxz00_1852 =
											(BgL_objectz00_bglt) (BgL_obj3167z00_1563);
										BgL_auxz00_1851 = BGL_OBJECT_WIDENING(BgL_auxz00_1852);
									}
									BgL_newzd2bodyzd2_875 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1851))->
										BgL_newzd2bodyzd2);
								}
							}
							{	/* Globalize/loc2glo.scm 51 */
								obj_t BgL_kapturedz00_876;

								{	/* Globalize/loc2glo.scm 52 */
									BgL_sfunzf2ginfozf2_bglt BgL_obj3164z00_1564;

									BgL_obj3164z00_1564 =
										(BgL_sfunzf2ginfozf2_bglt) (BgL_infoz00_874);
									{
										obj_t BgL_auxz00_1857;

										{	/* Globalize/loc2glo.scm 52 */
											BgL_objectz00_bglt BgL_auxz00_1858;

											BgL_auxz00_1858 =
												(BgL_objectz00_bglt) (BgL_obj3164z00_1564);
											BgL_auxz00_1857 = BGL_OBJECT_WIDENING(BgL_auxz00_1858);
										}
										BgL_kapturedz00_876 =
											(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_1857))->
											BgL_kapturedz00);
									}
								}
								{	/* Globalize/loc2glo.scm 52 */

									{	/* Globalize/loc2glo.scm 53 */
										bool_t BgL_testz00_1862;

										{	/* Globalize/loc2glo.scm 53 */
											BgL_localzf2ginfozf2_bglt BgL_obj3316z00_1565;

											BgL_obj3316z00_1565 =
												(BgL_localzf2ginfozf2_bglt) (BgL_localz00_1);
											{
												obj_t BgL_auxz00_1864;

												{	/* Globalize/loc2glo.scm 53 */
													BgL_objectz00_bglt BgL_auxz00_1865;

													BgL_auxz00_1865 =
														(BgL_objectz00_bglt) (BgL_obj3316z00_1565);
													BgL_auxz00_1864 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1865);
												}
												BgL_testz00_1862 =
													(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_1864))->
													BgL_escapezf3zf3);
											}
										}
										if (BgL_testz00_1862)
											{	/* Globalize/loc2glo.scm 53 */
												BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_872, BgL_localz00_1, BgL_argsz00_873,
													BgL_kapturedz00_876, BgL_newzd2bodyzd2_875);
											}
										else
											{	/* Globalize/loc2glo.scm 53 */
												BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_872, BgL_localz00_1, BgL_argsz00_873,
													BgL_kapturedz00_876, BgL_newzd2bodyzd2_875);
											}
									}
									return BgL_globalz00_872;
								}
							}
						}
					}
				}
			}
		}
	}



/* _local->global */
	obj_t BGl__localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_1797, obj_t BgL_localz00_1798)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 44 */
			{	/* Globalize/loc2glo.scm 56 */
				BgL_globalz00_bglt BgL_auxz00_1871;

				BgL_auxz00_1871 =
					BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(
					(BgL_localz00_bglt) (BgL_localz00_1798));
				return (obj_t) (BgL_auxz00_1871);
			}
		}
	}



/* fix-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_2, BgL_localz00_bglt BgL_localz00_3,
		obj_t BgL_argsz00_4, obj_t BgL_kapturedz00_5, obj_t BgL_bodyz00_6)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 61 */
			{	/* Globalize/loc2glo.scm 62 */
				BgL_localz00_bglt BgL_envz00_879;

				BgL_envz00_879 =
					BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long) 0)),
					(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00));
				{	/* Globalize/loc2glo.scm 62 */
					obj_t BgL_newzd2freezd2_880;

					if (NULLP(BgL_kapturedz00_5))
						{	/* Globalize/loc2glo.scm 63 */
							BgL_newzd2freezd2_880 = BNIL;
						}
					else
						{	/* Globalize/loc2glo.scm 63 */
							obj_t BgL_head3454z00_975;

							BgL_head3454z00_975 = MAKE_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l3452z00_976;
								obj_t BgL_tail3455z00_977;

								BgL_l3452z00_976 = BgL_kapturedz00_5;
								BgL_tail3455z00_977 = BgL_head3454z00_975;
							BgL_map3453z00_978:
								if (NULLP(BgL_l3452z00_976))
									{	/* Globalize/loc2glo.scm 63 */
										BgL_newzd2freezd2_880 = CDR(BgL_head3454z00_975);
									}
								else
									{	/* Globalize/loc2glo.scm 63 */
										obj_t BgL_newtail3456z00_980;

										{	/* Globalize/loc2glo.scm 63 */
											BgL_localz00_bglt BgL_arg3559z00_982;

											{	/* Globalize/loc2glo.scm 63 */
												obj_t BgL_oldz00_984;

												BgL_oldz00_984 = CAR(BgL_l3452z00_976);
												{	/* Globalize/loc2glo.scm 64 */
													BgL_localz00_bglt BgL_newz00_985;

													{	/* Globalize/loc2glo.scm 64 */
														obj_t BgL_arg3567z00_994;
														obj_t BgL_arg3568z00_995;

														{	/* Globalize/loc2glo.scm 64 */
															BgL_variablez00_bglt BgL_obj1399z00_1572;

															BgL_obj1399z00_1572 =
																(BgL_variablez00_bglt) (BgL_oldz00_984);
															BgL_arg3567z00_994 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1399z00_1572))->BgL_idz00);
														}
														BgL_arg3568z00_995 =
															BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
															();
														BgL_newz00_985 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(BgL_arg3567z00_994,
															(BgL_typez00_bglt) (BgL_arg3568z00_995));
													}
													{	/* Globalize/loc2glo.scm 66 */
														bool_t BgL_arg3561z00_986;

														{	/* Globalize/loc2glo.scm 66 */
															BgL_localz00_bglt BgL_obj1571z00_1573;

															BgL_obj1571z00_1573 =
																(BgL_localz00_bglt) (BgL_oldz00_984);
															BgL_arg3561z00_986 =
																(((BgL_localz00_bglt)
																	CREF(BgL_obj1571z00_1573))->BgL_userzf3zf3);
														}
														((((BgL_localz00_bglt) CREF(BgL_newz00_985))->
																BgL_userzf3zf3) =
															((bool_t) BgL_arg3561z00_986), BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 67 */
														BgL_localz00_bglt BgL_obj3433z00_987;

														BgL_obj3433z00_987 =
															((BgL_localz00_bglt) BgL_newz00_985);
														{	/* Globalize/loc2glo.scm 67 */
															obj_t BgL_arg3562z00_988;

															BgL_arg3562z00_988 =
																BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
																(((bool_t) 0), ((bool_t) 0));
															{	/* Globalize/loc2glo.scm 67 */
																BgL_objectz00_bglt BgL_auxz00_1895;

																BgL_auxz00_1895 =
																	(BgL_objectz00_bglt) (BgL_obj3433z00_987);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_1895,
																	BgL_arg3562z00_988);
															}
														}
														{	/* Globalize/loc2glo.scm 67 */
															long BgL_arg3563z00_989;

															BgL_arg3563z00_989 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
															{	/* Globalize/loc2glo.scm 67 */
																BgL_objectz00_bglt BgL_objz00_1576;

																BgL_objz00_1576 =
																	(BgL_objectz00_bglt) (BgL_obj3433z00_987);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1576,
																	BgL_arg3563z00_989);
														}} BgL_obj3433z00_987;
													}
													{	/* Globalize/loc2glo.scm 68 */
														BgL_svarz00_bglt BgL_obj3434z00_990;

														{
															BgL_svarz00_bglt BgL_auxz00_1901;

															{	/* Globalize/loc2glo.scm 68 */
																BgL_valuez00_bglt BgL_auxz00_1902;

																{	/* Globalize/loc2glo.scm 68 */
																	BgL_variablez00_bglt BgL_obj1407z00_1809;

																	BgL_obj1407z00_1809 =
																		(BgL_variablez00_bglt) (BgL_newz00_985);
																	BgL_auxz00_1902 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1407z00_1809))->BgL_valuez00);
																}
																BgL_auxz00_1901 =
																	(BgL_svarz00_bglt) (BgL_auxz00_1902);
															}
															BgL_obj3434z00_990 =
																((BgL_svarz00_bglt) BgL_auxz00_1901);
														}
														{	/* Globalize/loc2glo.scm 68 */
															obj_t BgL_arg3564z00_991;

															BgL_arg3564z00_991 =
																BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
																(((bool_t) 1), ((long) -10), ((long) -10),
																((bool_t) 0));
															{	/* Globalize/loc2glo.scm 68 */
																BgL_objectz00_bglt BgL_auxz00_1908;

																BgL_auxz00_1908 =
																	(BgL_objectz00_bglt) (BgL_obj3434z00_990);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_1908,
																	BgL_arg3564z00_991);
														}}
														{	/* Globalize/loc2glo.scm 68 */
															long BgL_arg3565z00_992;

															BgL_arg3565z00_992 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
															{	/* Globalize/loc2glo.scm 68 */
																BgL_objectz00_bglt BgL_objz00_1579;

																BgL_objz00_1579 =
																	(BgL_objectz00_bglt) (BgL_obj3434z00_990);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1579,
																	BgL_arg3565z00_992);
														}} BgL_obj3434z00_990;
													}
													{	/* Globalize/loc2glo.scm 70 */
														obj_t BgL_arg3566z00_993;

														{	/* Globalize/loc2glo.scm 70 */
															BgL_variablez00_bglt BgL_obj1410z00_1581;

															BgL_obj1410z00_1581 =
																(BgL_variablez00_bglt) (BgL_oldz00_984);
															BgL_arg3566z00_993 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1410z00_1581))->BgL_accessz00);
														}
														{	/* Globalize/loc2glo.scm 70 */
															BgL_variablez00_bglt BgL_obj1412z00_1582;
															obj_t BgL_val1411z00_1583;

															BgL_obj1412z00_1582 =
																(BgL_variablez00_bglt) (BgL_newz00_985);
															BgL_val1411z00_1583 = BgL_arg3566z00_993;
															((((BgL_variablez00_bglt)
																		CREF(BgL_obj1412z00_1582))->BgL_accessz00) =
																((obj_t) BgL_val1411z00_1583), BUNSPEC);
													}}
													BgL_arg3559z00_982 = BgL_newz00_985;
											}}
											{	/* Globalize/loc2glo.scm 63 */
												obj_t BgL_obj1z00_1584;

												BgL_obj1z00_1584 = (obj_t) (BgL_arg3559z00_982);
												BgL_newtail3456z00_980 =
													MAKE_PAIR(BgL_obj1z00_1584, BNIL);
										}}
										SET_CDR(BgL_tail3455z00_977, BgL_newtail3456z00_980);
										{
											obj_t BgL_tail3455z00_1923;
											obj_t BgL_l3452z00_1921;

											BgL_l3452z00_1921 = CDR(BgL_l3452z00_976);
											BgL_tail3455z00_1923 = BgL_newtail3456z00_980;
											BgL_tail3455z00_977 = BgL_tail3455z00_1923;
											BgL_l3452z00_976 = BgL_l3452z00_1921;
											goto BgL_map3453z00_978;
										}
									}
							}
						}
					{	/* Globalize/loc2glo.scm 63 */
						obj_t BgL_newzd2argszd2_881;

						if (NULLP(BgL_argsz00_4))
							{	/* Globalize/loc2glo.scm 73 */
								BgL_newzd2argszd2_881 = BNIL;
							}
						else
							{	/* Globalize/loc2glo.scm 73 */
								obj_t BgL_head3459z00_948;

								BgL_head3459z00_948 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3457z00_949;
									obj_t BgL_tail3460z00_950;

									BgL_l3457z00_949 = BgL_argsz00_4;
									BgL_tail3460z00_950 = BgL_head3459z00_948;
								BgL_map3458z00_951:
									if (NULLP(BgL_l3457z00_949))
										{	/* Globalize/loc2glo.scm 73 */
											BgL_newzd2argszd2_881 = CDR(BgL_head3459z00_948);
										}
									else
										{	/* Globalize/loc2glo.scm 73 */
											obj_t BgL_newtail3461z00_953;

											{	/* Globalize/loc2glo.scm 73 */
												BgL_localz00_bglt BgL_arg3542z00_955;

												{	/* Globalize/loc2glo.scm 73 */
													obj_t BgL_oldz00_957;

													BgL_oldz00_957 = CAR(BgL_l3457z00_949);
													{	/* Globalize/loc2glo.scm 74 */
														BgL_localz00_bglt BgL_newz00_958;

														{	/* Globalize/loc2glo.scm 74 */
															obj_t BgL_arg3554z00_971;
															obj_t BgL_arg3555z00_972;

															{	/* Globalize/loc2glo.scm 74 */
																BgL_variablez00_bglt BgL_obj1399z00_1595;

																BgL_obj1399z00_1595 =
																	(BgL_variablez00_bglt) (BgL_oldz00_957);
																BgL_arg3554z00_971 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1399z00_1595))->BgL_idz00);
															}
															BgL_arg3555z00_972 =
																BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
																();
															BgL_newz00_958 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_arg3554z00_971,
																(BgL_typez00_bglt) (BgL_arg3555z00_972));
														}
														{	/* Globalize/loc2glo.scm 76 */
															bool_t BgL_arg3544z00_959;

															{	/* Globalize/loc2glo.scm 76 */
																BgL_localz00_bglt BgL_obj1571z00_1596;

																BgL_obj1571z00_1596 =
																	(BgL_localz00_bglt) (BgL_oldz00_957);
																BgL_arg3544z00_959 =
																	(((BgL_localz00_bglt)
																		CREF(BgL_obj1571z00_1596))->BgL_userzf3zf3);
															}
															((((BgL_localz00_bglt) CREF(BgL_newz00_958))->
																	BgL_userzf3zf3) =
																((bool_t) BgL_arg3544z00_959), BUNSPEC);
														}
														{	/* Globalize/loc2glo.scm 77 */
															BgL_localz00_bglt BgL_obj3435z00_960;

															BgL_obj3435z00_960 =
																((BgL_localz00_bglt) BgL_newz00_958);
															{	/* Globalize/loc2glo.scm 77 */
																obj_t BgL_arg3545z00_961;

																BgL_arg3545z00_961 =
																	BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
																	(((bool_t) 0), ((bool_t) 0));
																{	/* Globalize/loc2glo.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_1941;

																	BgL_auxz00_1941 =
																		(BgL_objectz00_bglt) (BgL_obj3435z00_960);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_1941,
																		BgL_arg3545z00_961);
																}
															}
															{	/* Globalize/loc2glo.scm 77 */
																long BgL_arg3546z00_962;

																BgL_arg3546z00_962 =
																	BGl_classzd2numzd2zz__objectz00
																	(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																{	/* Globalize/loc2glo.scm 77 */
																	BgL_objectz00_bglt BgL_objz00_1599;

																	BgL_objz00_1599 =
																		(BgL_objectz00_bglt) (BgL_obj3435z00_960);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1599,
																		BgL_arg3546z00_962);
															}} BgL_obj3435z00_960;
														}
														{	/* Globalize/loc2glo.scm 78 */
															BgL_svarz00_bglt BgL_obj3436z00_963;

															{
																BgL_svarz00_bglt BgL_auxz00_1947;

																{	/* Globalize/loc2glo.scm 78 */
																	BgL_valuez00_bglt BgL_auxz00_1948;

																	{	/* Globalize/loc2glo.scm 78 */
																		BgL_variablez00_bglt BgL_obj1407z00_1810;

																		BgL_obj1407z00_1810 =
																			(BgL_variablez00_bglt) (BgL_newz00_958);
																		BgL_auxz00_1948 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_obj1407z00_1810))->
																			BgL_valuez00);
																	}
																	BgL_auxz00_1947 =
																		(BgL_svarz00_bglt) (BgL_auxz00_1948);
																}
																BgL_obj3436z00_963 =
																	((BgL_svarz00_bglt) BgL_auxz00_1947);
															}
															{	/* Globalize/loc2glo.scm 80 */
																obj_t BgL_arg3547z00_964;

																{	/* Globalize/loc2glo.scm 80 */
																	bool_t BgL_arg3548z00_965;

																	{	/* Globalize/loc2glo.scm 79 */
																		BgL_svarzf2ginfozf2_bglt
																			BgL_obj3244z00_1603;
																		{	/* Globalize/loc2glo.scm 80 */
																			BgL_variablez00_bglt BgL_obj1407z00_1602;

																			BgL_obj1407z00_1602 =
																				(BgL_variablez00_bglt) (BgL_oldz00_957);
																			{	/* Globalize/loc2glo.scm 80 */
																				BgL_valuez00_bglt BgL_auxz00_1954;

																				BgL_auxz00_1954 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_obj1407z00_1602))->
																					BgL_valuez00);
																				BgL_obj3244z00_1603 =
																					(BgL_svarzf2ginfozf2_bglt)
																					(BgL_auxz00_1954);
																		}}
																		{
																			obj_t BgL_auxz00_1957;

																			{	/* Globalize/loc2glo.scm 79 */
																				BgL_objectz00_bglt BgL_auxz00_1958;

																				BgL_auxz00_1958 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3244z00_1603);
																				BgL_auxz00_1957 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1958);
																			}
																			BgL_arg3548z00_965 =
																				(((BgL_svarzf2ginfozf2_bglt)
																					CREF(BgL_auxz00_1957))->
																				BgL_kapturedzf3zf3);
																	}}
																	BgL_arg3547z00_964 =
																		BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
																		(BgL_arg3548z00_965, ((long) -10),
																		((long) -10), ((bool_t) 0));
																}
																{	/* Globalize/loc2glo.scm 78 */
																	BgL_objectz00_bglt BgL_auxz00_1963;

																	BgL_auxz00_1963 =
																		(BgL_objectz00_bglt) (BgL_obj3436z00_963);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_1963,
																		BgL_arg3547z00_964);
															}}
															{	/* Globalize/loc2glo.scm 78 */
																long BgL_arg3552z00_969;

																BgL_arg3552z00_969 =
																	BGl_classzd2numzd2zz__objectz00
																	(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																{	/* Globalize/loc2glo.scm 78 */
																	BgL_objectz00_bglt BgL_objz00_1604;

																	BgL_objz00_1604 =
																		(BgL_objectz00_bglt) (BgL_obj3436z00_963);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1604,
																		BgL_arg3552z00_969);
															}} BgL_obj3436z00_963;
														}
														{	/* Globalize/loc2glo.scm 81 */
															obj_t BgL_arg3553z00_970;

															{	/* Globalize/loc2glo.scm 81 */
																BgL_variablez00_bglt BgL_obj1410z00_1606;

																BgL_obj1410z00_1606 =
																	(BgL_variablez00_bglt) (BgL_oldz00_957);
																BgL_arg3553z00_970 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1410z00_1606))->BgL_accessz00);
															}
															{	/* Globalize/loc2glo.scm 81 */
																BgL_variablez00_bglt BgL_obj1412z00_1607;
																obj_t BgL_val1411z00_1608;

																BgL_obj1412z00_1607 =
																	(BgL_variablez00_bglt) (BgL_newz00_958);
																BgL_val1411z00_1608 = BgL_arg3553z00_970;
																((((BgL_variablez00_bglt)
																			CREF(BgL_obj1412z00_1607))->
																		BgL_accessz00) =
																	((obj_t) BgL_val1411z00_1608), BUNSPEC);
														}}
														BgL_arg3542z00_955 = BgL_newz00_958;
												}}
												{	/* Globalize/loc2glo.scm 73 */
													obj_t BgL_obj1z00_1609;

													BgL_obj1z00_1609 = (obj_t) (BgL_arg3542z00_955);
													BgL_newtail3461z00_953 =
														MAKE_PAIR(BgL_obj1z00_1609, BNIL);
											}}
											SET_CDR(BgL_tail3460z00_950, BgL_newtail3461z00_953);
											{
												obj_t BgL_tail3460z00_1978;
												obj_t BgL_l3457z00_1976;

												BgL_l3457z00_1976 = CDR(BgL_l3457z00_949);
												BgL_tail3460z00_1978 = BgL_newtail3461z00_953;
												BgL_tail3460z00_950 = BgL_tail3460z00_1978;
												BgL_l3457z00_949 = BgL_l3457z00_1976;
												goto BgL_map3458z00_951;
											}
										}
								}
							}
						{	/* Globalize/loc2glo.scm 73 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_882;

							{	/* Globalize/loc2glo.scm 84 */
								BgL_variablez00_bglt BgL_obj1407z00_1614;

								BgL_obj1407z00_1614 = (BgL_variablez00_bglt) (BgL_localz00_3);
								BgL_oldzd2funzd2_882 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1614))->
									BgL_valuez00);
							}
							{	/* Globalize/loc2glo.scm 84 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_883;

								{	/* Globalize/loc2glo.scm 85 */
									BgL_sfunz00_bglt BgL_duplicated3437z00_925;

									BgL_duplicated3437z00_925 =
										(BgL_sfunz00_bglt) (BgL_oldzd2funzd2_882);
									{	/* Globalize/loc2glo.scm 86 */
										BgL_sfunz00_bglt BgL_new3438z00_926;

										{	/* Globalize/loc2glo.scm 86 */
											obj_t BgL_arg3520z00_927;
											obj_t BgL_arg3521z00_928;
											obj_t BgL_arg3522z00_929;
											obj_t BgL_arg3523z00_930;
											bool_t BgL_arg3524z00_931;
											obj_t BgL_arg3525z00_932;
											obj_t BgL_arg3526z00_933;
											obj_t BgL_arg3527z00_934;
											obj_t BgL_arg3528z00_935;
											obj_t BgL_arg3529z00_936;
											obj_t BgL_arg3530z00_937;
											obj_t BgL_arg3531z00_938;
											obj_t BgL_arg3532z00_939;
											obj_t BgL_arg3533z00_940;
											obj_t BgL_arg3534z00_941;
											obj_t BgL_arg3535z00_942;
											obj_t BgL_arg3536z00_943;

											{	/* Globalize/loc2glo.scm 86 */
												long BgL_arg3537z00_944;

												{	/* Globalize/loc2glo.scm 86 */
													BgL_funz00_bglt BgL_obj1610z00_1615;

													BgL_obj1610z00_1615 =
														(BgL_funz00_bglt) (BgL_oldzd2funzd2_882);
													BgL_arg3537z00_944 =
														(((BgL_funz00_bglt) CREF(BgL_obj1610z00_1615))->
														BgL_arityz00);
												}
												BgL_arg3520z00_927 =
													BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg3537z00_944), BINT(((long) 1)));
											}
											{	/* Globalize/loc2glo.scm 85 */
												BgL_funz00_bglt BgL_obj1611z00_1616;

												BgL_obj1611z00_1616 =
													(BgL_funz00_bglt) (BgL_duplicated3437z00_925);
												BgL_arg3521z00_928 =
													(((BgL_funz00_bglt) CREF(BgL_obj1611z00_1616))->
													BgL_sidezd2effectzf3z21);
											}
											{	/* Globalize/loc2glo.scm 85 */
												BgL_funz00_bglt BgL_obj1614z00_1617;

												BgL_obj1614z00_1617 =
													(BgL_funz00_bglt) (BgL_duplicated3437z00_925);
												BgL_arg3522z00_929 =
													(((BgL_funz00_bglt) CREF(BgL_obj1614z00_1617))->
													BgL_predicatezd2ofzd2);
											}
											{	/* Globalize/loc2glo.scm 85 */
												BgL_funz00_bglt BgL_obj1617z00_1618;

												BgL_obj1617z00_1618 =
													(BgL_funz00_bglt) (BgL_duplicated3437z00_925);
												BgL_arg3523z00_930 =
													(((BgL_funz00_bglt) CREF(BgL_obj1617z00_1618))->
													BgL_stackzd2allocatorzd2);
											}
											{	/* Globalize/loc2glo.scm 85 */
												BgL_funz00_bglt BgL_obj1620z00_1619;

												BgL_obj1620z00_1619 =
													(BgL_funz00_bglt) (BgL_duplicated3437z00_925);
												BgL_arg3524z00_931 =
													(((BgL_funz00_bglt) CREF(BgL_obj1620z00_1619))->
													BgL_topzf3zf3);
											}
											{	/* Globalize/loc2glo.scm 85 */
												BgL_funz00_bglt BgL_obj1623z00_1620;

												BgL_obj1623z00_1620 =
													(BgL_funz00_bglt) (BgL_duplicated3437z00_925);
												BgL_arg3525z00_932 =
													(((BgL_funz00_bglt) CREF(BgL_obj1623z00_1620))->
													BgL_thezd2closurezd2);
											}
											{	/* Globalize/loc2glo.scm 85 */
												BgL_funz00_bglt BgL_obj1626z00_1621;

												BgL_obj1626z00_1621 =
													(BgL_funz00_bglt) (BgL_duplicated3437z00_925);
												BgL_arg3526z00_933 =
													(((BgL_funz00_bglt) CREF(BgL_obj1626z00_1621))->
													BgL_effectz00);
											}
											BgL_arg3527z00_934 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_propertyz00);
											BgL_arg3528z00_935 =
												MAKE_PAIR((obj_t) (BgL_envz00_879),
												BgL_newzd2argszd2_881);
											BgL_arg3529z00_936 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_argszd2namezd2);
											BgL_arg3530z00_937 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_bodyz00);
											BgL_arg3531z00_938 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_classz00);
											BgL_arg3532z00_939 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_dssslzd2keywordszd2);
											BgL_arg3533z00_940 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_locz00);
											BgL_arg3534z00_941 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_optionalsz00);
											BgL_arg3535z00_942 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_keysz00);
											BgL_arg3536z00_943 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3437z00_925))->
												BgL_thezd2closurezd2globalz00);
											BgL_new3438z00_926 =
												BGl_makezd2sfunzd2zzast_varz00((long)
												CINT(BgL_arg3520z00_927), BgL_arg3521z00_928,
												BgL_arg3522z00_929, BgL_arg3523z00_930,
												BgL_arg3524z00_931, BgL_arg3525z00_932,
												BgL_arg3526z00_933, BgL_arg3527z00_934,
												BgL_arg3528z00_935, BgL_arg3529z00_936,
												BgL_arg3530z00_937, BgL_arg3531z00_938,
												BgL_arg3532z00_939, BgL_arg3533z00_940,
												BgL_arg3534z00_941, BgL_arg3535z00_942,
												BgL_arg3536z00_943);
										}
										{	/* Globalize/loc2glo.scm 85 */

											BgL_newzd2funzd2_883 = BgL_new3438z00_926;
								}}}
								{	/* Globalize/loc2glo.scm 85 */

									{	/* Globalize/loc2glo.scm 89 */
										BgL_globalzf2ginfozf2_bglt BgL_obj3377z00_1631;
										bool_t BgL_val3376z00_1632;

										BgL_obj3377z00_1631 =
											(BgL_globalzf2ginfozf2_bglt) (BgL_globalz00_2);
										BgL_val3376z00_1632 = ((bool_t) 1);
										{
											obj_t BgL_auxz00_2013;

											{	/* Globalize/loc2glo.scm 89 */
												BgL_objectz00_bglt BgL_auxz00_2014;

												BgL_auxz00_2014 =
													(BgL_objectz00_bglt) (BgL_obj3377z00_1631);
												BgL_auxz00_2013 = BGL_OBJECT_WIDENING(BgL_auxz00_2014);
											}
											((((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_2013))->
													BgL_escapezf3zf3) =
												((bool_t) BgL_val3376z00_1632), BUNSPEC);
									}}
									{	/* Globalize/loc2glo.scm 90 */
										BgL_sfunz00_bglt BgL_obj3439z00_884;

										BgL_obj3439z00_884 =
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_883);
										{	/* Globalize/loc2glo.scm 90 */
											obj_t BgL_arg3495z00_885;

											BgL_arg3495z00_885 =
												BGl_wideningzd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7((
													(bool_t) 0), BNIL, BFALSE, BNIL, BFALSE, BNIL,
												BUNSPEC, BUNSPEC, BFALSE, BNIL, BNIL, ((long) -10),
												BNIL, BFALSE, BFALSE, BFALSE, ((long) -10),
												((long) -10), BUNSPEC, BNIL);
											{	/* Globalize/loc2glo.scm 90 */
												BgL_objectz00_bglt BgL_auxz00_2020;

												BgL_auxz00_2020 =
													(BgL_objectz00_bglt) (BgL_obj3439z00_884);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2020,
													BgL_arg3495z00_885);
										}}
										{	/* Globalize/loc2glo.scm 90 */
											long BgL_arg3496z00_886;

											BgL_arg3496z00_886 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											{	/* Globalize/loc2glo.scm 90 */
												BgL_objectz00_bglt BgL_objz00_1633;

												BgL_objz00_1633 =
													(BgL_objectz00_bglt) (BgL_obj3439z00_884);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1633,
													BgL_arg3496z00_886);
										}} BgL_obj3439z00_884;
									}
									{	/* Globalize/loc2glo.scm 92 */
										BgL_svarz00_bglt BgL_obj3440z00_887;

										{
											BgL_svarz00_bglt BgL_auxz00_2026;

											{	/* Globalize/loc2glo.scm 92 */
												BgL_valuez00_bglt BgL_auxz00_2027;

												{	/* Globalize/loc2glo.scm 92 */
													BgL_variablez00_bglt BgL_obj1407z00_1811;

													BgL_obj1407z00_1811 =
														(BgL_variablez00_bglt) (BgL_envz00_879);
													BgL_auxz00_2027 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1407z00_1811))->BgL_valuez00);
												}
												BgL_auxz00_2026 = (BgL_svarz00_bglt) (BgL_auxz00_2027);
											}
											BgL_obj3440z00_887 = ((BgL_svarz00_bglt) BgL_auxz00_2026);
										}
										{	/* Globalize/loc2glo.scm 92 */
											obj_t BgL_arg3497z00_888;

											BgL_arg3497z00_888 =
												BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7((
													(bool_t) 0), ((long) -10), ((long) -10),
												((bool_t) 0));
											{	/* Globalize/loc2glo.scm 92 */
												BgL_objectz00_bglt BgL_auxz00_2033;

												BgL_auxz00_2033 =
													(BgL_objectz00_bglt) (BgL_obj3440z00_887);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2033,
													BgL_arg3497z00_888);
										}}
										{	/* Globalize/loc2glo.scm 92 */
											long BgL_arg3498z00_889;

											BgL_arg3498z00_889 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
											{	/* Globalize/loc2glo.scm 92 */
												BgL_objectz00_bglt BgL_objz00_1636;

												BgL_objz00_1636 =
													(BgL_objectz00_bglt) (BgL_obj3440z00_887);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1636,
													BgL_arg3498z00_889);
										}} BgL_obj3440z00_887;
									}
									{	/* Globalize/loc2glo.scm 96 */
										BgL_variablez00_bglt BgL_obj1406z00_1638;
										BgL_typez00_bglt BgL_val1405z00_1639;

										BgL_obj1406z00_1638 =
											(BgL_variablez00_bglt) (BgL_globalz00_2);
										BgL_val1405z00_1639 =
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(BgL_obj1406z00_1638))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_val1405z00_1639), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 99 */
										obj_t BgL_g3464z00_890;

										{	/* Globalize/loc2glo.scm 100 */
											obj_t BgL_pairz00_1641;

											BgL_pairz00_1641 =
												(((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_883))->
												BgL_argsz00);
											BgL_g3464z00_890 = CDR(BgL_pairz00_1641);
										}
										{
											obj_t BgL_l3462z00_891;

											BgL_l3462z00_891 = BgL_g3464z00_890;
										BgL_forzd2each3463zd2_892:
											if (PAIRP(BgL_l3462z00_891))
												{	/* Globalize/loc2glo.scm 99 */
													{	/* Globalize/loc2glo.scm 99 */
														obj_t BgL_lz00_894;

														BgL_lz00_894 = CAR(BgL_l3462z00_891);
														{	/* Globalize/loc2glo.scm 99 */
															BgL_variablez00_bglt BgL_obj1406z00_1644;
															BgL_typez00_bglt BgL_val1405z00_1645;

															BgL_obj1406z00_1644 =
																(BgL_variablez00_bglt) (BgL_lz00_894);
															BgL_val1405z00_1645 =
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00);
															((((BgL_variablez00_bglt)
																		CREF(BgL_obj1406z00_1644))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_val1405z00_1645),
																BUNSPEC);
														}
													}
													{
														obj_t BgL_l3462z00_2050;

														BgL_l3462z00_2050 = CDR(BgL_l3462z00_891);
														BgL_l3462z00_891 = BgL_l3462z00_2050;
														goto BgL_forzd2each3463zd2_892;
													}
												}
											else
												{	/* Globalize/loc2glo.scm 99 */
													((bool_t) 1);
												}
										}
									}
									{	/* Globalize/loc2glo.scm 101 */
										BgL_variablez00_bglt BgL_obj1409z00_1647;
										BgL_valuez00_bglt BgL_val1408z00_1648;

										BgL_obj1409z00_1647 =
											(BgL_variablez00_bglt) (BgL_globalz00_2);
										BgL_val1408z00_1648 =
											(BgL_valuez00_bglt) (BgL_newzd2funzd2_883);
										((((BgL_variablez00_bglt) CREF(BgL_obj1409z00_1647))->
												BgL_valuez00) =
											((BgL_valuez00_bglt) BgL_val1408z00_1648), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 111 */
										BgL_nodez00_bglt BgL_arg3502z00_897;

										{	/* Globalize/loc2glo.scm 111 */
											BgL_nodez00_bglt BgL_arg3503z00_898;

											{	/* Globalize/loc2glo.scm 111 */
												obj_t BgL_arg3504z00_899;

												{	/* Globalize/loc2glo.scm 111 */
													obj_t BgL_arg3505z00_900;
													obj_t BgL_arg3506z00_901;

													{	/* Globalize/loc2glo.scm 111 */
														obj_t BgL_arg3507z00_902;

														BgL_arg3507z00_902 =
															BGl_thezd2closurezd2zzglobaliza7e_freeza7(
															(BgL_variablez00_bglt) (BgL_localz00_3), BFALSE);
														BgL_arg3505z00_900 =
															MAKE_PAIR(BgL_arg3507z00_902,
															(obj_t) (BgL_envz00_879));
													}
													if (NULLP(BgL_kapturedz00_5))
														{	/* Globalize/loc2glo.scm 113 */
															BgL_arg3506z00_901 = BNIL;
														}
													else
														{	/* Globalize/loc2glo.scm 113 */
															obj_t BgL_head3467z00_906;

															{	/* Globalize/loc2glo.scm 113 */
																obj_t BgL_arg3516z00_921;

																BgL_arg3516z00_921 =
																	MAKE_PAIR(CAR(BgL_kapturedz00_5),
																	CAR(BgL_newzd2freezd2_880));
																BgL_head3467z00_906 =
																	MAKE_PAIR(BgL_arg3516z00_921, BNIL);
															}
															{	/* Globalize/loc2glo.scm 113 */
																obj_t BgL_g3471z00_907;
																obj_t BgL_g3472z00_908;

																BgL_g3471z00_907 = CDR(BgL_kapturedz00_5);
																BgL_g3472z00_908 = CDR(BgL_newzd2freezd2_880);
																{
																	obj_t BgL_ll3465z00_909;
																	obj_t BgL_ll3466z00_910;
																	obj_t BgL_tail3468z00_911;

																	BgL_ll3465z00_909 = BgL_g3471z00_907;
																	BgL_ll3466z00_910 = BgL_g3472z00_908;
																	BgL_tail3468z00_911 = BgL_head3467z00_906;
																BgL_map3470z00_912:
																	if (NULLP(BgL_ll3465z00_909))
																		{	/* Globalize/loc2glo.scm 113 */
																			BgL_arg3506z00_901 = BgL_head3467z00_906;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 113 */
																			obj_t BgL_newtail3469z00_914;

																			{	/* Globalize/loc2glo.scm 113 */
																				obj_t BgL_arg3512z00_917;

																				BgL_arg3512z00_917 =
																					MAKE_PAIR(CAR(BgL_ll3465z00_909),
																					CAR(BgL_ll3466z00_910));
																				BgL_newtail3469z00_914 =
																					MAKE_PAIR(BgL_arg3512z00_917, BNIL);
																			}
																			SET_CDR(BgL_tail3468z00_911,
																				BgL_newtail3469z00_914);
																			{
																				obj_t BgL_tail3468z00_2078;
																				obj_t BgL_ll3466z00_2076;
																				obj_t BgL_ll3465z00_2074;

																				BgL_ll3465z00_2074 =
																					CDR(BgL_ll3465z00_909);
																				BgL_ll3466z00_2076 =
																					CDR(BgL_ll3466z00_910);
																				BgL_tail3468z00_2078 =
																					BgL_newtail3469z00_914;
																				BgL_tail3468z00_911 =
																					BgL_tail3468z00_2078;
																				BgL_ll3466z00_910 = BgL_ll3466z00_2076;
																				BgL_ll3465z00_909 = BgL_ll3465z00_2074;
																				goto BgL_map3470z00_912;
																			}
																		}
																}
															}
														}
													BgL_arg3504z00_899 =
														MAKE_PAIR(BgL_arg3505z00_900, BgL_arg3506z00_901);
												}
												BgL_arg3503z00_898 =
													BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
													(BgL_nodez00_bglt) (BgL_bodyz00_6),
													(BgL_variablez00_bglt) (BgL_localz00_3),
													BgL_arg3504z00_899);
											}
											BgL_arg3502z00_897 =
												BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
												(BgL_localz00_3, BgL_globalz00_2, BgL_newzd2argszd2_881,
												BgL_newzd2freezd2_880, BgL_envz00_879,
												BgL_arg3503z00_898);
										}
										{	/* Globalize/loc2glo.scm 102 */
											BgL_sfunz00_bglt BgL_obj1682z00_1669;
											obj_t BgL_val1681z00_1670;

											BgL_obj1682z00_1669 = BgL_newzd2funzd2_883;
											BgL_val1681z00_1670 = (obj_t) (BgL_arg3502z00_897);
											((((BgL_sfunz00_bglt) CREF(BgL_obj1682z00_1669))->
													BgL_bodyz00) =
												((obj_t) BgL_val1681z00_1670), BUNSPEC);
										}
									}
									return BgL_globalz00_2;
								}
							}
						}
					}
				}
			}
		}
	}



/* make-escaping-body */
	BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt BgL_localz00_7, BgL_globalz00_bglt BgL_globalz00_8,
		obj_t BgL_argsz00_9, obj_t BgL_kapturedz00_10,
		BgL_localz00_bglt BgL_envz00_11, BgL_nodez00_bglt BgL_bodyz00_12)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 121 */
			{	/* Globalize/loc2glo.scm 122 */
				obj_t BgL_stackz00_996;
				obj_t BgL_locz00_997;

				{	/* Globalize/loc2glo.scm 122 */
					obj_t BgL_list3598z00_1039;

					BgL_list3598z00_1039 = MAKE_PAIR((obj_t) (BgL_envz00_11), BNIL);
					BgL_stackz00_996 = BgL_list3598z00_1039;
				}
				BgL_locz00_997 =
					(((BgL_nodez00_bglt) CREF(BgL_bodyz00_12))->BgL_locz00);
				{	/* Globalize/loc2glo.scm 124 */
					BgL_valuez00_bglt BgL_arg3569z00_998;

					{	/* Globalize/loc2glo.scm 124 */
						BgL_variablez00_bglt BgL_obj1407z00_1674;

						BgL_obj1407z00_1674 = (BgL_variablez00_bglt) (BgL_localz00_7);
						BgL_arg3569z00_998 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1674))->
							BgL_valuez00);
					}
					{	/* Globalize/loc2glo.scm 124 */
						BgL_sfunz00_bglt BgL_obj1682z00_1675;
						obj_t BgL_val1681z00_1676;

						BgL_obj1682z00_1675 = (BgL_sfunz00_bglt) (BgL_arg3569z00_998);
						BgL_val1681z00_1676 = (obj_t) (BgL_bodyz00_12);
						((((BgL_sfunz00_bglt) CREF(BgL_obj1682z00_1675))->BgL_bodyz00) =
							((obj_t) BgL_val1681z00_1676), BUNSPEC);
					}
				}
				{	/* Globalize/loc2glo.scm 125 */
					obj_t BgL_arg3571z00_1000;
					BgL_letzd2funzd2_bglt BgL_arg3572z00_1001;

					{
						obj_t BgL_kapturedz00_1003;
						long BgL_numz00_1004;
						obj_t BgL_resz00_1005;

						BgL_kapturedz00_1003 = BgL_kapturedz00_10;
						BgL_numz00_1004 = ((long) 0);
						BgL_resz00_1005 = BNIL;
					BgL_loopz00_1006:
						if (NULLP(BgL_kapturedz00_1003))
							{	/* Globalize/loc2glo.scm 131 */
								BgL_arg3571z00_1000 = bgl_reverse_bang(BgL_resz00_1005);
							}
						else
							{	/* Globalize/loc2glo.scm 133 */
								obj_t BgL_arg3574z00_1008;
								long BgL_arg3575z00_1009;
								obj_t BgL_arg3576z00_1010;

								BgL_arg3574z00_1008 = CDR(BgL_kapturedz00_1003);
								BgL_arg3575z00_1009 = (BgL_numz00_1004 + ((long) 1));
								{	/* Globalize/loc2glo.scm 135 */
									obj_t BgL_arg3577z00_1011;

									{	/* Globalize/loc2glo.scm 135 */
										obj_t BgL_arg3578z00_1012;
										BgL_nodez00_bglt BgL_arg3579z00_1013;

										BgL_arg3578z00_1012 = CAR(BgL_kapturedz00_1003);
										{	/* Globalize/loc2glo.scm 137 */
											obj_t BgL_arg3580z00_1014;
											obj_t BgL_arg3581z00_1015;

											{	/* Globalize/loc2glo.scm 137 */
												obj_t BgL_arg3582z00_1016;
												obj_t BgL_arg3583z00_1017;

												BgL_arg3582z00_1016 = CNST_TABLE_REF(((long) 1));
												{	/* Globalize/loc2glo.scm 137 */
													obj_t BgL_list3584z00_1018;

													{	/* Globalize/loc2glo.scm 137 */
														obj_t BgL_arg3585z00_1019;

														BgL_arg3585z00_1019 = MAKE_PAIR(BNIL, BNIL);
														BgL_list3584z00_1018 =
															MAKE_PAIR(BINT(BgL_numz00_1004),
															BgL_arg3585z00_1019);
													}
													BgL_arg3583z00_1017 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 0)), BgL_list3584z00_1018);
												}
												BgL_arg3580z00_1014 =
													MAKE_PAIR(BgL_arg3582z00_1016, BgL_arg3583z00_1017);
											}
											BgL_arg3581z00_1015 = CNST_TABLE_REF(((long) 2));
											BgL_arg3579z00_1013 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3580z00_1014,
												BgL_stackz00_996, BgL_locz00_997, BgL_arg3581z00_1015);
										}
										BgL_arg3577z00_1011 =
											MAKE_PAIR(BgL_arg3578z00_1012,
											(obj_t) (BgL_arg3579z00_1013));
									}
									BgL_arg3576z00_1010 =
										MAKE_PAIR(BgL_arg3577z00_1011, BgL_resz00_1005);
								}
								{
									obj_t BgL_resz00_2114;
									long BgL_numz00_2113;
									obj_t BgL_kapturedz00_2112;

									BgL_kapturedz00_2112 = BgL_arg3574z00_1008;
									BgL_numz00_2113 = BgL_arg3575z00_1009;
									BgL_resz00_2114 = BgL_arg3576z00_1010;
									BgL_resz00_1005 = BgL_resz00_2114;
									BgL_numz00_1004 = BgL_numz00_2113;
									BgL_kapturedz00_1003 = BgL_kapturedz00_2112;
									goto BgL_loopz00_1006;
								}
							}
					}
					{	/* Globalize/loc2glo.scm 142 */
						obj_t BgL_arg3587z00_1021;
						BgL_appz00_bglt BgL_arg3588z00_1022;

						{	/* Globalize/loc2glo.scm 145 */
							obj_t BgL_list3589z00_1023;

							BgL_list3589z00_1023 = MAKE_PAIR((obj_t) (BgL_localz00_7), BNIL);
							BgL_arg3587z00_1021 = BgL_list3589z00_1023;
						}
						{	/* Globalize/loc2glo.scm 146 */
							BgL_varz00_bglt BgL_arg3591z00_1025;
							obj_t BgL_arg3592z00_1026;

							BgL_arg3591z00_1025 =
								BGl_makezd2varzd2zzast_nodez00(BgL_locz00_997,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
								(BgL_variablez00_bglt) (BgL_localz00_7));
							if (NULLP(BgL_argsz00_9))
								{	/* Globalize/loc2glo.scm 153 */
									BgL_arg3592z00_1026 = BNIL;
								}
							else
								{	/* Globalize/loc2glo.scm 153 */
									obj_t BgL_head3476z00_1029;

									BgL_head3476z00_1029 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3473z00_1030;
										obj_t BgL_tail3477z00_1031;

										BgL_l3473z00_1030 = BgL_argsz00_9;
										BgL_tail3477z00_1031 = BgL_head3476z00_1029;
									BgL_map3475z00_1032:
										if (NULLP(BgL_l3473z00_1030))
											{	/* Globalize/loc2glo.scm 153 */
												BgL_arg3592z00_1026 = CDR(BgL_head3476z00_1029);
											}
										else
											{	/* Globalize/loc2glo.scm 153 */
												obj_t BgL_newtail3478z00_1034;

												{	/* Globalize/loc2glo.scm 153 */
													BgL_varz00_bglt BgL_arg3596z00_1036;

													{	/* Globalize/loc2glo.scm 153 */
														obj_t BgL_vz00_1038;

														BgL_vz00_1038 = CAR(BgL_l3473z00_1030);
														BgL_arg3596z00_1036 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_997,
															(BgL_typez00_bglt)
															(BGl_za2_za2z00zztype_cachez00),
															(BgL_variablez00_bglt) (BgL_vz00_1038));
													}
													{	/* Globalize/loc2glo.scm 153 */
														obj_t BgL_obj1z00_1690;

														BgL_obj1z00_1690 = (obj_t) (BgL_arg3596z00_1036);
														BgL_newtail3478z00_1034 =
															MAKE_PAIR(BgL_obj1z00_1690, BNIL);
													}
												}
												SET_CDR(BgL_tail3477z00_1031, BgL_newtail3478z00_1034);
												{
													obj_t BgL_tail3477z00_2135;
													obj_t BgL_l3473z00_2133;

													BgL_l3473z00_2133 = CDR(BgL_l3473z00_1030);
													BgL_tail3477z00_2135 = BgL_newtail3478z00_1034;
													BgL_tail3477z00_1031 = BgL_tail3477z00_2135;
													BgL_l3473z00_1030 = BgL_l3473z00_2133;
													goto BgL_map3475z00_1032;
												}
											}
									}
								}
							BgL_arg3588z00_1022 =
								BGl_makezd2appzd2zzast_nodez00(BgL_locz00_997,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
								BINT(((long) -1)), BgL_arg3591z00_1025, BgL_arg3592z00_1026);
						}
						BgL_arg3572z00_1001 =
							BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_997,
							(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
							BINT(((long) -1)), BgL_arg3587z00_1021,
							(BgL_nodez00_bglt) (BgL_arg3588z00_1022));
					}
					{	/* Globalize/loc2glo.scm 125 */
						BgL_letzd2varzd2_bglt BgL_auxz00_2143;

						BgL_auxz00_2143 =
							BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_997,
							(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
							BINT(((long) -1)), BgL_arg3571z00_1000,
							(BgL_nodez00_bglt) (BgL_arg3572z00_1001), ((bool_t) 1));
						return (BgL_nodez00_bglt) (BgL_auxz00_2143);
					}
				}
			}
		}
	}



/* fix-non-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_13, BgL_localz00_bglt BgL_localz00_14,
		obj_t BgL_argsz00_15, obj_t BgL_kapturedz00_16, obj_t BgL_bodyz00_17)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 163 */
			{	/* Globalize/loc2glo.scm 164 */
				obj_t BgL_addzd2argszd2_1040;

				if (NULLP(BgL_kapturedz00_16))
					{	/* Globalize/loc2glo.scm 164 */
						BgL_addzd2argszd2_1040 = BNIL;
					}
				else
					{	/* Globalize/loc2glo.scm 164 */
						obj_t BgL_head3481z00_1094;

						BgL_head3481z00_1094 = MAKE_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l3479z00_1095;
							obj_t BgL_tail3482z00_1096;

							BgL_l3479z00_1095 = BgL_kapturedz00_16;
							BgL_tail3482z00_1096 = BgL_head3481z00_1094;
						BgL_map3480z00_1097:
							if (NULLP(BgL_l3479z00_1095))
								{	/* Globalize/loc2glo.scm 164 */
									BgL_addzd2argszd2_1040 = CDR(BgL_head3481z00_1094);
								}
							else
								{	/* Globalize/loc2glo.scm 164 */
									obj_t BgL_newtail3483z00_1099;

									{	/* Globalize/loc2glo.scm 164 */
										BgL_localz00_bglt BgL_arg3639z00_1101;

										{	/* Globalize/loc2glo.scm 164 */
											obj_t BgL_oldz00_1103;

											BgL_oldz00_1103 = CAR(BgL_l3479z00_1095);
											{	/* Globalize/loc2glo.scm 165 */
												BgL_localz00_bglt BgL_newz00_1104;

												{	/* Globalize/loc2glo.scm 165 */
													obj_t BgL_arg3647z00_1113;
													obj_t BgL_arg3648z00_1114;

													{	/* Globalize/loc2glo.scm 165 */
														BgL_variablez00_bglt BgL_obj1399z00_1701;

														BgL_obj1399z00_1701 =
															(BgL_variablez00_bglt) (BgL_oldz00_1103);
														BgL_arg3647z00_1113 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1399z00_1701))->BgL_idz00);
													}
													BgL_arg3648z00_1114 =
														BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
														();
													BgL_newz00_1104 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3647z00_1113,
														(BgL_typez00_bglt) (BgL_arg3648z00_1114));
												}
												{	/* Globalize/loc2glo.scm 167 */
													bool_t BgL_arg3641z00_1105;

													{	/* Globalize/loc2glo.scm 167 */
														BgL_localz00_bglt BgL_obj1571z00_1702;

														BgL_obj1571z00_1702 =
															(BgL_localz00_bglt) (BgL_oldz00_1103);
														BgL_arg3641z00_1105 =
															(((BgL_localz00_bglt) CREF(BgL_obj1571z00_1702))->
															BgL_userzf3zf3);
													}
													((((BgL_localz00_bglt) CREF(BgL_newz00_1104))->
															BgL_userzf3zf3) =
														((bool_t) BgL_arg3641z00_1105), BUNSPEC);
												}
												{	/* Globalize/loc2glo.scm 168 */
													BgL_localz00_bglt BgL_obj3447z00_1106;

													BgL_obj3447z00_1106 =
														((BgL_localz00_bglt) BgL_newz00_1104);
													{	/* Globalize/loc2glo.scm 168 */
														obj_t BgL_arg3642z00_1107;

														BgL_arg3642z00_1107 =
															BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7
															(((bool_t) 0), ((bool_t) 0));
														{	/* Globalize/loc2glo.scm 168 */
															BgL_objectz00_bglt BgL_auxz00_2166;

															BgL_auxz00_2166 =
																(BgL_objectz00_bglt) (BgL_obj3447z00_1106);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2166,
																BgL_arg3642z00_1107);
														}
													}
													{	/* Globalize/loc2glo.scm 168 */
														long BgL_arg3643z00_1108;

														BgL_arg3643z00_1108 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
														{	/* Globalize/loc2glo.scm 168 */
															BgL_objectz00_bglt BgL_objz00_1705;

															BgL_objz00_1705 =
																(BgL_objectz00_bglt) (BgL_obj3447z00_1106);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1705,
																BgL_arg3643z00_1108);
													}} BgL_obj3447z00_1106;
												}
												{	/* Globalize/loc2glo.scm 169 */
													BgL_svarz00_bglt BgL_obj3448z00_1109;

													{
														BgL_svarz00_bglt BgL_auxz00_2172;

														{	/* Globalize/loc2glo.scm 169 */
															BgL_valuez00_bglt BgL_auxz00_2173;

															{	/* Globalize/loc2glo.scm 169 */
																BgL_variablez00_bglt BgL_obj1407z00_1812;

																BgL_obj1407z00_1812 =
																	(BgL_variablez00_bglt) (BgL_newz00_1104);
																BgL_auxz00_2173 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1407z00_1812))->BgL_valuez00);
															}
															BgL_auxz00_2172 =
																(BgL_svarz00_bglt) (BgL_auxz00_2173);
														}
														BgL_obj3448z00_1109 =
															((BgL_svarz00_bglt) BgL_auxz00_2172);
													}
													{	/* Globalize/loc2glo.scm 169 */
														obj_t BgL_arg3644z00_1110;

														BgL_arg3644z00_1110 =
															BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7
															(((bool_t) 1), ((long) -10), ((long) -10),
															((bool_t) 0));
														{	/* Globalize/loc2glo.scm 169 */
															BgL_objectz00_bglt BgL_auxz00_2179;

															BgL_auxz00_2179 =
																(BgL_objectz00_bglt) (BgL_obj3448z00_1109);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2179,
																BgL_arg3644z00_1110);
													}}
													{	/* Globalize/loc2glo.scm 169 */
														long BgL_arg3645z00_1111;

														BgL_arg3645z00_1111 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
														{	/* Globalize/loc2glo.scm 169 */
															BgL_objectz00_bglt BgL_objz00_1708;

															BgL_objz00_1708 =
																(BgL_objectz00_bglt) (BgL_obj3448z00_1109);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1708,
																BgL_arg3645z00_1111);
													}} BgL_obj3448z00_1109;
												}
												{	/* Globalize/loc2glo.scm 171 */
													obj_t BgL_arg3646z00_1112;

													{	/* Globalize/loc2glo.scm 171 */
														BgL_variablez00_bglt BgL_obj1410z00_1710;

														BgL_obj1410z00_1710 =
															(BgL_variablez00_bglt) (BgL_oldz00_1103);
														BgL_arg3646z00_1112 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1410z00_1710))->BgL_accessz00);
													}
													{	/* Globalize/loc2glo.scm 171 */
														BgL_variablez00_bglt BgL_obj1412z00_1711;
														obj_t BgL_val1411z00_1712;

														BgL_obj1412z00_1711 =
															(BgL_variablez00_bglt) (BgL_newz00_1104);
														BgL_val1411z00_1712 = BgL_arg3646z00_1112;
														((((BgL_variablez00_bglt)
																	CREF(BgL_obj1412z00_1711))->BgL_accessz00) =
															((obj_t) BgL_val1411z00_1712), BUNSPEC);
												}}
												BgL_arg3639z00_1101 = BgL_newz00_1104;
										}}
										{	/* Globalize/loc2glo.scm 164 */
											obj_t BgL_obj1z00_1713;

											BgL_obj1z00_1713 = (obj_t) (BgL_arg3639z00_1101);
											BgL_newtail3483z00_1099 =
												MAKE_PAIR(BgL_obj1z00_1713, BNIL);
									}}
									SET_CDR(BgL_tail3482z00_1096, BgL_newtail3483z00_1099);
									{
										obj_t BgL_tail3482z00_2194;
										obj_t BgL_l3479z00_2192;

										BgL_l3479z00_2192 = CDR(BgL_l3479z00_1095);
										BgL_tail3482z00_2194 = BgL_newtail3483z00_1099;
										BgL_tail3482z00_1096 = BgL_tail3482z00_2194;
										BgL_l3479z00_1095 = BgL_l3479z00_2192;
										goto BgL_map3480z00_1097;
									}
								}
						}
					}
				{	/* Globalize/loc2glo.scm 164 */
					BgL_valuez00_bglt BgL_oldzd2funzd2_1041;

					{	/* Globalize/loc2glo.scm 174 */
						BgL_variablez00_bglt BgL_obj1407z00_1718;

						BgL_obj1407z00_1718 = (BgL_variablez00_bglt) (BgL_localz00_14);
						BgL_oldzd2funzd2_1041 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1718))->
							BgL_valuez00);
					}
					{	/* Globalize/loc2glo.scm 174 */
						BgL_sfunz00_bglt BgL_newzd2funzd2_1042;

						{	/* Globalize/loc2glo.scm 175 */
							BgL_sfunz00_bglt BgL_duplicated3449z00_1070;

							BgL_duplicated3449z00_1070 =
								(BgL_sfunz00_bglt) (BgL_oldzd2funzd2_1041);
							{	/* Globalize/loc2glo.scm 176 */
								BgL_sfunz00_bglt BgL_new3450z00_1071;

								{	/* Globalize/loc2glo.scm 176 */
									obj_t BgL_arg3616z00_1072;
									obj_t BgL_arg3617z00_1073;
									obj_t BgL_arg3618z00_1074;
									obj_t BgL_arg3619z00_1075;
									bool_t BgL_arg3620z00_1076;
									obj_t BgL_arg3621z00_1077;
									obj_t BgL_arg3622z00_1078;
									obj_t BgL_arg3623z00_1079;
									obj_t BgL_arg3624z00_1080;
									obj_t BgL_arg3625z00_1081;
									obj_t BgL_arg3626z00_1082;
									obj_t BgL_arg3627z00_1083;
									obj_t BgL_arg3628z00_1084;
									obj_t BgL_arg3629z00_1085;
									obj_t BgL_arg3630z00_1086;
									obj_t BgL_arg3631z00_1087;
									obj_t BgL_arg3632z00_1088;

									{	/* Globalize/loc2glo.scm 176 */
										long BgL_arg3633z00_1089;
										long BgL_arg3634z00_1090;

										{	/* Globalize/loc2glo.scm 176 */
											BgL_funz00_bglt BgL_obj1610z00_1719;

											BgL_obj1610z00_1719 =
												(BgL_funz00_bglt) (BgL_oldzd2funzd2_1041);
											BgL_arg3633z00_1089 =
												(((BgL_funz00_bglt) CREF(BgL_obj1610z00_1719))->
												BgL_arityz00);
										}
										BgL_arg3634z00_1090 = bgl_list_length(BgL_kapturedz00_16);
										BgL_arg3616z00_1072 =
											BGl_zb2zd2arityz60zztools_argsz00(BINT
											(BgL_arg3633z00_1089), BINT(BgL_arg3634z00_1090));
									}
									{	/* Globalize/loc2glo.scm 175 */
										BgL_funz00_bglt BgL_obj1611z00_1720;

										BgL_obj1611z00_1720 =
											(BgL_funz00_bglt) (BgL_duplicated3449z00_1070);
										BgL_arg3617z00_1073 =
											(((BgL_funz00_bglt) CREF(BgL_obj1611z00_1720))->
											BgL_sidezd2effectzf3z21);
									}
									{	/* Globalize/loc2glo.scm 175 */
										BgL_funz00_bglt BgL_obj1614z00_1721;

										BgL_obj1614z00_1721 =
											(BgL_funz00_bglt) (BgL_duplicated3449z00_1070);
										BgL_arg3618z00_1074 =
											(((BgL_funz00_bglt) CREF(BgL_obj1614z00_1721))->
											BgL_predicatezd2ofzd2);
									}
									{	/* Globalize/loc2glo.scm 175 */
										BgL_funz00_bglt BgL_obj1617z00_1722;

										BgL_obj1617z00_1722 =
											(BgL_funz00_bglt) (BgL_duplicated3449z00_1070);
										BgL_arg3619z00_1075 =
											(((BgL_funz00_bglt) CREF(BgL_obj1617z00_1722))->
											BgL_stackzd2allocatorzd2);
									}
									{	/* Globalize/loc2glo.scm 175 */
										BgL_funz00_bglt BgL_obj1620z00_1723;

										BgL_obj1620z00_1723 =
											(BgL_funz00_bglt) (BgL_duplicated3449z00_1070);
										BgL_arg3620z00_1076 =
											(((BgL_funz00_bglt) CREF(BgL_obj1620z00_1723))->
											BgL_topzf3zf3);
									}
									{	/* Globalize/loc2glo.scm 175 */
										BgL_funz00_bglt BgL_obj1623z00_1724;

										BgL_obj1623z00_1724 =
											(BgL_funz00_bglt) (BgL_duplicated3449z00_1070);
										BgL_arg3621z00_1077 =
											(((BgL_funz00_bglt) CREF(BgL_obj1623z00_1724))->
											BgL_thezd2closurezd2);
									}
									{	/* Globalize/loc2glo.scm 175 */
										BgL_funz00_bglt BgL_obj1626z00_1725;

										BgL_obj1626z00_1725 =
											(BgL_funz00_bglt) (BgL_duplicated3449z00_1070);
										BgL_arg3622z00_1078 =
											(((BgL_funz00_bglt) CREF(BgL_obj1626z00_1725))->
											BgL_effectz00);
									}
									BgL_arg3623z00_1079 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_propertyz00);
									BgL_arg3624z00_1080 =
										bgl_append2(bgl_reverse(BgL_addzd2argszd2_1040),
										BgL_argsz00_15);
									BgL_arg3625z00_1081 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_argszd2namezd2);
									BgL_arg3626z00_1082 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_bodyz00);
									BgL_arg3627z00_1083 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_classz00);
									BgL_arg3628z00_1084 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_dssslzd2keywordszd2);
									BgL_arg3629z00_1085 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_locz00);
									BgL_arg3630z00_1086 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_optionalsz00);
									BgL_arg3631z00_1087 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_keysz00);
									BgL_arg3632z00_1088 =
										(((BgL_sfunz00_bglt) CREF(BgL_duplicated3449z00_1070))->
										BgL_thezd2closurezd2globalz00);
									BgL_new3450z00_1071 =
										BGl_makezd2sfunzd2zzast_varz00((long)
										CINT(BgL_arg3616z00_1072), BgL_arg3617z00_1073,
										BgL_arg3618z00_1074, BgL_arg3619z00_1075,
										BgL_arg3620z00_1076, BgL_arg3621z00_1077,
										BgL_arg3622z00_1078, BgL_arg3623z00_1079,
										BgL_arg3624z00_1080, BgL_arg3625z00_1081,
										BgL_arg3626z00_1082, BgL_arg3627z00_1083,
										BgL_arg3628z00_1084, BgL_arg3629z00_1085,
										BgL_arg3630z00_1086, BgL_arg3631z00_1087,
										BgL_arg3632z00_1088);
								}
								{	/* Globalize/loc2glo.scm 175 */

									BgL_newzd2funzd2_1042 = BgL_new3450z00_1071;
						}}}
						{	/* Globalize/loc2glo.scm 175 */

							{	/* Globalize/loc2glo.scm 178 */
								BgL_localzf2ginfozf2_bglt BgL_obj3318z00_1735;
								bool_t BgL_val3317z00_1736;

								BgL_obj3318z00_1735 =
									(BgL_localzf2ginfozf2_bglt) (BgL_localz00_14);
								BgL_val3317z00_1736 = ((bool_t) 0);
								{
									obj_t BgL_auxz00_2230;

									{	/* Globalize/loc2glo.scm 178 */
										BgL_objectz00_bglt BgL_auxz00_2231;

										BgL_auxz00_2231 =
											(BgL_objectz00_bglt) (BgL_obj3318z00_1735);
										BgL_auxz00_2230 = BGL_OBJECT_WIDENING(BgL_auxz00_2231);
									}
									((((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_2230))->
											BgL_escapezf3zf3) =
										((bool_t) BgL_val3317z00_1736), BUNSPEC);
							}}
							{	/* Globalize/loc2glo.scm 179 */
								BgL_globalzf2ginfozf2_bglt BgL_obj3377z00_1737;
								bool_t BgL_val3376z00_1738;

								BgL_obj3377z00_1737 =
									(BgL_globalzf2ginfozf2_bglt) (BgL_globalz00_13);
								BgL_val3376z00_1738 = ((bool_t) 1);
								{
									obj_t BgL_auxz00_2236;

									{	/* Globalize/loc2glo.scm 179 */
										BgL_objectz00_bglt BgL_auxz00_2237;

										BgL_auxz00_2237 =
											(BgL_objectz00_bglt) (BgL_obj3377z00_1737);
										BgL_auxz00_2236 = BGL_OBJECT_WIDENING(BgL_auxz00_2237);
									}
									((((BgL_globalzf2ginfozf2_bglt) CREF(BgL_auxz00_2236))->
											BgL_escapezf3zf3) =
										((bool_t) BgL_val3376z00_1738), BUNSPEC);
							}}
							{	/* Globalize/loc2glo.scm 180 */
								BgL_typez00_bglt BgL_arg3599z00_1043;

								{	/* Globalize/loc2glo.scm 180 */
									BgL_variablez00_bglt BgL_obj1404z00_1739;

									BgL_obj1404z00_1739 =
										(BgL_variablez00_bglt) (BgL_localz00_14);
									BgL_arg3599z00_1043 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1404z00_1739))->
										BgL_typez00);
								}
								{	/* Globalize/loc2glo.scm 180 */
									BgL_variablez00_bglt BgL_obj1406z00_1740;
									BgL_typez00_bglt BgL_val1405z00_1741;

									BgL_obj1406z00_1740 =
										(BgL_variablez00_bglt) (BgL_globalz00_13);
									BgL_val1405z00_1741 = BgL_arg3599z00_1043;
									((((BgL_variablez00_bglt) CREF(BgL_obj1406z00_1740))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_val1405z00_1741), BUNSPEC);
							}}
							{	/* Globalize/loc2glo.scm 183 */
								BgL_nodez00_bglt BgL_arg3600z00_1044;

								{	/* Globalize/loc2glo.scm 183 */
									obj_t BgL_arg3601z00_1045;
									obj_t BgL_arg3602z00_1046;

									{	/* Globalize/loc2glo.scm 182 */
										BgL_sfunzf2ginfozf2_bglt BgL_obj3167z00_1743;

										{	/* Globalize/loc2glo.scm 183 */
											BgL_variablez00_bglt BgL_obj1407z00_1742;

											BgL_obj1407z00_1742 =
												(BgL_variablez00_bglt) (BgL_localz00_14);
											{	/* Globalize/loc2glo.scm 183 */
												BgL_valuez00_bglt BgL_auxz00_2246;

												BgL_auxz00_2246 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1742))->
													BgL_valuez00);
												BgL_obj3167z00_1743 =
													(BgL_sfunzf2ginfozf2_bglt) (BgL_auxz00_2246);
										}}
										{
											obj_t BgL_auxz00_2249;

											{	/* Globalize/loc2glo.scm 182 */
												BgL_objectz00_bglt BgL_auxz00_2250;

												BgL_auxz00_2250 =
													(BgL_objectz00_bglt) (BgL_obj3167z00_1743);
												BgL_auxz00_2249 = BGL_OBJECT_WIDENING(BgL_auxz00_2250);
											}
											BgL_arg3601z00_1045 =
												(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2249))->
												BgL_newzd2bodyzd2);
									}}
									if (NULLP(BgL_kapturedz00_16))
										{	/* Globalize/loc2glo.scm 185 */
											BgL_arg3602z00_1046 = BNIL;
										}
									else
										{	/* Globalize/loc2glo.scm 185 */
											obj_t BgL_head3486z00_1051;

											{	/* Globalize/loc2glo.scm 185 */
												obj_t BgL_arg3612z00_1066;

												BgL_arg3612z00_1066 =
													MAKE_PAIR(CAR(BgL_kapturedz00_16),
													CAR(BgL_addzd2argszd2_1040));
												BgL_head3486z00_1051 =
													MAKE_PAIR(BgL_arg3612z00_1066, BNIL);
											}
											{	/* Globalize/loc2glo.scm 185 */
												obj_t BgL_g3490z00_1052;
												obj_t BgL_g3491z00_1053;

												BgL_g3490z00_1052 = CDR(BgL_kapturedz00_16);
												BgL_g3491z00_1053 = CDR(BgL_addzd2argszd2_1040);
												{
													obj_t BgL_ll3484z00_1054;
													obj_t BgL_ll3485z00_1055;
													obj_t BgL_tail3487z00_1056;

													BgL_ll3484z00_1054 = BgL_g3490z00_1052;
													BgL_ll3485z00_1055 = BgL_g3491z00_1053;
													BgL_tail3487z00_1056 = BgL_head3486z00_1051;
												BgL_map3489z00_1057:
													if (NULLP(BgL_ll3484z00_1054))
														{	/* Globalize/loc2glo.scm 185 */
															BgL_arg3602z00_1046 = BgL_head3486z00_1051;
														}
													else
														{	/* Globalize/loc2glo.scm 185 */
															obj_t BgL_newtail3488z00_1059;

															{	/* Globalize/loc2glo.scm 185 */
																obj_t BgL_arg3608z00_1062;

																BgL_arg3608z00_1062 =
																	MAKE_PAIR(CAR(BgL_ll3484z00_1054),
																	CAR(BgL_ll3485z00_1055));
																BgL_newtail3488z00_1059 =
																	MAKE_PAIR(BgL_arg3608z00_1062, BNIL);
															}
															SET_CDR(BgL_tail3487z00_1056,
																BgL_newtail3488z00_1059);
															{
																obj_t BgL_tail3487z00_2273;
																obj_t BgL_ll3485z00_2271;
																obj_t BgL_ll3484z00_2269;

																BgL_ll3484z00_2269 = CDR(BgL_ll3484z00_1054);
																BgL_ll3485z00_2271 = CDR(BgL_ll3485z00_1055);
																BgL_tail3487z00_2273 = BgL_newtail3488z00_1059;
																BgL_tail3487z00_1056 = BgL_tail3487z00_2273;
																BgL_ll3485z00_1055 = BgL_ll3485z00_2271;
																BgL_ll3484z00_1054 = BgL_ll3484z00_2269;
																goto BgL_map3489z00_1057;
															}
														}
												}
											}
										}
									BgL_arg3600z00_1044 =
										BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
										(BgL_nodez00_bglt) (BgL_arg3601z00_1045),
										(BgL_variablez00_bglt) (BgL_localz00_14),
										BgL_arg3602z00_1046);
								}
								{	/* Globalize/loc2glo.scm 181 */
									BgL_sfunz00_bglt BgL_obj1682z00_1764;
									obj_t BgL_val1681z00_1765;

									BgL_obj1682z00_1764 = BgL_newzd2funzd2_1042;
									BgL_val1681z00_1765 = (obj_t) (BgL_arg3600z00_1044);
									((((BgL_sfunz00_bglt) CREF(BgL_obj1682z00_1764))->
											BgL_bodyz00) = ((obj_t) BgL_val1681z00_1765), BUNSPEC);
								}
							}
							{	/* Globalize/loc2glo.scm 186 */
								BgL_variablez00_bglt BgL_obj1409z00_1766;
								BgL_valuez00_bglt BgL_val1408z00_1767;

								BgL_obj1409z00_1766 = (BgL_variablez00_bglt) (BgL_globalz00_13);
								BgL_val1408z00_1767 =
									(BgL_valuez00_bglt) (BgL_newzd2funzd2_1042);
								((((BgL_variablez00_bglt) CREF(BgL_obj1409z00_1766))->
										BgL_valuez00) =
									((BgL_valuez00_bglt) BgL_val1408z00_1767), BUNSPEC);
							}
							return BgL_globalz00_13;
						}
					}
				}
			}
		}
	}



/* the-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_18)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 195 */
			{	/* Globalize/loc2glo.scm 196 */
				BgL_valuez00_bglt BgL_valuez00_1115;

				{	/* Globalize/loc2glo.scm 196 */
					BgL_variablez00_bglt BgL_obj1407z00_1768;

					BgL_obj1407z00_1768 = (BgL_variablez00_bglt) (BgL_localz00_18);
					BgL_valuez00_1115 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1768))->BgL_valuez00);
				}
				{	/* Globalize/loc2glo.scm 197 */
					bool_t BgL_testz00_2284;

					{	/* Globalize/loc2glo.scm 197 */
						obj_t BgL_arg3668z00_1138;

						{	/* Globalize/loc2glo.scm 197 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3161z00_1769;

							BgL_obj3161z00_1769 =
								(BgL_sfunzf2ginfozf2_bglt) (BgL_valuez00_1115);
							{
								obj_t BgL_auxz00_2286;

								{	/* Globalize/loc2glo.scm 197 */
									BgL_objectz00_bglt BgL_auxz00_2287;

									BgL_auxz00_2287 = (BgL_objectz00_bglt) (BgL_obj3161z00_1769);
									BgL_auxz00_2286 = BGL_OBJECT_WIDENING(BgL_auxz00_2287);
								}
								BgL_arg3668z00_1138 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2286))->
									BgL_thezd2globalzd2);
							}
						}
						BgL_testz00_2284 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3668z00_1138,
							BGl_globalz00zzast_varz00);
					}
					if (BgL_testz00_2284)
						{	/* Globalize/loc2glo.scm 198 */
							BgL_sfunzf2ginfozf2_bglt BgL_obj3161z00_1771;

							BgL_obj3161z00_1771 =
								(BgL_sfunzf2ginfozf2_bglt) (BgL_valuez00_1115);
							{	/* Globalize/loc2glo.scm 198 */
								obj_t BgL_auxz00_2293;

								{
									obj_t BgL_auxz00_2294;

									{	/* Globalize/loc2glo.scm 198 */
										BgL_objectz00_bglt BgL_auxz00_2295;

										BgL_auxz00_2295 =
											(BgL_objectz00_bglt) (BgL_obj3161z00_1771);
										BgL_auxz00_2294 = BGL_OBJECT_WIDENING(BgL_auxz00_2295);
									}
									BgL_auxz00_2293 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2294))->
										BgL_thezd2globalzd2);
								}
								return (BgL_globalz00_bglt) (BgL_auxz00_2293);
							}
						}
					else
						{	/* Globalize/loc2glo.scm 199 */
							obj_t BgL_idz00_1117;

							{	/* Globalize/loc2glo.scm 199 */
								bool_t BgL_testz00_2300;

								{	/* Globalize/loc2glo.scm 199 */
									obj_t BgL_arg3666z00_1136;

									{	/* Globalize/loc2glo.scm 199 */
										obj_t BgL_arg3667z00_1137;

										{	/* Globalize/loc2glo.scm 199 */
											BgL_variablez00_bglt BgL_obj1399z00_1772;

											BgL_obj1399z00_1772 =
												(BgL_variablez00_bglt) (BgL_localz00_18);
											BgL_arg3667z00_1137 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1399z00_1772))->
												BgL_idz00);
										}
										BgL_arg3666z00_1136 =
											BGl_findzd2globalzf2modulez20zzast_envz00
											(BgL_arg3667z00_1137,
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
									BgL_testz00_2300 =
										BGl_iszd2azf3z21zz__objectz00(BgL_arg3666z00_1136,
										BGl_globalz00zzast_varz00);
								}
								if (BgL_testz00_2300)
									{	/* Globalize/loc2glo.scm 201 */
										obj_t BgL_arg3659z00_1129;

										{	/* Globalize/loc2glo.scm 201 */
											obj_t BgL_arg3660z00_1130;

											{	/* Globalize/loc2glo.scm 201 */
												obj_t BgL_arg3661z00_1131;
												obj_t BgL_arg3662z00_1132;

												{	/* Globalize/loc2glo.scm 201 */
													obj_t BgL_arg3665z00_1135;

													{	/* Globalize/loc2glo.scm 201 */
														BgL_variablez00_bglt BgL_obj1399z00_1774;

														BgL_obj1399z00_1774 =
															(BgL_variablez00_bglt) (BgL_localz00_18);
														BgL_arg3665z00_1135 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1399z00_1774))->BgL_idz00);
													}
													BgL_arg3661z00_1131 =
														SYMBOL_TO_STRING(BgL_arg3665z00_1135);
												}
												{	/* Globalize/loc2glo.scm 201 */
													obj_t BgL_symbolz00_1776;

													BgL_symbolz00_1776 = CNST_TABLE_REF(((long) 3));
													BgL_arg3662z00_1132 =
														SYMBOL_TO_STRING(BgL_symbolz00_1776);
												}
												{	/* Globalize/loc2glo.scm 201 */
													obj_t BgL_list3663z00_1133;

													{	/* Globalize/loc2glo.scm 201 */
														obj_t BgL_arg3664z00_1134;

														BgL_arg3664z00_1134 =
															MAKE_PAIR(BgL_arg3662z00_1132, BNIL);
														BgL_list3663z00_1133 =
															MAKE_PAIR(BgL_arg3661z00_1131,
															BgL_arg3664z00_1134);
													}
													BgL_arg3660z00_1130 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list3663z00_1133);
											}}
											BgL_arg3659z00_1129 =
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg3660z00_1130));
										}
										BgL_idz00_1117 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg3659z00_1129);
									}
								else
									{	/* Globalize/loc2glo.scm 202 */
										BgL_variablez00_bglt BgL_obj1399z00_1778;

										BgL_obj1399z00_1778 =
											(BgL_variablez00_bglt) (BgL_localz00_18);
										BgL_idz00_1117 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1399z00_1778))->
											BgL_idz00);
									}
							}
							{	/* Globalize/loc2glo.scm 199 */
								BgL_globalz00_bglt BgL_globalz00_1118;

								BgL_globalz00_1118 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_idz00_1117, BNIL, BNIL,
									BGl_za2moduleza2z00zzmodule_modulez00,
									CNST_TABLE_REF(((long) 4)), CNST_TABLE_REF(((long) 5)),
									CNST_TABLE_REF(((long) 6)), BUNSPEC);
								{	/* Globalize/loc2glo.scm 203 */

									{	/* Globalize/loc2glo.scm 216 */
										BgL_valuez00_bglt BgL_arg3650z00_1119;
										obj_t BgL_arg3651z00_1120;

										{	/* Globalize/loc2glo.scm 216 */
											BgL_variablez00_bglt BgL_obj1407z00_1779;

											BgL_obj1407z00_1779 =
												(BgL_variablez00_bglt) (BgL_globalz00_1118);
											BgL_arg3650z00_1119 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1779))->
												BgL_valuez00);
										}
										{	/* Globalize/loc2glo.scm 216 */
											BgL_sfunz00_bglt BgL_obj1689z00_1780;

											BgL_obj1689z00_1780 =
												(BgL_sfunz00_bglt) (BgL_valuez00_1115);
											BgL_arg3651z00_1120 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1689z00_1780))->
												BgL_locz00);
										}
										{	/* Globalize/loc2glo.scm 216 */
											BgL_sfunz00_bglt BgL_obj1691z00_1781;
											obj_t BgL_val1690z00_1782;

											BgL_obj1691z00_1781 =
												(BgL_sfunz00_bglt) (BgL_arg3650z00_1119);
											BgL_val1690z00_1782 = BgL_arg3651z00_1120;
											((((BgL_sfunz00_bglt) CREF(BgL_obj1691z00_1781))->
													BgL_locz00) = ((obj_t) BgL_val1690z00_1782), BUNSPEC);
									}}
									{	/* Globalize/loc2glo.scm 218 */
										BgL_typez00_bglt BgL_arg3652z00_1121;

										{	/* Globalize/loc2glo.scm 218 */
											BgL_variablez00_bglt BgL_obj1404z00_1783;

											BgL_obj1404z00_1783 =
												(BgL_variablez00_bglt) (BgL_localz00_18);
											BgL_arg3652z00_1121 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1404z00_1783))->
												BgL_typez00);
										}
										{	/* Globalize/loc2glo.scm 218 */
											BgL_variablez00_bglt BgL_obj1406z00_1784;
											BgL_typez00_bglt BgL_val1405z00_1785;

											BgL_obj1406z00_1784 =
												(BgL_variablez00_bglt) (BgL_globalz00_1118);
											BgL_val1405z00_1785 = BgL_arg3652z00_1121;
											((((BgL_variablez00_bglt) CREF(BgL_obj1406z00_1784))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1405z00_1785), BUNSPEC);
									}}
									if (
										(((BgL_localz00_bglt) CREF(BgL_localz00_18))->
											BgL_userzf3zf3))
										{	/* Globalize/loc2glo.scm 220 */
											BFALSE;
										}
									else
										{	/* Globalize/loc2glo.scm 220 */
											((((BgL_globalz00_bglt) CREF(BgL_globalz00_1118))->
													BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
									{	/* Globalize/loc2glo.scm 222 */
										BgL_globalz00_bglt BgL_obj3451z00_1123;

										BgL_obj3451z00_1123 =
											((BgL_globalz00_bglt) BgL_globalz00_1118);
										{	/* Globalize/loc2glo.scm 222 */
											obj_t BgL_arg3654z00_1124;

											BgL_arg3654z00_1124 =
												BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7((
													(bool_t) 0), BFALSE);
											{	/* Globalize/loc2glo.scm 222 */
												BgL_objectz00_bglt BgL_auxz00_2337;

												BgL_auxz00_2337 =
													(BgL_objectz00_bglt) (BgL_obj3451z00_1123);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2337,
													BgL_arg3654z00_1124);
											}
										}
										{	/* Globalize/loc2glo.scm 222 */
											long BgL_arg3655z00_1125;

											BgL_arg3655z00_1125 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
											{	/* Globalize/loc2glo.scm 222 */
												BgL_objectz00_bglt BgL_objz00_1789;

												BgL_objz00_1789 =
													(BgL_objectz00_bglt) (BgL_obj3451z00_1123);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1789,
													BgL_arg3655z00_1125);
										}} BgL_obj3451z00_1123;
									}
									{	/* Globalize/loc2glo.scm 223 */
										BgL_valuez00_bglt BgL_arg3656z00_1126;
										obj_t BgL_arg3657z00_1127;

										{	/* Globalize/loc2glo.scm 223 */
											BgL_variablez00_bglt BgL_obj1407z00_1791;

											BgL_obj1407z00_1791 =
												(BgL_variablez00_bglt) (BgL_globalz00_1118);
											BgL_arg3656z00_1126 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1791))->
												BgL_valuez00);
										}
										{	/* Globalize/loc2glo.scm 224 */
											BgL_funz00_bglt BgL_obj1611z00_1792;

											BgL_obj1611z00_1792 =
												(BgL_funz00_bglt) (BgL_valuez00_1115);
											BgL_arg3657z00_1127 =
												(((BgL_funz00_bglt) CREF(BgL_obj1611z00_1792))->
												BgL_sidezd2effectzf3z21);
										}
										{	/* Globalize/loc2glo.scm 223 */
											BgL_funz00_bglt BgL_obj1613z00_1793;
											obj_t BgL_val1612z00_1794;

											BgL_obj1613z00_1793 =
												(BgL_funz00_bglt) (BgL_arg3656z00_1126);
											BgL_val1612z00_1794 = BgL_arg3657z00_1127;
											((((BgL_funz00_bglt) CREF(BgL_obj1613z00_1793))->
													BgL_sidezd2effectzf3z21) =
												((obj_t) BgL_val1612z00_1794), BUNSPEC);
									}}
									{	/* Globalize/loc2glo.scm 225 */
										BgL_sfunzf2ginfozf2_bglt BgL_obj3163z00_1795;
										obj_t BgL_val3162z00_1796;

										BgL_obj3163z00_1795 =
											(BgL_sfunzf2ginfozf2_bglt) (BgL_valuez00_1115);
										BgL_val3162z00_1796 = (obj_t) (BgL_globalz00_1118);
										{
											obj_t BgL_auxz00_2351;

											{	/* Globalize/loc2glo.scm 225 */
												BgL_objectz00_bglt BgL_auxz00_2352;

												BgL_auxz00_2352 =
													(BgL_objectz00_bglt) (BgL_obj3163z00_1795);
												BgL_auxz00_2351 = BGL_OBJECT_WIDENING(BgL_auxz00_2352);
											}
											((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2351))->
													BgL_thezd2globalzd2) =
												((obj_t) BgL_val3162z00_1796), BUNSPEC);
									}}
									return BgL_globalz00_1118;
								}
							}
						}
				}
			}
		}
	}



/* _the-global */
	obj_t BGl__thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_1799, obj_t BgL_localz00_1800)
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 195 */
			{	/* Globalize/loc2glo.scm 196 */
				BgL_globalz00_bglt BgL_auxz00_2356;

				BgL_auxz00_2356 =
					BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
					(BgL_localz00_bglt) (BgL_localz00_1800));
				return (obj_t) (BgL_auxz00_2356);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		AN_OBJECT;
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 189731515),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 157543843),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)
					242972228),
				BSTRING_TO_STRING(BGl_string3725z00zzglobaliza7e_localzd2ze3globalz96));
		}
	}

#ifdef __cplusplus
}
#endif
