/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/make.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_getzd2tenvzd2zztype_envz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
	static obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
	static obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t);
	static obj_t BGl_zc3anonymousza32125ze3z83zzheap_makez00(obj_t, obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t);
	BGL_IMPORT obj_t output_obj(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_makez00();
	static obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00();
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	extern obj_t BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
	static bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl__checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
	static obj_t BGl_zc3anonymousza32189ze3z83zzheap_makez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2heapzd2zzheap_makez00();
	static bool_t BGl_preparezd2globalsz12zc0zzheap_makez00();
	extern obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00();
	static obj_t BGl_methodzd2initzd2zzheap_makez00();
	static obj_t __cnst[9];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2addzd2heapzd2envzd2zzheap_makez00,
		BgL_bgl__makeza7d2addza7d2he2279z00,
		BGl__makezd2addzd2heapz00zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
		BgL_bgl__prepareza7d2globa2280za7,
		BGl__preparezd2globalsz12zc0zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
		BgL_bgl__checkza7d2additio2281za7,
		BGl__checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
		BgL_bgl__prepareza7d2addit2282za7,
		BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2heapzd2envz00zzheap_makez00,
		BgL_bgl__makeza7d2heapza7d2za72283za7, BGl__makezd2heapzd2zzheap_makez00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2264z00zzheap_makez00,
		BgL_bgl_string2264za700za7za7h2284za7, "Heap", 4);
	      DEFINE_STRING(BGl_string2265z00zzheap_makez00,
		BgL_bgl_string2265za700za7za7h2285za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2266z00zzheap_makez00,
		BgL_bgl_string2266za700za7za7h2286za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2267z00zzheap_makez00,
		BgL_bgl_string2267za700za7za7h2287za7, "make-heap", 9);
	      DEFINE_STRING(BGl_string2268z00zzheap_makez00,
		BgL_bgl_string2268za700za7za7h2288za7, "Can't open output port", 22);
	      DEFINE_STRING(BGl_string2270z00zzheap_makez00,
		BgL_bgl_string2270za700za7za7h2289za7, "Library heap", 12);
	      DEFINE_STRING(BGl_string2269z00zzheap_makez00,
		BgL_bgl_string2269za700za7za7h2290za7, "Illegal heap's name", 19);
	      DEFINE_STRING(BGl_string2271z00zzheap_makez00,
		BgL_bgl_string2271za700za7za7h2291za7, "make-addd-heap", 14);
	      DEFINE_STRING(BGl_string2272z00zzheap_makez00,
		BgL_bgl_string2272za700za7za7h2292za7, "make-add-heap", 13);
	      DEFINE_STRING(BGl_string2273z00zzheap_makez00,
		BgL_bgl_string2273za700za7za7h2293za7,
		"Illegal reserved identifier for additional heap library (see `-heap-library' compiler option)",
		93);
	      DEFINE_STRING(BGl_string2274z00zzheap_makez00,
		BgL_bgl_string2274za700za7za7h2294za7,
		"Missing additional heap library identifier (see `-heap-library' compiler option)",
		80);
	      DEFINE_STRING(BGl_string2275z00zzheap_makez00,
		BgL_bgl_string2275za700za7za7h2295za7, "heap_make", 9);
	      DEFINE_STRING(BGl_string2276z00zzheap_makez00,
		BgL_bgl_string2276za700za7za7h2296za7,
		"make-add-heap bigloo (check-additional-heap-library prepare-additional-globals!) import export static pair pass-started (prepare-globals!) ",
		139);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long
		BgL_checksumz00_718, char *BgL_fromz00_719)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_makez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_makez00();
					BGl_cnstzd2initzd2zzheap_makez00();
					BGl_importedzd2moduleszd2initz00zzheap_makez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 0), "heap_make");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			{	/* Heap/make.scm 15 */
				obj_t BgL_cportz00_710;

				BgL_cportz00_710 =
					bgl_open_input_string(BGl_string2276z00zzheap_makez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_711;

					BgL_iz00_711 = ((long) 8);
				BgL_loopz00_712:
					if ((BgL_iz00_711 == ((long) -1)))
						{	/* Heap/make.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/make.scm 15 */
							{	/* Heap/make.scm 15 */
								obj_t BgL_arg2278z00_714;

								{	/* Heap/make.scm 15 */

									{	/* Heap/make.scm 15 */
										obj_t BgL_locationz00_716;

										BgL_locationz00_716 = BBOOL(((bool_t) 0));
										{	/* Heap/make.scm 15 */

											BgL_arg2278z00_714 =
												BGl_readz00zz__readerz00(BgL_cportz00_710,
												BgL_locationz00_716);
										}
									}
								}
								{	/* Heap/make.scm 15 */
									int BgL_auxz00_737;

									BgL_auxz00_737 = (int) (BgL_iz00_711);
									CNST_TABLE_SET(BgL_auxz00_737, BgL_arg2278z00_714);
							}}
							{	/* Heap/make.scm 15 */
								int BgL_auxz00_717;

								BgL_auxz00_717 = (int) ((BgL_iz00_711 - ((long) 1)));
								{
									long BgL_iz00_742;

									BgL_iz00_742 = (long) (BgL_auxz00_717);
									BgL_iz00_711 = BgL_iz00_742;
									goto BgL_loopz00_712;
								}
							}
						}
				}
			}
		}
	}



/* make-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2heapzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 35 */
			{	/* Heap/make.scm 36 */
				obj_t BgL_list1980z00_397;

				{	/* Heap/make.scm 36 */
					obj_t BgL_arg1992z00_399;

					{	/* Heap/make.scm 36 */
						obj_t BgL_arg2011z00_401;

						BgL_arg2011z00_401 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1992z00_399 =
							MAKE_PAIR(BGl_string2264z00zzheap_makez00, BgL_arg2011z00_401);
					}
					BgL_list1980z00_397 =
						MAKE_PAIR(BGl_string2265z00zzheap_makez00, BgL_arg1992z00_399);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1980z00_397);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2264z00zzheap_makez00;
			{	/* Heap/make.scm 36 */
				obj_t BgL_g1974z00_402;
				obj_t BgL_g1975z00_403;

				{	/* Heap/make.scm 36 */
					obj_t BgL_list2060z00_415;

					BgL_list2060z00_415 =
						MAKE_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BNIL);
					BgL_g1974z00_402 = BgL_list2060z00_415;
				}
				BgL_g1975z00_403 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_404;
					obj_t BgL_hnamesz00_405;

					BgL_hooksz00_404 = BgL_g1974z00_402;
					BgL_hnamesz00_405 = BgL_g1975z00_403;
				BgL_loopz00_406:
					if (NULLP(BgL_hooksz00_404))
						{	/* Heap/make.scm 36 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Heap/make.scm 36 */
							bool_t BgL_testz00_756;

							{	/* Heap/make.scm 36 */
								obj_t BgL_fun2059z00_414;

								BgL_fun2059z00_414 = CAR(BgL_hooksz00_404);
								BgL_testz00_756 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2059z00_414) (BgL_fun2059z00_414,
										BEOA));
							}
							if (BgL_testz00_756)
								{
									obj_t BgL_hnamesz00_763;
									obj_t BgL_hooksz00_761;

									BgL_hooksz00_761 = CDR(BgL_hooksz00_404);
									BgL_hnamesz00_763 = CDR(BgL_hnamesz00_405);
									BgL_hnamesz00_405 = BgL_hnamesz00_763;
									BgL_hooksz00_404 = BgL_hooksz00_761;
									goto BgL_loopz00_406;
								}
							else
								{	/* Heap/make.scm 36 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2264z00zzheap_makez00,
										BGl_string2266z00zzheap_makez00, CAR(BgL_hnamesz00_405));
								}
						}
				}
			}
			BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(((long)
						2)));
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/make.scm 40 */
					obj_t BgL_hnamez00_417;

					{	/* Heap/make.scm 40 */
						obj_t BgL_arg2117z00_429;

						BgL_arg2117z00_429 = CAR(BGl_za2libzd2dirza2zd2zzengine_paramz00);
						BgL_hnamez00_417 =
							BGl_makezd2filezd2namez00zz__osz00(BgL_arg2117z00_429,
							BGl_za2heapzd2nameza2zd2zzengine_paramz00);
					}
					{	/* Heap/make.scm 41 */
						obj_t BgL_portz00_418;

						BgL_portz00_418 =
							BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
							(BgL_hnamez00_417);
						if (BINARY_PORTP(BgL_portz00_418))
							{	/* Heap/make.scm 42 */
								{	/* Heap/make.scm 46 */
									obj_t BgL_arg2064z00_420;

									{	/* Heap/make.scm 46 */
										obj_t BgL_v1978z00_421;

										BgL_v1978z00_421 = create_vector((int) (((long) 5)));
										VECTOR_SET(BgL_v1978z00_421,
											(int) (((long) 4)), BGl_getzd2tenvzd2zztype_envz00());
										VECTOR_SET(BgL_v1978z00_421,
											(int) (((long) 3)), BGl_getzd2genvzd2zzast_envz00());
										VECTOR_SET(BgL_v1978z00_421,
											(int) (((long) 2)),
											BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
										VECTOR_SET(BgL_v1978z00_421, (int) (((long) 1)),
											BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
										{	/* Heap/make.scm 46 */
											obj_t BgL_arg2098z00_427;

											{	/* Heap/make.scm 46 */
												obj_t BgL_arg2104z00_428;

												BgL_arg2104z00_428 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Heap/make.scm 46 */
													BgL_backendz00_bglt BgL_obj1865z00_639;

													BgL_obj1865z00_639 =
														(BgL_backendz00_bglt) (BgL_arg2104z00_428);
													BgL_arg2098z00_427 =
														(((BgL_backendz00_bglt) CREF(BgL_obj1865z00_639))->
														BgL_languagez00);
											}}
											VECTOR_SET(BgL_v1978z00_421,
												(int) (((long) 0)), BgL_arg2098z00_427);
										}
										BgL_arg2064z00_420 = BgL_v1978z00_421;
									}
									output_obj(BgL_portz00_418, BgL_arg2064z00_420);
								}
								return close_binary_port(BgL_portz00_418);
							}
						else
							{	/* Heap/make.scm 42 */
								return
									BGl_errorz00zz__errorz00(BGl_string2267z00zzheap_makez00,
									BGl_string2268z00zzheap_makez00, BgL_hnamez00_417);
							}
					}
				}
			else
				{	/* Heap/make.scm 38 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string2267z00zzheap_makez00,
						BGl_string2269z00zzheap_makez00,
						BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
				}
		}
	}



/* _make-heap */
	obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t BgL_envz00_699)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 35 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}
	}



/* prepare-globals! */
	bool_t BGl_preparezd2globalsz12zc0zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 60 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(make_fx_procedure
				(BGl_zc3anonymousza32125ze3z83zzheap_makez00, (int) (((long) 1)),
					(int) (((long) 0))), BNIL);
			return ((bool_t) 1);
		}
	}



/* _prepare-globals! */
	obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t BgL_envz00_700)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 60 */
			return BBOOL(BGl_preparezd2globalsz12zc0zzheap_makez00());
		}
	}



/* <anonymous:2125> */
	obj_t BGl_zc3anonymousza32125ze3z83zzheap_makez00(obj_t BgL_envz00_702,
		obj_t BgL_gz00_703)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 61 */
			{
				obj_t BgL_gz00_433;

				BgL_gz00_433 = BgL_gz00_703;
				{	/* Heap/make.scm 64 */
					bool_t BgL_testz00_804;

					{	/* Heap/make.scm 64 */
						obj_t BgL_auxz00_805;

						{	/* Heap/make.scm 64 */
							BgL_globalz00_bglt BgL_obj1455z00_646;

							BgL_obj1455z00_646 = (BgL_globalz00_bglt) (BgL_gz00_433);
							BgL_auxz00_805 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1455z00_646))->
								BgL_importz00);
						}
						BgL_testz00_804 = (BgL_auxz00_805 == CNST_TABLE_REF(((long) 3)));
					}
					if (BgL_testz00_804)
						{	/* Heap/make.scm 65 */
							obj_t BgL_arg2128z00_436;
							obj_t BgL_arg2131z00_437;

							{	/* Heap/make.scm 65 */
								BgL_variablez00_bglt BgL_obj1379z00_647;

								BgL_obj1379z00_647 = (BgL_variablez00_bglt) (BgL_gz00_433);
								BgL_arg2128z00_436 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_647))->
									BgL_idz00);
							}
							{	/* Heap/make.scm 65 */
								BgL_globalz00_bglt BgL_obj1452z00_648;

								BgL_obj1452z00_648 = (BgL_globalz00_bglt) (BgL_gz00_433);
								BgL_arg2131z00_437 =
									(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_648))->
									BgL_modulez00);
							}
							BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg2128z00_436,
								BgL_arg2131z00_437);
						}
					else
						{	/* Heap/make.scm 66 */
							bool_t BgL_testz00_815;

							{	/* Heap/make.scm 66 */
								obj_t BgL_auxz00_816;

								{	/* Heap/make.scm 66 */
									BgL_globalz00_bglt BgL_obj1455z00_649;

									BgL_obj1455z00_649 = (BgL_globalz00_bglt) (BgL_gz00_433);
									BgL_auxz00_816 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1455z00_649))->
										BgL_importz00);
								}
								BgL_testz00_815 =
									(BgL_auxz00_816 == CNST_TABLE_REF(((long) 4)));
							}
							if (BgL_testz00_815)
								{	/* Heap/make.scm 67 */
									BgL_globalz00_bglt BgL_obj1457z00_650;
									obj_t BgL_val1456z00_651;

									BgL_obj1457z00_650 = (BgL_globalz00_bglt) (BgL_gz00_433);
									BgL_val1456z00_651 = CNST_TABLE_REF(((long) 5));
									((((BgL_globalz00_bglt) CREF(BgL_obj1457z00_650))->
											BgL_importz00) = ((obj_t) BgL_val1456z00_651), BUNSPEC);
								}
							else
								{	/* Heap/make.scm 66 */
									BUNSPEC;
								}
						}
				}
				{	/* Heap/make.scm 71 */
					BgL_variablez00_bglt BgL_obj1401z00_652;
					long BgL_val1400z00_653;

					BgL_obj1401z00_652 = (BgL_variablez00_bglt) (BgL_gz00_433);
					BgL_val1400z00_653 = ((long) 0);
					((((BgL_variablez00_bglt) CREF(BgL_obj1401z00_652))->
							BgL_occurrencez00) = ((long) BgL_val1400z00_653), BUNSPEC);
				}
				{	/* Heap/make.scm 72 */
					BgL_globalz00_bglt BgL_obj1463z00_654;
					obj_t BgL_val1462z00_655;

					BgL_obj1463z00_654 = (BgL_globalz00_bglt) (BgL_gz00_433);
					BgL_val1462z00_655 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
					return
						((((BgL_globalz00_bglt) CREF(BgL_obj1463z00_654))->BgL_libraryz00) =
						((obj_t) BgL_val1462z00_655), BUNSPEC);
				}
			}
		}
	}



/* make-add-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2addzd2heapz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 81 */
			{	/* Heap/make.scm 82 */
				obj_t BgL_list2151z00_444;

				{	/* Heap/make.scm 82 */
					obj_t BgL_arg2153z00_446;

					{	/* Heap/make.scm 82 */
						obj_t BgL_arg2155z00_448;

						BgL_arg2155z00_448 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2153z00_446 =
							MAKE_PAIR(BGl_string2270z00zzheap_makez00, BgL_arg2155z00_448);
					}
					BgL_list2151z00_444 =
						MAKE_PAIR(BGl_string2265z00zzheap_makez00, BgL_arg2153z00_446);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2151z00_444);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2270z00zzheap_makez00;
			{	/* Heap/make.scm 82 */
				obj_t BgL_g1976z00_449;
				obj_t BgL_g1977z00_450;

				{	/* Heap/make.scm 82 */
					obj_t BgL_list2168z00_462;

					{	/* Heap/make.scm 82 */
						obj_t BgL_arg2170z00_463;

						BgL_arg2170z00_463 =
							MAKE_PAIR
							(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
							BNIL);
						BgL_list2168z00_462 =
							MAKE_PAIR
							(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
							BgL_arg2170z00_463);
					}
					BgL_g1976z00_449 = BgL_list2168z00_462;
				}
				BgL_g1977z00_450 = CNST_TABLE_REF(((long) 6));
				{
					obj_t BgL_hooksz00_451;
					obj_t BgL_hnamesz00_452;

					BgL_hooksz00_451 = BgL_g1976z00_449;
					BgL_hnamesz00_452 = BgL_g1977z00_450;
				BgL_loopz00_453:
					if (NULLP(BgL_hooksz00_451))
						{	/* Heap/make.scm 82 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Heap/make.scm 82 */
							bool_t BgL_testz00_841;

							{	/* Heap/make.scm 82 */
								obj_t BgL_fun2167z00_461;

								BgL_fun2167z00_461 = CAR(BgL_hooksz00_451);
								BgL_testz00_841 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2167z00_461) (BgL_fun2167z00_461,
										BEOA));
							}
							if (BgL_testz00_841)
								{
									obj_t BgL_hnamesz00_848;
									obj_t BgL_hooksz00_846;

									BgL_hooksz00_846 = CDR(BgL_hooksz00_451);
									BgL_hnamesz00_848 = CDR(BgL_hnamesz00_452);
									BgL_hnamesz00_452 = BgL_hnamesz00_848;
									BgL_hooksz00_451 = BgL_hooksz00_846;
									goto BgL_loopz00_453;
								}
							else
								{	/* Heap/make.scm 82 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2270z00zzheap_makez00,
										BGl_string2266z00zzheap_makez00, CAR(BgL_hnamesz00_452));
								}
						}
				}
			}
			{	/* Heap/make.scm 85 */
				obj_t BgL_genvz00_464;
				obj_t BgL_tenvz00_465;
				obj_t BgL_langz00_466;

				BgL_genvz00_464 = BGl_getzd2genvzd2zzast_envz00();
				BgL_tenvz00_465 = BGl_getzd2tenvzd2zztype_envz00();
				{	/* Heap/make.scm 87 */
					obj_t BgL_arg2182z00_474;

					BgL_arg2182z00_474 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Heap/make.scm 87 */
						BgL_backendz00_bglt BgL_obj1865z00_663;

						BgL_obj1865z00_663 = (BgL_backendz00_bglt) (BgL_arg2182z00_474);
						BgL_langz00_466 =
							(((BgL_backendz00_bglt) CREF(BgL_obj1865z00_663))->
							BgL_languagez00);
					}
				}
				BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(((long)
							2)));
				if (STRINGP(BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00))
					{	/* Heap/make.scm 93 */
						obj_t BgL_hnamez00_468;

						BgL_hnamez00_468 =
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
						{	/* Heap/make.scm 94 */
							obj_t BgL_portz00_469;

							BgL_portz00_469 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_hnamez00_468);
							if (BINARY_PORTP(BgL_portz00_469))
								{	/* Heap/make.scm 95 */
									{	/* Heap/make.scm 98 */
										obj_t BgL_arg2180z00_471;

										{	/* Heap/make.scm 98 */
											obj_t BgL_v1979z00_472;

											BgL_v1979z00_472 = create_vector((int) (((long) 6)));
											VECTOR_SET(BgL_v1979z00_472,
												(int) (((long) 5)),
												BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v1979z00_472, (int) (((long) 4)),
												BgL_tenvz00_465);
											VECTOR_SET(BgL_v1979z00_472, (int) (((long) 3)),
												BgL_genvz00_464);
											VECTOR_SET(BgL_v1979z00_472, (int) (((long) 2)),
												BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v1979z00_472, (int) (((long) 1)),
												BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
											VECTOR_SET(BgL_v1979z00_472, (int) (((long) 0)),
												BgL_langz00_466);
											BgL_arg2180z00_471 = BgL_v1979z00_472;
										}
										output_obj(BgL_portz00_469, BgL_arg2180z00_471);
									}
									return close_binary_port(BgL_portz00_469);
								}
							else
								{	/* Heap/make.scm 95 */
									return
										BGl_errorz00zz__errorz00(BGl_string2271z00zzheap_makez00,
										BGl_string2268z00zzheap_makez00, BgL_hnamez00_468);
								}
						}
					}
				else
					{	/* Heap/make.scm 89 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string2272z00zzheap_makez00, BGl_string2269z00zzheap_makez00,
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);
					}
			}
		}
	}



/* _make-add-heap */
	obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t BgL_envz00_704)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 81 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}
	}



/* check-additional-heap-library */
	obj_t BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 109 */
			if (
				(BGl_za2heapzd2libraryza2zd2zzengine_paramz00 ==
					CNST_TABLE_REF(((long) 7))))
				{	/* Heap/make.scm 111 */
					return
						BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 8)),
						BGl_string2273z00zzheap_makez00,
						BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
				}
			else
				{	/* Heap/make.scm 111 */
					if (SYMBOLP(BGl_za2heapzd2libraryza2zd2zzengine_paramz00))
						{	/* Heap/make.scm 115 */
							return BTRUE;
						}
					else
						{	/* Heap/make.scm 115 */
							return
								BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 8)),
								BGl_string2274z00zzheap_makez00,
								BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
		}}}
	}



/* _check-additional-heap-library */
	obj_t BGl__checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00(obj_t
		BgL_envz00_706)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 109 */
			return BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00();
		}
	}



/* prepare-additional-globals! */
	bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 129 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(make_fx_procedure
				(BGl_zc3anonymousza32189ze3z83zzheap_makez00, (int) (((long) 1)),
					(int) (((long) 0))), BNIL);
			return ((bool_t) 1);
		}
	}



/* _prepare-additional-globals! */
	obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t
		BgL_envz00_705)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 129 */
			return BBOOL(BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00());
		}
	}



/* <anonymous:2189> */
	obj_t BGl_zc3anonymousza32189ze3z83zzheap_makez00(obj_t BgL_envz00_708,
		obj_t BgL_gz00_709)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 130 */
			{
				obj_t BgL_gz00_481;

				BgL_gz00_481 = BgL_gz00_709;
				{	/* Heap/make.scm 133 */
					bool_t BgL_testz00_899;

					{	/* Heap/make.scm 133 */
						bool_t BgL_testz00_900;

						{	/* Heap/make.scm 133 */
							obj_t BgL_auxz00_901;

							{	/* Heap/make.scm 133 */
								BgL_globalz00_bglt BgL_obj1455z00_688;

								BgL_obj1455z00_688 = (BgL_globalz00_bglt) (BgL_gz00_481);
								BgL_auxz00_901 =
									(((BgL_globalz00_bglt) CREF(BgL_obj1455z00_688))->
									BgL_importz00);
							}
							BgL_testz00_900 = (BgL_auxz00_901 == CNST_TABLE_REF(((long) 3)));
						}
						if (BgL_testz00_900)
							{	/* Heap/make.scm 133 */
								BgL_testz00_899 = ((bool_t) 1);
							}
						else
							{	/* Heap/make.scm 134 */
								BgL_globalz00_bglt BgL_obj1461z00_689;

								BgL_obj1461z00_689 = (BgL_globalz00_bglt) (BgL_gz00_481);
								BgL_testz00_899 =
									CBOOL(
									(((BgL_globalz00_bglt) CREF(BgL_obj1461z00_689))->
										BgL_libraryz00));
							}
					}
					if (BgL_testz00_899)
						{	/* Heap/make.scm 135 */
							obj_t BgL_arg2193z00_484;
							obj_t BgL_arg2197z00_485;

							{	/* Heap/make.scm 135 */
								BgL_variablez00_bglt BgL_obj1379z00_690;

								BgL_obj1379z00_690 = (BgL_variablez00_bglt) (BgL_gz00_481);
								BgL_arg2193z00_484 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_690))->
									BgL_idz00);
							}
							{	/* Heap/make.scm 135 */
								BgL_globalz00_bglt BgL_obj1452z00_691;

								BgL_obj1452z00_691 = (BgL_globalz00_bglt) (BgL_gz00_481);
								BgL_arg2197z00_485 =
									(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_691))->
									BgL_modulez00);
							}
							BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg2193z00_484,
								BgL_arg2197z00_485);
						}
					else
						{	/* Heap/make.scm 136 */
							bool_t BgL_testz00_914;

							{	/* Heap/make.scm 136 */
								obj_t BgL_auxz00_915;

								{	/* Heap/make.scm 136 */
									BgL_globalz00_bglt BgL_obj1455z00_692;

									BgL_obj1455z00_692 = (BgL_globalz00_bglt) (BgL_gz00_481);
									BgL_auxz00_915 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1455z00_692))->
										BgL_importz00);
								}
								BgL_testz00_914 =
									(BgL_auxz00_915 == CNST_TABLE_REF(((long) 4)));
							}
							if (BgL_testz00_914)
								{	/* Heap/make.scm 137 */
									BgL_globalz00_bglt BgL_obj1457z00_693;
									obj_t BgL_val1456z00_694;

									BgL_obj1457z00_693 = (BgL_globalz00_bglt) (BgL_gz00_481);
									BgL_val1456z00_694 = CNST_TABLE_REF(((long) 5));
									((((BgL_globalz00_bglt) CREF(BgL_obj1457z00_693))->
											BgL_importz00) = ((obj_t) BgL_val1456z00_694), BUNSPEC);
								}
							else
								{	/* Heap/make.scm 136 */
									BUNSPEC;
								}
						}
				}
				{	/* Heap/make.scm 141 */
					BgL_variablez00_bglt BgL_obj1401z00_695;
					long BgL_val1400z00_696;

					BgL_obj1401z00_695 = (BgL_variablez00_bglt) (BgL_gz00_481);
					BgL_val1400z00_696 = ((long) 0);
					((((BgL_variablez00_bglt) CREF(BgL_obj1401z00_695))->
							BgL_occurrencez00) = ((long) BgL_val1400z00_696), BUNSPEC);
				}
				{	/* Heap/make.scm 142 */
					BgL_globalz00_bglt BgL_obj1463z00_697;
					obj_t BgL_val1462z00_698;

					BgL_obj1463z00_697 = (BgL_globalz00_bglt) (BgL_gz00_481);
					BgL_val1462z00_698 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
					return
						((((BgL_globalz00_bglt) CREF(BgL_obj1463z00_697))->BgL_libraryz00) =
						((obj_t) BgL_val1462z00_698), BUNSPEC);
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 477408199),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 307873065),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2275z00zzheap_makez00));
		}
	}

#ifdef __cplusplus
}
#endif
