/*===========================================================================*/
/*   (Init/extend.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Init/extend.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinit_extendz00 = BUNSPEC;
	static obj_t BGl__loadzd2extend1332zd2zzinit_extendz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinit_extendz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinit_extendz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinit_extendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzinit_extendz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2extendzd2tableza2zd2zzinit_extendz00 = BUNSPEC;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_loadzd2extendzd2zzinit_extendz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinit_extendz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinit_extendz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1333z00zzinit_extendz00,
		BgL_bgl_string1333za700za7za7i1342za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1334z00zzinit_extendz00,
		BgL_bgl_string1334za700za7za7i1343za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1335z00zzinit_extendz00,
		BgL_bgl_string1335za700za7za7i1344za7, ".init", 5);
	      DEFINE_STRING(BGl_string1336z00zzinit_extendz00,
		BgL_bgl_string1336za700za7za7i1345za7, "parse-args", 10);
	      DEFINE_STRING(BGl_string1337z00zzinit_extendz00,
		BgL_bgl_string1337za700za7za7i1346za7, "Can't find extend file", 22);
	      DEFINE_STRING(BGl_string1338z00zzinit_extendz00,
		BgL_bgl_string1338za700za7za7i1347za7, "init_extend", 11);
	      DEFINE_STRING(BGl_string1339z00zzinit_extendz00,
		BgL_bgl_string1339za700za7za7i1348za7, "pass-started ", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_loadzd2extendzd2envz00zzinit_extendz00,
		BgL_bgl__loadza7d2extend131349za7,
		BGl__loadzd2extend1332zd2zzinit_extendz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinit_extendz00(long
		BgL_checksumz00_93, char *BgL_fromz00_94)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinit_extendz00))
				{
					BGl_requirezd2initializa7ationz75zzinit_extendz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinit_extendz00();
					BGl_cnstzd2initzd2zzinit_extendz00();
					BGl_importedzd2moduleszd2initz00zzinit_extendz00();
					BGl_toplevelzd2initzd2zzinit_extendz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"init_extend");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			{	/* Init/extend.scm 16 */
				obj_t BgL_cportz00_85;

				BgL_cportz00_85 =
					bgl_open_input_string(BGl_string1339z00zzinit_extendz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_86;

					BgL_iz00_86 = ((long) 0);
				BgL_loopz00_87:
					if ((BgL_iz00_86 == ((long) -1)))
						{	/* Init/extend.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Init/extend.scm 16 */
							{	/* Init/extend.scm 16 */
								obj_t BgL_arg1341z00_89;

								{	/* Init/extend.scm 16 */

									{	/* Init/extend.scm 16 */
										obj_t BgL_locationz00_91;

										BgL_locationz00_91 = BBOOL(((bool_t) 0));
										{	/* Init/extend.scm 16 */

											BgL_arg1341z00_89 =
												BGl_readz00zz__readerz00(BgL_cportz00_85,
												BgL_locationz00_91);
										}
									}
								}
								{	/* Init/extend.scm 16 */
									int BgL_auxz00_113;

									BgL_auxz00_113 = (int) (BgL_iz00_86);
									CNST_TABLE_SET(BgL_auxz00_113, BgL_arg1341z00_89);
							}}
							{	/* Init/extend.scm 16 */
								int BgL_auxz00_92;

								BgL_auxz00_92 = (int) ((BgL_iz00_86 - ((long) 1)));
								{
									long BgL_iz00_118;

									BgL_iz00_118 = (long) (BgL_auxz00_92);
									BgL_iz00_86 = BgL_iz00_118;
									goto BgL_loopz00_87;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			return (BGl_za2extendzd2tableza2zd2zzinit_extendz00 = BNIL, BUNSPEC);
		}
	}



/* load-extend */
	BGL_EXPORTED_DEF obj_t BGl_loadzd2extendzd2zzinit_extendz00(obj_t
		BgL_extendzd2namezd2_1)
	{
		AN_OBJECT;
		{	/* Init/extend.scm 25 */
			if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
					(BgL_extendzd2namezd2_1,
						BGl_za2extendzd2tableza2zd2zzinit_extendz00)))
				{	/* Init/extend.scm 26 */
					return BFALSE;
				}
			else
				{	/* Init/extend.scm 26 */
					BGl_za2extendzd2tableza2zd2zzinit_extendz00 =
						MAKE_PAIR(BgL_extendzd2namezd2_1,
						BGl_za2extendzd2tableza2zd2zzinit_extendz00);
					{	/* Init/extend.scm 28 */
						obj_t BgL_fnamez00_28;

						BgL_fnamez00_28 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_extendzd2namezd2_1,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (CBOOL(BgL_fnamez00_28))
							{	/* Init/extend.scm 29 */
								{	/* Init/extend.scm 31 */
									obj_t BgL_list1294z00_29;

									{	/* Init/extend.scm 31 */
										obj_t BgL_arg1303z00_31;

										{	/* Init/extend.scm 31 */
											obj_t BgL_arg1304z00_32;

											BgL_arg1304z00_32 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg1303z00_31 =
												MAKE_PAIR(BgL_fnamez00_28, BgL_arg1304z00_32);
										}
										BgL_list1294z00_29 =
											MAKE_PAIR(BGl_string1333z00zzinit_extendz00,
											BgL_arg1303z00_31);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
										BgL_list1294z00_29);
								}
								BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
									BINT(((long) 0));
								BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_fnamez00_28;
								{
									obj_t BgL_hooksz00_35;
									obj_t BgL_hnamesz00_36;

									BgL_hooksz00_35 = BNIL;
									BgL_hnamesz00_36 = BNIL;
								BgL_loopz00_37:
									if (NULLP(BgL_hooksz00_35))
										{	/* Init/extend.scm 31 */
											CNST_TABLE_REF(((long) 0));
										}
									else
										{	/* Init/extend.scm 31 */
											bool_t BgL_testz00_137;

											{	/* Init/extend.scm 31 */
												obj_t BgL_fun1313z00_44;

												BgL_fun1313z00_44 = CAR(BgL_hooksz00_35);
												BgL_testz00_137 =
													CBOOL(PROCEDURE_ENTRY(BgL_fun1313z00_44)
													(BgL_fun1313z00_44, BEOA));
											}
											if (BgL_testz00_137)
												{
													obj_t BgL_hnamesz00_144;
													obj_t BgL_hooksz00_142;

													BgL_hooksz00_142 = CDR(BgL_hooksz00_35);
													BgL_hnamesz00_144 = CDR(BgL_hnamesz00_36);
													BgL_hnamesz00_36 = BgL_hnamesz00_144;
													BgL_hooksz00_35 = BgL_hooksz00_142;
													goto BgL_loopz00_37;
												}
											else
												{	/* Init/extend.scm 31 */
													BGl_internalzd2errorzd2zztools_errorz00
														(BgL_fnamez00_28, BGl_string1334z00zzinit_extendz00,
														CAR(BgL_hnamesz00_36));
												}
										}
								}
								{	/* Init/extend.scm 32 */
									obj_t BgL_envz00_47;

									BgL_envz00_47 = BGl_defaultzd2environmentzd2zz__evalz00();
									{	/* Init/extend.scm 32 */

										return
											BGl_loadqz00zz__evalz00(BgL_fnamez00_28, BgL_envz00_47);
									}
								}
							}
						else
							{	/* Init/extend.scm 33 */
								obj_t BgL_fnamez00_48;

								{	/* Init/extend.scm 33 */
									obj_t BgL_arg1329z00_68;

									BgL_arg1329z00_68 =
										string_append(BgL_extendzd2namezd2_1,
										BGl_string1335z00zzinit_extendz00);
									BgL_fnamez00_48 =
										BGl_findzd2filezf2pathz20zz__osz00(BgL_arg1329z00_68,
										BGl_za2libzd2dirza2zd2zzengine_paramz00);
								}
								if (CBOOL(BgL_fnamez00_48))
									{	/* Init/extend.scm 35 */
										{	/* Init/extend.scm 37 */
											obj_t BgL_list1315z00_49;

											{	/* Init/extend.scm 37 */
												obj_t BgL_arg1318z00_51;

												{	/* Init/extend.scm 37 */
													obj_t BgL_arg1319z00_52;

													BgL_arg1319z00_52 =
														MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
													BgL_arg1318z00_51 =
														MAKE_PAIR(BgL_fnamez00_48, BgL_arg1319z00_52);
												}
												BgL_list1315z00_49 =
													MAKE_PAIR(BGl_string1333z00zzinit_extendz00,
													BgL_arg1318z00_51);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
												BgL_list1315z00_49);
										}
										BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
											BINT(((long) 0));
										BGl_za2currentzd2passza2zd2zzengine_passz00 =
											BgL_fnamez00_48;
										{
											obj_t BgL_hooksz00_55;
											obj_t BgL_hnamesz00_56;

											BgL_hooksz00_55 = BNIL;
											BgL_hnamesz00_56 = BNIL;
										BgL_loopz00_57:
											if (NULLP(BgL_hooksz00_55))
												{	/* Init/extend.scm 37 */
													CNST_TABLE_REF(((long) 0));
												}
											else
												{	/* Init/extend.scm 37 */
													bool_t BgL_testz00_164;

													{	/* Init/extend.scm 37 */
														obj_t BgL_fun1327z00_64;

														BgL_fun1327z00_64 = CAR(BgL_hooksz00_55);
														BgL_testz00_164 =
															CBOOL(PROCEDURE_ENTRY(BgL_fun1327z00_64)
															(BgL_fun1327z00_64, BEOA));
													}
													if (BgL_testz00_164)
														{
															obj_t BgL_hnamesz00_171;
															obj_t BgL_hooksz00_169;

															BgL_hooksz00_169 = CDR(BgL_hooksz00_55);
															BgL_hnamesz00_171 = CDR(BgL_hnamesz00_56);
															BgL_hnamesz00_56 = BgL_hnamesz00_171;
															BgL_hooksz00_55 = BgL_hooksz00_169;
															goto BgL_loopz00_57;
														}
													else
														{	/* Init/extend.scm 37 */
															BGl_internalzd2errorzd2zztools_errorz00
																(BgL_fnamez00_48,
																BGl_string1334z00zzinit_extendz00,
																CAR(BgL_hnamesz00_56));
														}
												}
										}
										{	/* Init/extend.scm 38 */
											obj_t BgL_envz00_67;

											BgL_envz00_67 = BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Init/extend.scm 38 */

												return
													BGl_loadqz00zz__evalz00(BgL_fnamez00_48,
													BgL_envz00_67);
											}
										}
									}
								else
									{	/* Init/extend.scm 35 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string1336z00zzinit_extendz00,
											BGl_string1337z00zzinit_extendz00,
											BgL_extendzd2namezd2_1);
									}
							}
					}
				}
		}
	}



/* _load-extend1332 */
	obj_t BGl__loadzd2extend1332zd2zzinit_extendz00(obj_t BgL_envz00_83,
		obj_t BgL_extendzd2namezd2_84)
	{
		AN_OBJECT;
		{	/* Init/extend.scm 25 */
			return BGl_loadzd2extendzd2zzinit_extendz00(BgL_extendzd2namezd2_84);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1338z00zzinit_extendz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1338z00zzinit_extendz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string1338z00zzinit_extendz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1338z00zzinit_extendz00));
		}
	}

#ifdef __cplusplus
}
#endif
