/*===========================================================================*/
/*   (Inline/variant.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/variant.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2variantzf2_bgl
	{
		bool_t BgL_variantz00;
	}                         *BgL_localzf2variantzf2_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t,
		long);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl__invariantzd2argszd2zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2variantzf2zzinline_variantz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_variantz00();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	BGL_EXPORTED_DECL BgL_localzf2variantzf2_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00();
	static obj_t BGl__wideningzd2localzf2variantz20zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_localzf2variantzf2_bglt
		BGl_wideningzd2localzf2variantz20zzinline_variantz00(bool_t);
	static obj_t BGl__variantzd2argszd2zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl__localzf2variantzd2nilz20zzinline_variantz00(obj_t);
	BGL_EXPORTED_DECL BgL_localzf2variantzf2_bglt
		BGl_fillzd2localzf2variantz12z32zzinline_variantz00
		(BgL_localzf2variantzf2_bglt, bool_t);
	static obj_t BGl__removezd2invariantzd2argsz12z12zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl__substitutionsz00zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	static obj_t BGl__makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_localzf2variantzf2_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t,
		long, bool_t);
	static obj_t BGl_methodzd2initzd2zzinline_variantz00();
	static obj_t BGl__localzf2variantzf3z01zzinline_variantz00(obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_variantz00 = BUNSPEC;
	static obj_t BGl__shrinkzd2argsz12zc0zzinline_variantz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00();
	BGL_EXPORTED_DECL obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__fillzd2localzf2variantz12z32zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2local3108ze3zzinline_variantz00(obj_t,
		obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_structzb2objectzd2ze3objec3110z83zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl__z52allocatezd2localzf2variantz72zzinline_variantz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_variantz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_z52allocatezd2localzf2variantz72zzinline_variantz00();
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzf3zd2envzd3zzinline_variantz00,
		BgL_bgl__localza7f2variant3295za7,
		BGl__localzf2variantzf3z01zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00,
		BgL_bgl__makeza7d2localza7f23296z00,
		BGl__makezd2localzf2variantz20zzinline_variantz00, 0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2invariantzd2argsz12zd2envzc0zzinline_variantz00,
		BgL_bgl__removeza7d2invari3297za7,
		BGl__removezd2invariantzd2argsz12z12zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2localzf2variantzd2envza0zzinline_variantz00,
		BgL_bgl__za752allocateza7d2l3298z00,
		BGl__z52allocatezd2localzf2variantz72zzinline_variantz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2localzf2variantzd2envzf2zzinline_variantz00,
		BgL_bgl__wideningza7d2loca3299za7,
		BGl__wideningzd2localzf2variantz20zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutionszd2envzd2zzinline_variantz00,
		BgL_bgl__substitutionsza703300za7, BGl__substitutionsz00zzinline_variantz00,
		0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_invariantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl__invariantza7d2arg3301za7,
		BGl__invariantzd2argszd2zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2localzf2variantz12zd2envze0zzinline_variantz00,
		BgL_bgl__fillza7d2localza7f23302z00,
		BGl__fillzd2localzf2variantz12z32zzinline_variantz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_shrinkzd2argsz12zd2envz12zzinline_variantz00,
		BgL_bgl__shrinkza7d2argsza713303z00,
		BGl__shrinkzd2argsz12zc0zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2nilzd2envzf2zzinline_variantz00,
		BgL_bgl__localza7f2variant3304za7,
		BGl__localzf2variantzd2nilz20zzinline_variantz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl__variantza7d2argsza73305z00,
		BGl__variantzd2argszd2zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3290z00zzinline_variantz00,
		BgL_bgl_string3290za700za7za7i3306za7, "_ local/variant done read ", 26);
	      DEFINE_STRING(BGl_string3289z00zzinline_variantz00,
		BgL_bgl_string3289za700za7za7i3307za7, "inline_variant", 14);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long
		BgL_checksumz00_1575, char *BgL_fromz00_1576)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_variantz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_variantz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
					BGl_cnstzd2initzd2zzinline_variantz00();
					BGl_importedzd2moduleszd2initz00zzinline_variantz00();
					BGl_objectzd2initzd2zzinline_variantz00();
					BGl_methodzd2initzd2zzinline_variantz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_variant");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 15 */
				obj_t BgL_cportz00_1554;

				BgL_cportz00_1554 =
					bgl_open_input_string(BGl_string3290z00zzinline_variantz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1555;

					BgL_iz00_1555 = ((long) 3);
				BgL_loopz00_1556:
					if ((BgL_iz00_1555 == ((long) -1)))
						{	/* Inline/variant.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/variant.scm 15 */
							{	/* Inline/variant.scm 15 */
								obj_t BgL_arg3292z00_1558;

								{	/* Inline/variant.scm 15 */

									{	/* Inline/variant.scm 15 */
										obj_t BgL_locationz00_1560;

										BgL_locationz00_1560 = BBOOL(((bool_t) 0));
										{	/* Inline/variant.scm 15 */

											BgL_arg3292z00_1558 =
												BGl_readz00zz__readerz00(BgL_cportz00_1554,
												BgL_locationz00_1560);
										}
									}
								}
								{	/* Inline/variant.scm 15 */
									int BgL_auxz00_1594;

									BgL_auxz00_1594 = (int) (BgL_iz00_1555);
									CNST_TABLE_SET(BgL_auxz00_1594, BgL_arg3292z00_1558);
							}}
							{	/* Inline/variant.scm 15 */
								int BgL_auxz00_1561;

								BgL_auxz00_1561 = (int) ((BgL_iz00_1555 - ((long) 1)));
								{
									long BgL_iz00_1599;

									BgL_iz00_1599 = (long) (BgL_auxz00_1561);
									BgL_iz00_1555 = BgL_iz00_1599;
									goto BgL_loopz00_1556;
								}
							}
						}
				}
			}
		}
	}



/* invariant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt BgL_nodez00_1,
		BgL_variablez00_bglt BgL_varz00_2, obj_t BgL_callsz00_3)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 35 */
			{	/* Inline/variant.scm 36 */
				BgL_valuez00_bglt BgL_funz00_735;

				BgL_funz00_735 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_2))->BgL_valuez00);
				{	/* Inline/variant.scm 36 */
					obj_t BgL_argsz00_736;

					{	/* Inline/variant.scm 37 */
						BgL_sfunz00_bglt BgL_obj1654z00_1286;

						BgL_obj1654z00_1286 = (BgL_sfunz00_bglt) (BgL_funz00_735);
						BgL_argsz00_736 =
							(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1286))->BgL_argsz00);
					}
					{	/* Inline/variant.scm 37 */
						obj_t BgL_valsz00_737;

						{	/* Inline/variant.scm 38 */
							BgL_appz00_bglt BgL_obj2026z00_1287;

							BgL_obj2026z00_1287 = (BgL_appz00_bglt) (BgL_nodez00_1);
							BgL_valsz00_737 =
								(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1287))->BgL_argsz00);
						}
						{	/* Inline/variant.scm 38 */

							{
								obj_t BgL_ll3096z00_738;
								obj_t BgL_ll3097z00_739;

								BgL_ll3096z00_738 = BgL_argsz00_736;
								BgL_ll3097z00_739 = BgL_valsz00_737;
							BgL_forzd2each3098zd2_740:
								if (NULLP(BgL_ll3096z00_738))
									{	/* Inline/variant.scm 41 */
										((bool_t) 1);
									}
								else
									{	/* Inline/variant.scm 41 */
										{	/* Inline/variant.scm 42 */
											obj_t BgL_localz00_742;
											obj_t BgL_valz00_743;

											BgL_localz00_742 = CAR(BgL_ll3096z00_738);
											BgL_valz00_743 = CAR(BgL_ll3097z00_739);
											{	/* Inline/variant.scm 42 */
												bool_t BgL_testz00_1610;

												{	/* Inline/variant.scm 42 */
													bool_t BgL_testz00_1611;

													{	/* Inline/variant.scm 42 */
														obj_t BgL_auxz00_1612;

														{	/* Inline/variant.scm 42 */
															BgL_variablez00_bglt BgL_obj1390z00_1291;

															BgL_obj1390z00_1291 =
																(BgL_variablez00_bglt) (BgL_localz00_742);
															BgL_auxz00_1612 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1390z00_1291))->BgL_accessz00);
														}
														BgL_testz00_1611 =
															(BgL_auxz00_1612 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_1611)
														{	/* Inline/variant.scm 43 */
															bool_t BgL__ortest_3082z00_752;

															BgL__ortest_3082z00_752 =
																BGl_iszd2azf3z21zz__objectz00(BgL_valz00_743,
																BGl_atomz00zzast_nodez00);
															if (BgL__ortest_3082z00_752)
																{	/* Inline/variant.scm 43 */
																	BgL_testz00_1610 = BgL__ortest_3082z00_752;
																}
															else
																{	/* Inline/variant.scm 44 */
																	bool_t BgL__ortest_3083z00_753;

																	BgL__ortest_3083z00_753 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_valz00_743, BGl_kwotez00zzast_nodez00);
																	if (BgL__ortest_3083z00_753)
																		{	/* Inline/variant.scm 44 */
																			BgL_testz00_1610 =
																				BgL__ortest_3083z00_753;
																		}
																	else
																		{	/* Inline/variant.scm 44 */
																			if (BGl_iszd2azf3z21zz__objectz00
																				(BgL_valz00_743,
																					BGl_varz00zzast_nodez00))
																				{	/* Inline/variant.scm 46 */
																					obj_t BgL_auxz00_1623;

																					{	/* Inline/variant.scm 46 */
																						BgL_variablez00_bglt
																							BgL_obj1390z00_1296;
																						{	/* Inline/variant.scm 46 */
																							BgL_varz00_bglt
																								BgL_obj1929z00_1295;
																							BgL_obj1929z00_1295 =
																								(BgL_varz00_bglt)
																								(BgL_valz00_743);
																							BgL_obj1390z00_1296 =
																								(((BgL_varz00_bglt)
																									CREF(BgL_obj1929z00_1295))->
																								BgL_variablez00);
																						}
																						BgL_auxz00_1623 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1390z00_1296))->
																							BgL_accessz00);
																					}
																					BgL_testz00_1610 =
																						(BgL_auxz00_1623 ==
																						CNST_TABLE_REF(((long) 0)));
																				}
																			else
																				{	/* Inline/variant.scm 45 */
																					BgL_testz00_1610 = ((bool_t) 0);
																				}
																		}
																}
														}
													else
														{	/* Inline/variant.scm 42 */
															BgL_testz00_1610 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1610)
													{	/* Inline/variant.scm 48 */
														BgL_localz00_bglt BgL_obj3085z00_745;

														BgL_obj3085z00_745 =
															((BgL_localz00_bglt)
															(BgL_localz00_bglt) (BgL_localz00_742));
														{	/* Inline/variant.scm 48 */
															BgL_localzf2variantzf2_bglt BgL_arg3113z00_746;

															{	/* Inline/variant.scm 48 */
																BgL_localzf2variantzf2_bglt BgL_res3270z00_1303;

																{	/* Inline/variant.scm 48 */
																	BgL_localzf2variantzf2_bglt
																		BgL_new3020z00_1298;
																	BgL_new3020z00_1298 =
																		((BgL_localzf2variantzf2_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_localzf2variantzf2_bgl))));
																	{	/* Inline/variant.scm 48 */
																		BgL_localzf2variantzf2_bglt
																			BgL_res3269z00_1302;
																		{	/* Inline/variant.scm 48 */
																			BgL_localzf2variantzf2_bglt
																				BgL_new3036z00_1299;
																			BgL_new3036z00_1299 = BgL_new3020z00_1298;
																			{	/* Inline/variant.scm 48 */
																				bool_t BgL_variant3035z00_1301;

																				BgL_variant3035z00_1301 = ((bool_t) 0);
																				((((BgL_localzf2variantzf2_bglt)
																							CREF(BgL_new3036z00_1299))->
																						BgL_variantz00) =
																					((bool_t) BgL_variant3035z00_1301),
																					BUNSPEC);
																				BgL_res3269z00_1302 =
																					BgL_new3036z00_1299;
																		}} BgL_res3269z00_1302;
																	}
																	BgL_res3270z00_1303 = BgL_new3020z00_1298;
																}
																BgL_arg3113z00_746 = BgL_res3270z00_1303;
															}
															{	/* Inline/variant.scm 48 */
																obj_t BgL_auxz00_1635;
																BgL_objectz00_bglt BgL_auxz00_1633;

																BgL_auxz00_1635 = (obj_t) (BgL_arg3113z00_746);
																BgL_auxz00_1633 =
																	(BgL_objectz00_bglt) (BgL_obj3085z00_745);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_1633,
																	BgL_auxz00_1635);
														}}
														{	/* Inline/variant.scm 48 */
															long BgL_arg3114z00_747;

															BgL_arg3114z00_747 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_localzf2variantzf2zzinline_variantz00);
															{	/* Inline/variant.scm 48 */
																BgL_objectz00_bglt BgL_objz00_1304;

																BgL_objz00_1304 =
																	(BgL_objectz00_bglt) (BgL_obj3085z00_745);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1304,
																	BgL_arg3114z00_747);
														}} BgL_obj3085z00_745;
													}
												else
													{	/* Inline/variant.scm 49 */
														BgL_localz00_bglt BgL_obj3086z00_748;

														BgL_obj3086z00_748 =
															((BgL_localz00_bglt)
															(BgL_localz00_bglt) (BgL_localz00_742));
														{	/* Inline/variant.scm 49 */
															BgL_localzf2variantzf2_bglt BgL_arg3115z00_749;

															{	/* Inline/variant.scm 49 */
																BgL_localzf2variantzf2_bglt BgL_res3272z00_1312;

																{	/* Inline/variant.scm 49 */
																	BgL_localzf2variantzf2_bglt
																		BgL_new3020z00_1307;
																	BgL_new3020z00_1307 =
																		((BgL_localzf2variantzf2_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_localzf2variantzf2_bgl))));
																	{	/* Inline/variant.scm 49 */
																		BgL_localzf2variantzf2_bglt
																			BgL_res3271z00_1311;
																		{	/* Inline/variant.scm 49 */
																			BgL_localzf2variantzf2_bglt
																				BgL_new3036z00_1308;
																			BgL_new3036z00_1308 = BgL_new3020z00_1307;
																			{	/* Inline/variant.scm 49 */
																				bool_t BgL_variant3035z00_1310;

																				BgL_variant3035z00_1310 = ((bool_t) 1);
																				((((BgL_localzf2variantzf2_bglt)
																							CREF(BgL_new3036z00_1308))->
																						BgL_variantz00) =
																					((bool_t) BgL_variant3035z00_1310),
																					BUNSPEC);
																				BgL_res3271z00_1311 =
																					BgL_new3036z00_1308;
																		}} BgL_res3271z00_1311;
																	}
																	BgL_res3272z00_1312 = BgL_new3020z00_1307;
																}
																BgL_arg3115z00_749 = BgL_res3272z00_1312;
															}
															{	/* Inline/variant.scm 49 */
																obj_t BgL_auxz00_1647;
																BgL_objectz00_bglt BgL_auxz00_1645;

																BgL_auxz00_1647 = (obj_t) (BgL_arg3115z00_749);
																BgL_auxz00_1645 =
																	(BgL_objectz00_bglt) (BgL_obj3086z00_748);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_1645,
																	BgL_auxz00_1647);
														}}
														{	/* Inline/variant.scm 49 */
															long BgL_arg3116z00_750;

															BgL_arg3116z00_750 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_localzf2variantzf2zzinline_variantz00);
															{	/* Inline/variant.scm 49 */
																BgL_objectz00_bglt BgL_objz00_1313;

																BgL_objz00_1313 =
																	(BgL_objectz00_bglt) (BgL_obj3086z00_748);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1313,
																	BgL_arg3116z00_750);
														}} BgL_obj3086z00_748;
										}}}
										{
											obj_t BgL_ll3097z00_1655;
											obj_t BgL_ll3096z00_1653;

											BgL_ll3096z00_1653 = CDR(BgL_ll3096z00_738);
											BgL_ll3097z00_1655 = CDR(BgL_ll3097z00_739);
											BgL_ll3097z00_739 = BgL_ll3097z00_1655;
											BgL_ll3096z00_738 = BgL_ll3096z00_1653;
											goto BgL_forzd2each3098zd2_740;
										}
									}
							}
							{
								obj_t BgL_l3101z00_762;

								BgL_l3101z00_762 = BgL_callsz00_3;
							BgL_forzd2each3103zd2_763:
								if (PAIRP(BgL_l3101z00_762))
									{	/* Inline/variant.scm 52 */
										{	/* Inline/variant.scm 53 */
											BgL_appz00_bglt BgL_appz00_765;

											{	/* Inline/variant.scm 53 */
												obj_t BgL_pairz00_1318;

												BgL_pairz00_1318 = BgL_l3101z00_762;
												{	/* Inline/variant.scm 53 */
													obj_t BgL_auxz00_1659;

													BgL_auxz00_1659 = CAR(BgL_pairz00_1318);
													BgL_appz00_765 = (BgL_appz00_bglt) (BgL_auxz00_1659);
												}
											}
											{	/* Inline/variant.scm 53 */
												obj_t BgL_g3087z00_766;

												BgL_g3087z00_766 =
													(((BgL_appz00_bglt) CREF(BgL_appz00_765))->
													BgL_argsz00);
												{
													obj_t BgL_actualsz00_767;
													obj_t BgL_argsz00_768;

													BgL_actualsz00_767 = BgL_g3087z00_766;
													BgL_argsz00_768 = BgL_argsz00_736;
												BgL_loopz00_769:
													if (NULLP(BgL_argsz00_768))
														{	/* Inline/variant.scm 56 */
															CNST_TABLE_REF(((long) 1));
														}
													else
														{	/* Inline/variant.scm 56 */
															if (NULLP(BgL_actualsz00_767))
																{
																	obj_t BgL_l3099z00_772;

																	{	/* Inline/variant.scm 59 */
																		bool_t BgL_auxz00_1668;

																		BgL_l3099z00_772 = BgL_argsz00_768;
																	BgL_forzd2each3100zd2_773:
																		if (PAIRP(BgL_l3099z00_772))
																			{	/* Inline/variant.scm 59 */
																				{	/* Inline/variant.scm 60 */
																					obj_t BgL_localz00_775;

																					BgL_localz00_775 =
																						CAR(BgL_l3099z00_772);
																					{	/* Inline/variant.scm 60 */
																						BgL_localzf2variantzf2_bglt
																							BgL_obj3050z00_1324;
																						bool_t BgL_val3048z00_1325;

																						BgL_obj3050z00_1324 =
																							(BgL_localzf2variantzf2_bglt)
																							(BgL_localz00_775);
																						BgL_val3048z00_1325 = ((bool_t) 1);
																						{
																							obj_t BgL_auxz00_1673;

																							{	/* Inline/variant.scm 60 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1674;
																								BgL_auxz00_1674 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3050z00_1324);
																								BgL_auxz00_1673 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1674);
																							}
																							((((BgL_localzf2variantzf2_bglt)
																										CREF(BgL_auxz00_1673))->
																									BgL_variantz00) =
																								((bool_t) BgL_val3048z00_1325),
																								BUNSPEC);
																						}
																					}
																				}
																				{
																					obj_t BgL_l3099z00_1678;

																					BgL_l3099z00_1678 =
																						CDR(BgL_l3099z00_772);
																					BgL_l3099z00_772 = BgL_l3099z00_1678;
																					goto BgL_forzd2each3100zd2_773;
																				}
																			}
																		else
																			{	/* Inline/variant.scm 59 */
																				BgL_auxz00_1668 = ((bool_t) 1);
																			}
																		BBOOL(BgL_auxz00_1668);
																	}
																}
															else
																{	/* Inline/variant.scm 62 */
																	bool_t BgL_testz00_1681;

																	{	/* Inline/variant.scm 62 */
																		bool_t BgL_testz00_1682;

																		{	/* Inline/variant.scm 62 */
																			obj_t BgL_arg3140z00_787;

																			BgL_arg3140z00_787 =
																				CAR(BgL_actualsz00_767);
																			BgL_testz00_1682 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_arg3140z00_787,
																				BGl_varz00zzast_nodez00);
																		}
																		if (BgL_testz00_1682)
																			{	/* Inline/variant.scm 63 */
																				obj_t BgL_auxz00_1685;

																				{	/* Inline/variant.scm 63 */
																					BgL_variablez00_bglt BgL_auxz00_1686;

																					{	/* Inline/variant.scm 63 */
																						BgL_varz00_bglt BgL_obj1929z00_1330;

																						{	/* Inline/variant.scm 63 */
																							obj_t BgL_pairz00_1329;

																							BgL_pairz00_1329 =
																								BgL_actualsz00_767;
																							{	/* Inline/variant.scm 63 */
																								obj_t BgL_auxz00_1687;

																								BgL_auxz00_1687 =
																									CAR(BgL_pairz00_1329);
																								BgL_obj1929z00_1330 =
																									(BgL_varz00_bglt)
																									(BgL_auxz00_1687);
																							}
																						}
																						BgL_auxz00_1686 =
																							(((BgL_varz00_bglt)
																								CREF(BgL_obj1929z00_1330))->
																							BgL_variablez00);
																					}
																					BgL_auxz00_1685 =
																						(obj_t) (BgL_auxz00_1686);
																				}
																				BgL_testz00_1681 =
																					(BgL_auxz00_1685 ==
																					CAR(BgL_argsz00_768));
																			}
																		else
																			{	/* Inline/variant.scm 62 */
																				BgL_testz00_1681 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_1681)
																		{
																			obj_t BgL_argsz00_1696;
																			obj_t BgL_actualsz00_1694;

																			BgL_actualsz00_1694 =
																				CDR(BgL_actualsz00_767);
																			BgL_argsz00_1696 = CDR(BgL_argsz00_768);
																			BgL_argsz00_768 = BgL_argsz00_1696;
																			BgL_actualsz00_767 = BgL_actualsz00_1694;
																			goto BgL_loopz00_769;
																		}
																	else
																		{	/* Inline/variant.scm 62 */
																			{	/* Inline/variant.scm 66 */
																				obj_t BgL_arg3133z00_780;

																				BgL_arg3133z00_780 =
																					CAR(BgL_argsz00_768);
																				{	/* Inline/variant.scm 66 */
																					BgL_localzf2variantzf2_bglt
																						BgL_obj3050z00_1335;
																					bool_t BgL_val3048z00_1336;

																					BgL_obj3050z00_1335 =
																						(BgL_localzf2variantzf2_bglt)
																						(BgL_arg3133z00_780);
																					BgL_val3048z00_1336 = ((bool_t) 1);
																					{
																						obj_t BgL_auxz00_1700;

																						{	/* Inline/variant.scm 66 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1701;
																							BgL_auxz00_1701 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3050z00_1335);
																							BgL_auxz00_1700 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1701);
																						}
																						((((BgL_localzf2variantzf2_bglt)
																									CREF(BgL_auxz00_1700))->
																								BgL_variantz00) =
																							((bool_t) BgL_val3048z00_1336),
																							BUNSPEC);
																					}
																				}
																			}
																			{
																				obj_t BgL_argsz00_1707;
																				obj_t BgL_actualsz00_1705;

																				BgL_actualsz00_1705 =
																					CDR(BgL_actualsz00_767);
																				BgL_argsz00_1707 = CDR(BgL_argsz00_768);
																				BgL_argsz00_768 = BgL_argsz00_1707;
																				BgL_actualsz00_767 =
																					BgL_actualsz00_1705;
																				goto BgL_loopz00_769;
																			}
																		}
																}
														}
												}
											}
										}
										{
											obj_t BgL_l3101z00_1709;

											BgL_l3101z00_1709 = CDR(BgL_l3101z00_762);
											BgL_l3101z00_762 = BgL_l3101z00_1709;
											goto BgL_forzd2each3103zd2_763;
										}
									}
								else
									{	/* Inline/variant.scm 52 */
										((bool_t) 1);
									}
							}
							{
								obj_t BgL_argsz00_790;
								obj_t BgL_invariantz00_791;

								BgL_argsz00_790 = BgL_argsz00_736;
								BgL_invariantz00_791 = BNIL;
							BgL_loopz00_792:
								if (NULLP(BgL_argsz00_790))
									{	/* Inline/variant.scm 72 */
										return bgl_reverse_bang(BgL_invariantz00_791);
									}
								else
									{	/* Inline/variant.scm 74 */
										obj_t BgL_arg3143z00_794;
										obj_t BgL_arg3144z00_795;

										BgL_arg3143z00_794 = CDR(BgL_argsz00_790);
										{	/* Inline/variant.scm 75 */
											bool_t BgL_testz00_1715;

											{	/* Inline/variant.scm 75 */
												BgL_localzf2variantzf2_bglt BgL_obj3047z00_1343;

												{	/* Inline/variant.scm 75 */
													obj_t BgL_pairz00_1342;

													BgL_pairz00_1342 = BgL_argsz00_790;
													{	/* Inline/variant.scm 75 */
														obj_t BgL_auxz00_1716;

														BgL_auxz00_1716 = CAR(BgL_pairz00_1342);
														BgL_obj3047z00_1343 =
															(BgL_localzf2variantzf2_bglt) (BgL_auxz00_1716);
													}
												}
												{
													obj_t BgL_auxz00_1719;

													{	/* Inline/variant.scm 75 */
														BgL_objectz00_bglt BgL_auxz00_1720;

														BgL_auxz00_1720 =
															(BgL_objectz00_bglt) (BgL_obj3047z00_1343);
														BgL_auxz00_1719 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1720);
													}
													BgL_testz00_1715 =
														(((BgL_localzf2variantzf2_bglt)
															CREF(BgL_auxz00_1719))->BgL_variantz00);
												}
											}
											if (BgL_testz00_1715)
												{	/* Inline/variant.scm 75 */
													BgL_arg3144z00_795 = BgL_invariantz00_791;
												}
											else
												{	/* Inline/variant.scm 75 */
													BgL_arg3144z00_795 =
														MAKE_PAIR(CAR(BgL_argsz00_790),
														BgL_invariantz00_791);
												}
										}
										{
											obj_t BgL_invariantz00_1727;
											obj_t BgL_argsz00_1726;

											BgL_argsz00_1726 = BgL_arg3143z00_794;
											BgL_invariantz00_1727 = BgL_arg3144z00_795;
											BgL_invariantz00_791 = BgL_invariantz00_1727;
											BgL_argsz00_790 = BgL_argsz00_1726;
											goto BgL_loopz00_792;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* _invariant-args */
	obj_t BGl__invariantzd2argszd2zzinline_variantz00(obj_t BgL_envz00_1507,
		obj_t BgL_nodez00_1508, obj_t BgL_varz00_1509, obj_t BgL_callsz00_1510)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 35 */
			return
				BGl_invariantzd2argszd2zzinline_variantz00(
				(BgL_nodez00_bglt) (BgL_nodez00_1508),
				(BgL_variablez00_bglt) (BgL_varz00_1509), BgL_callsz00_1510);
		}
	}



/* variant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 84 */
			{	/* Inline/variant.scm 85 */
				BgL_valuez00_bglt BgL_funz00_799;

				BgL_funz00_799 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Inline/variant.scm 85 */
					obj_t BgL_argsz00_800;

					{	/* Inline/variant.scm 86 */
						BgL_sfunz00_bglt BgL_obj1654z00_1346;

						BgL_obj1654z00_1346 = (BgL_sfunz00_bglt) (BgL_funz00_799);
						BgL_argsz00_800 =
							(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1346))->BgL_argsz00);
					}
					{	/* Inline/variant.scm 86 */

						{
							obj_t BgL_argsz00_802;
							obj_t BgL_variantz00_803;

							BgL_argsz00_802 = BgL_argsz00_800;
							BgL_variantz00_803 = BNIL;
						BgL_loopz00_804:
							if (NULLP(BgL_argsz00_802))
								{	/* Inline/variant.scm 89 */
									return bgl_reverse_bang(BgL_variantz00_803);
								}
							else
								{	/* Inline/variant.scm 91 */
									obj_t BgL_arg3149z00_806;
									obj_t BgL_arg3150z00_807;

									BgL_arg3149z00_806 = CDR(BgL_argsz00_802);
									{	/* Inline/variant.scm 92 */
										bool_t BgL_testz00_1738;

										{	/* Inline/variant.scm 92 */
											BgL_localzf2variantzf2_bglt BgL_obj3047z00_1350;

											{	/* Inline/variant.scm 92 */
												obj_t BgL_pairz00_1349;

												BgL_pairz00_1349 = BgL_argsz00_802;
												{	/* Inline/variant.scm 92 */
													obj_t BgL_auxz00_1739;

													BgL_auxz00_1739 = CAR(BgL_pairz00_1349);
													BgL_obj3047z00_1350 =
														(BgL_localzf2variantzf2_bglt) (BgL_auxz00_1739);
												}
											}
											{
												obj_t BgL_auxz00_1742;

												{	/* Inline/variant.scm 92 */
													BgL_objectz00_bglt BgL_auxz00_1743;

													BgL_auxz00_1743 =
														(BgL_objectz00_bglt) (BgL_obj3047z00_1350);
													BgL_auxz00_1742 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1743);
												}
												BgL_testz00_1738 =
													(((BgL_localzf2variantzf2_bglt)
														CREF(BgL_auxz00_1742))->BgL_variantz00);
											}
										}
										if (BgL_testz00_1738)
											{	/* Inline/variant.scm 92 */
												BgL_arg3150z00_807 =
													MAKE_PAIR(CAR(BgL_argsz00_802), BgL_variantz00_803);
											}
										else
											{	/* Inline/variant.scm 92 */
												BgL_arg3150z00_807 = BgL_variantz00_803;
											}
									}
									{
										obj_t BgL_variantz00_1750;
										obj_t BgL_argsz00_1749;

										BgL_argsz00_1749 = BgL_arg3149z00_806;
										BgL_variantz00_1750 = BgL_arg3150z00_807;
										BgL_variantz00_803 = BgL_variantz00_1750;
										BgL_argsz00_802 = BgL_argsz00_1749;
										goto BgL_loopz00_804;
									}
								}
						}
					}
				}
			}
		}
	}



/* _variant-args */
	obj_t BGl__variantzd2argszd2zzinline_variantz00(obj_t BgL_envz00_1511,
		obj_t BgL_varz00_1512)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 84 */
			return
				BGl_variantzd2argszd2zzinline_variantz00(
				(BgL_variablez00_bglt) (BgL_varz00_1512));
		}
	}



/* substitutions */
	BGL_EXPORTED_DEF obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_5,
		obj_t BgL_actualsz00_6, obj_t BgL_varzd2argszd2_7)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 99 */
			{	/* Inline/variant.scm 100 */
				BgL_valuez00_bglt BgL_funz00_811;

				BgL_funz00_811 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_5))->BgL_valuez00);
				{	/* Inline/variant.scm 100 */
					obj_t BgL_allzd2argszd2_812;

					{	/* Inline/variant.scm 101 */
						BgL_sfunz00_bglt BgL_obj1654z00_1353;

						BgL_obj1654z00_1353 = (BgL_sfunz00_bglt) (BgL_funz00_811);
						BgL_allzd2argszd2_812 =
							(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1353))->BgL_argsz00);
					}
					{	/* Inline/variant.scm 101 */

						{
							obj_t BgL_actualsz00_814;
							obj_t BgL_allzd2argszd2_815;
							obj_t BgL_varzd2argszd2_816;
							obj_t BgL_substitutionsz00_817;

							BgL_actualsz00_814 = BgL_actualsz00_6;
							BgL_allzd2argszd2_815 = BgL_allzd2argszd2_812;
							BgL_varzd2argszd2_816 = BgL_varzd2argszd2_7;
							BgL_substitutionsz00_817 = BNIL;
						BgL_loopz00_818:
							if (NULLP(BgL_allzd2argszd2_815))
								{	/* Inline/variant.scm 107 */
									return bgl_reverse_bang(BgL_substitutionsz00_817);
								}
							else
								{	/* Inline/variant.scm 109 */
									bool_t BgL_testz00_1759;

									{	/* Inline/variant.scm 109 */
										BgL_localzf2variantzf2_bglt BgL_obj3047z00_1356;

										{	/* Inline/variant.scm 109 */
											obj_t BgL_pairz00_1355;

											BgL_pairz00_1355 = BgL_allzd2argszd2_815;
											{	/* Inline/variant.scm 109 */
												obj_t BgL_auxz00_1760;

												BgL_auxz00_1760 = CAR(BgL_pairz00_1355);
												BgL_obj3047z00_1356 =
													(BgL_localzf2variantzf2_bglt) (BgL_auxz00_1760);
											}
										}
										{
											obj_t BgL_auxz00_1763;

											{	/* Inline/variant.scm 109 */
												BgL_objectz00_bglt BgL_auxz00_1764;

												BgL_auxz00_1764 =
													(BgL_objectz00_bglt) (BgL_obj3047z00_1356);
												BgL_auxz00_1763 = BGL_OBJECT_WIDENING(BgL_auxz00_1764);
											}
											BgL_testz00_1759 =
												(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_1763))->
												BgL_variantz00);
										}
									}
									if (BgL_testz00_1759)
										{	/* Inline/variant.scm 110 */
											obj_t BgL_arg3156z00_821;
											obj_t BgL_arg3157z00_822;
											obj_t BgL_arg3158z00_823;
											obj_t BgL_arg3159z00_824;

											BgL_arg3156z00_821 = CDR(BgL_actualsz00_814);
											BgL_arg3157z00_822 = CDR(BgL_allzd2argszd2_815);
											BgL_arg3158z00_823 = CDR(BgL_varzd2argszd2_816);
											BgL_arg3159z00_824 =
												MAKE_PAIR(CAR(BgL_varzd2argszd2_816),
												BgL_substitutionsz00_817);
											{
												obj_t BgL_substitutionsz00_1776;
												obj_t BgL_varzd2argszd2_1775;
												obj_t BgL_allzd2argszd2_1774;
												obj_t BgL_actualsz00_1773;

												BgL_actualsz00_1773 = BgL_arg3156z00_821;
												BgL_allzd2argszd2_1774 = BgL_arg3157z00_822;
												BgL_varzd2argszd2_1775 = BgL_arg3158z00_823;
												BgL_substitutionsz00_1776 = BgL_arg3159z00_824;
												BgL_substitutionsz00_817 = BgL_substitutionsz00_1776;
												BgL_varzd2argszd2_816 = BgL_varzd2argszd2_1775;
												BgL_allzd2argszd2_815 = BgL_allzd2argszd2_1774;
												BgL_actualsz00_814 = BgL_actualsz00_1773;
												goto BgL_loopz00_818;
											}
										}
									else
										{	/* Inline/variant.scm 115 */
											obj_t BgL_arg3161z00_826;
											obj_t BgL_arg3162z00_827;
											obj_t BgL_arg3163z00_828;

											BgL_arg3161z00_826 = CDR(BgL_actualsz00_814);
											BgL_arg3162z00_827 = CDR(BgL_allzd2argszd2_815);
											{	/* Inline/variant.scm 118 */
												obj_t BgL_arg3164z00_829;

												{	/* Inline/variant.scm 118 */
													bool_t BgL_testz00_1779;

													{	/* Inline/variant.scm 118 */
														obj_t BgL_arg3167z00_832;

														BgL_arg3167z00_832 = CAR(BgL_actualsz00_814);
														BgL_testz00_1779 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3167z00_832,
															BGl_varz00zzast_nodez00);
													}
													if (BgL_testz00_1779)
														{	/* Inline/variant.scm 119 */
															BgL_varz00_bglt BgL_obj1929z00_1366;

															{	/* Inline/variant.scm 119 */
																obj_t BgL_pairz00_1365;

																BgL_pairz00_1365 = BgL_actualsz00_814;
																{	/* Inline/variant.scm 119 */
																	obj_t BgL_auxz00_1782;

																	BgL_auxz00_1782 = CAR(BgL_pairz00_1365);
																	BgL_obj1929z00_1366 =
																		(BgL_varz00_bglt) (BgL_auxz00_1782);
																}
															}
															{	/* Inline/variant.scm 119 */
																BgL_variablez00_bglt BgL_auxz00_1785;

																BgL_auxz00_1785 =
																	(((BgL_varz00_bglt)
																		CREF(BgL_obj1929z00_1366))->
																	BgL_variablez00);
																BgL_arg3164z00_829 = (obj_t) (BgL_auxz00_1785);
															}
														}
													else
														{	/* Inline/variant.scm 118 */
															BgL_arg3164z00_829 = CAR(BgL_actualsz00_814);
														}
												}
												BgL_arg3163z00_828 =
													MAKE_PAIR(BgL_arg3164z00_829,
													BgL_substitutionsz00_817);
											}
											{
												obj_t BgL_substitutionsz00_1792;
												obj_t BgL_allzd2argszd2_1791;
												obj_t BgL_actualsz00_1790;

												BgL_actualsz00_1790 = BgL_arg3161z00_826;
												BgL_allzd2argszd2_1791 = BgL_arg3162z00_827;
												BgL_substitutionsz00_1792 = BgL_arg3163z00_828;
												BgL_substitutionsz00_817 = BgL_substitutionsz00_1792;
												BgL_allzd2argszd2_815 = BgL_allzd2argszd2_1791;
												BgL_actualsz00_814 = BgL_actualsz00_1790;
												goto BgL_loopz00_818;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* _substitutions */
	obj_t BGl__substitutionsz00zzinline_variantz00(obj_t BgL_envz00_1513,
		obj_t BgL_varz00_1514, obj_t BgL_actualsz00_1515,
		obj_t BgL_varzd2argszd2_1516)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 99 */
			return
				BGl_substitutionsz00zzinline_variantz00(
				(BgL_variablez00_bglt) (BgL_varz00_1514), BgL_actualsz00_1515,
				BgL_varzd2argszd2_1516);
		}
	}



/* shrink-args! */
	BGL_EXPORTED_DEF obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt
		BgL_varz00_8)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 126 */
			{	/* Inline/variant.scm 127 */
				BgL_valuez00_bglt BgL_funz00_834;

				BgL_funz00_834 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_8))->BgL_valuez00);
				{	/* Inline/variant.scm 127 */
					obj_t BgL_argsz00_835;

					{	/* Inline/variant.scm 128 */
						BgL_sfunz00_bglt BgL_obj1654z00_1369;

						BgL_obj1654z00_1369 = (BgL_sfunz00_bglt) (BgL_funz00_834);
						BgL_argsz00_835 =
							(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1369))->BgL_argsz00);
					}
					{	/* Inline/variant.scm 128 */

						{
							obj_t BgL_l3104z00_836;

							{	/* Inline/variant.scm 129 */
								bool_t BgL_auxz00_1798;

								BgL_l3104z00_836 = BgL_argsz00_835;
							BgL_forzd2each3105zd2_837:
								if (PAIRP(BgL_l3104z00_836))
									{	/* Inline/variant.scm 129 */
										{	/* Inline/variant.scm 129 */
											obj_t BgL_az00_839;

											BgL_az00_839 = CAR(BgL_l3104z00_836);
											{	/* Inline/variant.scm 129 */
												bool_t BgL_testz00_1802;

												{	/* Inline/variant.scm 129 */
													bool_t BgL_testz00_1803;

													{	/* Inline/variant.scm 129 */
														obj_t BgL_auxz00_1804;

														{	/* Inline/variant.scm 129 */
															BgL_objectz00_bglt BgL_auxz00_1805;

															BgL_auxz00_1805 =
																(BgL_objectz00_bglt) (BgL_az00_839);
															BgL_auxz00_1804 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1805);
														}
														BgL_testz00_1803 = CBOOL(BgL_auxz00_1804);
													}
													if (BgL_testz00_1803)
														{	/* Inline/variant.scm 129 */
															BgL_testz00_1802 = ((bool_t) 1);
														}
													else
														{	/* Inline/variant.scm 129 */
															BgL_testz00_1802 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1802)
													{	/* Inline/variant.scm 129 */
														{	/* Inline/variant.scm 129 */
															long BgL_arg3172z00_842;

															{	/* Inline/variant.scm 129 */
																obj_t BgL_arg3175z00_843;

																{	/* Inline/variant.scm 129 */
																	obj_t BgL_arg3176z00_844;

																	{	/* Inline/variant.scm 129 */
																		BgL_objectz00_bglt BgL_objectz00_1375;

																		BgL_objectz00_1375 =
																			(BgL_objectz00_bglt) (BgL_az00_839);
																		{	/* Inline/variant.scm 129 */
																			long BgL_arg2252z00_1376;

																			{	/* Inline/variant.scm 129 */
																				long BgL_arg2253z00_1377;

																				BgL_arg2253z00_1377 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objectz00_1375);
																				BgL_arg2252z00_1376 =
																					(BgL_arg2253z00_1377 - OBJECT_TYPE);
																			}
																			BgL_arg3176z00_844 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				(int) (BgL_arg2252z00_1376));
																	}}
																	BgL_arg3175z00_843 =
																		BGl_classzd2superzd2zz__objectz00
																		(BgL_arg3176z00_844);
																}
																BgL_arg3172z00_842 =
																	BGl_classzd2numzd2zz__objectz00
																	(BgL_arg3175z00_843);
															}
															{	/* Inline/variant.scm 129 */
																BgL_objectz00_bglt BgL_objz00_1383;

																BgL_objz00_1383 =
																	(BgL_objectz00_bglt) (BgL_az00_839);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1383,
																	BgL_arg3172z00_842);
														}}
														{	/* Inline/variant.scm 129 */
															BgL_objectz00_bglt BgL_auxz00_1818;

															BgL_auxz00_1818 =
																(BgL_objectz00_bglt) (BgL_az00_839);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_1818, BFALSE);
														} BgL_az00_839;
													}
												else
													{	/* Inline/variant.scm 129 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l3104z00_1821;

											BgL_l3104z00_1821 = CDR(BgL_l3104z00_836);
											BgL_l3104z00_836 = BgL_l3104z00_1821;
											goto BgL_forzd2each3105zd2_837;
										}
									}
								else
									{	/* Inline/variant.scm 129 */
										BgL_auxz00_1798 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1798);
							}
						}
					}
				}
			}
		}
	}



/* _shrink-args! */
	obj_t BGl__shrinkzd2argsz12zc0zzinline_variantz00(obj_t BgL_envz00_1517,
		obj_t BgL_varz00_1518)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 126 */
			return
				BGl_shrinkzd2argsz12zc0zzinline_variantz00(
				(BgL_variablez00_bglt) (BgL_varz00_1518));
		}
	}



/* remove-invariant-args! */
	BGL_EXPORTED_DEF BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt
		BgL_appz00_9)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 140 */
			{	/* Inline/variant.scm 142 */
				obj_t BgL_g3094z00_847;

				{	/* Inline/variant.scm 142 */
					BgL_sfunz00_bglt BgL_obj1654z00_1389;

					{	/* Inline/variant.scm 142 */
						BgL_valuez00_bglt BgL_auxz00_1826;

						{	/* Inline/variant.scm 142 */
							BgL_variablez00_bglt BgL_arg3193z00_868;

							{	/* Inline/variant.scm 142 */
								BgL_varz00_bglt BgL_obj1929z00_1387;

								BgL_obj1929z00_1387 =
									(((BgL_appz00_bglt) CREF(BgL_appz00_9))->BgL_funz00);
								BgL_arg3193z00_868 =
									(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1387))->
									BgL_variablez00);
							}
							BgL_auxz00_1826 =
								(((BgL_variablez00_bglt) CREF(BgL_arg3193z00_868))->
								BgL_valuez00);
						}
						BgL_obj1654z00_1389 = (BgL_sfunz00_bglt) (BgL_auxz00_1826);
					}
					BgL_g3094z00_847 =
						(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1389))->BgL_argsz00);
				}
				{
					obj_t BgL_formalsz00_849;
					obj_t BgL_oldzd2argszd2_850;
					obj_t BgL_newzd2argszd2_851;

					{	/* Inline/variant.scm 142 */
						obj_t BgL_arg3178z00_853;

						BgL_arg3178z00_853 =
							(((BgL_appz00_bglt) CREF(BgL_appz00_9))->BgL_argsz00);
						BgL_formalsz00_849 = BgL_g3094z00_847;
						BgL_oldzd2argszd2_850 = BgL_arg3178z00_853;
						BgL_newzd2argszd2_851 = BNIL;
					BgL_loopz00_852:
						if (NULLP(BgL_oldzd2argszd2_850))
							{	/* Inline/variant.scm 146 */
								{
									obj_t BgL_auxz00_1835;

									BgL_auxz00_1835 = bgl_reverse_bang(BgL_newzd2argszd2_851);
									((((BgL_appz00_bglt) CREF(BgL_appz00_9))->BgL_argsz00) =
										((obj_t) BgL_auxz00_1835), BUNSPEC);
								}
								return BgL_appz00_9;
							}
						else
							{	/* Inline/variant.scm 149 */
								bool_t BgL_testz00_1838;

								{	/* Inline/variant.scm 149 */
									bool_t BgL_testz00_1839;

									{	/* Inline/variant.scm 149 */
										obj_t BgL_arg3191z00_866;

										BgL_arg3191z00_866 = CAR(BgL_formalsz00_849);
										BgL_testz00_1839 =
											BGl_iszd2azf3z21zz__objectz00(BgL_arg3191z00_866,
											BGl_localzf2variantzf2zzinline_variantz00);
									}
									if (BgL_testz00_1839)
										{	/* Inline/variant.scm 150 */
											bool_t BgL_testz00_1842;

											{	/* Inline/variant.scm 150 */
												BgL_localzf2variantzf2_bglt BgL_obj3047z00_1397;

												{	/* Inline/variant.scm 150 */
													obj_t BgL_pairz00_1396;

													BgL_pairz00_1396 = BgL_formalsz00_849;
													{	/* Inline/variant.scm 150 */
														obj_t BgL_auxz00_1843;

														BgL_auxz00_1843 = CAR(BgL_pairz00_1396);
														BgL_obj3047z00_1397 =
															(BgL_localzf2variantzf2_bglt) (BgL_auxz00_1843);
													}
												}
												{
													obj_t BgL_auxz00_1846;

													{	/* Inline/variant.scm 150 */
														BgL_objectz00_bglt BgL_auxz00_1847;

														BgL_auxz00_1847 =
															(BgL_objectz00_bglt) (BgL_obj3047z00_1397);
														BgL_auxz00_1846 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1847);
													}
													BgL_testz00_1842 =
														(((BgL_localzf2variantzf2_bglt)
															CREF(BgL_auxz00_1846))->BgL_variantz00);
												}
											}
											if (BgL_testz00_1842)
												{	/* Inline/variant.scm 150 */
													BgL_testz00_1838 = ((bool_t) 0);
												}
											else
												{	/* Inline/variant.scm 150 */
													BgL_testz00_1838 = ((bool_t) 1);
												}
										}
									else
										{	/* Inline/variant.scm 149 */
											BgL_testz00_1838 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_1838)
									{
										obj_t BgL_oldzd2argszd2_1853;
										obj_t BgL_formalsz00_1851;

										BgL_formalsz00_1851 = CDR(BgL_formalsz00_849);
										BgL_oldzd2argszd2_1853 = CDR(BgL_oldzd2argszd2_850);
										BgL_oldzd2argszd2_850 = BgL_oldzd2argszd2_1853;
										BgL_formalsz00_849 = BgL_formalsz00_1851;
										goto BgL_loopz00_852;
									}
								else
									{	/* Inline/variant.scm 155 */
										obj_t BgL_arg3184z00_859;
										obj_t BgL_arg3185z00_860;
										obj_t BgL_arg3186z00_861;

										BgL_arg3184z00_859 = CDR(BgL_formalsz00_849);
										BgL_arg3185z00_860 = CDR(BgL_oldzd2argszd2_850);
										BgL_arg3186z00_861 =
											MAKE_PAIR(CAR(BgL_oldzd2argszd2_850),
											BgL_newzd2argszd2_851);
										{
											obj_t BgL_newzd2argszd2_1861;
											obj_t BgL_oldzd2argszd2_1860;
											obj_t BgL_formalsz00_1859;

											BgL_formalsz00_1859 = BgL_arg3184z00_859;
											BgL_oldzd2argszd2_1860 = BgL_arg3185z00_860;
											BgL_newzd2argszd2_1861 = BgL_arg3186z00_861;
											BgL_newzd2argszd2_851 = BgL_newzd2argszd2_1861;
											BgL_oldzd2argszd2_850 = BgL_oldzd2argszd2_1860;
											BgL_formalsz00_849 = BgL_formalsz00_1859;
											goto BgL_loopz00_852;
										}
									}
							}
					}
				}
			}
		}
	}



/* _remove-invariant-args! */
	obj_t BGl__removezd2invariantzd2argsz12z12zzinline_variantz00(obj_t
		BgL_envz00_1519, obj_t BgL_appz00_1520)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 140 */
			{	/* Inline/variant.scm 141 */
				BgL_appz00_bglt BgL_auxz00_1862;

				BgL_auxz00_1862 =
					BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
					(BgL_appz00_bglt) (BgL_appz00_1520));
				return (obj_t) (BgL_auxz00_1862);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 21 */
				obj_t BgL_arg3195z00_870;
				obj_t BgL_arg3196z00_871;
				obj_t BgL_arg3199z00_874;

				BgL_arg3195z00_870 = CNST_TABLE_REF(((long) 2));
				BgL_arg3196z00_871 = BGl_localz00zzast_varz00;
				{	/* Inline/variant.scm 21 */
					obj_t BgL_v3106z00_875;

					BgL_v3106z00_875 = create_vector((int) (((long) 0)));
					BgL_arg3199z00_874 = BgL_v3106z00_875;
				}
				BGl_localzf2variantzf2zzinline_variantz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3195z00_870,
					BgL_arg3196z00_871, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2localzf2variantzd2envza0zzinline_variantz00,
					BGl_localzf2variantzd2nilzd2envzf2zzinline_variantz00,
					BGl_localzf2variantzf3zd2envzd3zzinline_variantz00,
					((long) 448785462), BFALSE, BFALSE, BgL_arg3199z00_874);
			}
			return (BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* local/variant? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t
		BgL_obj3046z00_10)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3046z00_10,
				BGl_localzf2variantzf2zzinline_variantz00);
		}
	}



/* _local/variant? */
	obj_t BGl__localzf2variantzf3z01zzinline_variantz00(obj_t BgL_envz00_1523,
		obj_t BgL_obj3046z00_1524)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3046z00_1524,
					BGl_localzf2variantzf2zzinline_variantz00));
		}
	}



/* widening-local/variant */
	BGL_EXPORTED_DEF BgL_localzf2variantzf2_bglt
		BGl_wideningzd2localzf2variantz20zzinline_variantz00(bool_t
		BgL_variant3019z00_14)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localzf2variantzf2_bglt BgL_new3020z00_1403;
				BgL_new3020z00_1403 =
					((BgL_localzf2variantzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localzf2variantzf2_bgl))));
				{	/* Inline/variant.scm 21 */
					BgL_localzf2variantzf2_bglt BgL_res3274z00_1407;

					{	/* Inline/variant.scm 21 */
						BgL_localzf2variantzf2_bglt BgL_new3036z00_1404;

						BgL_new3036z00_1404 = BgL_new3020z00_1403;
						{	/* Inline/variant.scm 21 */
							bool_t BgL_variant3035z00_1406;

							BgL_variant3035z00_1406 = BgL_variant3019z00_14;
							((((BgL_localzf2variantzf2_bglt) CREF(BgL_new3036z00_1404))->
									BgL_variantz00) =
								((bool_t) BgL_variant3035z00_1406), BUNSPEC);
							BgL_res3274z00_1407 = BgL_new3036z00_1404;
					}} BgL_res3274z00_1407;
				}
				return BgL_new3020z00_1403;
			}
		}
	}



/* _widening-local/variant */
	obj_t BGl__wideningzd2localzf2variantz20zzinline_variantz00(obj_t
		BgL_envz00_1525, obj_t BgL_variant3019z00_1526)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localzf2variantzf2_bglt BgL_auxz00_1875;

				BgL_auxz00_1875 =
					BGl_wideningzd2localzf2variantz20zzinline_variantz00(CBOOL
					(BgL_variant3019z00_1526));
				return (obj_t) (BgL_auxz00_1875);
			}
		}
	}



/* make-local/variant */
	BGL_EXPORTED_DEF BgL_localzf2variantzf2_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_id3023z00_15,
		obj_t BgL_name3024z00_16, BgL_typez00_bglt BgL_type3025z00_17,
		BgL_valuez00_bglt BgL_value3026z00_18, obj_t BgL_access3027z00_19,
		obj_t BgL_fastzd2alpha3028zd2_20, obj_t BgL_removable3029z00_21,
		long BgL_occurrence3030z00_22, bool_t BgL_userzf33031zf3_23,
		long BgL_key3032z00_24, bool_t BgL_variant3022z00_25)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localz00_bglt BgL_aux3033z00_1408;

				BgL_aux3033z00_1408 =
					BGl_makezd2localzd2zzast_varz00(BgL_id3023z00_15, BgL_name3024z00_16,
					BgL_type3025z00_17, BgL_value3026z00_18, BgL_access3027z00_19,
					BgL_fastzd2alpha3028zd2_20, BgL_removable3029z00_21,
					BgL_occurrence3030z00_22, BgL_userzf33031zf3_23, BgL_key3032z00_24);
				{	/* Inline/variant.scm 21 */
					long BgL_arg3200z00_1409;

					BgL_arg3200z00_1409 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_localzf2variantzf2zzinline_variantz00);
					{	/* Inline/variant.scm 21 */
						BgL_objectz00_bglt BgL_objz00_1412;

						BgL_objz00_1412 = (BgL_objectz00_bglt) (BgL_aux3033z00_1408);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1412, BgL_arg3200z00_1409);
				}}
				{	/* Inline/variant.scm 21 */
					BgL_localzf2variantzf2_bglt BgL_arg3201z00_1410;

					{	/* Inline/variant.scm 21 */
						BgL_localzf2variantzf2_bglt BgL_res3276z00_1420;

						{	/* Inline/variant.scm 21 */
							BgL_localzf2variantzf2_bglt BgL_new3020z00_1415;
							BgL_new3020z00_1415 =
								((BgL_localzf2variantzf2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localzf2variantzf2_bgl))));
							{	/* Inline/variant.scm 21 */
								BgL_localzf2variantzf2_bglt BgL_res3275z00_1419;

								{	/* Inline/variant.scm 21 */
									BgL_localzf2variantzf2_bglt BgL_new3036z00_1416;

									BgL_new3036z00_1416 = BgL_new3020z00_1415;
									{	/* Inline/variant.scm 21 */
										bool_t BgL_variant3035z00_1418;

										BgL_variant3035z00_1418 = BgL_variant3022z00_25;
										((((BgL_localzf2variantzf2_bglt)
													CREF(BgL_new3036z00_1416))->BgL_variantz00) =
											((bool_t) BgL_variant3035z00_1418), BUNSPEC);
										BgL_res3275z00_1419 = BgL_new3036z00_1416;
								}} BgL_res3275z00_1419;
							}
							BgL_res3276z00_1420 = BgL_new3020z00_1415;
						}
						BgL_arg3201z00_1410 = BgL_res3276z00_1420;
					}
					{	/* Inline/variant.scm 21 */
						obj_t BgL_auxz00_1887;
						BgL_objectz00_bglt BgL_auxz00_1885;

						BgL_auxz00_1887 = (obj_t) (BgL_arg3201z00_1410);
						BgL_auxz00_1885 = (BgL_objectz00_bglt) (BgL_aux3033z00_1408);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_1885, BgL_auxz00_1887);
				}}
				return
					((BgL_localzf2variantzf2_bglt)
					(BgL_localzf2variantzf2_bglt) (BgL_aux3033z00_1408));
			}
		}
	}



/* _make-local/variant */
	obj_t BGl__makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_envz00_1527,
		obj_t BgL_id3023z00_1528, obj_t BgL_name3024z00_1529,
		obj_t BgL_type3025z00_1530, obj_t BgL_value3026z00_1531,
		obj_t BgL_access3027z00_1532, obj_t BgL_fastzd2alpha3028zd2_1533,
		obj_t BgL_removable3029z00_1534, obj_t BgL_occurrence3030z00_1535,
		obj_t BgL_userzf33031zf3_1536, obj_t BgL_key3032z00_1537,
		obj_t BgL_variant3022z00_1538)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localzf2variantzf2_bglt BgL_auxz00_1892;

				BgL_auxz00_1892 =
					BGl_makezd2localzf2variantz20zzinline_variantz00(BgL_id3023z00_1528,
					BgL_name3024z00_1529, (BgL_typez00_bglt) (BgL_type3025z00_1530),
					(BgL_valuez00_bglt) (BgL_value3026z00_1531), BgL_access3027z00_1532,
					BgL_fastzd2alpha3028zd2_1533, BgL_removable3029z00_1534,
					(long) CINT(BgL_occurrence3030z00_1535),
					CBOOL(BgL_userzf33031zf3_1536), (long) CINT(BgL_key3032z00_1537),
					CBOOL(BgL_variant3022z00_1538));
				return (obj_t) (BgL_auxz00_1892);
			}
		}
	}



/* fill-local/variant! */
	BGL_EXPORTED_DEF BgL_localzf2variantzf2_bglt
		BGl_fillzd2localzf2variantz12z32zzinline_variantz00
		(BgL_localzf2variantzf2_bglt BgL_new3036z00_26,
		bool_t BgL_variant3035z00_27)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				bool_t BgL_variant3035z00_1563;

				BgL_variant3035z00_1563 = BgL_variant3035z00_27;
				((((BgL_localzf2variantzf2_bglt) CREF(BgL_new3036z00_26))->
						BgL_variantz00) = ((bool_t) BgL_variant3035z00_1563), BUNSPEC);
				return BgL_new3036z00_26;
			}
		}
	}



/* _fill-local/variant! */
	obj_t BGl__fillzd2localzf2variantz12z32zzinline_variantz00(obj_t
		BgL_envz00_1539, obj_t BgL_new3036z00_1540, obj_t BgL_variant3035z00_1541)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localzf2variantzf2_bglt BgL_auxz00_1902;

				{	/* Inline/variant.scm 21 */
					BgL_localzf2variantzf2_bglt BgL_res3293z00_1567;

					{	/* Inline/variant.scm 21 */
						BgL_localzf2variantzf2_bglt BgL_new3036z00_1564;
						bool_t BgL_variant3035z00_1565;

						BgL_new3036z00_1564 =
							(BgL_localzf2variantzf2_bglt) (BgL_new3036z00_1540);
						BgL_variant3035z00_1565 = CBOOL(BgL_variant3035z00_1541);
						{	/* Inline/variant.scm 21 */
							bool_t BgL_variant3035z00_1566;

							BgL_variant3035z00_1566 = BgL_variant3035z00_1565;
							((((BgL_localzf2variantzf2_bglt) CREF(BgL_new3036z00_1564))->
									BgL_variantz00) =
								((bool_t) BgL_variant3035z00_1566), BUNSPEC);
							BgL_res3293z00_1567 = BgL_new3036z00_1564;
						}
					}
					BgL_auxz00_1902 = BgL_res3293z00_1567;
				}
				return (obj_t) (BgL_auxz00_1902);
			}
		}
	}



/* %allocate-local/variant */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_z52allocatezd2localzf2variantz72zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localz00_bglt BgL_new3039z00_1568;
				BgL_new3039z00_1568 =
					((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Inline/variant.scm 21 */
					long BgL_arg3202z00_1569;

					BgL_arg3202z00_1569 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_localzf2variantzf2zzinline_variantz00);
					{	/* Inline/variant.scm 21 */
						BgL_objectz00_bglt BgL_objz00_1570;

						BgL_objz00_1570 = (BgL_objectz00_bglt) (BgL_new3039z00_1568);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1570, BgL_arg3202z00_1569);
				}}
				{	/* Inline/variant.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_1911;

					BgL_auxz00_1911 = (BgL_objectz00_bglt) (BgL_new3039z00_1568);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_1911, BFALSE);
				}
				return BgL_new3039z00_1568;
			}
		}
	}



/* _%allocate-local/variant */
	obj_t BGl__z52allocatezd2localzf2variantz72zzinline_variantz00(obj_t
		BgL_envz00_1521)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localz00_bglt BgL_auxz00_1914;

				{	/* Inline/variant.scm 21 */
					BgL_localz00_bglt BgL_res3294z00_1574;

					{	/* Inline/variant.scm 21 */
						BgL_localz00_bglt BgL_new3039z00_1571;
						BgL_new3039z00_1571 =
							((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localz00_bgl))));
						{	/* Inline/variant.scm 21 */
							long BgL_arg3202z00_1572;

							BgL_arg3202z00_1572 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_localzf2variantzf2zzinline_variantz00);
							{	/* Inline/variant.scm 21 */
								BgL_objectz00_bglt BgL_objz00_1573;

								BgL_objz00_1573 = (BgL_objectz00_bglt) (BgL_new3039z00_1571);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1573, BgL_arg3202z00_1572);
						}}
						{	/* Inline/variant.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_1919;

							BgL_auxz00_1919 = (BgL_objectz00_bglt) (BgL_new3039z00_1571);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1919, BFALSE);
						}
						BgL_res3294z00_1574 = BgL_new3039z00_1571;
					}
					BgL_auxz00_1914 = BgL_res3294z00_1574;
				}
				return (obj_t) (BgL_auxz00_1914);
			}
		}
	}



/* local/variant-nil */
	BGL_EXPORTED_DEF BgL_localzf2variantzf2_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			if ((BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00 == BUNSPEC))
				{	/* Inline/variant.scm 21 */
					{	/* Inline/variant.scm 21 */
						BgL_localz00_bglt BgL_res3277z00_1430;

						{	/* Inline/variant.scm 21 */
							BgL_localz00_bglt BgL_new1586z00_1426;
							BgL_new1586z00_1426 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Inline/variant.scm 21 */
								long BgL_arg3256z00_1427;

								BgL_arg3256z00_1427 =
									BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00);
								{	/* Inline/variant.scm 21 */
									BgL_objectz00_bglt BgL_objz00_1428;

									BgL_objz00_1428 = (BgL_objectz00_bglt) (BgL_new1586z00_1426);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1428,
										BgL_arg3256z00_1427);
							}}
							{	/* Inline/variant.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_1929;

								BgL_auxz00_1929 = (BgL_objectz00_bglt) (BgL_new1586z00_1426);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1929, BFALSE);
							}
							BgL_res3277z00_1430 = BgL_new1586z00_1426;
						}
						BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00 =
							(obj_t) (BgL_res3277z00_1430);
					}
					{	/* Inline/variant.scm 21 */
						obj_t BgL_arg3206z00_885;
						BgL_typez00_bglt BgL_arg3207z00_886;
						BgL_valuez00_bglt BgL_arg3208z00_887;

						BgL_arg3206z00_885 = CNST_TABLE_REF(((long) 3));
						BgL_arg3207z00_886 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg3208z00_887 = BGl_valuezd2nilzd2zzast_varz00();
						{	/* Inline/variant.scm 21 */
							BgL_localz00_bglt BgL_res3278z00_1452;

							{	/* Inline/variant.scm 21 */
								BgL_localz00_bglt BgL_new1574z00_1431;

								BgL_new1574z00_1431 =
									(BgL_localz00_bglt)
									(BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00);
								{	/* Inline/variant.scm 21 */
									obj_t BgL_id1564z00_1442;
									obj_t BgL_name1565z00_1443;
									BgL_typez00_bglt BgL_type1566z00_1444;
									BgL_valuez00_bglt BgL_value1567z00_1445;
									obj_t BgL_access1568z00_1446;
									obj_t BgL_fastzd2alpha1569zd2_1447;
									obj_t BgL_removable1570z00_1448;
									long BgL_occurrence1571z00_1449;
									bool_t BgL_userzf31572zf3_1450;
									long BgL_key1573z00_1451;

									BgL_id1564z00_1442 = BgL_arg3206z00_885;
									BgL_name1565z00_1443 = BUNSPEC;
									BgL_type1566z00_1444 = BgL_arg3207z00_886;
									BgL_value1567z00_1445 = BgL_arg3208z00_887;
									BgL_access1568z00_1446 = BUNSPEC;
									BgL_fastzd2alpha1569zd2_1447 = BUNSPEC;
									BgL_removable1570z00_1448 = BUNSPEC;
									BgL_occurrence1571z00_1449 = ((long) 0);
									BgL_userzf31572zf3_1450 = ((bool_t) 0);
									BgL_key1573z00_1451 = ((long) 0);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_idz00) = ((obj_t) BgL_id1564z00_1442), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_namez00) = ((obj_t) BgL_name1565z00_1443), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1566z00_1444), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1567z00_1445), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_accessz00) =
										((obj_t) BgL_access1568z00_1446), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1569zd2_1447), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_removablez00) =
										((obj_t) BgL_removable1570z00_1448), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1571z00_1449), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31572zf3_1450), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1574z00_1431))->
											BgL_keyz00) = ((long) BgL_key1573z00_1451), BUNSPEC);
									BgL_res3278z00_1452 = BgL_new1574z00_1431;
							}} BgL_res3278z00_1452;
					}}
					{	/* Inline/variant.scm 21 */
						long BgL_arg3211z00_890;

						BgL_arg3211z00_890 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_localzf2variantzf2zzinline_variantz00);
						{	/* Inline/variant.scm 21 */
							BgL_objectz00_bglt BgL_objz00_1453;

							BgL_objz00_1453 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1453, BgL_arg3211z00_890);
					}}
					{	/* Inline/variant.scm 21 */
						BgL_localzf2variantzf2_bglt BgL_arg3212z00_891;

						{	/* Inline/variant.scm 21 */
							BgL_localzf2variantzf2_bglt BgL_res3280z00_1461;

							{	/* Inline/variant.scm 21 */
								BgL_localzf2variantzf2_bglt BgL_new3020z00_1456;
								BgL_new3020z00_1456 =
									((BgL_localzf2variantzf2_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localzf2variantzf2_bgl))));
								{	/* Inline/variant.scm 21 */
									BgL_localzf2variantzf2_bglt BgL_res3279z00_1460;

									{	/* Inline/variant.scm 21 */
										BgL_localzf2variantzf2_bglt BgL_new3036z00_1457;

										BgL_new3036z00_1457 = BgL_new3020z00_1456;
										{	/* Inline/variant.scm 21 */
											bool_t BgL_variant3035z00_1459;

											BgL_variant3035z00_1459 = ((bool_t) 0);
											((((BgL_localzf2variantzf2_bglt)
														CREF(BgL_new3036z00_1457))->BgL_variantz00) =
												((bool_t) BgL_variant3035z00_1459), BUNSPEC);
											BgL_res3279z00_1460 = BgL_new3036z00_1457;
									}} BgL_res3279z00_1460;
								}
								BgL_res3280z00_1461 = BgL_new3020z00_1456;
							}
							BgL_arg3212z00_891 = BgL_res3280z00_1461;
						}
						{	/* Inline/variant.scm 21 */
							obj_t BgL_auxz00_1954;
							BgL_objectz00_bglt BgL_auxz00_1952;

							BgL_auxz00_1954 = (obj_t) (BgL_arg3212z00_891);
							BgL_auxz00_1952 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1952, BgL_auxz00_1954);
				}}}
			else
				{	/* Inline/variant.scm 21 */
					BFALSE;
				}
			return
				(BgL_localzf2variantzf2_bglt)
				(BGl_z52thezd2localzf2variantzd2nilza0zzinline_variantz00);
		}
	}



/* _local/variant-nil */
	obj_t BGl__localzf2variantzd2nilz20zzinline_variantz00(obj_t BgL_envz00_1522)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{	/* Inline/variant.scm 21 */
				BgL_localzf2variantzf2_bglt BgL_auxz00_1958;

				BgL_auxz00_1958 = BGl_localzf2variantzd2nilz20zzinline_variantz00();
				return (obj_t) (BgL_auxz00_1958);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 15 */
				obj_t BgL_objectzd2ze3structzd2local3108ze3_1546;

				BgL_objectzd2ze3structzd2local3108ze3_1546 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2local3108ze3zzinline_variantz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_localzf2variantzf2zzinline_variantz00,
					BgL_objectzd2ze3structzd2local3108ze3_1546);
			}
			{	/* Inline/variant.scm 15 */
				obj_t BgL_structzb2objectzd2ze3objec3110z83_1542;

				BgL_structzb2objectzd2ze3objec3110z83_1542 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec3110z83zzinline_variantz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_localzf2variantzf2zzinline_variantz00,
					BgL_structzb2objectzd2ze3objec3110z83_1542);
			}
		}
	}



/* struct+object->objec3110 */
	obj_t BGl_structzb2objectzd2ze3objec3110z83zzinline_variantz00(obj_t
		BgL_envz00_1549, obj_t BgL_oz00_1550, obj_t BgL_sz00_1551)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{
				BgL_localzf2variantzf2_bglt BgL_oz00_1273;
				obj_t BgL_sz00_1274;

				{	/* Inline/variant.scm 21 */
					BgL_localzf2variantzf2_bglt BgL_auxz00_1969;

					BgL_oz00_1273 = (BgL_localzf2variantzf2_bglt) (BgL_oz00_1550);
					BgL_sz00_1274 = BgL_sz00_1551;
					{

						{	/* Inline/variant.scm 21 */
							obj_t BgL_old3043z00_1277;
							obj_t BgL_aux3044z00_1278;

							{	/* Inline/variant.scm 21 */
								obj_t BgL_nextzd2method3109zd2_1283;

								BgL_nextzd2method3109zd2_1283 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1273),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_localzf2variantzf2zzinline_variantz00);
								if (PROCEDUREP(BgL_nextzd2method3109zd2_1283))
									{	/* Inline/variant.scm 21 */
										BgL_old3043z00_1277 =
											PROCEDURE_ENTRY(BgL_nextzd2method3109zd2_1283)
											(BgL_nextzd2method3109zd2_1283, (obj_t) (BgL_oz00_1273),
											BgL_sz00_1274, BEOA);
									}
								else
									{	/* Inline/variant.scm 21 */
										{	/* Inline/variant.scm 21 */
											BgL_objectz00_bglt BgL_auxz00_1977;

											BgL_auxz00_1977 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1273), BgL_sz00_1274);
											BgL_old3043z00_1277 = (obj_t) (BgL_auxz00_1977);
										}
									}
							}
							BgL_aux3044z00_1278 =
								STRUCT_REF(BgL_sz00_1274, (int) (((long) 0)));
							{	/* Inline/variant.scm 21 */
								BgL_localzf2variantzf2_bglt BgL_new3045z00_1279;

								BgL_new3045z00_1279 =
									((BgL_localzf2variantzf2_bglt) (BgL_old3043z00_1277));
								{	/* Inline/variant.scm 21 */
									long BgL_arg3265z00_1280;

									BgL_arg3265z00_1280 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_localzf2variantzf2zzinline_variantz00);
									{	/* Inline/variant.scm 21 */
										BgL_objectz00_bglt BgL_objz00_1495;

										BgL_objz00_1495 =
											(BgL_objectz00_bglt) (BgL_new3045z00_1279);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1495,
											BgL_arg3265z00_1280);
								}}
								{	/* Inline/variant.scm 21 */
									BgL_localzf2variantzf2_bglt BgL_arg3266z00_1281;

									{	/* Inline/variant.scm 21 */
										obj_t BgL_arg3267z00_1282;

										BgL_arg3267z00_1282 =
											STRUCT_REF(BgL_aux3044z00_1278, (int) (((long) 0)));
										{	/* Inline/variant.scm 21 */
											BgL_localzf2variantzf2_bglt BgL_res3283z00_1505;

											{	/* Inline/variant.scm 21 */
												bool_t BgL_variant3019z00_1499;

												BgL_variant3019z00_1499 = CBOOL(BgL_arg3267z00_1282);
												{	/* Inline/variant.scm 21 */
													BgL_localzf2variantzf2_bglt BgL_new3020z00_1500;
													BgL_new3020z00_1500 =
														((BgL_localzf2variantzf2_bglt)
														BREF(GC_MALLOC(sizeof(struct
																	BgL_localzf2variantzf2_bgl))));
													{	/* Inline/variant.scm 21 */
														BgL_localzf2variantzf2_bglt BgL_res3282z00_1504;

														{	/* Inline/variant.scm 21 */
															BgL_localzf2variantzf2_bglt BgL_new3036z00_1501;

															BgL_new3036z00_1501 = BgL_new3020z00_1500;
															{	/* Inline/variant.scm 21 */
																bool_t BgL_variant3035z00_1503;

																BgL_variant3035z00_1503 =
																	BgL_variant3019z00_1499;
																((((BgL_localzf2variantzf2_bglt)
																			CREF(BgL_new3036z00_1501))->
																		BgL_variantz00) =
																	((bool_t) BgL_variant3035z00_1503), BUNSPEC);
																BgL_res3282z00_1504 = BgL_new3036z00_1501;
														}} BgL_res3282z00_1504;
													}
													BgL_res3283z00_1505 = BgL_new3020z00_1500;
											}}
											BgL_arg3266z00_1281 = BgL_res3283z00_1505;
									}}
									{	/* Inline/variant.scm 21 */
										obj_t BgL_auxz00_1994;
										BgL_objectz00_bglt BgL_auxz00_1992;

										BgL_auxz00_1994 = (obj_t) (BgL_arg3266z00_1281);
										BgL_auxz00_1992 =
											(BgL_objectz00_bglt) (BgL_new3045z00_1279);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_1992, BgL_auxz00_1994);
								}}
								BgL_auxz00_1969 = BgL_new3045z00_1279;
					}}}
					return (obj_t) (BgL_auxz00_1969);
				}
			}
		}
	}



/* object->struct-local3108 */
	obj_t BGl_objectzd2ze3structzd2local3108ze3zzinline_variantz00(obj_t
		BgL_envz00_1552, obj_t BgL_obj3040z00_1553)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 21 */
			{
				BgL_localzf2variantzf2_bglt BgL_obj3040z00_1263;

				BgL_obj3040z00_1263 =
					(BgL_localzf2variantzf2_bglt) (BgL_obj3040z00_1553);
				{

					{	/* Inline/variant.scm 21 */
						obj_t BgL_res3041z00_1266;

						{	/* Inline/variant.scm 21 */
							obj_t BgL_nextzd2method3107zd2_1271;

							BgL_nextzd2method3107zd2_1271 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3040z00_1263),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_localzf2variantzf2zzinline_variantz00);
							if (PROCEDUREP(BgL_nextzd2method3107zd2_1271))
								{	/* Inline/variant.scm 21 */
									BgL_res3041z00_1266 =
										PROCEDURE_ENTRY(BgL_nextzd2method3107zd2_1271)
										(BgL_nextzd2method3107zd2_1271,
										(obj_t) (BgL_obj3040z00_1263), BEOA);
								}
							else
								{	/* Inline/variant.scm 21 */
									BgL_res3041z00_1266 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3040z00_1263));
								}
						}
						{	/* Inline/variant.scm 21 */
							obj_t BgL_aux3042z00_1267;

							{	/* Inline/variant.scm 21 */
								obj_t BgL_keyz00_1476;

								BgL_keyz00_1476 = CNST_TABLE_REF(((long) 2));
								BgL_aux3042z00_1267 =
									make_struct(BgL_keyz00_1476, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Inline/variant.scm 21 */
								bool_t BgL_arg3262z00_1269;

								{
									obj_t BgL_auxz00_2011;

									{	/* Inline/variant.scm 21 */
										BgL_objectz00_bglt BgL_auxz00_2012;

										BgL_auxz00_2012 =
											(BgL_objectz00_bglt) (BgL_obj3040z00_1263);
										BgL_auxz00_2011 = BGL_OBJECT_WIDENING(BgL_auxz00_2012);
									}
									BgL_arg3262z00_1269 =
										(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2011))->
										BgL_variantz00);
								}
								{	/* Inline/variant.scm 21 */
									obj_t BgL_auxz00_2018;
									int BgL_auxz00_2016;

									BgL_auxz00_2018 = BBOOL(BgL_arg3262z00_1269);
									BgL_auxz00_2016 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3042z00_1267, BgL_auxz00_2016,
										BgL_auxz00_2018);
							}}
							{	/* Inline/variant.scm 21 */
								int BgL_auxz00_2021;

								BgL_auxz00_2021 = (int) (((long) 0));
								STRUCT_SET(BgL_res3041z00_1266, BgL_auxz00_2021,
									BgL_aux3042z00_1267);
							}
							{	/* Inline/variant.scm 21 */
								obj_t BgL_auxz00_2024;

								BgL_auxz00_2024 = STRUCT_KEY(BgL_res3041z00_1266);
								STRUCT_KEY_SET(BgL_aux3042z00_1267, BgL_auxz00_2024);
							}
							{	/* Inline/variant.scm 21 */
								obj_t BgL_kz00_1491;

								BgL_kz00_1491 = CNST_TABLE_REF(((long) 2));
								STRUCT_KEY_SET(BgL_res3041z00_1266, BgL_kz00_1491);
							}
							return BgL_res3041z00_1266;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3289z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3289z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3289z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3289z00zzinline_variantz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3289z00zzinline_variantz00));
		}
	}

#ifdef __cplusplus
}
#endif
