/*===========================================================================*/
/*   (Integrate/g.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/g.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00();
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	static obj_t BGl__Gz12z12zzintegrate_gz00(obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_gz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_gz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gz12zd2envzc0zzintegrate_gz00,
		BgL_bgl__gza712za712za7za7integr3382z00, BGl__Gz12z12zzintegrate_gz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3381z00zzintegrate_gz00,
		BgL_bgl_string3381za700za7za7i3383za7, "integrate_g", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long
		BgL_checksumz00_1373, char *BgL_fromz00_1374)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_gz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_gz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "integrate_g");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_g");
			return BUNSPEC;
		}
	}



/* G! */
	BGL_EXPORTED_DEF obj_t BGl_Gz12z12zzintegrate_gz00(obj_t BgL_gzf2cnzf2_1)
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 32 */
			{
				bool_t BgL_stopzf3zf3_816;
				long BgL_stampz00_817;
				obj_t BgL_gsz00_818;

				BgL_stopzf3zf3_816 = ((bool_t) 0);
				BgL_stampz00_817 = ((long) 0);
				BgL_gsz00_818 = BgL_gzf2cnzf2_1;
			BgL_loopz00_819:
				if (BgL_stopzf3zf3_816)
					{	/* Integrate/g.scm 37 */
						{
							obj_t BgL_l3272z00_820;

							BgL_l3272z00_820 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_forzd2each3273zd2_821:
							if (PAIRP(BgL_l3272z00_820))
								{	/* Integrate/g.scm 41 */
									{	/* Integrate/g.scm 42 */
										obj_t BgL_fz00_823;

										BgL_fz00_823 = CAR(BgL_l3272z00_820);
										if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_823,
												BGl_localz00zzast_varz00))
											{	/* Integrate/g.scm 43 */
												BgL_valuez00_bglt BgL_arg3278z00_825;

												{	/* Integrate/g.scm 43 */
													BgL_variablez00_bglt BgL_obj1387z00_1301;

													BgL_obj1387z00_1301 =
														(BgL_variablez00_bglt) (BgL_fz00_823);
													BgL_arg3278z00_825 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1387z00_1301))->BgL_valuez00);
												}
												{	/* Integrate/g.scm 43 */
													BgL_sfunzf2iinfozf2_bglt BgL_obj3210z00_1302;
													obj_t BgL_val3209z00_1303;

													BgL_obj3210z00_1302 =
														(BgL_sfunzf2iinfozf2_bglt) (BgL_arg3278z00_825);
													BgL_val3209z00_1303 = BINT(((long) -1));
													{
														obj_t BgL_auxz00_1392;

														{	/* Integrate/g.scm 43 */
															BgL_objectz00_bglt BgL_auxz00_1393;

															BgL_auxz00_1393 =
																(BgL_objectz00_bglt) (BgL_obj3210z00_1302);
															BgL_auxz00_1392 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1393);
														}
														((((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1392))->BgL_istampz00) =
															((obj_t) BgL_val3209z00_1303), BUNSPEC);
											}}}
										else
											{	/* Integrate/g.scm 42 */
												BFALSE;
											}
									}
									{
										obj_t BgL_l3272z00_1397;

										BgL_l3272z00_1397 = CDR(BgL_l3272z00_820);
										BgL_l3272z00_820 = BgL_l3272z00_1397;
										goto BgL_forzd2each3273zd2_821;
									}
								}
							else
								{	/* Integrate/g.scm 41 */
									((bool_t) 1);
								}
						}
						BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00
							();
						return BgL_gsz00_818;
					}
				else
					{
						obj_t BgL_phiz00_828;
						bool_t BgL_stopzf3zf3_829;
						obj_t BgL_gsz00_830;

						BgL_phiz00_828 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_stopzf3zf3_829 = ((bool_t) 1);
						BgL_gsz00_830 = BgL_gsz00_818;
					BgL_liipz00_831:
						if (NULLP(BgL_phiz00_828))
							{
								obj_t BgL_gsz00_1405;
								long BgL_stampz00_1403;
								bool_t BgL_stopzf3zf3_1402;

								BgL_stopzf3zf3_1402 = BgL_stopzf3zf3_829;
								BgL_stampz00_1403 = (BgL_stampz00_817 + ((long) 1));
								BgL_gsz00_1405 = BgL_gsz00_830;
								BgL_gsz00_818 = BgL_gsz00_1405;
								BgL_stampz00_817 = BgL_stampz00_1403;
								BgL_stopzf3zf3_816 = BgL_stopzf3zf3_1402;
								goto BgL_loopz00_819;
							}
						else
							{	/* Integrate/g.scm 54 */
								obj_t BgL_fz00_834;

								BgL_fz00_834 = CAR(BgL_phiz00_828);
								{	/* Integrate/g.scm 54 */
									BgL_valuez00_bglt BgL_fifz00_835;

									{	/* Integrate/g.scm 55 */
										BgL_variablez00_bglt BgL_obj1387z00_1309;

										BgL_obj1387z00_1309 = (BgL_variablez00_bglt) (BgL_fz00_834);
										BgL_fifz00_835 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1309))->
											BgL_valuez00);
									}
									{	/* Integrate/g.scm 55 */

										{	/* Integrate/g.scm 56 */
											obj_t BgL_g3269z00_836;

											{	/* Integrate/g.scm 56 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3192z00_1310;

												BgL_obj3192z00_1310 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_fifz00_835);
												{
													obj_t BgL_auxz00_1410;

													{	/* Integrate/g.scm 56 */
														BgL_objectz00_bglt BgL_auxz00_1411;

														BgL_auxz00_1411 =
															(BgL_objectz00_bglt) (BgL_obj3192z00_1310);
														BgL_auxz00_1410 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1411);
													}
													BgL_g3269z00_836 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1410))->BgL_ctz00);
												}
											}
											{
												obj_t BgL_ctz00_837;
												bool_t BgL_stopzf3zf3_838;
												obj_t BgL_gsz00_839;

												BgL_ctz00_837 = BgL_g3269z00_836;
												BgL_stopzf3zf3_838 = BgL_stopzf3zf3_829;
												BgL_gsz00_839 = BgL_gsz00_830;
											BgL_laapz00_840:
												if (NULLP(BgL_ctz00_837))
													{
														obj_t BgL_gsz00_1420;
														bool_t BgL_stopzf3zf3_1419;
														obj_t BgL_phiz00_1417;

														BgL_phiz00_1417 = CDR(BgL_phiz00_828);
														BgL_stopzf3zf3_1419 = BgL_stopzf3zf3_838;
														BgL_gsz00_1420 = BgL_gsz00_839;
														BgL_gsz00_830 = BgL_gsz00_1420;
														BgL_stopzf3zf3_829 = BgL_stopzf3zf3_1419;
														BgL_phiz00_828 = BgL_phiz00_1417;
														goto BgL_liipz00_831;
													}
												else
													{	/* Integrate/g.scm 61 */
														obj_t BgL_gz00_843;

														BgL_gz00_843 = CAR(BgL_ctz00_837);
														{	/* Integrate/g.scm 61 */
															BgL_valuez00_bglt BgL_gifz00_844;

															{	/* Integrate/g.scm 62 */
																BgL_variablez00_bglt BgL_obj1387z00_1314;

																BgL_obj1387z00_1314 =
																	(BgL_variablez00_bglt) (BgL_gz00_843);
																BgL_gifz00_844 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_1314))->BgL_valuez00);
															}
															{	/* Integrate/g.scm 62 */

																if ((BgL_fz00_834 == BgL_gz00_843))
																	{
																		obj_t BgL_ctz00_1426;

																		BgL_ctz00_1426 = CDR(BgL_ctz00_837);
																		BgL_ctz00_837 = BgL_ctz00_1426;
																		goto BgL_laapz00_840;
																	}
																else
																	{	/* Integrate/g.scm 73 */
																		bool_t BgL_testz00_1428;

																		{	/* Integrate/g.scm 73 */
																			BgL_sfunzf2iinfozf2_bglt
																				BgL_obj3198z00_1316;
																			BgL_obj3198z00_1316 =
																				(BgL_sfunzf2iinfozf2_bglt)
																				(BgL_gifz00_844);
																			{
																				obj_t BgL_auxz00_1430;

																				{	/* Integrate/g.scm 73 */
																					BgL_objectz00_bglt BgL_auxz00_1431;

																					BgL_auxz00_1431 =
																						(BgL_objectz00_bglt)
																						(BgL_obj3198z00_1316);
																					BgL_auxz00_1430 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1431);
																				}
																				BgL_testz00_1428 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						CREF(BgL_auxz00_1430))->
																					BgL_gzf3zf3);
																			}
																		}
																		if (BgL_testz00_1428)
																			{
																				obj_t BgL_ctz00_1435;

																				BgL_ctz00_1435 = CDR(BgL_ctz00_837);
																				BgL_ctz00_837 = BgL_ctz00_1435;
																				goto BgL_laapz00_840;
																			}
																		else
																			{	/* Integrate/g.scm 75 */
																				bool_t BgL_testz00_1437;

																				{	/* Integrate/g.scm 75 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3198z00_1318;
																					BgL_obj3198z00_1318 =
																						(BgL_sfunzf2iinfozf2_bglt)
																						(BgL_fifz00_835);
																					{
																						obj_t BgL_auxz00_1439;

																						{	/* Integrate/g.scm 75 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1440;
																							BgL_auxz00_1440 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3198z00_1318);
																							BgL_auxz00_1439 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1440);
																						}
																						BgL_testz00_1437 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1439))->
																							BgL_gzf3zf3);
																					}
																				}
																				if (BgL_testz00_1437)
																					{	/* Integrate/g.scm 77 */
																						bool_t BgL_testz00_1444;

																						{	/* Integrate/g.scm 77 */
																							obj_t BgL_arg3297z00_857;

																							{	/* Integrate/g.scm 77 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3201z00_1319;
																								BgL_obj3201z00_1319 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_gifz00_844);
																								{
																									obj_t BgL_auxz00_1446;

																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1447;
																										BgL_auxz00_1447 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3201z00_1319);
																										BgL_auxz00_1446 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1447);
																									}
																									BgL_arg3297z00_857 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1446))->
																										BgL_lz00);
																								}
																							}
																							BgL_testz00_1444 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_arg3297z00_857,
																								BGl_variablez00zzast_varz00);
																						}
																						if (BgL_testz00_1444)
																							{	/* Integrate/g.scm 84 */
																								bool_t BgL_testz00_1452;

																								{	/* Integrate/g.scm 84 */
																									obj_t BgL_auxz00_1453;

																									{	/* Integrate/g.scm 84 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3201z00_1321;
																										BgL_obj3201z00_1321 =
																											(BgL_sfunzf2iinfozf2_bglt)
																											(BgL_gifz00_844);
																										{
																											obj_t BgL_auxz00_1455;

																											{	/* Integrate/g.scm 84 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1456;
																												BgL_auxz00_1456 =
																													(BgL_objectz00_bglt)
																													(BgL_obj3201z00_1321);
																												BgL_auxz00_1455 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1456);
																											}
																											BgL_auxz00_1453 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1455))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1452 =
																										(BgL_auxz00_1453 ==
																										BgL_fz00_834);
																								}
																								if (BgL_testz00_1452)
																									{
																										obj_t BgL_ctz00_1461;

																										BgL_ctz00_1461 =
																											CDR(BgL_ctz00_837);
																										BgL_ctz00_837 =
																											BgL_ctz00_1461;
																										goto BgL_laapz00_840;
																									}
																								else
																									{	/* Integrate/g.scm 84 */
																										{	/* Integrate/g.scm 87 */
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_obj3200z00_1323;
																											bool_t
																												BgL_val3199z00_1324;
																											BgL_obj3200z00_1323 =
																												(BgL_sfunzf2iinfozf2_bglt)
																												(BgL_gifz00_844);
																											BgL_val3199z00_1324 =
																												((bool_t) 1);
																											{
																												obj_t BgL_auxz00_1464;

																												{	/* Integrate/g.scm 87 */
																													BgL_objectz00_bglt
																														BgL_auxz00_1465;
																													BgL_auxz00_1465 =
																														(BgL_objectz00_bglt)
																														(BgL_obj3200z00_1323);
																													BgL_auxz00_1464 =
																														BGL_OBJECT_WIDENING
																														(BgL_auxz00_1465);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1464))->BgL_gzf3zf3) = ((bool_t) BgL_val3199z00_1324), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 91 */
																											obj_t BgL_arg3293z00_853;
																											obj_t BgL_arg3294z00_854;

																											BgL_arg3293z00_853 =
																												CDR(BgL_ctz00_837);
																											BgL_arg3294z00_854 =
																												MAKE_PAIR(BgL_gz00_843,
																												BgL_gsz00_839);
																											{
																												obj_t BgL_gsz00_1473;
																												bool_t
																													BgL_stopzf3zf3_1472;
																												obj_t BgL_ctz00_1471;

																												BgL_ctz00_1471 =
																													BgL_arg3293z00_853;
																												BgL_stopzf3zf3_1472 =
																													((bool_t) 0);
																												BgL_gsz00_1473 =
																													BgL_arg3294z00_854;
																												BgL_gsz00_839 =
																													BgL_gsz00_1473;
																												BgL_stopzf3zf3_838 =
																													BgL_stopzf3zf3_1472;
																												BgL_ctz00_837 =
																													BgL_ctz00_1471;
																												goto BgL_laapz00_840;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 77 */
																								{	/* Integrate/g.scm 82 */
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_obj3204z00_1326;
																									obj_t BgL_val3202z00_1327;

																									BgL_obj3204z00_1326 =
																										(BgL_sfunzf2iinfozf2_bglt)
																										(BgL_gifz00_844);
																									BgL_val3202z00_1327 =
																										BgL_fz00_834;
																									{
																										obj_t BgL_auxz00_1475;

																										{	/* Integrate/g.scm 82 */
																											BgL_objectz00_bglt
																												BgL_auxz00_1476;
																											BgL_auxz00_1476 =
																												(BgL_objectz00_bglt)
																												(BgL_obj3204z00_1326);
																											BgL_auxz00_1475 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_1476);
																										}
																										((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1475))->BgL_lz00) = ((obj_t) BgL_val3202z00_1327), BUNSPEC);
																									}
																								}
																								{
																									bool_t BgL_stopzf3zf3_1482;
																									obj_t BgL_ctz00_1480;

																									BgL_ctz00_1480 =
																										CDR(BgL_ctz00_837);
																									BgL_stopzf3zf3_1482 =
																										((bool_t) 0);
																									BgL_stopzf3zf3_838 =
																										BgL_stopzf3zf3_1482;
																									BgL_ctz00_837 =
																										BgL_ctz00_1480;
																									goto BgL_laapz00_840;
																								}
																							}
																					}
																				else
																					{	/* Integrate/g.scm 92 */
																						bool_t BgL_testz00_1483;

																						{	/* Integrate/g.scm 92 */
																							obj_t BgL_arg3316z00_879;

																							{	/* Integrate/g.scm 92 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3201z00_1329;
																								BgL_obj3201z00_1329 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_gifz00_844);
																								{
																									obj_t BgL_auxz00_1485;

																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1486;
																										BgL_auxz00_1486 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3201z00_1329);
																										BgL_auxz00_1485 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1486);
																									}
																									BgL_arg3316z00_879 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1485))->
																										BgL_lz00);
																								}
																							}
																							BgL_testz00_1483 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_arg3316z00_879,
																								BGl_variablez00zzast_varz00);
																						}
																						if (BgL_testz00_1483)
																							{	/* Integrate/g.scm 116 */
																								bool_t BgL_testz00_1491;

																								{	/* Integrate/g.scm 116 */
																									obj_t BgL_arg3308z00_868;

																									{	/* Integrate/g.scm 116 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3201z00_1331;
																										BgL_obj3201z00_1331 =
																											(BgL_sfunzf2iinfozf2_bglt)
																											(BgL_fifz00_835);
																										{
																											obj_t BgL_auxz00_1493;

																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1494;
																												BgL_auxz00_1494 =
																													(BgL_objectz00_bglt)
																													(BgL_obj3201z00_1331);
																												BgL_auxz00_1493 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1494);
																											}
																											BgL_arg3308z00_868 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1493))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1491 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_arg3308z00_868,
																										BGl_variablez00zzast_varz00);
																								}
																								if (BgL_testz00_1491)
																									{	/* Integrate/g.scm 124 */
																										bool_t BgL_testz00_1499;

																										{	/* Integrate/g.scm 124 */
																											obj_t BgL_auxz00_1507;
																											obj_t BgL_auxz00_1500;

																											{	/* Integrate/g.scm 124 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3201z00_1334;
																												BgL_obj3201z00_1334 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_gifz00_844);
																												{
																													obj_t BgL_auxz00_1509;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1510;
																														BgL_auxz00_1510 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3201z00_1334);
																														BgL_auxz00_1509 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1510);
																													}
																													BgL_auxz00_1507 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1509))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 124 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3201z00_1333;
																												BgL_obj3201z00_1333 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_fifz00_835);
																												{
																													obj_t BgL_auxz00_1502;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1503;
																														BgL_auxz00_1503 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3201z00_1333);
																														BgL_auxz00_1502 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1503);
																													}
																													BgL_auxz00_1500 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1502))->BgL_lz00);
																												}
																											}
																											BgL_testz00_1499 =
																												(BgL_auxz00_1500 ==
																												BgL_auxz00_1507);
																										}
																										if (BgL_testz00_1499)
																											{	/* Integrate/g.scm 124 */
																												{
																													obj_t BgL_ctz00_1515;

																													BgL_ctz00_1515 =
																														CDR(BgL_ctz00_837);
																													BgL_ctz00_837 =
																														BgL_ctz00_1515;
																													goto BgL_laapz00_840;
																												}
																											}
																										else
																											{	/* Integrate/g.scm 124 */
																												{	/* Integrate/g.scm 130 */
																													BgL_sfunzf2iinfozf2_bglt
																														BgL_obj3200z00_1336;
																													bool_t
																														BgL_val3199z00_1337;
																													BgL_obj3200z00_1336 =
																														(BgL_sfunzf2iinfozf2_bglt)
																														(BgL_gifz00_844);
																													BgL_val3199z00_1337 =
																														((bool_t) 1);
																													{
																														obj_t
																															BgL_auxz00_1518;
																														{	/* Integrate/g.scm 130 */
																															BgL_objectz00_bglt
																																BgL_auxz00_1519;
																															BgL_auxz00_1519 =
																																(BgL_objectz00_bglt)
																																(BgL_obj3200z00_1336);
																															BgL_auxz00_1518 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_1519);
																														}
																														((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1518))->BgL_gzf3zf3) = ((bool_t) BgL_val3199z00_1337), BUNSPEC);
																													}
																												}
																												{	/* Integrate/g.scm 133 */
																													obj_t
																														BgL_arg3302z00_862;
																													obj_t
																														BgL_arg3303z00_863;
																													BgL_arg3302z00_862 =
																														CDR(BgL_ctz00_837);
																													BgL_arg3303z00_863 =
																														MAKE_PAIR
																														(BgL_gz00_843,
																														BgL_gsz00_839);
																													{
																														obj_t
																															BgL_gsz00_1527;
																														bool_t
																															BgL_stopzf3zf3_1526;
																														obj_t
																															BgL_ctz00_1525;
																														BgL_ctz00_1525 =
																															BgL_arg3302z00_862;
																														BgL_stopzf3zf3_1526
																															= ((bool_t) 0);
																														BgL_gsz00_1527 =
																															BgL_arg3303z00_863;
																														BgL_gsz00_839 =
																															BgL_gsz00_1527;
																														BgL_stopzf3zf3_838 =
																															BgL_stopzf3zf3_1526;
																														BgL_ctz00_837 =
																															BgL_ctz00_1525;
																														goto
																															BgL_laapz00_840;
																													}
																												}
																											}
																									}
																								else
																									{	/* Integrate/g.scm 116 */
																										{	/* Integrate/g.scm 122 */
																											obj_t BgL_arg3306z00_866;

																											{	/* Integrate/g.scm 122 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3201z00_1339;
																												BgL_obj3201z00_1339 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_gifz00_844);
																												{
																													obj_t BgL_auxz00_1529;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1530;
																														BgL_auxz00_1530 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3201z00_1339);
																														BgL_auxz00_1529 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1530);
																													}
																													BgL_arg3306z00_866 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1529))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 122 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3204z00_1340;
																												obj_t
																													BgL_val3202z00_1341;
																												BgL_obj3204z00_1340 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_fifz00_835);
																												BgL_val3202z00_1341 =
																													BgL_arg3306z00_866;
																												{
																													obj_t BgL_auxz00_1535;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1536;
																														BgL_auxz00_1536 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3204z00_1340);
																														BgL_auxz00_1535 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1536);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1535))->BgL_lz00) = ((obj_t) BgL_val3202z00_1341), BUNSPEC);
																												}
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1542;
																											obj_t BgL_ctz00_1540;

																											BgL_ctz00_1540 =
																												CDR(BgL_ctz00_837);
																											BgL_stopzf3zf3_1542 =
																												((bool_t) 0);
																											BgL_stopzf3zf3_838 =
																												BgL_stopzf3zf3_1542;
																											BgL_ctz00_837 =
																												BgL_ctz00_1540;
																											goto BgL_laapz00_840;
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 94 */
																								bool_t BgL_testz00_1543;

																								{	/* Integrate/g.scm 94 */
																									obj_t BgL_arg3315z00_878;

																									{	/* Integrate/g.scm 94 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3201z00_1343;
																										BgL_obj3201z00_1343 =
																											(BgL_sfunzf2iinfozf2_bglt)
																											(BgL_fifz00_835);
																										{
																											obj_t BgL_auxz00_1545;

																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1546;
																												BgL_auxz00_1546 =
																													(BgL_objectz00_bglt)
																													(BgL_obj3201z00_1343);
																												BgL_auxz00_1545 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1546);
																											}
																											BgL_arg3315z00_878 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1545))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1543 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_arg3315z00_878,
																										BGl_variablez00zzast_varz00);
																								}
																								if (BgL_testz00_1543)
																									{	/* Integrate/g.scm 94 */
																										{	/* Integrate/g.scm 95 */
																											obj_t BgL_arg3310z00_870;

																											{	/* Integrate/g.scm 95 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3201z00_1345;
																												BgL_obj3201z00_1345 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_fifz00_835);
																												{
																													obj_t BgL_auxz00_1552;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1553;
																														BgL_auxz00_1553 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3201z00_1345);
																														BgL_auxz00_1552 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1553);
																													}
																													BgL_arg3310z00_870 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1552))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 95 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3204z00_1346;
																												obj_t
																													BgL_val3202z00_1347;
																												BgL_obj3204z00_1346 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_gifz00_844);
																												BgL_val3202z00_1347 =
																													BgL_arg3310z00_870;
																												{
																													obj_t BgL_auxz00_1558;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1559;
																														BgL_auxz00_1559 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3204z00_1346);
																														BgL_auxz00_1558 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1559);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1558))->BgL_lz00) = ((obj_t) BgL_val3202z00_1347), BUNSPEC);
																												}
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1565;
																											obj_t BgL_ctz00_1563;

																											BgL_ctz00_1563 =
																												CDR(BgL_ctz00_837);
																											BgL_stopzf3zf3_1565 =
																												((bool_t) 0);
																											BgL_stopzf3zf3_838 =
																												BgL_stopzf3zf3_1565;
																											BgL_ctz00_837 =
																												BgL_ctz00_1563;
																											goto BgL_laapz00_840;
																										}
																									}
																								else
																									{	/* Integrate/g.scm 103 */
																										bool_t BgL_stopzf3zf3_872;

																										if (BgL_stopzf3zf3_838)
																											{	/* Integrate/g.scm 105 */
																												bool_t BgL_testz00_1567;

																												{	/* Integrate/g.scm 105 */
																													obj_t BgL_auxz00_1568;

																													{	/* Integrate/g.scm 105 */
																														BgL_sfunzf2iinfozf2_bglt
																															BgL_obj3208z00_1349;
																														BgL_obj3208z00_1349
																															=
																															(BgL_sfunzf2iinfozf2_bglt)
																															(BgL_fifz00_835);
																														{
																															obj_t
																																BgL_auxz00_1570;
																															{	/* Integrate/g.scm 105 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_1571;
																																BgL_auxz00_1571
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_obj3208z00_1349);
																																BgL_auxz00_1570
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_1571);
																															}
																															BgL_auxz00_1568 =
																																(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1570))->BgL_istampz00);
																														}
																													}
																													BgL_testz00_1567 =
																														INTEGERP
																														(BgL_auxz00_1568);
																												}
																												if (BgL_testz00_1567)
																													{	/* Integrate/g.scm 107 */
																														long
																															BgL_auxz00_1576;
																														{	/* Integrate/g.scm 107 */
																															BgL_sfunzf2iinfozf2_bglt
																																BgL_obj3208z00_1351;
																															BgL_obj3208z00_1351
																																=
																																(BgL_sfunzf2iinfozf2_bglt)
																																(BgL_fifz00_835);
																															{	/* Integrate/g.scm 107 */
																																obj_t
																																	BgL_auxz00_1578;
																																{
																																	obj_t
																																		BgL_auxz00_1579;
																																	{	/* Integrate/g.scm 107 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_1580;
																																		BgL_auxz00_1580
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_obj3208z00_1351);
																																		BgL_auxz00_1579
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_auxz00_1580);
																																	}
																																	BgL_auxz00_1578
																																		=
																																		(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1579))->BgL_istampz00);
																																}
																																BgL_auxz00_1576
																																	=
																																	(long)
																																	CINT
																																	(BgL_auxz00_1578);
																														}}
																														BgL_stopzf3zf3_872 =
																															(BgL_auxz00_1576
																															<=
																															BgL_stampz00_817);
																													}
																												else
																													{	/* Integrate/g.scm 105 */
																														BgL_stopzf3zf3_872 =
																															((bool_t) 0);
																													}
																											}
																										else
																											{	/* Integrate/g.scm 103 */
																												BgL_stopzf3zf3_872 =
																													((bool_t) 0);
																											}
																										{	/* Integrate/g.scm 114 */
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_obj3210z00_1354;
																											obj_t BgL_val3209z00_1355;

																											BgL_obj3210z00_1354 =
																												(BgL_sfunzf2iinfozf2_bglt)
																												(BgL_fifz00_835);
																											BgL_val3209z00_1355 =
																												BINT(BgL_stampz00_817);
																											{
																												obj_t BgL_auxz00_1588;

																												{	/* Integrate/g.scm 114 */
																													BgL_objectz00_bglt
																														BgL_auxz00_1589;
																													BgL_auxz00_1589 =
																														(BgL_objectz00_bglt)
																														(BgL_obj3210z00_1354);
																													BgL_auxz00_1588 =
																														BGL_OBJECT_WIDENING
																														(BgL_auxz00_1589);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1588))->BgL_istampz00) = ((obj_t) BgL_val3209z00_1355), BUNSPEC);
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1595;
																											obj_t BgL_ctz00_1593;

																											BgL_ctz00_1593 =
																												CDR(BgL_ctz00_837);
																											BgL_stopzf3zf3_1595 =
																												BgL_stopzf3zf3_872;
																											BgL_stopzf3zf3_838 =
																												BgL_stopzf3zf3_1595;
																											BgL_ctz00_837 =
																												BgL_ctz00_1593;
																											goto BgL_laapz00_840;
																										}
																									}
																							}
																					}
																			}
																	}
															}
														}
													}
											}
										}
									}
								}
							}
					}
			}
		}
	}



/* _G! */
	obj_t BGl__Gz12z12zzintegrate_gz00(obj_t BgL_envz00_1371,
		obj_t BgL_gzf2cnzf2_1372)
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 32 */
			return BGl_Gz12z12zzintegrate_gz00(BgL_gzf2cnzf2_1372);
		}
	}



/* integrate-remaining-local-functions! */
	bool_t BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 143 */
			{
				obj_t BgL_l3274z00_880;

				BgL_l3274z00_880 = BGl_za2phiza2z00zzintegrate_az00;
			BgL_forzd2each3275zd2_881:
				if (PAIRP(BgL_l3274z00_880))
					{	/* Integrate/g.scm 144 */
						{	/* Integrate/g.scm 145 */
							obj_t BgL_fz00_883;

							BgL_fz00_883 = CAR(BgL_l3274z00_880);
							{	/* Integrate/g.scm 145 */
								bool_t BgL_testz00_1600;

								if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_883,
										BGl_localz00zzast_varz00))
									{	/* Integrate/g.scm 146 */
										bool_t BgL_testz00_1603;

										{	/* Integrate/g.scm 146 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3198z00_1361;

											{	/* Integrate/g.scm 146 */
												BgL_variablez00_bglt BgL_obj1387z00_1360;

												BgL_obj1387z00_1360 =
													(BgL_variablez00_bglt) (BgL_fz00_883);
												{	/* Integrate/g.scm 146 */
													BgL_valuez00_bglt BgL_auxz00_1605;

													BgL_auxz00_1605 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1387z00_1360))->BgL_valuez00);
													BgL_obj3198z00_1361 =
														(BgL_sfunzf2iinfozf2_bglt) (BgL_auxz00_1605);
												}
											}
											{
												obj_t BgL_auxz00_1608;

												{	/* Integrate/g.scm 146 */
													BgL_objectz00_bglt BgL_auxz00_1609;

													BgL_auxz00_1609 =
														(BgL_objectz00_bglt) (BgL_obj3198z00_1361);
													BgL_auxz00_1608 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1609);
												}
												BgL_testz00_1603 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1608))->
													BgL_gzf3zf3);
											}
										}
										if (BgL_testz00_1603)
											{	/* Integrate/g.scm 146 */
												BgL_testz00_1600 = ((bool_t) 0);
											}
										else
											{	/* Integrate/g.scm 147 */
												bool_t BgL_testz00_1613;

												{	/* Integrate/g.scm 147 */
													obj_t BgL_arg3325z00_891;

													{	/* Integrate/g.scm 147 */
														BgL_sfunzf2iinfozf2_bglt BgL_obj3201z00_1363;

														{	/* Integrate/g.scm 147 */
															BgL_variablez00_bglt BgL_obj1387z00_1362;

															BgL_obj1387z00_1362 =
																(BgL_variablez00_bglt) (BgL_fz00_883);
															{	/* Integrate/g.scm 147 */
																BgL_valuez00_bglt BgL_auxz00_1615;

																BgL_auxz00_1615 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_1362))->BgL_valuez00);
																BgL_obj3201z00_1363 =
																	(BgL_sfunzf2iinfozf2_bglt) (BgL_auxz00_1615);
															}
														}
														{
															obj_t BgL_auxz00_1618;

															{	/* Integrate/g.scm 147 */
																BgL_objectz00_bglt BgL_auxz00_1619;

																BgL_auxz00_1619 =
																	(BgL_objectz00_bglt) (BgL_obj3201z00_1363);
																BgL_auxz00_1618 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1619);
															}
															BgL_arg3325z00_891 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1618))->BgL_lz00);
														}
													}
													BgL_testz00_1613 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3325z00_891,
														BGl_variablez00zzast_varz00);
												}
												if (BgL_testz00_1613)
													{	/* Integrate/g.scm 147 */
														BgL_testz00_1600 = ((bool_t) 0);
													}
												else
													{	/* Integrate/g.scm 147 */
														BgL_testz00_1600 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Integrate/g.scm 145 */
										BgL_testz00_1600 = ((bool_t) 0);
									}
								if (BgL_testz00_1600)
									{	/* Integrate/g.scm 145 */
										{	/* Integrate/g.scm 153 */
											BgL_valuez00_bglt BgL_arg3319z00_885;
											obj_t BgL_arg3320z00_886;

											{	/* Integrate/g.scm 153 */
												BgL_variablez00_bglt BgL_obj1387z00_1365;

												BgL_obj1387z00_1365 =
													(BgL_variablez00_bglt) (BgL_fz00_883);
												BgL_arg3319z00_885 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1365))->
													BgL_valuez00);
											}
											{	/* Integrate/g.scm 154 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3165z00_1367;

												{	/* Integrate/g.scm 154 */
													BgL_variablez00_bglt BgL_obj1387z00_1366;

													BgL_obj1387z00_1366 =
														(BgL_variablez00_bglt) (BgL_fz00_883);
													{	/* Integrate/g.scm 154 */
														BgL_valuez00_bglt BgL_auxz00_1627;

														BgL_auxz00_1627 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1387z00_1366))->BgL_valuez00);
														BgL_obj3165z00_1367 =
															(BgL_sfunzf2iinfozf2_bglt) (BgL_auxz00_1627);
													}
												}
												{
													obj_t BgL_auxz00_1630;

													{	/* Integrate/g.scm 154 */
														BgL_objectz00_bglt BgL_auxz00_1631;

														BgL_auxz00_1631 =
															(BgL_objectz00_bglt) (BgL_obj3165z00_1367);
														BgL_auxz00_1630 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1631);
													}
													BgL_arg3320z00_886 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1630))->BgL_ownerz00);
												}
											}
											{	/* Integrate/g.scm 153 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3204z00_1368;
												obj_t BgL_val3202z00_1369;

												BgL_obj3204z00_1368 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_arg3319z00_885);
												BgL_val3202z00_1369 = BgL_arg3320z00_886;
												{
													obj_t BgL_auxz00_1636;

													{	/* Integrate/g.scm 153 */
														BgL_objectz00_bglt BgL_auxz00_1637;

														BgL_auxz00_1637 =
															(BgL_objectz00_bglt) (BgL_obj3204z00_1368);
														BgL_auxz00_1636 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1637);
													}
													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1636))->
															BgL_lz00) =
														((obj_t) BgL_val3202z00_1369), BUNSPEC);
												}
											}
										}
									}
								else
									{	/* Integrate/g.scm 145 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3274z00_1641;

							BgL_l3274z00_1641 = CDR(BgL_l3274z00_880);
							BgL_l3274z00_880 = BgL_l3274z00_1641;
							goto BgL_forzd2each3275zd2_881;
						}
					}
				else
					{	/* Integrate/g.scm 144 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 408271643),
				BSTRING_TO_STRING(BGl_string3381z00zzintegrate_gz00));
		}
	}

#ifdef __cplusplus
}
#endif
