/*===========================================================================*/
/*   (Integrate/kk.scm)                                                      */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/kk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__Kz12z12zzintegrate_kkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_kkz00();
	BGL_EXPORTED_DECL obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzintegrate_kkz00();
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kkz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
	static obj_t BGl_Kze21z12zf0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_Kze22z12zf0zzintegrate_kkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
	static obj_t BGl__Kza2z12zb0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kza2z12zd2envz62zzintegrate_kkz00,
		BgL_bgl__kza7a2za712za7b0za7za7int3378za7, BGl__Kza2z12zb0zzintegrate_kkz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kz12zd2envzc0zzintegrate_kkz00,
		BgL_bgl__kza712za712za7za7integr3379z00, BGl__Kz12z12zzintegrate_kkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3374z00zzintegrate_kkz00,
		BgL_bgl_string3374za700za7za7i3380za7, "integrate_kk", 12);
	      DEFINE_STRING(BGl_string3375z00zzintegrate_kkz00,
		BgL_bgl_string3375za700za7za7i3381za7, "tail bottom ", 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long
		BgL_checksumz00_1402, char *BgL_fromz00_1403)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
					BGl_cnstzd2initzd2zzintegrate_kkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_kk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_kk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			{	/* Integrate/kk.scm 15 */
				obj_t BgL_cportz00_1394;

				BgL_cportz00_1394 =
					bgl_open_input_string(BGl_string3375z00zzintegrate_kkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1395;

					BgL_iz00_1395 = ((long) 1);
				BgL_loopz00_1396:
					if ((BgL_iz00_1395 == ((long) -1)))
						{	/* Integrate/kk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/kk.scm 15 */
							{	/* Integrate/kk.scm 15 */
								obj_t BgL_arg3377z00_1398;

								{	/* Integrate/kk.scm 15 */

									{	/* Integrate/kk.scm 15 */
										obj_t BgL_locationz00_1400;

										BgL_locationz00_1400 = BBOOL(((bool_t) 0));
										{	/* Integrate/kk.scm 15 */

											BgL_arg3377z00_1398 =
												BGl_readz00zz__readerz00(BgL_cportz00_1394,
												BgL_locationz00_1400);
										}
									}
								}
								{	/* Integrate/kk.scm 15 */
									int BgL_auxz00_1418;

									BgL_auxz00_1418 = (int) (BgL_iz00_1395);
									CNST_TABLE_SET(BgL_auxz00_1418, BgL_arg3377z00_1398);
							}}
							{	/* Integrate/kk.scm 15 */
								int BgL_auxz00_1401;

								BgL_auxz00_1401 = (int) ((BgL_iz00_1395 - ((long) 1)));
								{
									long BgL_iz00_1423;

									BgL_iz00_1423 = (long) (BgL_auxz00_1401);
									BgL_iz00_1395 = BgL_iz00_1423;
									goto BgL_loopz00_1396;
								}
							}
						}
				}
			}
		}
	}



/* K! */
	BGL_EXPORTED_DEF obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t BgL_az00_1,
		BgL_globalz00_bglt BgL_varz00_2)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 44 */
			{	/* Integrate/kk.scm 50 */
				BgL_valuez00_bglt BgL_ifunz00_822;

				{	/* Integrate/kk.scm 50 */
					BgL_variablez00_bglt BgL_obj1387z00_1307;

					BgL_obj1387z00_1307 = (BgL_variablez00_bglt) (BgL_varz00_2);
					BgL_ifunz00_822 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1307))->BgL_valuez00);
				}
				{	/* Integrate/kk.scm 51 */
					obj_t BgL_arg3271z00_823;

					{	/* Integrate/kk.scm 51 */
						obj_t BgL_list3272z00_824;

						BgL_list3272z00_824 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						BgL_arg3271z00_823 = BgL_list3272z00_824;
					}
					{	/* Integrate/kk.scm 51 */
						BgL_sfunzf2iinfozf2_bglt BgL_obj3182z00_1310;
						obj_t BgL_val3181z00_1311;

						BgL_obj3182z00_1310 = (BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_822);
						BgL_val3181z00_1311 = BgL_arg3271z00_823;
						{
							obj_t BgL_auxz00_1430;

							{	/* Integrate/kk.scm 51 */
								BgL_objectz00_bglt BgL_auxz00_1431;

								BgL_auxz00_1431 = (BgL_objectz00_bglt) (BgL_obj3182z00_1310);
								BgL_auxz00_1430 = BGL_OBJECT_WIDENING(BgL_auxz00_1431);
							}
							((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1430))->BgL_kz00) =
								((obj_t) BgL_val3181z00_1311), BUNSPEC);
				}}}
				{	/* Integrate/kk.scm 52 */
					obj_t BgL_arg3273z00_825;

					{	/* Integrate/kk.scm 52 */
						obj_t BgL_list3274z00_826;

						BgL_list3274z00_826 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
						BgL_arg3273z00_825 = BgL_list3274z00_826;
					}
					{	/* Integrate/kk.scm 52 */
						BgL_sfunzf2iinfozf2_bglt BgL_obj3185z00_1314;
						obj_t BgL_val3184z00_1315;

						BgL_obj3185z00_1314 = (BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_822);
						BgL_val3184z00_1315 = BgL_arg3273z00_825;
						{
							obj_t BgL_auxz00_1438;

							{	/* Integrate/kk.scm 52 */
								BgL_objectz00_bglt BgL_auxz00_1439;

								BgL_auxz00_1439 = (BgL_objectz00_bglt) (BgL_obj3185z00_1314);
								BgL_auxz00_1438 = BGL_OBJECT_WIDENING(BgL_auxz00_1439);
							}
							((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1438))->
									BgL_kza2za2) = ((obj_t) BgL_val3184z00_1315), BUNSPEC);
				}}}
				return
					BGl_Kze22z12zf0zzintegrate_kkz00(BgL_az00_1,
					BGl_Kze21z12zf0zzintegrate_kkz00(BgL_az00_1, BNIL));
			}
		}
	}



/* _K! */
	obj_t BGl__Kz12z12zzintegrate_kkz00(obj_t BgL_envz00_1389,
		obj_t BgL_az00_1390, obj_t BgL_varz00_1391)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 44 */
			return
				BGl_Kz12z12zzintegrate_kkz00(BgL_az00_1390,
				(BgL_globalz00_bglt) (BgL_varz00_1391));
		}
	}



/* K.1! */
	obj_t BGl_Kze21z12zf0zzintegrate_kkz00(obj_t BgL_az00_3,
		obj_t BgL_azd2tailzd2_4)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 58 */
		BGl_Kze21z12zf0zzintegrate_kkz00:
			if (NULLP(BgL_az00_3))
				{	/* Integrate/kk.scm 60 */
					return BgL_azd2tailzd2_4;
				}
			else
				{	/* Integrate/kk.scm 62 */
					obj_t BgL_prz00_829;

					BgL_prz00_829 = CAR(BgL_az00_3);
					{	/* Integrate/kk.scm 62 */
						obj_t BgL_fz00_830;

						BgL_fz00_830 = CAR(BgL_prz00_829);
						{	/* Integrate/kk.scm 63 */
							obj_t BgL_gz00_831;

							{	/* Integrate/kk.scm 64 */
								obj_t BgL_pairz00_1319;

								BgL_pairz00_1319 = BgL_prz00_829;
								BgL_gz00_831 = CAR(CDR(BgL_pairz00_1319));
							}
							{	/* Integrate/kk.scm 64 */
								obj_t BgL_kz00_832;

								{	/* Integrate/kk.scm 65 */
									obj_t BgL_pairz00_1323;

									BgL_pairz00_1323 = BgL_prz00_829;
									BgL_kz00_832 = CAR(CDR(CDR(BgL_pairz00_1323)));
								}
								{	/* Integrate/kk.scm 65 */

									if ((BgL_kz00_832 == CNST_TABLE_REF(((long) 1))))
										{	/* Integrate/kk.scm 67 */
											if ((BgL_fz00_830 == BgL_gz00_831))
												{
													obj_t BgL_az00_1461;

													BgL_az00_1461 = CDR(BgL_az00_3);
													BgL_az00_3 = BgL_az00_1461;
													goto BGl_Kze21z12zf0zzintegrate_kkz00;
												}
											else
												{	/* Integrate/kk.scm 70 */
													obj_t BgL_arg3280z00_836;
													obj_t BgL_arg3281z00_837;

													BgL_arg3280z00_836 = CDR(BgL_az00_3);
													BgL_arg3281z00_837 =
														MAKE_PAIR(BgL_prz00_829, BgL_azd2tailzd2_4);
													{
														obj_t BgL_azd2tailzd2_1466;
														obj_t BgL_az00_1465;

														BgL_az00_1465 = BgL_arg3280z00_836;
														BgL_azd2tailzd2_1466 = BgL_arg3281z00_837;
														BgL_azd2tailzd2_4 = BgL_azd2tailzd2_1466;
														BgL_az00_3 = BgL_az00_1465;
														goto BGl_Kze21z12zf0zzintegrate_kkz00;
													}
												}
										}
									else
										{	/* Integrate/kk.scm 72 */
											BgL_valuez00_bglt BgL_ifunz00_838;

											{	/* Integrate/kk.scm 72 */
												BgL_variablez00_bglt BgL_obj1387z00_1331;

												BgL_obj1387z00_1331 =
													(BgL_variablez00_bglt) (BgL_gz00_831);
												BgL_ifunz00_838 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1331))->
													BgL_valuez00);
											}
											{	/* Integrate/kk.scm 73 */
												bool_t BgL_testz00_1469;

												{	/* Integrate/kk.scm 73 */
													obj_t BgL_auxz00_1470;

													{	/* Integrate/kk.scm 73 */
														obj_t BgL_auxz00_1471;

														{	/* Integrate/kk.scm 73 */
															BgL_sfunzf2iinfozf2_bglt BgL_obj3180z00_1332;

															BgL_obj3180z00_1332 =
																(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_838);
															{
																obj_t BgL_auxz00_1473;

																{	/* Integrate/kk.scm 73 */
																	BgL_objectz00_bglt BgL_auxz00_1474;

																	BgL_auxz00_1474 =
																		(BgL_objectz00_bglt) (BgL_obj3180z00_1332);
																	BgL_auxz00_1473 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1474);
																}
																BgL_auxz00_1471 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_1473))->BgL_kz00);
															}
														}
														BgL_auxz00_1470 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_kz00_832, BgL_auxz00_1471);
													}
													BgL_testz00_1469 = CBOOL(BgL_auxz00_1470);
												}
												if (BgL_testz00_1469)
													{
														obj_t BgL_az00_1480;

														BgL_az00_1480 = CDR(BgL_az00_3);
														BgL_az00_3 = BgL_az00_1480;
														goto BGl_Kze21z12zf0zzintegrate_kkz00;
													}
												else
													{	/* Integrate/kk.scm 73 */
														{	/* Integrate/kk.scm 76 */
															obj_t BgL_arg3284z00_841;

															{	/* Integrate/kk.scm 76 */
																obj_t BgL_arg3285z00_842;

																{	/* Integrate/kk.scm 76 */
																	BgL_sfunzf2iinfozf2_bglt BgL_obj3180z00_1334;

																	BgL_obj3180z00_1334 =
																		(BgL_sfunzf2iinfozf2_bglt)
																		(BgL_ifunz00_838);
																	{
																		obj_t BgL_auxz00_1483;

																		{	/* Integrate/kk.scm 76 */
																			BgL_objectz00_bglt BgL_auxz00_1484;

																			BgL_auxz00_1484 =
																				(BgL_objectz00_bglt)
																				(BgL_obj3180z00_1334);
																			BgL_auxz00_1483 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1484);
																		}
																		BgL_arg3285z00_842 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1483))->BgL_kz00);
																	}
																}
																BgL_arg3284z00_841 =
																	MAKE_PAIR(BgL_kz00_832, BgL_arg3285z00_842);
															}
															{	/* Integrate/kk.scm 76 */
																BgL_sfunzf2iinfozf2_bglt BgL_obj3182z00_1335;
																obj_t BgL_val3181z00_1336;

																BgL_obj3182z00_1335 =
																	(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_838);
																BgL_val3181z00_1336 = BgL_arg3284z00_841;
																{
																	obj_t BgL_auxz00_1490;

																	{	/* Integrate/kk.scm 76 */
																		BgL_objectz00_bglt BgL_auxz00_1491;

																		BgL_auxz00_1491 =
																			(BgL_objectz00_bglt)
																			(BgL_obj3182z00_1335);
																		BgL_auxz00_1490 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1491);
																	}
																	((((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1490))->BgL_kz00) =
																		((obj_t) BgL_val3181z00_1336), BUNSPEC);
																}
															}
														}
														{	/* Integrate/kk.scm 77 */
															obj_t BgL_arg3286z00_843;

															{	/* Integrate/kk.scm 77 */
																obj_t BgL_arg3287z00_844;

																{	/* Integrate/kk.scm 77 */
																	BgL_sfunzf2iinfozf2_bglt BgL_obj3183z00_1337;

																	BgL_obj3183z00_1337 =
																		(BgL_sfunzf2iinfozf2_bglt)
																		(BgL_ifunz00_838);
																	{
																		obj_t BgL_auxz00_1496;

																		{	/* Integrate/kk.scm 77 */
																			BgL_objectz00_bglt BgL_auxz00_1497;

																			BgL_auxz00_1497 =
																				(BgL_objectz00_bglt)
																				(BgL_obj3183z00_1337);
																			BgL_auxz00_1496 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1497);
																		}
																		BgL_arg3287z00_844 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1496))->BgL_kza2za2);
																	}
																}
																BgL_arg3286z00_843 =
																	MAKE_PAIR(BgL_kz00_832, BgL_arg3287z00_844);
															}
															{	/* Integrate/kk.scm 77 */
																BgL_sfunzf2iinfozf2_bglt BgL_obj3185z00_1338;
																obj_t BgL_val3184z00_1339;

																BgL_obj3185z00_1338 =
																	(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_838);
																BgL_val3184z00_1339 = BgL_arg3286z00_843;
																{
																	obj_t BgL_auxz00_1503;

																	{	/* Integrate/kk.scm 77 */
																		BgL_objectz00_bglt BgL_auxz00_1504;

																		BgL_auxz00_1504 =
																			(BgL_objectz00_bglt)
																			(BgL_obj3185z00_1338);
																		BgL_auxz00_1503 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1504);
																	}
																	((((BgL_sfunzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1503))->BgL_kza2za2) =
																		((obj_t) BgL_val3184z00_1339), BUNSPEC);
																}
															}
														}
														{
															obj_t BgL_az00_1508;

															BgL_az00_1508 = CDR(BgL_az00_3);
															BgL_az00_3 = BgL_az00_1508;
															goto BGl_Kze21z12zf0zzintegrate_kkz00;
														}
													}
											}
										}
								}
							}
						}
					}
				}
		}
	}



/* K.2! */
	obj_t BGl_Kze22z12zf0zzintegrate_kkz00(obj_t BgL_az00_5,
		obj_t BgL_azd2tailzd2_6)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 83 */
			{
				bool_t BgL_continuez00_847;

				BgL_continuez00_847 = ((bool_t) 1);
			BgL_loopz00_848:
				if (BgL_continuez00_847)
					{
						obj_t BgL_atz00_849;
						bool_t BgL_continuez00_850;

						BgL_atz00_849 = BgL_azd2tailzd2_6;
						BgL_continuez00_850 = ((bool_t) 0);
					BgL_liipz00_851:
						if (NULLP(BgL_atz00_849))
							{
								bool_t BgL_continuez00_1513;

								BgL_continuez00_1513 = BgL_continuez00_850;
								BgL_continuez00_847 = BgL_continuez00_1513;
								goto BgL_loopz00_848;
							}
						else
							{	/* Integrate/kk.scm 95 */
								BgL_valuez00_bglt BgL_ifunz00_853;

								{	/* Integrate/kk.scm 95 */
									BgL_variablez00_bglt BgL_obj1387z00_1344;

									{	/* Integrate/kk.scm 95 */
										obj_t BgL_auxz00_1514;

										BgL_auxz00_1514 = CAR(CAR(BgL_atz00_849));
										BgL_obj1387z00_1344 =
											(BgL_variablez00_bglt) (BgL_auxz00_1514);
									}
									BgL_ifunz00_853 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1344))->
										BgL_valuez00);
								}
								{	/* Integrate/kk.scm 96 */
									bool_t BgL_testz00_1519;

									{	/* Integrate/kk.scm 96 */
										obj_t BgL_auxz00_1520;

										{	/* Integrate/kk.scm 96 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3180z00_1345;

											BgL_obj3180z00_1345 =
												(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_853);
											{
												obj_t BgL_auxz00_1522;

												{	/* Integrate/kk.scm 96 */
													BgL_objectz00_bglt BgL_auxz00_1523;

													BgL_auxz00_1523 =
														(BgL_objectz00_bglt) (BgL_obj3180z00_1345);
													BgL_auxz00_1522 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1523);
												}
												BgL_auxz00_1520 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1522))->
													BgL_kz00);
											}
										}
										BgL_testz00_1519 = NULLP(BgL_auxz00_1520);
									}
									if (BgL_testz00_1519)
										{
											obj_t BgL_atz00_1528;

											BgL_atz00_1528 = CDR(BgL_atz00_849);
											BgL_atz00_849 = BgL_atz00_1528;
											goto BgL_liipz00_851;
										}
									else
										{	/* Integrate/kk.scm 98 */
											obj_t BgL_gz00_856;

											{	/* Integrate/kk.scm 98 */
												obj_t BgL_pairz00_1349;

												BgL_pairz00_1349 = CAR(BgL_atz00_849);
												BgL_gz00_856 = CAR(CDR(BgL_pairz00_1349));
											}
											{	/* Integrate/kk.scm 98 */
												BgL_valuez00_bglt BgL_gifunz00_857;

												{	/* Integrate/kk.scm 99 */
													BgL_variablez00_bglt BgL_obj1387z00_1353;

													BgL_obj1387z00_1353 =
														(BgL_variablez00_bglt) (BgL_gz00_856);
													BgL_gifunz00_857 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1387z00_1353))->BgL_valuez00);
												}
												{	/* Integrate/kk.scm 99 */

													{	/* Integrate/kk.scm 100 */
														obj_t BgL_g3269z00_858;

														{	/* Integrate/kk.scm 100 */
															BgL_sfunzf2iinfozf2_bglt BgL_obj3180z00_1354;

															BgL_obj3180z00_1354 =
																(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_853);
															{
																obj_t BgL_auxz00_1536;

																{	/* Integrate/kk.scm 100 */
																	BgL_objectz00_bglt BgL_auxz00_1537;

																	BgL_auxz00_1537 =
																		(BgL_objectz00_bglt) (BgL_obj3180z00_1354);
																	BgL_auxz00_1536 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1537);
																}
																BgL_g3269z00_858 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_1536))->BgL_kz00);
															}
														}
														{
															obj_t BgL_ksz00_859;
															bool_t BgL_continuez00_860;

															BgL_ksz00_859 = BgL_g3269z00_858;
															BgL_continuez00_860 = BgL_continuez00_850;
														BgL_laapz00_861:
															if (NULLP(BgL_ksz00_859))
																{
																	bool_t BgL_continuez00_1545;
																	obj_t BgL_atz00_1543;

																	BgL_atz00_1543 = CDR(BgL_atz00_849);
																	BgL_continuez00_1545 = BgL_continuez00_860;
																	BgL_continuez00_850 = BgL_continuez00_1545;
																	BgL_atz00_849 = BgL_atz00_1543;
																	goto BgL_liipz00_851;
																}
															else
																{	/* Integrate/kk.scm 107 */
																	obj_t BgL_kz00_864;

																	BgL_kz00_864 = CAR(BgL_ksz00_859);
																	{	/* Integrate/kk.scm 108 */
																		bool_t BgL_testz00_1547;

																		{	/* Integrate/kk.scm 108 */
																			obj_t BgL_auxz00_1548;

																			{	/* Integrate/kk.scm 108 */
																				obj_t BgL_auxz00_1549;

																				{	/* Integrate/kk.scm 108 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3180z00_1358;
																					BgL_obj3180z00_1358 =
																						(BgL_sfunzf2iinfozf2_bglt)
																						(BgL_gifunz00_857);
																					{
																						obj_t BgL_auxz00_1551;

																						{	/* Integrate/kk.scm 108 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1552;
																							BgL_auxz00_1552 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3180z00_1358);
																							BgL_auxz00_1551 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1552);
																						}
																						BgL_auxz00_1549 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1551))->
																							BgL_kz00);
																					}
																				}
																				BgL_auxz00_1548 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(BgL_kz00_864, BgL_auxz00_1549);
																			}
																			BgL_testz00_1547 = CBOOL(BgL_auxz00_1548);
																		}
																		if (BgL_testz00_1547)
																			{
																				obj_t BgL_ksz00_1558;

																				BgL_ksz00_1558 = CDR(BgL_ksz00_859);
																				BgL_ksz00_859 = BgL_ksz00_1558;
																				goto BgL_laapz00_861;
																			}
																		else
																			{	/* Integrate/kk.scm 108 */
																				{	/* Integrate/kk.scm 113 */
																					obj_t BgL_arg3297z00_867;

																					{	/* Integrate/kk.scm 113 */
																						obj_t BgL_arg3298z00_868;

																						{	/* Integrate/kk.scm 113 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3180z00_1360;
																							BgL_obj3180z00_1360 =
																								(BgL_sfunzf2iinfozf2_bglt)
																								(BgL_gifunz00_857);
																							{
																								obj_t BgL_auxz00_1561;

																								{	/* Integrate/kk.scm 113 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1562;
																									BgL_auxz00_1562 =
																										(BgL_objectz00_bglt)
																										(BgL_obj3180z00_1360);
																									BgL_auxz00_1561 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1562);
																								}
																								BgL_arg3298z00_868 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1561))->
																									BgL_kz00);
																							}
																						}
																						BgL_arg3297z00_867 =
																							MAKE_PAIR(BgL_kz00_864,
																							BgL_arg3298z00_868);
																					}
																					{	/* Integrate/kk.scm 111 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3182z00_1361;
																						obj_t BgL_val3181z00_1362;

																						BgL_obj3182z00_1361 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_gifunz00_857);
																						BgL_val3181z00_1362 =
																							BgL_arg3297z00_867;
																						{
																							obj_t BgL_auxz00_1568;

																							{	/* Integrate/kk.scm 111 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1569;
																								BgL_auxz00_1569 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3182z00_1361);
																								BgL_auxz00_1568 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1569);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1568))->
																									BgL_kz00) =
																								((obj_t) BgL_val3181z00_1362),
																								BUNSPEC);
																						}
																					}
																				}
																				{	/* Integrate/kk.scm 116 */
																					obj_t BgL_arg3299z00_869;

																					{	/* Integrate/kk.scm 116 */
																						obj_t BgL_arg3300z00_870;

																						{	/* Integrate/kk.scm 116 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3183z00_1363;
																							BgL_obj3183z00_1363 =
																								(BgL_sfunzf2iinfozf2_bglt)
																								(BgL_gifunz00_857);
																							{
																								obj_t BgL_auxz00_1574;

																								{	/* Integrate/kk.scm 116 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1575;
																									BgL_auxz00_1575 =
																										(BgL_objectz00_bglt)
																										(BgL_obj3183z00_1363);
																									BgL_auxz00_1574 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1575);
																								}
																								BgL_arg3300z00_870 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1574))->
																									BgL_kza2za2);
																							}
																						}
																						BgL_arg3299z00_869 =
																							MAKE_PAIR(BgL_kz00_864,
																							BgL_arg3300z00_870);
																					}
																					{	/* Integrate/kk.scm 114 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3185z00_1364;
																						obj_t BgL_val3184z00_1365;

																						BgL_obj3185z00_1364 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_gifunz00_857);
																						BgL_val3184z00_1365 =
																							BgL_arg3299z00_869;
																						{
																							obj_t BgL_auxz00_1581;

																							{	/* Integrate/kk.scm 114 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1582;
																								BgL_auxz00_1582 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3185z00_1364);
																								BgL_auxz00_1581 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1582);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1581))->
																									BgL_kza2za2) =
																								((obj_t) BgL_val3184z00_1365),
																								BUNSPEC);
																						}
																					}
																				}
																				{
																					bool_t BgL_continuez00_1588;
																					obj_t BgL_ksz00_1586;

																					BgL_ksz00_1586 = CDR(BgL_ksz00_859);
																					BgL_continuez00_1588 = ((bool_t) 1);
																					BgL_continuez00_860 =
																						BgL_continuez00_1588;
																					BgL_ksz00_859 = BgL_ksz00_1586;
																					goto BgL_laapz00_861;
																				}
																			}
																	}
																}
														}
													}
												}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 86 */
						return BgL_azd2tailzd2_6;
					}
			}
		}
	}



/* K*! */
	BGL_EXPORTED_DEF obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t
		BgL_azd2tailzd2_7)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 132 */
			{
				bool_t BgL_continuez00_877;

				BgL_continuez00_877 = ((bool_t) 1);
			BgL_loopz00_878:
				if (BgL_continuez00_877)
					{
						obj_t BgL_atz00_879;
						bool_t BgL_continuez00_880;

						BgL_atz00_879 = BgL_azd2tailzd2_7;
						BgL_continuez00_880 = ((bool_t) 0);
					BgL_liipz00_881:
						if (NULLP(BgL_atz00_879))
							{
								bool_t BgL_continuez00_1592;

								BgL_continuez00_1592 = BgL_continuez00_880;
								BgL_continuez00_877 = BgL_continuez00_1592;
								goto BgL_loopz00_878;
							}
						else
							{	/* Integrate/kk.scm 141 */
								BgL_valuez00_bglt BgL_ifunz00_883;

								{	/* Integrate/kk.scm 141 */
									BgL_variablez00_bglt BgL_obj1387z00_1373;

									{	/* Integrate/kk.scm 141 */
										obj_t BgL_auxz00_1593;

										{	/* Integrate/kk.scm 141 */
											obj_t BgL_pairz00_1369;

											BgL_pairz00_1369 = CAR(BgL_atz00_879);
											BgL_auxz00_1593 = CAR(CDR(BgL_pairz00_1369));
										}
										BgL_obj1387z00_1373 =
											(BgL_variablez00_bglt) (BgL_auxz00_1593);
									}
									BgL_ifunz00_883 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1373))->
										BgL_valuez00);
								}
								{	/* Integrate/kk.scm 142 */
									bool_t BgL_testz00_1599;

									{	/* Integrate/kk.scm 142 */
										obj_t BgL_auxz00_1600;

										{	/* Integrate/kk.scm 142 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3183z00_1374;

											BgL_obj3183z00_1374 =
												(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_883);
											{
												obj_t BgL_auxz00_1602;

												{	/* Integrate/kk.scm 142 */
													BgL_objectz00_bglt BgL_auxz00_1603;

													BgL_auxz00_1603 =
														(BgL_objectz00_bglt) (BgL_obj3183z00_1374);
													BgL_auxz00_1602 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1603);
												}
												BgL_auxz00_1600 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1602))->
													BgL_kza2za2);
											}
										}
										BgL_testz00_1599 = NULLP(BgL_auxz00_1600);
									}
									if (BgL_testz00_1599)
										{
											bool_t BgL_continuez00_1608;

											BgL_continuez00_1608 = BgL_continuez00_880;
											BgL_continuez00_877 = BgL_continuez00_1608;
											goto BgL_loopz00_878;
										}
									else
										{	/* Integrate/kk.scm 144 */
											obj_t BgL_g3270z00_885;

											{	/* Integrate/kk.scm 144 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3183z00_1376;

												BgL_obj3183z00_1376 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_ifunz00_883);
												{
													obj_t BgL_auxz00_1610;

													{	/* Integrate/kk.scm 144 */
														BgL_objectz00_bglt BgL_auxz00_1611;

														BgL_auxz00_1611 =
															(BgL_objectz00_bglt) (BgL_obj3183z00_1376);
														BgL_auxz00_1610 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1611);
													}
													BgL_g3270z00_885 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1610))->BgL_kza2za2);
												}
											}
											{
												obj_t BgL_ksz00_886;
												bool_t BgL_continuez00_887;

												BgL_ksz00_886 = BgL_g3270z00_885;
												BgL_continuez00_887 = BgL_continuez00_880;
											BgL_laapz00_888:
												if (NULLP(BgL_ksz00_886))
													{
														bool_t BgL_continuez00_1619;
														obj_t BgL_atz00_1617;

														BgL_atz00_1617 = CDR(BgL_atz00_879);
														BgL_continuez00_1619 = BgL_continuez00_887;
														BgL_continuez00_880 = BgL_continuez00_1619;
														BgL_atz00_879 = BgL_atz00_1617;
														goto BgL_liipz00_881;
													}
												else
													{	/* Integrate/kk.scm 148 */
														obj_t BgL_fz00_891;

														BgL_fz00_891 = CAR(CAR(BgL_atz00_879));
														{	/* Integrate/kk.scm 148 */
															BgL_valuez00_bglt BgL_fifunz00_892;

															{	/* Integrate/kk.scm 149 */
																BgL_variablez00_bglt BgL_obj1387z00_1381;

																BgL_obj1387z00_1381 =
																	(BgL_variablez00_bglt) (BgL_fz00_891);
																BgL_fifunz00_892 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_1381))->BgL_valuez00);
															}
															{	/* Integrate/kk.scm 149 */
																obj_t BgL_kz00_893;

																BgL_kz00_893 = CAR(BgL_ksz00_886);
																{	/* Integrate/kk.scm 150 */

																	{	/* Integrate/kk.scm 151 */
																		bool_t BgL_testz00_1625;

																		{	/* Integrate/kk.scm 151 */
																			obj_t BgL_auxz00_1626;

																			{	/* Integrate/kk.scm 151 */
																				obj_t BgL_auxz00_1627;

																				{	/* Integrate/kk.scm 151 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3183z00_1383;
																					BgL_obj3183z00_1383 =
																						(BgL_sfunzf2iinfozf2_bglt)
																						(BgL_fifunz00_892);
																					{
																						obj_t BgL_auxz00_1629;

																						{	/* Integrate/kk.scm 151 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1630;
																							BgL_auxz00_1630 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3183z00_1383);
																							BgL_auxz00_1629 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1630);
																						}
																						BgL_auxz00_1627 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1629))->
																							BgL_kza2za2);
																					}
																				}
																				BgL_auxz00_1626 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(BgL_kz00_893, BgL_auxz00_1627);
																			}
																			BgL_testz00_1625 = CBOOL(BgL_auxz00_1626);
																		}
																		if (BgL_testz00_1625)
																			{
																				obj_t BgL_ksz00_1636;

																				BgL_ksz00_1636 = CDR(BgL_ksz00_886);
																				BgL_ksz00_886 = BgL_ksz00_1636;
																				goto BgL_laapz00_888;
																			}
																		else
																			{	/* Integrate/kk.scm 151 */
																				{	/* Integrate/kk.scm 156 */
																					obj_t BgL_arg3313z00_896;

																					{	/* Integrate/kk.scm 156 */
																						obj_t BgL_arg3314z00_897;

																						{	/* Integrate/kk.scm 156 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3183z00_1385;
																							BgL_obj3183z00_1385 =
																								(BgL_sfunzf2iinfozf2_bglt)
																								(BgL_fifunz00_892);
																							{
																								obj_t BgL_auxz00_1639;

																								{	/* Integrate/kk.scm 156 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1640;
																									BgL_auxz00_1640 =
																										(BgL_objectz00_bglt)
																										(BgL_obj3183z00_1385);
																									BgL_auxz00_1639 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1640);
																								}
																								BgL_arg3314z00_897 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1639))->
																									BgL_kza2za2);
																							}
																						}
																						BgL_arg3313z00_896 =
																							MAKE_PAIR(BgL_kz00_893,
																							BgL_arg3314z00_897);
																					}
																					{	/* Integrate/kk.scm 154 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3185z00_1386;
																						obj_t BgL_val3184z00_1387;

																						BgL_obj3185z00_1386 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_fifunz00_892);
																						BgL_val3184z00_1387 =
																							BgL_arg3313z00_896;
																						{
																							obj_t BgL_auxz00_1646;

																							{	/* Integrate/kk.scm 154 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1647;
																								BgL_auxz00_1647 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3185z00_1386);
																								BgL_auxz00_1646 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1647);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1646))->
																									BgL_kza2za2) =
																								((obj_t) BgL_val3184z00_1387),
																								BUNSPEC);
																						}
																					}
																				}
																				{
																					bool_t BgL_continuez00_1653;
																					obj_t BgL_ksz00_1651;

																					BgL_ksz00_1651 = CDR(BgL_ksz00_886);
																					BgL_continuez00_1653 = ((bool_t) 1);
																					BgL_continuez00_887 =
																						BgL_continuez00_1653;
																					BgL_ksz00_886 = BgL_ksz00_1651;
																					goto BgL_laapz00_888;
																				}
																			}
																	}
																}
															}
														}
													}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 135 */
						return BNIL;
					}
			}
		}
	}



/* _K*! */
	obj_t BGl__Kza2z12zb0zzintegrate_kkz00(obj_t BgL_envz00_1392,
		obj_t BgL_azd2tailzd2_1393)
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 132 */
			return BGl_Kza2z12zb0zzintegrate_kkz00(BgL_azd2tailzd2_1393);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00()
	{
		AN_OBJECT;
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 408271643),
				BSTRING_TO_STRING(BGl_string3374z00zzintegrate_kkz00));
		}
	}

#ifdef __cplusplus
}
#endif
