/*===========================================================================*/
/*   (Module/include.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/include.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl__includezd2producerzd2zzmodule_includez00(obj_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	static obj_t BGl__includezd2consumer1357zd2zzmodule_includez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl__getzd2includezd2consumedzd2codezd2zzmodule_includez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
	static obj_t BGl_includezd2finaliza7erz75zzmodule_includez00();
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl__getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00(obj_t);
	static obj_t BGl__makezd2includezd2compilerz00zzmodule_includez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	static obj_t BGl_za2producedzd2codeza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_includez00();
	static obj_t BGl__includezd2finaliza7erz75zzmodule_includez00(obj_t);
	extern obj_t BGl_readzd2includezd2zzread_includez00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t
		BGl__resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzmodule_includez00();
	static obj_t BGl__getzd2toplevelzd2unitz00zzmodule_includez00(obj_t);
	static obj_t BGl_includezd2consumerzd2zzmodule_includez00(obj_t, obj_t);
	static obj_t BGl_includezd2producerzd2zzmodule_includez00(obj_t);
	static obj_t
		BGl__resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(obj_t);
	static obj_t BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	extern obj_t BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl__getzd2includezd2consumedzd2directivezd2zzmodule_includez00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_includez00();
	static obj_t BGl_methodzd2initzd2zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2includezd2compilerzd2envzd2zzmodule_includez00,
		BgL_bgl__makeza7d2includeza71364z00,
		BGl__makezd2includezd2compilerz00zzmodule_includez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1358z00zzmodule_includez00,
		BgL_bgl_string1358za700za7za7m1365za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1360z00zzmodule_includez00,
		BgL_bgl_string1360za700za7za7m1366za7, "module_include", 14);
	      DEFINE_STRING(BGl_string1359z00zzmodule_includez00,
		BgL_bgl_string1359za700za7za7m1367za7, "Illegal `include' clause", 24);
	      DEFINE_STRING(BGl_string1361z00zzmodule_includez00,
		BgL_bgl_string1361za700za7za7m1368za7, "unit toplevel include ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2includezd2consumedzd2codez12zd2envz12zzmodule_includez00,
		BgL_bgl__resetza7d2include1369za7,
		BGl__resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2includezd2consumedzd2directivezd2envz00zzmodule_includez00,
		BgL_bgl__getza7d2includeza7d1370z00,
		BGl__getzd2includezd2consumedzd2directivezd2zzmodule_includez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2finaliza7erzd2envza7zzmodule_includez00,
		BgL_bgl__includeza7d2final1371za7,
		BGl__includezd2finaliza7erz75zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2includezd2consumedzd2codezd2envz00zzmodule_includez00,
		BgL_bgl__getza7d2includeza7d1372z00,
		BGl__getzd2includezd2consumedzd2codezd2zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2consumerzd2envz00zzmodule_includez00,
		BgL_bgl__includeza7d2consu1373za7,
		BGl__includezd2consumer1357zd2zzmodule_includez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2toplevelzd2unitzd2envzd2zzmodule_includez00,
		BgL_bgl__getza7d2toplevelza71374z00,
		BGl__getzd2toplevelzd2unitz00zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2toplevelzd2unitzd2weightzd2envz00zzmodule_includez00,
		BgL_bgl__getza7d2toplevelza71375z00,
		BGl__getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2producerzd2envz00zzmodule_includez00,
		BgL_bgl__includeza7d2produ1376za7,
		BGl__includezd2producerzd2zzmodule_includez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2includezd2consumedzd2directivez12zd2envz12zzmodule_includez00,
		BgL_bgl__resetza7d2include1377za7,
		BGl__resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00, 0L,
		BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_includez00(long
		BgL_checksumz00_232, char *BgL_fromz00_233)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_includez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_includez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_includez00();
					BGl_cnstzd2initzd2zzmodule_includez00();
					BGl_importedzd2moduleszd2initz00zzmodule_includez00();
					BGl_toplevelzd2initzd2zzmodule_includez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_include");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			{	/* Module/include.scm 15 */
				obj_t BgL_cportz00_224;

				BgL_cportz00_224 =
					bgl_open_input_string(BGl_string1361z00zzmodule_includez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_225;

					BgL_iz00_225 = ((long) 2);
				BgL_loopz00_226:
					if ((BgL_iz00_225 == ((long) -1)))
						{	/* Module/include.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/include.scm 15 */
							{	/* Module/include.scm 15 */
								obj_t BgL_arg1363z00_228;

								{	/* Module/include.scm 15 */

									{	/* Module/include.scm 15 */
										obj_t BgL_locationz00_230;

										BgL_locationz00_230 = BBOOL(((bool_t) 0));
										{	/* Module/include.scm 15 */

											BgL_arg1363z00_228 =
												BGl_readz00zz__readerz00(BgL_cportz00_224,
												BgL_locationz00_230);
										}
									}
								}
								{	/* Module/include.scm 15 */
									int BgL_auxz00_249;

									BgL_auxz00_249 = (int) (BgL_iz00_225);
									CNST_TABLE_SET(BgL_auxz00_249, BgL_arg1363z00_228);
							}}
							{	/* Module/include.scm 15 */
								int BgL_auxz00_231;

								BgL_auxz00_231 = (int) ((BgL_iz00_225 - ((long) 1)));
								{
									long BgL_iz00_254;

									BgL_iz00_254 = (long) (BgL_auxz00_231);
									BgL_iz00_225 = BgL_iz00_254;
									goto BgL_loopz00_226;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_za2producedzd2codeza2zd2zzmodule_includez00 = BNIL;
			BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 = BNIL;
			BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BNIL;
			return (BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 =
				BFALSE, BUNSPEC);
		}
	}



/* make-include-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 31 */
			{	/* Module/include.scm 32 */
				BgL_ccompz00_bglt BgL_auxz00_256;

				BgL_auxz00_256 =
					BGl_makezd2ccompzd2zzmodule_modulez00(CNST_TABLE_REF(((long) 0)),
					BGl_includezd2producerzd2envz00zzmodule_includez00,
					BGl_includezd2consumerzd2envz00zzmodule_includez00,
					BGl_includezd2finaliza7erzd2envza7zzmodule_includez00);
				return (obj_t) (BgL_auxz00_256);
			}
		}
	}



/* _make-include-compiler */
	obj_t BGl__makezd2includezd2compilerz00zzmodule_includez00(obj_t
		BgL_envz00_210)
	{
		AN_OBJECT;
		{	/* Module/include.scm 31 */
			return BGl_makezd2includezd2compilerz00zzmodule_includez00();
		}
	}



/* include-producer */
	obj_t BGl_includezd2producerzd2zzmodule_includez00(obj_t BgL_clausez00_19)
	{
		AN_OBJECT;
		{	/* Module/include.scm 45 */
			{

				{	/* Module/include.scm 48 */
					obj_t BgL_g1308z00_68;

					BgL_g1308z00_68 = CDR(BgL_clausez00_19);
					{
						obj_t BgL_filesz00_69;

						BgL_filesz00_69 = BgL_g1308z00_68;
					BgL_loopz00_70:
						if (NULLP(BgL_filesz00_69))
							{	/* Module/include.scm 50 */
								return BNIL;
							}
						else
							{	/* Module/include.scm 50 */
								if (PAIRP(BgL_filesz00_69))
									{	/* Module/include.scm 55 */
										obj_t BgL_filez00_73;

										BgL_filez00_73 = CAR(BgL_filesz00_69);
										if (STRINGP(BgL_filez00_73))
											{	/* Module/include.scm 58 */
												obj_t BgL_srcz00_75;

												BgL_srcz00_75 =
													BGl_readzd2includezd2zzread_includez00
													(BgL_filez00_73);
												{	/* Module/include.scm 58 */
													obj_t BgL_directivez00_76;

													BgL_directivez00_76 = CAR(BgL_srcz00_75);
													{	/* Module/include.scm 59 */
														obj_t BgL_srczd2codezd2_77;

														BgL_srczd2codezd2_77 =
															bgl_reverse_bang(CDR(BgL_srcz00_75));
														{	/* Module/include.scm 60 */

															if (PAIRP(BgL_directivez00_76))
																{	/* Module/include.scm 63 */
																	obj_t BgL_g1313z00_79;

																	BgL_g1313z00_79 = CDR(BgL_directivez00_76);
																	{
																		obj_t BgL_l1310z00_80;

																		BgL_l1310z00_80 = BgL_g1313z00_79;
																	BgL_forzd2each1312zd2_81:
																		if (PAIRP(BgL_l1310z00_80))
																			{	/* Module/include.scm 63 */
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(CAR(BgL_l1310z00_80));
																				{
																					obj_t BgL_l1310z00_280;

																					BgL_l1310z00_280 =
																						CDR(BgL_l1310z00_80);
																					BgL_l1310z00_80 = BgL_l1310z00_280;
																					goto BgL_forzd2each1312zd2_81;
																				}
																			}
																		else
																			{	/* Module/include.scm 63 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Module/include.scm 62 */
																	((bool_t) 0);
																}
															BGl_za2producedzd2codeza2zd2zzmodule_includez00 =
																bgl_append2(BgL_srczd2codezd2_77,
																BGl_za2producedzd2codeza2zd2zzmodule_includez00);
															{
																obj_t BgL_filesz00_283;

																BgL_filesz00_283 = CDR(BgL_filesz00_69);
																BgL_filesz00_69 = BgL_filesz00_283;
																goto BgL_loopz00_70;
															}
														}
													}
												}
											}
										else
											{	/* Module/include.scm 56 */
											BgL_zc3anonymousza31336ze3z83_87:
												{	/* Module/include.scm 47 */
													obj_t BgL_list1337z00_88;

													BgL_list1337z00_88 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1358z00zzmodule_includez00,
														BGl_string1359z00zzmodule_includez00,
														BgL_clausez00_19, BgL_list1337z00_88);
												}
											}
									}
								else
									{	/* Module/include.scm 52 */
										goto BgL_zc3anonymousza31336ze3z83_87;
									}
							}
					}
				}
			}
		}
	}



/* _include-producer */
	obj_t BGl__includezd2producerzd2zzmodule_includez00(obj_t BgL_envz00_211,
		obj_t BgL_clausez00_212)
	{
		AN_OBJECT;
		{	/* Module/include.scm 45 */
			return BGl_includezd2producerzd2zzmodule_includez00(BgL_clausez00_212);
		}
	}



/* get-include-consumed-directive */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 75 */
			return BGl_za2consumedzd2directiveza2zd2zzmodule_includez00;
		}
	}



/* _get-include-consumed-directive */
	obj_t BGl__getzd2includezd2consumedzd2directivezd2zzmodule_includez00(obj_t
		BgL_envz00_217)
	{
		AN_OBJECT;
		{	/* Module/include.scm 75 */
			return BGl_za2consumedzd2directiveza2zd2zzmodule_includez00;
		}
	}



/* reset-include-consumed-directive! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 81 */
			return (BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 =
				BNIL, BUNSPEC);
		}
	}



/* _reset-include-consumed-directive! */
	obj_t
		BGl__resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(obj_t
		BgL_envz00_218)
	{
		AN_OBJECT;
		{	/* Module/include.scm 81 */
			return
				BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
		}
	}



/* get-include-consumed-code */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 92 */
			return BGl_za2consumedzd2codeza2zd2zzmodule_includez00;
		}
	}



/* _get-include-consumed-code */
	obj_t BGl__getzd2includezd2consumedzd2codezd2zzmodule_includez00(obj_t
		BgL_envz00_219)
	{
		AN_OBJECT;
		{	/* Module/include.scm 92 */
			return BGl_za2consumedzd2codeza2zd2zzmodule_includez00;
		}
	}



/* reset-include-consumed-code! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 98 */
			return (BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BNIL, BUNSPEC);
		}
	}



/* _reset-include-consumed-code! */
	obj_t BGl__resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(obj_t
		BgL_envz00_220)
	{
		AN_OBJECT;
		{	/* Module/include.scm 98 */
			return BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
		}
	}



/* include-consumer */
	obj_t BGl_includezd2consumerzd2zzmodule_includez00(obj_t BgL_modulez00_20,
		obj_t BgL_clausez00_21)
	{
		AN_OBJECT;
		{	/* Module/include.scm 104 */
			{

				{	/* Module/include.scm 107 */
					obj_t BgL_g1309z00_91;

					BgL_g1309z00_91 = CDR(BgL_clausez00_21);
					{
						obj_t BgL_filesz00_92;

						BgL_filesz00_92 = BgL_g1309z00_91;
					BgL_loopz00_93:
						if (NULLP(BgL_filesz00_92))
							{	/* Module/include.scm 109 */
								return BNIL;
							}
						else
							{	/* Module/include.scm 109 */
								if (PAIRP(BgL_filesz00_92))
									{	/* Module/include.scm 114 */
										obj_t BgL_filez00_96;

										BgL_filez00_96 = CAR(BgL_filesz00_92);
										if (STRINGP(BgL_filez00_96))
											{	/* Module/include.scm 117 */
												obj_t BgL_srcz00_98;

												BgL_srcz00_98 =
													BGl_readzd2includezd2zzread_includez00
													(BgL_filez00_96);
												{	/* Module/include.scm 117 */
													obj_t BgL_directivez00_99;

													BgL_directivez00_99 = CAR(BgL_srcz00_98);
													{	/* Module/include.scm 118 */
														obj_t BgL_srczd2codezd2_100;

														BgL_srczd2codezd2_100 = CDR(BgL_srcz00_98);
														{	/* Module/include.scm 119 */

															if (PAIRP(BgL_directivez00_99))
																{	/* Module/include.scm 123 */
																	obj_t BgL_g1316z00_102;

																	BgL_g1316z00_102 = CDR(BgL_directivez00_99);
																	{
																		obj_t BgL_l1314z00_103;

																		BgL_l1314z00_103 = BgL_g1316z00_102;
																	BgL_forzd2each1315zd2_104:
																		if (PAIRP(BgL_l1314z00_103))
																			{	/* Module/include.scm 123 */
																				{	/* Module/include.scm 125 */
																					obj_t BgL_dz00_106;

																					BgL_dz00_106 = CAR(BgL_l1314z00_103);
																					{	/* Module/include.scm 126 */
																						obj_t BgL_arg1343z00_107;

																						BgL_arg1343z00_107 =
																							BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_modulez00_20, BgL_dz00_106);
																						BGl_za2consumedzd2directiveza2zd2zzmodule_includez00
																							=
																							bgl_append2(BgL_arg1343z00_107,
																							BGl_za2consumedzd2directiveza2zd2zzmodule_includez00);
																					}
																				}
																				{
																					obj_t BgL_l1314z00_309;

																					BgL_l1314z00_309 =
																						CDR(BgL_l1314z00_103);
																					BgL_l1314z00_103 = BgL_l1314z00_309;
																					goto BgL_forzd2each1315zd2_104;
																				}
																			}
																		else
																			{	/* Module/include.scm 123 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Module/include.scm 122 */
																	((bool_t) 0);
																}
															BGl_za2consumedzd2codeza2zd2zzmodule_includez00 =
																bgl_append2(BgL_srczd2codezd2_100,
																BGl_za2consumedzd2codeza2zd2zzmodule_includez00);
															{
																obj_t BgL_filesz00_312;

																BgL_filesz00_312 = CDR(BgL_filesz00_92);
																BgL_filesz00_92 = BgL_filesz00_312;
																goto BgL_loopz00_93;
															}
														}
													}
												}
											}
										else
											{	/* Module/include.scm 115 */
											BgL_zc3anonymousza31346ze3z83_110:
												{	/* Module/include.scm 106 */
													obj_t BgL_list1347z00_111;

													BgL_list1347z00_111 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1358z00zzmodule_includez00,
														BGl_string1359z00zzmodule_includez00,
														BgL_clausez00_21, BgL_list1347z00_111);
												}
											}
									}
								else
									{	/* Module/include.scm 111 */
										goto BgL_zc3anonymousza31346ze3z83_110;
									}
							}
					}
				}
			}
		}
	}



/* _include-consumer1357 */
	obj_t BGl__includezd2consumer1357zd2zzmodule_includez00(obj_t BgL_envz00_213,
		obj_t BgL_modulez00_214, obj_t BgL_clausez00_215)
	{
		AN_OBJECT;
		{	/* Module/include.scm 104 */
			return
				BGl_includezd2consumerzd2zzmodule_includez00(BgL_modulez00_214,
				BgL_clausez00_215);
		}
	}



/* get-toplevel-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 140 */
			return BGl_za2toplevelzd2unitza2zd2zzmodule_includez00;
		}
	}



/* _get-toplevel-unit */
	obj_t BGl__getzd2toplevelzd2unitz00zzmodule_includez00(obj_t BgL_envz00_221)
	{
		AN_OBJECT;
		{	/* Module/include.scm 140 */
			return BGl_za2toplevelzd2unitza2zd2zzmodule_includez00;
		}
	}



/* get-toplevel-unit-weight */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 147 */
			return BINT(((long) 100));
		}
	}



/* _get-toplevel-unit-weight */
	obj_t BGl__getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00(obj_t
		BgL_envz00_222)
	{
		AN_OBJECT;
		{	/* Module/include.scm 147 */
			return BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
		}
	}



/* include-finalizer */
	obj_t BGl_includezd2finaliza7erz75zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 153 */
			{	/* Module/include.scm 154 */
				obj_t BgL_arg1348z00_113;
				obj_t BgL_arg1351z00_115;

				BgL_arg1348z00_113 = CNST_TABLE_REF(((long) 1));
				BgL_arg1351z00_115 =
					bgl_reverse_bang(BGl_za2producedzd2codeza2zd2zzmodule_includez00);
				{	/* Module/include.scm 154 */
					obj_t BgL_newz00_187;

					BgL_newz00_187 =
						create_struct(CNST_TABLE_REF(((long) 2)), (int) (((long) 4)));
					{	/* Module/include.scm 154 */
						int BgL_auxz00_324;

						BgL_auxz00_324 = (int) (((long) 3));
						STRUCT_SET(BgL_newz00_187, BgL_auxz00_324, BTRUE);
					}
					{	/* Module/include.scm 154 */
						int BgL_auxz00_327;

						BgL_auxz00_327 = (int) (((long) 2));
						STRUCT_SET(BgL_newz00_187, BgL_auxz00_327, BgL_arg1351z00_115);
					}
					{	/* Module/include.scm 154 */
						obj_t BgL_auxz00_332;
						int BgL_auxz00_330;

						BgL_auxz00_332 = BINT(((long) 100));
						BgL_auxz00_330 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_187, BgL_auxz00_330, BgL_auxz00_332);
					}
					{	/* Module/include.scm 154 */
						int BgL_auxz00_335;

						BgL_auxz00_335 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_187, BgL_auxz00_335, BgL_arg1348z00_113);
					}
					BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 = BgL_newz00_187;
			}}
			{	/* Module/include.scm 158 */
				obj_t BgL_list1352z00_116;

				BgL_list1352z00_116 =
					MAKE_PAIR(BGl_za2toplevelzd2unitza2zd2zzmodule_includez00, BNIL);
				return BgL_list1352z00_116;
			}
		}
	}



/* _include-finalizer */
	obj_t BGl__includezd2finaliza7erz75zzmodule_includez00(obj_t BgL_envz00_216)
	{
		AN_OBJECT;
		{	/* Module/include.scm 153 */
			return BGl_includezd2finaliza7erz75zzmodule_includez00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1360z00zzmodule_includez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1360z00zzmodule_includez00));
			return
				BGl_modulezd2initializa7ationz75zzread_includez00(((long) 273692333),
				BSTRING_TO_STRING(BGl_string1360z00zzmodule_includez00));
		}
	}

#ifdef __cplusplus
}
#endif
