/*===========================================================================*/
/*   (Module/module.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/module.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	extern obj_t BGl_importzd2macrozd2finaliza7erza7zzread_inlinez00();
	BGL_EXPORTED_DEF obj_t BGl_za2modulezd2checksumza2zd2zzmodule_modulez00 =
		BUNSPEC;
	static obj_t BGl__producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t,
		obj_t);
	static bool_t
		BGl_producezd2includezd2libraryzd2clauseszd2zzmodule_modulez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_makezd2javazd2compilerz00zzmodule_javaz00();
	extern obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00();
	extern obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
	static obj_t BGl_objectzd2ze3structzd2ccomp1357ze3zzmodule_modulez00(obj_t,
		obj_t);
	static obj_t BGl_finaliza7ezd2clausezd2compilationsza7zzmodule_modulez00();
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_modulez00 = BUNSPEC;
	extern obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl_producezd2libraryzd2clausesz00zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2moduleza2z00zzmodule_modulez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2modulezd2zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL BgL_ccompz00_bglt
		BGl_z52allocatezd2ccompz80zzmodule_modulez00();
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t open_output_file(obj_t);
	extern obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
	BGL_EXPORTED_DEF obj_t BGl_za2modulezd2locationza2zd2zzmodule_modulez00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
	static obj_t BGl_dozd2modulezd2zzmodule_modulez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ccompzd2nilzd2zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
	static obj_t BGl_findzd2clausezd2consumerz00zzmodule_modulez00(obj_t, obj_t);
	static obj_t BGl_findzd2clausezd2producerz00zzmodule_modulez00(obj_t, obj_t);
	extern obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
	static obj_t BGl_cnstzd2initzd2zzmodule_modulez00();
	BGL_EXPORTED_DEF obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00 =
		BUNSPEC;
	extern obj_t BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl__z52allocatezd2ccompz80zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_modulez00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_earlyzd2withzd2clausesz00zzmodule_withz00();
	extern obj_t BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
	static obj_t BGl_dozd2consumezd2modulez00zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z52thezd2ccompzd2nilz52zzmodule_modulez00 = BUNSPEC;
	static obj_t BGl_zc3exitza31619ze3z83zzmodule_modulez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL BgL_ccompz00_bglt
		BGl_fillzd2ccompz12zc0zzmodule_modulez00(BgL_ccompz00_bglt, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__ccompzf3zf3zzmodule_modulez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
	extern obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
	static obj_t BGl_structzb2objectzd2ze3objec1359z83zzmodule_modulez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__dumpzd2modulezd2zzmodule_modulez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_optionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_withz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_modulez00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_makezd2withzd2compilerz00zzmodule_withz00();
	static obj_t BGl_za2clausezd2compilersza2zd2zzmodule_modulez00 = BUNSPEC;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl__makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_EXPORTED_DEF obj_t BGl_ccompz00zzmodule_modulez00 = BUNSPEC;
	static obj_t BGl__consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2mainza2z00zzmodule_modulez00 = BUNSPEC;
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	extern obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	BGL_EXPORTED_DECL BgL_ccompz00_bglt BGl_ccompzd2nilzd2zzmodule_modulez00();
	BGL_EXPORTED_DECL obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00();
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_zc3anonymousza31536ze3z83zzmodule_modulez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__fillzd2ccompz12zc0zzmodule_modulez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2typezd2compilerz00zzmodule_typez00();
	static obj_t
		BGl_installzd2modulezd2clauseszd2compilerz12zc0zzmodule_modulez00();
	BGL_EXPORTED_DECL bool_t BGl_ccompzf3zf3zzmodule_modulez00(obj_t);
	static obj_t BGl__producezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl__modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_modulez00();
	static obj_t BGl__consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00();
	BGL_EXPORTED_DECL BgL_ccompz00_bglt
		BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2optionzd2compilerz00zzmodule_optionz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_unknownzd2clausezd2consumerz00zzmodule_modulez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_unknownzd2clausezd2producerz00zzmodule_modulez00(obj_t,
		obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_checksumzd2modulezd2zzmodule_modulez00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_modulez00();
	extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t);
	static obj_t BGl__modulezd2checksumzd2objectz00zzmodule_modulez00(obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_modulez00();
	BGL_EXPORTED_DECL obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
	static obj_t __cnst[15];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ccompzd2envz00zzmodule_modulez00,
		BgL_bgl__makeza7d2ccompza7d21822z00, BGl__makezd2ccompzd2zzmodule_modulez00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2initializa7ationzd2idzd2envz75zzmodule_modulez00,
		BgL_bgl__moduleza7d2initia1823za7,
		BGl__modulezd2initializa7ationzd2idza7zzmodule_modulez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_consumezd2modulezd2clausez12zd2envzc0zzmodule_modulez00,
		BgL_bgl__consumeza7d2modul1824za7,
		BGl__consumezd2modulezd2clausez12z12zzmodule_modulez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_readzd2directiveszd2envz00zzread_includez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ccompzf3zd2envz21zzmodule_modulez00,
		BgL_bgl__ccompza7f3za7f3za7za7mo1825z00, BGl__ccompzf3zf3zzmodule_modulez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2checksumzd2objectzd2envzd2zzmodule_modulez00,
		BgL_bgl__moduleza7d2checks1826za7,
		BGl__modulezd2checksumzd2objectz00zzmodule_modulez00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2modulezd2envz00zzmodule_modulez00,
		BgL_bgl__dumpza7d2moduleza7d1827z00,
		BGl__dumpzd2modulezd2zzmodule_modulez00, 0L, BUNSPEC, 1);
	extern obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00;
	      DEFINE_STRING(BGl_string1800z00zzmodule_modulez00,
		BgL_bgl_string1800za700za7za7m1828za7, "Illegal module clause", 21);
	      DEFINE_STRING(BGl_string1790z00zzmodule_modulez00,
		BgL_bgl_string1790za700za7za7m1829za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1789z00zzmodule_modulez00,
		BgL_bgl_string1789za700za7za7m1830za7, "Module", 6);
	      DEFINE_STRING(BGl_string1801z00zzmodule_modulez00,
		BgL_bgl_string1801za700za7za7m1831za7, "Unknown module clause", 21);
	      DEFINE_STRING(BGl_string1791z00zzmodule_modulez00,
		BgL_bgl_string1791za700za7za7m1832za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1802z00zzmodule_modulez00,
		BgL_bgl_string1802za700za7za7m1833za7, " vs ", 4);
	      DEFINE_STRING(BGl_string1792z00zzmodule_modulez00,
		BgL_bgl_string1792za700za7za7m1834za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1803z00zzmodule_modulez00,
		BgL_bgl_string1803za700za7za7m1835za7, "conflict in module's name: ", 27);
	      DEFINE_STRING(BGl_string1793z00zzmodule_modulez00,
		BgL_bgl_string1793za700za7za7m1836za7, "Illegal module form", 19);
	      DEFINE_STRING(BGl_string1804z00zzmodule_modulez00,
		BgL_bgl_string1804za700za7za7m1837za7, "Module declaration", 18);
	      DEFINE_STRING(BGl_string1794z00zzmodule_modulez00,
		BgL_bgl_string1794za700za7za7m1838za7, " error", 6);
	      DEFINE_STRING(BGl_string1805z00zzmodule_modulez00,
		BgL_bgl_string1805za700za7za7m1839za7, "Illegal module declaration", 26);
	      DEFINE_STRING(BGl_string1795z00zzmodule_modulez00,
		BgL_bgl_string1795za700za7za7m1840za7, "s", 1);
	      DEFINE_STRING(BGl_string1806z00zzmodule_modulez00,
		BgL_bgl_string1806za700za7za7m1841za7, ".ebgl", 5);
	      DEFINE_STRING(BGl_string1796z00zzmodule_modulez00,
		BgL_bgl_string1796za700za7za7m1842za7, "", 0);
	      DEFINE_STRING(BGl_string1807z00zzmodule_modulez00,
		BgL_bgl_string1807za700za7za7m1843za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1797z00zzmodule_modulez00,
		BgL_bgl_string1797za700za7za7m1844za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1808z00zzmodule_modulez00,
		BgL_bgl_string1808za700za7za7m1845za7, "Module checksum object", 22);
	      DEFINE_STRING(BGl_string1798z00zzmodule_modulez00,
		BgL_bgl_string1798za700za7za7m1846za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1810z00zzmodule_modulez00,
		BgL_bgl_string1810za700za7za7m1847za7, "module checksum", 15);
	      DEFINE_STRING(BGl_string1809z00zzmodule_modulez00,
		BgL_bgl_string1809za700za7za7m1848za7, ".mco", 4);
	      DEFINE_STRING(BGl_string1799z00zzmodule_modulez00,
		BgL_bgl_string1799za700za7za7m1849za7, "Illegal module name", 19);
	      DEFINE_STRING(BGl_string1811z00zzmodule_modulez00,
		BgL_bgl_string1811za700za7za7m1850za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string1812z00zzmodule_modulez00,
		BgL_bgl_string1812za700za7za7m1851za7, "Can't open file for input", 25);
	      DEFINE_STRING(BGl_string1813z00zzmodule_modulez00,
		BgL_bgl_string1813za700za7za7m1852za7, "module_module", 13);
	      DEFINE_STRING(BGl_string1814z00zzmodule_modulez00,
		BgL_bgl_string1814za700za7za7m1853za7,
		"_ ccomp mco dump-module --to-stdout module-initialization include cond-expand (library _) library (additional-heap-restore-globals!) (eval foreign t) main module pass-started ",
		175);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ccompzd2nilzd2envz00zzmodule_modulez00,
		BgL_bgl__ccompza7d2nilza7d2za71854za7,
		BGl__ccompzd2nilzd2zzmodule_modulez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2ccompz12zd2envz12zzmodule_modulez00,
		BgL_bgl__fillza7d2ccompza7121855z00,
		BGl__fillzd2ccompz12zc0zzmodule_modulez00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ccompzd2envz52zzmodule_modulez00,
		BgL_bgl__za752allocateza7d2c1856z00,
		BGl__z52allocatezd2ccompz80zzmodule_modulez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_consumezd2modulez12zd2envz12zzmodule_modulez00,
		BgL_bgl__consumeza7d2modul1857za7,
		BGl__consumezd2modulez12zc0zzmodule_modulez00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_producezd2modulezd2clausez12zd2envzc0zzmodule_modulez00,
		BgL_bgl__produceza7d2modul1858za7,
		BGl__producezd2modulezd2clausez12z12zzmodule_modulez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_producezd2modulez12zd2envz12zzmodule_modulez00,
		BgL_bgl__produceza7d2modul1859za7,
		BGl__producezd2modulez12zc0zzmodule_modulez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long
		BgL_checksumz00_863, char *BgL_fromz00_864)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_modulez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_modulez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_modulez00();
					BGl_cnstzd2initzd2zzmodule_modulez00();
					BGl_importedzd2moduleszd2initz00zzmodule_modulez00();
					BGl_objectzd2initzd2zzmodule_modulez00();
					BGl_methodzd2initzd2zzmodule_modulez00();
					BGl_toplevelzd2initzd2zzmodule_modulez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "module_module");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_module");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_module");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_module");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 15 */
			{	/* Module/module.scm 15 */
				obj_t BgL_cportz00_831;

				BgL_cportz00_831 =
					bgl_open_input_string(BGl_string1814z00zzmodule_modulez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_832;

					BgL_iz00_832 = ((long) 14);
				BgL_loopz00_833:
					if ((BgL_iz00_832 == ((long) -1)))
						{	/* Module/module.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/module.scm 15 */
							{	/* Module/module.scm 15 */
								obj_t BgL_arg1818z00_835;

								{	/* Module/module.scm 15 */

									{	/* Module/module.scm 15 */
										obj_t BgL_locationz00_837;

										BgL_locationz00_837 = BBOOL(((bool_t) 0));
										{	/* Module/module.scm 15 */

											BgL_arg1818z00_835 =
												BGl_readz00zz__readerz00(BgL_cportz00_831,
												BgL_locationz00_837);
										}
									}
								}
								{	/* Module/module.scm 15 */
									int BgL_auxz00_892;

									BgL_auxz00_892 = (int) (BgL_iz00_832);
									CNST_TABLE_SET(BgL_auxz00_892, BgL_arg1818z00_835);
							}}
							{	/* Module/module.scm 15 */
								int BgL_auxz00_838;

								BgL_auxz00_838 = (int) ((BgL_iz00_832 - ((long) 1)));
								{
									long BgL_iz00_897;

									BgL_iz00_897 = (long) (BgL_auxz00_838);
									BgL_iz00_832 = BgL_iz00_897;
									goto BgL_loopz00_833;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 15 */
			BGl_za2moduleza2z00zzmodule_modulez00 = BFALSE;
			BGl_za2modulezd2clauseza2zd2zzmodule_modulez00 = BFALSE;
			BGl_za2mainza2z00zzmodule_modulez00 = BFALSE;
			BGl_za2modulezd2checksumza2zd2zzmodule_modulez00 = BFALSE;
			BGl_za2modulezd2locationza2zd2zzmodule_modulez00 = BFALSE;
			return (BGl_za2clausezd2compilersza2zd2zzmodule_modulez00 =
				BNIL, BUNSPEC);
		}
	}



/* produce-module! */
	BGL_EXPORTED_DEF obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t
		BgL_mclausez00_19)
	{
		AN_OBJECT;
		{	/* Module/module.scm 93 */
			{	/* Module/module.scm 94 */
				obj_t BgL_list1369z00_95;

				{	/* Module/module.scm 94 */
					obj_t BgL_arg1371z00_97;

					{	/* Module/module.scm 94 */
						obj_t BgL_arg1373z00_99;

						BgL_arg1373z00_99 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1371z00_97 =
							MAKE_PAIR(BGl_string1789z00zzmodule_modulez00, BgL_arg1373z00_99);
					}
					BgL_list1369z00_95 =
						MAKE_PAIR(BGl_string1790z00zzmodule_modulez00, BgL_arg1371z00_97);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1369z00_95);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1789z00zzmodule_modulez00;
			{
				obj_t BgL_hooksz00_102;
				obj_t BgL_hnamesz00_103;

				BgL_hooksz00_102 = BNIL;
				BgL_hnamesz00_103 = BNIL;
			BgL_loopz00_104:
				if (NULLP(BgL_hooksz00_102))
					{	/* Module/module.scm 94 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Module/module.scm 94 */
						bool_t BgL_testz00_909;

						{	/* Module/module.scm 94 */
							obj_t BgL_fun1381z00_112;

							BgL_fun1381z00_112 = CAR(BgL_hooksz00_102);
							BgL_testz00_909 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1381z00_112) (BgL_fun1381z00_112,
									BEOA));
						}
						if (BgL_testz00_909)
							{
								obj_t BgL_hnamesz00_916;
								obj_t BgL_hooksz00_914;

								BgL_hooksz00_914 = CDR(BgL_hooksz00_102);
								BgL_hnamesz00_916 = CDR(BgL_hnamesz00_103);
								BgL_hnamesz00_103 = BgL_hnamesz00_916;
								BgL_hooksz00_102 = BgL_hooksz00_914;
								goto BgL_loopz00_104;
							}
						else
							{	/* Module/module.scm 94 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1789z00zzmodule_modulez00,
									BGl_string1791z00zzmodule_modulez00, CAR(BgL_hnamesz00_103));
							}
					}
			}
			{

				if (PAIRP(BgL_mclausez00_19))
					{	/* Module/module.scm 95 */
						obj_t BgL_cdrzd2971zd2_120;

						BgL_cdrzd2971zd2_120 = CDR(BgL_mclausez00_19);
						if ((CAR(BgL_mclausez00_19) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/module.scm 95 */
								if (PAIRP(BgL_cdrzd2971zd2_120))
									{	/* Module/module.scm 95 */
										obj_t BgL_carzd2974zd2_123;

										BgL_carzd2974zd2_123 = CAR(BgL_cdrzd2971zd2_120);
										if (SYMBOLP(BgL_carzd2974zd2_123))
											{	/* Module/module.scm 95 */
												return
													BGl_dozd2modulezd2zzmodule_modulez00
													(BgL_mclausez00_19, BgL_carzd2974zd2_123,
													CDR(BgL_cdrzd2971zd2_120));
											}
										else
											{	/* Module/module.scm 95 */
											BgL_tagzd2964zd2_117:
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1792z00zzmodule_modulez00,
													BGl_string1793z00zzmodule_modulez00,
													BgL_mclausez00_19, BNIL);
											}
									}
								else
									{	/* Module/module.scm 95 */
										goto BgL_tagzd2964zd2_117;
									}
							}
						else
							{	/* Module/module.scm 95 */
								goto BgL_tagzd2964zd2_117;
							}
					}
				else
					{	/* Module/module.scm 95 */
						goto BgL_tagzd2964zd2_117;
					}
			}
		}
	}



/* _produce-module! */
	obj_t BGl__producezd2modulez12zc0zzmodule_modulez00(obj_t BgL_envz00_767,
		obj_t BgL_mclausez00_768)
	{
		AN_OBJECT;
		{	/* Module/module.scm 93 */
			return BGl_producezd2modulez12zc0zzmodule_modulez00(BgL_mclausez00_768);
		}
	}



/* do-module */
	obj_t BGl_dozd2modulezd2zzmodule_modulez00(obj_t BgL_mclausez00_20,
		obj_t BgL_namez00_21, obj_t BgL_clausesz00_22)
	{
		AN_OBJECT;
		{	/* Module/module.scm 104 */
			{	/* Module/module.scm 105 */
				obj_t BgL_clausesz00_129;

				{	/* Module/module.scm 105 */
					obj_t BgL_arg1412z00_159;
					obj_t BgL_arg1413z00_160;

					BgL_arg1412z00_159 = BGl_earlyzd2withzd2clausesz00zzmodule_withz00();
					if (SYMBOLP(BGl_za2mainza2z00zzmodule_modulez00))
						{	/* Module/module.scm 107 */
							obj_t BgL_arg1415z00_162;

							{	/* Module/module.scm 107 */
								obj_t BgL_arg1416z00_163;
								obj_t BgL_arg1417z00_164;

								BgL_arg1416z00_163 = CNST_TABLE_REF(((long) 2));
								{	/* Module/module.scm 107 */
									obj_t BgL_list1418z00_165;

									BgL_list1418z00_165 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg1417z00_164 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BGl_za2mainza2z00zzmodule_modulez00, BgL_list1418z00_165);
								}
								BgL_arg1415z00_162 =
									MAKE_PAIR(BgL_arg1416z00_163, BgL_arg1417z00_164);
							}
							BgL_arg1413z00_160 =
								MAKE_PAIR(BgL_arg1415z00_162, BgL_clausesz00_22);
						}
					else
						{	/* Module/module.scm 106 */
							BgL_arg1413z00_160 = BgL_clausesz00_22;
						}
					BgL_clausesz00_129 =
						MAKE_PAIR(BgL_arg1412z00_159, BgL_arg1413z00_160);
				}
				{	/* Module/module.scm 109 */
					bool_t BgL_testz00_945;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_21,
								CNST_TABLE_REF(((long) 3)))))
						{	/* Module/module.scm 109 */
							BgL_testz00_945 = ((bool_t) 0);
						}
					else
						{	/* Module/module.scm 109 */
							BgL_testz00_945 = ((bool_t) 1);
						}
					if (BgL_testz00_945)
						{	/* Module/module.scm 109 */
							BGl_za2moduleza2z00zzmodule_modulez00 = BgL_namez00_21;
							BGl_za2modulezd2clauseza2zd2zzmodule_modulez00 =
								BgL_mclausez00_20;
							if (EXTENDED_PAIRP(BgL_mclausez00_20))
								{	/* Module/module.scm 114 */
									BGl_za2modulezd2locationza2zd2zzmodule_modulez00 =
										CER(BgL_mclausez00_20);
								}
							else
								{	/* Module/module.scm 114 */
									BGl_za2modulezd2locationza2zd2zzmodule_modulez00 = BFALSE;
								}
							BGl_installzd2modulezd2clauseszd2compilerz12zc0zzmodule_modulez00
								();
							{	/* Module/module.scm 118 */
								obj_t BgL_clausesz00_132;

								BgL_clausesz00_132 =
									BGl_producezd2libraryzd2clausesz00zzmodule_modulez00
									(BgL_clausesz00_129);
								BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
								{
									obj_t BgL_l1345z00_133;

									BgL_l1345z00_133 = BgL_clausesz00_132;
								BgL_forzd2each1346zd2_134:
									if (PAIRP(BgL_l1345z00_133))
										{	/* Module/module.scm 123 */
											BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(CAR
												(BgL_l1345z00_133));
											{
												obj_t BgL_l1345z00_960;

												BgL_l1345z00_960 = CDR(BgL_l1345z00_133);
												BgL_l1345z00_133 = BgL_l1345z00_960;
												goto BgL_forzd2each1346zd2_134;
											}
										}
									else
										{	/* Module/module.scm 123 */
											((bool_t) 1);
										}
								}
								BGl_za2modulezd2checksumza2zd2zzmodule_modulez00 =
									BGl_checksumzd2modulezd2zzmodule_modulez00(BgL_mclausez00_20);
								{	/* Module/module.scm 125 */
									obj_t BgL_valuez00_138;

									BgL_valuez00_138 =
										BGl_finaliza7ezd2clausezd2compilationsza7zzmodule_modulez00
										();
									if (((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> ((long) 0)))
										{	/* Module/module.scm 125 */
											{	/* Module/module.scm 125 */
												obj_t BgL_port1347z00_140;

												BgL_port1347z00_140 = BGL_CURRENT_ERROR_PORT();
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port1347z00_140);
												bgl_display_string(BGl_string1794z00zzmodule_modulez00,
													BgL_port1347z00_140);
												{	/* Module/module.scm 125 */
													obj_t BgL_arg1398z00_141;

													{	/* Module/module.scm 125 */
														bool_t BgL_testz00_970;

														if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Module/module.scm 125 */
																BgL_testz00_970 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
															}
														else
															{	/* Module/module.scm 125 */
																BgL_testz00_970 = ((bool_t) 0);
															}
														if (BgL_testz00_970)
															{	/* Module/module.scm 125 */
																BgL_arg1398z00_141 =
																	BGl_string1795z00zzmodule_modulez00;
															}
														else
															{	/* Module/module.scm 125 */
																BgL_arg1398z00_141 =
																	BGl_string1796z00zzmodule_modulez00;
															}
													}
													bgl_display_obj(BgL_arg1398z00_141,
														BgL_port1347z00_140);
												}
												bgl_display_string(BGl_string1797z00zzmodule_modulez00,
													BgL_port1347z00_140);
												BGL_DISPLAY_CHAR(((unsigned char) '\n'),
													BgL_port1347z00_140);
											}
											{	/* Module/module.scm 125 */
												obj_t BgL_list1401z00_144;

												BgL_list1401z00_144 =
													MAKE_PAIR(BINT(((long) -1)), BNIL);
												return BGl_exitz00zz__errorz00(BgL_list1401z00_144);
											}
										}
									else
										{	/* Module/module.scm 125 */
											obj_t BgL_g1333z00_145;
											obj_t BgL_g1334z00_146;

											{	/* Module/module.scm 125 */
												obj_t BgL_list1410z00_157;

												BgL_list1410z00_157 =
													MAKE_PAIR
													(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
													BNIL);
												BgL_g1333z00_145 = BgL_list1410z00_157;
											}
											BgL_g1334z00_146 = CNST_TABLE_REF(((long) 4));
											{
												obj_t BgL_hooksz00_147;
												obj_t BgL_hnamesz00_148;

												BgL_hooksz00_147 = BgL_g1333z00_145;
												BgL_hnamesz00_148 = BgL_g1334z00_146;
											BgL_loopz00_149:
												if (NULLP(BgL_hooksz00_147))
													{	/* Module/module.scm 125 */
														return BgL_valuez00_138;
													}
												else
													{	/* Module/module.scm 125 */
														bool_t BgL_testz00_985;

														{	/* Module/module.scm 125 */
															obj_t BgL_fun1409z00_156;

															BgL_fun1409z00_156 = CAR(BgL_hooksz00_147);
															BgL_testz00_985 =
																CBOOL(PROCEDURE_ENTRY(BgL_fun1409z00_156)
																(BgL_fun1409z00_156, BEOA));
														}
														if (BgL_testz00_985)
															{
																obj_t BgL_hnamesz00_992;
																obj_t BgL_hooksz00_990;

																BgL_hooksz00_990 = CDR(BgL_hooksz00_147);
																BgL_hnamesz00_992 = CDR(BgL_hnamesz00_148);
																BgL_hnamesz00_148 = BgL_hnamesz00_992;
																BgL_hooksz00_147 = BgL_hooksz00_990;
																goto BgL_loopz00_149;
															}
														else
															{	/* Module/module.scm 125 */
																obj_t BgL_arg1407z00_155;

																BgL_arg1407z00_155 = CAR(BgL_hnamesz00_148);
																return
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_za2currentzd2passza2zd2zzengine_passz00,
																	BGl_string1798z00zzmodule_modulez00,
																	BgL_arg1407z00_155);
															}
													}
											}
										}
								}
							}
						}
					else
						{	/* Module/module.scm 109 */
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1792z00zzmodule_modulez00,
								BGl_string1799z00zzmodule_modulez00, BgL_mclausez00_20, BNIL);
						}
				}
			}
		}
	}



/* produce-library-clauses */
	obj_t BGl_producezd2libraryzd2clausesz00zzmodule_modulez00(obj_t
		BgL_clausesz00_23)
	{
		AN_OBJECT;
		{	/* Module/module.scm 131 */
			{	/* Module/module.scm 132 */
				obj_t BgL_producerz00_166;

				BgL_producerz00_166 =
					BGl_findzd2clausezd2producerz00zzmodule_modulez00(CNST_TABLE_REF((
							(long) 5)), CNST_TABLE_REF(((long) 6)));
				{
					obj_t BgL_clausesz00_168;
					obj_t BgL_resz00_169;

					BgL_clausesz00_168 = BgL_clausesz00_23;
					BgL_resz00_169 = BNIL;
				BgL_loopz00_170:
					if (NULLP(BgL_clausesz00_168))
						{	/* Module/module.scm 136 */
							return bgl_reverse_bang(BgL_resz00_169);
						}
					else
						{	/* Module/module.scm 139 */
							obj_t BgL_g1336z00_172;

							BgL_g1336z00_172 = CAR(BgL_clausesz00_168);
							{
								obj_t BgL_cz00_173;

								BgL_cz00_173 = BgL_g1336z00_172;
							BgL_liipz00_174:
								{
									obj_t BgL_filesz00_177;

									if (PAIRP(BgL_cz00_173))
										{	/* Module/module.scm 139 */
											if ((CAR(BgL_cz00_173) == CNST_TABLE_REF(((long) 7))))
												{	/* Module/module.scm 139 */
													{	/* Module/module.scm 142 */
														obj_t BgL_ncz00_192;

														BgL_ncz00_192 =
															BGl_prognzd2firstzd2expressionz00zztools_prognz00
															(BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
															(BgL_cz00_173));
														{	/* Module/module.scm 143 */
															bool_t BgL_testz00_1012;

															if ((BgL_ncz00_192 == BUNSPEC))
																{	/* Module/module.scm 143 */
																	BgL_testz00_1012 = ((bool_t) 1);
																}
															else
																{	/* Module/module.scm 143 */
																	BgL_testz00_1012 = (BgL_ncz00_192 == BFALSE);
																}
															if (BgL_testz00_1012)
																{
																	obj_t BgL_clausesz00_1016;

																	BgL_clausesz00_1016 = CDR(BgL_clausesz00_168);
																	BgL_clausesz00_168 = BgL_clausesz00_1016;
																	goto BgL_loopz00_170;
																}
															else
																{
																	obj_t BgL_cz00_1018;

																	BgL_cz00_1018 = BgL_ncz00_192;
																	BgL_cz00_173 = BgL_cz00_1018;
																	goto BgL_liipz00_174;
																}
														}
													}
												}
											else
												{	/* Module/module.scm 139 */
													if ((CAR(BgL_cz00_173) == CNST_TABLE_REF(((long) 5))))
														{	/* Module/module.scm 139 */
															PROCEDURE_ENTRY(BgL_producerz00_166)
																(BgL_producerz00_166, BgL_cz00_173, BEOA);
															{
																obj_t BgL_clausesz00_1025;

																BgL_clausesz00_1025 = CDR(BgL_clausesz00_168);
																BgL_clausesz00_168 = BgL_clausesz00_1025;
																goto BgL_loopz00_170;
															}
														}
													else
														{	/* Module/module.scm 139 */
															if (
																(CAR(BgL_cz00_173) ==
																	CNST_TABLE_REF(((long) 8))))
																{	/* Module/module.scm 139 */
																	BgL_filesz00_177 = CDR(BgL_cz00_173);
																	BGl_producezd2includezd2libraryzd2clauseszd2zzmodule_modulez00
																		(BgL_producerz00_166, BgL_filesz00_177);
																	{	/* Module/module.scm 151 */
																		obj_t BgL_arg1446z00_198;
																		obj_t BgL_arg1447z00_199;

																		BgL_arg1446z00_198 =
																			CDR(BgL_clausesz00_168);
																		BgL_arg1447z00_199 =
																			MAKE_PAIR(BgL_cz00_173, BgL_resz00_169);
																		{
																			obj_t BgL_resz00_1035;
																			obj_t BgL_clausesz00_1034;

																			BgL_clausesz00_1034 = BgL_arg1446z00_198;
																			BgL_resz00_1035 = BgL_arg1447z00_199;
																			BgL_resz00_169 = BgL_resz00_1035;
																			BgL_clausesz00_168 = BgL_clausesz00_1034;
																			goto BgL_loopz00_170;
																		}
																	}
																}
															else
																{	/* Module/module.scm 139 */
																BgL_tagzd2983zd2_179:
																	{	/* Module/module.scm 153 */
																		obj_t BgL_arg1448z00_200;
																		obj_t BgL_arg1449z00_201;

																		BgL_arg1448z00_200 =
																			CDR(BgL_clausesz00_168);
																		BgL_arg1449z00_201 =
																			MAKE_PAIR(BgL_cz00_173, BgL_resz00_169);
																		{
																			obj_t BgL_resz00_1040;
																			obj_t BgL_clausesz00_1039;

																			BgL_clausesz00_1039 = BgL_arg1448z00_200;
																			BgL_resz00_1040 = BgL_arg1449z00_201;
																			BgL_resz00_169 = BgL_resz00_1040;
																			BgL_clausesz00_168 = BgL_clausesz00_1039;
																			goto BgL_loopz00_170;
																		}
																	}
																}
														}
												}
										}
									else
										{	/* Module/module.scm 139 */
											goto BgL_tagzd2983zd2_179;
										}
								}
							}
						}
				}
			}
		}
	}



/* produce-include-library-clauses */
	bool_t BGl_producezd2includezd2libraryzd2clauseszd2zzmodule_modulez00(obj_t
		BgL_producerz00_24, obj_t BgL_filesz00_25)
	{
		AN_OBJECT;
		{	/* Module/module.scm 158 */
			{	/* Module/module.scm 159 */
				obj_t BgL_g1350z00_202;

				{	/* Module/module.scm 167 */
					obj_t BgL_list1461z00_221;

					BgL_list1461z00_221 = MAKE_PAIR(BgL_filesz00_25, BNIL);
					BgL_g1350z00_202 =
						BGl_appendzd2mapzd2zz__r4_control_features_6_9z00
						(BGl_readzd2directiveszd2envz00zzread_includez00,
						BgL_list1461z00_221);
				}
				{
					obj_t BgL_l1348z00_203;

					BgL_l1348z00_203 = BgL_g1350z00_202;
				BgL_forzd2each1349zd2_204:
					if (PAIRP(BgL_l1348z00_203))
						{	/* Module/module.scm 159 */
							{	/* Module/module.scm 160 */
								obj_t BgL_clausez00_206;

								BgL_clausez00_206 = CAR(BgL_l1348z00_203);
								if (PAIRP(BgL_clausez00_206))
									{	/* Module/module.scm 160 */
										if ((CAR(BgL_clausez00_206) == CNST_TABLE_REF(((long) 5))))
											{	/* Module/module.scm 160 */
												PROCEDURE_ENTRY(BgL_producerz00_24) (BgL_producerz00_24,
													BgL_clausez00_206, BEOA);
											}
										else
											{	/* Module/module.scm 160 */
												if (
													(CAR(BgL_clausez00_206) ==
														CNST_TABLE_REF(((long) 8))))
													{	/* Module/module.scm 160 */
														obj_t BgL_arg1455z00_215;

														BgL_arg1455z00_215 = CDR(BgL_clausez00_206);
														BBOOL
															(BGl_producezd2includezd2libraryzd2clauseszd2zzmodule_modulez00
															(BgL_producerz00_24, BgL_arg1455z00_215));
													}
												else
													{	/* Module/module.scm 160 */
														BUNSPEC;
													}
											}
									}
								else
									{	/* Module/module.scm 160 */
										BUNSPEC;
									}
							}
							{
								obj_t BgL_l1348z00_1061;

								BgL_l1348z00_1061 = CDR(BgL_l1348z00_203);
								BgL_l1348z00_203 = BgL_l1348z00_1061;
								goto BgL_forzd2each1349zd2_204;
							}
						}
					else
						{	/* Module/module.scm 159 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* finalize-clause-compilations */
	obj_t BGl_finaliza7ezd2clausezd2compilationsza7zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 172 */
			{
				obj_t BgL_ccz00_223;
				obj_t BgL_unitsz00_224;

				BgL_ccz00_223 = BGl_za2clausezd2compilersza2zd2zzmodule_modulez00;
				BgL_unitsz00_224 = BNIL;
			BgL_loopz00_225:
				if (NULLP(BgL_ccz00_223))
					{	/* Module/module.scm 175 */
						return
							bgl_append2(BGl_importzd2macrozd2finaliza7erza7zzread_inlinez00(),
							BgL_unitsz00_224);
					}
				else
					{	/* Module/module.scm 177 */
						obj_t BgL_finaliza7erza7_228;

						{	/* Module/module.scm 177 */
							BgL_ccompz00_bglt BgL_obj1289z00_589;

							{	/* Module/module.scm 177 */
								obj_t BgL_pairz00_588;

								BgL_pairz00_588 = BgL_ccz00_223;
								{	/* Module/module.scm 177 */
									obj_t BgL_auxz00_1067;

									BgL_auxz00_1067 = CAR(BgL_pairz00_588);
									BgL_obj1289z00_589 = (BgL_ccompz00_bglt) (BgL_auxz00_1067);
								}
							}
							BgL_finaliza7erza7_228 =
								(((BgL_ccompz00_bglt) CREF(BgL_obj1289z00_589))->
								BgL_finaliza7erza7);
						}
						{	/* Module/module.scm 177 */
							obj_t BgL_finalresz00_229;

							BgL_finalresz00_229 =
								PROCEDURE_ENTRY(BgL_finaliza7erza7_228) (BgL_finaliza7erza7_228,
								BEOA);
							{	/* Module/module.scm 178 */

								{	/* Module/module.scm 179 */
									obj_t BgL_arg1464z00_230;
									obj_t BgL_arg1465z00_231;

									BgL_arg1464z00_230 = CDR(BgL_ccz00_223);
									if (PAIRP(BgL_finalresz00_229))
										{	/* Module/module.scm 180 */
											BgL_arg1465z00_231 =
												bgl_append2(BgL_finalresz00_229, BgL_unitsz00_224);
										}
									else
										{	/* Module/module.scm 180 */
											BgL_arg1465z00_231 = BgL_unitsz00_224;
										}
									{
										obj_t BgL_unitsz00_1078;
										obj_t BgL_ccz00_1077;

										BgL_ccz00_1077 = BgL_arg1464z00_230;
										BgL_unitsz00_1078 = BgL_arg1465z00_231;
										BgL_unitsz00_224 = BgL_unitsz00_1078;
										BgL_ccz00_223 = BgL_ccz00_1077;
										goto BgL_loopz00_225;
									}
								}
							}
						}
					}
			}
		}
	}



/* produce-module-clause! */
	BGL_EXPORTED_DEF obj_t
		BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t
		BgL_clausez00_26)
	{
		AN_OBJECT;
		{	/* Module/module.scm 187 */
			{
				obj_t BgL_cz00_234;

				BgL_cz00_234 = BgL_clausez00_26;
			BgL_loopz00_235:
				{

					if (PAIRP(BgL_cz00_234))
						{	/* Module/module.scm 188 */
							if ((CAR(BgL_cz00_234) == CNST_TABLE_REF(((long) 7))))
								{	/* Module/module.scm 188 */
									{	/* Module/module.scm 191 */
										obj_t BgL_ncz00_247;

										BgL_ncz00_247 =
											BGl_prognzd2firstzd2expressionz00zztools_prognz00
											(BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
											(BgL_cz00_234));
										{	/* Module/module.scm 192 */
											bool_t BgL_testz00_1087;

											if ((BgL_ncz00_247 == BFALSE))
												{	/* Module/module.scm 192 */
													BgL_testz00_1087 = ((bool_t) 1);
												}
											else
												{	/* Module/module.scm 192 */
													BgL_testz00_1087 = (BgL_ncz00_247 == BUNSPEC);
												}
											if (BgL_testz00_1087)
												{	/* Module/module.scm 192 */
													return BFALSE;
												}
											else
												{
													obj_t BgL_cz00_1091;

													BgL_cz00_1091 = BgL_ncz00_247;
													BgL_cz00_234 = BgL_cz00_1091;
													goto BgL_loopz00_235;
												}
										}
									}
								}
							else
								{	/* Module/module.scm 188 */
									obj_t BgL_carzd21022zd2_243;

									BgL_carzd21022zd2_243 = CAR(BgL_cz00_234);
									if (SYMBOLP(BgL_carzd21022zd2_243))
										{	/* Module/module.scm 188 */
											obj_t BgL_fun1477z00_597;

											BgL_fun1477z00_597 =
												BGl_findzd2clausezd2producerz00zzmodule_modulez00
												(BgL_carzd21022zd2_243, BgL_clausez00_26);
											return
												PROCEDURE_ENTRY(BgL_fun1477z00_597) (BgL_fun1477z00_597,
												BgL_cz00_234, BEOA);
										}
									else
										{	/* Module/module.scm 188 */
										BgL_tagzd21015zd2_239:
											{	/* Module/module.scm 197 */
												obj_t BgL_list1478z00_252;

												BgL_list1478z00_252 = MAKE_PAIR(BNIL, BNIL);
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1792z00zzmodule_modulez00,
													BGl_string1800z00zzmodule_modulez00, BgL_clausez00_26,
													BgL_list1478z00_252);
											}
										}
								}
						}
					else
						{	/* Module/module.scm 188 */
							goto BgL_tagzd21015zd2_239;
						}
				}
			}
		}
	}



/* _produce-module-clause! */
	obj_t BGl__producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t
		BgL_envz00_772, obj_t BgL_clausez00_773)
	{
		AN_OBJECT;
		{	/* Module/module.scm 187 */
			return
				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
				(BgL_clausez00_773);
		}
	}



/* install-module-clauses-compiler! */
	obj_t BGl_installzd2modulezd2clauseszd2compilerz12zc0zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 210 */
			if (PAIRP(BGl_za2clausezd2compilersza2zd2zzmodule_modulez00))
				{	/* Module/module.scm 212 */
					return BFALSE;
				}
			else
				{	/* Module/module.scm 214 */
					obj_t BgL_arg1480z00_254;
					obj_t BgL_arg1481z00_255;
					obj_t BgL_arg1482z00_256;
					obj_t BgL_arg1484z00_257;
					obj_t BgL_arg1488z00_258;
					obj_t BgL_arg1490z00_259;
					obj_t BgL_arg1491z00_260;
					obj_t BgL_arg1492z00_261;
					obj_t BgL_arg1493z00_262;
					obj_t BgL_arg1494z00_263;
					obj_t BgL_arg1496z00_264;
					obj_t BgL_arg1497z00_265;
					obj_t BgL_arg1498z00_266;
					obj_t BgL_arg1499z00_267;
					obj_t BgL_arg1500z00_268;
					obj_t BgL_arg1501z00_269;
					obj_t BgL_arg1502z00_270;

					BgL_arg1480z00_254 = BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
					BgL_arg1481z00_255 = BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
					BgL_arg1482z00_256 = BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
					BgL_arg1484z00_257 = BGl_makezd2usezd2compilerz00zzmodule_impusez00();
					BgL_arg1488z00_258 =
						BGl_makezd2importzd2compilerz00zzmodule_impusez00();
					BgL_arg1490z00_259 =
						BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
					BgL_arg1491z00_260 = BGl_makezd2javazd2compilerz00zzmodule_javaz00();
					BgL_arg1492z00_261 =
						BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
					BgL_arg1493z00_262 =
						BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
					BgL_arg1494z00_263 =
						BGl_makezd2includezd2compilerz00zzmodule_includez00();
					BgL_arg1496z00_264 = BGl_makezd2withzd2compilerz00zzmodule_withz00();
					BgL_arg1497z00_265 =
						BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
					BgL_arg1498z00_266 =
						BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
					BgL_arg1499z00_267 = BGl_makezd2typezd2compilerz00zzmodule_typez00();
					BgL_arg1500z00_268 =
						BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
					BgL_arg1501z00_269 =
						BGl_makezd2optionzd2compilerz00zzmodule_optionz00();
					BgL_arg1502z00_270 =
						BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
					{	/* Module/module.scm 214 */
						obj_t BgL_list1503z00_271;

						{	/* Module/module.scm 214 */
							obj_t BgL_arg1504z00_272;

							{	/* Module/module.scm 214 */
								obj_t BgL_arg1505z00_273;

								{	/* Module/module.scm 214 */
									obj_t BgL_arg1506z00_274;

									{	/* Module/module.scm 214 */
										obj_t BgL_arg1507z00_275;

										{	/* Module/module.scm 214 */
											obj_t BgL_arg1508z00_276;

											{	/* Module/module.scm 214 */
												obj_t BgL_arg1509z00_277;

												{	/* Module/module.scm 214 */
													obj_t BgL_arg1510z00_278;

													{	/* Module/module.scm 214 */
														obj_t BgL_arg1512z00_279;

														{	/* Module/module.scm 214 */
															obj_t BgL_arg1513z00_280;

															{	/* Module/module.scm 214 */
																obj_t BgL_arg1514z00_281;

																{	/* Module/module.scm 214 */
																	obj_t BgL_arg1516z00_282;

																	{	/* Module/module.scm 214 */
																		obj_t BgL_arg1517z00_283;

																		{	/* Module/module.scm 214 */
																			obj_t BgL_arg1518z00_284;

																			{	/* Module/module.scm 214 */
																				obj_t BgL_arg1520z00_285;

																				{	/* Module/module.scm 214 */
																					obj_t BgL_arg1521z00_286;

																					{	/* Module/module.scm 214 */
																						obj_t BgL_arg1522z00_287;

																						BgL_arg1522z00_287 =
																							MAKE_PAIR(BgL_arg1502z00_270,
																							BNIL);
																						BgL_arg1521z00_286 =
																							MAKE_PAIR(BgL_arg1501z00_269,
																							BgL_arg1522z00_287);
																					}
																					BgL_arg1520z00_285 =
																						MAKE_PAIR(BgL_arg1500z00_268,
																						BgL_arg1521z00_286);
																				}
																				BgL_arg1518z00_284 =
																					MAKE_PAIR(BgL_arg1499z00_267,
																					BgL_arg1520z00_285);
																			}
																			BgL_arg1517z00_283 =
																				MAKE_PAIR(BgL_arg1498z00_266,
																				BgL_arg1518z00_284);
																		}
																		BgL_arg1516z00_282 =
																			MAKE_PAIR(BgL_arg1497z00_265,
																			BgL_arg1517z00_283);
																	}
																	BgL_arg1514z00_281 =
																		MAKE_PAIR(BgL_arg1496z00_264,
																		BgL_arg1516z00_282);
																}
																BgL_arg1513z00_280 =
																	MAKE_PAIR(BgL_arg1494z00_263,
																	BgL_arg1514z00_281);
															}
															BgL_arg1512z00_279 =
																MAKE_PAIR(BgL_arg1493z00_262,
																BgL_arg1513z00_280);
														}
														BgL_arg1510z00_278 =
															MAKE_PAIR(BgL_arg1492z00_261, BgL_arg1512z00_279);
													}
													BgL_arg1509z00_277 =
														MAKE_PAIR(BgL_arg1491z00_260, BgL_arg1510z00_278);
												}
												BgL_arg1508z00_276 =
													MAKE_PAIR(BgL_arg1490z00_259, BgL_arg1509z00_277);
											}
											BgL_arg1507z00_275 =
												MAKE_PAIR(BgL_arg1488z00_258, BgL_arg1508z00_276);
										}
										BgL_arg1506z00_274 =
											MAKE_PAIR(BgL_arg1484z00_257, BgL_arg1507z00_275);
									}
									BgL_arg1505z00_273 =
										MAKE_PAIR(BgL_arg1482z00_256, BgL_arg1506z00_274);
								}
								BgL_arg1504z00_272 =
									MAKE_PAIR(BgL_arg1481z00_255, BgL_arg1505z00_273);
							}
							BgL_list1503z00_271 =
								MAKE_PAIR(BgL_arg1480z00_254, BgL_arg1504z00_272);
						}
						return (BGl_za2clausezd2compilersza2zd2zzmodule_modulez00 =
							BgL_list1503z00_271, BUNSPEC);
					}
				}
		}
	}



/* find-clause-producer */
	obj_t BGl_findzd2clausezd2producerz00zzmodule_modulez00(obj_t
		BgL_keywordz00_27, obj_t BgL_clausez00_28)
	{
		AN_OBJECT;
		{	/* Module/module.scm 235 */
			{	/* Module/module.scm 237 */
				obj_t BgL_unknownzd2clausezd2producerz00_774;

				BgL_unknownzd2clausezd2producerz00_774 =
					make_fx_procedure
					(BGl_unknownzd2clausezd2producerz00zzmodule_modulez00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_unknownzd2clausezd2producerz00_774,
					(int) (((long) 0)), BgL_clausez00_28);
				{
					obj_t BgL_ccz00_289;

					BgL_ccz00_289 = BGl_za2clausezd2compilersza2zd2zzmodule_modulez00;
				BgL_loopz00_290:
					if (NULLP(BgL_ccz00_289))
						{	/* Module/module.scm 243 */
							return BgL_unknownzd2clausezd2producerz00_774;
						}
					else
						{	/* Module/module.scm 245 */
							bool_t BgL_testz00_1144;

							{	/* Module/module.scm 245 */
								obj_t BgL_auxz00_1145;

								{	/* Module/module.scm 245 */
									BgL_ccompz00_bglt BgL_obj1286z00_604;

									{	/* Module/module.scm 245 */
										obj_t BgL_pairz00_603;

										BgL_pairz00_603 = BgL_ccz00_289;
										{	/* Module/module.scm 245 */
											obj_t BgL_auxz00_1146;

											BgL_auxz00_1146 = CAR(BgL_pairz00_603);
											BgL_obj1286z00_604 =
												(BgL_ccompz00_bglt) (BgL_auxz00_1146);
										}
									}
									BgL_auxz00_1145 =
										(((BgL_ccompz00_bglt) CREF(BgL_obj1286z00_604))->BgL_idz00);
								}
								BgL_testz00_1144 = (BgL_auxz00_1145 == BgL_keywordz00_27);
							}
							if (BgL_testz00_1144)
								{	/* Module/module.scm 246 */
									BgL_ccompz00_bglt BgL_obj1287z00_606;

									{	/* Module/module.scm 246 */
										obj_t BgL_pairz00_605;

										BgL_pairz00_605 = BgL_ccz00_289;
										{	/* Module/module.scm 246 */
											obj_t BgL_auxz00_1151;

											BgL_auxz00_1151 = CAR(BgL_pairz00_605);
											BgL_obj1287z00_606 =
												(BgL_ccompz00_bglt) (BgL_auxz00_1151);
										}
									}
									return
										(((BgL_ccompz00_bglt) CREF(BgL_obj1287z00_606))->
										BgL_producerz00);
								}
							else
								{
									obj_t BgL_ccz00_1155;

									BgL_ccz00_1155 = CDR(BgL_ccz00_289);
									BgL_ccz00_289 = BgL_ccz00_1155;
									goto BgL_loopz00_290;
								}
						}
				}
			}
		}
	}



/* unknown-clause-producer */
	obj_t BGl_unknownzd2clausezd2producerz00zzmodule_modulez00(obj_t
		BgL_envz00_775, obj_t BgL_valuesz00_777)
	{
		AN_OBJECT;
		{	/* Module/module.scm 240 */
			{	/* Module/module.scm 237 */
				obj_t BgL_clausez00_776;

				BgL_clausez00_776 = PROCEDURE_REF(BgL_envz00_775, (int) (((long) 0)));
				{
					obj_t BgL_valuesz00_297;

					BgL_valuesz00_297 = BgL_valuesz00_777;
					{	/* Module/module.scm 237 */
						obj_t BgL_list1531z00_299;

						BgL_list1531z00_299 = MAKE_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1792z00zzmodule_modulez00,
							BGl_string1801z00zzmodule_modulez00, BgL_clausez00_776,
							BgL_list1531z00_299);
					}
				}
			}
		}
	}



/* module-initialization-id */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t BgL_idz00_29)
	{
		AN_OBJECT;
		{	/* Module/module.scm 253 */
			return CNST_TABLE_REF(((long) 9));
		}
	}



/* _module-initialization-id */
	obj_t BGl__modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t
		BgL_envz00_778, obj_t BgL_idz00_779)
	{
		AN_OBJECT;
		{	/* Module/module.scm 253 */
			{	/* Module/module.scm 254 */
				obj_t BgL_res1819z00_840;

				BgL_res1819z00_840 = CNST_TABLE_REF(((long) 9));
				return BgL_res1819z00_840;
			}
		}
	}



/* do-consume-module */
	obj_t BGl_dozd2consumezd2modulez00zzmodule_modulez00(obj_t BgL_pnamez00_30,
		obj_t BgL_mclausez00_31, obj_t BgL_namez00_32, obj_t BgL_clausesz00_33)
	{
		AN_OBJECT;
		{	/* Module/module.scm 259 */
			{	/* Module/module.scm 261 */
				bool_t BgL_testz00_1163;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_32,
							CNST_TABLE_REF(((long) 3)))))
					{	/* Module/module.scm 261 */
						BgL_testz00_1163 = ((bool_t) 0);
					}
				else
					{	/* Module/module.scm 261 */
						BgL_testz00_1163 = ((bool_t) 1);
					}
				if (BgL_testz00_1163)
					{	/* Module/module.scm 261 */
						if ((BgL_pnamez00_30 == BgL_namez00_32))
							{	/* Module/module.scm 271 */
								obj_t BgL_zc3anonymousza31536ze3z83_780;

								BgL_zc3anonymousza31536ze3z83_780 =
									make_fx_procedure
									(BGl_zc3anonymousza31536ze3z83zzmodule_modulez00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31536ze3z83_780,
									(int) (((long) 0)), BgL_namez00_32);
								{	/* Module/module.scm 271 */
									obj_t BgL_list1535z00_304;

									BgL_list1535z00_304 = MAKE_PAIR(BgL_clausesz00_33, BNIL);
									return
										BGl_appendzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3anonymousza31536ze3z83_780, BgL_list1535z00_304);
								}
							}
						else
							{	/* Module/module.scm 264 */
								obj_t BgL_arg1539z00_309;

								{	/* Module/module.scm 265 */
									obj_t BgL_arg1543z00_313;
									obj_t BgL_arg1545z00_315;

									BgL_arg1543z00_313 = SYMBOL_TO_STRING(BgL_namez00_32);
									BgL_arg1545z00_315 = SYMBOL_TO_STRING(BgL_pnamez00_30);
									{	/* Module/module.scm 265 */
										obj_t BgL_list1546z00_316;

										{	/* Module/module.scm 265 */
											obj_t BgL_arg1547z00_317;

											{	/* Module/module.scm 265 */
												obj_t BgL_arg1548z00_318;

												{	/* Module/module.scm 265 */
													obj_t BgL_arg1549z00_319;

													BgL_arg1549z00_319 =
														MAKE_PAIR(BgL_arg1545z00_315, BNIL);
													BgL_arg1548z00_318 =
														MAKE_PAIR(BGl_string1802z00zzmodule_modulez00,
														BgL_arg1549z00_319);
												}
												BgL_arg1547z00_317 =
													MAKE_PAIR(BgL_arg1543z00_313, BgL_arg1548z00_318);
											}
											BgL_list1546z00_316 =
												MAKE_PAIR(BGl_string1803z00zzmodule_modulez00,
												BgL_arg1547z00_317);
										}
										BgL_arg1539z00_309 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list1546z00_316);
									}
								}
								{	/* Module/module.scm 264 */
									obj_t BgL_list1541z00_311;

									BgL_list1541z00_311 = MAKE_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1804z00zzmodule_modulez00, BgL_arg1539z00_309,
										BgL_mclausez00_31, BgL_list1541z00_311);
								}
							}
					}
				else
					{	/* Module/module.scm 262 */
						obj_t BgL_list1550z00_320;

						BgL_list1550z00_320 = MAKE_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1792z00zzmodule_modulez00,
							BGl_string1799z00zzmodule_modulez00, BgL_mclausez00_31,
							BgL_list1550z00_320);
					}
			}
		}
	}



/* <anonymous:1536> */
	obj_t BGl_zc3anonymousza31536ze3z83zzmodule_modulez00(obj_t BgL_envz00_781,
		obj_t BgL_cz00_783)
	{
		AN_OBJECT;
		{	/* Module/module.scm 271 */
			{	/* Module/module.scm 271 */
				obj_t BgL_namez00_782;

				BgL_namez00_782 = PROCEDURE_REF(BgL_envz00_781, (int) (((long) 0)));
				{
					obj_t BgL_cz00_305;

					BgL_cz00_305 = BgL_cz00_783;
					return
						BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00
						(BgL_namez00_782, BgL_cz00_305);
				}
			}
		}
	}



/* consume-module! */
	BGL_EXPORTED_DEF obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t
		BgL_pnamez00_34, obj_t BgL_mclausez00_35)
	{
		AN_OBJECT;
		{	/* Module/module.scm 276 */
			{

				if (PAIRP(BgL_mclausez00_35))
					{	/* Module/module.scm 277 */
						obj_t BgL_cdrzd21037zd2_327;

						BgL_cdrzd21037zd2_327 = CDR(BgL_mclausez00_35);
						if ((CAR(BgL_mclausez00_35) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/module.scm 277 */
								if (PAIRP(BgL_cdrzd21037zd2_327))
									{	/* Module/module.scm 277 */
										obj_t BgL_carzd21040zd2_330;

										BgL_carzd21040zd2_330 = CAR(BgL_cdrzd21037zd2_327);
										if (SYMBOLP(BgL_carzd21040zd2_330))
											{	/* Module/module.scm 277 */
												return
													BGl_dozd2consumezd2modulez00zzmodule_modulez00
													(BgL_pnamez00_34, BgL_mclausez00_35,
													BgL_carzd21040zd2_330, CDR(BgL_cdrzd21037zd2_327));
											}
										else
											{	/* Module/module.scm 277 */
											BgL_tagzd21030zd2_324:
												{	/* Module/module.scm 281 */
													obj_t BgL_list1558z00_335;

													BgL_list1558z00_335 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1792z00zzmodule_modulez00,
														BGl_string1805z00zzmodule_modulez00,
														BgL_mclausez00_35, BgL_list1558z00_335);
												}
											}
									}
								else
									{	/* Module/module.scm 277 */
										goto BgL_tagzd21030zd2_324;
									}
							}
						else
							{	/* Module/module.scm 277 */
								goto BgL_tagzd21030zd2_324;
							}
					}
				else
					{	/* Module/module.scm 277 */
						goto BgL_tagzd21030zd2_324;
					}
			}
		}
	}



/* _consume-module! */
	obj_t BGl__consumezd2modulez12zc0zzmodule_modulez00(obj_t BgL_envz00_784,
		obj_t BgL_pnamez00_785, obj_t BgL_mclausez00_786)
	{
		AN_OBJECT;
		{	/* Module/module.scm 276 */
			return
				BGl_consumezd2modulez12zc0zzmodule_modulez00(BgL_pnamez00_785,
				BgL_mclausez00_786);
		}
	}



/* consume-module-clause! */
	BGL_EXPORTED_DEF obj_t
		BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t
		BgL_modulez00_36, obj_t BgL_clausez00_37)
	{
		AN_OBJECT;
		{	/* Module/module.scm 286 */
			{
				obj_t BgL_cz00_336;

				BgL_cz00_336 = BgL_clausez00_37;
			BgL_loopz00_337:
				{

					if (PAIRP(BgL_cz00_336))
						{	/* Module/module.scm 287 */
							if ((CAR(BgL_cz00_336) == CNST_TABLE_REF(((long) 7))))
								{	/* Module/module.scm 287 */
									{	/* Module/module.scm 290 */
										obj_t BgL_ncz00_351;

										BgL_ncz00_351 =
											BGl_prognzd2firstzd2expressionz00zztools_prognz00
											(BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
											(BgL_clausez00_37));
										{	/* Module/module.scm 291 */
											bool_t BgL_testz00_1216;

											if ((BgL_ncz00_351 == BUNSPEC))
												{	/* Module/module.scm 291 */
													BgL_testz00_1216 = ((bool_t) 1);
												}
											else
												{	/* Module/module.scm 291 */
													BgL_testz00_1216 = (BgL_ncz00_351 == BFALSE);
												}
											if (BgL_testz00_1216)
												{	/* Module/module.scm 291 */
													return BNIL;
												}
											else
												{
													obj_t BgL_cz00_1220;

													BgL_cz00_1220 = BgL_ncz00_351;
													BgL_cz00_336 = BgL_cz00_1220;
													goto BgL_loopz00_337;
												}
										}
									}
								}
							else
								{	/* Module/module.scm 287 */
									obj_t BgL_carzd21058zd2_346;

									BgL_carzd21058zd2_346 = CAR(BgL_cz00_336);
									if (SYMBOLP(BgL_carzd21058zd2_346))
										{	/* Module/module.scm 287 */
											obj_t BgL_fun1576z00_628;

											BgL_fun1576z00_628 =
												BGl_findzd2clausezd2consumerz00zzmodule_modulez00
												(BgL_carzd21058zd2_346, BgL_clausez00_37);
											return
												PROCEDURE_ENTRY(BgL_fun1576z00_628) (BgL_fun1576z00_628,
												BgL_modulez00_36, BgL_cz00_336, BEOA);
										}
									else
										{	/* Module/module.scm 287 */
										BgL_tagzd21048zd2_342:
											{	/* Module/module.scm 297 */
												obj_t BgL_list1577z00_356;

												BgL_list1577z00_356 = MAKE_PAIR(BNIL, BNIL);
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1792z00zzmodule_modulez00,
													BGl_string1800z00zzmodule_modulez00, BgL_clausez00_37,
													BgL_list1577z00_356);
											}
										}
								}
						}
					else
						{	/* Module/module.scm 287 */
							goto BgL_tagzd21048zd2_342;
						}
				}
			}
		}
	}



/* _consume-module-clause! */
	obj_t BGl__consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t
		BgL_envz00_787, obj_t BgL_modulez00_788, obj_t BgL_clausez00_789)
	{
		AN_OBJECT;
		{	/* Module/module.scm 286 */
			return
				BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(BgL_modulez00_788,
				BgL_clausez00_789);
		}
	}



/* find-clause-consumer */
	obj_t BGl_findzd2clausezd2consumerz00zzmodule_modulez00(obj_t
		BgL_keywordz00_38, obj_t BgL_clausez00_39)
	{
		AN_OBJECT;
		{	/* Module/module.scm 305 */
			{	/* Module/module.scm 307 */
				obj_t BgL_unknownzd2clausezd2consumerz00_790;

				BgL_unknownzd2clausezd2consumerz00_790 =
					make_fx_procedure
					(BGl_unknownzd2clausezd2consumerz00zzmodule_modulez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_unknownzd2clausezd2consumerz00_790,
					(int) (((long) 0)), BgL_clausez00_39);
				{
					obj_t BgL_ccz00_358;

					BgL_ccz00_358 = BGl_za2clausezd2compilersza2zd2zzmodule_modulez00;
				BgL_loopz00_359:
					if (NULLP(BgL_ccz00_358))
						{	/* Module/module.scm 313 */
							return BgL_unknownzd2clausezd2consumerz00_790;
						}
					else
						{	/* Module/module.scm 315 */
							bool_t BgL_testz00_1237;

							{	/* Module/module.scm 315 */
								obj_t BgL_auxz00_1238;

								{	/* Module/module.scm 315 */
									BgL_ccompz00_bglt BgL_obj1286z00_632;

									{	/* Module/module.scm 315 */
										obj_t BgL_pairz00_631;

										BgL_pairz00_631 = BgL_ccz00_358;
										{	/* Module/module.scm 315 */
											obj_t BgL_auxz00_1239;

											BgL_auxz00_1239 = CAR(BgL_pairz00_631);
											BgL_obj1286z00_632 =
												(BgL_ccompz00_bglt) (BgL_auxz00_1239);
										}
									}
									BgL_auxz00_1238 =
										(((BgL_ccompz00_bglt) CREF(BgL_obj1286z00_632))->BgL_idz00);
								}
								BgL_testz00_1237 = (BgL_auxz00_1238 == BgL_keywordz00_38);
							}
							if (BgL_testz00_1237)
								{	/* Module/module.scm 316 */
									BgL_ccompz00_bglt BgL_obj1288z00_634;

									{	/* Module/module.scm 316 */
										obj_t BgL_pairz00_633;

										BgL_pairz00_633 = BgL_ccz00_358;
										{	/* Module/module.scm 316 */
											obj_t BgL_auxz00_1244;

											BgL_auxz00_1244 = CAR(BgL_pairz00_633);
											BgL_obj1288z00_634 =
												(BgL_ccompz00_bglt) (BgL_auxz00_1244);
										}
									}
									return
										(((BgL_ccompz00_bglt) CREF(BgL_obj1288z00_634))->
										BgL_consumerz00);
								}
							else
								{
									obj_t BgL_ccz00_1248;

									BgL_ccz00_1248 = CDR(BgL_ccz00_358);
									BgL_ccz00_358 = BgL_ccz00_1248;
									goto BgL_loopz00_359;
								}
						}
				}
			}
		}
	}



/* unknown-clause-consumer */
	obj_t BGl_unknownzd2clausezd2consumerz00zzmodule_modulez00(obj_t
		BgL_envz00_791, obj_t BgL_modulez00_793, obj_t BgL_valuesz00_794)
	{
		AN_OBJECT;
		{	/* Module/module.scm 310 */
			{	/* Module/module.scm 307 */
				obj_t BgL_clausez00_792;

				BgL_clausez00_792 = PROCEDURE_REF(BgL_envz00_791, (int) (((long) 0)));
				{
					obj_t BgL_modulez00_366;
					obj_t BgL_valuesz00_367;

					BgL_modulez00_366 = BgL_modulez00_793;
					BgL_valuesz00_367 = BgL_valuesz00_794;
					{	/* Module/module.scm 307 */
						obj_t BgL_list1595z00_636;

						BgL_list1595z00_636 = MAKE_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1792z00zzmodule_modulez00,
							BGl_string1801z00zzmodule_modulez00, BgL_clausez00_792,
							BgL_list1595z00_636);
					}
				}
			}
		}
	}



/* checksum-module */
	obj_t BGl_checksumzd2modulezd2zzmodule_modulez00(obj_t BgL_mclausez00_41)
	{
		AN_OBJECT;
		{	/* Module/module.scm 329 */
			{
				obj_t BgL_namez00_372;
				obj_t BgL_clausesz00_373;

				if (PAIRP(BgL_mclausez00_41))
					{	/* Module/module.scm 330 */
						obj_t BgL_cdrzd21076zd2_378;

						BgL_cdrzd21076zd2_378 = CDR(BgL_mclausez00_41);
						if ((CAR(BgL_mclausez00_41) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/module.scm 330 */
								if (PAIRP(BgL_cdrzd21076zd2_378))
									{	/* Module/module.scm 330 */
										obj_t BgL_carzd21079zd2_381;

										BgL_carzd21079zd2_381 = CAR(BgL_cdrzd21076zd2_378);
										if (SYMBOLP(BgL_carzd21079zd2_381))
											{	/* Module/module.scm 330 */
												BgL_namez00_372 = BgL_carzd21079zd2_381;
												BgL_clausesz00_373 = CDR(BgL_cdrzd21076zd2_378);
												{	/* Module/module.scm 333 */
													bool_t BgL_testz00_1266;

													if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_namez00_372, CNST_TABLE_REF(((long) 3)))))
														{	/* Module/module.scm 333 */
															BgL_testz00_1266 = ((bool_t) 0);
														}
													else
														{	/* Module/module.scm 333 */
															BgL_testz00_1266 = ((bool_t) 1);
														}
													if (BgL_testz00_1266)
														{	/* Module/module.scm 333 */
															return
																BINT
																(BGl_modulezd2checksumzd2zzmodule_checksumz00
																(BgL_mclausez00_41));
														}
													else
														{	/* Module/module.scm 334 */
															obj_t BgL_list1611z00_387;

															BgL_list1611z00_387 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1792z00zzmodule_modulez00,
																BGl_string1799z00zzmodule_modulez00,
																BgL_mclausez00_41, BgL_list1611z00_387);
														}
												}
											}
										else
											{	/* Module/module.scm 330 */
											BgL_tagzd21069zd2_375:
												{	/* Module/module.scm 338 */
													obj_t BgL_list1612z00_388;

													BgL_list1612z00_388 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1792z00zzmodule_modulez00,
														BGl_string1805z00zzmodule_modulez00,
														BgL_mclausez00_41, BgL_list1612z00_388);
												}
											}
									}
								else
									{	/* Module/module.scm 330 */
										goto BgL_tagzd21069zd2_375;
									}
							}
						else
							{	/* Module/module.scm 330 */
								goto BgL_tagzd21069zd2_375;
							}
					}
				else
					{	/* Module/module.scm 330 */
						goto BgL_tagzd21069zd2_375;
					}
			}
		}
	}



/* dump-module */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2modulezd2zzmodule_modulez00(obj_t
		BgL_modulez00_42)
	{
		AN_OBJECT;
		{	/* Module/module.scm 346 */
			{	/* Module/module.scm 347 */
				obj_t BgL_outz00_389;

				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* Module/module.scm 348 */
						BgL_outz00_389 = BGl_za2destza2z00zzengine_paramz00;
					}
				else
					{	/* Module/module.scm 348 */
						if (
							(BGl_za2destza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 10))))
							{	/* Module/module.scm 350 */
								BgL_outz00_389 = BFALSE;
							}
						else
							{	/* Module/module.scm 352 */
								bool_t BgL_testz00_1283;

								if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
									{	/* Module/module.scm 352 */
										obj_t BgL_auxz00_1286;

										BgL_auxz00_1286 =
											CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
										BgL_testz00_1283 = STRINGP(BgL_auxz00_1286);
									}
								else
									{	/* Module/module.scm 352 */
										BgL_testz00_1283 = ((bool_t) 0);
									}
								if (BgL_testz00_1283)
									{	/* Module/module.scm 352 */
										BgL_outz00_389 =
											string_append(BGl_prefixz00zz__osz00(CAR
												(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
											BGl_string1806z00zzmodule_modulez00);
									}
								else
									{	/* Module/module.scm 352 */
										BgL_outz00_389 = BFALSE;
									}
							}
					}
				{	/* Module/module.scm 347 */
					obj_t BgL_portz00_390;

					if (STRINGP(BgL_outz00_389))
						{	/* Module/module.scm 356 */
							BgL_portz00_390 = open_output_file(BgL_outz00_389);
						}
					else
						{	/* Module/module.scm 356 */
							BgL_portz00_390 = BGL_CURRENT_OUTPUT_PORT();
						}
					{	/* Module/module.scm 356 */

						if (OUTPUT_PORTP(BgL_portz00_390))
							{	/* Module/module.scm 361 */
								obj_t BgL_val1338z00_392;

								BgL_val1338z00_392 =
									BGl_zc3exitza31619ze3z83zzmodule_modulez00(BgL_modulez00_42,
									BgL_portz00_390);
								close_output_port(BgL_portz00_390);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val1338z00_392)))
									{	/* Module/module.scm 365 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val1338z00_392), CDR(BgL_val1338z00_392));
									}
								else
									{	/* Module/module.scm 365 */
										return BgL_val1338z00_392;
									}
							}
						else
							{	/* Module/module.scm 359 */
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 11)),
									BGl_string1807z00zzmodule_modulez00, BgL_outz00_389);
		}}}}}
	}



/* <exit:1619> */
	obj_t BGl_zc3exitza31619ze3z83zzmodule_modulez00(obj_t BgL_modulez00_829,
		obj_t BgL_portz00_828)
	{
		AN_OBJECT;
		{	/* Module/module.scm 365 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1339z00_397;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1339z00_397))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1339z00_397 = (void *) jmpbuf;
						{	/* Module/module.scm 365 */

							PUSH_EXIT(BgL_an_exit1339z00_397, ((long) 0));
							{	/* Module/module.scm 363 */
								obj_t BgL_val1340z00_398;

								{	/* Module/module.scm 363 */
									obj_t BgL_list1620z00_399;

									BgL_list1620z00_399 = MAKE_PAIR(BgL_portz00_828, BNIL);
									BGl_writez00zz__r4_output_6_10_3z00(BgL_modulez00_829,
										BgL_list1620z00_399);
								}
								BgL_val1340z00_398 =
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_828);
								POP_EXIT();
								return BgL_val1340z00_398;
							}
						}
					}
			}
		}
	}



/* _dump-module */
	obj_t BGl__dumpzd2modulezd2zzmodule_modulez00(obj_t BgL_envz00_795,
		obj_t BgL_modulez00_796)
	{
		AN_OBJECT;
		{	/* Module/module.scm 346 */
			return BGl_dumpzd2modulezd2zzmodule_modulez00(BgL_modulez00_796);
		}
	}



/* module-checksum-object */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 370 */
			{	/* Module/module.scm 371 */
				obj_t BgL_list1635z00_409;

				{	/* Module/module.scm 371 */
					obj_t BgL_arg1639z00_411;

					{	/* Module/module.scm 371 */
						obj_t BgL_arg1641z00_413;

						BgL_arg1641z00_413 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1639z00_411 =
							MAKE_PAIR(BGl_string1808z00zzmodule_modulez00,
							BgL_arg1641z00_413);
					}
					BgL_list1635z00_409 =
						MAKE_PAIR(BGl_string1790z00zzmodule_modulez00, BgL_arg1639z00_411);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1635z00_409);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1808z00zzmodule_modulez00;
			{
				obj_t BgL_hooksz00_416;
				obj_t BgL_hnamesz00_417;

				BgL_hooksz00_416 = BNIL;
				BgL_hnamesz00_417 = BNIL;
			BgL_loopz00_418:
				if (NULLP(BgL_hooksz00_416))
					{	/* Module/module.scm 371 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Module/module.scm 371 */
						bool_t BgL_testz00_1326;

						{	/* Module/module.scm 371 */
							obj_t BgL_fun1650z00_426;

							BgL_fun1650z00_426 = CAR(BgL_hooksz00_416);
							BgL_testz00_1326 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1650z00_426) (BgL_fun1650z00_426,
									BEOA));
						}
						if (BgL_testz00_1326)
							{
								obj_t BgL_hnamesz00_1333;
								obj_t BgL_hooksz00_1331;

								BgL_hooksz00_1331 = CDR(BgL_hooksz00_416);
								BgL_hnamesz00_1333 = CDR(BgL_hnamesz00_417);
								BgL_hnamesz00_417 = BgL_hnamesz00_1333;
								BgL_hooksz00_416 = BgL_hooksz00_1331;
								goto BgL_loopz00_418;
							}
						else
							{	/* Module/module.scm 371 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1808z00zzmodule_modulez00,
									BGl_string1791z00zzmodule_modulez00, CAR(BgL_hnamesz00_417));
							}
					}
			}
			{	/* Module/module.scm 372 */
				obj_t BgL_checksumz00_428;
				obj_t BgL_destz00_429;

				BgL_checksumz00_428 = BGl_za2modulezd2checksumza2zd2zzmodule_modulez00;
				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* Module/module.scm 373 */
						if (
							(BGl_za2passza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 12))))
							{	/* Module/module.scm 378 */
								BgL_destz00_429 = BGl_za2destza2z00zzengine_paramz00;
							}
						else
							{	/* Module/module.scm 378 */
								BgL_destz00_429 =
									string_append(BGl_prefixz00zz__osz00
									(BGl_za2destza2z00zzengine_paramz00),
									BGl_string1809z00zzmodule_modulez00);
							}
					}
				else
					{	/* Module/module.scm 374 */
						bool_t BgL_testz00_1344;

						if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
							{	/* Module/module.scm 375 */
								obj_t BgL_auxz00_1347;

								BgL_auxz00_1347 =
									CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								BgL_testz00_1344 = STRINGP(BgL_auxz00_1347);
							}
						else
							{	/* Module/module.scm 374 */
								BgL_testz00_1344 = ((bool_t) 0);
							}
						if (BgL_testz00_1344)
							{	/* Module/module.scm 374 */
								BgL_destz00_429 =
									string_append(BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
									BGl_string1809z00zzmodule_modulez00);
							}
						else
							{	/* Module/module.scm 374 */
								BgL_destz00_429 = BFALSE;
							}
					}
				{

					{	/* Module/module.scm 393 */
						bool_t BgL_testz00_1353;

						if (STRINGP(BgL_destz00_429))
							{	/* Module/module.scm 393 */
								BgL_testz00_1353 = fexists(BSTRING_TO_STRING(BgL_destz00_429));
							}
						else
							{	/* Module/module.scm 393 */
								BgL_testz00_1353 = ((bool_t) 0);
							}
						if (BgL_testz00_1353)
							{	/* Module/module.scm 396 */
								obj_t BgL_iportz00_432;

								BgL_iportz00_432 =
									BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_destz00_429, BNIL);
								if (INPUT_PORTP(BgL_iportz00_432))
									{	/* Module/module.scm 401 */
										obj_t BgL_csz00_434;

										{	/* Module/module.scm 401 */

											{	/* Module/module.scm 401 */
												obj_t BgL_iportz00_436;

												BgL_iportz00_436 = BgL_iportz00_432;
												{	/* Module/module.scm 401 */

													BgL_csz00_434 =
														BGl_readz00zz__readerz00(BgL_iportz00_436, BFALSE);
												}
											}
										}
										close_input_port(BgL_iportz00_432);
										if (
											((long) CINT(BgL_csz00_434) ==
												(long) CINT(BgL_checksumz00_428)))
											{	/* Module/module.scm 403 */
												BFALSE;
											}
										else
											{	/* Module/module.scm 403 */
												{	/* Module/module.scm 405 */
													char *BgL_stringz00_677;

													BgL_stringz00_677 =
														BSTRING_TO_STRING(BgL_destz00_429);
													if (unlink(BgL_stringz00_677))
														{	/* Module/module.scm 405 */
															((bool_t) 0);
														}
													else
														{	/* Module/module.scm 405 */
															((bool_t) 1);
														}
												}
											BgL_zc3anonymousza31660ze3z83_441:
												if (STRINGP(BgL_destz00_429))
													{	/* Module/module.scm 383 */
														obj_t BgL_oportz00_443;

														BgL_oportz00_443 =
															open_output_file(BgL_destz00_429);
														if (OUTPUT_PORTP(BgL_oportz00_443))
															{	/* Module/module.scm 384 */
																bgl_display_obj(BgL_checksumz00_428,
																	BgL_oportz00_443);
																BGL_DISPLAY_CHAR(((unsigned char) '\n'),
																	BgL_oportz00_443);
																close_output_port(BgL_oportz00_443);
															}
														else
															{	/* Module/module.scm 384 */
																BGl_errorz00zz__errorz00
																	(BGl_string1810z00zzmodule_modulez00,
																	BGl_string1811z00zzmodule_modulez00,
																	BgL_destz00_429);
															}
													}
												else
													{	/* Module/module.scm 391 */
														obj_t BgL_port1352z00_446;

														BgL_port1352z00_446 = BGL_CURRENT_OUTPUT_PORT();
														bgl_display_obj(BgL_checksumz00_428,
															BgL_port1352z00_446);
														BGL_DISPLAY_CHAR(((unsigned char) '\n'),
															BgL_port1352z00_446);
									}}}
								else
									{	/* Module/module.scm 397 */
										BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1810z00zzmodule_modulez00,
											BGl_string1812z00zzmodule_modulez00, BgL_destz00_429,
											BNIL);
									}
							}
						else
							{	/* Module/module.scm 393 */
								goto BgL_zc3anonymousza31660ze3z83_441;
							}
					}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Module/module.scm 409 */
					{	/* Module/module.scm 409 */
						obj_t BgL_port1353z00_460;

						BgL_port1353z00_460 = BGL_CURRENT_ERROR_PORT();
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1353z00_460);
						bgl_display_string(BGl_string1794z00zzmodule_modulez00,
							BgL_port1353z00_460);
						{	/* Module/module.scm 409 */
							obj_t BgL_arg1688z00_461;

							{	/* Module/module.scm 409 */
								bool_t BgL_testz00_1389;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Module/module.scm 409 */
										BgL_testz00_1389 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BINT(((long) 1)));
									}
								else
									{	/* Module/module.scm 409 */
										BgL_testz00_1389 = ((bool_t) 0);
									}
								if (BgL_testz00_1389)
									{	/* Module/module.scm 409 */
										BgL_arg1688z00_461 = BGl_string1795z00zzmodule_modulez00;
									}
								else
									{	/* Module/module.scm 409 */
										BgL_arg1688z00_461 = BGl_string1796z00zzmodule_modulez00;
									}
							}
							bgl_display_obj(BgL_arg1688z00_461, BgL_port1353z00_460);
						}
						bgl_display_string(BGl_string1797z00zzmodule_modulez00,
							BgL_port1353z00_460);
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port1353z00_460);
					}
					{	/* Module/module.scm 409 */
						obj_t BgL_list1691z00_464;

						BgL_list1691z00_464 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1691z00_464);
					}
				}
			else
				{
					obj_t BgL_hooksz00_467;
					obj_t BgL_hnamesz00_468;

					BgL_hooksz00_467 = BNIL;
					BgL_hnamesz00_468 = BNIL;
				BgL_loopz00_469:
					if (NULLP(BgL_hooksz00_467))
						{	/* Module/module.scm 409 */
							return BTRUE;
						}
					else
						{	/* Module/module.scm 409 */
							bool_t BgL_testz00_1402;

							{	/* Module/module.scm 409 */
								obj_t BgL_fun1700z00_476;

								BgL_fun1700z00_476 = CAR(BgL_hooksz00_467);
								BgL_testz00_1402 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1700z00_476) (BgL_fun1700z00_476,
										BEOA));
							}
							if (BgL_testz00_1402)
								{
									obj_t BgL_hnamesz00_1409;
									obj_t BgL_hooksz00_1407;

									BgL_hooksz00_1407 = CDR(BgL_hooksz00_467);
									BgL_hnamesz00_1409 = CDR(BgL_hnamesz00_468);
									BgL_hnamesz00_468 = BgL_hnamesz00_1409;
									BgL_hooksz00_467 = BgL_hooksz00_1407;
									goto BgL_loopz00_469;
								}
							else
								{	/* Module/module.scm 409 */
									obj_t BgL_arg1699z00_475;

									BgL_arg1699z00_475 = CAR(BgL_hnamesz00_468);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string1798z00zzmodule_modulez00, BgL_arg1699z00_475);
								}
						}
				}
		}
	}



/* _module-checksum-object */
	obj_t BGl__modulezd2checksumzd2objectz00zzmodule_modulez00(obj_t
		BgL_envz00_797)
	{
		AN_OBJECT;
		{	/* Module/module.scm 370 */
			return BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 15 */
			{	/* Module/module.scm 45 */
				obj_t BgL_arg1702z00_478;
				obj_t BgL_arg1703z00_479;
				obj_t BgL_arg1711z00_482;

				BgL_arg1702z00_478 = CNST_TABLE_REF(((long) 13));
				BgL_arg1703z00_479 = BGl_objectz00zz__objectz00;
				{	/* Module/module.scm 45 */
					obj_t BgL_v1354z00_483;

					BgL_v1354z00_483 = create_vector((int) (((long) 0)));
					BgL_arg1711z00_482 = BgL_v1354z00_483;
				}
				BGl_ccompz00zzmodule_modulez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1702z00_478,
					BgL_arg1703z00_479, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2ccompzd2envz52zzmodule_modulez00,
					BGl_ccompzd2nilzd2envz00zzmodule_modulez00,
					BGl_ccompzf3zd2envz21zzmodule_modulez00, ((long) 37381145), BFALSE,
					BFALSE, BgL_arg1711z00_482);
			}
			return (BGl_z52thezd2ccompzd2nilz52zzmodule_modulez00 = BUNSPEC, BUNSPEC);
		}
	}



/* ccomp? */
	BGL_EXPORTED_DEF bool_t BGl_ccompzf3zf3zzmodule_modulez00(obj_t
		BgL_obj1326z00_43)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1326z00_43,
				BGl_ccompz00zzmodule_modulez00);
		}
	}



/* _ccomp? */
	obj_t BGl__ccompzf3zf3zzmodule_modulez00(obj_t BgL_envz00_800,
		obj_t BgL_obj1326z00_801)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1326z00_801,
					BGl_ccompz00zzmodule_modulez00));
		}
	}



/* make-ccomp */
	BGL_EXPORTED_DEF BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t
		BgL_id1290z00_47, obj_t BgL_producer1291z00_48,
		obj_t BgL_consumer1292z00_49, obj_t BgL_finaliza7er1293za7_50)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				BgL_ccompz00_bglt BgL_new1294z00_699;

				{	/* Module/module.scm 45 */
					BgL_ccompz00_bglt BgL_res1778z00_704;

					{	/* Module/module.scm 45 */
						BgL_ccompz00_bglt BgL_new1306z00_700;
						BgL_new1306z00_700 =
							((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ccompz00_bgl))));
						{	/* Module/module.scm 45 */
							long BgL_arg1715z00_701;

							BgL_arg1715z00_701 =
								BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00);
							{	/* Module/module.scm 45 */
								BgL_objectz00_bglt BgL_objz00_702;

								BgL_objz00_702 = (BgL_objectz00_bglt) (BgL_new1306z00_700);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_702, BgL_arg1715z00_701);
						}}
						{	/* Module/module.scm 45 */
							BgL_objectz00_bglt BgL_auxz00_1425;

							BgL_auxz00_1425 = (BgL_objectz00_bglt) (BgL_new1306z00_700);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1425, BFALSE);
						}
						BgL_res1778z00_704 = BgL_new1306z00_700;
					}
					BgL_new1294z00_699 = BgL_res1778z00_704;
				}
				{	/* Module/module.scm 45 */
					BgL_ccompz00_bglt BgL_res1779z00_714;

					{	/* Module/module.scm 45 */
						BgL_ccompz00_bglt BgL_new1300z00_705;

						BgL_new1300z00_705 = BgL_new1294z00_699;
						{	/* Module/module.scm 45 */
							obj_t BgL_id1296z00_710;
							obj_t BgL_producer1297z00_711;
							obj_t BgL_consumer1298z00_712;
							obj_t BgL_finaliza7er1299za7_713;

							BgL_id1296z00_710 = BgL_id1290z00_47;
							BgL_producer1297z00_711 = BgL_producer1291z00_48;
							BgL_consumer1298z00_712 = BgL_consumer1292z00_49;
							BgL_finaliza7er1299za7_713 = BgL_finaliza7er1293za7_50;
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_705))->BgL_idz00) =
								((obj_t) BgL_id1296z00_710), BUNSPEC);
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_705))->
									BgL_producerz00) =
								((obj_t) BgL_producer1297z00_711), BUNSPEC);
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_705))->
									BgL_consumerz00) =
								((obj_t) BgL_consumer1298z00_712), BUNSPEC);
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_705))->
									BgL_finaliza7erza7) =
								((obj_t) BgL_finaliza7er1299za7_713), BUNSPEC);
							BgL_res1779z00_714 = BgL_new1300z00_705;
					}} BgL_res1779z00_714;
				}
				return BgL_new1294z00_699;
			}
		}
	}



/* _make-ccomp */
	obj_t BGl__makezd2ccompzd2zzmodule_modulez00(obj_t BgL_envz00_802,
		obj_t BgL_id1290z00_803, obj_t BgL_producer1291z00_804,
		obj_t BgL_consumer1292z00_805, obj_t BgL_finaliza7er1293za7_806)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				BgL_ccompz00_bglt BgL_auxz00_1432;

				BgL_auxz00_1432 =
					BGl_makezd2ccompzd2zzmodule_modulez00(BgL_id1290z00_803,
					BgL_producer1291z00_804, BgL_consumer1292z00_805,
					BgL_finaliza7er1293za7_806);
				return (obj_t) (BgL_auxz00_1432);
			}
		}
	}



/* fill-ccomp! */
	BGL_EXPORTED_DEF BgL_ccompz00_bglt
		BGl_fillzd2ccompz12zc0zzmodule_modulez00(BgL_ccompz00_bglt
		BgL_new1300z00_51, obj_t BgL_id1296z00_52, obj_t BgL_producer1297z00_53,
		obj_t BgL_consumer1298z00_54, obj_t BgL_finaliza7er1299za7_55)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				obj_t BgL_id1296z00_842;
				obj_t BgL_producer1297z00_843;
				obj_t BgL_consumer1298z00_844;
				obj_t BgL_finaliza7er1299za7_845;

				BgL_id1296z00_842 = BgL_id1296z00_52;
				BgL_producer1297z00_843 = BgL_producer1297z00_53;
				BgL_consumer1298z00_844 = BgL_consumer1298z00_54;
				BgL_finaliza7er1299za7_845 = BgL_finaliza7er1299za7_55;
				((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_51))->BgL_idz00) =
					((obj_t) BgL_id1296z00_842), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_51))->BgL_producerz00) =
					((obj_t) BgL_producer1297z00_843), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_51))->BgL_consumerz00) =
					((obj_t) BgL_consumer1298z00_844), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_51))->BgL_finaliza7erza7) =
					((obj_t) BgL_finaliza7er1299za7_845), BUNSPEC);
				return BgL_new1300z00_51;
			}
		}
	}



/* _fill-ccomp! */
	obj_t BGl__fillzd2ccompz12zc0zzmodule_modulez00(obj_t BgL_envz00_807,
		obj_t BgL_new1300z00_808, obj_t BgL_id1296z00_809,
		obj_t BgL_producer1297z00_810, obj_t BgL_consumer1298z00_811,
		obj_t BgL_finaliza7er1299za7_812)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				BgL_ccompz00_bglt BgL_auxz00_1439;

				{	/* Module/module.scm 45 */
					BgL_ccompz00_bglt BgL_res1820z00_855;

					{	/* Module/module.scm 45 */
						BgL_ccompz00_bglt BgL_new1300z00_846;
						obj_t BgL_id1296z00_847;
						obj_t BgL_producer1297z00_848;
						obj_t BgL_consumer1298z00_849;
						obj_t BgL_finaliza7er1299za7_850;

						BgL_new1300z00_846 = (BgL_ccompz00_bglt) (BgL_new1300z00_808);
						BgL_id1296z00_847 = BgL_id1296z00_809;
						BgL_producer1297z00_848 = BgL_producer1297z00_810;
						BgL_consumer1298z00_849 = BgL_consumer1298z00_811;
						BgL_finaliza7er1299za7_850 = BgL_finaliza7er1299za7_812;
						{	/* Module/module.scm 45 */
							obj_t BgL_id1296z00_851;
							obj_t BgL_producer1297z00_852;
							obj_t BgL_consumer1298z00_853;
							obj_t BgL_finaliza7er1299za7_854;

							BgL_id1296z00_851 = BgL_id1296z00_847;
							BgL_producer1297z00_852 = BgL_producer1297z00_848;
							BgL_consumer1298z00_853 = BgL_consumer1298z00_849;
							BgL_finaliza7er1299za7_854 = BgL_finaliza7er1299za7_850;
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_846))->BgL_idz00) =
								((obj_t) BgL_id1296z00_851), BUNSPEC);
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_846))->
									BgL_producerz00) =
								((obj_t) BgL_producer1297z00_852), BUNSPEC);
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_846))->
									BgL_consumerz00) =
								((obj_t) BgL_consumer1298z00_853), BUNSPEC);
							((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_846))->
									BgL_finaliza7erza7) =
								((obj_t) BgL_finaliza7er1299za7_854), BUNSPEC);
							BgL_res1820z00_855 = BgL_new1300z00_846;
						}
					}
					BgL_auxz00_1439 = BgL_res1820z00_855;
				}
				return (obj_t) (BgL_auxz00_1439);
			}
		}
	}



/* %allocate-ccomp */
	BGL_EXPORTED_DEF BgL_ccompz00_bglt
		BGl_z52allocatezd2ccompz80zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				BgL_ccompz00_bglt BgL_new1306z00_856;
				BgL_new1306z00_856 =
					((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ccompz00_bgl))));
				{	/* Module/module.scm 45 */
					long BgL_arg1715z00_857;

					BgL_arg1715z00_857 =
						BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00);
					{	/* Module/module.scm 45 */
						BgL_objectz00_bglt BgL_objz00_858;

						BgL_objz00_858 = (BgL_objectz00_bglt) (BgL_new1306z00_856);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_858, BgL_arg1715z00_857);
				}}
				{	/* Module/module.scm 45 */
					BgL_objectz00_bglt BgL_auxz00_1450;

					BgL_auxz00_1450 = (BgL_objectz00_bglt) (BgL_new1306z00_856);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_1450, BFALSE);
				}
				return BgL_new1306z00_856;
			}
		}
	}



/* _%allocate-ccomp */
	obj_t BGl__z52allocatezd2ccompz80zzmodule_modulez00(obj_t BgL_envz00_798)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				BgL_ccompz00_bglt BgL_auxz00_1453;

				{	/* Module/module.scm 45 */
					BgL_ccompz00_bglt BgL_res1821z00_862;

					{	/* Module/module.scm 45 */
						BgL_ccompz00_bglt BgL_new1306z00_859;
						BgL_new1306z00_859 =
							((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ccompz00_bgl))));
						{	/* Module/module.scm 45 */
							long BgL_arg1715z00_860;

							BgL_arg1715z00_860 =
								BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00);
							{	/* Module/module.scm 45 */
								BgL_objectz00_bglt BgL_objz00_861;

								BgL_objz00_861 = (BgL_objectz00_bglt) (BgL_new1306z00_859);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_861, BgL_arg1715z00_860);
						}}
						{	/* Module/module.scm 45 */
							BgL_objectz00_bglt BgL_auxz00_1458;

							BgL_auxz00_1458 = (BgL_objectz00_bglt) (BgL_new1306z00_859);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1458, BFALSE);
						}
						BgL_res1821z00_862 = BgL_new1306z00_859;
					}
					BgL_auxz00_1453 = BgL_res1821z00_862;
				}
				return (obj_t) (BgL_auxz00_1453);
			}
		}
	}



/* ccomp-nil */
	BGL_EXPORTED_DEF BgL_ccompz00_bglt BGl_ccompzd2nilzd2zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			if ((BGl_z52thezd2ccompzd2nilz52zzmodule_modulez00 == BUNSPEC))
				{	/* Module/module.scm 45 */
					{	/* Module/module.scm 45 */
						BgL_ccompz00_bglt BgL_res1780z00_727;

						{	/* Module/module.scm 45 */
							BgL_ccompz00_bglt BgL_new1306z00_723;
							BgL_new1306z00_723 =
								((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ccompz00_bgl))));
							{	/* Module/module.scm 45 */
								long BgL_arg1715z00_724;

								BgL_arg1715z00_724 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ccompz00zzmodule_modulez00);
								{	/* Module/module.scm 45 */
									BgL_objectz00_bglt BgL_objz00_725;

									BgL_objz00_725 = (BgL_objectz00_bglt) (BgL_new1306z00_723);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_725, BgL_arg1715z00_724);
							}}
							{	/* Module/module.scm 45 */
								BgL_objectz00_bglt BgL_auxz00_1468;

								BgL_auxz00_1468 = (BgL_objectz00_bglt) (BgL_new1306z00_723);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1468, BFALSE);
							}
							BgL_res1780z00_727 = BgL_new1306z00_723;
						}
						BGl_z52thezd2ccompzd2nilz52zzmodule_modulez00 =
							(obj_t) (BgL_res1780z00_727);
					}
					{	/* Module/module.scm 45 */
						BgL_ccompz00_bglt BgL_res1781z00_734;

						{	/* Module/module.scm 45 */
							BgL_ccompz00_bglt BgL_new1300z00_728;
							obj_t BgL_id1296z00_729;

							BgL_new1300z00_728 =
								(BgL_ccompz00_bglt)
								(BGl_z52thezd2ccompzd2nilz52zzmodule_modulez00);
							BgL_id1296z00_729 = CNST_TABLE_REF(((long) 14));
							{	/* Module/module.scm 45 */
								obj_t BgL_id1296z00_730;
								obj_t BgL_producer1297z00_731;
								obj_t BgL_consumer1298z00_732;
								obj_t BgL_finaliza7er1299za7_733;

								BgL_id1296z00_730 = BgL_id1296z00_729;
								BgL_producer1297z00_731 =
									BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
								BgL_consumer1298z00_732 =
									BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
								BgL_finaliza7er1299za7_733 =
									BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
								((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_728))->BgL_idz00) =
									((obj_t) BgL_id1296z00_730), BUNSPEC);
								((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_728))->
										BgL_producerz00) =
									((obj_t) BgL_producer1297z00_731), BUNSPEC);
								((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_728))->
										BgL_consumerz00) =
									((obj_t) BgL_consumer1298z00_732), BUNSPEC);
								((((BgL_ccompz00_bglt) CREF(BgL_new1300z00_728))->
										BgL_finaliza7erza7) =
									((obj_t) BgL_finaliza7er1299za7_733), BUNSPEC);
								BgL_res1781z00_734 = BgL_new1300z00_728;
						}}
						(obj_t) (BgL_res1781z00_734);
				}}
			else
				{	/* Module/module.scm 45 */
					BFALSE;
				}
			return
				(BgL_ccompz00_bglt) (BGl_z52thezd2ccompzd2nilz52zzmodule_modulez00);
		}
	}



/* _ccomp-nil */
	obj_t BGl__ccompzd2nilzd2zzmodule_modulez00(obj_t BgL_envz00_799)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{	/* Module/module.scm 45 */
				BgL_ccompz00_bglt BgL_auxz00_1480;

				BgL_auxz00_1480 = BGl_ccompzd2nilzd2zzmodule_modulez00();
				return (obj_t) (BgL_auxz00_1480);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 15 */
			{	/* Module/module.scm 15 */
				obj_t BgL_objectzd2ze3structzd2ccomp1357ze3_817;

				BgL_objectzd2ze3structzd2ccomp1357ze3_817 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2ccomp1357ze3zzmodule_modulez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_ccompz00zzmodule_modulez00,
					BgL_objectzd2ze3structzd2ccomp1357ze3_817);
			}
			{	/* Module/module.scm 15 */
				obj_t BgL_structzb2objectzd2ze3objec1359z83_816;

				BgL_structzb2objectzd2ze3objec1359z83_816 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec1359z83zzmodule_modulez00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_ccompz00zzmodule_modulez00,
					BgL_structzb2objectzd2ze3objec1359z83_816);
			}
		}
	}



/* struct+object->objec1359 */
	obj_t BGl_structzb2objectzd2ze3objec1359z83zzmodule_modulez00(obj_t
		BgL_envz00_818, obj_t BgL_oz00_819, obj_t BgL_sz00_820)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{
				BgL_ccompz00_bglt BgL_oz00_506;
				obj_t BgL_sz00_507;

				{	/* Module/module.scm 45 */
					BgL_ccompz00_bglt BgL_auxz00_1491;

					BgL_oz00_506 = (BgL_ccompz00_bglt) (BgL_oz00_819);
					BgL_sz00_507 = BgL_sz00_820;
					{	/* Module/module.scm 45 */
						obj_t BgL_arg1770z00_510;

						BgL_arg1770z00_510 = STRUCT_REF(BgL_sz00_507, (int) (((long) 0)));
						{	/* Module/module.scm 45 */
							BgL_objectz00_bglt BgL_auxz00_1494;

							BgL_auxz00_1494 = (BgL_objectz00_bglt) (BgL_oz00_506);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1494, BgL_arg1770z00_510);
					}}
					{
						obj_t BgL_auxz00_1497;

						BgL_auxz00_1497 = STRUCT_REF(BgL_sz00_507, (int) (((long) 1)));
						((((BgL_ccompz00_bglt) CREF(BgL_oz00_506))->BgL_idz00) =
							((obj_t) BgL_auxz00_1497), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_1501;

						BgL_auxz00_1501 = STRUCT_REF(BgL_sz00_507, (int) (((long) 2)));
						((((BgL_ccompz00_bglt) CREF(BgL_oz00_506))->BgL_producerz00) =
							((obj_t) BgL_auxz00_1501), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_1505;

						BgL_auxz00_1505 = STRUCT_REF(BgL_sz00_507, (int) (((long) 3)));
						((((BgL_ccompz00_bglt) CREF(BgL_oz00_506))->BgL_consumerz00) =
							((obj_t) BgL_auxz00_1505), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_1509;

						BgL_auxz00_1509 = STRUCT_REF(BgL_sz00_507, (int) (((long) 4)));
						((((BgL_ccompz00_bglt) CREF(BgL_oz00_506))->BgL_finaliza7erza7) =
							((obj_t) BgL_auxz00_1509), BUNSPEC);
					}
					BgL_auxz00_1491 = BgL_oz00_506;
					return (obj_t) (BgL_auxz00_1491);
				}
			}
		}
	}



/* object->struct-ccomp1357 */
	obj_t BGl_objectzd2ze3structzd2ccomp1357ze3zzmodule_modulez00(obj_t
		BgL_envz00_821, obj_t BgL_obj1307z00_822)
	{
		AN_OBJECT;
		{	/* Module/module.scm 45 */
			{
				BgL_ccompz00_bglt BgL_obj1307z00_492;

				BgL_obj1307z00_492 = (BgL_ccompz00_bglt) (BgL_obj1307z00_822);
				{	/* Module/module.scm 45 */
					obj_t BgL_res1308z00_495;

					{	/* Module/module.scm 45 */
						obj_t BgL_keyz00_735;

						BgL_keyz00_735 = CNST_TABLE_REF(((long) 13));
						BgL_res1308z00_495 =
							make_struct(BgL_keyz00_735, (int) (((long) 5)), BUNSPEC);
					}
					{	/* Module/module.scm 45 */
						int BgL_auxz00_1518;

						BgL_auxz00_1518 = (int) (((long) 0));
						STRUCT_SET(BgL_res1308z00_495, BgL_auxz00_1518, BFALSE);
					}
					{	/* Module/module.scm 45 */
						obj_t BgL_arg1722z00_497;

						BgL_arg1722z00_497 =
							(((BgL_ccompz00_bglt) CREF(BgL_obj1307z00_492))->BgL_idz00);
						{	/* Module/module.scm 45 */
							int BgL_auxz00_1522;

							BgL_auxz00_1522 = (int) (((long) 1));
							STRUCT_SET(BgL_res1308z00_495, BgL_auxz00_1522,
								BgL_arg1722z00_497);
					}}
					{	/* Module/module.scm 45 */
						obj_t BgL_arg1724z00_499;

						BgL_arg1724z00_499 =
							(((BgL_ccompz00_bglt) CREF(BgL_obj1307z00_492))->BgL_producerz00);
						{	/* Module/module.scm 45 */
							int BgL_auxz00_1526;

							BgL_auxz00_1526 = (int) (((long) 2));
							STRUCT_SET(BgL_res1308z00_495, BgL_auxz00_1526,
								BgL_arg1724z00_499);
					}}
					{	/* Module/module.scm 45 */
						obj_t BgL_arg1726z00_501;

						BgL_arg1726z00_501 =
							(((BgL_ccompz00_bglt) CREF(BgL_obj1307z00_492))->BgL_consumerz00);
						{	/* Module/module.scm 45 */
							int BgL_auxz00_1530;

							BgL_auxz00_1530 = (int) (((long) 3));
							STRUCT_SET(BgL_res1308z00_495, BgL_auxz00_1530,
								BgL_arg1726z00_501);
					}}
					{	/* Module/module.scm 45 */
						obj_t BgL_arg1728z00_503;

						BgL_arg1728z00_503 =
							(((BgL_ccompz00_bglt) CREF(BgL_obj1307z00_492))->
							BgL_finaliza7erza7);
						{	/* Module/module.scm 45 */
							int BgL_auxz00_1534;

							BgL_auxz00_1534 = (int) (((long) 4));
							STRUCT_SET(BgL_res1308z00_495, BgL_auxz00_1534,
								BgL_arg1728z00_503);
					}}
					return BgL_res1308z00_495;
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_modulez00()
	{
		AN_OBJECT;
		{	/* Module/module.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 307873065),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_mainz00(((long) 282254508),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_statexpz00(((long) 122883188),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 457322990),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 256968439),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_withz00(((long) 280664077),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(((long) 450116231),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_foreignz00(((long) 117332816),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 198447312),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 158085554),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_loadz00(((long) 522153548),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 284127067),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long) 46781260),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_optionz00(((long) 324841364),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 55672085),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzread_includez00(((long) 273692333),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(((long) 218992570),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
			return
				BGl_modulezd2initializa7ationz75zzread_inlinez00(((long) 155491372),
				BSTRING_TO_STRING(BGl_string1813z00zzmodule_modulez00));
		}
	}

#ifdef __cplusplus
}
#endif
