/*===========================================================================*/
/*   (Read/inline.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Read/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_importzd2macrozd2finaliza7erza7zzread_inlinez00();
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzread_inlinez00 = BUNSPEC;
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_openzd2inlinezd2filez00zzread_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzread_inlinez00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00();
	static obj_t
		BGl__lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32304ze3z83zzread_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzread_inlinez00();
	BGL_IMPORT obj_t BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern bool_t BGl_supportedzd2srfizf3z21zzexpand_srfizd20zd2(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_lookzd2forzf2expz20zzread_inlinez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza32191ze3z83zzread_inlinez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_lookzd2forzd2definitionsz00zzread_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_zc3exitza31958ze3z83zzread_inlinez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	static obj_t BGl_za2macrozd2definitionsza2zd2zzread_inlinez00 = BUNSPEC;
	static obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00();
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzread_inlinez00();
	BGL_EXPORTED_DECL obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
	static obj_t BGl__importzd2macrozd2finaliza7erza7zzread_inlinez00(obj_t);
	static obj_t __cnst[13];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_lookzd2forzd2inlineszd2andzd2macroszd2envzd2zzread_inlinez00,
		BgL_bgl__lookza7d2forza7d2in2347z00,
		BGl__lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00, 0L, BUNSPEC,
		8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2macrozd2finaliza7erzd2envz75zzread_inlinez00,
		BgL_bgl__importza7d2macroza72348z00,
		BGl__importzd2macrozd2finaliza7erza7zzread_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2finaliza7erzd2envza7zzread_inlinez00,
		BgL_bgl__inlineza7d2finali2349za7,
		BGl__inlinezd2finaliza7erz75zzread_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2334z00zzread_inlinez00,
		BgL_bgl_string2334za700za7za7r2350za7, "Cannot open file for input", 26);
	      DEFINE_STRING(BGl_string2335z00zzread_inlinez00,
		BgL_bgl_string2335za700za7za7r2351za7, "Cannot find source file", 23);
	      DEFINE_STRING(BGl_string2336z00zzread_inlinez00,
		BgL_bgl_string2336za700za7za7r2352za7, "import", 6);
	      DEFINE_STRING(BGl_string2337z00zzread_inlinez00,
		BgL_bgl_string2337za700za7za7r2353za7, "Can't find macro definition(s)",
		30);
	      DEFINE_STRING(BGl_string2338z00zzread_inlinez00,
		BgL_bgl_string2338za700za7za7r2354za7, "Can't find syntax definition(s)",
		31);
	      DEFINE_STRING(BGl_string2340z00zzread_inlinez00,
		BgL_bgl_string2340za700za7za7r2355za7,
		"Can't find inline/generic definition(s)", 39);
	      DEFINE_STRING(BGl_string2339z00zzread_inlinez00,
		BgL_bgl_string2339za700za7za7r2356za7, "Can't find expander definition(s)",
		33);
	      DEFINE_STRING(BGl_string2341z00zzread_inlinez00,
		BgL_bgl_string2341za700za7za7r2357za7, "Can't find file", 15);
	      DEFINE_STRING(BGl_string2342z00zzread_inlinez00,
		BgL_bgl_string2342za700za7za7r2358za7, "read_inline", 11);
	      DEFINE_STRING(BGl_string2343z00zzread_inlinez00,
		BgL_bgl_string2343za700za7za7r2359za7,
		"imported-macros unit imported-inlines cond-expand define-expander define-syntax define-macro define-inline @ sifun done begin inline ",
		133);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long
		BgL_checksumz00_1105, char *BgL_fromz00_1106)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzread_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzread_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzread_inlinez00();
					BGl_cnstzd2initzd2zzread_inlinez00();
					BGl_importedzd2moduleszd2initz00zzread_inlinez00();
					BGl_toplevelzd2initzd2zzread_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"read_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "read_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"read_inline");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "read_inline");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "read_inline");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"read_inline");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "read_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 15 */
			{	/* Read/inline.scm 15 */
				obj_t BgL_cportz00_1097;

				BgL_cportz00_1097 =
					bgl_open_input_string(BGl_string2343z00zzread_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1098;

					BgL_iz00_1098 = ((long) 12);
				BgL_loopz00_1099:
					if ((BgL_iz00_1098 == ((long) -1)))
						{	/* Read/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Read/inline.scm 15 */
							{	/* Read/inline.scm 15 */
								obj_t BgL_arg2346z00_1101;

								{	/* Read/inline.scm 15 */

									{	/* Read/inline.scm 15 */
										obj_t BgL_locationz00_1103;

										BgL_locationz00_1103 = BBOOL(((bool_t) 0));
										{	/* Read/inline.scm 15 */

											BgL_arg2346z00_1101 =
												BGl_readz00zz__readerz00(BgL_cportz00_1097,
												BgL_locationz00_1103);
										}
									}
								}
								{	/* Read/inline.scm 15 */
									int BgL_auxz00_1127;

									BgL_auxz00_1127 = (int) (BgL_iz00_1098);
									CNST_TABLE_SET(BgL_auxz00_1127, BgL_arg2346z00_1101);
							}}
							{	/* Read/inline.scm 15 */
								int BgL_auxz00_1104;

								BgL_auxz00_1104 = (int) ((BgL_iz00_1098 - ((long) 1)));
								{
									long BgL_iz00_1132;

									BgL_iz00_1132 = (long) (BgL_auxz00_1104);
									BgL_iz00_1098 = BgL_iz00_1132;
									goto BgL_loopz00_1099;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 15 */
			BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BNIL;
			return (BGl_za2macrozd2definitionsza2zd2zzread_inlinez00 = BNIL, BUNSPEC);
		}
	}



/* open-inline-file */
	obj_t BGl_openzd2inlinezd2filez00zzread_inlinez00(obj_t BgL_filez00_19)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 37 */
			{	/* Read/inline.scm 38 */
				obj_t BgL_pathz00_360;

				BgL_pathz00_360 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_19,
					BGl_za2loadzd2pathza2zd2zz__evalz00);
				if (STRINGP(BgL_pathz00_360))
					{	/* Read/inline.scm 40 */
						obj_t BgL_portz00_362;

						BgL_portz00_362 =
							BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_pathz00_360,
							BNIL);
						if (INPUT_PORTP(BgL_portz00_362))
							{	/* Read/inline.scm 41 */
								return BgL_portz00_362;
							}
						else
							{	/* Read/inline.scm 41 */
								return
									BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											0)), BGl_string2334z00zzread_inlinez00, BgL_pathz00_360,
									BNIL);
					}}
				else
					{	/* Read/inline.scm 39 */
						return
							BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 0)),
							BGl_string2335z00zzread_inlinez00, BgL_filez00_19, BNIL);
		}}}
	}



/* look-for-inlines-and-macros */
	BGL_EXPORTED_DEF obj_t
		BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00(obj_t
		BgL_inlinesz00_20, obj_t BgL_macrosz00_21, obj_t BgL_syntaxesz00_22,
		obj_t BgL_expandersz00_23, obj_t BgL_codez00_24, obj_t BgL_expsz00_25,
		obj_t BgL_fnamesz00_26, obj_t BgL_modulez00_27)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 53 */
			{	/* Read/inline.scm 55 */
				obj_t BgL_portz00_367;

				BgL_portz00_367 =
					BGl_openzd2inlinezd2filez00zzread_inlinez00(CAR(BgL_fnamesz00_26));
				{	/* Read/inline.scm 56 */
					obj_t BgL_val1869z00_368;

					BgL_val1869z00_368 =
						BGl_zc3exitza31958ze3z83zzread_inlinez00(BgL_modulez00_27,
						BgL_expsz00_25, BgL_codez00_24, BgL_expandersz00_23,
						BgL_syntaxesz00_22, BgL_macrosz00_21, BgL_inlinesz00_20,
						BgL_fnamesz00_26, BgL_portz00_367);
					close_input_port(BgL_portz00_367);
					if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
							(BgL_val1869z00_368)))
						{	/* Read/inline.scm 63 */
							return
								BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val1869z00_368),
								CDR(BgL_val1869z00_368));
						}
					else
						{	/* Read/inline.scm 63 */
							return BgL_val1869z00_368;
						}
				}
			}
		}
	}



/* <exit:1958> */
	obj_t BGl_zc3exitza31958ze3z83zzread_inlinez00(obj_t BgL_modulez00_1095,
		obj_t BgL_expsz00_1094, obj_t BgL_codez00_1093, obj_t BgL_expandersz00_1092,
		obj_t BgL_syntaxesz00_1091, obj_t BgL_macrosz00_1090,
		obj_t BgL_inlinesz00_1089, obj_t BgL_fnamesz00_1088, obj_t BgL_portz00_1087)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1870z00_373;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1870z00_373))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1870z00_373 = (void *) jmpbuf;
						{	/* Read/inline.scm 63 */

							PUSH_EXIT(BgL_an_exit1870z00_373, ((long) 0));
							{	/* Read/inline.scm 59 */
								obj_t BgL_val1871z00_374;

								{	/* Read/inline.scm 59 */
									obj_t BgL_list1960z00_375;

									{	/* Read/inline.scm 59 */
										obj_t BgL_arg1966z00_376;

										BgL_arg1966z00_376 = MAKE_PAIR(BFALSE, BNIL);
										BgL_list1960z00_375 =
											MAKE_PAIR(BgL_portz00_1087, BgL_arg1966z00_376);
									}
									BGl_compilerzd2readzd2zzread_readerz00(BgL_list1960z00_375);
								}
								BgL_val1871z00_374 =
									BGl_lookzd2forzd2definitionsz00zzread_inlinez00
									(BgL_inlinesz00_1089, BgL_macrosz00_1090,
									BgL_syntaxesz00_1091, BgL_expandersz00_1092, BgL_codez00_1093,
									BgL_expsz00_1094, CDR(BgL_fnamesz00_1088), BgL_modulez00_1095,
									BgL_portz00_1087);
								POP_EXIT();
								return BgL_val1871z00_374;
							}
						}
					}
			}
		}
	}



/* _look-for-inlines-and-macros */
	obj_t BGl__lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00(obj_t
		BgL_envz00_1065, obj_t BgL_inlinesz00_1066, obj_t BgL_macrosz00_1067,
		obj_t BgL_syntaxesz00_1068, obj_t BgL_expandersz00_1069,
		obj_t BgL_codez00_1070, obj_t BgL_expsz00_1071, obj_t BgL_fnamesz00_1072,
		obj_t BgL_modulez00_1073)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 53 */
			return
				BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00
				(BgL_inlinesz00_1066, BgL_macrosz00_1067, BgL_syntaxesz00_1068,
				BgL_expandersz00_1069, BgL_codez00_1070, BgL_expsz00_1071,
				BgL_fnamesz00_1072, BgL_modulez00_1073);
		}
	}



/* look-for-definitions */
	obj_t BGl_lookzd2forzd2definitionsz00zzread_inlinez00(obj_t BgL_inlinesz00_28,
		obj_t BgL_macrosz00_29, obj_t BgL_syntaxesz00_30, obj_t BgL_expandersz00_31,
		obj_t BgL_codez00_32, obj_t BgL_expsz00_33, obj_t BgL_fnamesz00_34,
		obj_t BgL_modulez00_35, obj_t BgL_portz00_36)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 68 */
			{	/* Read/inline.scm 70 */
				obj_t BgL_g1872z00_379;

				{	/* Read/inline.scm 74 */
					obj_t BgL_arg2234z00_504;
					obj_t BgL_arg2235z00_505;

					BgL_arg2234z00_504 = CNST_TABLE_REF(((long) 1));
					BgL_arg2235z00_505 = bgl_append2(BgL_expsz00_33, BgL_codez00_32);
					BgL_g1872z00_379 = MAKE_PAIR(BgL_arg2234z00_504, BgL_arg2235z00_505);
				}
				return
					BGl_loopz00zzread_inlinez00(BgL_modulez00_35, BgL_inlinesz00_28,
					BgL_macrosz00_29, BgL_syntaxesz00_30, BgL_expandersz00_31,
					BgL_g1872z00_379, BgL_fnamesz00_34, BgL_portz00_36);
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zzread_inlinez00(obj_t BgL_modulez00_1079,
		obj_t BgL_inlinesz00_380, obj_t BgL_macrosz00_381,
		obj_t BgL_syntaxesz00_382, obj_t BgL_expandersz00_383, obj_t BgL_expz00_384,
		obj_t BgL_fnamesz00_385, obj_t BgL_portz00_386)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 70 */
		BGl_loopz00zzread_inlinez00:
			{	/* Read/inline.scm 77 */
				obj_t BgL_inlinesz00_388;

				BgL_inlinesz00_388 =
					BGl_lookzd2forzf2expz20zzread_inlinez00(BgL_inlinesz00_380,
					BgL_macrosz00_381, BgL_syntaxesz00_382, BgL_expandersz00_383,
					BgL_expz00_384, BgL_modulez00_1079);
				{	/* Read/inline.scm 80 */
					obj_t BgL_macrosz00_389;
					obj_t BgL_syntaxesz00_390;
					obj_t BgL_expandersz00_391;

					{	/* Read/inline.scm 80 */
						int BgL_auxz00_1169;

						BgL_auxz00_1169 = (int) (((long) 1));
						BgL_macrosz00_389 = BGL_MVALUES_VAL(BgL_auxz00_1169);
					}
					{	/* Read/inline.scm 80 */
						int BgL_auxz00_1172;

						BgL_auxz00_1172 = (int) (((long) 2));
						BgL_syntaxesz00_390 = BGL_MVALUES_VAL(BgL_auxz00_1172);
					}
					{	/* Read/inline.scm 80 */
						int BgL_auxz00_1175;

						BgL_auxz00_1175 = (int) (((long) 3));
						BgL_expandersz00_391 = BGL_MVALUES_VAL(BgL_auxz00_1175);
					}
					{	/* Read/inline.scm 80 */
						bool_t BgL_testz00_1178;

						if (NULLP(BgL_inlinesz00_388))
							{	/* Read/inline.scm 80 */
								if (NULLP(BgL_macrosz00_389))
									{	/* Read/inline.scm 81 */
										if (NULLP(BgL_syntaxesz00_390))
											{	/* Read/inline.scm 82 */
												BgL_testz00_1178 = NULLP(BgL_expandersz00_391);
											}
										else
											{	/* Read/inline.scm 82 */
												BgL_testz00_1178 = ((bool_t) 0);
											}
									}
								else
									{	/* Read/inline.scm 81 */
										BgL_testz00_1178 = ((bool_t) 0);
									}
							}
						else
							{	/* Read/inline.scm 80 */
								BgL_testz00_1178 = ((bool_t) 0);
							}
						if (BgL_testz00_1178)
							{	/* Read/inline.scm 80 */
								return CNST_TABLE_REF(((long) 2));
							}
						else
							{	/* Read/inline.scm 80 */
								if (EOF_OBJECTP(BgL_expz00_384))
									{	/* Read/inline.scm 85 */
										if (NULLP(BgL_fnamesz00_385))
											{	/* Read/inline.scm 86 */
												if (PAIRP(BgL_macrosz00_389))
													{	/* Read/inline.scm 89 */
														obj_t BgL_arg2011z00_398;

														if (NULLP(BgL_macrosz00_389))
															{	/* Read/inline.scm 91 */
																BgL_arg2011z00_398 = BNIL;
															}
														else
															{	/* Read/inline.scm 91 */
																obj_t BgL_head1879z00_402;

																BgL_head1879z00_402 =
																	MAKE_PAIR(CAR(CAR(BgL_macrosz00_389)), BNIL);
																{	/* Read/inline.scm 91 */
																	obj_t BgL_g1882z00_403;

																	BgL_g1882z00_403 = CDR(BgL_macrosz00_389);
																	{
																		obj_t BgL_l1877z00_404;
																		obj_t BgL_tail1880z00_405;

																		BgL_l1877z00_404 = BgL_g1882z00_403;
																		BgL_tail1880z00_405 = BgL_head1879z00_402;
																	BgL_map1878z00_406:
																		if (NULLP(BgL_l1877z00_404))
																			{	/* Read/inline.scm 91 */
																				BgL_arg2011z00_398 =
																					BgL_head1879z00_402;
																			}
																		else
																			{	/* Read/inline.scm 91 */
																				obj_t BgL_newtail1881z00_408;

																				BgL_newtail1881z00_408 =
																					MAKE_PAIR(CAR(CAR(BgL_l1877z00_404)),
																					BNIL);
																				SET_CDR(BgL_tail1880z00_405,
																					BgL_newtail1881z00_408);
																				{
																					obj_t BgL_tail1880z00_1207;
																					obj_t BgL_l1877z00_1205;

																					BgL_l1877z00_1205 =
																						CDR(BgL_l1877z00_404);
																					BgL_tail1880z00_1207 =
																						BgL_newtail1881z00_408;
																					BgL_tail1880z00_405 =
																						BgL_tail1880z00_1207;
																					BgL_l1877z00_404 = BgL_l1877z00_1205;
																					goto BgL_map1878z00_406;
																				}
																			}
																	}
																}
															}
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string2336z00zzread_inlinez00,
															BGl_string2337z00zzread_inlinez00,
															BgL_arg2011z00_398, BNIL);
													}
												else
													{	/* Read/inline.scm 88 */
														if (PAIRP(BgL_syntaxesz00_390))
															{	/* Read/inline.scm 93 */
																obj_t BgL_arg2085z00_419;

																if (NULLP(BgL_syntaxesz00_390))
																	{	/* Read/inline.scm 95 */
																		BgL_arg2085z00_419 = BNIL;
																	}
																else
																	{	/* Read/inline.scm 95 */
																		obj_t BgL_head1887z00_423;

																		BgL_head1887z00_423 =
																			MAKE_PAIR(CAR(CAR(BgL_syntaxesz00_390)),
																			BNIL);
																		{	/* Read/inline.scm 95 */
																			obj_t BgL_g1890z00_424;

																			BgL_g1890z00_424 =
																				CDR(BgL_syntaxesz00_390);
																			{
																				obj_t BgL_l1883z00_425;
																				obj_t BgL_tail1888z00_426;

																				BgL_l1883z00_425 = BgL_g1890z00_424;
																				BgL_tail1888z00_426 =
																					BgL_head1887z00_423;
																			BgL_map1886z00_427:
																				if (NULLP(BgL_l1883z00_425))
																					{	/* Read/inline.scm 95 */
																						BgL_arg2085z00_419 =
																							BgL_head1887z00_423;
																					}
																				else
																					{	/* Read/inline.scm 95 */
																						obj_t BgL_newtail1889z00_429;

																						BgL_newtail1889z00_429 =
																							MAKE_PAIR(CAR(CAR
																								(BgL_l1883z00_425)), BNIL);
																						SET_CDR(BgL_tail1888z00_426,
																							BgL_newtail1889z00_429);
																						{
																							obj_t BgL_tail1888z00_1225;
																							obj_t BgL_l1883z00_1223;

																							BgL_l1883z00_1223 =
																								CDR(BgL_l1883z00_425);
																							BgL_tail1888z00_1225 =
																								BgL_newtail1889z00_429;
																							BgL_tail1888z00_426 =
																								BgL_tail1888z00_1225;
																							BgL_l1883z00_425 =
																								BgL_l1883z00_1223;
																							goto BgL_map1886z00_427;
																						}
																					}
																			}
																		}
																	}
																return
																	BGl_userzd2errorzd2zztools_errorz00
																	(BGl_string2336z00zzread_inlinez00,
																	BGl_string2338z00zzread_inlinez00,
																	BgL_arg2085z00_419, BNIL);
															}
														else
															{	/* Read/inline.scm 92 */
																if (PAIRP(BgL_expandersz00_391))
																	{	/* Read/inline.scm 97 */
																		obj_t BgL_arg2143z00_440;

																		if (NULLP(BgL_expandersz00_391))
																			{	/* Read/inline.scm 99 */
																				BgL_arg2143z00_440 = BNIL;
																			}
																		else
																			{	/* Read/inline.scm 99 */
																				obj_t BgL_head1893z00_444;

																				BgL_head1893z00_444 =
																					MAKE_PAIR(CAR(CAR
																						(BgL_expandersz00_391)), BNIL);
																				{	/* Read/inline.scm 99 */
																					obj_t BgL_g1896z00_445;

																					BgL_g1896z00_445 =
																						CDR(BgL_expandersz00_391);
																					{
																						obj_t BgL_l1891z00_446;
																						obj_t BgL_tail1894z00_447;

																						BgL_l1891z00_446 = BgL_g1896z00_445;
																						BgL_tail1894z00_447 =
																							BgL_head1893z00_444;
																					BgL_map1892z00_448:
																						if (NULLP(BgL_l1891z00_446))
																							{	/* Read/inline.scm 99 */
																								BgL_arg2143z00_440 =
																									BgL_head1893z00_444;
																							}
																						else
																							{	/* Read/inline.scm 99 */
																								obj_t BgL_newtail1895z00_450;

																								BgL_newtail1895z00_450 =
																									MAKE_PAIR(CAR(CAR
																										(BgL_l1891z00_446)), BNIL);
																								SET_CDR(BgL_tail1894z00_447,
																									BgL_newtail1895z00_450);
																								{
																									obj_t BgL_tail1894z00_1243;
																									obj_t BgL_l1891z00_1241;

																									BgL_l1891z00_1241 =
																										CDR(BgL_l1891z00_446);
																									BgL_tail1894z00_1243 =
																										BgL_newtail1895z00_450;
																									BgL_tail1894z00_447 =
																										BgL_tail1894z00_1243;
																									BgL_l1891z00_446 =
																										BgL_l1891z00_1241;
																									goto BgL_map1892z00_448;
																								}
																							}
																					}
																				}
																			}
																		return
																			BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string2336z00zzread_inlinez00,
																			BGl_string2339z00zzread_inlinez00,
																			BgL_arg2143z00_440, BNIL);
																	}
																else
																	{	/* Read/inline.scm 101 */
																		obj_t BgL_arg2162z00_460;

																		if (NULLP(BgL_inlinesz00_388))
																			{	/* Read/inline.scm 103 */
																				BgL_arg2162z00_460 = BNIL;
																			}
																		else
																			{	/* Read/inline.scm 103 */
																				obj_t BgL_head1899z00_464;

																				BgL_head1899z00_464 =
																					MAKE_PAIR(CAR(CAR
																						(BgL_inlinesz00_388)), BNIL);
																				{	/* Read/inline.scm 103 */
																					obj_t BgL_g1902z00_465;

																					BgL_g1902z00_465 =
																						CDR(BgL_inlinesz00_388);
																					{
																						obj_t BgL_l1897z00_466;
																						obj_t BgL_tail1900z00_467;

																						BgL_l1897z00_466 = BgL_g1902z00_465;
																						BgL_tail1900z00_467 =
																							BgL_head1899z00_464;
																					BgL_map1898z00_468:
																						if (NULLP(BgL_l1897z00_466))
																							{	/* Read/inline.scm 103 */
																								BgL_arg2162z00_460 =
																									BgL_head1899z00_464;
																							}
																						else
																							{	/* Read/inline.scm 103 */
																								obj_t BgL_newtail1901z00_470;

																								BgL_newtail1901z00_470 =
																									MAKE_PAIR(CAR(CAR
																										(BgL_l1897z00_466)), BNIL);
																								SET_CDR(BgL_tail1900z00_467,
																									BgL_newtail1901z00_470);
																								{
																									obj_t BgL_tail1900z00_1259;
																									obj_t BgL_l1897z00_1257;

																									BgL_l1897z00_1257 =
																										CDR(BgL_l1897z00_466);
																									BgL_tail1900z00_1259 =
																										BgL_newtail1901z00_470;
																									BgL_tail1900z00_467 =
																										BgL_tail1900z00_1259;
																									BgL_l1897z00_466 =
																										BgL_l1897z00_1257;
																									goto BgL_map1898z00_468;
																								}
																							}
																					}
																				}
																			}
																		return
																			BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string2336z00zzread_inlinez00,
																			BGl_string2340z00zzread_inlinez00,
																			BgL_arg2162z00_460, BNIL);
																	}
															}
													}
											}
										else
											{	/* Read/inline.scm 104 */
												obj_t BgL_fnamez00_478;

												{	/* Read/inline.scm 104 */
													obj_t BgL_arg2214z00_497;

													BgL_arg2214z00_497 = CAR(BgL_fnamesz00_385);
													BgL_fnamez00_478 =
														BGl_findzd2filezf2pathz20zz__osz00
														(BgL_arg2214z00_497,
														BGl_za2loadzd2pathza2zd2zz__evalz00);
												}
												if (STRINGP(BgL_fnamez00_478))
													{	/* Read/inline.scm 107 */
														obj_t BgL_portz00_480;

														BgL_portz00_480 =
															BGl_openzd2inlinezd2filez00zzread_inlinez00
															(BgL_fnamez00_478);
														{	/* Read/inline.scm 108 */
															obj_t BgL_val1873z00_481;

															BgL_val1873z00_481 =
																BGl_zc3exitza32191ze3z83zzread_inlinez00
																(BgL_expandersz00_391, BgL_syntaxesz00_390,
																BgL_macrosz00_389, BgL_inlinesz00_388,
																BgL_fnamesz00_385, BgL_portz00_480,
																BgL_modulez00_1079);
															if (INPUT_PORTP(BgL_portz00_480))
																{	/* Read/inline.scm 116 */
																	close_input_port(BgL_portz00_480);
																}
															else
																{	/* Read/inline.scm 116 */
																	BFALSE;
																}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1873z00_481)))
																{	/* Read/inline.scm 116 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1873z00_481),
																		CDR(BgL_val1873z00_481));
																}
															else
																{	/* Read/inline.scm 116 */
																	return BgL_val1873z00_481;
																}
														}
													}
												else
													{	/* Read/inline.scm 105 */
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string2336z00zzread_inlinez00,
															BGl_string2341z00zzread_inlinez00,
															CAR(BgL_fnamesz00_385), BNIL);
													}
											}
									}
								else
									{	/* Read/inline.scm 123 */
										obj_t BgL_arg2221z00_498;

										{	/* Read/inline.scm 123 */
											obj_t BgL_list2222z00_499;

											{	/* Read/inline.scm 123 */
												obj_t BgL_arg2227z00_500;

												BgL_arg2227z00_500 = MAKE_PAIR(BTRUE, BNIL);
												BgL_list2222z00_499 =
													MAKE_PAIR(BgL_portz00_386, BgL_arg2227z00_500);
											}
											BgL_arg2221z00_498 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list2222z00_499);
										}
										{
											obj_t BgL_expz00_1285;
											obj_t BgL_expandersz00_1284;
											obj_t BgL_syntaxesz00_1283;
											obj_t BgL_macrosz00_1282;
											obj_t BgL_inlinesz00_1281;

											BgL_inlinesz00_1281 = BgL_inlinesz00_388;
											BgL_macrosz00_1282 = BgL_macrosz00_389;
											BgL_syntaxesz00_1283 = BgL_syntaxesz00_390;
											BgL_expandersz00_1284 = BgL_expandersz00_391;
											BgL_expz00_1285 = BgL_arg2221z00_498;
											BgL_expz00_384 = BgL_expz00_1285;
											BgL_expandersz00_383 = BgL_expandersz00_1284;
											BgL_syntaxesz00_382 = BgL_syntaxesz00_1283;
											BgL_macrosz00_381 = BgL_macrosz00_1282;
											BgL_inlinesz00_380 = BgL_inlinesz00_1281;
											goto BGl_loopz00zzread_inlinez00;
										}
									}
							}
					}
				}
			}
		}
	}



/* <exit:2191> */
	obj_t BGl_zc3exitza32191ze3z83zzread_inlinez00(obj_t BgL_expandersz00_1086,
		obj_t BgL_syntaxesz00_1085, obj_t BgL_macrosz00_1084,
		obj_t BgL_inlinesz00_1083, obj_t BgL_fnamesz00_1082, obj_t BgL_portz00_1081,
		obj_t BgL_modulez00_1080)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1874z00_487;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1874z00_487))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1874z00_487 = (void *) jmpbuf;
						{	/* Read/inline.scm 116 */

							PUSH_EXIT(BgL_an_exit1874z00_487, ((long) 0));
							{	/* Read/inline.scm 113 */
								obj_t BgL_val1875z00_488;

								{	/* Read/inline.scm 113 */
									obj_t BgL_arg2193z00_489;
									obj_t BgL_arg2197z00_490;

									{	/* Read/inline.scm 113 */
										obj_t BgL_list2198z00_491;

										{	/* Read/inline.scm 113 */
											obj_t BgL_arg2199z00_492;

											BgL_arg2199z00_492 = MAKE_PAIR(BTRUE, BNIL);
											BgL_list2198z00_491 =
												MAKE_PAIR(BgL_portz00_1081, BgL_arg2199z00_492);
										}
										BgL_arg2193z00_489 =
											BGl_compilerzd2readzd2zzread_readerz00
											(BgL_list2198z00_491);
									}
									BgL_arg2197z00_490 = CDR(BgL_fnamesz00_1082);
									BgL_val1875z00_488 =
										BGl_loopz00zzread_inlinez00(BgL_modulez00_1080,
										BgL_inlinesz00_1083, BgL_macrosz00_1084,
										BgL_syntaxesz00_1085, BgL_expandersz00_1086,
										BgL_arg2193z00_489, BgL_arg2197z00_490, BgL_portz00_1081);
								}
								POP_EXIT();
								return BgL_val1875z00_488;
							}
						}
					}
			}
		}
	}



/* look-for/exp */
	obj_t BGl_lookzd2forzf2expz20zzread_inlinez00(obj_t BgL_inlinesz00_37,
		obj_t BgL_macrosz00_38, obj_t BgL_syntaxesz00_39, obj_t BgL_expandersz00_40,
		obj_t BgL_expz00_41, obj_t BgL_modulez00_42)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 130 */
			{	/* Read/inline.scm 131 */
				bool_t BgL_testz00_1295;

				if (NULLP(BgL_inlinesz00_37))
					{	/* Read/inline.scm 131 */
						if (NULLP(BgL_macrosz00_38))
							{	/* Read/inline.scm 131 */
								if (NULLP(BgL_syntaxesz00_39))
									{	/* Read/inline.scm 131 */
										BgL_testz00_1295 = NULLP(BgL_expandersz00_40);
									}
								else
									{	/* Read/inline.scm 131 */
										BgL_testz00_1295 = ((bool_t) 0);
									}
							}
						else
							{	/* Read/inline.scm 131 */
								BgL_testz00_1295 = ((bool_t) 0);
							}
					}
				else
					{	/* Read/inline.scm 131 */
						BgL_testz00_1295 = ((bool_t) 0);
					}
				if (BgL_testz00_1295)
					{	/* Read/inline.scm 131 */
						{	/* Read/inline.scm 132 */
							int BgL_auxz00_1303;

							BgL_auxz00_1303 = (int) (((long) 4));
							BGL_MVALUES_NUMBER_SET(BgL_auxz00_1303);
						}
						{	/* Read/inline.scm 132 */
							int BgL_auxz00_1306;

							BgL_auxz00_1306 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1306, BNIL);
						}
						{	/* Read/inline.scm 132 */
							int BgL_auxz00_1309;

							BgL_auxz00_1309 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1309, BNIL);
						}
						{	/* Read/inline.scm 132 */
							int BgL_auxz00_1312;

							BgL_auxz00_1312 = (int) (((long) 3));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1312, BNIL);
						}
						return BNIL;
					}
				else
					{
						obj_t BgL_expza2za2_523;
						obj_t BgL_expza2za2_521;
						obj_t BgL_idz00_519;
						obj_t BgL_idz00_517;
						obj_t BgL_idz00_515;
						obj_t BgL_protoz00_511;
						obj_t BgL_namez00_512;
						obj_t BgL_bodyz00_513;

						if (PAIRP(BgL_expz00_41))
							{	/* Read/inline.scm 133 */
								obj_t BgL_cdrzd21204zd2_528;

								BgL_cdrzd21204zd2_528 = CDR(BgL_expz00_41);
								if ((CAR(BgL_expz00_41) == CNST_TABLE_REF(((long) 5))))
									{	/* Read/inline.scm 133 */
										if (PAIRP(BgL_cdrzd21204zd2_528))
											{	/* Read/inline.scm 133 */
												obj_t BgL_carzd21208zd2_531;

												BgL_carzd21208zd2_531 = CAR(BgL_cdrzd21204zd2_528);
												if (PAIRP(BgL_carzd21208zd2_531))
													{	/* Read/inline.scm 133 */
														BgL_protoz00_511 = BgL_carzd21208zd2_531;
														BgL_namez00_512 = CAR(BgL_carzd21208zd2_531);
														BgL_bodyz00_513 = CDR(BgL_cdrzd21204zd2_528);
														{	/* Read/inline.scm 135 */
															obj_t BgL_idz00_568;

															BgL_idz00_568 =
																BGl_idzd2ofzd2idz00zzast_identz00
																(BgL_namez00_512,
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_expz00_41));
															{	/* Read/inline.scm 135 */
																obj_t BgL_cellz00_569;

																BgL_cellz00_569 =
																	BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_568, BgL_inlinesz00_37);
																{	/* Read/inline.scm 136 */
																	obj_t BgL_inlz00_570;

																	{	/* Read/inline.scm 137 */
																		bool_t BgL_testz00_1330;

																		if (PAIRP(BgL_cellz00_569))
																			{	/* Read/inline.scm 137 */
																				BgL_testz00_1330 =
																					(CDR(BgL_cellz00_569) ==
																					CNST_TABLE_REF(((long) 3)));
																			}
																		else
																			{	/* Read/inline.scm 137 */
																				BgL_testz00_1330 = ((bool_t) 0);
																			}
																		if (BgL_testz00_1330)
																			{	/* Read/inline.scm 137 */
																				{	/* Read/inline.scm 139 */
																					obj_t BgL_arg2284z00_576;

																					{	/* Read/inline.scm 139 */
																						obj_t BgL_arg2285z00_577;
																						obj_t BgL_arg2286z00_578;

																						BgL_arg2285z00_577 =
																							CNST_TABLE_REF(((long) 4));
																						{	/* Read/inline.scm 139 */
																							obj_t BgL_list2287z00_579;

																							{	/* Read/inline.scm 139 */
																								obj_t BgL_arg2288z00_580;

																								BgL_arg2288z00_580 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2287z00_579 =
																									MAKE_PAIR(BgL_modulez00_42,
																									BgL_arg2288z00_580);
																							}
																							BgL_arg2286z00_578 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_568,
																								BgL_list2287z00_579);
																						}
																						BgL_arg2284z00_576 =
																							MAKE_PAIR(BgL_arg2285z00_577,
																							BgL_arg2286z00_578);
																					}
																					SET_CAR(BgL_protoz00_511,
																						BgL_arg2284z00_576);
																				}
																				BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00
																					=
																					MAKE_PAIR(BgL_expz00_41,
																					BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00);
																				BgL_inlz00_570 =
																					bgl_remq_bang(BgL_cellz00_569,
																					BgL_inlinesz00_37);
																			}
																		else
																			{	/* Read/inline.scm 137 */
																				BgL_inlz00_570 = BgL_inlinesz00_37;
																			}
																	}
																	{	/* Read/inline.scm 137 */

																		{	/* Read/inline.scm 144 */
																			int BgL_auxz00_1344;

																			BgL_auxz00_1344 = (int) (((long) 4));
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_1344);
																		}
																		{	/* Read/inline.scm 144 */
																			int BgL_auxz00_1347;

																			BgL_auxz00_1347 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_1347,
																				BgL_macrosz00_38);
																		}
																		{	/* Read/inline.scm 144 */
																			int BgL_auxz00_1350;

																			BgL_auxz00_1350 = (int) (((long) 2));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_1350,
																				BgL_syntaxesz00_39);
																		}
																		{	/* Read/inline.scm 144 */
																			int BgL_auxz00_1353;

																			BgL_auxz00_1353 = (int) (((long) 3));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_1353,
																				BgL_expandersz00_40);
																		}
																		return BgL_inlz00_570;
																	}
																}
															}
														}
													}
												else
													{	/* Read/inline.scm 133 */
													BgL_tagzd21193zd2_525:
														{	/* Read/inline.scm 209 */
															int BgL_auxz00_1358;

															BgL_auxz00_1358 = (int) (((long) 4));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1358);
														}
														{	/* Read/inline.scm 209 */
															int BgL_auxz00_1361;

															BgL_auxz00_1361 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1361,
																BgL_macrosz00_38);
														}
														{	/* Read/inline.scm 209 */
															int BgL_auxz00_1364;

															BgL_auxz00_1364 = (int) (((long) 2));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1364,
																BgL_syntaxesz00_39);
														}
														{	/* Read/inline.scm 209 */
															int BgL_auxz00_1367;

															BgL_auxz00_1367 = (int) (((long) 3));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1367,
																BgL_expandersz00_40);
														}
														return BgL_inlinesz00_37;
													}
											}
										else
											{	/* Read/inline.scm 133 */
												goto BgL_tagzd21193zd2_525;
											}
									}
								else
									{	/* Read/inline.scm 133 */
										if ((CAR(BgL_expz00_41) == CNST_TABLE_REF(((long) 6))))
											{	/* Read/inline.scm 133 */
												if (PAIRP(BgL_cdrzd21204zd2_528))
													{	/* Read/inline.scm 133 */
														obj_t BgL_carzd21251zd2_538;

														BgL_carzd21251zd2_538 = CAR(BgL_cdrzd21204zd2_528);
														if (PAIRP(BgL_carzd21251zd2_538))
															{	/* Read/inline.scm 133 */
																obj_t BgL_carzd21254zd2_540;

																BgL_carzd21254zd2_540 =
																	CAR(BgL_carzd21251zd2_538);
																if (SYMBOLP(BgL_carzd21254zd2_540))
																	{	/* Read/inline.scm 133 */
																		BgL_idz00_515 = BgL_carzd21254zd2_540;
																		{	/* Read/inline.scm 146 */
																			obj_t BgL_cellz00_585;

																			BgL_cellz00_585 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_idz00_515, BgL_macrosz00_38);
																			{	/* Read/inline.scm 146 */
																				obj_t BgL_macz00_586;

																				if (PAIRP(BgL_cellz00_585))
																					{	/* Read/inline.scm 147 */
																						BGl_za2macrozd2definitionsza2zd2zzread_inlinez00
																							=
																							MAKE_PAIR(BgL_expz00_41,
																							BGl_za2macrozd2definitionsza2zd2zzread_inlinez00);
																						BgL_macz00_586 =
																							bgl_remq_bang(BgL_cellz00_585,
																							BgL_macrosz00_38);
																					}
																				else
																					{	/* Read/inline.scm 147 */
																						BgL_macz00_586 = BgL_macrosz00_38;
																					}
																				{	/* Read/inline.scm 147 */

																					{	/* Read/inline.scm 153 */
																						int BgL_auxz00_1387;

																						BgL_auxz00_1387 =
																							(int) (((long) 4));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_auxz00_1387);
																					}
																					{	/* Read/inline.scm 153 */
																						int BgL_auxz00_1390;

																						BgL_auxz00_1390 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1390,
																							BgL_macz00_586);
																					}
																					{	/* Read/inline.scm 153 */
																						int BgL_auxz00_1393;

																						BgL_auxz00_1393 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1393,
																							BgL_syntaxesz00_39);
																					}
																					{	/* Read/inline.scm 153 */
																						int BgL_auxz00_1396;

																						BgL_auxz00_1396 =
																							(int) (((long) 3));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1396,
																							BgL_expandersz00_40);
																					}
																					return BgL_inlinesz00_37;
																				}
																			}
																		}
																	}
																else
																	{	/* Read/inline.scm 133 */
																		goto BgL_tagzd21193zd2_525;
																	}
															}
														else
															{	/* Read/inline.scm 133 */
																goto BgL_tagzd21193zd2_525;
															}
													}
												else
													{	/* Read/inline.scm 133 */
														goto BgL_tagzd21193zd2_525;
													}
											}
										else
											{	/* Read/inline.scm 133 */
												obj_t BgL_cdrzd21292zd2_542;

												BgL_cdrzd21292zd2_542 = CDR(BgL_expz00_41);
												if ((CAR(BgL_expz00_41) == CNST_TABLE_REF(((long) 7))))
													{	/* Read/inline.scm 133 */
														if (PAIRP(BgL_cdrzd21292zd2_542))
															{	/* Read/inline.scm 133 */
																obj_t BgL_carzd21294zd2_545;

																BgL_carzd21294zd2_545 =
																	CAR(BgL_cdrzd21292zd2_542);
																if (SYMBOLP(BgL_carzd21294zd2_545))
																	{	/* Read/inline.scm 133 */
																		BgL_idz00_517 = BgL_carzd21294zd2_545;
																		{	/* Read/inline.scm 155 */
																			obj_t BgL_cellz00_592;

																			BgL_cellz00_592 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_idz00_517, BgL_syntaxesz00_39);
																			{	/* Read/inline.scm 155 */
																				obj_t BgL_synz00_593;

																				if (PAIRP(BgL_cellz00_592))
																					{	/* Read/inline.scm 156 */
																						BGl_za2macrozd2definitionsza2zd2zzread_inlinez00
																							=
																							MAKE_PAIR(BgL_expz00_41,
																							BGl_za2macrozd2definitionsza2zd2zzread_inlinez00);
																						BgL_synz00_593 =
																							bgl_remq_bang(BgL_cellz00_592,
																							BgL_syntaxesz00_39);
																					}
																				else
																					{	/* Read/inline.scm 156 */
																						BgL_synz00_593 = BgL_syntaxesz00_39;
																					}
																				{	/* Read/inline.scm 156 */

																					{	/* Read/inline.scm 162 */
																						int BgL_auxz00_1414;

																						BgL_auxz00_1414 =
																							(int) (((long) 4));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_auxz00_1414);
																					}
																					{	/* Read/inline.scm 162 */
																						int BgL_auxz00_1417;

																						BgL_auxz00_1417 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1417,
																							BgL_macrosz00_38);
																					}
																					{	/* Read/inline.scm 162 */
																						int BgL_auxz00_1420;

																						BgL_auxz00_1420 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1420,
																							BgL_synz00_593);
																					}
																					{	/* Read/inline.scm 162 */
																						int BgL_auxz00_1423;

																						BgL_auxz00_1423 =
																							(int) (((long) 3));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1423,
																							BgL_expandersz00_40);
																					}
																					return BgL_inlinesz00_37;
																				}
																			}
																		}
																	}
																else
																	{	/* Read/inline.scm 133 */
																		goto BgL_tagzd21193zd2_525;
																	}
															}
														else
															{	/* Read/inline.scm 133 */
																goto BgL_tagzd21193zd2_525;
															}
													}
												else
													{	/* Read/inline.scm 133 */
														if (
															(CAR(BgL_expz00_41) ==
																CNST_TABLE_REF(((long) 8))))
															{	/* Read/inline.scm 133 */
																if (PAIRP(BgL_cdrzd21292zd2_542))
																	{	/* Read/inline.scm 133 */
																		obj_t BgL_carzd21318zd2_550;

																		BgL_carzd21318zd2_550 =
																			CAR(BgL_cdrzd21292zd2_542);
																		if (SYMBOLP(BgL_carzd21318zd2_550))
																			{	/* Read/inline.scm 133 */
																				BgL_idz00_519 = BgL_carzd21318zd2_550;
																				{	/* Read/inline.scm 164 */
																					obj_t BgL_cellz00_599;

																					BgL_cellz00_599 =
																						BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_idz00_519,
																						BgL_expandersz00_40);
																					{	/* Read/inline.scm 164 */
																						obj_t BgL_expdz00_600;

																						if (PAIRP(BgL_cellz00_599))
																							{	/* Read/inline.scm 165 */
																								BGl_za2macrozd2definitionsza2zd2zzread_inlinez00
																									=
																									MAKE_PAIR(BgL_expz00_41,
																									BGl_za2macrozd2definitionsza2zd2zzread_inlinez00);
																								BgL_expdz00_600 =
																									bgl_remq_bang(BgL_cellz00_599,
																									BgL_expandersz00_40);
																							}
																						else
																							{	/* Read/inline.scm 165 */
																								BgL_expdz00_600 =
																									BgL_expandersz00_40;
																							}
																						{	/* Read/inline.scm 165 */

																							{	/* Read/inline.scm 171 */
																								int BgL_auxz00_1440;

																								BgL_auxz00_1440 =
																									(int) (((long) 4));
																								BGL_MVALUES_NUMBER_SET
																									(BgL_auxz00_1440);
																							}
																							{	/* Read/inline.scm 171 */
																								int BgL_auxz00_1443;

																								BgL_auxz00_1443 =
																									(int) (((long) 1));
																								BGL_MVALUES_VAL_SET
																									(BgL_auxz00_1443,
																									BgL_macrosz00_38);
																							}
																							{	/* Read/inline.scm 171 */
																								int BgL_auxz00_1446;

																								BgL_auxz00_1446 =
																									(int) (((long) 2));
																								BGL_MVALUES_VAL_SET
																									(BgL_auxz00_1446,
																									BgL_syntaxesz00_39);
																							}
																							{	/* Read/inline.scm 171 */
																								int BgL_auxz00_1449;

																								BgL_auxz00_1449 =
																									(int) (((long) 3));
																								BGL_MVALUES_VAL_SET
																									(BgL_auxz00_1449,
																									BgL_expdz00_600);
																							}
																							return BgL_inlinesz00_37;
																						}
																					}
																				}
																			}
																		else
																			{	/* Read/inline.scm 133 */
																				goto BgL_tagzd21193zd2_525;
																			}
																	}
																else
																	{	/* Read/inline.scm 133 */
																		goto BgL_tagzd21193zd2_525;
																	}
															}
														else
															{	/* Read/inline.scm 133 */
																if (
																	(CAR(BgL_expz00_41) ==
																		CNST_TABLE_REF(((long) 1))))
																	{	/* Read/inline.scm 133 */
																		BgL_expza2za2_521 = CDR(BgL_expz00_41);
																		{
																			obj_t BgL_inlinesz00_606;
																			obj_t BgL_macrosz00_607;
																			obj_t BgL_syntaxesz00_608;
																			obj_t BgL_expandersz00_609;
																			obj_t BgL_expza2za2_610;

																			BgL_inlinesz00_606 = BgL_inlinesz00_37;
																			BgL_macrosz00_607 = BgL_macrosz00_38;
																			BgL_syntaxesz00_608 = BgL_syntaxesz00_39;
																			BgL_expandersz00_609 =
																				BgL_expandersz00_40;
																			BgL_expza2za2_610 = BgL_expza2za2_521;
																		BgL_loopz00_611:
																			if (NULLP(BgL_expza2za2_610))
																				{	/* Read/inline.scm 178 */
																					{	/* Read/inline.scm 179 */
																						int BgL_auxz00_1458;

																						BgL_auxz00_1458 =
																							(int) (((long) 4));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_auxz00_1458);
																					}
																					{	/* Read/inline.scm 179 */
																						int BgL_auxz00_1461;

																						BgL_auxz00_1461 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1461,
																							BgL_macrosz00_607);
																					}
																					{	/* Read/inline.scm 179 */
																						int BgL_auxz00_1464;

																						BgL_auxz00_1464 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1464,
																							BgL_syntaxesz00_608);
																					}
																					{	/* Read/inline.scm 179 */
																						int BgL_auxz00_1467;

																						BgL_auxz00_1467 =
																							(int) (((long) 3));
																						BGL_MVALUES_VAL_SET(BgL_auxz00_1467,
																							BgL_expandersz00_609);
																					}
																					return BgL_inlinesz00_606;
																				}
																			else
																				{	/* Read/inline.scm 180 */
																					obj_t BgL_inlinesz00_617;

																					BgL_inlinesz00_617 =
																						BGl_lookzd2forzf2expz20zzread_inlinez00
																						(BgL_inlinesz00_606,
																						BgL_macrosz00_607,
																						BgL_syntaxesz00_608,
																						BgL_expandersz00_609,
																						CAR(BgL_expza2za2_610),
																						BgL_modulez00_42);
																					{	/* Read/inline.scm 182 */
																						obj_t BgL_macrosz00_618;
																						obj_t BgL_syntaxesz00_619;
																						obj_t BgL_expandersz00_620;

																						{	/* Read/inline.scm 182 */
																							int BgL_auxz00_1472;

																							BgL_auxz00_1472 =
																								(int) (((long) 1));
																							BgL_macrosz00_618 =
																								BGL_MVALUES_VAL
																								(BgL_auxz00_1472);
																						}
																						{	/* Read/inline.scm 182 */
																							int BgL_auxz00_1475;

																							BgL_auxz00_1475 =
																								(int) (((long) 2));
																							BgL_syntaxesz00_619 =
																								BGL_MVALUES_VAL
																								(BgL_auxz00_1475);
																						}
																						{	/* Read/inline.scm 182 */
																							int BgL_auxz00_1478;

																							BgL_auxz00_1478 =
																								(int) (((long) 3));
																							BgL_expandersz00_620 =
																								BGL_MVALUES_VAL
																								(BgL_auxz00_1478);
																						}
																						{
																							obj_t BgL_expza2za2_1485;
																							obj_t BgL_expandersz00_1484;
																							obj_t BgL_syntaxesz00_1483;
																							obj_t BgL_macrosz00_1482;
																							obj_t BgL_inlinesz00_1481;

																							BgL_inlinesz00_1481 =
																								BgL_inlinesz00_617;
																							BgL_macrosz00_1482 =
																								BgL_macrosz00_618;
																							BgL_syntaxesz00_1483 =
																								BgL_syntaxesz00_619;
																							BgL_expandersz00_1484 =
																								BgL_expandersz00_620;
																							BgL_expza2za2_1485 =
																								CDR(BgL_expza2za2_610);
																							BgL_expza2za2_610 =
																								BgL_expza2za2_1485;
																							BgL_expandersz00_609 =
																								BgL_expandersz00_1484;
																							BgL_syntaxesz00_608 =
																								BgL_syntaxesz00_1483;
																							BgL_macrosz00_607 =
																								BgL_macrosz00_1482;
																							BgL_inlinesz00_606 =
																								BgL_inlinesz00_1481;
																							goto BgL_loopz00_611;
																						}
																					}
																				}
																		}
																	}
																else
																	{	/* Read/inline.scm 133 */
																		if (
																			(CAR(BgL_expz00_41) ==
																				CNST_TABLE_REF(((long) 9))))
																			{	/* Read/inline.scm 133 */
																				BgL_expza2za2_523 = CDR(BgL_expz00_41);
																				{	/* Read/inline.scm 188 */
																					obj_t BgL_g1876z00_623;

																					{	/* Read/inline.scm 192 */
																						obj_t
																							BgL_zc3anonymousza32304ze3z83_1074;
																						BgL_zc3anonymousza32304ze3z83_1074 =
																							make_fx_procedure
																							(BGl_zc3anonymousza32304ze3z83zzread_inlinez00,
																							(int) (((long) 1)),
																							(int) (((long) 0)));
																						{	/* Read/inline.scm 192 */
																							obj_t BgL_list2303z00_638;

																							BgL_list2303z00_638 =
																								MAKE_PAIR(BgL_expza2za2_523,
																								BNIL);
																							BgL_g1876z00_623 =
																								BGl_appendzd2mapzd2zz__r4_control_features_6_9z00
																								(BgL_zc3anonymousza32304ze3z83_1074,
																								BgL_list2303z00_638);
																					}}
																					{
																						obj_t BgL_inlinesz00_624;
																						obj_t BgL_macrosz00_625;
																						obj_t BgL_syntaxesz00_626;
																						obj_t BgL_expandersz00_627;
																						obj_t BgL_expza2za2_628;

																						BgL_inlinesz00_624 =
																							BgL_inlinesz00_37;
																						BgL_macrosz00_625 =
																							BgL_macrosz00_38;
																						BgL_syntaxesz00_626 =
																							BgL_syntaxesz00_39;
																						BgL_expandersz00_627 =
																							BgL_expandersz00_40;
																						BgL_expza2za2_628 =
																							BgL_g1876z00_623;
																					BgL_loopz00_629:
																						if (NULLP(BgL_expza2za2_628))
																							{	/* Read/inline.scm 203 */
																								return BgL_inlinesz00_624;
																							}
																						else
																							{	/* Read/inline.scm 205 */
																								obj_t BgL_inlinesz00_631;

																								BgL_inlinesz00_631 =
																									BGl_lookzd2forzf2expz20zzread_inlinez00
																									(BgL_inlinesz00_624,
																									BgL_macrosz00_625,
																									BgL_syntaxesz00_626,
																									BgL_expandersz00_627,
																									CAR(BgL_expza2za2_628),
																									BgL_modulez00_42);
																								{	/* Read/inline.scm 207 */
																									obj_t BgL_macrosz00_632;
																									obj_t BgL_syntaxesz00_633;
																									obj_t BgL_expandersz00_634;

																									{	/* Read/inline.scm 207 */
																										int BgL_auxz00_1501;

																										BgL_auxz00_1501 =
																											(int) (((long) 1));
																										BgL_macrosz00_632 =
																											BGL_MVALUES_VAL
																											(BgL_auxz00_1501);
																									}
																									{	/* Read/inline.scm 207 */
																										int BgL_auxz00_1504;

																										BgL_auxz00_1504 =
																											(int) (((long) 2));
																										BgL_syntaxesz00_633 =
																											BGL_MVALUES_VAL
																											(BgL_auxz00_1504);
																									}
																									{	/* Read/inline.scm 207 */
																										int BgL_auxz00_1507;

																										BgL_auxz00_1507 =
																											(int) (((long) 3));
																										BgL_expandersz00_634 =
																											BGL_MVALUES_VAL
																											(BgL_auxz00_1507);
																									}
																									{
																										obj_t BgL_expza2za2_1514;
																										obj_t BgL_expandersz00_1513;
																										obj_t BgL_syntaxesz00_1512;
																										obj_t BgL_macrosz00_1511;
																										obj_t BgL_inlinesz00_1510;

																										BgL_inlinesz00_1510 =
																											BgL_inlinesz00_631;
																										BgL_macrosz00_1511 =
																											BgL_macrosz00_632;
																										BgL_syntaxesz00_1512 =
																											BgL_syntaxesz00_633;
																										BgL_expandersz00_1513 =
																											BgL_expandersz00_634;
																										BgL_expza2za2_1514 =
																											CDR(BgL_expza2za2_628);
																										BgL_expza2za2_628 =
																											BgL_expza2za2_1514;
																										BgL_expandersz00_627 =
																											BgL_expandersz00_1513;
																										BgL_syntaxesz00_626 =
																											BgL_syntaxesz00_1512;
																										BgL_macrosz00_625 =
																											BgL_macrosz00_1511;
																										BgL_inlinesz00_624 =
																											BgL_inlinesz00_1510;
																										goto BgL_loopz00_629;
																									}
																								}
																							}
																					}
																				}
																			}
																		else
																			{	/* Read/inline.scm 133 */
																				goto BgL_tagzd21193zd2_525;
																			}
																	}
															}
													}
											}
									}
							}
						else
							{	/* Read/inline.scm 133 */
								goto BgL_tagzd21193zd2_525;
							}
					}
			}
		}
	}



/* <anonymous:2304> */
	obj_t BGl_zc3anonymousza32304ze3z83zzread_inlinez00(obj_t BgL_envz00_1075,
		obj_t BgL_xz00_1076)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 192 */
			{
				obj_t BgL_xz00_639;

				BgL_xz00_639 = BgL_xz00_1076;
				if (PAIRP(BgL_xz00_639))
					{	/* Read/inline.scm 192 */
						obj_t BgL_arg2306z00_649;
						obj_t BgL_arg2307z00_650;

						BgL_arg2306z00_649 = CAR(BgL_xz00_639);
						BgL_arg2307z00_650 = CDR(BgL_xz00_639);
						if (BGl_supportedzd2srfizf3z21zzexpand_srfizd20zd2
							(BgL_arg2306z00_649))
							{	/* Read/inline.scm 192 */
								return BgL_arg2307z00_650;
							}
						else
							{	/* Read/inline.scm 192 */
								return BNIL;
							}
					}
				else
					{	/* Read/inline.scm 192 */
						return BNIL;
					}
			}
		}
	}



/* inline-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 219 */
			if (NULLP(BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00))
				{	/* Read/inline.scm 220 */
					return BNIL;
				}
			else
				{	/* Read/inline.scm 222 */
					obj_t BgL_arg2313z00_661;

					{	/* Read/inline.scm 222 */
						obj_t BgL_idz00_1010;
						obj_t BgL_sexpza2za2_1012;

						BgL_idz00_1010 = CNST_TABLE_REF(((long) 10));
						BgL_sexpza2za2_1012 =
							BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00;
						{	/* Read/inline.scm 222 */
							obj_t BgL_newz00_1014;

							BgL_newz00_1014 =
								create_struct(CNST_TABLE_REF(((long) 11)), (int) (((long) 4)));
							{	/* Read/inline.scm 222 */
								int BgL_auxz00_1529;

								BgL_auxz00_1529 = (int) (((long) 3));
								STRUCT_SET(BgL_newz00_1014, BgL_auxz00_1529, BTRUE);
							}
							{	/* Read/inline.scm 222 */
								int BgL_auxz00_1532;

								BgL_auxz00_1532 = (int) (((long) 2));
								STRUCT_SET(BgL_newz00_1014, BgL_auxz00_1532,
									BgL_sexpza2za2_1012);
							}
							{	/* Read/inline.scm 222 */
								obj_t BgL_auxz00_1537;
								int BgL_auxz00_1535;

								BgL_auxz00_1537 = BINT(((long) 0));
								BgL_auxz00_1535 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_1014, BgL_auxz00_1535, BgL_auxz00_1537);
							}
							{	/* Read/inline.scm 222 */
								int BgL_auxz00_1540;

								BgL_auxz00_1540 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_1014, BgL_auxz00_1540, BgL_idz00_1010);
							}
							BgL_arg2313z00_661 = BgL_newz00_1014;
					}}
					{	/* Read/inline.scm 222 */
						obj_t BgL_list2314z00_662;

						BgL_list2314z00_662 = MAKE_PAIR(BgL_arg2313z00_661, BNIL);
						return BgL_list2314z00_662;
					}
				}
		}
	}



/* _inline-finalizer */
	obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t BgL_envz00_1077)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 219 */
			return BGl_inlinezd2finaliza7erz75zzread_inlinez00();
		}
	}



/* import-macro-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_importzd2macrozd2finaliza7erza7zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 232 */
			if (NULLP(BGl_za2macrozd2definitionsza2zd2zzread_inlinez00))
				{	/* Read/inline.scm 233 */
					return BNIL;
				}
			else
				{	/* Read/inline.scm 235 */
					obj_t BgL_arg2316z00_664;

					{	/* Read/inline.scm 235 */
						obj_t BgL_idz00_1038;
						obj_t BgL_sexpza2za2_1040;

						BgL_idz00_1038 = CNST_TABLE_REF(((long) 12));
						BgL_sexpza2za2_1040 =
							BGl_za2macrozd2definitionsza2zd2zzread_inlinez00;
						{	/* Read/inline.scm 235 */
							obj_t BgL_newz00_1042;

							BgL_newz00_1042 =
								create_struct(CNST_TABLE_REF(((long) 11)), (int) (((long) 4)));
							{	/* Read/inline.scm 235 */
								int BgL_auxz00_1551;

								BgL_auxz00_1551 = (int) (((long) 3));
								STRUCT_SET(BgL_newz00_1042, BgL_auxz00_1551, BTRUE);
							}
							{	/* Read/inline.scm 235 */
								int BgL_auxz00_1554;

								BgL_auxz00_1554 = (int) (((long) 2));
								STRUCT_SET(BgL_newz00_1042, BgL_auxz00_1554,
									BgL_sexpza2za2_1040);
							}
							{	/* Read/inline.scm 235 */
								obj_t BgL_auxz00_1559;
								int BgL_auxz00_1557;

								BgL_auxz00_1559 = BINT(((long) 0));
								BgL_auxz00_1557 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_1042, BgL_auxz00_1557, BgL_auxz00_1559);
							}
							{	/* Read/inline.scm 235 */
								int BgL_auxz00_1562;

								BgL_auxz00_1562 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_1042, BgL_auxz00_1562, BgL_idz00_1038);
							}
							BgL_arg2316z00_664 = BgL_newz00_1042;
					}}
					{	/* Read/inline.scm 235 */
						obj_t BgL_list2317z00_665;

						BgL_list2317z00_665 = MAKE_PAIR(BgL_arg2316z00_664, BNIL);
						return BgL_list2317z00_665;
					}
				}
		}
	}



/* _import-macro-finalizer */
	obj_t BGl__importzd2macrozd2finaliza7erza7zzread_inlinez00(obj_t
		BgL_envz00_1078)
	{
		AN_OBJECT;
		{	/* Read/inline.scm 232 */
			return BGl_importzd2macrozd2finaliza7erza7zzread_inlinez00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00()
	{
		AN_OBJECT;
		{	/* Read/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(((long) 218992570),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2342z00zzread_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
