/*===========================================================================*/
/*   (Read/src.scm)                                                          */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Read/src.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT bool_t BGl_z62errorzf3z91zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzread_srcz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31312ze3z83zzread_srcz00(obj_t);
	BGL_IMPORT obj_t close_input_port(obj_t);
	static obj_t BGl_zc3anonymousza31316ze3z83zzread_srcz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl__readzd2srczd2zzread_srcz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zzread_srcz00();
	static obj_t BGl_readzd2modulezd2clausez00zzread_srcz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzread_srcz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_openzd2srczd2filez00zzread_srcz00(obj_t);
	BGL_IMPORT obj_t BGl_readerzd2resetz12zc0zz__readerz00();
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_readzd2srczf2portz20zzread_srcz00();
	static obj_t BGl_toplevelzd2initzd2zzread_srcz00();
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_errorzd2notifyzd2zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_za2bigloozd2interpreterza2zd2zz__readerz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_za2portza2z00zzread_srcz00 = BUNSPEC;
	extern obj_t BGl_hellozd2worldzd2zzengine_enginez00();
	static obj_t BGl_closezd2srczd2portz00zzread_srcz00();
	static obj_t BGl__readzd2handlerzd2zzread_srcz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	static obj_t BGl_readzd2handlerzd2zzread_srcz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzread_srcz00();
	BGL_EXPORTED_DECL obj_t BGl_readzd2srczd2zzread_srcz00();
	static obj_t BGl_methodzd2initzd2zzread_srcz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1331z00zzread_srcz00,
		BgL_bgl_string1331za700za7za7r1337za7, "Can't open such file", 20);
	      DEFINE_STRING(BGl_string1332z00zzread_srcz00,
		BgL_bgl_string1332za700za7za7r1338za7, "Can't find such file", 20);
	      DEFINE_STRING(BGl_string1333z00zzread_srcz00,
		BgL_bgl_string1333za700za7za7r1339za7, "read_src", 8);
	      DEFINE_STRING(BGl_string1334z00zzread_srcz00,
		BgL_bgl_string1334za700za7za7r1340za7, "src-file->memory ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_readzd2handlerzd2envz00zzread_srcz00,
		BgL_bgl__readza7d2handlerza71341z00, BGl__readzd2handlerzd2zzread_srcz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_readzd2srczd2envz00zzread_srcz00,
		BgL_bgl__readza7d2srcza7d2za7za71342z00, BGl__readzd2srczd2zzread_srcz00,
		0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long
		BgL_checksumz00_103, char *BgL_fromz00_104)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzread_srcz00))
				{
					BGl_requirezd2initializa7ationz75zzread_srcz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzread_srcz00();
					BGl_cnstzd2initzd2zzread_srcz00();
					BGl_importedzd2moduleszd2initz00zzread_srcz00();
					BGl_toplevelzd2initzd2zzread_srcz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "read_src");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "read_src");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "read_src");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"read_src");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"read_src");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "read_src");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "read_src");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 15 */
			{	/* Read/src.scm 15 */
				obj_t BgL_cportz00_95;

				BgL_cportz00_95 =
					bgl_open_input_string(BGl_string1334z00zzread_srcz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_96;

					BgL_iz00_96 = ((long) 0);
				BgL_loopz00_97:
					if ((BgL_iz00_96 == ((long) -1)))
						{	/* Read/src.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Read/src.scm 15 */
							{	/* Read/src.scm 15 */
								obj_t BgL_arg1336z00_99;

								{	/* Read/src.scm 15 */

									{	/* Read/src.scm 15 */
										obj_t BgL_locationz00_101;

										BgL_locationz00_101 = BBOOL(((bool_t) 0));
										{	/* Read/src.scm 15 */

											BgL_arg1336z00_99 =
												BGl_readz00zz__readerz00(BgL_cportz00_95,
												BgL_locationz00_101);
										}
									}
								}
								{	/* Read/src.scm 15 */
									int BgL_auxz00_125;

									BgL_auxz00_125 = (int) (BgL_iz00_96);
									CNST_TABLE_SET(BgL_auxz00_125, BgL_arg1336z00_99);
							}}
							{	/* Read/src.scm 15 */
								int BgL_auxz00_102;

								BgL_auxz00_102 = (int) ((BgL_iz00_96 - ((long) 1)));
								{
									long BgL_iz00_130;

									BgL_iz00_130 = (long) (BgL_auxz00_102);
									BgL_iz00_96 = BgL_iz00_130;
									goto BgL_loopz00_97;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 15 */
			return (BGl_za2portza2z00zzread_srcz00 = BFALSE, BUNSPEC);
		}
	}



/* read-src */
	BGL_EXPORTED_DEF obj_t BGl_readzd2srczd2zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 31 */
			{	/* Read/src.scm 35 */
				obj_t BgL_modz00_29;

				BgL_modz00_29 = BGl_readzd2modulezd2clausez00zzread_srcz00();
				if (PAIRP(BgL_modz00_29))
					{	/* Read/src.scm 38 */
						obj_t BgL_g1285z00_31;
						obj_t BgL_g1286z00_32;

						BgL_g1285z00_31 = BGl_readzd2srczf2portz20zzread_srcz00();
						BgL_g1286z00_32 = CDR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
						{
							obj_t BgL_srcz00_33;
							obj_t BgL_sfilesz00_34;

							BgL_srcz00_33 = BgL_g1285z00_31;
							BgL_sfilesz00_34 = BgL_g1286z00_32;
						BgL_loopz00_35:
							if (NULLP(BgL_sfilesz00_34))
								{	/* Read/src.scm 40 */
									return
										MAKE_PAIR(BgL_modz00_29, bgl_reverse_bang(BgL_srcz00_33));
								}
							else
								{	/* Read/src.scm 42 */
									obj_t BgL_arg1303z00_38;
									obj_t BgL_arg1304z00_39;

									{	/* Read/src.scm 42 */
										obj_t BgL_arg1305z00_40;

										{	/* Read/src.scm 42 */
											obj_t BgL_arg1306z00_41;

											BgL_arg1306z00_41 = CAR(BgL_sfilesz00_34);
											BGl_openzd2srczd2filez00zzread_srcz00(BgL_arg1306z00_41);
											BgL_arg1305z00_40 =
												BGl_readzd2srczf2portz20zzread_srcz00();
										}
										BgL_arg1303z00_38 =
											bgl_append2(BgL_arg1305z00_40, BgL_srcz00_33);
									}
									BgL_arg1304z00_39 = CDR(BgL_sfilesz00_34);
									{
										obj_t BgL_sfilesz00_147;
										obj_t BgL_srcz00_146;

										BgL_srcz00_146 = BgL_arg1303z00_38;
										BgL_sfilesz00_147 = BgL_arg1304z00_39;
										BgL_sfilesz00_34 = BgL_sfilesz00_147;
										BgL_srcz00_33 = BgL_srcz00_146;
										goto BgL_loopz00_35;
									}
								}
						}
					}
				else
					{	/* Read/src.scm 36 */
						return BgL_modz00_29;
					}
			}
		}
	}



/* _read-src */
	obj_t BGl__readzd2srczd2zzread_srcz00(obj_t BgL_envz00_87)
	{
		AN_OBJECT;
		{	/* Read/src.scm 31 */
			return BGl_readzd2srczd2zzread_srcz00();
		}
	}



/* read-handler */
	obj_t BGl_readzd2handlerzd2zzread_srcz00(obj_t BgL_ez00_1)
	{
		AN_OBJECT;
		{	/* Read/src.scm 48 */
			if (BGl_z62errorzf3z91zz__objectz00(BgL_ez00_1))
				{	/* Read/src.scm 49 */
					BGl_hellozd2worldzd2zzengine_enginez00();
					BGl_errorzd2notifyzd2zz__errorz00(BgL_ez00_1);
					BGl_closezd2srczd2portz00zzread_srcz00();
					return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 3)));
				}
			else
				{	/* Read/src.scm 49 */
					return BGl_raisez00zz__errorz00(BgL_ez00_1);
				}
		}
	}



/* _read-handler */
	obj_t BGl__readzd2handlerzd2zzread_srcz00(obj_t BgL_envz00_88,
		obj_t BgL_ez00_89)
	{
		AN_OBJECT;
		{	/* Read/src.scm 48 */
			return BGl_readzd2handlerzd2zzread_srcz00(BgL_ez00_89);
		}
	}



/* read-module-clause */
	obj_t BGl_readzd2modulezd2clausez00zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 63 */
			BGl_openzd2srczd2filez00zzread_srcz00(CAR
				(BGl_za2srczd2filesza2zd2zzengine_paramz00));
			{	/* Read/src.scm 65 */
				obj_t BgL_modz00_44;

				BgL_modz00_44 =
					BGl_withzd2exceptionzd2handlerz00zz__errorz00
					(BGl_readzd2handlerzd2envz00zzread_srcz00,
					make_fx_procedure(BGl_zc3anonymousza31312ze3z83zzread_srcz00,
						(int) (((long) 0)), (int) (((long) 0))));
				if (CBOOL(BGl_za2bigloozd2interpreterza2zd2zz__readerz00))
					{	/* Read/src.scm 69 */
						return BFALSE;
					}
				else
					{	/* Read/src.scm 69 */
						return BgL_modz00_44;
					}
			}
		}
	}



/* <anonymous:1312> */
	obj_t BGl_zc3anonymousza31312ze3z83zzread_srcz00(obj_t BgL_envz00_91)
	{
		AN_OBJECT;
		{	/* Read/src.scm 67 */
			{

				{	/* Read/src.scm 68 */
					obj_t BgL_list1313z00_47;

					{	/* Read/src.scm 68 */
						obj_t BgL_arg1314z00_48;

						BgL_arg1314z00_48 = MAKE_PAIR(BTRUE, BNIL);
						BgL_list1313z00_47 =
							MAKE_PAIR(BGl_za2portza2z00zzread_srcz00, BgL_arg1314z00_48);
					}
					return BGl_compilerzd2readzd2zzread_readerz00(BgL_list1313z00_47);
				}
			}
		}
	}



/* read-src/port */
	obj_t BGl_readzd2srczf2portz20zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 78 */
			{	/* Read/src.scm 79 */
				obj_t BgL_portz00_50;

				BgL_portz00_50 = BGl_za2portza2z00zzread_srcz00;
				{	/* Read/src.scm 83 */
					obj_t BgL_zc3anonymousza31316ze3z83_92;

					BgL_zc3anonymousza31316ze3z83_92 =
						make_fx_procedure(BGl_zc3anonymousza31316ze3z83zzread_srcz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31316ze3z83_92,
						(int) (((long) 0)), BgL_portz00_50);
					return
						BGl_withzd2exceptionzd2handlerz00zz__errorz00
						(BGl_readzd2handlerzd2envz00zzread_srcz00,
						BgL_zc3anonymousza31316ze3z83_92);
				}
			}
		}
	}



/* <anonymous:1316> */
	obj_t BGl_zc3anonymousza31316ze3z83zzread_srcz00(obj_t BgL_envz00_93)
	{
		AN_OBJECT;
		{	/* Read/src.scm 82 */
			{	/* Read/src.scm 83 */
				obj_t BgL_portz00_94;

				BgL_portz00_94 = PROCEDURE_REF(BgL_envz00_93, (int) (((long) 0)));
				{

					{	/* Read/src.scm 83 */
						obj_t BgL_g1287z00_53;

						{	/* Read/src.scm 83 */
							obj_t BgL_list1322z00_63;

							{	/* Read/src.scm 83 */
								obj_t BgL_arg1323z00_64;

								BgL_arg1323z00_64 = MAKE_PAIR(BTRUE, BNIL);
								BgL_list1322z00_63 =
									MAKE_PAIR(BgL_portz00_94, BgL_arg1323z00_64);
							}
							BgL_g1287z00_53 =
								BGl_compilerzd2readzd2zzread_readerz00(BgL_list1322z00_63);
						}
						{
							obj_t BgL_rz00_55;
							obj_t BgL_accz00_56;

							BgL_rz00_55 = BgL_g1287z00_53;
							BgL_accz00_56 = BNIL;
						BgL_loopz00_57:
							if (EOF_OBJECTP(BgL_rz00_55))
								{	/* Read/src.scm 85 */
									BGl_closezd2srczd2portz00zzread_srcz00();
									return BgL_accz00_56;
								}
							else
								{	/* Read/src.scm 89 */
									obj_t BgL_arg1318z00_59;
									obj_t BgL_arg1319z00_60;

									{	/* Read/src.scm 89 */
										obj_t BgL_list1320z00_61;

										{	/* Read/src.scm 89 */
											obj_t BgL_arg1321z00_62;

											BgL_arg1321z00_62 = MAKE_PAIR(BTRUE, BNIL);
											BgL_list1320z00_61 =
												MAKE_PAIR(BgL_portz00_94, BgL_arg1321z00_62);
										}
										BgL_arg1318z00_59 =
											BGl_compilerzd2readzd2zzread_readerz00
											(BgL_list1320z00_61);
									}
									BgL_arg1319z00_60 = MAKE_PAIR(BgL_rz00_55, BgL_accz00_56);
									{
										obj_t BgL_accz00_188;
										obj_t BgL_rz00_187;

										BgL_rz00_187 = BgL_arg1318z00_59;
										BgL_accz00_188 = BgL_arg1319z00_60;
										BgL_accz00_56 = BgL_accz00_188;
										BgL_rz00_55 = BgL_rz00_187;
										goto BgL_loopz00_57;
									}
								}
						}
					}
				}
			}
		}
	}



/* open-src-file */
	obj_t BGl_openzd2srczd2filez00zzread_srcz00(obj_t BgL_sfilez00_3)
	{
		AN_OBJECT;
		{	/* Read/src.scm 107 */
			BGl_readerzd2resetz12zc0zz__readerz00();
			if (STRINGP(BgL_sfilez00_3))
				{	/* Read/src.scm 111 */
					obj_t BgL_foundz00_67;

					BgL_foundz00_67 =
						BGl_findzd2filezf2pathz20zz__osz00(BgL_sfilez00_3,
						BGl_za2loadzd2pathza2zd2zz__evalz00);
					if (CBOOL(BgL_foundz00_67))
						{	/* Read/src.scm 113 */
							obj_t BgL_portz00_68;

							BgL_portz00_68 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_foundz00_67, BNIL);
							if (INPUT_PORTP(BgL_portz00_68))
								{	/* Read/src.scm 114 */
									BGl_readerzd2resetz12zc0zz__readerz00();
									return (BGl_za2portza2z00zzread_srcz00 =
										BgL_portz00_68, BUNSPEC);
								}
							else
								{	/* Read/src.scm 114 */
									return (BGl_za2portza2z00zzread_srcz00 =
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
											BGl_string1331z00zzread_srcz00, BgL_foundz00_67),
										BUNSPEC);
						}}
					else
						{	/* Read/src.scm 112 */
							return (BGl_za2portza2z00zzread_srcz00 =
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
									BGl_string1332z00zzread_srcz00, BgL_sfilez00_3), BUNSPEC);
				}}
			else
				{	/* Read/src.scm 110 */
					return (BGl_za2portza2z00zzread_srcz00 =
						BGL_CURRENT_INPUT_PORT(), BUNSPEC);
				}
		}
	}



/* close-src-port */
	obj_t BGl_closezd2srczd2portz00zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 129 */
			{	/* Read/src.scm 130 */
				bool_t BgL_testz00_204;

				if (INPUT_PORTP(BGl_za2portza2z00zzread_srcz00))
					{	/* Read/src.scm 130 */
						bool_t BgL_testz00_207;

						{	/* Read/src.scm 130 */
							obj_t BgL_arg1330z00_74;

							BgL_arg1330z00_74 = BGL_CURRENT_INPUT_PORT();
							BgL_testz00_207 =
								(BGl_za2portza2z00zzread_srcz00 == BgL_arg1330z00_74);
						}
						if (BgL_testz00_207)
							{	/* Read/src.scm 130 */
								BgL_testz00_204 = ((bool_t) 0);
							}
						else
							{	/* Read/src.scm 130 */
								BgL_testz00_204 = ((bool_t) 1);
							}
					}
				else
					{	/* Read/src.scm 130 */
						BgL_testz00_204 = ((bool_t) 0);
					}
				if (BgL_testz00_204)
					{	/* Read/src.scm 130 */
						return close_input_port(BGl_za2portza2z00zzread_srcz00);
					}
				else
					{	/* Read/src.scm 130 */
						return BFALSE;
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzread_srcz00()
	{
		AN_OBJECT;
		{	/* Read/src.scm 15 */
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string1333z00zzread_srcz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1333z00zzread_srcz00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 528201616),
				BSTRING_TO_STRING(BGl_string1333z00zzread_srcz00));
			return
				BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string1333z00zzread_srcz00));
		}
	}

#ifdef __cplusplus
}
#endif
