/*===========================================================================*/
/*   (SawJvm/funcall.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	static obj_t BGl__z52allocatezd2indexedz80zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3814z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	static obj_t BGl_objectzd2ze3structzd2index3812ze3zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__modulezd2funcallzf2appl4060z20zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_zc3anonymousza33873ze3z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_namez00zzsaw_jvm_funcallz00(long);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl__wideningzd2indexed4061zd2zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 = BUNSPEC;
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_fillzd2indexedz12zc0zzsaw_jvm_funcallz00(BgL_indexedz00_bglt, int);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 = BUNSPEC;
	static obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__indexedzd2nilzd2zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_wideningzd2indexedzd2zzsaw_jvm_funcallz00(int);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t, obj_t, bool_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, int);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_zc3anonymousza33947ze3z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__fillzd2indexedz124063zc0zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_indexedz00zzsaw_jvm_funcallz00 = BUNSPEC;
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static bool_t BGl_neededzf3zf3zzsaw_jvm_funcallz00(long, obj_t);
	static obj_t BGl__indexedzf3zf3zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
	static obj_t BGl__makezd2indexed4062zd2zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_z52allocatezd2indexedz80zzsaw_jvm_funcallz00();
	static obj_t BGl_getzd2labszd2zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
	static obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t);
	static obj_t __cnst[26];


	   
		 
		DEFINE_STRING(BGl_string4070z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4070za700za7za7s4080za7, "p", 1);
	      DEFINE_STRING(BGl_string4069z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4069za700za7za7s4081za7, "funcall", 7);
	      DEFINE_STRING(BGl_string4071z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4071za700za7za7s4082za7, "L", 1);
	      DEFINE_STRING(BGl_string4072z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4072za700za7za7s4083za7, "make_vector", 11);
	      DEFINE_STRING(BGl_string4073z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4073za700za7za7s4084za7, "", 0);
	      DEFINE_STRING(BGl_string4074z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4074za700za7za7s4085za7, "saw_jvm_funcall", 15);
	      DEFINE_STRING(BGl_string4075z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4075za700za7za7s4086za7,
		"_ indexed (invokestatic list_to_vector) (astore l) (dup) (getfield cdr) (getfield car) (checkcast pair) (invokespecial papply) (aload l) (this l) apply (getstatic *nil*) invokestatic putstatic getstatic (pop) (invokestatic cons) (areturn) invokespecial err tableswitch (getfield procindex) (aload this) aload this ",
		314);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00,
		BgL_bgl__indexedza7f3za7f3za7za74087z00,
		BGl__indexedzf3zf3zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl__indexedza7d2nilza7d4088z00,
		BGl__indexedzd2nilzd2zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2indexedzd2envz52zzsaw_jvm_funcallz00,
		BgL_bgl__za752allocateza7d2i4089z00,
		BGl__z52allocatezd2indexedz80zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2indexedz12zd2envz12zzsaw_jvm_funcallz00,
		BgL_bgl__fillza7d2indexedza74090z00,
		BGl__fillzd2indexedz124063zc0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl__makeza7d2indexed44091za7,
		BGl__makezd2indexed4062zd2zzsaw_jvm_funcallz00, 0L, BUNSPEC, 17);
	BGL_IMPORT obj_t BGl_notzd2envzd2zz__r4_booleans_6_1z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl__wideningza7d2inde4092za7,
		BGl__wideningzd2indexed4061zd2zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2funcallzf2applyzd2envzf2zzsaw_jvm_funcallz00,
		BgL_bgl__moduleza7d2funcal4093za7,
		BGl__modulezd2funcallzf2appl4060z20zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long
		BgL_checksumz00_1998, char *BgL_fromz00_1999)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
					BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"saw_jvm_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_cportz00_1973;

				BgL_cportz00_1973 =
					bgl_open_input_string(BGl_string4075z00zzsaw_jvm_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1974;

					BgL_iz00_1974 = ((long) 25);
				BgL_loopz00_1975:
					if ((BgL_iz00_1974 == ((long) -1)))
						{	/* SawJvm/funcall.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/funcall.scm 1 */
							{	/* SawJvm/funcall.scm 1 */
								obj_t BgL_arg4077z00_1977;

								{	/* SawJvm/funcall.scm 1 */

									{	/* SawJvm/funcall.scm 1 */
										obj_t BgL_locationz00_1979;

										BgL_locationz00_1979 = BBOOL(((bool_t) 0));
										{	/* SawJvm/funcall.scm 1 */

											BgL_arg4077z00_1977 =
												BGl_readz00zz__readerz00(BgL_cportz00_1973,
												BgL_locationz00_1979);
										}
									}
								}
								{	/* SawJvm/funcall.scm 1 */
									int BgL_auxz00_2022;

									BgL_auxz00_2022 = (int) (BgL_iz00_1974);
									CNST_TABLE_SET(BgL_auxz00_2022, BgL_arg4077z00_1977);
							}}
							{	/* SawJvm/funcall.scm 1 */
								int BgL_auxz00_1980;

								BgL_auxz00_1980 = (int) ((BgL_iz00_1974 - ((long) 1)));
								{
									long BgL_iz00_2027;

									BgL_iz00_2027 = (long) (BgL_auxz00_1980);
									BgL_iz00_1974 = BgL_iz00_2027;
									goto BgL_loopz00_1975;
								}
							}
						}
				}
			}
		}
	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t BgL_vz00_1)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 17 */
			{	/* SawJvm/funcall.scm 18 */
				BgL_globalz00_bglt BgL_vz00_979;

				BgL_vz00_979 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_vz00_1));
				{	/* SawJvm/funcall.scm 19 */
					BgL_valuez00_bglt BgL_valz00_980;

					{	/* SawJvm/funcall.scm 19 */
						BgL_variablez00_bglt BgL_obj1387z00_1711;

						BgL_obj1387z00_1711 = (BgL_variablez00_bglt) (BgL_vz00_979);
						BgL_valz00_980 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1711))->
							BgL_valuez00);
					}
					{	/* SawJvm/funcall.scm 20 */
						bool_t BgL_testz00_2033;

						{	/* SawJvm/funcall.scm 20 */
							obj_t BgL_obj1729z00_1712;

							BgL_obj1729z00_1712 = (obj_t) (BgL_valz00_980);
							BgL_testz00_2033 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1712,
								BGl_sfunz00zzast_varz00);
						}
						if (BgL_testz00_2033)
							{	/* SawJvm/funcall.scm 21 */
								obj_t BgL_cloz00_982;

								{	/* SawJvm/funcall.scm 21 */
									BgL_sfunz00_bglt BgL_obj1672z00_1713;

									BgL_obj1672z00_1713 = (BgL_sfunz00_bglt) (BgL_valz00_980);
									BgL_cloz00_982 =
										(((BgL_sfunz00_bglt) CREF(BgL_obj1672z00_1713))->
										BgL_thezd2closurezd2globalz00);
								}
								{	/* SawJvm/funcall.scm 22 */
									bool_t BgL_oz00_983;
									bool_t BgL_kz00_984;

									BgL_oz00_983 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_982);
									BgL_kz00_984 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_982);
									if (BgL_oz00_983)
										{	/* SawJvm/funcall.scm 23 */
											return BgL_oz00_983;
										}
									else
										{	/* SawJvm/funcall.scm 23 */
											return BgL_kz00_984;
										}
								}
							}
						else
							{	/* SawJvm/funcall.scm 20 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* module-funcall/apply */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_2)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 27 */
			{	/* SawJvm/funcall.scm 28 */
				obj_t BgL_pz00_986;

				{	/* SawJvm/funcall.scm 28 */
					obj_t BgL_arg3821z00_997;

					{	/* SawJvm/funcall.scm 28 */
						obj_t BgL_arg3822z00_998;

						{	/* SawJvm/funcall.scm 28 */
							BgL_backendz00_bglt BgL_obj3351z00_1714;

							BgL_obj3351z00_1714 = (BgL_backendz00_bglt) (BgL_mez00_2);
							BgL_arg3822z00_998 =
								(((BgL_backendz00_bglt) CREF(BgL_obj3351z00_1714))->
								BgL_functionsz00);
						}
						BgL_arg3821z00_997 =
							BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_arg3822z00_998);
					}
					BgL_pz00_986 = bgl_reverse_bang(BgL_arg3821z00_997);
				}
				{	/* SawJvm/funcall.scm 30 */
					long BgL_nz00_987;

					BgL_nz00_987 = ((long) 0);
					{
						obj_t BgL_l3793z00_988;

						BgL_l3793z00_988 = BgL_pz00_986;
					BgL_forzd2each3795zd2_989:
						if (PAIRP(BgL_l3793z00_988))
							{	/* SawJvm/funcall.scm 31 */
								{	/* SawJvm/funcall.scm 33 */
									obj_t BgL_varz00_991;

									BgL_varz00_991 = CAR(BgL_l3793z00_988);
									{	/* SawJvm/funcall.scm 32 */
										BgL_globalz00_bglt BgL_obj3789z00_992;

										BgL_obj3789z00_992 =
											((BgL_globalz00_bglt)
											(BgL_globalz00_bglt) (BgL_varz00_991));
										{	/* SawJvm/funcall.scm 32 */
											BgL_indexedz00_bglt BgL_arg3817z00_993;

											{	/* SawJvm/funcall.scm 32 */
												BgL_indexedz00_bglt BgL_res4049z00_1723;

												{	/* SawJvm/funcall.scm 32 */
													int BgL_index3701z00_1717;

													BgL_index3701z00_1717 = (int) (BgL_nz00_987);
													{	/* SawJvm/funcall.scm 32 */
														BgL_indexedz00_bglt BgL_new3702z00_1718;
														BgL_new3702z00_1718 =
															((BgL_indexedz00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_indexedz00_bgl))));
														{	/* SawJvm/funcall.scm 32 */
															BgL_indexedz00_bglt BgL_res4048z00_1722;

															{	/* SawJvm/funcall.scm 32 */
																BgL_indexedz00_bglt BgL_new3724z00_1719;

																BgL_new3724z00_1719 = BgL_new3702z00_1718;
																{	/* SawJvm/funcall.scm 32 */
																	int BgL_index3723z00_1721;

																	BgL_index3723z00_1721 = BgL_index3701z00_1717;
																	((((BgL_indexedz00_bglt)
																				CREF(BgL_new3724z00_1719))->
																			BgL_indexz00) =
																		((int) BgL_index3723z00_1721), BUNSPEC);
																	BgL_res4048z00_1722 = BgL_new3724z00_1719;
															}} BgL_res4048z00_1722;
														}
														BgL_res4049z00_1723 = BgL_new3702z00_1718;
												}}
												BgL_arg3817z00_993 = BgL_res4049z00_1723;
											}
											{	/* SawJvm/funcall.scm 32 */
												obj_t BgL_auxz00_2055;
												BgL_objectz00_bglt BgL_auxz00_2053;

												BgL_auxz00_2055 = (obj_t) (BgL_arg3817z00_993);
												BgL_auxz00_2053 =
													(BgL_objectz00_bglt) (BgL_obj3789z00_992);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2053,
													BgL_auxz00_2055);
										}}
										{	/* SawJvm/funcall.scm 32 */
											long BgL_arg3818z00_994;

											BgL_arg3818z00_994 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_indexedz00zzsaw_jvm_funcallz00);
											{	/* SawJvm/funcall.scm 32 */
												BgL_objectz00_bglt BgL_objz00_1724;

												BgL_objz00_1724 =
													(BgL_objectz00_bglt) (BgL_obj3789z00_992);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1724,
													BgL_arg3818z00_994);
										}} BgL_obj3789z00_992;
									}
									BgL_nz00_987 = (BgL_nz00_987 + ((long) 1));
								}
								{
									obj_t BgL_l3793z00_2062;

									BgL_l3793z00_2062 = CDR(BgL_l3793z00_988);
									BgL_l3793z00_988 = BgL_l3793z00_2062;
									goto BgL_forzd2each3795zd2_989;
								}
							}
						else
							{	/* SawJvm/funcall.scm 31 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_pz00_986))
					{	/* SawJvm/funcall.scm 35 */
						return BFALSE;
					}
				else
					{	/* SawJvm/funcall.scm 35 */
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 0),
							BgL_pz00_986);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 1),
							BgL_pz00_986);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 2),
							BgL_pz00_986);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 3),
							BgL_pz00_986);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 4),
							BgL_pz00_986);
						return BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_mez00_2,
							BgL_pz00_986);
					}
			}
		}
	}



/* _module-funcall/appl4060 */
	obj_t BGl__modulezd2funcallzf2appl4060z20zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_1916, obj_t BgL_mez00_1917)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 27 */
			return
				BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(
				(BgL_jvmz00_bglt) (BgL_mez00_1917));
		}
	}



/* funcalli */
	obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_6,
		long BgL_iz00_7, obj_t BgL_procsz00_8)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 52 */
			{	/* SawJvm/funcall.scm 63 */
				obj_t BgL_needz00_1005;

				if (NULLP(BgL_procsz00_8))
					{	/* SawJvm/funcall.scm 63 */
						BgL_needz00_1005 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 63 */
						obj_t BgL_head3798z00_1028;

						{	/* SawJvm/funcall.scm 63 */
							bool_t BgL_arg3843z00_1039;

							BgL_arg3843z00_1039 =
								BGl_neededzf3zf3zzsaw_jvm_funcallz00(BgL_iz00_7,
								CAR(BgL_procsz00_8));
							BgL_head3798z00_1028 =
								MAKE_PAIR(BBOOL(BgL_arg3843z00_1039), BNIL);
						}
						{	/* SawJvm/funcall.scm 63 */
							obj_t BgL_g3801z00_1029;

							BgL_g3801z00_1029 = CDR(BgL_procsz00_8);
							{
								obj_t BgL_l3796z00_1030;
								obj_t BgL_tail3799z00_1031;

								BgL_l3796z00_1030 = BgL_g3801z00_1029;
								BgL_tail3799z00_1031 = BgL_head3798z00_1028;
							BgL_map3797z00_1032:
								if (NULLP(BgL_l3796z00_1030))
									{	/* SawJvm/funcall.scm 63 */
										BgL_needz00_1005 = BgL_head3798z00_1028;
									}
								else
									{	/* SawJvm/funcall.scm 63 */
										obj_t BgL_newtail3800z00_1034;

										{	/* SawJvm/funcall.scm 63 */
											bool_t BgL_arg3840z00_1036;

											BgL_arg3840z00_1036 =
												BGl_neededzf3zf3zzsaw_jvm_funcallz00(BgL_iz00_7,
												CAR(BgL_l3796z00_1030));
											BgL_newtail3800z00_1034 =
												MAKE_PAIR(BBOOL(BgL_arg3840z00_1036), BNIL);
										}
										SET_CDR(BgL_tail3799z00_1031, BgL_newtail3800z00_1034);
										{
											obj_t BgL_tail3799z00_2090;
											obj_t BgL_l3796z00_2088;

											BgL_l3796z00_2088 = CDR(BgL_l3796z00_1030);
											BgL_tail3799z00_2090 = BgL_newtail3800z00_1034;
											BgL_tail3799z00_1031 = BgL_tail3799z00_2090;
											BgL_l3796z00_1030 = BgL_l3796z00_2088;
											goto BgL_map3797z00_1032;
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 64 */
					bool_t BgL_testz00_2091;

					{	/* SawJvm/funcall.scm 64 */
						obj_t BgL_list3836z00_1025;

						BgL_list3836z00_1025 = MAKE_PAIR(BgL_needz00_1005, BNIL);
						BgL_testz00_2091 =
							CBOOL(BGl_everyz00zz__r4_pairs_and_lists_6_3z00
							(BGl_notzd2envzd2zz__r4_booleans_6_1z00, BgL_list3836z00_1025));
					}
					if (BgL_testz00_2091)
						{	/* SawJvm/funcall.scm 64 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 65 */
							obj_t BgL_fnamez00_1007;

							{	/* SawJvm/funcall.scm 65 */
								obj_t BgL_arg3835z00_1022;

								{	/* SawJvm/funcall.scm 65 */

									BgL_arg3835z00_1022 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_iz00_7, ((long) 10));
								}
								BgL_fnamez00_1007 =
									string_append(BGl_string4069z00zzsaw_jvm_funcallz00,
									BgL_arg3835z00_1022);
							}
							{	/* SawJvm/funcall.scm 65 */
								obj_t BgL_pz00_1008;

								{	/* SawJvm/funcall.scm 66 */
									obj_t BgL_arg3832z00_1019;
									obj_t BgL_arg3833z00_1020;

									BgL_arg3832z00_1019 = CNST_TABLE_REF(((long) 0));
									BgL_arg3833z00_1020 =
										BGl_namez00zzsaw_jvm_funcallz00(BgL_iz00_7);
									BgL_pz00_1008 =
										MAKE_PAIR(BgL_arg3832z00_1019, BgL_arg3833z00_1020);
								}
								{	/* SawJvm/funcall.scm 66 */

									BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_6,
										string_to_symbol(BSTRING_TO_STRING(BgL_fnamez00_1007)));
									BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_6,
										BgL_pz00_1008, BNIL);
									{
										obj_t BgL_l3802z00_1010;

										BgL_l3802z00_1010 = BgL_pz00_1008;
									BgL_forzd2each3803zd2_1011:
										if (PAIRP(BgL_l3802z00_1010))
											{	/* SawJvm/funcall.scm 69 */
												{	/* SawJvm/funcall.scm 69 */
													obj_t BgL_vz00_1013;

													BgL_vz00_1013 = CAR(BgL_l3802z00_1010);
													{	/* SawJvm/funcall.scm 69 */
														obj_t BgL_arg3827z00_1014;

														{	/* SawJvm/funcall.scm 69 */
															obj_t BgL_arg3828z00_1015;
															obj_t BgL_arg3829z00_1016;

															BgL_arg3828z00_1015 = CNST_TABLE_REF(((long) 1));
															{	/* SawJvm/funcall.scm 69 */
																obj_t BgL_list3830z00_1017;

																BgL_list3830z00_1017 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3829z00_1016 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_vz00_1013, BgL_list3830z00_1017);
															}
															BgL_arg3827z00_1014 =
																MAKE_PAIR(BgL_arg3828z00_1015,
																BgL_arg3829z00_1016);
														}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_6,
															BgL_arg3827z00_1014);
												}}
												{
													obj_t BgL_l3802z00_2112;

													BgL_l3802z00_2112 = CDR(BgL_l3802z00_1010);
													BgL_l3802z00_1010 = BgL_l3802z00_2112;
													goto BgL_forzd2each3803zd2_1011;
												}
											}
										else
											{	/* SawJvm/funcall.scm 69 */
												((bool_t) 1);
											}
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_6,
										CNST_TABLE_REF(((long) 2)));
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_6,
										CNST_TABLE_REF(((long) 3)));
									BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_mez00_6,
										BgL_iz00_7, BgL_needz00_1005, BgL_procsz00_8,
										BgL_fnamez00_1007);
									return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_6);
								}
							}
						}
				}
			}
		}
	}



/* needed? */
	bool_t BGl_neededzf3zf3zzsaw_jvm_funcallz00(long BgL_iz00_1972,
		obj_t BgL_pz00_1049)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 61 */
			{	/* SawJvm/funcall.scm 54 */
				obj_t BgL_arityz00_1051;

				BgL_arityz00_1051 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_pz00_1049));
				if (CBOOL(BgL_arityz00_1051))
					{	/* SawJvm/funcall.scm 56 */
						bool_t BgL__ortest_3790z00_1052;

						if (((long) CINT(BgL_arityz00_1051) >= ((long) 0)))
							{	/* SawJvm/funcall.scm 56 */
								if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_1049))
									{	/* SawJvm/funcall.scm 57 */
										BgL__ortest_3790z00_1052 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_arityz00_1051,
											BINT(BgL_iz00_1972));
									}
								else
									{	/* SawJvm/funcall.scm 57 */
										BgL__ortest_3790z00_1052 =
											((long) CINT(BgL_arityz00_1051) == BgL_iz00_1972);
							}}
						else
							{	/* SawJvm/funcall.scm 56 */
								BgL__ortest_3790z00_1052 = ((bool_t) 0);
							}
						if (BgL__ortest_3790z00_1052)
							{	/* SawJvm/funcall.scm 56 */
								return BgL__ortest_3790z00_1052;
							}
						else
							{	/* SawJvm/funcall.scm 56 */
								if (((long) CINT(BgL_arityz00_1051) < ((long) 0)))
									{	/* SawJvm/funcall.scm 60 */
										return
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1051,
											BINT((((long) -1) - BgL_iz00_1972)));
									}
								else
									{	/* SawJvm/funcall.scm 60 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* SawJvm/funcall.scm 55 */
						return (BgL_iz00_1972 <= ((long) 1));
		}}}
	}



/* name */
	obj_t BGl_namez00zzsaw_jvm_funcallz00(long BgL_nz00_1042)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 62 */
			if ((BgL_nz00_1042 == ((long) 0)))
				{	/* SawJvm/funcall.scm 62 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 62 */
					obj_t BgL_arg3848z00_1045;
					obj_t BgL_arg3849z00_1046;

					{	/* SawJvm/funcall.scm 62 */

						{	/* SawJvm/funcall.scm 62 */

							BgL_arg3848z00_1045 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
						}
					}
					BgL_arg3849z00_1046 =
						BGl_namez00zzsaw_jvm_funcallz00((BgL_nz00_1042 - ((long) 1)));
					return MAKE_PAIR(BgL_arg3848z00_1045, BgL_arg3849z00_1046);
				}
		}
	}



/* compile-funi */
	obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_9,
		long BgL_iz00_10, obj_t BgL_needz00_11, obj_t BgL_procsz00_12,
		obj_t BgL_fnamez00_13)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 75 */
			{	/* SawJvm/funcall.scm 82 */
				obj_t BgL_labsz00_1061;

				BgL_labsz00_1061 =
					BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_11,
					BgL_procsz00_12);
				{	/* SawJvm/funcall.scm 83 */
					obj_t BgL_arg3854z00_1062;

					{	/* SawJvm/funcall.scm 83 */
						obj_t BgL_arg3855z00_1063;
						obj_t BgL_arg3856z00_1064;

						BgL_arg3855z00_1063 = CNST_TABLE_REF(((long) 4));
						{	/* SawJvm/funcall.scm 83 */
							obj_t BgL_arg3857z00_1065;
							obj_t BgL_arg3859z00_1067;

							BgL_arg3857z00_1065 = CNST_TABLE_REF(((long) 5));
							BgL_arg3859z00_1067 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_1061, BNIL);
							{	/* SawJvm/funcall.scm 83 */
								obj_t BgL_list3860z00_1068;

								{	/* SawJvm/funcall.scm 83 */
									obj_t BgL_arg3861z00_1069;

									BgL_arg3861z00_1069 = MAKE_PAIR(BgL_arg3859z00_1067, BNIL);
									BgL_list3860z00_1068 =
										MAKE_PAIR(BINT(((long) 0)), BgL_arg3861z00_1069);
								}
								BgL_arg3856z00_1064 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3857z00_1065, BgL_list3860z00_1068);
						}}
						BgL_arg3854z00_1062 =
							MAKE_PAIR(BgL_arg3855z00_1063, BgL_arg3856z00_1064);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_9, BgL_arg3854z00_1062);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_9, CNST_TABLE_REF(((long) 5)));
				{	/* SawJvm/funcall.scm 85 */
					obj_t BgL_arg3862z00_1070;

					{	/* SawJvm/funcall.scm 85 */
						obj_t BgL_arg3863z00_1071;
						obj_t BgL_arg3864z00_1072;

						BgL_arg3863z00_1071 = CNST_TABLE_REF(((long) 6));
						{	/* SawJvm/funcall.scm 85 */
							obj_t BgL_arg3865z00_1073;

							{	/* SawJvm/funcall.scm 85 */
								obj_t BgL_arg3868z00_1076;

								BgL_arg3868z00_1076 =
									string_append(BGl_string4070z00zzsaw_jvm_funcallz00,
									BgL_fnamez00_13);
								BgL_arg3865z00_1073 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg3868z00_1076));
							}
							{	/* SawJvm/funcall.scm 85 */
								obj_t BgL_list3867z00_1075;

								BgL_list3867z00_1075 = MAKE_PAIR(BNIL, BNIL);
								BgL_arg3864z00_1072 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3865z00_1073, BgL_list3867z00_1075);
						}}
						BgL_arg3862z00_1070 =
							MAKE_PAIR(BgL_arg3863z00_1071, BgL_arg3864z00_1072);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_9, BgL_arg3862z00_1070);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_9, CNST_TABLE_REF(((long) 7)));
				{	/* SawJvm/funcall.scm 87 */
					obj_t BgL_zc3anonymousza33873ze3z83_1920;

					BgL_zc3anonymousza33873ze3z83_1920 =
						make_fx_procedure(BGl_zc3anonymousza33873ze3z83zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33873ze3z83_1920,
						(int) (((long) 0)), (obj_t) (BgL_mez00_9));
					PROCEDURE_SET(BgL_zc3anonymousza33873ze3z83_1920,
						(int) (((long) 1)), BINT(BgL_iz00_10));
					{	/* SawJvm/funcall.scm 87 */
						obj_t BgL_list3870z00_1078;

						{	/* SawJvm/funcall.scm 87 */
							obj_t BgL_arg3871z00_1079;

							{	/* SawJvm/funcall.scm 87 */
								obj_t BgL_arg3872z00_1080;

								BgL_arg3872z00_1080 = MAKE_PAIR(BgL_procsz00_12, BNIL);
								BgL_arg3871z00_1079 =
									MAKE_PAIR(BgL_labsz00_1061, BgL_arg3872z00_1080);
							}
							BgL_list3870z00_1078 =
								MAKE_PAIR(BgL_needz00_11, BgL_arg3871z00_1079);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3anonymousza33873ze3z83_1920, BgL_list3870z00_1078);
					}
				}
			}
		}
	}



/* get-labs' */
	obj_t BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(long BgL_iz00_1086,
		obj_t BgL_nsz00_1087, obj_t BgL_psz00_1088)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 81 */
			{
				long BgL_nz00_1097;

				if (NULLP(BgL_nsz00_1087))
					{	/* SawJvm/funcall.scm 78 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 80 */
						obj_t BgL_arg3876z00_1091;
						obj_t BgL_arg3877z00_1092;

						{	/* SawJvm/funcall.scm 80 */
							bool_t BgL_testz00_2184;

							{	/* SawJvm/funcall.scm 80 */
								obj_t BgL_pairz00_1758;

								BgL_pairz00_1758 = BgL_nsz00_1087;
								BgL_testz00_2184 = CBOOL(CAR(BgL_pairz00_1758));
							}
							if (BgL_testz00_2184)
								{	/* SawJvm/funcall.scm 80 */
									BgL_nz00_1097 = BgL_iz00_1086;
									{	/* SawJvm/funcall.scm 76 */
										obj_t BgL_arg3883z00_1099;

										{	/* SawJvm/funcall.scm 76 */
											obj_t BgL_arg3885z00_1101;

											{	/* SawJvm/funcall.scm 76 */

												BgL_arg3885z00_1101 =
													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
													(BgL_nz00_1097, ((long) 10));
											}
											BgL_arg3883z00_1099 =
												string_append(BGl_string4071z00zzsaw_jvm_funcallz00,
												BgL_arg3885z00_1101);
										}
										BgL_arg3876z00_1091 =
											string_to_symbol(BSTRING_TO_STRING(BgL_arg3883z00_1099));
								}}
							else
								{	/* SawJvm/funcall.scm 80 */
									BgL_arg3876z00_1091 = CNST_TABLE_REF(((long) 5));
						}}
						BgL_arg3877z00_1092 =
							BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(
							(BgL_iz00_1086 + ((long) 1)),
							CDR(BgL_nsz00_1087), CDR(BgL_psz00_1088));
						return MAKE_PAIR(BgL_arg3876z00_1091, BgL_arg3877z00_1092);
					}
			}
		}
	}



/* <anonymous:3873> */
	obj_t BGl_zc3anonymousza33873ze3z83zzsaw_jvm_funcallz00(obj_t BgL_envz00_1921,
		obj_t BgL_nzf3zf3_1924, obj_t BgL_labz00_1925, obj_t BgL_pz00_1926)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 87 */
			{	/* SawJvm/funcall.scm 87 */
				obj_t BgL_mez00_1922;
				obj_t BgL_iz00_1923;

				BgL_mez00_1922 = PROCEDURE_REF(BgL_envz00_1921, (int) (((long) 0)));
				BgL_iz00_1923 = PROCEDURE_REF(BgL_envz00_1921, (int) (((long) 1)));
				{
					obj_t BgL_nzf3zf3_1081;
					obj_t BgL_labz00_1082;
					obj_t BgL_pz00_1083;

					BgL_nzf3zf3_1081 = BgL_nzf3zf3_1924;
					BgL_labz00_1082 = BgL_labz00_1925;
					BgL_pz00_1083 = BgL_pz00_1926;
					if (CBOOL(BgL_nzf3zf3_1081))
						{	/* SawJvm/funcall.scm 87 */
							return
								BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00
								(BgL_mez00_1922, BgL_iz00_1923, BgL_labz00_1082, BgL_pz00_1083);
						}
					else
						{	/* SawJvm/funcall.scm 87 */
							return BFALSE;
						}
				}
			}
		}
	}



/* compile-for-funcalli */
	obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_14,
		obj_t BgL_iz00_15, obj_t BgL_labz00_16, obj_t BgL_pz00_17)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 93 */
			{	/* SawJvm/funcall.scm 94 */
				obj_t BgL_arityz00_1106;

				BgL_arityz00_1106 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_pz00_17));
				{
					obj_t BgL_iz00_1143;
					obj_t BgL_nz00_1138;

					BGl_labelz00zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_labz00_16);
					if ((BgL_arityz00_1106 == BFALSE))
						{	/* SawJvm/funcall.scm 104 */
							if (((long) CINT(BgL_iz00_15) == ((long) 0)))
								{	/* SawJvm/funcall.scm 105 */
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_14),
										CNST_TABLE_REF(((long) 9)));
									{	/* SawJvm/funcall.scm 107 */
										obj_t BgL_arg3888z00_1111;

										{	/* SawJvm/funcall.scm 107 */
											obj_t BgL_arg3889z00_1112;
											obj_t BgL_arg3890z00_1113;

											BgL_arg3889z00_1112 = CNST_TABLE_REF(((long) 10));
											{	/* SawJvm/funcall.scm 107 */
												obj_t BgL_arg3891z00_1114;

												BgL_arg3891z00_1114 =
													BGl_declarezd2globalzd2zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													(BgL_globalz00_bglt) (BgL_pz00_17));
												{	/* SawJvm/funcall.scm 107 */
													obj_t BgL_list3893z00_1116;

													BgL_list3893z00_1116 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3890z00_1113 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3891z00_1114, BgL_list3893z00_1116);
											}}
											BgL_arg3888z00_1111 =
												MAKE_PAIR(BgL_arg3889z00_1112, BgL_arg3890z00_1113);
										}
										BGl_codez12z12zzsaw_jvm_outz00(
											(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_arg3888z00_1111);
								}}
							else
								{	/* SawJvm/funcall.scm 108 */
									obj_t BgL_arg3894z00_1117;

									{	/* SawJvm/funcall.scm 108 */
										obj_t BgL_arg3895z00_1118;
										obj_t BgL_arg3896z00_1119;

										BgL_arg3895z00_1118 = CNST_TABLE_REF(((long) 11));
										{	/* SawJvm/funcall.scm 108 */
											obj_t BgL_arg3897z00_1120;

											BgL_arg3897z00_1120 =
												BGl_declarezd2globalzd2zzsaw_jvm_outz00(
												(BgL_jvmz00_bglt) (BgL_mez00_14),
												(BgL_globalz00_bglt) (BgL_pz00_17));
											{	/* SawJvm/funcall.scm 108 */
												obj_t BgL_list3899z00_1122;

												BgL_list3899z00_1122 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3896z00_1119 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3897z00_1120, BgL_list3899z00_1122);
										}}
										BgL_arg3894z00_1117 =
											MAKE_PAIR(BgL_arg3895z00_1118, BgL_arg3896z00_1119);
									}
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_arg3894z00_1117);
						}}
					else
						{	/* SawJvm/funcall.scm 104 */
							if (((long) CINT(BgL_arityz00_1106) >= ((long) 0)))
								{	/* SawJvm/funcall.scm 109 */
									if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_17))
										{	/* SawJvm/funcall.scm 111 */
											BgL_globalz00_bglt BgL_vz00_1125;

											BgL_vz00_1125 =
												BGl_globalzd2entryzd2zzbackend_cplibz00(
												(BgL_globalz00_bglt) (BgL_pz00_17));
											{	/* SawJvm/funcall.scm 112 */
												obj_t BgL_arg3902z00_1126;

												{	/* SawJvm/funcall.scm 112 */
													obj_t BgL_arg3903z00_1127;
													obj_t BgL_arg3904z00_1128;

													BgL_arg3903z00_1127 = CNST_TABLE_REF(((long) 12));
													{	/* SawJvm/funcall.scm 112 */
														obj_t BgL_arg3905z00_1129;

														BgL_iz00_1143 = BgL_iz00_15;
														{	/* SawJvm/funcall.scm 96 */
															obj_t BgL_arg3920z00_1145;

															{	/* SawJvm/funcall.scm 96 */
																obj_t BgL_arg3922z00_1147;

																{	/* SawJvm/funcall.scm 96 */

																	BgL_arg3922z00_1147 =
																		BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																		((long) CINT(BgL_iz00_1143), ((long) 10));
																}
																BgL_arg3920z00_1145 =
																	string_append
																	(BGl_string4072z00zzsaw_jvm_funcallz00,
																	BgL_arg3922z00_1147);
															}
															BgL_arg3905z00_1129 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3920z00_1145));
														}
														{	/* SawJvm/funcall.scm 112 */
															obj_t BgL_list3908z00_1131;

															BgL_list3908z00_1131 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3904z00_1128 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg3905z00_1129, BgL_list3908z00_1131);
													}}
													BgL_arg3902z00_1126 =
														MAKE_PAIR(BgL_arg3903z00_1127, BgL_arg3904z00_1128);
												}
												BGl_codez12z12zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													BgL_arg3902z00_1126);
											}
											BGl_callzd2globalzd2zzsaw_jvm_outz00(
												(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_vz00_1125);
										}
									else
										{	/* SawJvm/funcall.scm 114 */
											BgL_globalz00_bglt BgL_arg3909z00_1132;

											BgL_arg3909z00_1132 =
												BGl_globalzd2entryzd2zzbackend_cplibz00(
												(BgL_globalz00_bglt) (BgL_pz00_17));
											BGl_callzd2globalzd2zzsaw_jvm_outz00(
												(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_arg3909z00_1132);
										}
								}
							else
								{	/* SawJvm/funcall.scm 109 */
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_14),
										CNST_TABLE_REF(((long) 13)));
									{	/* SawJvm/funcall.scm 117 */
										obj_t BgL_arg3910z00_1133;

										{	/* SawJvm/funcall.scm 117 */
											obj_t BgL_arg3911z00_1134;

											{	/* SawJvm/funcall.scm 117 */
												obj_t BgL_list3912z00_1135;

												{	/* SawJvm/funcall.scm 117 */
													obj_t BgL_arg3914z00_1137;

													BgL_arg3914z00_1137 =
														MAKE_PAIR(BgL_arityz00_1106, BNIL);
													BgL_list3912z00_1135 =
														MAKE_PAIR(BINT(((long) 1)), BgL_arg3914z00_1137);
												}
												BgL_arg3911z00_1134 =
													BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_list3912z00_1135);
											}
											BgL_arg3910z00_1133 =
												BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_15,
												BgL_arg3911z00_1134);
										}
										BgL_nz00_1138 = BgL_arg3910z00_1133;
									BgL_zc3anonymousza33915ze3z83_1139:
										if (BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1138,
												BINT(((long) 0))))
											{	/* SawJvm/funcall.scm 99 */
												BgL_globalz00_bglt BgL_arg3917z00_1141;

												BgL_arg3917z00_1141 =
													BGl_globalzd2entryzd2zzbackend_cplibz00(
													(BgL_globalz00_bglt) (BgL_pz00_17));
												BGl_callzd2globalzd2zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													BgL_arg3917z00_1141);
											}
										else
											{	/* SawJvm/funcall.scm 98 */
												BGl_codez12z12zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													CNST_TABLE_REF(((long) 8)));
												{	/* SawJvm/funcall.scm 101 */
													long BgL_arg3918z00_1142;

													BgL_arg3918z00_1142 =
														((long) CINT(BgL_nz00_1138) - ((long) 1));
													{
														obj_t BgL_nz00_2278;

														BgL_nz00_2278 = BINT(BgL_arg3918z00_1142);
														BgL_nz00_1138 = BgL_nz00_2278;
														goto BgL_zc3anonymousza33915ze3z83_1139;
													}
												}
											}
									}
								}
						}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_14), CNST_TABLE_REF(((long) 7)));
		}}}
	}



/* compile-apply */
	obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_18,
		obj_t BgL_procsz00_19)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 123 */
			{	/* SawJvm/funcall.scm 124 */
				obj_t BgL_needz00_1152;

				if (NULLP(BgL_procsz00_19))
					{	/* SawJvm/funcall.scm 124 */
						BgL_needz00_1152 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 124 */
						obj_t BgL_head3806z00_1157;

						{	/* SawJvm/funcall.scm 124 */
							obj_t BgL_arg3932z00_1168;

							{	/* SawJvm/funcall.scm 124 */
								obj_t BgL_arg3934z00_1170;

								BgL_arg3934z00_1170 = CAR(BgL_procsz00_19);
								BgL_arg3932z00_1168 =
									BGl_globalzd2arityzd2zzbackend_cplibz00(
									(BgL_globalz00_bglt) (BgL_arg3934z00_1170));
							}
							BgL_head3806z00_1157 = MAKE_PAIR(BgL_arg3932z00_1168, BNIL);
						}
						{	/* SawJvm/funcall.scm 124 */
							obj_t BgL_g3809z00_1158;

							BgL_g3809z00_1158 = CDR(BgL_procsz00_19);
							{
								obj_t BgL_l3804z00_1159;
								obj_t BgL_tail3807z00_1160;

								BgL_l3804z00_1159 = BgL_g3809z00_1158;
								BgL_tail3807z00_1160 = BgL_head3806z00_1157;
							BgL_map3805z00_1161:
								if (NULLP(BgL_l3804z00_1159))
									{	/* SawJvm/funcall.scm 124 */
										BgL_needz00_1152 = BgL_head3806z00_1157;
									}
								else
									{	/* SawJvm/funcall.scm 124 */
										obj_t BgL_newtail3808z00_1163;

										{	/* SawJvm/funcall.scm 124 */
											obj_t BgL_arg3929z00_1165;

											{	/* SawJvm/funcall.scm 124 */
												obj_t BgL_arg3931z00_1167;

												BgL_arg3931z00_1167 = CAR(BgL_l3804z00_1159);
												BgL_arg3929z00_1165 =
													BGl_globalzd2arityzd2zzbackend_cplibz00(
													(BgL_globalz00_bglt) (BgL_arg3931z00_1167));
											}
											BgL_newtail3808z00_1163 =
												MAKE_PAIR(BgL_arg3929z00_1165, BNIL);
										}
										SET_CDR(BgL_tail3807z00_1160, BgL_newtail3808z00_1163);
										{
											obj_t BgL_tail3807z00_2299;
											obj_t BgL_l3804z00_2297;

											BgL_l3804z00_2297 = CDR(BgL_l3804z00_1159);
											BgL_tail3807z00_2299 = BgL_newtail3808z00_1163;
											BgL_tail3807z00_1160 = BgL_tail3807z00_2299;
											BgL_l3804z00_1159 = BgL_l3804z00_2297;
											goto BgL_map3805z00_1161;
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 125 */
					bool_t BgL_testz00_2300;

					{	/* SawJvm/funcall.scm 125 */
						obj_t BgL_list3924z00_1154;

						BgL_list3924z00_1154 = MAKE_PAIR(BgL_needz00_1152, BNIL);
						BgL_testz00_2300 =
							CBOOL(BGl_everyz00zz__r4_pairs_and_lists_6_3z00
							(BGl_notzd2envzd2zz__r4_booleans_6_1z00, BgL_list3924z00_1154));
					}
					if (BgL_testz00_2300)
						{	/* SawJvm/funcall.scm 125 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 125 */
							BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 14)));
							BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 15)), BNIL);
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 2)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 2)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 3)));
							BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_mez00_18,
								BgL_needz00_1152, BgL_procsz00_19);
							return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
						}
				}
			}
		}
	}



/* compile-dispatch */
	obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_20, obj_t BgL_needz00_21, obj_t BgL_procsz00_22)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 134 */
			{	/* SawJvm/funcall.scm 141 */
				obj_t BgL_labsz00_1173;

				BgL_labsz00_1173 =
					BGl_getzd2labszd2zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_21,
					BgL_procsz00_22);
				{	/* SawJvm/funcall.scm 142 */
					obj_t BgL_arg3935z00_1174;

					{	/* SawJvm/funcall.scm 142 */
						obj_t BgL_arg3936z00_1175;
						obj_t BgL_arg3937z00_1176;

						BgL_arg3936z00_1175 = CNST_TABLE_REF(((long) 4));
						{	/* SawJvm/funcall.scm 142 */
							obj_t BgL_arg3938z00_1177;
							obj_t BgL_arg3940z00_1179;

							BgL_arg3938z00_1177 = CNST_TABLE_REF(((long) 5));
							BgL_arg3940z00_1179 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_1173, BNIL);
							{	/* SawJvm/funcall.scm 142 */
								obj_t BgL_list3941z00_1180;

								{	/* SawJvm/funcall.scm 142 */
									obj_t BgL_arg3942z00_1181;

									BgL_arg3942z00_1181 = MAKE_PAIR(BgL_arg3940z00_1179, BNIL);
									BgL_list3941z00_1180 =
										MAKE_PAIR(BINT(((long) 0)), BgL_arg3942z00_1181);
								}
								BgL_arg3937z00_1176 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3938z00_1177, BgL_list3941z00_1180);
						}}
						BgL_arg3935z00_1174 =
							MAKE_PAIR(BgL_arg3936z00_1175, BgL_arg3937z00_1176);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20, BgL_arg3935z00_1174);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_20, CNST_TABLE_REF(((long) 5)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20,
					CNST_TABLE_REF(((long) 16)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20,
					CNST_TABLE_REF(((long) 17)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20,
					CNST_TABLE_REF(((long) 7)));
				{	/* SawJvm/funcall.scm 147 */
					obj_t BgL_zc3anonymousza33947ze3z83_1927;

					BgL_zc3anonymousza33947ze3z83_1927 =
						make_fx_procedure(BGl_zc3anonymousza33947ze3z83zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33947ze3z83_1927,
						(int) (((long) 0)), (obj_t) (BgL_mez00_20));
					{	/* SawJvm/funcall.scm 147 */
						obj_t BgL_list3944z00_1183;

						{	/* SawJvm/funcall.scm 147 */
							obj_t BgL_arg3945z00_1184;

							{	/* SawJvm/funcall.scm 147 */
								obj_t BgL_arg3946z00_1185;

								BgL_arg3946z00_1185 = MAKE_PAIR(BgL_procsz00_22, BNIL);
								BgL_arg3945z00_1184 =
									MAKE_PAIR(BgL_labsz00_1173, BgL_arg3946z00_1185);
							}
							BgL_list3944z00_1183 =
								MAKE_PAIR(BgL_needz00_21, BgL_arg3945z00_1184);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3anonymousza33947ze3z83_1927, BgL_list3944z00_1183);
					}
				}
			}
		}
	}



/* get-labs */
	obj_t BGl_getzd2labszd2zzsaw_jvm_funcallz00(long BgL_iz00_1191,
		obj_t BgL_nsz00_1192, obj_t BgL_psz00_1193)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 140 */
			{
				long BgL_nz00_1202;

				if (NULLP(BgL_nsz00_1192))
					{	/* SawJvm/funcall.scm 137 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 139 */
						obj_t BgL_arg3950z00_1196;
						obj_t BgL_arg3952z00_1197;

						{	/* SawJvm/funcall.scm 139 */
							bool_t BgL_testz00_2346;

							{	/* SawJvm/funcall.scm 139 */
								obj_t BgL_pairz00_1784;

								BgL_pairz00_1784 = BgL_nsz00_1192;
								BgL_testz00_2346 = CBOOL(CAR(BgL_pairz00_1784));
							}
							if (BgL_testz00_2346)
								{	/* SawJvm/funcall.scm 139 */
									BgL_nz00_1202 = BgL_iz00_1191;
									{	/* SawJvm/funcall.scm 135 */
										obj_t BgL_arg3958z00_1204;

										{	/* SawJvm/funcall.scm 135 */
											obj_t BgL_arg3960z00_1206;

											{	/* SawJvm/funcall.scm 135 */

												BgL_arg3960z00_1206 =
													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
													(BgL_nz00_1202, ((long) 10));
											}
											BgL_arg3958z00_1204 =
												string_append(BGl_string4071z00zzsaw_jvm_funcallz00,
												BgL_arg3960z00_1206);
										}
										BgL_arg3950z00_1196 =
											string_to_symbol(BSTRING_TO_STRING(BgL_arg3958z00_1204));
								}}
							else
								{	/* SawJvm/funcall.scm 139 */
									BgL_arg3950z00_1196 = CNST_TABLE_REF(((long) 5));
						}}
						BgL_arg3952z00_1197 =
							BGl_getzd2labszd2zzsaw_jvm_funcallz00(
							(BgL_iz00_1191 + ((long) 1)),
							CDR(BgL_nsz00_1192), CDR(BgL_psz00_1193));
						return MAKE_PAIR(BgL_arg3950z00_1196, BgL_arg3952z00_1197);
					}
			}
		}
	}



/* <anonymous:3947> */
	obj_t BGl_zc3anonymousza33947ze3z83zzsaw_jvm_funcallz00(obj_t BgL_envz00_1928,
		obj_t BgL_nzf3zf3_1930, obj_t BgL_labz00_1931, obj_t BgL_pz00_1932)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 147 */
			{	/* SawJvm/funcall.scm 147 */
				obj_t BgL_mez00_1929;

				BgL_mez00_1929 = PROCEDURE_REF(BgL_envz00_1928, (int) (((long) 0)));
				{
					obj_t BgL_nzf3zf3_1186;
					obj_t BgL_labz00_1187;
					obj_t BgL_pz00_1188;

					BgL_nzf3zf3_1186 = BgL_nzf3zf3_1930;
					BgL_labz00_1187 = BgL_labz00_1931;
					BgL_pz00_1188 = BgL_pz00_1932;
					if (CBOOL(BgL_nzf3zf3_1186))
						{	/* SawJvm/funcall.scm 147 */
							return
								BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(BgL_mez00_1929,
								BgL_labz00_1187, BgL_pz00_1188);
						}
					else
						{	/* SawJvm/funcall.scm 147 */
							return BFALSE;
						}
				}
			}
		}
	}



/* compile-for-apply */
	obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_23,
		obj_t BgL_labz00_24, obj_t BgL_pz00_25)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 152 */
			{
				obj_t BgL_mez00_1217;
				obj_t BgL_nz00_1218;
				bool_t BgL_fixedarityzf3zf3_1219;

				{	/* SawJvm/funcall.scm 174 */
					obj_t BgL_arityz00_1212;

					BgL_arityz00_1212 =
						BGl_globalzd2arityzd2zzbackend_cplibz00(
						(BgL_globalz00_bglt) (BgL_pz00_25));
					BGl_labelz00zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_23), BgL_labz00_24);
					if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1212,
							BINT(((long) 0))))
						{	/* SawJvm/funcall.scm 176 */
							if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_25))
								{	/* SawJvm/funcall.scm 177 */
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_23),
										CNST_TABLE_REF(((long) 16)));
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_23),
										CNST_TABLE_REF(((long) 23)));
								}
							else
								{	/* SawJvm/funcall.scm 177 */
									BgL_mez00_1217 = BgL_mez00_23;
									BgL_nz00_1218 = BgL_arityz00_1212;
									BgL_fixedarityzf3zf3_1219 = ((bool_t) 1);
								BgL_zc3anonymousza33965ze3z83_1220:
									if (((long) CINT(BgL_nz00_1218) == ((long) 0)))
										{	/* SawJvm/funcall.scm 155 */
											if (BgL_fixedarityzf3zf3_1219)
												{	/* SawJvm/funcall.scm 156 */
													BFALSE;
												}
											else
												{	/* SawJvm/funcall.scm 156 */
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 16)));
										}}
									else
										{	/* SawJvm/funcall.scm 155 */
											if (((long) CINT(BgL_nz00_1218) == ((long) 1)))
												{	/* SawJvm/funcall.scm 158 */
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 16)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 18)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 19)));
													if (BgL_fixedarityzf3zf3_1219)
														{	/* SawJvm/funcall.scm 162 */
															BFALSE;
														}
													else
														{	/* SawJvm/funcall.scm 162 */
															BGl_codez12z12zzsaw_jvm_outz00(
																(BgL_jvmz00_bglt) (BgL_mez00_1217),
																CNST_TABLE_REF(((long) 16)));
															BGl_codez12z12zzsaw_jvm_outz00(
																(BgL_jvmz00_bglt) (BgL_mez00_1217),
																CNST_TABLE_REF(((long) 18)));
															BGl_codez12z12zzsaw_jvm_outz00(
																(BgL_jvmz00_bglt) (BgL_mez00_1217),
																CNST_TABLE_REF(((long) 20)));
												}}
											else
												{	/* SawJvm/funcall.scm 158 */
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 16)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 18)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 21)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 20)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 22)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1217),
														CNST_TABLE_REF(((long) 19)));
													{
														obj_t BgL_nz00_2426;

														BgL_nz00_2426 =
															BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1218,
															BINT(((long) 1)));
														BgL_nz00_1218 = BgL_nz00_2426;
														goto BgL_zc3anonymousza33965ze3z83_1220;
													}
												}
										}
								}
						}
					else
						{
							bool_t BgL_fixedarityzf3zf3_2433;
							obj_t BgL_nz00_2430;
							obj_t BgL_mez00_2429;

							BgL_mez00_2429 = BgL_mez00_23;
							BgL_nz00_2430 =
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT(((long) -1)),
								BgL_arityz00_1212);
							BgL_fixedarityzf3zf3_2433 = ((bool_t) 0);
							BgL_fixedarityzf3zf3_1219 = BgL_fixedarityzf3zf3_2433;
							BgL_nz00_1218 = BgL_nz00_2430;
							BgL_mez00_1217 = BgL_mez00_2429;
							goto BgL_zc3anonymousza33965ze3z83_1220;
						}
					{	/* SawJvm/funcall.scm 182 */
						BgL_globalz00_bglt BgL_arg3964z00_1216;

						BgL_arg3964z00_1216 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							(BgL_globalz00_bglt) (BgL_pz00_25));
						BGl_callzd2globalzd2zzsaw_jvm_outz00(
							(BgL_jvmz00_bglt) (BgL_mez00_23), BgL_arg3964z00_1216);
					}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_23), CNST_TABLE_REF(((long) 7)));
		}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 14 */
				obj_t BgL_arg3969z00_1225;
				obj_t BgL_arg3970z00_1226;
				obj_t BgL_arg3973z00_1229;

				BgL_arg3969z00_1225 = CNST_TABLE_REF(((long) 24));
				BgL_arg3970z00_1226 = BGl_globalz00zzast_varz00;
				{	/* SawJvm/funcall.scm 14 */
					obj_t BgL_v3810z00_1230;

					BgL_v3810z00_1230 = create_vector((int) (((long) 0)));
					BgL_arg3973z00_1229 = BgL_v3810z00_1230;
				}
				BGl_indexedz00zzsaw_jvm_funcallz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3969z00_1225,
					BgL_arg3970z00_1226, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2indexedzd2envz52zzsaw_jvm_funcallz00,
					BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
					BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00, ((long) 281989186),
					BFALSE, BFALSE, BgL_arg3973z00_1229);
			}
			return (BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* indexed? */
	BGL_EXPORTED_DEF bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t
		BgL_obj3734z00_26)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3734z00_26,
				BGl_indexedz00zzsaw_jvm_funcallz00);
		}
	}



/* _indexed? */
	obj_t BGl__indexedzf3zf3zzsaw_jvm_funcallz00(obj_t BgL_envz00_1935,
		obj_t BgL_obj3734z00_1936)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3734z00_1936,
					BGl_indexedz00zzsaw_jvm_funcallz00));
		}
	}



/* widening-indexed */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_wideningzd2indexedzd2zzsaw_jvm_funcallz00(int BgL_index3701z00_30)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_new3702z00_1794;
				BgL_new3702z00_1794 =
					((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_indexedz00_bgl))));
				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_res4050z00_1798;

					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_new3724z00_1795;

						BgL_new3724z00_1795 = BgL_new3702z00_1794;
						{	/* SawJvm/funcall.scm 14 */
							int BgL_index3723z00_1797;

							BgL_index3723z00_1797 = BgL_index3701z00_30;
							((((BgL_indexedz00_bglt) CREF(BgL_new3724z00_1795))->
									BgL_indexz00) = ((int) BgL_index3723z00_1797), BUNSPEC);
							BgL_res4050z00_1798 = BgL_new3724z00_1795;
					}} BgL_res4050z00_1798;
				}
				return BgL_new3702z00_1794;
			}
		}
	}



/* _widening-indexed4061 */
	obj_t BGl__wideningzd2indexed4061zd2zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_1937, obj_t BgL_index3701z00_1938)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_auxz00_2450;

				BgL_auxz00_2450 =
					BGl_wideningzd2indexedzd2zzsaw_jvm_funcallz00(CINT
					(BgL_index3701z00_1938));
				return (obj_t) (BgL_auxz00_2450);
			}
		}
	}



/* make-indexed */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_id3705z00_31,
		obj_t BgL_name3706z00_32, BgL_typez00_bglt BgL_type3707z00_33,
		BgL_valuez00_bglt BgL_value3708z00_34, obj_t BgL_access3709z00_35,
		obj_t BgL_fastzd2alpha3710zd2_36, obj_t BgL_removable3711z00_37,
		long BgL_occurrence3712z00_38, obj_t BgL_module3713z00_39,
		obj_t BgL_import3714z00_40, bool_t BgL_evaluablezf33715zf3_41,
		obj_t BgL_library3716z00_42, bool_t BgL_userzf33717zf3_43,
		obj_t BgL_pragma3718z00_44, obj_t BgL_src3719z00_45,
		obj_t BgL_jvmzd2typezd2name3720z00_46, int BgL_index3704z00_47)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_globalz00_bglt BgL_aux3721z00_1799;

				BgL_aux3721z00_1799 =
					BGl_makezd2globalzd2zzast_varz00(BgL_id3705z00_31, BgL_name3706z00_32,
					BgL_type3707z00_33, BgL_value3708z00_34, BgL_access3709z00_35,
					BgL_fastzd2alpha3710zd2_36, BgL_removable3711z00_37,
					BgL_occurrence3712z00_38, BgL_module3713z00_39, BgL_import3714z00_40,
					BgL_evaluablezf33715zf3_41, BgL_library3716z00_42,
					BgL_userzf33717zf3_43, BgL_pragma3718z00_44, BgL_src3719z00_45,
					BgL_jvmzd2typezd2name3720z00_46);
				{	/* SawJvm/funcall.scm 14 */
					long BgL_arg3974z00_1800;

					BgL_arg3974z00_1800 =
						BGl_classzd2numzd2zz__objectz00(BGl_indexedz00zzsaw_jvm_funcallz00);
					{	/* SawJvm/funcall.scm 14 */
						BgL_objectz00_bglt BgL_objz00_1803;

						BgL_objz00_1803 = (BgL_objectz00_bglt) (BgL_aux3721z00_1799);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1803, BgL_arg3974z00_1800);
				}}
				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_arg3976z00_1801;

					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_res4052z00_1811;

						{	/* SawJvm/funcall.scm 14 */
							BgL_indexedz00_bglt BgL_new3702z00_1806;
							BgL_new3702z00_1806 =
								((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_indexedz00_bgl))));
							{	/* SawJvm/funcall.scm 14 */
								BgL_indexedz00_bglt BgL_res4051z00_1810;

								{	/* SawJvm/funcall.scm 14 */
									BgL_indexedz00_bglt BgL_new3724z00_1807;

									BgL_new3724z00_1807 = BgL_new3702z00_1806;
									{	/* SawJvm/funcall.scm 14 */
										int BgL_index3723z00_1809;

										BgL_index3723z00_1809 = BgL_index3704z00_47;
										((((BgL_indexedz00_bglt) CREF(BgL_new3724z00_1807))->
												BgL_indexz00) = ((int) BgL_index3723z00_1809), BUNSPEC);
										BgL_res4051z00_1810 = BgL_new3724z00_1807;
								}} BgL_res4051z00_1810;
							}
							BgL_res4052z00_1811 = BgL_new3702z00_1806;
						}
						BgL_arg3976z00_1801 = BgL_res4052z00_1811;
					}
					{	/* SawJvm/funcall.scm 14 */
						obj_t BgL_auxz00_2462;
						BgL_objectz00_bglt BgL_auxz00_2460;

						BgL_auxz00_2462 = (obj_t) (BgL_arg3976z00_1801);
						BgL_auxz00_2460 = (BgL_objectz00_bglt) (BgL_aux3721z00_1799);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2460, BgL_auxz00_2462);
				}}
				return
					((BgL_indexedz00_bglt) (BgL_indexedz00_bglt) (BgL_aux3721z00_1799));
			}
		}
	}



/* _make-indexed4062 */
	obj_t BGl__makezd2indexed4062zd2zzsaw_jvm_funcallz00(obj_t BgL_envz00_1939,
		obj_t BgL_id3705z00_1940, obj_t BgL_name3706z00_1941,
		obj_t BgL_type3707z00_1942, obj_t BgL_value3708z00_1943,
		obj_t BgL_access3709z00_1944, obj_t BgL_fastzd2alpha3710zd2_1945,
		obj_t BgL_removable3711z00_1946, obj_t BgL_occurrence3712z00_1947,
		obj_t BgL_module3713z00_1948, obj_t BgL_import3714z00_1949,
		obj_t BgL_evaluablezf33715zf3_1950, obj_t BgL_library3716z00_1951,
		obj_t BgL_userzf33717zf3_1952, obj_t BgL_pragma3718z00_1953,
		obj_t BgL_src3719z00_1954, obj_t BgL_jvmzd2typezd2name3720z00_1955,
		obj_t BgL_index3704z00_1956)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_auxz00_2467;

				BgL_auxz00_2467 =
					BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(BgL_id3705z00_1940,
					BgL_name3706z00_1941, (BgL_typez00_bglt) (BgL_type3707z00_1942),
					(BgL_valuez00_bglt) (BgL_value3708z00_1943), BgL_access3709z00_1944,
					BgL_fastzd2alpha3710zd2_1945, BgL_removable3711z00_1946,
					(long) CINT(BgL_occurrence3712z00_1947), BgL_module3713z00_1948,
					BgL_import3714z00_1949, CBOOL(BgL_evaluablezf33715zf3_1950),
					BgL_library3716z00_1951, CBOOL(BgL_userzf33717zf3_1952),
					BgL_pragma3718z00_1953, BgL_src3719z00_1954,
					BgL_jvmzd2typezd2name3720z00_1955, CINT(BgL_index3704z00_1956));
				return (obj_t) (BgL_auxz00_2467);
			}
		}
	}



/* fill-indexed! */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_fillzd2indexedz12zc0zzsaw_jvm_funcallz00(BgL_indexedz00_bglt
		BgL_new3724z00_48, int BgL_index3723z00_49)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				int BgL_index3723z00_1986;

				BgL_index3723z00_1986 = BgL_index3723z00_49;
				((((BgL_indexedz00_bglt) CREF(BgL_new3724z00_48))->BgL_indexz00) =
					((int) BgL_index3723z00_1986), BUNSPEC);
				return BgL_new3724z00_48;
			}
		}
	}



/* _fill-indexed!4063 */
	obj_t BGl__fillzd2indexedz124063zc0zzsaw_jvm_funcallz00(obj_t BgL_envz00_1957,
		obj_t BgL_new3724z00_1958, obj_t BgL_index3723z00_1959)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_auxz00_2477;

				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_res4078z00_1990;

					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_new3724z00_1987;
						int BgL_index3723z00_1988;

						BgL_new3724z00_1987 = (BgL_indexedz00_bglt) (BgL_new3724z00_1958);
						BgL_index3723z00_1988 = CINT(BgL_index3723z00_1959);
						{	/* SawJvm/funcall.scm 14 */
							int BgL_index3723z00_1989;

							BgL_index3723z00_1989 = BgL_index3723z00_1988;
							((((BgL_indexedz00_bglt) CREF(BgL_new3724z00_1987))->
									BgL_indexz00) = ((int) BgL_index3723z00_1989), BUNSPEC);
							BgL_res4078z00_1990 = BgL_new3724z00_1987;
					}}
					BgL_auxz00_2477 = BgL_res4078z00_1990;
				}
				return (obj_t) (BgL_auxz00_2477);
			}
		}
	}



/* %allocate-indexed */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_z52allocatezd2indexedz80zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_globalz00_bglt BgL_new3727z00_1991;
				BgL_new3727z00_1991 =
					((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* SawJvm/funcall.scm 14 */
					long BgL_arg3977z00_1992;

					BgL_arg3977z00_1992 =
						BGl_classzd2numzd2zz__objectz00(BGl_indexedz00zzsaw_jvm_funcallz00);
					{	/* SawJvm/funcall.scm 14 */
						BgL_objectz00_bglt BgL_objz00_1993;

						BgL_objz00_1993 = (BgL_objectz00_bglt) (BgL_new3727z00_1991);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1993, BgL_arg3977z00_1992);
				}}
				{	/* SawJvm/funcall.scm 14 */
					BgL_objectz00_bglt BgL_auxz00_2486;

					BgL_auxz00_2486 = (BgL_objectz00_bglt) (BgL_new3727z00_1991);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2486, BFALSE);
				}
				return BgL_new3727z00_1991;
			}
		}
	}



/* _%allocate-indexed */
	obj_t BGl__z52allocatezd2indexedz80zzsaw_jvm_funcallz00(obj_t BgL_envz00_1933)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_globalz00_bglt BgL_auxz00_2489;

				{	/* SawJvm/funcall.scm 14 */
					BgL_globalz00_bglt BgL_res4079z00_1997;

					{	/* SawJvm/funcall.scm 14 */
						BgL_globalz00_bglt BgL_new3727z00_1994;
						BgL_new3727z00_1994 =
							((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						{	/* SawJvm/funcall.scm 14 */
							long BgL_arg3977z00_1995;

							BgL_arg3977z00_1995 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_indexedz00zzsaw_jvm_funcallz00);
							{	/* SawJvm/funcall.scm 14 */
								BgL_objectz00_bglt BgL_objz00_1996;

								BgL_objz00_1996 = (BgL_objectz00_bglt) (BgL_new3727z00_1994);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1996, BgL_arg3977z00_1995);
						}}
						{	/* SawJvm/funcall.scm 14 */
							BgL_objectz00_bglt BgL_auxz00_2494;

							BgL_auxz00_2494 = (BgL_objectz00_bglt) (BgL_new3727z00_1994);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2494, BFALSE);
						}
						BgL_res4079z00_1997 = BgL_new3727z00_1994;
					}
					BgL_auxz00_2489 = BgL_res4079z00_1997;
				}
				return (obj_t) (BgL_auxz00_2489);
			}
		}
	}



/* indexed-nil */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			if ((BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 == BUNSPEC))
				{	/* SawJvm/funcall.scm 14 */
					{	/* SawJvm/funcall.scm 14 */
						BgL_globalz00_bglt BgL_res4053z00_1821;

						{	/* SawJvm/funcall.scm 14 */
							BgL_globalz00_bglt BgL_new1526z00_1817;
							BgL_new1526z00_1817 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* SawJvm/funcall.scm 14 */
								long BgL_arg4036z00_1818;

								BgL_arg4036z00_1818 =
									BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00);
								{	/* SawJvm/funcall.scm 14 */
									BgL_objectz00_bglt BgL_objz00_1819;

									BgL_objz00_1819 = (BgL_objectz00_bglt) (BgL_new1526z00_1817);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1819,
										BgL_arg4036z00_1818);
							}}
							{	/* SawJvm/funcall.scm 14 */
								BgL_objectz00_bglt BgL_auxz00_2504;

								BgL_auxz00_2504 = (BgL_objectz00_bglt) (BgL_new1526z00_1817);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2504, BFALSE);
							}
							BgL_res4053z00_1821 = BgL_new1526z00_1817;
						}
						BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 =
							(obj_t) (BgL_res4053z00_1821);
					}
					{	/* SawJvm/funcall.scm 14 */
						obj_t BgL_arg3979z00_1240;
						BgL_typez00_bglt BgL_arg3980z00_1241;
						BgL_valuez00_bglt BgL_arg3981z00_1242;
						obj_t BgL_arg3983z00_1244;

						BgL_arg3979z00_1240 = CNST_TABLE_REF(((long) 25));
						BgL_arg3980z00_1241 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg3981z00_1242 = BGl_valuezd2nilzd2zzast_varz00();
						BgL_arg3983z00_1244 = CNST_TABLE_REF(((long) 25));
						{	/* SawJvm/funcall.scm 14 */
							BgL_globalz00_bglt BgL_res4054z00_1855;

							{	/* SawJvm/funcall.scm 14 */
								BgL_globalz00_bglt BgL_new1508z00_1822;

								BgL_new1508z00_1822 =
									(BgL_globalz00_bglt)
									(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
								{	/* SawJvm/funcall.scm 14 */
									obj_t BgL_id1492z00_1839;
									obj_t BgL_name1493z00_1840;
									BgL_typez00_bglt BgL_type1494z00_1841;
									BgL_valuez00_bglt BgL_value1495z00_1842;
									obj_t BgL_access1496z00_1843;
									obj_t BgL_fastzd2alpha1497zd2_1844;
									obj_t BgL_removable1498z00_1845;
									long BgL_occurrence1499z00_1846;
									obj_t BgL_module1500z00_1847;
									obj_t BgL_import1501z00_1848;
									bool_t BgL_evaluablezf31502zf3_1849;
									obj_t BgL_library1503z00_1850;
									bool_t BgL_userzf31504zf3_1851;
									obj_t BgL_pragma1505z00_1852;
									obj_t BgL_src1506z00_1853;
									obj_t BgL_jvmzd2typezd2name1507z00_1854;

									BgL_id1492z00_1839 = BgL_arg3979z00_1240;
									BgL_name1493z00_1840 = BUNSPEC;
									BgL_type1494z00_1841 = BgL_arg3980z00_1241;
									BgL_value1495z00_1842 = BgL_arg3981z00_1242;
									BgL_access1496z00_1843 = BUNSPEC;
									BgL_fastzd2alpha1497zd2_1844 = BUNSPEC;
									BgL_removable1498z00_1845 = BUNSPEC;
									BgL_occurrence1499z00_1846 = ((long) 0);
									BgL_module1500z00_1847 = BgL_arg3983z00_1244;
									BgL_import1501z00_1848 = BUNSPEC;
									BgL_evaluablezf31502zf3_1849 = ((bool_t) 0);
									BgL_library1503z00_1850 = BUNSPEC;
									BgL_userzf31504zf3_1851 = ((bool_t) 0);
									BgL_pragma1505z00_1852 = BUNSPEC;
									BgL_src1506z00_1853 = BUNSPEC;
									BgL_jvmzd2typezd2name1507z00_1854 =
										BGl_string4073z00zzsaw_jvm_funcallz00;
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_idz00) = ((obj_t) BgL_id1492z00_1839), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_namez00) = ((obj_t) BgL_name1493z00_1840), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1494z00_1841), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1495z00_1842), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_accessz00) =
										((obj_t) BgL_access1496z00_1843), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1497zd2_1844), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_removablez00) =
										((obj_t) BgL_removable1498z00_1845), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1499z00_1846), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_modulez00) =
										((obj_t) BgL_module1500z00_1847), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_importz00) =
										((obj_t) BgL_import1501z00_1848), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_evaluablezf3zf3) =
										((bool_t) BgL_evaluablezf31502zf3_1849), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_libraryz00) =
										((obj_t) BgL_library1503z00_1850), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31504zf3_1851), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_pragmaz00) =
										((obj_t) BgL_pragma1505z00_1852), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_srcz00) = ((obj_t) BgL_src1506z00_1853), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1508z00_1822))->
											BgL_jvmzd2typezd2namez00) =
										((obj_t) BgL_jvmzd2typezd2name1507z00_1854), BUNSPEC);
									BgL_res4054z00_1855 = BgL_new1508z00_1822;
							}} BgL_res4054z00_1855;
					}}
					{	/* SawJvm/funcall.scm 14 */
						long BgL_arg3985z00_1246;

						BgL_arg3985z00_1246 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_indexedz00zzsaw_jvm_funcallz00);
						{	/* SawJvm/funcall.scm 14 */
							BgL_objectz00_bglt BgL_objz00_1856;

							BgL_objz00_1856 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1856, BgL_arg3985z00_1246);
					}}
					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_arg3986z00_1247;

						{	/* SawJvm/funcall.scm 14 */
							BgL_indexedz00_bglt BgL_res4056z00_1864;

							{	/* SawJvm/funcall.scm 14 */
								int BgL_index3701z00_1858;

								BgL_index3701z00_1858 = (int) (((long) 0));
								{	/* SawJvm/funcall.scm 14 */
									BgL_indexedz00_bglt BgL_new3702z00_1859;
									BgL_new3702z00_1859 =
										((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_indexedz00_bgl))));
									{	/* SawJvm/funcall.scm 14 */
										BgL_indexedz00_bglt BgL_res4055z00_1863;

										{	/* SawJvm/funcall.scm 14 */
											BgL_indexedz00_bglt BgL_new3724z00_1860;

											BgL_new3724z00_1860 = BgL_new3702z00_1859;
											{	/* SawJvm/funcall.scm 14 */
												int BgL_index3723z00_1862;

												BgL_index3723z00_1862 = BgL_index3701z00_1858;
												((((BgL_indexedz00_bglt) CREF(BgL_new3724z00_1860))->
														BgL_indexz00) =
													((int) BgL_index3723z00_1862), BUNSPEC);
												BgL_res4055z00_1863 = BgL_new3724z00_1860;
										}} BgL_res4055z00_1863;
									}
									BgL_res4056z00_1864 = BgL_new3702z00_1859;
							}}
							BgL_arg3986z00_1247 = BgL_res4056z00_1864;
						}
						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_auxz00_2537;
							BgL_objectz00_bglt BgL_auxz00_2535;

							BgL_auxz00_2537 = (obj_t) (BgL_arg3986z00_1247);
							BgL_auxz00_2535 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2535, BgL_auxz00_2537);
				}}}
			else
				{	/* SawJvm/funcall.scm 14 */
					BFALSE;
				}
			return
				(BgL_indexedz00_bglt)
				(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
		}
	}



/* _indexed-nil */
	obj_t BGl__indexedzd2nilzd2zzsaw_jvm_funcallz00(obj_t BgL_envz00_1934)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_auxz00_2541;

				BgL_auxz00_2541 = BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
				return (obj_t) (BgL_auxz00_2541);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_objectzd2ze3structzd2index3812ze3_1964;

				BgL_objectzd2ze3structzd2index3812ze3_1964 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2index3812ze3zzsaw_jvm_funcallz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_indexedz00zzsaw_jvm_funcallz00,
					BgL_objectzd2ze3structzd2index3812ze3_1964);
			}
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_structzb2objectzd2ze3objec3814z83_1960;

				BgL_structzb2objectzd2ze3objec3814z83_1960 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec3814z83zzsaw_jvm_funcallz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_indexedz00zzsaw_jvm_funcallz00,
					BgL_structzb2objectzd2ze3objec3814z83_1960);
			}
		}
	}



/* struct+object->objec3814 */
	obj_t BGl_structzb2objectzd2ze3objec3814z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_1967, obj_t BgL_oz00_1968, obj_t BgL_sz00_1969)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{
				BgL_indexedz00_bglt BgL_oz00_1699;
				obj_t BgL_sz00_1700;

				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_auxz00_2552;

					BgL_oz00_1699 = (BgL_indexedz00_bglt) (BgL_oz00_1968);
					BgL_sz00_1700 = BgL_sz00_1969;
					{

						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_old3731z00_1703;
							obj_t BgL_aux3732z00_1704;

							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_nextzd2method3813zd2_1709;

								BgL_nextzd2method3813zd2_1709 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1699),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_indexedz00zzsaw_jvm_funcallz00);
								if (PROCEDUREP(BgL_nextzd2method3813zd2_1709))
									{	/* SawJvm/funcall.scm 14 */
										BgL_old3731z00_1703 =
											PROCEDURE_ENTRY(BgL_nextzd2method3813zd2_1709)
											(BgL_nextzd2method3813zd2_1709, (obj_t) (BgL_oz00_1699),
											BgL_sz00_1700, BEOA);
									}
								else
									{	/* SawJvm/funcall.scm 14 */
										{	/* SawJvm/funcall.scm 14 */
											BgL_objectz00_bglt BgL_auxz00_2560;

											BgL_auxz00_2560 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1699), BgL_sz00_1700);
											BgL_old3731z00_1703 = (obj_t) (BgL_auxz00_2560);
										}
									}
							}
							BgL_aux3732z00_1704 =
								STRUCT_REF(BgL_sz00_1700, (int) (((long) 0)));
							{	/* SawJvm/funcall.scm 14 */
								BgL_indexedz00_bglt BgL_new3733z00_1705;

								BgL_new3733z00_1705 =
									((BgL_indexedz00_bglt) (BgL_old3731z00_1703));
								{	/* SawJvm/funcall.scm 14 */
									long BgL_arg4044z00_1706;

									BgL_arg4044z00_1706 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_indexedz00zzsaw_jvm_funcallz00);
									{	/* SawJvm/funcall.scm 14 */
										BgL_objectz00_bglt BgL_objz00_1904;

										BgL_objz00_1904 =
											(BgL_objectz00_bglt) (BgL_new3733z00_1705);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1904,
											BgL_arg4044z00_1706);
								}}
								{	/* SawJvm/funcall.scm 14 */
									BgL_indexedz00_bglt BgL_arg4045z00_1707;

									{	/* SawJvm/funcall.scm 14 */
										obj_t BgL_arg4046z00_1708;

										BgL_arg4046z00_1708 =
											STRUCT_REF(BgL_aux3732z00_1704, (int) (((long) 0)));
										{	/* SawJvm/funcall.scm 14 */
											BgL_indexedz00_bglt BgL_res4059z00_1914;

											{	/* SawJvm/funcall.scm 14 */
												int BgL_index3701z00_1908;

												BgL_index3701z00_1908 = CINT(BgL_arg4046z00_1708);
												{	/* SawJvm/funcall.scm 14 */
													BgL_indexedz00_bglt BgL_new3702z00_1909;
													BgL_new3702z00_1909 =
														((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_indexedz00_bgl))));
													{	/* SawJvm/funcall.scm 14 */
														BgL_indexedz00_bglt BgL_res4058z00_1913;

														{	/* SawJvm/funcall.scm 14 */
															BgL_indexedz00_bglt BgL_new3724z00_1910;

															BgL_new3724z00_1910 = BgL_new3702z00_1909;
															{	/* SawJvm/funcall.scm 14 */
																int BgL_index3723z00_1912;

																BgL_index3723z00_1912 = BgL_index3701z00_1908;
																((((BgL_indexedz00_bglt)
																			CREF(BgL_new3724z00_1910))->
																		BgL_indexz00) =
																	((int) BgL_index3723z00_1912), BUNSPEC);
																BgL_res4058z00_1913 = BgL_new3724z00_1910;
														}} BgL_res4058z00_1913;
													}
													BgL_res4059z00_1914 = BgL_new3702z00_1909;
											}}
											BgL_arg4045z00_1707 = BgL_res4059z00_1914;
									}}
									{	/* SawJvm/funcall.scm 14 */
										obj_t BgL_auxz00_2577;
										BgL_objectz00_bglt BgL_auxz00_2575;

										BgL_auxz00_2577 = (obj_t) (BgL_arg4045z00_1707);
										BgL_auxz00_2575 =
											(BgL_objectz00_bglt) (BgL_new3733z00_1705);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2575, BgL_auxz00_2577);
								}}
								BgL_auxz00_2552 = BgL_new3733z00_1705;
					}}}
					return (obj_t) (BgL_auxz00_2552);
				}
			}
		}
	}



/* object->struct-index3812 */
	obj_t BGl_objectzd2ze3structzd2index3812ze3zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_1970, obj_t BgL_obj3728z00_1971)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{
				BgL_indexedz00_bglt BgL_obj3728z00_1689;

				BgL_obj3728z00_1689 = (BgL_indexedz00_bglt) (BgL_obj3728z00_1971);
				{

					{	/* SawJvm/funcall.scm 14 */
						obj_t BgL_res3729z00_1692;

						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_nextzd2method3811zd2_1697;

							BgL_nextzd2method3811zd2_1697 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3728z00_1689),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_indexedz00zzsaw_jvm_funcallz00);
							if (PROCEDUREP(BgL_nextzd2method3811zd2_1697))
								{	/* SawJvm/funcall.scm 14 */
									BgL_res3729z00_1692 =
										PROCEDURE_ENTRY(BgL_nextzd2method3811zd2_1697)
										(BgL_nextzd2method3811zd2_1697,
										(obj_t) (BgL_obj3728z00_1689), BEOA);
								}
							else
								{	/* SawJvm/funcall.scm 14 */
									BgL_res3729z00_1692 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3728z00_1689));
								}
						}
						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_aux3730z00_1693;

							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_keyz00_1885;

								BgL_keyz00_1885 = CNST_TABLE_REF(((long) 24));
								BgL_aux3730z00_1693 =
									make_struct(BgL_keyz00_1885, (int) (((long) 1)), BUNSPEC);
							}
							{	/* SawJvm/funcall.scm 14 */
								int BgL_arg4041z00_1695;

								{
									obj_t BgL_auxz00_2594;

									{	/* SawJvm/funcall.scm 14 */
										BgL_objectz00_bglt BgL_auxz00_2595;

										BgL_auxz00_2595 =
											(BgL_objectz00_bglt) (BgL_obj3728z00_1689);
										BgL_auxz00_2594 = BGL_OBJECT_WIDENING(BgL_auxz00_2595);
									}
									BgL_arg4041z00_1695 =
										(((BgL_indexedz00_bglt) CREF(BgL_auxz00_2594))->
										BgL_indexz00);
								}
								{	/* SawJvm/funcall.scm 14 */
									obj_t BgL_auxz00_2601;
									int BgL_auxz00_2599;

									BgL_auxz00_2601 = BINT(BgL_arg4041z00_1695);
									BgL_auxz00_2599 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3730z00_1693, BgL_auxz00_2599,
										BgL_auxz00_2601);
							}}
							{	/* SawJvm/funcall.scm 14 */
								int BgL_auxz00_2604;

								BgL_auxz00_2604 = (int) (((long) 0));
								STRUCT_SET(BgL_res3729z00_1692, BgL_auxz00_2604,
									BgL_aux3730z00_1693);
							}
							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_auxz00_2607;

								BgL_auxz00_2607 = STRUCT_KEY(BgL_res3729z00_1692);
								STRUCT_KEY_SET(BgL_aux3730z00_1693, BgL_auxz00_2607);
							}
							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_kz00_1900;

								BgL_kz00_1900 = CNST_TABLE_REF(((long) 24));
								STRUCT_KEY_SET(BgL_res3729z00_1692, BgL_kz00_1900);
							}
							return BgL_res3729z00_1692;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 256265790),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 254412896),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(((long) 3755867),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 71277553),
				BSTRING_TO_STRING(BGl_string4074z00zzsaw_jvm_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
