/*===========================================================================*/
/*   (SawMill/blockorder.scm)                                                */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/blockorder.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                 *BgL_rtl_isaz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_donez00_bgl
	{
		char dummy;
	}              *BgL_donez00_bglt;

	typedef struct BgL_rdonez00_bgl
	{
		char dummy;
	}               *BgL_rdonez00_bglt;

	typedef struct BgL_dfsz00_bgl
	{
		int BgL_nz00;
	}             *BgL_dfsz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static BgL_rdonez00_bglt BGl_wideningzd2rdonezd2zzsaw_blockorderz00();
	static bool_t BGl_lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	static obj_t BGl__blockzd2orderingzd2zzsaw_blockorderz00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2done3884ze3zzsaw_blockorderz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_predecessorsz00zzsaw_blockorderz00(BgL_blockz00_bglt);
	static obj_t BGl_objectzd2ze3structzd2rdone3880ze3zzsaw_blockorderz00(obj_t,
		obj_t);
	static obj_t BGl_za2blockorderingza2z00zzsaw_blockorderz00 = BUNSPEC;
	static BgL_donez00_bglt BGl_wideningzd2donezd2zzsaw_blockorderz00();
	static BgL_donez00_bglt BGl_donezd2nilzd2zzsaw_blockorderz00();
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_blockorderz00();
	static bool_t BGl_dfsz72z72zzsaw_blockorderz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3878z83zzsaw_blockorderz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3882z83zzsaw_blockorderz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3887z83zzsaw_blockorderz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_blockorderz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzsaw_blockorderz00();
	static obj_t BGl__donezd2nilzd2zzsaw_blockorderz00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00 = BUNSPEC;
	static obj_t BGl_dfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
	static bool_t BGl_dfsz72z72z00zzsaw_blockorderz00(obj_t, obj_t);
	static obj_t BGl__rdonezf3zf3zzsaw_blockorderz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_dfsz00zzsaw_blockorderz00 = BUNSPEC;
	static bool_t BGl_visitz00zzsaw_blockorderz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00 = BUNSPEC;
	static BgL_dfsz00_bglt BGl_dfszd2nilzd2zzsaw_blockorderz00();
	static BgL_rdonez00_bglt BGl_rdonezd2nilzd2zzsaw_blockorderz00();
	static obj_t BGl_methodzd2initzd2zzsaw_blockorderz00();
	static obj_t BGl__dfszf3zf3zzsaw_blockorderz00(obj_t, obj_t);
	static obj_t BGl_donez00zzsaw_blockorderz00 = BUNSPEC;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_blockorderz00 = BUNSPEC;
	static obj_t BGl__z52allocatezd2rdonez80zzsaw_blockorderz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_blockorderz00();
	static bool_t BGl_dfsz72z72z72z72zzsaw_blockorderz00(obj_t, obj_t);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl__z52allocatezd2dfsz80zzsaw_blockorderz00(obj_t);
	static obj_t BGl_zc3anonymousza33936ze3z83zzsaw_blockorderz00(obj_t, obj_t);
	static obj_t BGl__dfszd2nilzd2zzsaw_blockorderz00(obj_t);
	static obj_t BGl__z52allocatezd2donez80zzsaw_blockorderz00(obj_t);
	static obj_t BGl_rdonez00zzsaw_blockorderz00 = BUNSPEC;
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static obj_t BGl_zc3anonymousza33945ze3z83zzsaw_blockorderz00(obj_t, obj_t);
	static obj_t BGl__rdonezd2nilzd2zzsaw_blockorderz00(obj_t);
	static long BGl_lengthuncolsuccz00zzsaw_blockorderz00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__donezf3zf3zzsaw_blockorderz00(obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_findzd2exitzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
	static obj_t BGl_rdfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
	static obj_t BGl_objectzd2ze3structzd2dfs3876ze3zzsaw_blockorderz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_blockorderz00();
	static obj_t BGl__lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_blockorderz00();
	static obj_t BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00 = BUNSPEC;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string4160z00zzsaw_blockorderz00,
		BgL_bgl_string4160za700za7za7s4166za7, "dfs rdone done reverse-dfs ", 27);
	      DEFINE_STRING(BGl_string4159z00zzsaw_blockorderz00,
		BgL_bgl_string4159za700za7za7s4167za7, "saw_blockorder", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_rdonezd2nilzd2envz00zzsaw_blockorderz00,
		BgL_bgl__rdoneza7d2nilza7d2za74168za7,
		BGl__rdonezd2nilzd2zzsaw_blockorderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2dfszd2envz52zzsaw_blockorderz00,
		BgL_bgl__za752allocateza7d2d4169z00,
		BGl__z52allocatezd2dfsz80zzsaw_blockorderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_lengthuncolsucczc3zd3zf3zd2envz31zzsaw_blockorderz00,
		BgL_bgl__lengthuncolsucc4170z00,
		BGl__lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_donezf3zd2envz21zzsaw_blockorderz00,
		BgL_bgl__doneza7f3za7f3za7za7saw4171z00, BGl__donezf3zf3zzsaw_blockorderz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_donezd2nilzd2envz00zzsaw_blockorderz00,
		BgL_bgl__doneza7d2nilza7d2za7za74172z00,
		BGl__donezd2nilzd2zzsaw_blockorderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2orderingzd2envz00zzsaw_blockorderz00,
		BgL_bgl__blockza7d2orderin4173za7,
		BGl__blockzd2orderingzd2zzsaw_blockorderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2donezd2envz52zzsaw_blockorderz00,
		BgL_bgl__za752allocateza7d2d4174z00,
		BGl__z52allocatezd2donez80zzsaw_blockorderz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_dfszf3zd2envz21zzsaw_blockorderz00,
		BgL_bgl__dfsza7f3za7f3za7za7saw_4175z00, BGl__dfszf3zf3zzsaw_blockorderz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_rdonezf3zd2envz21zzsaw_blockorderz00,
		BgL_bgl__rdoneza7f3za7f3za7za7sa4176z00,
		BGl__rdonezf3zf3zzsaw_blockorderz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_dfszd2nilzd2envz00zzsaw_blockorderz00,
		BgL_bgl__dfsza7d2nilza7d2za7za7s4177z00,
		BGl__dfszd2nilzd2zzsaw_blockorderz00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2rdonezd2envz52zzsaw_blockorderz00,
		BgL_bgl__za752allocateza7d2r4178z00,
		BGl__z52allocatezd2rdonez80zzsaw_blockorderz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_blockorderz00(long
		BgL_checksumz00_2257, char *BgL_fromz00_2258)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_blockorderz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_blockorderz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_blockorderz00();
					BGl_cnstzd2initzd2zzsaw_blockorderz00();
					BGl_importedzd2moduleszd2initz00zzsaw_blockorderz00();
					BGl_objectzd2initzd2zzsaw_blockorderz00();
					BGl_methodzd2initzd2zzsaw_blockorderz00();
					BGl_toplevelzd2initzd2zzsaw_blockorderz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_blockorder");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_blockorder");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_blockorder");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_blockorder");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_blockorder");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 1 */
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_cportz00_2219;

				BgL_cportz00_2219 =
					bgl_open_input_string(BGl_string4160z00zzsaw_blockorderz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2220;

					BgL_iz00_2220 = ((long) 3);
				BgL_loopz00_2221:
					if ((BgL_iz00_2220 == ((long) -1)))
						{	/* SawMill/blockorder.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/blockorder.scm 1 */
							{	/* SawMill/blockorder.scm 1 */
								obj_t BgL_arg4162z00_2223;

								{	/* SawMill/blockorder.scm 1 */

									{	/* SawMill/blockorder.scm 1 */
										obj_t BgL_locationz00_2225;

										BgL_locationz00_2225 = BBOOL(((bool_t) 0));
										{	/* SawMill/blockorder.scm 1 */

											BgL_arg4162z00_2223 =
												BGl_readz00zz__readerz00(BgL_cportz00_2219,
												BgL_locationz00_2225);
										}
									}
								}
								{	/* SawMill/blockorder.scm 1 */
									int BgL_auxz00_2279;

									BgL_auxz00_2279 = (int) (BgL_iz00_2220);
									CNST_TABLE_SET(BgL_auxz00_2279, BgL_arg4162z00_2223);
							}}
							{	/* SawMill/blockorder.scm 1 */
								int BgL_auxz00_2226;

								BgL_auxz00_2226 = (int) ((BgL_iz00_2220 - ((long) 1)));
								{
									long BgL_iz00_2284;

									BgL_iz00_2284 = (long) (BgL_auxz00_2226);
									BgL_iz00_2220 = BgL_iz00_2284;
									goto BgL_loopz00_2221;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 1 */
			return (BGl_za2blockorderingza2z00zzsaw_blockorderz00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* block-ordering */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_1)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 11 */
			{	/* SawMill/blockorder.scm 12 */
				obj_t BgL_casezd2valuezd2_1064;

				BgL_casezd2valuezd2_1064 =
					BGl_za2blockorderingza2z00zzsaw_blockorderz00;
				if ((BgL_casezd2valuezd2_1064 == CNST_TABLE_REF(((long) 0))))
					{	/* SawMill/blockorder.scm 12 */
						return BGl_rdfszd2orderingzd2zzsaw_blockorderz00(BgL_bz00_1);
					}
				else
					{	/* SawMill/blockorder.scm 12 */
						return BGl_dfszd2orderingzd2zzsaw_blockorderz00(BgL_bz00_1);
					}
			}
		}
	}



/* _block-ordering */
	obj_t BGl__blockzd2orderingzd2zzsaw_blockorderz00(obj_t BgL_envz00_2158,
		obj_t BgL_bz00_2159)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 11 */
			return
				BGl_blockzd2orderingzd2zzsaw_blockorderz00(
				(BgL_blockz00_bglt) (BgL_bz00_2159));
		}
	}



/* dfs-ordering */
	obj_t BGl_dfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_2)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 19 */
			{	/* SawMill/blockorder.scm 20 */
				obj_t BgL_rz00_1066;

				BgL_rz00_1066 = MAKE_CELL(BNIL);
				BGl_dfsz72z72z72z72zzsaw_blockorderz00(BgL_rz00_1066,
					(obj_t) (BgL_bz00_2));
				return bgl_reverse_bang(CELL_REF(BgL_rz00_1066));
			}
		}
	}



/* dfs''' */
	bool_t BGl_dfsz72z72z72z72zzsaw_blockorderz00(obj_t BgL_rz00_2217,
		obj_t BgL_bz00_1067)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 21 */
			{	/* SawMill/blockorder.scm 22 */
				BgL_blockz00_bglt BgL_obj3842z00_1069;

				BgL_obj3842z00_1069 =
					((BgL_blockz00_bglt) (BgL_blockz00_bglt) (BgL_bz00_1067));
				{	/* SawMill/blockorder.scm 22 */
					BgL_donez00_bglt BgL_arg3889z00_1070;

					BgL_arg3889z00_1070 = BGl_wideningzd2donezd2zzsaw_blockorderz00();
					{	/* SawMill/blockorder.scm 22 */
						obj_t BgL_auxz00_2302;
						BgL_objectz00_bglt BgL_auxz00_2300;

						BgL_auxz00_2302 = (obj_t) (BgL_arg3889z00_1070);
						BgL_auxz00_2300 = (BgL_objectz00_bglt) (BgL_obj3842z00_1069);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2300, BgL_auxz00_2302);
					}
				}
				{	/* SawMill/blockorder.scm 22 */
					long BgL_arg3890z00_1071;

					BgL_arg3890z00_1071 =
						BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00);
					{	/* SawMill/blockorder.scm 22 */
						BgL_objectz00_bglt BgL_objz00_1909;

						BgL_objz00_1909 = (BgL_objectz00_bglt) (BgL_obj3842z00_1069);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1909, BgL_arg3890z00_1071);
				}} BgL_obj3842z00_1069;
			}
			{	/* SawMill/blockorder.scm 23 */
				obj_t BgL_auxz00_2218;

				BgL_auxz00_2218 = MAKE_PAIR(BgL_bz00_1067, CELL_REF(BgL_rz00_2217));
				CELL_SET(BgL_rz00_2217, BgL_auxz00_2218);
			}
			{	/* SawMill/blockorder.scm 24 */
				obj_t BgL_g3856z00_1072;

				{	/* SawMill/blockorder.scm 25 */
					BgL_blockz00_bglt BgL_obj3723z00_1911;

					BgL_obj3723z00_1911 = (BgL_blockz00_bglt) (BgL_bz00_1067);
					BgL_g3856z00_1072 =
						(((BgL_blockz00_bglt) CREF(BgL_obj3723z00_1911))->BgL_succsz00);
				}
				{
					obj_t BgL_l3854z00_1073;

					BgL_l3854z00_1073 = BgL_g3856z00_1072;
				BgL_forzd2each3855zd2_1074:
					if (PAIRP(BgL_l3854z00_1073))
						{	/* SawMill/blockorder.scm 24 */
							{	/* SawMill/blockorder.scm 24 */
								obj_t BgL_sz00_1076;

								BgL_sz00_1076 = CAR(BgL_l3854z00_1073);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1076,
										BGl_donez00zzsaw_blockorderz00))
									{	/* SawMill/blockorder.scm 24 */
										((bool_t) 0);
									}
								else
									{	/* SawMill/blockorder.scm 24 */
										BGl_dfsz72z72z72z72zzsaw_blockorderz00(BgL_rz00_2217,
											BgL_sz00_1076);
									}
							}
							{
								obj_t BgL_l3854z00_2317;

								BgL_l3854z00_2317 = CDR(BgL_l3854z00_1073);
								BgL_l3854z00_1073 = BgL_l3854z00_2317;
								goto BgL_forzd2each3855zd2_1074;
							}
						}
					else
						{	/* SawMill/blockorder.scm 24 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* rdfs-ordering */
	obj_t BGl_rdfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_3)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 32 */
			{	/* SawMill/blockorder.scm 33 */
				obj_t BgL_rz00_1079;

				BgL_rz00_1079 = MAKE_CELL(BNIL);
				{	/* SawMill/blockorder.scm 41 */
					obj_t BgL_g3862z00_1081;

					BgL_g3862z00_1081 = BGl_findzd2exitzd2zzsaw_blockorderz00(BgL_bz00_3);
					{
						obj_t BgL_l3860z00_1082;

						BgL_l3860z00_1082 = BgL_g3862z00_1081;
					BgL_forzd2each3861zd2_1083:
						if (PAIRP(BgL_l3860z00_1082))
							{	/* SawMill/blockorder.scm 41 */
								{	/* SawMill/blockorder.scm 41 */
									obj_t BgL_sz00_1085;

									BgL_sz00_1085 = CAR(BgL_l3860z00_1082);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1085,
											BGl_rdonez00zzsaw_blockorderz00))
										{	/* SawMill/blockorder.scm 41 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/blockorder.scm 41 */
											BGl_visitz00zzsaw_blockorderz00(BgL_rz00_1079,
												(BgL_blockz00_bglt) (BgL_sz00_1085));
										}
								}
								{
									obj_t BgL_l3860z00_2327;

									BgL_l3860z00_2327 = CDR(BgL_l3860z00_1082);
									BgL_l3860z00_1082 = BgL_l3860z00_2327;
									goto BgL_forzd2each3861zd2_1083;
								}
							}
						else
							{	/* SawMill/blockorder.scm 41 */
								((bool_t) 1);
							}
					}
				}
				BGl_dfsz72z72z00zzsaw_blockorderz00(BgL_rz00_1079,
					(obj_t) (BgL_bz00_3));
				{
					obj_t BgL_lz00_1103;
					obj_t BgL_prevz00_1104;
					obj_t BgL_lastfailz00_1105;

					BgL_lz00_1103 = CELL_REF(BgL_rz00_1079);
					BgL_prevz00_1104 = BNIL;
					BgL_lastfailz00_1105 = BNIL;
				BgL_walkz00_1106:
					{	/* SawMill/blockorder.scm 49 */
						obj_t BgL_xz00_1107;

						BgL_xz00_1107 = CAR(BgL_lz00_1103);
						if ((BgL_xz00_1107 == (obj_t) (BgL_bz00_3)))
							{	/* SawMill/blockorder.scm 50 */
								if (NULLP(BgL_prevz00_1104))
									{	/* SawMill/blockorder.scm 51 */
										BFALSE;
									}
								else
									{	/* SawMill/blockorder.scm 52 */
										obj_t BgL_endz00_1110;

										BgL_endz00_1110 =
											BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
											(BgL_lz00_1103);
										{	/* SawMill/blockorder.scm 53 */
											bool_t BgL_testz00_2338;

											if (NULLP(BgL_lastfailz00_1105))
												{	/* SawMill/blockorder.scm 53 */
													BgL_testz00_2338 = ((bool_t) 1);
												}
											else
												{	/* SawMill/blockorder.scm 53 */
													BgL_testz00_2338 =
														(BgL_prevz00_1104 == BgL_lastfailz00_1105);
												}
											if (BgL_testz00_2338)
												{	/* SawMill/blockorder.scm 53 */
													{	/* SawMill/blockorder.scm 54 */
														obj_t BgL_objz00_1932;

														BgL_objz00_1932 = CELL_REF(BgL_rz00_1079);
														SET_CDR(BgL_endz00_1110, BgL_objz00_1932);
													}
													SET_CDR(BgL_prevz00_1104, BNIL);
												}
											else
												{	/* SawMill/blockorder.scm 53 */
													{	/* SawMill/blockorder.scm 56 */
														obj_t BgL_auxz00_2344;

														BgL_auxz00_2344 = CDR(BgL_lastfailz00_1105);
														SET_CDR(BgL_endz00_1110, BgL_auxz00_2344);
													}
													{	/* SawMill/blockorder.scm 57 */
														obj_t BgL_pairz00_1938;
														obj_t BgL_objz00_1939;

														BgL_pairz00_1938 = BgL_prevz00_1104;
														BgL_objz00_1939 = CELL_REF(BgL_rz00_1079);
														SET_CDR(BgL_pairz00_1938, BgL_objz00_1939);
													}
													SET_CDR(BgL_lastfailz00_1105, BNIL);
												}
										}
									}
								return BgL_lz00_1103;
							}
						else
							{	/* SawMill/blockorder.scm 60 */
								BgL_rtl_funz00_bglt BgL_funz00_1114;

								{	/* SawMill/blockorder.scm 60 */
									BgL_rtl_insz00_bglt BgL_obj3691z00_1944;

									{	/* SawMill/blockorder.scm 60 */
										obj_t BgL_auxz00_2349;

										{	/* SawMill/blockorder.scm 60 */
											obj_t BgL_auxz00_2350;

											{	/* SawMill/blockorder.scm 60 */
												obj_t BgL_auxz00_2351;

												{	/* SawMill/blockorder.scm 60 */
													BgL_blockz00_bglt BgL_obj3726z00_1942;

													BgL_obj3726z00_1942 =
														(BgL_blockz00_bglt) (BgL_xz00_1107);
													BgL_auxz00_2351 =
														(((BgL_blockz00_bglt) CREF(BgL_obj3726z00_1942))->
														BgL_firstz00);
												}
												BgL_auxz00_2350 =
													BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
													(BgL_auxz00_2351);
											}
											BgL_auxz00_2349 = CAR(BgL_auxz00_2350);
										}
										BgL_obj3691z00_1944 =
											(BgL_rtl_insz00_bglt) (BgL_auxz00_2349);
									}
									BgL_funz00_1114 =
										(((BgL_rtl_insz00_bglt) CREF(BgL_obj3691z00_1944))->
										BgL_funz00);
								}
								{	/* SawMill/blockorder.scm 61 */
									bool_t BgL_testz00_2358;

									{	/* SawMill/blockorder.scm 61 */
										bool_t BgL_testz00_2359;

										{	/* SawMill/blockorder.scm 61 */
											obj_t BgL_obj3072z00_1945;

											BgL_obj3072z00_1945 = (obj_t) (BgL_funz00_1114);
											BgL_testz00_2359 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj3072z00_1945,
												BGl_rtl_lastz00zzsaw_defsz00);
										}
										if (BgL_testz00_2359)
											{	/* SawMill/blockorder.scm 61 */
												obj_t BgL_obj3089z00_1946;

												BgL_obj3089z00_1946 = (obj_t) (BgL_funz00_1114);
												BgL_testz00_2358 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj3089z00_1946,
													BGl_rtl_returnz00zzsaw_defsz00);
											}
										else
											{	/* SawMill/blockorder.scm 61 */
												BgL_testz00_2358 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_2358)
										{
											obj_t BgL_prevz00_2366;
											obj_t BgL_lz00_2364;

											BgL_lz00_2364 = CDR(BgL_lz00_1103);
											BgL_prevz00_2366 = BgL_lz00_1103;
											BgL_prevz00_1104 = BgL_prevz00_2366;
											BgL_lz00_1103 = BgL_lz00_2364;
											goto BgL_walkz00_1106;
										}
									else
										{
											obj_t BgL_lastfailz00_2370;
											obj_t BgL_prevz00_2369;
											obj_t BgL_lz00_2367;

											BgL_lz00_2367 = CDR(BgL_lz00_1103);
											BgL_prevz00_2369 = BgL_lz00_1103;
											BgL_lastfailz00_2370 = BgL_lz00_1103;
											BgL_lastfailz00_1105 = BgL_lastfailz00_2370;
											BgL_prevz00_1104 = BgL_prevz00_2369;
											BgL_lz00_1103 = BgL_lz00_2367;
											goto BgL_walkz00_1106;
										}
								}
							}
					}
				}
			}
		}
	}



/* visit */
	bool_t BGl_visitz00zzsaw_blockorderz00(obj_t BgL_rz00_2213,
		BgL_blockz00_bglt BgL_bz00_1122)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 35 */
			{	/* SawMill/blockorder.scm 35 */
				BgL_blockz00_bglt BgL_obj3843z00_1124;

				BgL_obj3843z00_1124 = ((BgL_blockz00_bglt) BgL_bz00_1122);
				{	/* SawMill/blockorder.scm 35 */
					BgL_rdonez00_bglt BgL_arg3917z00_1125;

					BgL_arg3917z00_1125 = BGl_wideningzd2rdonezd2zzsaw_blockorderz00();
					{	/* SawMill/blockorder.scm 35 */
						obj_t BgL_auxz00_2375;
						BgL_objectz00_bglt BgL_auxz00_2373;

						BgL_auxz00_2375 = (obj_t) (BgL_arg3917z00_1125);
						BgL_auxz00_2373 = (BgL_objectz00_bglt) (BgL_obj3843z00_1124);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2373, BgL_auxz00_2375);
					}
				}
				{	/* SawMill/blockorder.scm 35 */
					long BgL_arg3918z00_1126;

					BgL_arg3918z00_1126 =
						BGl_classzd2numzd2zz__objectz00(BGl_rdonez00zzsaw_blockorderz00);
					{	/* SawMill/blockorder.scm 35 */
						BgL_objectz00_bglt BgL_objz00_1949;

						BgL_objz00_1949 = (BgL_objectz00_bglt) (BgL_obj3843z00_1124);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1949, BgL_arg3918z00_1126);
				}} BgL_obj3843z00_1124;
			}
			{	/* SawMill/blockorder.scm 36 */
				obj_t BgL_auxz00_2214;

				BgL_auxz00_2214 =
					MAKE_PAIR((obj_t) (BgL_bz00_1122), CELL_REF(BgL_rz00_2213));
				CELL_SET(BgL_rz00_2213, BgL_auxz00_2214);
			}
			{	/* SawMill/blockorder.scm 38 */
				obj_t BgL_g3859z00_1127;

				BgL_g3859z00_1127 =
					BGl_predecessorsz00zzsaw_blockorderz00(BgL_bz00_1122);
				{
					obj_t BgL_l3857z00_1128;

					BgL_l3857z00_1128 = BgL_g3859z00_1127;
				BgL_forzd2each3858zd2_1129:
					if (PAIRP(BgL_l3857z00_1128))
						{	/* SawMill/blockorder.scm 38 */
							{	/* SawMill/blockorder.scm 38 */
								obj_t BgL_sz00_1131;

								BgL_sz00_1131 = CAR(BgL_l3857z00_1128);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1131,
										BGl_rdonez00zzsaw_blockorderz00))
									{	/* SawMill/blockorder.scm 38 */
										((bool_t) 0);
									}
								else
									{	/* SawMill/blockorder.scm 38 */
										BGl_visitz00zzsaw_blockorderz00(BgL_rz00_2213,
											(BgL_blockz00_bglt) (BgL_sz00_1131));
									}
							}
							{
								obj_t BgL_l3857z00_2391;

								BgL_l3857z00_2391 = CDR(BgL_l3857z00_1128);
								BgL_l3857z00_1128 = BgL_l3857z00_2391;
								goto BgL_forzd2each3858zd2_1129;
							}
						}
					else
						{	/* SawMill/blockorder.scm 38 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* dfs'' */
	bool_t BGl_dfsz72z72z00zzsaw_blockorderz00(obj_t BgL_rz00_2215,
		obj_t BgL_bz00_1088)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 43 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_bz00_1088,
					BGl_rdonez00zzsaw_blockorderz00))
				{	/* SawMill/blockorder.scm 44 */
					BFALSE;
				}
			else
				{	/* SawMill/blockorder.scm 44 */
					obj_t BgL_auxz00_2216;

					BgL_auxz00_2216 = MAKE_PAIR(BgL_bz00_1088, CELL_REF(BgL_rz00_2215));
					CELL_SET(BgL_rz00_2215, BgL_auxz00_2216);
				}
			{	/* SawMill/blockorder.scm 45 */
				BgL_blockz00_bglt BgL_obj3845z00_1091;

				BgL_obj3845z00_1091 =
					((BgL_blockz00_bglt) (BgL_blockz00_bglt) (BgL_bz00_1088));
				{	/* SawMill/blockorder.scm 45 */
					BgL_donez00_bglt BgL_arg3898z00_1092;

					BgL_arg3898z00_1092 = BGl_wideningzd2donezd2zzsaw_blockorderz00();
					{	/* SawMill/blockorder.scm 45 */
						obj_t BgL_auxz00_2401;
						BgL_objectz00_bglt BgL_auxz00_2399;

						BgL_auxz00_2401 = (obj_t) (BgL_arg3898z00_1092);
						BgL_auxz00_2399 = (BgL_objectz00_bglt) (BgL_obj3845z00_1091);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2399, BgL_auxz00_2401);
					}
				}
				{	/* SawMill/blockorder.scm 45 */
					long BgL_arg3899z00_1093;

					BgL_arg3899z00_1093 =
						BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00);
					{	/* SawMill/blockorder.scm 45 */
						BgL_objectz00_bglt BgL_objz00_1921;

						BgL_objz00_1921 = (BgL_objectz00_bglt) (BgL_obj3845z00_1091);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1921, BgL_arg3899z00_1093);
				}} BgL_obj3845z00_1091;
			}
			{	/* SawMill/blockorder.scm 46 */
				obj_t BgL_g3865z00_1094;

				{	/* SawMill/blockorder.scm 46 */
					BgL_blockz00_bglt BgL_obj3723z00_1923;

					BgL_obj3723z00_1923 = (BgL_blockz00_bglt) (BgL_bz00_1088);
					BgL_g3865z00_1094 =
						(((BgL_blockz00_bglt) CREF(BgL_obj3723z00_1923))->BgL_succsz00);
				}
				{
					obj_t BgL_l3863z00_1095;

					BgL_l3863z00_1095 = BgL_g3865z00_1094;
				BgL_forzd2each3864zd2_1096:
					if (PAIRP(BgL_l3863z00_1095))
						{	/* SawMill/blockorder.scm 46 */
							{	/* SawMill/blockorder.scm 46 */
								obj_t BgL_sz00_1098;

								BgL_sz00_1098 = CAR(BgL_l3863z00_1095);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1098,
										BGl_donez00zzsaw_blockorderz00))
									{	/* SawMill/blockorder.scm 46 */
										((bool_t) 0);
									}
								else
									{	/* SawMill/blockorder.scm 46 */
										BGl_dfsz72z72z00zzsaw_blockorderz00(BgL_rz00_2215,
											BgL_sz00_1098);
									}
							}
							{
								obj_t BgL_l3863z00_2415;

								BgL_l3863z00_2415 = CDR(BgL_l3863z00_1095);
								BgL_l3863z00_1095 = BgL_l3863z00_2415;
								goto BgL_forzd2each3864zd2_1096;
							}
						}
					else
						{	/* SawMill/blockorder.scm 46 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* find-exit */
	obj_t BGl_findzd2exitzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_4)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 72 */
			{	/* SawMill/blockorder.scm 73 */
				obj_t BgL_retsz00_1135;
				obj_t BgL_failsz00_1136;
				obj_t BgL_nz00_1137;

				BgL_retsz00_1135 = MAKE_CELL(BNIL);
				BgL_failsz00_1136 = MAKE_CELL(BNIL);
				{	/* SawMill/blockorder.scm 73 */
					obj_t BgL_cellvalz00_2417;

					BgL_cellvalz00_2417 = BINT(((long) 0));
					BgL_nz00_1137 = MAKE_CELL(BgL_cellvalz00_2417);
				}
				BGl_dfsz72z72zzsaw_blockorderz00(BgL_retsz00_1135, BgL_failsz00_1136,
					BgL_nz00_1137, (obj_t) (BgL_bz00_4));
				return bgl_append2(CELL_REF(BgL_retsz00_1135),
					CELL_REF(BgL_failsz00_1136));
			}
		}
	}



/* dfs' */
	bool_t BGl_dfsz72z72zzsaw_blockorderz00(obj_t BgL_retsz00_2209,
		obj_t BgL_failsz00_2208, obj_t BgL_nz00_2207, obj_t BgL_bz00_1138)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 74 */
			{	/* SawMill/blockorder.scm 75 */
				BgL_blockz00_bglt BgL_obj3848z00_1140;

				BgL_obj3848z00_1140 =
					((BgL_blockz00_bglt) (BgL_blockz00_bglt) (BgL_bz00_1138));
				{	/* SawMill/blockorder.scm 75 */
					BgL_dfsz00_bglt BgL_arg3922z00_1141;

					{	/* SawMill/blockorder.scm 75 */
						BgL_dfsz00_bglt BgL_res4137z00_1961;

						{	/* SawMill/blockorder.scm 75 */
							int BgL_n3805z00_1955;

							BgL_n3805z00_1955 = CINT(CELL_REF(BgL_nz00_2207));
							{	/* SawMill/blockorder.scm 75 */
								BgL_dfsz00_bglt BgL_new3806z00_1956;
								BgL_new3806z00_1956 =
									((BgL_dfsz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_dfsz00_bgl))));
								{	/* SawMill/blockorder.scm 75 */
									BgL_dfsz00_bglt BgL_res4136z00_1960;

									{	/* SawMill/blockorder.scm 75 */
										BgL_dfsz00_bglt BgL_new3816z00_1957;

										BgL_new3816z00_1957 = BgL_new3806z00_1956;
										{	/* SawMill/blockorder.scm 75 */
											int BgL_n3815z00_1959;

											BgL_n3815z00_1959 = BgL_n3805z00_1955;
											((((BgL_dfsz00_bglt) CREF(BgL_new3816z00_1957))->
													BgL_nz00) = ((int) BgL_n3815z00_1959), BUNSPEC);
											BgL_res4136z00_1960 = BgL_new3816z00_1957;
									}} BgL_res4136z00_1960;
								}
								BgL_res4137z00_1961 = BgL_new3806z00_1956;
						}}
						BgL_arg3922z00_1141 = BgL_res4137z00_1961;
					}
					{	/* SawMill/blockorder.scm 75 */
						obj_t BgL_auxz00_2429;
						BgL_objectz00_bglt BgL_auxz00_2427;

						BgL_auxz00_2429 = (obj_t) (BgL_arg3922z00_1141);
						BgL_auxz00_2427 = (BgL_objectz00_bglt) (BgL_obj3848z00_1140);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2427, BgL_auxz00_2429);
				}}
				{	/* SawMill/blockorder.scm 75 */
					long BgL_arg3923z00_1142;

					BgL_arg3923z00_1142 =
						BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_blockorderz00);
					{	/* SawMill/blockorder.scm 75 */
						BgL_objectz00_bglt BgL_objz00_1962;

						BgL_objz00_1962 = (BgL_objectz00_bglt) (BgL_obj3848z00_1140);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1962, BgL_arg3923z00_1142);
				}} BgL_obj3848z00_1140;
			}
			{	/* SawMill/blockorder.scm 76 */
				obj_t BgL_auxz00_2210;

				{	/* SawMill/blockorder.scm 76 */
					long BgL_za71za7_1964;

					BgL_za71za7_1964 = (long) CINT(CELL_REF(BgL_nz00_2207));
					BgL_auxz00_2210 = BINT((BgL_za71za7_1964 + ((long) 1)));
				}
				CELL_SET(BgL_nz00_2207, BgL_auxz00_2210);
			}
			{	/* SawMill/blockorder.scm 79 */
				BgL_rtl_funz00_bglt BgL_funz00_1143;

				{	/* SawMill/blockorder.scm 79 */
					BgL_rtl_insz00_bglt BgL_obj3691z00_1968;

					{	/* SawMill/blockorder.scm 79 */
						obj_t BgL_auxz00_2438;

						{	/* SawMill/blockorder.scm 79 */
							obj_t BgL_auxz00_2439;

							{	/* SawMill/blockorder.scm 79 */
								obj_t BgL_auxz00_2440;

								{	/* SawMill/blockorder.scm 79 */
									BgL_blockz00_bglt BgL_obj3726z00_1966;

									BgL_obj3726z00_1966 = (BgL_blockz00_bglt) (BgL_bz00_1138);
									BgL_auxz00_2440 =
										(((BgL_blockz00_bglt) CREF(BgL_obj3726z00_1966))->
										BgL_firstz00);
								}
								BgL_auxz00_2439 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_auxz00_2440);
							}
							BgL_auxz00_2438 = CAR(BgL_auxz00_2439);
						}
						BgL_obj3691z00_1968 = (BgL_rtl_insz00_bglt) (BgL_auxz00_2438);
					}
					BgL_funz00_1143 =
						(((BgL_rtl_insz00_bglt) CREF(BgL_obj3691z00_1968))->BgL_funz00);
				}
				{	/* SawMill/blockorder.scm 80 */
					bool_t BgL_testz00_2447;

					{	/* SawMill/blockorder.scm 80 */
						obj_t BgL_obj3072z00_1969;

						BgL_obj3072z00_1969 = (obj_t) (BgL_funz00_1143);
						BgL_testz00_2447 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3072z00_1969,
							BGl_rtl_lastz00zzsaw_defsz00);
					}
					if (BgL_testz00_2447)
						{	/* SawMill/blockorder.scm 81 */
							bool_t BgL_testz00_2450;

							{	/* SawMill/blockorder.scm 81 */
								obj_t BgL_obj3089z00_1970;

								BgL_obj3089z00_1970 = (obj_t) (BgL_funz00_1143);
								BgL_testz00_2450 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3089z00_1970,
									BGl_rtl_returnz00zzsaw_defsz00);
							}
							if (BgL_testz00_2450)
								{	/* SawMill/blockorder.scm 82 */
									obj_t BgL_auxz00_2211;

									BgL_auxz00_2211 =
										MAKE_PAIR(BgL_bz00_1138, CELL_REF(BgL_retsz00_2209));
									CELL_SET(BgL_retsz00_2209, BgL_auxz00_2211);
								}
							else
								{	/* SawMill/blockorder.scm 83 */
									obj_t BgL_auxz00_2212;

									BgL_auxz00_2212 =
										MAKE_PAIR(BgL_bz00_1138, CELL_REF(BgL_failsz00_2208));
									CELL_SET(BgL_failsz00_2208, BgL_auxz00_2212);
								}
						}
					else
						{	/* SawMill/blockorder.scm 80 */
							BFALSE;
						}
				}
			}
			{	/* SawMill/blockorder.scm 84 */
				obj_t BgL_g3868z00_1149;

				{	/* SawMill/blockorder.scm 84 */
					BgL_blockz00_bglt BgL_obj3723z00_1971;

					BgL_obj3723z00_1971 = (BgL_blockz00_bglt) (BgL_bz00_1138);
					BgL_g3868z00_1149 =
						(((BgL_blockz00_bglt) CREF(BgL_obj3723z00_1971))->BgL_succsz00);
				}
				{
					obj_t BgL_l3866z00_1150;

					BgL_l3866z00_1150 = BgL_g3868z00_1149;
				BgL_forzd2each3867zd2_1151:
					if (PAIRP(BgL_l3866z00_1150))
						{	/* SawMill/blockorder.scm 84 */
							{	/* SawMill/blockorder.scm 84 */
								obj_t BgL_sz00_1153;

								BgL_sz00_1153 = CAR(BgL_l3866z00_1150);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1153,
										BGl_dfsz00zzsaw_blockorderz00))
									{	/* SawMill/blockorder.scm 84 */
										((bool_t) 0);
									}
								else
									{	/* SawMill/blockorder.scm 84 */
										BGl_dfsz72z72zzsaw_blockorderz00(BgL_retsz00_2209,
											BgL_failsz00_2208, BgL_nz00_2207, BgL_sz00_1153);
									}
							}
							{
								obj_t BgL_l3866z00_2463;

								BgL_l3866z00_2463 = CDR(BgL_l3866z00_1150);
								BgL_l3866z00_1150 = BgL_l3866z00_2463;
								goto BgL_forzd2each3867zd2_1151;
							}
						}
					else
						{	/* SawMill/blockorder.scm 84 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* predecessors */
	obj_t BGl_predecessorsz00zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_5)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 88 */
			{	/* SawMill/blockorder.scm 89 */
				obj_t BgL_arg3933z00_1156;

				{	/* SawMill/blockorder.scm 89 */
					obj_t BgL_arg3935z00_1158;

					BgL_arg3935z00_1158 =
						(((BgL_blockz00_bglt) CREF(BgL_bz00_5))->BgL_predsz00);
					BgL_arg3933z00_1156 =
						BGl_filterz00zz__r4_control_features_6_9z00(make_fx_procedure
						(BGl_zc3anonymousza33936ze3z83zzsaw_blockorderz00,
							(int) (((long) 1)), (int) (((long) 0))), BgL_arg3935z00_1158);
				}
				return
					BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg3933z00_1156,
					BGl_lengthuncolsucczc3zd3zf3zd2envz31zzsaw_blockorderz00);
			}
		}
	}



/* <anonymous:3936> */
	obj_t BGl_zc3anonymousza33936ze3z83zzsaw_blockorderz00(obj_t BgL_envz00_2161,
		obj_t BgL_xz00_2162)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 89 */
			{
				obj_t BgL_xz00_1159;

				{	/* SawMill/blockorder.scm 89 */
					bool_t BgL_auxz00_2471;

					BgL_xz00_1159 = BgL_xz00_2162;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_xz00_1159,
							BGl_rdonez00zzsaw_blockorderz00))
						{	/* SawMill/blockorder.scm 89 */
							BgL_auxz00_2471 = ((bool_t) 0);
						}
					else
						{	/* SawMill/blockorder.scm 89 */
							BgL_auxz00_2471 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_2471);
				}
			}
		}
	}



/* lengthuncolsucc<=? */
	bool_t BGl_lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t BgL_b1z00_6,
		obj_t BgL_b2z00_7)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 92 */
			{	/* SawMill/blockorder.scm 93 */
				long BgL_n1z00_1163;
				long BgL_n2z00_1164;

				BgL_n1z00_1163 =
					BGl_lengthuncolsuccz00zzsaw_blockorderz00(
					(BgL_blockz00_bglt) (BgL_b1z00_6));
				BgL_n2z00_1164 =
					BGl_lengthuncolsuccz00zzsaw_blockorderz00(
					(BgL_blockz00_bglt) (BgL_b2z00_7));
				if ((BgL_n1z00_1163 < BgL_n2z00_1164))
					{	/* SawMill/blockorder.scm 94 */
						return ((bool_t) 1);
					}
				else
					{	/* SawMill/blockorder.scm 94 */
						if ((BgL_n1z00_1163 > BgL_n2z00_1164))
							{	/* SawMill/blockorder.scm 95 */
								return ((bool_t) 0);
							}
						else
							{	/* SawMill/blockorder.scm 96 */
								long BgL_auxz00_2492;
								long BgL_auxz00_2483;

								{	/* SawMill/blockorder.scm 96 */
									int BgL_auxz00_2493;

									{	/* SawMill/blockorder.scm 96 */
										BgL_dfsz00_bglt BgL_obj3827z00_1980;

										BgL_obj3827z00_1980 = (BgL_dfsz00_bglt) (BgL_b2z00_7);
										{
											obj_t BgL_auxz00_2495;

											{	/* SawMill/blockorder.scm 96 */
												BgL_objectz00_bglt BgL_auxz00_2496;

												BgL_auxz00_2496 =
													(BgL_objectz00_bglt) (BgL_obj3827z00_1980);
												BgL_auxz00_2495 = BGL_OBJECT_WIDENING(BgL_auxz00_2496);
											}
											BgL_auxz00_2493 =
												(((BgL_dfsz00_bglt) CREF(BgL_auxz00_2495))->BgL_nz00);
									}}
									BgL_auxz00_2492 = (long) (BgL_auxz00_2493);
								}
								{	/* SawMill/blockorder.scm 96 */
									int BgL_auxz00_2484;

									{	/* SawMill/blockorder.scm 96 */
										BgL_dfsz00_bglt BgL_obj3827z00_1979;

										BgL_obj3827z00_1979 = (BgL_dfsz00_bglt) (BgL_b1z00_6);
										{
											obj_t BgL_auxz00_2486;

											{	/* SawMill/blockorder.scm 96 */
												BgL_objectz00_bglt BgL_auxz00_2487;

												BgL_auxz00_2487 =
													(BgL_objectz00_bglt) (BgL_obj3827z00_1979);
												BgL_auxz00_2486 = BGL_OBJECT_WIDENING(BgL_auxz00_2487);
											}
											BgL_auxz00_2484 =
												(((BgL_dfsz00_bglt) CREF(BgL_auxz00_2486))->BgL_nz00);
									}}
									BgL_auxz00_2483 = (long) (BgL_auxz00_2484);
								}
								return (BgL_auxz00_2483 > BgL_auxz00_2492);
							}
					}
			}
		}
	}



/* _lengthuncolsucc<=? */
	obj_t BGl__lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t
		BgL_envz00_2163, obj_t BgL_b1z00_2164, obj_t BgL_b2z00_2165)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 92 */
			return
				BBOOL(BGl_lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(BgL_b1z00_2164,
					BgL_b2z00_2165));
		}
	}



/* lengthuncolsucc */
	long BGl_lengthuncolsuccz00zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_8)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 98 */
			{	/* SawMill/blockorder.scm 99 */
				obj_t BgL_arg3942z00_1169;

				{	/* SawMill/blockorder.scm 99 */
					obj_t BgL_arg3944z00_1171;

					BgL_arg3944z00_1171 =
						(((BgL_blockz00_bglt) CREF(BgL_bz00_8))->BgL_succsz00);
					BgL_arg3942z00_1169 =
						BGl_filterz00zz__r4_control_features_6_9z00(make_fx_procedure
						(BGl_zc3anonymousza33945ze3z83zzsaw_blockorderz00,
							(int) (((long) 1)), (int) (((long) 0))), BgL_arg3944z00_1171);
				}
				return bgl_list_length(BgL_arg3942z00_1169);
			}
		}
	}



/* <anonymous:3945> */
	obj_t BGl_zc3anonymousza33945ze3z83zzsaw_blockorderz00(obj_t BgL_envz00_2167,
		obj_t BgL_xz00_2168)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 99 */
			{
				obj_t BgL_xz00_1172;

				{	/* SawMill/blockorder.scm 99 */
					bool_t BgL_auxz00_2510;

					BgL_xz00_1172 = BgL_xz00_2168;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_xz00_1172,
							BGl_rdonez00zzsaw_blockorderz00))
						{	/* SawMill/blockorder.scm 99 */
							BgL_auxz00_2510 = ((bool_t) 0);
						}
					else
						{	/* SawMill/blockorder.scm 99 */
							BgL_auxz00_2510 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_2510);
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 1 */
			{	/* SawMill/blockorder.scm 5 */
				obj_t BgL_arg3980z00_1237;
				obj_t BgL_arg3981z00_1238;
				obj_t BgL_arg3984z00_1241;

				BgL_arg3980z00_1237 = CNST_TABLE_REF(((long) 1));
				BgL_arg3981z00_1238 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/blockorder.scm 5 */
					obj_t BgL_v3872z00_1242;

					BgL_v3872z00_1242 = create_vector((int) (((long) 0)));
					BgL_arg3984z00_1241 = BgL_v3872z00_1242;
				}
				BGl_donez00zzsaw_blockorderz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3980z00_1237,
					BgL_arg3981z00_1238, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2donezd2envz52zzsaw_blockorderz00,
					BGl_donezd2nilzd2envz00zzsaw_blockorderz00,
					BGl_donezf3zd2envz21zzsaw_blockorderz00, ((long) 82983), BFALSE,
					BFALSE, BgL_arg3984z00_1241);
			}
			{	/* SawMill/blockorder.scm 6 */
				obj_t BgL_arg3985z00_1243;
				obj_t BgL_arg3986z00_1244;
				obj_t BgL_arg3989z00_1247;

				BgL_arg3985z00_1243 = CNST_TABLE_REF(((long) 2));
				BgL_arg3986z00_1244 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/blockorder.scm 6 */
					obj_t BgL_v3873z00_1248;

					BgL_v3873z00_1248 = create_vector((int) (((long) 0)));
					BgL_arg3989z00_1247 = BgL_v3873z00_1248;
				}
				BGl_rdonez00zzsaw_blockorderz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3985z00_1243,
					BgL_arg3986z00_1244, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2rdonezd2envz52zzsaw_blockorderz00,
					BGl_rdonezd2nilzd2envz00zzsaw_blockorderz00,
					BGl_rdonezf3zd2envz21zzsaw_blockorderz00, ((long) 830937), BFALSE,
					BFALSE, BgL_arg3989z00_1247);
			}
			{	/* SawMill/blockorder.scm 7 */
				obj_t BgL_arg3990z00_1249;
				obj_t BgL_arg3991z00_1250;
				obj_t BgL_arg3994z00_1253;

				BgL_arg3990z00_1249 = CNST_TABLE_REF(((long) 3));
				BgL_arg3991z00_1250 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/blockorder.scm 7 */
					obj_t BgL_v3874z00_1254;

					BgL_v3874z00_1254 = create_vector((int) (((long) 0)));
					BgL_arg3994z00_1253 = BgL_v3874z00_1254;
				}
				BGl_dfsz00zzsaw_blockorderz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3990z00_1249,
					BgL_arg3991z00_1250, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2dfszd2envz52zzsaw_blockorderz00,
					BGl_dfszd2nilzd2envz00zzsaw_blockorderz00,
					BGl_dfszf3zd2envz21zzsaw_blockorderz00, ((long) 6919776), BFALSE,
					BFALSE, BgL_arg3994z00_1253);
			}
			BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00 = BUNSPEC;
			BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00 = BUNSPEC;
			return (BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00 = BUNSPEC, BUNSPEC);
		}
	}



/* _dfs? */
	obj_t BGl__dfszf3zf3zzsaw_blockorderz00(obj_t BgL_envz00_2179,
		obj_t BgL_obj3826z00_2180)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 7 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3826z00_2180,
					BGl_dfsz00zzsaw_blockorderz00));
		}
	}



/* _%allocate-dfs */
	obj_t BGl__z52allocatezd2dfsz80zzsaw_blockorderz00(obj_t BgL_envz00_2177)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 7 */
			{	/* SawMill/blockorder.scm 7 */
				BgL_blockz00_bglt BgL_auxz00_2528;

				{	/* SawMill/blockorder.scm 7 */
					BgL_blockz00_bglt BgL_res4163z00_2240;

					{	/* SawMill/blockorder.scm 7 */
						BgL_blockz00_bglt BgL_new3819z00_2237;
						BgL_new3819z00_2237 =
							((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/blockorder.scm 7 */
							long BgL_arg3997z00_2238;

							BgL_arg3997z00_2238 =
								BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_blockorderz00);
							{	/* SawMill/blockorder.scm 7 */
								BgL_objectz00_bglt BgL_objz00_2239;

								BgL_objz00_2239 = (BgL_objectz00_bglt) (BgL_new3819z00_2237);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2239, BgL_arg3997z00_2238);
						}}
						{	/* SawMill/blockorder.scm 7 */
							BgL_objectz00_bglt BgL_auxz00_2533;

							BgL_auxz00_2533 = (BgL_objectz00_bglt) (BgL_new3819z00_2237);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2533, BFALSE);
						}
						BgL_res4163z00_2240 = BgL_new3819z00_2237;
					}
					BgL_auxz00_2528 = BgL_res4163z00_2240;
				}
				return (obj_t) (BgL_auxz00_2528);
			}
		}
	}



/* dfs-nil */
	BgL_dfsz00_bglt BGl_dfszd2nilzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 7 */
			if ((BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00 == BUNSPEC))
				{	/* SawMill/blockorder.scm 7 */
					{	/* SawMill/blockorder.scm 7 */
						BgL_blockz00_bglt BgL_res4141z00_2019;

						{	/* SawMill/blockorder.scm 7 */
							BgL_blockz00_bglt BgL_new3743z00_2015;
							BgL_new3743z00_2015 =
								((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/blockorder.scm 7 */
								long BgL_arg4026z00_2016;

								BgL_arg4026z00_2016 =
									BGl_classzd2numzd2zz__objectz00(BGl_blockz00zzsaw_defsz00);
								{	/* SawMill/blockorder.scm 7 */
									BgL_objectz00_bglt BgL_objz00_2017;

									BgL_objz00_2017 = (BgL_objectz00_bglt) (BgL_new3743z00_2015);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2017,
										BgL_arg4026z00_2016);
							}}
							{	/* SawMill/blockorder.scm 7 */
								BgL_objectz00_bglt BgL_auxz00_2543;

								BgL_auxz00_2543 = (BgL_objectz00_bglt) (BgL_new3743z00_2015);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2543, BFALSE);
							}
							BgL_res4141z00_2019 = BgL_new3743z00_2015;
						}
						BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00 =
							(obj_t) (BgL_res4141z00_2019);
					}
					{	/* SawMill/blockorder.scm 7 */
						obj_t BgL_arg4002z00_1267;

						BgL_arg4002z00_1267 = MAKE_PAIR(BFALSE, BFALSE);
						{	/* SawMill/blockorder.scm 7 */
							BgL_blockz00_bglt BgL_res4142z00_2029;

							{	/* SawMill/blockorder.scm 7 */
								BgL_blockz00_bglt BgL_new3737z00_2020;
								int BgL_label3733z00_2021;

								BgL_new3737z00_2020 =
									(BgL_blockz00_bglt)
									(BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00);
								BgL_label3733z00_2021 = (int) (((long) 0));
								{	/* SawMill/blockorder.scm 7 */
									int BgL_label3733z00_2025;
									obj_t BgL_preds3734z00_2026;
									obj_t BgL_succs3735z00_2027;
									obj_t BgL_first3736z00_2028;

									BgL_label3733z00_2025 = BgL_label3733z00_2021;
									BgL_preds3734z00_2026 = BNIL;
									BgL_succs3735z00_2027 = BNIL;
									BgL_first3736z00_2028 = BgL_arg4002z00_1267;
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2020))->
											BgL_labelz00) = ((int) BgL_label3733z00_2025), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2020))->
											BgL_predsz00) = ((obj_t) BgL_preds3734z00_2026), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2020))->
											BgL_succsz00) = ((obj_t) BgL_succs3735z00_2027), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2020))->
											BgL_firstz00) = ((obj_t) BgL_first3736z00_2028), BUNSPEC);
									BgL_res4142z00_2029 = BgL_new3737z00_2020;
							}} BgL_res4142z00_2029;
					}}
					{	/* SawMill/blockorder.scm 7 */
						long BgL_arg4003z00_1268;

						BgL_arg4003z00_1268 =
							BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_blockorderz00);
						{	/* SawMill/blockorder.scm 7 */
							BgL_objectz00_bglt BgL_objz00_2030;

							BgL_objz00_2030 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2030, BgL_arg4003z00_1268);
					}}
					{	/* SawMill/blockorder.scm 7 */
						BgL_dfsz00_bglt BgL_arg4004z00_1269;

						{	/* SawMill/blockorder.scm 7 */
							BgL_dfsz00_bglt BgL_res4144z00_2038;

							{	/* SawMill/blockorder.scm 7 */
								int BgL_n3805z00_2032;

								BgL_n3805z00_2032 = (int) (((long) 0));
								{	/* SawMill/blockorder.scm 7 */
									BgL_dfsz00_bglt BgL_new3806z00_2033;
									BgL_new3806z00_2033 =
										((BgL_dfsz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_dfsz00_bgl))));
									{	/* SawMill/blockorder.scm 7 */
										BgL_dfsz00_bglt BgL_res4143z00_2037;

										{	/* SawMill/blockorder.scm 7 */
											BgL_dfsz00_bglt BgL_new3816z00_2034;

											BgL_new3816z00_2034 = BgL_new3806z00_2033;
											{	/* SawMill/blockorder.scm 7 */
												int BgL_n3815z00_2036;

												BgL_n3815z00_2036 = BgL_n3805z00_2032;
												((((BgL_dfsz00_bglt) CREF(BgL_new3816z00_2034))->
														BgL_nz00) = ((int) BgL_n3815z00_2036), BUNSPEC);
												BgL_res4143z00_2037 = BgL_new3816z00_2034;
										}} BgL_res4143z00_2037;
									}
									BgL_res4144z00_2038 = BgL_new3806z00_2033;
							}}
							BgL_arg4004z00_1269 = BgL_res4144z00_2038;
						}
						{	/* SawMill/blockorder.scm 7 */
							obj_t BgL_auxz00_2562;
							BgL_objectz00_bglt BgL_auxz00_2560;

							BgL_auxz00_2562 = (obj_t) (BgL_arg4004z00_1269);
							BgL_auxz00_2560 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2560, BgL_auxz00_2562);
				}}}
			else
				{	/* SawMill/blockorder.scm 7 */
					BFALSE;
				}
			return (BgL_dfsz00_bglt) (BGl_z52thezd2dfszd2nilz52zzsaw_blockorderz00);
		}
	}



/* _dfs-nil */
	obj_t BGl__dfszd2nilzd2zzsaw_blockorderz00(obj_t BgL_envz00_2178)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 7 */
			{	/* SawMill/blockorder.scm 7 */
				BgL_dfsz00_bglt BgL_auxz00_2566;

				BgL_auxz00_2566 = BGl_dfszd2nilzd2zzsaw_blockorderz00();
				return (obj_t) (BgL_auxz00_2566);
			}
		}
	}



/* _rdone? */
	obj_t BGl__rdonezf3zf3zzsaw_blockorderz00(obj_t BgL_envz00_2175,
		obj_t BgL_obj3792z00_2176)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3792z00_2176,
					BGl_rdonez00zzsaw_blockorderz00));
		}
	}



/* widening-rdone */
	BgL_rdonez00_bglt BGl_wideningzd2rdonezd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			{	/* SawMill/blockorder.scm 6 */
				BgL_rdonez00_bglt BgL_new3775z00_1270;
				BgL_new3775z00_1270 =
					((BgL_rdonez00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_rdonez00_bgl))));
				return BgL_new3775z00_1270;
			}
		}
	}



/* _%allocate-rdone */
	obj_t BGl__z52allocatezd2rdonez80zzsaw_blockorderz00(obj_t BgL_envz00_2173)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			{	/* SawMill/blockorder.scm 6 */
				BgL_blockz00_bglt BgL_auxz00_2572;

				{	/* SawMill/blockorder.scm 6 */
					BgL_blockz00_bglt BgL_res4164z00_2248;

					{	/* SawMill/blockorder.scm 6 */
						BgL_blockz00_bglt BgL_new3785z00_2245;
						BgL_new3785z00_2245 =
							((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/blockorder.scm 6 */
							long BgL_arg4007z00_2246;

							BgL_arg4007z00_2246 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_rdonez00zzsaw_blockorderz00);
							{	/* SawMill/blockorder.scm 6 */
								BgL_objectz00_bglt BgL_objz00_2247;

								BgL_objz00_2247 = (BgL_objectz00_bglt) (BgL_new3785z00_2245);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2247, BgL_arg4007z00_2246);
						}}
						{	/* SawMill/blockorder.scm 6 */
							BgL_objectz00_bglt BgL_auxz00_2577;

							BgL_auxz00_2577 = (BgL_objectz00_bglt) (BgL_new3785z00_2245);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2577, BFALSE);
						}
						BgL_res4164z00_2248 = BgL_new3785z00_2245;
					}
					BgL_auxz00_2572 = BgL_res4164z00_2248;
				}
				return (obj_t) (BgL_auxz00_2572);
			}
		}
	}



/* rdone-nil */
	BgL_rdonez00_bglt BGl_rdonezd2nilzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			if ((BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00 == BUNSPEC))
				{	/* SawMill/blockorder.scm 6 */
					{	/* SawMill/blockorder.scm 6 */
						BgL_blockz00_bglt BgL_res4145z00_2048;

						{	/* SawMill/blockorder.scm 6 */
							BgL_blockz00_bglt BgL_new3743z00_2044;
							BgL_new3743z00_2044 =
								((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/blockorder.scm 6 */
								long BgL_arg4026z00_2045;

								BgL_arg4026z00_2045 =
									BGl_classzd2numzd2zz__objectz00(BGl_blockz00zzsaw_defsz00);
								{	/* SawMill/blockorder.scm 6 */
									BgL_objectz00_bglt BgL_objz00_2046;

									BgL_objz00_2046 = (BgL_objectz00_bglt) (BgL_new3743z00_2044);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2046,
										BgL_arg4026z00_2045);
							}}
							{	/* SawMill/blockorder.scm 6 */
								BgL_objectz00_bglt BgL_auxz00_2587;

								BgL_auxz00_2587 = (BgL_objectz00_bglt) (BgL_new3743z00_2044);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2587, BFALSE);
							}
							BgL_res4145z00_2048 = BgL_new3743z00_2044;
						}
						BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00 =
							(obj_t) (BgL_res4145z00_2048);
					}
					{	/* SawMill/blockorder.scm 6 */
						obj_t BgL_arg4013z00_1281;

						BgL_arg4013z00_1281 = MAKE_PAIR(BFALSE, BFALSE);
						{	/* SawMill/blockorder.scm 6 */
							BgL_blockz00_bglt BgL_res4146z00_2058;

							{	/* SawMill/blockorder.scm 6 */
								BgL_blockz00_bglt BgL_new3737z00_2049;
								int BgL_label3733z00_2050;

								BgL_new3737z00_2049 =
									(BgL_blockz00_bglt)
									(BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00);
								BgL_label3733z00_2050 = (int) (((long) 0));
								{	/* SawMill/blockorder.scm 6 */
									int BgL_label3733z00_2054;
									obj_t BgL_preds3734z00_2055;
									obj_t BgL_succs3735z00_2056;
									obj_t BgL_first3736z00_2057;

									BgL_label3733z00_2054 = BgL_label3733z00_2050;
									BgL_preds3734z00_2055 = BNIL;
									BgL_succs3735z00_2056 = BNIL;
									BgL_first3736z00_2057 = BgL_arg4013z00_1281;
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2049))->
											BgL_labelz00) = ((int) BgL_label3733z00_2054), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2049))->
											BgL_predsz00) = ((obj_t) BgL_preds3734z00_2055), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2049))->
											BgL_succsz00) = ((obj_t) BgL_succs3735z00_2056), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2049))->
											BgL_firstz00) = ((obj_t) BgL_first3736z00_2057), BUNSPEC);
									BgL_res4146z00_2058 = BgL_new3737z00_2049;
							}} BgL_res4146z00_2058;
					}}
					{	/* SawMill/blockorder.scm 6 */
						long BgL_arg4014z00_1282;

						BgL_arg4014z00_1282 =
							BGl_classzd2numzd2zz__objectz00(BGl_rdonez00zzsaw_blockorderz00);
						{	/* SawMill/blockorder.scm 6 */
							BgL_objectz00_bglt BgL_objz00_2059;

							BgL_objz00_2059 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2059, BgL_arg4014z00_1282);
					}}
					{	/* SawMill/blockorder.scm 6 */
						BgL_rdonez00_bglt BgL_arg4015z00_1283;

						BgL_arg4015z00_1283 = BGl_wideningzd2rdonezd2zzsaw_blockorderz00();
						{	/* SawMill/blockorder.scm 6 */
							obj_t BgL_auxz00_2604;
							BgL_objectz00_bglt BgL_auxz00_2602;

							BgL_auxz00_2604 = (obj_t) (BgL_arg4015z00_1283);
							BgL_auxz00_2602 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2602, BgL_auxz00_2604);
				}}}
			else
				{	/* SawMill/blockorder.scm 6 */
					BFALSE;
				}
			return
				(BgL_rdonez00_bglt) (BGl_z52thezd2rdonezd2nilz52zzsaw_blockorderz00);
		}
	}



/* _rdone-nil */
	obj_t BGl__rdonezd2nilzd2zzsaw_blockorderz00(obj_t BgL_envz00_2174)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			{	/* SawMill/blockorder.scm 6 */
				BgL_rdonez00_bglt BgL_auxz00_2608;

				BgL_auxz00_2608 = BGl_rdonezd2nilzd2zzsaw_blockorderz00();
				return (obj_t) (BgL_auxz00_2608);
			}
		}
	}



/* _done? */
	obj_t BGl__donezf3zf3zzsaw_blockorderz00(obj_t BgL_envz00_2171,
		obj_t BgL_obj3762z00_2172)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3762z00_2172,
					BGl_donez00zzsaw_blockorderz00));
		}
	}



/* widening-done */
	BgL_donez00_bglt BGl_wideningzd2donezd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			{	/* SawMill/blockorder.scm 5 */
				BgL_donez00_bglt BgL_new3745z00_1284;
				BgL_new3745z00_1284 =
					((BgL_donez00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_donez00_bgl))));
				return BgL_new3745z00_1284;
			}
		}
	}



/* _%allocate-done */
	obj_t BGl__z52allocatezd2donez80zzsaw_blockorderz00(obj_t BgL_envz00_2169)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			{	/* SawMill/blockorder.scm 5 */
				BgL_blockz00_bglt BgL_auxz00_2614;

				{	/* SawMill/blockorder.scm 5 */
					BgL_blockz00_bglt BgL_res4165z00_2256;

					{	/* SawMill/blockorder.scm 5 */
						BgL_blockz00_bglt BgL_new3755z00_2253;
						BgL_new3755z00_2253 =
							((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/blockorder.scm 5 */
							long BgL_arg4018z00_2254;

							BgL_arg4018z00_2254 =
								BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00);
							{	/* SawMill/blockorder.scm 5 */
								BgL_objectz00_bglt BgL_objz00_2255;

								BgL_objz00_2255 = (BgL_objectz00_bglt) (BgL_new3755z00_2253);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2255, BgL_arg4018z00_2254);
						}}
						{	/* SawMill/blockorder.scm 5 */
							BgL_objectz00_bglt BgL_auxz00_2619;

							BgL_auxz00_2619 = (BgL_objectz00_bglt) (BgL_new3755z00_2253);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2619, BFALSE);
						}
						BgL_res4165z00_2256 = BgL_new3755z00_2253;
					}
					BgL_auxz00_2614 = BgL_res4165z00_2256;
				}
				return (obj_t) (BgL_auxz00_2614);
			}
		}
	}



/* done-nil */
	BgL_donez00_bglt BGl_donezd2nilzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			if ((BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00 == BUNSPEC))
				{	/* SawMill/blockorder.scm 5 */
					{	/* SawMill/blockorder.scm 5 */
						BgL_blockz00_bglt BgL_res4147z00_2070;

						{	/* SawMill/blockorder.scm 5 */
							BgL_blockz00_bglt BgL_new3743z00_2066;
							BgL_new3743z00_2066 =
								((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/blockorder.scm 5 */
								long BgL_arg4026z00_2067;

								BgL_arg4026z00_2067 =
									BGl_classzd2numzd2zz__objectz00(BGl_blockz00zzsaw_defsz00);
								{	/* SawMill/blockorder.scm 5 */
									BgL_objectz00_bglt BgL_objz00_2068;

									BgL_objz00_2068 = (BgL_objectz00_bglt) (BgL_new3743z00_2066);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2068,
										BgL_arg4026z00_2067);
							}}
							{	/* SawMill/blockorder.scm 5 */
								BgL_objectz00_bglt BgL_auxz00_2629;

								BgL_auxz00_2629 = (BgL_objectz00_bglt) (BgL_new3743z00_2066);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2629, BFALSE);
							}
							BgL_res4147z00_2070 = BgL_new3743z00_2066;
						}
						BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00 =
							(obj_t) (BgL_res4147z00_2070);
					}
					{	/* SawMill/blockorder.scm 5 */
						obj_t BgL_arg4023z00_1295;

						BgL_arg4023z00_1295 = MAKE_PAIR(BFALSE, BFALSE);
						{	/* SawMill/blockorder.scm 5 */
							BgL_blockz00_bglt BgL_res4148z00_2080;

							{	/* SawMill/blockorder.scm 5 */
								BgL_blockz00_bglt BgL_new3737z00_2071;
								int BgL_label3733z00_2072;

								BgL_new3737z00_2071 =
									(BgL_blockz00_bglt)
									(BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00);
								BgL_label3733z00_2072 = (int) (((long) 0));
								{	/* SawMill/blockorder.scm 5 */
									int BgL_label3733z00_2076;
									obj_t BgL_preds3734z00_2077;
									obj_t BgL_succs3735z00_2078;
									obj_t BgL_first3736z00_2079;

									BgL_label3733z00_2076 = BgL_label3733z00_2072;
									BgL_preds3734z00_2077 = BNIL;
									BgL_succs3735z00_2078 = BNIL;
									BgL_first3736z00_2079 = BgL_arg4023z00_1295;
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2071))->
											BgL_labelz00) = ((int) BgL_label3733z00_2076), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2071))->
											BgL_predsz00) = ((obj_t) BgL_preds3734z00_2077), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2071))->
											BgL_succsz00) = ((obj_t) BgL_succs3735z00_2078), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_2071))->
											BgL_firstz00) = ((obj_t) BgL_first3736z00_2079), BUNSPEC);
									BgL_res4148z00_2080 = BgL_new3737z00_2071;
							}} BgL_res4148z00_2080;
					}}
					{	/* SawMill/blockorder.scm 5 */
						long BgL_arg4024z00_1296;

						BgL_arg4024z00_1296 =
							BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00);
						{	/* SawMill/blockorder.scm 5 */
							BgL_objectz00_bglt BgL_objz00_2081;

							BgL_objz00_2081 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2081, BgL_arg4024z00_1296);
					}}
					{	/* SawMill/blockorder.scm 5 */
						BgL_donez00_bglt BgL_arg4025z00_1297;

						BgL_arg4025z00_1297 = BGl_wideningzd2donezd2zzsaw_blockorderz00();
						{	/* SawMill/blockorder.scm 5 */
							obj_t BgL_auxz00_2646;
							BgL_objectz00_bglt BgL_auxz00_2644;

							BgL_auxz00_2646 = (obj_t) (BgL_arg4025z00_1297);
							BgL_auxz00_2644 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2644, BgL_auxz00_2646);
				}}}
			else
				{	/* SawMill/blockorder.scm 5 */
					BFALSE;
				}
			return (BgL_donez00_bglt) (BGl_z52thezd2donezd2nilz52zzsaw_blockorderz00);
		}
	}



/* _done-nil */
	obj_t BGl__donezd2nilzd2zzsaw_blockorderz00(obj_t BgL_envz00_2170)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			{	/* SawMill/blockorder.scm 5 */
				BgL_donez00_bglt BgL_auxz00_2650;

				BgL_auxz00_2650 = BGl_donezd2nilzd2zzsaw_blockorderz00();
				return (obj_t) (BgL_auxz00_2650);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 1 */
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_objectzd2ze3structzd2dfs3876ze3_2191;

				BgL_objectzd2ze3structzd2dfs3876ze3_2191 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2dfs3876ze3zzsaw_blockorderz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_dfsz00zzsaw_blockorderz00,
					BgL_objectzd2ze3structzd2dfs3876ze3_2191);
			}
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_structzb2objectzd2ze3objec3878z83_2190;

				BgL_structzb2objectzd2ze3objec3878z83_2190 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec3878z83zzsaw_blockorderz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_dfsz00zzsaw_blockorderz00,
					BgL_structzb2objectzd2ze3objec3878z83_2190);
			}
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_objectzd2ze3structzd2rdone3880ze3_2189;

				BgL_objectzd2ze3structzd2rdone3880ze3_2189 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2rdone3880ze3zzsaw_blockorderz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_rdonez00zzsaw_blockorderz00,
					BgL_objectzd2ze3structzd2rdone3880ze3_2189);
			}
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_structzb2objectzd2ze3objec3882z83_2188;

				BgL_structzb2objectzd2ze3objec3882z83_2188 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec3882z83zzsaw_blockorderz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_rdonez00zzsaw_blockorderz00,
					BgL_structzb2objectzd2ze3objec3882z83_2188);
			}
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_objectzd2ze3structzd2done3884ze3_2185;

				BgL_objectzd2ze3structzd2done3884ze3_2185 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2done3884ze3zzsaw_blockorderz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_donez00zzsaw_blockorderz00,
					BgL_objectzd2ze3structzd2done3884ze3_2185);
			}
			{	/* SawMill/blockorder.scm 1 */
				obj_t BgL_structzb2objectzd2ze3objec3887z83_2181;

				BgL_structzb2objectzd2ze3objec3887z83_2181 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec3887z83zzsaw_blockorderz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_donez00zzsaw_blockorderz00,
					BgL_structzb2objectzd2ze3objec3887z83_2181);
			}
		}
	}



/* struct+object->objec3887 */
	obj_t BGl_structzb2objectzd2ze3objec3887z83zzsaw_blockorderz00(obj_t
		BgL_envz00_2192, obj_t BgL_oz00_2193, obj_t BgL_sz00_2194)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			{
				BgL_donez00_bglt BgL_oz00_1896;
				obj_t BgL_sz00_1897;

				{	/* SawMill/blockorder.scm 5 */
					BgL_donez00_bglt BgL_auxz00_2677;

					BgL_oz00_1896 = (BgL_donez00_bglt) (BgL_oz00_2193);
					BgL_sz00_1897 = BgL_sz00_2194;
					{

						{	/* SawMill/blockorder.scm 5 */
							obj_t BgL_old3759z00_1900;

							{	/* SawMill/blockorder.scm 5 */
								obj_t BgL_nextzd2method3886zd2_1905;

								BgL_nextzd2method3886zd2_1905 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1896),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_donez00zzsaw_blockorderz00);
								if (PROCEDUREP(BgL_nextzd2method3886zd2_1905))
									{	/* SawMill/blockorder.scm 5 */
										BgL_old3759z00_1900 =
											PROCEDURE_ENTRY(BgL_nextzd2method3886zd2_1905)
											(BgL_nextzd2method3886zd2_1905, (obj_t) (BgL_oz00_1896),
											BgL_sz00_1897, BEOA);
									}
								else
									{	/* SawMill/blockorder.scm 5 */
										{	/* SawMill/blockorder.scm 5 */
											BgL_objectz00_bglt BgL_auxz00_2685;

											BgL_auxz00_2685 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1896), BgL_sz00_1897);
											BgL_old3759z00_1900 = (obj_t) (BgL_auxz00_2685);
										}
									}
							}
							{	/* SawMill/blockorder.scm 5 */
								BgL_donez00_bglt BgL_new3761z00_1902;

								BgL_new3761z00_1902 =
									((BgL_donez00_bglt) (BgL_old3759z00_1900));
								{	/* SawMill/blockorder.scm 5 */
									long BgL_arg4133z00_1903;

									BgL_arg4133z00_1903 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_donez00zzsaw_blockorderz00);
									{	/* SawMill/blockorder.scm 5 */
										BgL_objectz00_bglt BgL_objz00_2155;

										BgL_objz00_2155 =
											(BgL_objectz00_bglt) (BgL_new3761z00_1902);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2155,
											BgL_arg4133z00_1903);
								}}
								{	/* SawMill/blockorder.scm 5 */
									BgL_donez00_bglt BgL_arg4134z00_1904;

									BgL_arg4134z00_1904 =
										BGl_wideningzd2donezd2zzsaw_blockorderz00();
									{	/* SawMill/blockorder.scm 5 */
										obj_t BgL_auxz00_2696;
										BgL_objectz00_bglt BgL_auxz00_2694;

										BgL_auxz00_2696 = (obj_t) (BgL_arg4134z00_1904);
										BgL_auxz00_2694 =
											(BgL_objectz00_bglt) (BgL_new3761z00_1902);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2694, BgL_auxz00_2696);
								}}
								BgL_auxz00_2677 = BgL_new3761z00_1902;
					}}}
					return (obj_t) (BgL_auxz00_2677);
				}
			}
		}
	}



/* object->struct-done3884 */
	obj_t BGl_objectzd2ze3structzd2done3884ze3zzsaw_blockorderz00(obj_t
		BgL_envz00_2195, obj_t BgL_obj3756z00_2196)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 5 */
			{
				BgL_donez00_bglt BgL_obj3756z00_1888;

				BgL_obj3756z00_1888 = (BgL_donez00_bglt) (BgL_obj3756z00_2196);
				{

					{	/* SawMill/blockorder.scm 5 */
						obj_t BgL_res3757z00_1891;

						{	/* SawMill/blockorder.scm 5 */
							obj_t BgL_nextzd2method3883zd2_1894;

							BgL_nextzd2method3883zd2_1894 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3756z00_1888),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_donez00zzsaw_blockorderz00);
							if (PROCEDUREP(BgL_nextzd2method3883zd2_1894))
								{	/* SawMill/blockorder.scm 5 */
									BgL_res3757z00_1891 =
										PROCEDURE_ENTRY(BgL_nextzd2method3883zd2_1894)
										(BgL_nextzd2method3883zd2_1894,
										(obj_t) (BgL_obj3756z00_1888), BEOA);
								}
							else
								{	/* SawMill/blockorder.scm 5 */
									BgL_res3757z00_1891 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3756z00_1888));
								}
						}
						{	/* SawMill/blockorder.scm 5 */
							obj_t BgL_aux3758z00_1892;

							{	/* SawMill/blockorder.scm 5 */
								obj_t BgL_keyz00_2140;

								BgL_keyz00_2140 = CNST_TABLE_REF(((long) 1));
								BgL_aux3758z00_1892 =
									make_struct(BgL_keyz00_2140, (int) (((long) 0)), BUNSPEC);
							}
							{	/* SawMill/blockorder.scm 5 */
								int BgL_auxz00_2713;

								BgL_auxz00_2713 = (int) (((long) 0));
								STRUCT_SET(BgL_res3757z00_1891, BgL_auxz00_2713,
									BgL_aux3758z00_1892);
							}
							{	/* SawMill/blockorder.scm 5 */
								obj_t BgL_auxz00_2716;

								BgL_auxz00_2716 = STRUCT_KEY(BgL_res3757z00_1891);
								STRUCT_KEY_SET(BgL_aux3758z00_1892, BgL_auxz00_2716);
							}
							{	/* SawMill/blockorder.scm 5 */
								obj_t BgL_kz00_2151;

								BgL_kz00_2151 = CNST_TABLE_REF(((long) 1));
								STRUCT_KEY_SET(BgL_res3757z00_1891, BgL_kz00_2151);
							}
							return BgL_res3757z00_1891;
						}
					}
				}
			}
		}
	}



/* struct+object->objec3882 */
	obj_t BGl_structzb2objectzd2ze3objec3882z83zzsaw_blockorderz00(obj_t
		BgL_envz00_2197, obj_t BgL_oz00_2198, obj_t BgL_sz00_2199)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			{
				BgL_rdonez00_bglt BgL_oz00_1877;
				obj_t BgL_sz00_1878;

				{	/* SawMill/blockorder.scm 6 */
					BgL_rdonez00_bglt BgL_auxz00_2722;

					BgL_oz00_1877 = (BgL_rdonez00_bglt) (BgL_oz00_2198);
					BgL_sz00_1878 = BgL_sz00_2199;
					{

						{	/* SawMill/blockorder.scm 6 */
							obj_t BgL_old3789z00_1881;

							{	/* SawMill/blockorder.scm 6 */
								obj_t BgL_nextzd2method3881zd2_1886;

								BgL_nextzd2method3881zd2_1886 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1877),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_rdonez00zzsaw_blockorderz00);
								if (PROCEDUREP(BgL_nextzd2method3881zd2_1886))
									{	/* SawMill/blockorder.scm 6 */
										BgL_old3789z00_1881 =
											PROCEDURE_ENTRY(BgL_nextzd2method3881zd2_1886)
											(BgL_nextzd2method3881zd2_1886, (obj_t) (BgL_oz00_1877),
											BgL_sz00_1878, BEOA);
									}
								else
									{	/* SawMill/blockorder.scm 6 */
										{	/* SawMill/blockorder.scm 6 */
											BgL_objectz00_bglt BgL_auxz00_2730;

											BgL_auxz00_2730 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1877), BgL_sz00_1878);
											BgL_old3789z00_1881 = (obj_t) (BgL_auxz00_2730);
										}
									}
							}
							{	/* SawMill/blockorder.scm 6 */
								BgL_rdonez00_bglt BgL_new3791z00_1883;

								BgL_new3791z00_1883 =
									((BgL_rdonez00_bglt) (BgL_old3789z00_1881));
								{	/* SawMill/blockorder.scm 6 */
									long BgL_arg4128z00_1884;

									BgL_arg4128z00_1884 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_rdonez00zzsaw_blockorderz00);
									{	/* SawMill/blockorder.scm 6 */
										BgL_objectz00_bglt BgL_objz00_2137;

										BgL_objz00_2137 =
											(BgL_objectz00_bglt) (BgL_new3791z00_1883);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2137,
											BgL_arg4128z00_1884);
								}}
								{	/* SawMill/blockorder.scm 6 */
									BgL_rdonez00_bglt BgL_arg4129z00_1885;

									BgL_arg4129z00_1885 =
										BGl_wideningzd2rdonezd2zzsaw_blockorderz00();
									{	/* SawMill/blockorder.scm 6 */
										obj_t BgL_auxz00_2741;
										BgL_objectz00_bglt BgL_auxz00_2739;

										BgL_auxz00_2741 = (obj_t) (BgL_arg4129z00_1885);
										BgL_auxz00_2739 =
											(BgL_objectz00_bglt) (BgL_new3791z00_1883);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2739, BgL_auxz00_2741);
								}}
								BgL_auxz00_2722 = BgL_new3791z00_1883;
					}}}
					return (obj_t) (BgL_auxz00_2722);
				}
			}
		}
	}



/* object->struct-rdone3880 */
	obj_t BGl_objectzd2ze3structzd2rdone3880ze3zzsaw_blockorderz00(obj_t
		BgL_envz00_2200, obj_t BgL_obj3786z00_2201)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 6 */
			{
				BgL_rdonez00_bglt BgL_obj3786z00_1869;

				BgL_obj3786z00_1869 = (BgL_rdonez00_bglt) (BgL_obj3786z00_2201);
				{

					{	/* SawMill/blockorder.scm 6 */
						obj_t BgL_res3787z00_1872;

						{	/* SawMill/blockorder.scm 6 */
							obj_t BgL_nextzd2method3879zd2_1875;

							BgL_nextzd2method3879zd2_1875 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3786z00_1869),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_rdonez00zzsaw_blockorderz00);
							if (PROCEDUREP(BgL_nextzd2method3879zd2_1875))
								{	/* SawMill/blockorder.scm 6 */
									BgL_res3787z00_1872 =
										PROCEDURE_ENTRY(BgL_nextzd2method3879zd2_1875)
										(BgL_nextzd2method3879zd2_1875,
										(obj_t) (BgL_obj3786z00_1869), BEOA);
								}
							else
								{	/* SawMill/blockorder.scm 6 */
									BgL_res3787z00_1872 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3786z00_1869));
								}
						}
						{	/* SawMill/blockorder.scm 6 */
							obj_t BgL_aux3788z00_1873;

							{	/* SawMill/blockorder.scm 6 */
								obj_t BgL_keyz00_2122;

								BgL_keyz00_2122 = CNST_TABLE_REF(((long) 2));
								BgL_aux3788z00_1873 =
									make_struct(BgL_keyz00_2122, (int) (((long) 0)), BUNSPEC);
							}
							{	/* SawMill/blockorder.scm 6 */
								int BgL_auxz00_2758;

								BgL_auxz00_2758 = (int) (((long) 0));
								STRUCT_SET(BgL_res3787z00_1872, BgL_auxz00_2758,
									BgL_aux3788z00_1873);
							}
							{	/* SawMill/blockorder.scm 6 */
								obj_t BgL_auxz00_2761;

								BgL_auxz00_2761 = STRUCT_KEY(BgL_res3787z00_1872);
								STRUCT_KEY_SET(BgL_aux3788z00_1873, BgL_auxz00_2761);
							}
							{	/* SawMill/blockorder.scm 6 */
								obj_t BgL_kz00_2133;

								BgL_kz00_2133 = CNST_TABLE_REF(((long) 2));
								STRUCT_KEY_SET(BgL_res3787z00_1872, BgL_kz00_2133);
							}
							return BgL_res3787z00_1872;
						}
					}
				}
			}
		}
	}



/* struct+object->objec3878 */
	obj_t BGl_structzb2objectzd2ze3objec3878z83zzsaw_blockorderz00(obj_t
		BgL_envz00_2202, obj_t BgL_oz00_2203, obj_t BgL_sz00_2204)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 7 */
			{
				BgL_dfsz00_bglt BgL_oz00_1857;
				obj_t BgL_sz00_1858;

				{	/* SawMill/blockorder.scm 7 */
					BgL_dfsz00_bglt BgL_auxz00_2767;

					BgL_oz00_1857 = (BgL_dfsz00_bglt) (BgL_oz00_2203);
					BgL_sz00_1858 = BgL_sz00_2204;
					{

						{	/* SawMill/blockorder.scm 7 */
							obj_t BgL_old3823z00_1861;
							obj_t BgL_aux3824z00_1862;

							{	/* SawMill/blockorder.scm 7 */
								obj_t BgL_nextzd2method3877zd2_1867;

								BgL_nextzd2method3877zd2_1867 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1857),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_dfsz00zzsaw_blockorderz00);
								if (PROCEDUREP(BgL_nextzd2method3877zd2_1867))
									{	/* SawMill/blockorder.scm 7 */
										BgL_old3823z00_1861 =
											PROCEDURE_ENTRY(BgL_nextzd2method3877zd2_1867)
											(BgL_nextzd2method3877zd2_1867, (obj_t) (BgL_oz00_1857),
											BgL_sz00_1858, BEOA);
									}
								else
									{	/* SawMill/blockorder.scm 7 */
										{	/* SawMill/blockorder.scm 7 */
											BgL_objectz00_bglt BgL_auxz00_2775;

											BgL_auxz00_2775 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1857), BgL_sz00_1858);
											BgL_old3823z00_1861 = (obj_t) (BgL_auxz00_2775);
										}
									}
							}
							BgL_aux3824z00_1862 =
								STRUCT_REF(BgL_sz00_1858, (int) (((long) 0)));
							{	/* SawMill/blockorder.scm 7 */
								BgL_dfsz00_bglt BgL_new3825z00_1863;

								BgL_new3825z00_1863 = ((BgL_dfsz00_bglt) (BgL_old3823z00_1861));
								{	/* SawMill/blockorder.scm 7 */
									long BgL_arg4122z00_1864;

									BgL_arg4122z00_1864 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_dfsz00zzsaw_blockorderz00);
									{	/* SawMill/blockorder.scm 7 */
										BgL_objectz00_bglt BgL_objz00_2110;

										BgL_objz00_2110 =
											(BgL_objectz00_bglt) (BgL_new3825z00_1863);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2110,
											BgL_arg4122z00_1864);
								}}
								{	/* SawMill/blockorder.scm 7 */
									BgL_dfsz00_bglt BgL_arg4123z00_1865;

									{	/* SawMill/blockorder.scm 7 */
										obj_t BgL_arg4124z00_1866;

										BgL_arg4124z00_1866 =
											STRUCT_REF(BgL_aux3824z00_1862, (int) (((long) 0)));
										{	/* SawMill/blockorder.scm 7 */
											BgL_dfsz00_bglt BgL_res4151z00_2120;

											{	/* SawMill/blockorder.scm 7 */
												int BgL_n3805z00_2114;

												BgL_n3805z00_2114 = CINT(BgL_arg4124z00_1866);
												{	/* SawMill/blockorder.scm 7 */
													BgL_dfsz00_bglt BgL_new3806z00_2115;
													BgL_new3806z00_2115 =
														((BgL_dfsz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_dfsz00_bgl))));
													{	/* SawMill/blockorder.scm 7 */
														BgL_dfsz00_bglt BgL_res4150z00_2119;

														{	/* SawMill/blockorder.scm 7 */
															BgL_dfsz00_bglt BgL_new3816z00_2116;

															BgL_new3816z00_2116 = BgL_new3806z00_2115;
															{	/* SawMill/blockorder.scm 7 */
																int BgL_n3815z00_2118;

																BgL_n3815z00_2118 = BgL_n3805z00_2114;
																((((BgL_dfsz00_bglt)
																			CREF(BgL_new3816z00_2116))->BgL_nz00) =
																	((int) BgL_n3815z00_2118), BUNSPEC);
																BgL_res4150z00_2119 = BgL_new3816z00_2116;
														}} BgL_res4150z00_2119;
													}
													BgL_res4151z00_2120 = BgL_new3806z00_2115;
											}}
											BgL_arg4123z00_1865 = BgL_res4151z00_2120;
									}}
									{	/* SawMill/blockorder.scm 7 */
										obj_t BgL_auxz00_2792;
										BgL_objectz00_bglt BgL_auxz00_2790;

										BgL_auxz00_2792 = (obj_t) (BgL_arg4123z00_1865);
										BgL_auxz00_2790 =
											(BgL_objectz00_bglt) (BgL_new3825z00_1863);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2790, BgL_auxz00_2792);
								}}
								BgL_auxz00_2767 = BgL_new3825z00_1863;
					}}}
					return (obj_t) (BgL_auxz00_2767);
				}
			}
		}
	}



/* object->struct-dfs3876 */
	obj_t BGl_objectzd2ze3structzd2dfs3876ze3zzsaw_blockorderz00(obj_t
		BgL_envz00_2205, obj_t BgL_obj3820z00_2206)
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 7 */
			{
				BgL_dfsz00_bglt BgL_obj3820z00_1847;

				BgL_obj3820z00_1847 = (BgL_dfsz00_bglt) (BgL_obj3820z00_2206);
				{

					{	/* SawMill/blockorder.scm 7 */
						obj_t BgL_res3821z00_1850;

						{	/* SawMill/blockorder.scm 7 */
							obj_t BgL_nextzd2method3875zd2_1855;

							BgL_nextzd2method3875zd2_1855 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3820z00_1847),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_dfsz00zzsaw_blockorderz00);
							if (PROCEDUREP(BgL_nextzd2method3875zd2_1855))
								{	/* SawMill/blockorder.scm 7 */
									BgL_res3821z00_1850 =
										PROCEDURE_ENTRY(BgL_nextzd2method3875zd2_1855)
										(BgL_nextzd2method3875zd2_1855,
										(obj_t) (BgL_obj3820z00_1847), BEOA);
								}
							else
								{	/* SawMill/blockorder.scm 7 */
									BgL_res3821z00_1850 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3820z00_1847));
								}
						}
						{	/* SawMill/blockorder.scm 7 */
							obj_t BgL_aux3822z00_1851;

							{	/* SawMill/blockorder.scm 7 */
								obj_t BgL_keyz00_2091;

								BgL_keyz00_2091 = CNST_TABLE_REF(((long) 3));
								BgL_aux3822z00_1851 =
									make_struct(BgL_keyz00_2091, (int) (((long) 1)), BUNSPEC);
							}
							{	/* SawMill/blockorder.scm 7 */
								int BgL_arg4119z00_1853;

								{
									obj_t BgL_auxz00_2809;

									{	/* SawMill/blockorder.scm 7 */
										BgL_objectz00_bglt BgL_auxz00_2810;

										BgL_auxz00_2810 =
											(BgL_objectz00_bglt) (BgL_obj3820z00_1847);
										BgL_auxz00_2809 = BGL_OBJECT_WIDENING(BgL_auxz00_2810);
									}
									BgL_arg4119z00_1853 =
										(((BgL_dfsz00_bglt) CREF(BgL_auxz00_2809))->BgL_nz00);
								}
								{	/* SawMill/blockorder.scm 7 */
									obj_t BgL_auxz00_2816;
									int BgL_auxz00_2814;

									BgL_auxz00_2816 = BINT(BgL_arg4119z00_1853);
									BgL_auxz00_2814 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3822z00_1851, BgL_auxz00_2814,
										BgL_auxz00_2816);
							}}
							{	/* SawMill/blockorder.scm 7 */
								int BgL_auxz00_2819;

								BgL_auxz00_2819 = (int) (((long) 0));
								STRUCT_SET(BgL_res3821z00_1850, BgL_auxz00_2819,
									BgL_aux3822z00_1851);
							}
							{	/* SawMill/blockorder.scm 7 */
								obj_t BgL_auxz00_2822;

								BgL_auxz00_2822 = STRUCT_KEY(BgL_res3821z00_1850);
								STRUCT_KEY_SET(BgL_aux3822z00_1851, BgL_auxz00_2822);
							}
							{	/* SawMill/blockorder.scm 7 */
								obj_t BgL_kz00_2106;

								BgL_kz00_2106 = CNST_TABLE_REF(((long) 3));
								STRUCT_KEY_SET(BgL_res3821z00_1850, BgL_kz00_2106);
							}
							return BgL_res3821z00_1850;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_blockorderz00()
	{
		AN_OBJECT;
		{	/* SawMill/blockorder.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4159z00zzsaw_blockorderz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4159z00zzsaw_blockorderz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4159z00zzsaw_blockorderz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 192042637),
				BSTRING_TO_STRING(BGl_string4159z00zzsaw_blockorderz00));
		}
	}

#ifdef __cplusplus
}
#endif
