/*===========================================================================*/
/*   (Tools/progn.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/progn.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl__normaliza7ezd2beginz75zztools_prognz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_prognz00 = BUNSPEC;
	static obj_t BGl__emapz00zztools_prognz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_normaliza7ezd2prognzf2locz87zztools_prognz00(obj_t, obj_t);
	static obj_t BGl__normaliza7ezd2prognzf2locz87zztools_prognz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zztools_prognz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztools_prognz00();
	BGL_EXPORTED_DECL obj_t BGl_emapz00zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztools_prognz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__normaliza7ezd2prognz75zztools_prognz00(obj_t, obj_t);
	static obj_t BGl__prognzd2firstzd2expressionz00zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	static obj_t BGl_loopz00zztools_prognz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_loopz72z72zztools_prognz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t BGl__prognzd2tailzd2expressionsz00zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_normaliza7ezd2beginz75zztools_prognz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_prognz00();
	static obj_t BGl_methodzd2initzd2zztools_prognz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2beginzd2envza7zztools_prognz00,
		BgL_bgl__normaliza7a7eza7d2b1440z00,
		BGl__normaliza7ezd2beginz75zztools_prognz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prognzd2tailzd2expressionszd2envzd2zztools_prognz00,
		BgL_bgl__prognza7d2tailza7d21441z00,
		BGl__prognzd2tailzd2expressionsz00zztools_prognz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2prognzf2loczd2envz55zztools_prognz00,
		BgL_bgl__normaliza7a7eza7d2p1442z00,
		BGl__normaliza7ezd2prognzf2locz87zztools_prognz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2prognzd2envza7zztools_prognz00,
		BgL_bgl__normaliza7a7eza7d2p1443z00,
		BGl__normaliza7ezd2prognz75zztools_prognz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emapzd2envzd2zztools_prognz00,
		BgL_bgl__emapza700za7za7tools_1444za7, BGl__emapz00zztools_prognz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1432z00zztools_prognz00,
		BgL_bgl_string1432za700za7za7t1445za7, "normalize-progn", 15);
	      DEFINE_STRING(BGl_string1433z00zztools_prognz00,
		BgL_bgl_string1433za700za7za7t1446za7, "Illegal expression", 18);
	      DEFINE_STRING(BGl_string1434z00zztools_prognz00,
		BgL_bgl_string1434za700za7za7t1447za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string1435z00zztools_prognz00,
		BgL_bgl_string1435za700za7za7t1448za7, "Illegal parameter list", 22);
	      DEFINE_STRING(BGl_string1436z00zztools_prognz00,
		BgL_bgl_string1436za700za7za7t1449za7, "tools_progn", 11);
	      DEFINE_STRING(BGl_string1437z00zztools_prognz00,
		BgL_bgl_string1437za700za7za7t1450za7, "emap normalize-begin begin ", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prognzd2firstzd2expressionzd2envzd2zztools_prognz00,
		BgL_bgl__prognza7d2firstza7d1451z00,
		BGl__prognzd2firstzd2expressionz00zztools_prognz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long
		BgL_checksumz00_358, char *BgL_fromz00_359)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_prognz00))
				{
					BGl_requirezd2initializa7ationz75zztools_prognz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_prognz00();
					BGl_cnstzd2initzd2zztools_prognz00();
					BGl_importedzd2moduleszd2initz00zztools_prognz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_progn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_progn");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "tools_progn");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			{	/* Tools/progn.scm 15 */
				obj_t BgL_cportz00_350;

				BgL_cportz00_350 =
					bgl_open_input_string(BGl_string1437z00zztools_prognz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_351;

					BgL_iz00_351 = ((long) 2);
				BgL_loopz00_352:
					if ((BgL_iz00_351 == ((long) -1)))
						{	/* Tools/progn.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tools/progn.scm 15 */
							{	/* Tools/progn.scm 15 */
								obj_t BgL_arg1439z00_354;

								{	/* Tools/progn.scm 15 */

									{	/* Tools/progn.scm 15 */
										obj_t BgL_locationz00_356;

										BgL_locationz00_356 = BBOOL(((bool_t) 0));
										{	/* Tools/progn.scm 15 */

											BgL_arg1439z00_354 =
												BGl_readz00zz__readerz00(BgL_cportz00_350,
												BgL_locationz00_356);
										}
									}
								}
								{	/* Tools/progn.scm 15 */
									int BgL_auxz00_375;

									BgL_auxz00_375 = (int) (BgL_iz00_351);
									CNST_TABLE_SET(BgL_auxz00_375, BgL_arg1439z00_354);
							}}
							{	/* Tools/progn.scm 15 */
								int BgL_auxz00_357;

								BgL_auxz00_357 = (int) ((BgL_iz00_351 - ((long) 1)));
								{
									long BgL_iz00_380;

									BgL_iz00_380 = (long) (BgL_auxz00_357);
									BgL_iz00_351 = BgL_iz00_380;
									goto BgL_loopz00_352;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			return BUNSPEC;
		}
	}



/* normalize-progn */
	BGL_EXPORTED_DEF obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t
		BgL_bodyza2za2_15)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 31 */
		BGl_normaliza7ezd2prognz75zztools_prognz00:
			if (PAIRP(BgL_bodyza2za2_15))
				{	/* Tools/progn.scm 33 */
					if (NULLP(CDR(BgL_bodyza2za2_15)))
						{	/* Tools/progn.scm 36 */
							obj_t BgL_ezd2933zd2_66;

							BgL_ezd2933zd2_66 = CAR(BgL_bodyza2za2_15);
							if (PAIRP(BgL_ezd2933zd2_66))
								{	/* Tools/progn.scm 36 */
									if ((CAR(BgL_ezd2933zd2_66) == CNST_TABLE_REF(((long) 0))))
										{	/* Tools/progn.scm 36 */
											if (NULLP(CDR(BgL_ezd2933zd2_66)))
												{	/* Tools/progn.scm 36 */
													return BUNSPEC;
												}
											else
												{	/* Tools/progn.scm 36 */
													obj_t BgL_cdrzd2940zd2_70;

													BgL_cdrzd2940zd2_70 = CDR(BgL_ezd2933zd2_66);
													if (PAIRP(BgL_cdrzd2940zd2_70))
														{	/* Tools/progn.scm 36 */
															if (NULLP(CDR(BgL_cdrzd2940zd2_70)))
																{	/* Tools/progn.scm 36 */
																	return BgL_ezd2933zd2_66;
																}
															else
																{
																	obj_t BgL_bodyza2za2_403;

																	BgL_bodyza2za2_403 = BgL_cdrzd2940zd2_70;
																	BgL_bodyza2za2_15 = BgL_bodyza2za2_403;
																	goto
																		BGl_normaliza7ezd2prognz75zztools_prognz00;
																}
														}
													else
														{
															obj_t BgL_bodyza2za2_404;

															BgL_bodyza2za2_404 = BgL_cdrzd2940zd2_70;
															BgL_bodyza2za2_15 = BgL_bodyza2za2_404;
															goto BGl_normaliza7ezd2prognz75zztools_prognz00;
														}
												}
										}
									else
										{	/* Tools/progn.scm 36 */
											return BgL_ezd2933zd2_66;
										}
								}
							else
								{	/* Tools/progn.scm 36 */
									return BgL_ezd2933zd2_66;
								}
						}
					else
						{	/* Tools/progn.scm 46 */
							obj_t BgL_subz00_80;

							{	/* Tools/progn.scm 46 */
								obj_t BgL_g1285z00_84;

								if ((CAR(BgL_bodyza2za2_15) == CNST_TABLE_REF(((long) 0))))
									{	/* Tools/progn.scm 46 */
										BgL_g1285z00_84 = CDR(BgL_bodyza2za2_15);
									}
								else
									{	/* Tools/progn.scm 46 */
										BgL_g1285z00_84 = BgL_bodyza2za2_15;
									}
								BgL_subz00_80 = BGl_loopz72z72zztools_prognz00(BgL_g1285z00_84);
							}
							if (EXTENDED_PAIRP(BgL_bodyza2za2_15))
								{	/* Tools/progn.scm 69 */
									obj_t BgL_arg1327z00_82;
									obj_t BgL_arg1328z00_83;

									BgL_arg1327z00_82 = CNST_TABLE_REF(((long) 0));
									BgL_arg1328z00_83 = CER(BgL_bodyza2za2_15);
									{	/* Tools/progn.scm 69 */
										obj_t BgL_res1427z00_268;

										BgL_res1427z00_268 =
											MAKE_EXTENDED_PAIR(BgL_arg1327z00_82, BgL_subz00_80,
											BgL_arg1328z00_83);
										return BgL_res1427z00_268;
									}
								}
							else
								{	/* Tools/progn.scm 68 */
									return MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_subz00_80);
				}}}
			else
				{	/* Tools/progn.scm 33 */
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1432z00zztools_prognz00,
						BGl_string1433z00zztools_prognz00, BgL_bodyza2za2_15);
				}
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zztools_prognz00(obj_t BgL_bodyza2za2_85)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 46 */
		BGl_loopz72z72zztools_prognz00:
			if (NULLP(BgL_bodyza2za2_85))
				{	/* Tools/progn.scm 49 */
					return BNIL;
				}
			else
				{	/* Tools/progn.scm 51 */
					obj_t BgL_exprz00_88;

					BgL_exprz00_88 = CAR(BgL_bodyza2za2_85);
					{	/* Tools/progn.scm 52 */
						bool_t BgL_testz00_422;

						if (PAIRP(BgL_exprz00_88))
							{	/* Tools/progn.scm 52 */
								BgL_testz00_422 =
									(CAR(BgL_exprz00_88) == CNST_TABLE_REF(((long) 0)));
							}
						else
							{	/* Tools/progn.scm 52 */
								BgL_testz00_422 = ((bool_t) 0);
							}
						if (BgL_testz00_422)
							{	/* Tools/progn.scm 52 */
								return
									bgl_append2(CDR(BgL_exprz00_88),
									BGl_loopz72z72zztools_prognz00(CDR(BgL_bodyza2za2_85)));
							}
						else
							{	/* Tools/progn.scm 55 */
								bool_t BgL_testz00_432;

								if ((BgL_exprz00_88 == BUNSPEC))
									{	/* Tools/progn.scm 56 */
										obj_t BgL_auxz00_435;

										BgL_auxz00_435 = CDR(BgL_bodyza2za2_85);
										BgL_testz00_432 = PAIRP(BgL_auxz00_435);
									}
								else
									{	/* Tools/progn.scm 55 */
										BgL_testz00_432 = ((bool_t) 0);
									}
								if (BgL_testz00_432)
									{
										obj_t BgL_bodyza2za2_438;

										BgL_bodyza2za2_438 = CDR(BgL_bodyza2za2_85);
										BgL_bodyza2za2_85 = BgL_bodyza2za2_438;
										goto BGl_loopz72z72zztools_prognz00;
									}
								else
									{	/* Tools/progn.scm 55 */
										if (EXTENDED_PAIRP(BgL_exprz00_88))
											{	/* Tools/progn.scm 60 */
												obj_t BgL_arg1337z00_96;
												obj_t BgL_arg1338z00_97;

												BgL_arg1337z00_96 =
													BGl_loopz72z72zztools_prognz00(CDR
													(BgL_bodyza2za2_85));
												BgL_arg1338z00_97 = CER(BgL_exprz00_88);
												{	/* Tools/progn.scm 59 */
													obj_t BgL_res1425z00_254;

													BgL_res1425z00_254 =
														MAKE_EXTENDED_PAIR(BgL_exprz00_88,
														BgL_arg1337z00_96, BgL_arg1338z00_97);
													return BgL_res1425z00_254;
												}
											}
										else
											{	/* Tools/progn.scm 58 */
												if (EXTENDED_PAIRP(BgL_bodyza2za2_85))
													{	/* Tools/progn.scm 64 */
														obj_t BgL_arg1342z00_100;
														obj_t BgL_arg1343z00_101;

														BgL_arg1342z00_100 =
															BGl_loopz72z72zztools_prognz00(CDR
															(BgL_bodyza2za2_85));
														BgL_arg1343z00_101 = CER(BgL_bodyza2za2_85);
														{	/* Tools/progn.scm 63 */
															obj_t BgL_res1426z00_261;

															BgL_res1426z00_261 =
																MAKE_EXTENDED_PAIR(BgL_exprz00_88,
																BgL_arg1342z00_100, BgL_arg1343z00_101);
															return BgL_res1426z00_261;
														}
													}
												else
													{	/* Tools/progn.scm 62 */
														return
															MAKE_PAIR(BgL_exprz00_88,
															BGl_loopz72z72zztools_prognz00(CDR
																(BgL_bodyza2za2_85)));
													}
											}
									}
							}
					}
				}
		}
	}



/* _normalize-progn */
	obj_t BGl__normaliza7ezd2prognz75zztools_prognz00(obj_t BgL_envz00_333,
		obj_t BgL_bodyza2za2_334)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 31 */
			return BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyza2za2_334);
		}
	}



/* normalize-begin */
	BGL_EXPORTED_DEF obj_t BGl_normaliza7ezd2beginz75zztools_prognz00(obj_t
		BgL_begz00_16)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 75 */
		BGl_normaliza7ezd2beginz75zztools_prognz00:
			{	/* Tools/progn.scm 76 */
				obj_t BgL_bodyz00_114;

				BgL_bodyz00_114 = CDR(BgL_begz00_16);
				if (NULLP(BgL_bodyz00_114))
					{	/* Tools/progn.scm 78 */
						return BUNSPEC;
					}
				else
					{	/* Tools/progn.scm 78 */
						if (NULLP(CDR(BgL_bodyz00_114)))
							{	/* Tools/progn.scm 81 */
								obj_t BgL_ez00_117;

								BgL_ez00_117 = CAR(BgL_bodyz00_114);
								if (PAIRP(BgL_ez00_117))
									{	/* Tools/progn.scm 82 */
										if ((CAR(BgL_ez00_117) == CNST_TABLE_REF(((long) 0))))
											{
												obj_t BgL_begz00_469;

												BgL_begz00_469 = BgL_ez00_117;
												BgL_begz00_16 = BgL_begz00_469;
												goto BGl_normaliza7ezd2beginz75zztools_prognz00;
											}
										else
											{	/* Tools/progn.scm 82 */
												return BgL_ez00_117;
											}
									}
								else
									{	/* Tools/progn.scm 82 */
										return BgL_ez00_117;
									}
							}
						else
							{
								obj_t BgL_lz00_128;
								obj_t BgL_resz00_129;

								BgL_lz00_128 = BgL_bodyz00_114;
								BgL_resz00_129 = BNIL;
							BgL_loopz00_130:
								if (NULLP(BgL_lz00_128))
									{	/* Tools/progn.scm 91 */
										if (NULLP(BgL_resz00_129))
											{	/* Tools/progn.scm 93 */
												return BUNSPEC;
											}
										else
											{	/* Tools/progn.scm 93 */
												if (NULLP(CDR(BgL_resz00_129)))
													{	/* Tools/progn.scm 95 */
														return CAR(BgL_resz00_129);
													}
												else
													{	/* Tools/progn.scm 98 */
														obj_t BgL_arg1368z00_134;

														{	/* Tools/progn.scm 98 */
															obj_t BgL_arg1369z00_135;
															obj_t BgL_arg1370z00_136;

															BgL_arg1369z00_135 = CNST_TABLE_REF(((long) 0));
															BgL_arg1370z00_136 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(bgl_reverse_bang(BgL_resz00_129), BNIL);
															BgL_arg1368z00_134 =
																MAKE_PAIR(BgL_arg1369z00_135,
																BgL_arg1370z00_136);
														}
														return
															BGl_epairifyz00zztools_miscz00(BgL_arg1368z00_134,
															BgL_begz00_16);
													}
											}
									}
								else
									{	/* Tools/progn.scm 91 */
										if (PAIRP(BgL_lz00_128))
											{	/* Tools/progn.scm 100 */
												obj_t BgL_bz00_141;

												BgL_bz00_141 = CAR(BgL_lz00_128);
												{	/* Tools/progn.scm 101 */
													bool_t BgL_testz00_486;

													if (PAIRP(BgL_bz00_141))
														{	/* Tools/progn.scm 101 */
															BgL_testz00_486 = ((bool_t) 0);
														}
													else
														{	/* Tools/progn.scm 101 */
															if (SYMBOLP(BgL_bz00_141))
																{	/* Tools/progn.scm 101 */
																	BgL_testz00_486 = ((bool_t) 0);
																}
															else
																{	/* Tools/progn.scm 101 */
																	obj_t BgL_auxz00_491;

																	BgL_auxz00_491 = CDR(BgL_lz00_128);
																	BgL_testz00_486 = PAIRP(BgL_auxz00_491);
																}
														}
													if (BgL_testz00_486)
														{
															obj_t BgL_lz00_494;

															BgL_lz00_494 = CDR(BgL_lz00_128);
															BgL_lz00_128 = BgL_lz00_494;
															goto BgL_loopz00_130;
														}
													else
														{	/* Tools/progn.scm 103 */
															obj_t BgL_arg1377z00_144;
															obj_t BgL_arg1378z00_145;

															BgL_arg1377z00_144 = CDR(BgL_lz00_128);
															BgL_arg1378z00_145 =
																MAKE_PAIR(BgL_bz00_141, BgL_resz00_129);
															{
																obj_t BgL_resz00_499;
																obj_t BgL_lz00_498;

																BgL_lz00_498 = BgL_arg1377z00_144;
																BgL_resz00_499 = BgL_arg1378z00_145;
																BgL_resz00_129 = BgL_resz00_499;
																BgL_lz00_128 = BgL_lz00_498;
																goto BgL_loopz00_130;
															}
														}
												}
											}
										else
											{	/* Tools/progn.scm 99 */
												return
													BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF
													(((long) 1)), BGl_string1434z00zztools_prognz00,
													BgL_begz00_16);
		}}}}}}
	}



/* _normalize-begin */
	obj_t BGl__normaliza7ezd2beginz75zztools_prognz00(obj_t BgL_envz00_335,
		obj_t BgL_begz00_336)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 75 */
			return BGl_normaliza7ezd2beginz75zztools_prognz00(BgL_begz00_336);
		}
	}



/* normalize-progn/loc */
	BGL_EXPORTED_DEF obj_t BGl_normaliza7ezd2prognzf2locz87zztools_prognz00(obj_t
		BgL_bodyza2za2_17, obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 110 */
			{	/* Tools/progn.scm 111 */
				obj_t BgL_nbodyz00_150;

				BgL_nbodyz00_150 = BGl_expandzd2prognzd2zz__prognz00(BgL_bodyza2za2_17);
				if (CBOOL(BgL_locz00_18))
					{	/* Tools/progn.scm 113 */
						if (EXTENDED_PAIRP(BgL_nbodyz00_150))
							{	/* Tools/progn.scm 115 */
								return BgL_nbodyz00_150;
							}
						else
							{	/* Tools/progn.scm 115 */
								if (PAIRP(BgL_nbodyz00_150))
									{	/* Tools/progn.scm 118 */
										obj_t BgL_arg1385z00_153;
										obj_t BgL_arg1386z00_154;

										BgL_arg1385z00_153 = CAR(BgL_nbodyz00_150);
										BgL_arg1386z00_154 = CDR(BgL_nbodyz00_150);
										{	/* Tools/progn.scm 118 */
											obj_t BgL_res1428z00_298;

											BgL_res1428z00_298 =
												MAKE_EXTENDED_PAIR(BgL_arg1385z00_153,
												BgL_arg1386z00_154, BgL_locz00_18);
											return BgL_res1428z00_298;
										}
									}
								else
									{	/* Tools/progn.scm 120 */
										obj_t BgL_arg1388z00_155;
										obj_t BgL_arg1389z00_156;

										BgL_arg1388z00_155 = CNST_TABLE_REF(((long) 0));
										{	/* Tools/progn.scm 120 */
											obj_t BgL_list1390z00_157;

											BgL_list1390z00_157 = MAKE_PAIR(BgL_nbodyz00_150, BNIL);
											BgL_arg1389z00_156 = BgL_list1390z00_157;
										}
										{	/* Tools/progn.scm 120 */
											obj_t BgL_res1430z00_304;

											BgL_res1430z00_304 =
												MAKE_EXTENDED_PAIR(BgL_arg1388z00_155,
												BgL_arg1389z00_156, BgL_locz00_18);
											return BgL_res1430z00_304;
										}
									}
							}
					}
				else
					{	/* Tools/progn.scm 113 */
						return BgL_nbodyz00_150;
					}
			}
		}
	}



/* _normalize-progn/loc */
	obj_t BGl__normaliza7ezd2prognzf2locz87zztools_prognz00(obj_t BgL_envz00_337,
		obj_t BgL_bodyza2za2_338, obj_t BgL_locz00_339)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 110 */
			return
				BGl_normaliza7ezd2prognzf2locz87zztools_prognz00(BgL_bodyza2za2_338,
				BgL_locz00_339);
		}
	}



/* emap */
	BGL_EXPORTED_DEF obj_t BGl_emapz00zztools_prognz00(obj_t BgL_fz00_19,
		obj_t BgL_l0z00_20)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 125 */
			return
				BGl_loopz00zztools_prognz00(BgL_fz00_19, BgL_l0z00_20, BgL_l0z00_20);
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_prognz00(obj_t BgL_fz00_348, obj_t BgL_l0z00_347,
		obj_t BgL_lz00_158)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 126 */
			if (NULLP(BgL_lz00_158))
				{	/* Tools/progn.scm 128 */
					return BNIL;
				}
			else
				{	/* Tools/progn.scm 128 */
					if (EXTENDED_PAIRP(BgL_lz00_158))
						{	/* Tools/progn.scm 131 */
							obj_t BgL_arg1394z00_162;
							obj_t BgL_arg1395z00_163;
							obj_t BgL_arg1396z00_164;

							{	/* Tools/progn.scm 131 */
								obj_t BgL_arg1397z00_165;

								BgL_arg1397z00_165 = CAR(BgL_lz00_158);
								BgL_arg1394z00_162 =
									PROCEDURE_ENTRY(BgL_fz00_348) (BgL_fz00_348,
									BgL_arg1397z00_165, BEOA);
							}
							BgL_arg1395z00_163 =
								BGl_loopz00zztools_prognz00(BgL_fz00_348, BgL_l0z00_347,
								CDR(BgL_lz00_158));
							BgL_arg1396z00_164 = CER(BgL_lz00_158);
							{	/* Tools/progn.scm 131 */
								obj_t BgL_res1431z00_313;

								BgL_res1431z00_313 =
									MAKE_EXTENDED_PAIR(BgL_arg1394z00_162, BgL_arg1395z00_163,
									BgL_arg1396z00_164);
								return BgL_res1431z00_313;
							}
						}
					else
						{	/* Tools/progn.scm 130 */
							if (PAIRP(BgL_lz00_158))
								{	/* Tools/progn.scm 133 */
									obj_t BgL_arg1400z00_168;
									obj_t BgL_arg1401z00_169;

									{	/* Tools/progn.scm 133 */
										obj_t BgL_arg1402z00_170;

										BgL_arg1402z00_170 = CAR(BgL_lz00_158);
										BgL_arg1400z00_168 =
											PROCEDURE_ENTRY(BgL_fz00_348) (BgL_fz00_348,
											BgL_arg1402z00_170, BEOA);
									}
									BgL_arg1401z00_169 =
										BGl_loopz00zztools_prognz00(BgL_fz00_348, BgL_l0z00_347,
										CDR(BgL_lz00_158));
									return MAKE_PAIR(BgL_arg1400z00_168, BgL_arg1401z00_169);
								}
							else
								{	/* Tools/progn.scm 132 */
									return
										BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF((
												(long) 2)), BGl_string1435z00zztools_prognz00,
										BgL_l0z00_347);
		}}}}
	}



/* _emap */
	obj_t BGl__emapz00zztools_prognz00(obj_t BgL_envz00_340, obj_t BgL_fz00_341,
		obj_t BgL_l0z00_342)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 125 */
			return BGl_emapz00zztools_prognz00(BgL_fz00_341, BgL_l0z00_342);
		}
	}



/* progn-first-expression */
	BGL_EXPORTED_DEF obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t
		BgL_expz00_21)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 142 */
			{
				obj_t BgL_expz00_172;

				BgL_expz00_172 = BgL_expz00_21;
			BgL_loopz00_173:
				if (PAIRP(BgL_expz00_172))
					{	/* Tools/progn.scm 143 */
						if ((CAR(BgL_expz00_172) == CNST_TABLE_REF(((long) 0))))
							{	/* Tools/progn.scm 143 */
								if (NULLP(CDR(BgL_expz00_172)))
									{	/* Tools/progn.scm 143 */
										return BFALSE;
									}
								else
									{	/* Tools/progn.scm 143 */
										obj_t BgL_cdrzd2981zd2_182;

										BgL_cdrzd2981zd2_182 = CDR(BgL_expz00_172);
										if (PAIRP(BgL_cdrzd2981zd2_182))
											{
												obj_t BgL_expz00_552;

												BgL_expz00_552 = CAR(BgL_cdrzd2981zd2_182);
												BgL_expz00_172 = BgL_expz00_552;
												goto BgL_loopz00_173;
											}
										else
											{	/* Tools/progn.scm 143 */
												return BgL_expz00_172;
											}
									}
							}
						else
							{	/* Tools/progn.scm 143 */
								return BgL_expz00_172;
							}
					}
				else
					{	/* Tools/progn.scm 143 */
						return BgL_expz00_172;
					}
			}
		}
	}



/* _progn-first-expression */
	obj_t BGl__prognzd2firstzd2expressionz00zztools_prognz00(obj_t BgL_envz00_343,
		obj_t BgL_expz00_344)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 142 */
			return BGl_prognzd2firstzd2expressionz00zztools_prognz00(BgL_expz00_344);
		}
	}



/* progn-tail-expressions */
	BGL_EXPORTED_DEF obj_t BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t
		BgL_expz00_22)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 157 */
			{
				obj_t BgL_expz00_188;

				BgL_expz00_188 = BgL_expz00_22;
				if (PAIRP(BgL_expz00_188))
					{	/* Tools/progn.scm 158 */
						if ((CAR(BgL_expz00_188) == CNST_TABLE_REF(((long) 0))))
							{	/* Tools/progn.scm 158 */
								if (NULLP(CDR(BgL_expz00_188)))
									{	/* Tools/progn.scm 158 */
										return BNIL;
									}
								else
									{	/* Tools/progn.scm 158 */
										obj_t BgL_cdrzd21000zd2_198;

										BgL_cdrzd21000zd2_198 = CDR(BgL_expz00_188);
										if (PAIRP(BgL_cdrzd21000zd2_198))
											{	/* Tools/progn.scm 158 */
												return CDR(BgL_cdrzd21000zd2_198);
											}
										else
											{	/* Tools/progn.scm 158 */
												return BNIL;
											}
									}
							}
						else
							{	/* Tools/progn.scm 158 */
								return BNIL;
							}
					}
				else
					{	/* Tools/progn.scm 158 */
						return BNIL;
					}
			}
		}
	}



/* _progn-tail-expressions */
	obj_t BGl__prognzd2tailzd2expressionsz00zztools_prognz00(obj_t BgL_envz00_345,
		obj_t BgL_expz00_346)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 157 */
			return BGl_prognzd2tailzd2expressionsz00zztools_prognz00(BgL_expz00_346);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1436z00zztools_prognz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1436z00zztools_prognz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1436z00zztools_prognz00));
		}
	}

#ifdef __cplusplus
}
#endif
