/*===========================================================================*/
/*   (Type/coercion.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/coercion.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;


	static obj_t BGl__findzd2coercer1512zd2zztype_coercionz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_coercionz00 = BUNSPEC;
	static obj_t BGl__addzd2coercionz121513zc0zztype_coercionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zztype_coercionz00();
	BGL_EXPORTED_DECL obj_t
		BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zztype_coercionz00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2coercionz12zc0zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zztype_coercionz00();
	static obj_t BGl__coercerzd2existszf31514z21zztype_coercionz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_coercionz00();
	static obj_t BGl_methodzd2initzd2zztype_coercionz00();
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2coercerzd2envz00zztype_coercionz00,
		BgL_bgl__findza7d2coercer11524za7,
		BGl__findzd2coercer1512zd2zztype_coercionz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercerzd2existszf3zd2envzf3zztype_coercionz00,
		BgL_bgl__coercerza7d2exist1525za7,
		BGl__coercerzd2existszf31514z21zztype_coercionz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1515z00zztype_coercionz00,
		BgL_bgl_string1515za700za7za7t1526za7, "Type coercion redefinition -- ",
		30);
	      DEFINE_STRING(BGl_string1516z00zztype_coercionz00,
		BgL_bgl_string1516za700za7za7t1527za7, "add-coercion!", 13);
	      DEFINE_STRING(BGl_string1517z00zztype_coercionz00,
		BgL_bgl_string1517za700za7za7t1528za7, "~a -> ~a", 8);
	      DEFINE_STRING(BGl_string1518z00zztype_coercionz00,
		BgL_bgl_string1518za700za7za7t1529za7, "while adding: ~a -> ~a", 22);
	      DEFINE_STRING(BGl_string1520z00zztype_coercionz00,
		BgL_bgl_string1520za700za7za7t1530za7, "type_coercion", 13);
	      DEFINE_STRING(BGl_string1519z00zztype_coercionz00,
		BgL_bgl_string1519za700za7za7t1531za7, "Can't find coercion", 19);
	      DEFINE_STRING(BGl_string1521z00zztype_coercionz00,
		BgL_bgl_string1521za700za7za7t1532za7, "coercer (()) ", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2coercionz12zd2envz12zztype_coercionz00,
		BgL_bgl__addza7d2coercionza71533z00,
		BGl__addzd2coercionz121513zc0zztype_coercionz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long
		BgL_checksumz00_433, char *BgL_fromz00_434)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_coercionz00))
				{
					BGl_requirezd2initializa7ationz75zztype_coercionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_coercionz00();
					BGl_cnstzd2initzd2zztype_coercionz00();
					BGl_importedzd2moduleszd2initz00zztype_coercionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_coercionz00()
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"type_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"type_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_coercion");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_coercion");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_coercionz00()
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 15 */
			{	/* Type/coercion.scm 15 */
				obj_t BgL_cportz00_425;

				BgL_cportz00_425 =
					bgl_open_input_string(BGl_string1521z00zztype_coercionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_426;

					BgL_iz00_426 = ((long) 1);
				BgL_loopz00_427:
					if ((BgL_iz00_426 == ((long) -1)))
						{	/* Type/coercion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/coercion.scm 15 */
							{	/* Type/coercion.scm 15 */
								obj_t BgL_arg1523z00_429;

								{	/* Type/coercion.scm 15 */

									{	/* Type/coercion.scm 15 */
										obj_t BgL_locationz00_431;

										BgL_locationz00_431 = BBOOL(((bool_t) 0));
										{	/* Type/coercion.scm 15 */

											BgL_arg1523z00_429 =
												BGl_readz00zz__readerz00(BgL_cportz00_425,
												BgL_locationz00_431);
										}
									}
								}
								{	/* Type/coercion.scm 15 */
									int BgL_auxz00_451;

									BgL_auxz00_451 = (int) (BgL_iz00_426);
									CNST_TABLE_SET(BgL_auxz00_451, BgL_arg1523z00_429);
							}}
							{	/* Type/coercion.scm 15 */
								int BgL_auxz00_432;

								BgL_auxz00_432 = (int) ((BgL_iz00_426 - ((long) 1)));
								{
									long BgL_iz00_456;

									BgL_iz00_456 = (long) (BgL_auxz00_432);
									BgL_iz00_426 = BgL_iz00_456;
									goto BgL_loopz00_427;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_coercionz00()
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 15 */
			return BUNSPEC;
		}
	}



/* find-coercer */
	BGL_EXPORTED_DEF obj_t
		BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt BgL_fromz00_19,
		BgL_typez00_bglt BgL_toz00_20)
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 31 */
			{	/* Type/coercion.scm 32 */
				BgL_typez00_bglt BgL_fromz00_120;
				BgL_typez00_bglt BgL_toz00_121;

				BgL_fromz00_120 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_19);
				BgL_toz00_121 = BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_20);
				{
					obj_t BgL_coercerz00_123;

					BgL_coercerz00_123 =
						(((BgL_typez00_bglt) CREF(BgL_fromz00_120))->BgL_coercezd2tozd2);
				BgL_loopz00_124:
					if (NULLP(BgL_coercerz00_123))
						{	/* Type/coercion.scm 36 */
							return BFALSE;
						}
					else
						{	/* Type/coercion.scm 36 */
							if (
								(STRUCT_REF(CAR(BgL_coercerz00_123),
										(int) (((long) 1))) == (obj_t) (BgL_toz00_121)))
								{	/* Type/coercion.scm 38 */
									return CAR(BgL_coercerz00_123);
								}
							else
								{
									obj_t BgL_coercerz00_469;

									BgL_coercerz00_469 = CDR(BgL_coercerz00_123);
									BgL_coercerz00_123 = BgL_coercerz00_469;
									goto BgL_loopz00_124;
								}
						}
				}
			}
		}
	}



/* _find-coercer1512 */
	obj_t BGl__findzd2coercer1512zd2zztype_coercionz00(obj_t BgL_envz00_413,
		obj_t BgL_fromz00_414, obj_t BgL_toz00_415)
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 31 */
			return
				BGl_findzd2coercerzd2zztype_coercionz00(
				(BgL_typez00_bglt) (BgL_fromz00_414),
				(BgL_typez00_bglt) (BgL_toz00_415));
		}
	}



/* add-coercion! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2coercionz12zc0zztype_coercionz00(BgL_typez00_bglt BgL_fromz00_21,
		BgL_typez00_bglt BgL_toz00_22, obj_t BgL_checkz00_23,
		obj_t BgL_coercez00_24)
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 77 */
			if (NULLP(BgL_checkz00_23))
				{	/* Type/coercion.scm 81 */
					BgL_checkz00_23 = CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Type/coercion.scm 81 */
					BFALSE;
				}
			if (NULLP(BgL_coercez00_24))
				{	/* Type/coercion.scm 82 */
					BgL_coercez00_24 = CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Type/coercion.scm 82 */
					BFALSE;
				}
			{	/* Type/coercion.scm 83 */
				BgL_typez00_bglt BgL_fromz00_132;
				BgL_typez00_bglt BgL_toz00_133;

				BgL_fromz00_132 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_21);
				BgL_toz00_133 = BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_22);
				{	/* Type/coercion.scm 85 */
					bool_t BgL_testz00_483;

					{	/* Type/coercion.scm 85 */
						obj_t BgL_arg1477z00_211;

						BgL_arg1477z00_211 =
							BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_132,
							BgL_toz00_133);
						if (STRUCTP(BgL_arg1477z00_211))
							{	/* Type/coercion.scm 85 */
								BgL_testz00_483 =
									(STRUCT_KEY(BgL_arg1477z00_211) ==
									CNST_TABLE_REF(((long) 1)));
							}
						else
							{	/* Type/coercion.scm 85 */
								BgL_testz00_483 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_483)
						{	/* Type/coercion.scm 85 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Type/coercion.scm 86 */
									return BFALSE;
								}
							else
								{	/* Type/coercion.scm 87 */
									obj_t BgL_arg1406z00_137;

									{	/* Type/coercion.scm 89 */
										obj_t BgL_arg1410z00_141;

										{	/* Type/coercion.scm 89 */
											obj_t BgL_list1411z00_142;

											{	/* Type/coercion.scm 89 */
												obj_t BgL_arg1412z00_143;

												{	/* Type/coercion.scm 89 */
													obj_t BgL_arg1413z00_144;

													{	/* Type/coercion.scm 89 */
														obj_t BgL_arg1415z00_145;

														BgL_arg1415z00_145 =
															MAKE_PAIR(BgL_coercez00_24, BNIL);
														BgL_arg1413z00_144 =
															MAKE_PAIR(BgL_checkz00_23, BgL_arg1415z00_145);
													}
													BgL_arg1412z00_143 =
														MAKE_PAIR(
														(obj_t) (BgL_toz00_133), BgL_arg1413z00_144);
												}
												BgL_list1411z00_142 =
													MAKE_PAIR(
													(obj_t) (BgL_fromz00_132), BgL_arg1412z00_143);
											}
											BgL_arg1410z00_141 = BgL_list1411z00_142;
										}
										BgL_arg1406z00_137 =
											BGl_shapez00zztools_shapez00(BgL_arg1410z00_141);
									}
									{	/* Type/coercion.scm 87 */
										obj_t BgL_list1407z00_138;

										{	/* Type/coercion.scm 87 */
											obj_t BgL_arg1408z00_139;

											{	/* Type/coercion.scm 87 */
												obj_t BgL_arg1409z00_140;

												BgL_arg1409z00_140 =
													MAKE_PAIR(BgL_arg1406z00_137, BNIL);
												BgL_arg1408z00_139 =
													MAKE_PAIR(BGl_string1515z00zztype_coercionz00,
													BgL_arg1409z00_140);
											}
											BgL_list1407z00_138 =
												MAKE_PAIR(BGl_string1516z00zztype_coercionz00,
												BgL_arg1408z00_139);
										}
										return BGl_warningz00zz__errorz00(BgL_list1407z00_138);
									}
								}
						}
					else
						{	/* Type/coercion.scm 85 */
							{	/* Type/coercion.scm 92 */
								obj_t BgL_newz00_146;

								{	/* Type/coercion.scm 92 */
									obj_t BgL_checkzd2opzd2_331;
									obj_t BgL_coercezd2opzd2_332;

									BgL_checkzd2opzd2_331 = BgL_checkz00_23;
									BgL_coercezd2opzd2_332 = BgL_coercez00_24;
									{	/* Type/coercion.scm 92 */
										obj_t BgL_newz00_333;

										BgL_newz00_333 =
											create_struct(CNST_TABLE_REF(((long) 1)),
											(int) (((long) 4)));
										{	/* Type/coercion.scm 92 */
											int BgL_auxz00_506;

											BgL_auxz00_506 = (int) (((long) 3));
											STRUCT_SET(BgL_newz00_333, BgL_auxz00_506,
												BgL_coercezd2opzd2_332);
										}
										{	/* Type/coercion.scm 92 */
											int BgL_auxz00_509;

											BgL_auxz00_509 = (int) (((long) 2));
											STRUCT_SET(BgL_newz00_333, BgL_auxz00_509,
												BgL_checkzd2opzd2_331);
										}
										{	/* Type/coercion.scm 92 */
											obj_t BgL_oz00_348;

											BgL_oz00_348 = (obj_t) (BgL_toz00_133);
											{	/* Type/coercion.scm 92 */
												int BgL_auxz00_513;

												BgL_auxz00_513 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_333, BgL_auxz00_513,
													BgL_oz00_348);
										}}
										{	/* Type/coercion.scm 92 */
											obj_t BgL_oz00_353;

											BgL_oz00_353 = (obj_t) (BgL_fromz00_132);
											{	/* Type/coercion.scm 92 */
												int BgL_auxz00_517;

												BgL_auxz00_517 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_333, BgL_auxz00_517,
													BgL_oz00_353);
										}}
										BgL_newz00_146 = BgL_newz00_333;
								}}
								{	/* Type/coercion.scm 93 */
									obj_t BgL_arg1416z00_147;

									{	/* Type/coercion.scm 93 */
										obj_t BgL_arg1417z00_148;

										BgL_arg1417z00_148 =
											(((BgL_typez00_bglt) CREF(BgL_fromz00_132))->
											BgL_coercezd2tozd2);
										BgL_arg1416z00_147 =
											MAKE_PAIR(BgL_newz00_146, BgL_arg1417z00_148);
									}
									((((BgL_typez00_bglt) CREF(BgL_fromz00_132))->
											BgL_coercezd2tozd2) =
										((obj_t) BgL_arg1416z00_147), BUNSPEC);
							}}
							{	/* Type/coercion.scm 95 */
								obj_t BgL_g1383z00_149;

								BgL_g1383z00_149 =
									(((BgL_typez00_bglt) CREF(BgL_toz00_133))->BgL_parentsz00);
								{
									obj_t BgL_l1380z00_150;

									BgL_l1380z00_150 = BgL_g1383z00_149;
								BgL_forzd2each1382zd2_151:
									if (PAIRP(BgL_l1380z00_150))
										{	/* Type/coercion.scm 95 */
											{	/* Type/coercion.scm 97 */
												obj_t BgL_parentz00_153;

												BgL_parentz00_153 = CAR(BgL_l1380z00_150);
												{	/* Type/coercion.scm 97 */
													bool_t BgL_testz00_527;

													if (((obj_t) (BgL_fromz00_132) == BgL_parentz00_153))
														{	/* Type/coercion.scm 97 */
															BgL_testz00_527 = ((bool_t) 0);
														}
													else
														{	/* Type/coercion.scm 97 */
															if (
																((obj_t) (BgL_toz00_133) == BgL_parentz00_153))
																{	/* Type/coercion.scm 98 */
																	BgL_testz00_527 = ((bool_t) 0);
																}
															else
																{	/* Type/coercion.scm 99 */
																	bool_t BgL_testz00_534;

																	{	/* Type/coercion.scm 99 */
																		obj_t BgL_arg1450z00_178;

																		BgL_arg1450z00_178 =
																			BGl_findzd2coercerzd2zztype_coercionz00
																			(BgL_fromz00_132,
																			(BgL_typez00_bglt) (BgL_parentz00_153));
																		if (STRUCTP(BgL_arg1450z00_178))
																			{	/* Type/coercion.scm 99 */
																				BgL_testz00_534 =
																					(STRUCT_KEY(BgL_arg1450z00_178) ==
																					CNST_TABLE_REF(((long) 1)));
																			}
																		else
																			{	/* Type/coercion.scm 99 */
																				BgL_testz00_534 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_534)
																		{	/* Type/coercion.scm 99 */
																			BgL_testz00_527 = ((bool_t) 0);
																		}
																	else
																		{	/* Type/coercion.scm 99 */
																			BgL_testz00_527 = ((bool_t) 1);
																		}
																}
														}
													if (BgL_testz00_527)
														{	/* Type/coercion.scm 100 */
															obj_t BgL_coercerzd2pzd2_155;

															BgL_coercerzd2pzd2_155 =
																BGl_findzd2coercerzd2zztype_coercionz00
																(BgL_toz00_133,
																(BgL_typez00_bglt) (BgL_parentz00_153));
															{	/* Type/coercion.scm 101 */
																bool_t BgL_testz00_544;

																if (STRUCTP(BgL_coercerzd2pzd2_155))
																	{	/* Type/coercion.scm 101 */
																		BgL_testz00_544 =
																			(STRUCT_KEY(BgL_coercerzd2pzd2_155) ==
																			CNST_TABLE_REF(((long) 1)));
																	}
																else
																	{	/* Type/coercion.scm 101 */
																		BgL_testz00_544 = ((bool_t) 0);
																	}
																if (BgL_testz00_544)
																	{	/* Type/coercion.scm 108 */
																		obj_t BgL_checkzd2pzd2_157;
																		obj_t BgL_coercezd2pzd2_158;

																		BgL_checkzd2pzd2_157 =
																			STRUCT_REF(BgL_coercerzd2pzd2_155,
																			(int) (((long) 2)));
																		BgL_coercezd2pzd2_158 =
																			STRUCT_REF(BgL_coercerzd2pzd2_155,
																			(int) (((long) 3)));
																		{	/* Type/coercion.scm 112 */
																			obj_t BgL_arg1421z00_159;
																			obj_t BgL_arg1423z00_160;

																			BgL_arg1421z00_159 =
																				bgl_append2(BgL_checkz00_23,
																				BgL_checkzd2pzd2_157);
																			BgL_arg1423z00_160 =
																				bgl_append2(BgL_coercez00_24,
																				BgL_coercezd2pzd2_158);
																			BGl_addzd2coercionz12zc0zztype_coercionz00
																				(BgL_fromz00_132,
																				(BgL_typez00_bglt) (BgL_parentz00_153),
																				BgL_arg1421z00_159, BgL_arg1423z00_160);
																	}}
																else
																	{	/* Type/coercion.scm 102 */
																		obj_t BgL_arg1426z00_162;
																		obj_t BgL_arg1430z00_163;

																		{	/* Type/coercion.scm 103 */
																			obj_t BgL_arg1433z00_166;
																			obj_t BgL_arg1434z00_167;

																			BgL_arg1433z00_166 =
																				BGl_shapez00zztools_shapez00(
																				(obj_t) (BgL_toz00_133));
																			BgL_arg1434z00_167 =
																				BGl_shapez00zztools_shapez00
																				(BgL_parentz00_153);
																			{	/* Type/coercion.scm 103 */
																				obj_t BgL_list1435z00_168;

																				{	/* Type/coercion.scm 103 */
																					obj_t BgL_arg1436z00_169;

																					BgL_arg1436z00_169 =
																						MAKE_PAIR(BgL_arg1434z00_167, BNIL);
																					BgL_list1435z00_168 =
																						MAKE_PAIR(BgL_arg1433z00_166,
																						BgL_arg1436z00_169);
																				}
																				BgL_arg1426z00_162 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string1517z00zztype_coercionz00,
																					BgL_list1435z00_168);
																			}
																		}
																		{	/* Type/coercion.scm 105 */
																			obj_t BgL_arg1441z00_171;
																			obj_t BgL_arg1443z00_172;

																			BgL_arg1441z00_171 =
																				BGl_shapez00zztools_shapez00(
																				(obj_t) (BgL_fromz00_132));
																			BgL_arg1443z00_172 =
																				BGl_shapez00zztools_shapez00(
																				(obj_t) (BgL_toz00_133));
																			{	/* Type/coercion.scm 105 */
																				obj_t BgL_list1444z00_173;

																				{	/* Type/coercion.scm 105 */
																					obj_t BgL_arg1446z00_174;

																					BgL_arg1446z00_174 =
																						MAKE_PAIR(BgL_arg1443z00_172, BNIL);
																					BgL_list1444z00_173 =
																						MAKE_PAIR(BgL_arg1441z00_171,
																						BgL_arg1446z00_174);
																				}
																				BgL_arg1430z00_163 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string1518z00zztype_coercionz00,
																					BgL_list1444z00_173);
																			}
																		}
																		BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string1519z00zztype_coercionz00,
																			BgL_arg1426z00_162, BgL_arg1430z00_163,
																			BNIL);
																	}
															}
														}
													else
														{	/* Type/coercion.scm 97 */
															BFALSE;
														}
												}
											}
											{
												obj_t BgL_l1380z00_572;

												BgL_l1380z00_572 = CDR(BgL_l1380z00_150);
												BgL_l1380z00_150 = BgL_l1380z00_572;
												goto BgL_forzd2each1382zd2_151;
											}
										}
									else
										{	/* Type/coercion.scm 95 */
											((bool_t) 1);
										}
								}
							}
							{	/* Type/coercion.scm 116 */
								obj_t BgL_g1386z00_180;

								BgL_g1386z00_180 =
									(((BgL_typez00_bglt) CREF(BgL_fromz00_132))->BgL_parentsz00);
								{
									obj_t BgL_l1384z00_181;

									{	/* Type/coercion.scm 116 */
										bool_t BgL_auxz00_575;

										BgL_l1384z00_181 = BgL_g1386z00_180;
									BgL_forzd2each1385zd2_182:
										if (PAIRP(BgL_l1384z00_181))
											{	/* Type/coercion.scm 116 */
												{	/* Type/coercion.scm 118 */
													obj_t BgL_parentz00_184;

													BgL_parentz00_184 = CAR(BgL_l1384z00_181);
													{	/* Type/coercion.scm 118 */
														bool_t BgL_testz00_579;

														if (
															((obj_t) (BgL_fromz00_132) == BgL_parentz00_184))
															{	/* Type/coercion.scm 118 */
																BgL_testz00_579 = ((bool_t) 0);
															}
														else
															{	/* Type/coercion.scm 118 */
																if (
																	((obj_t) (BgL_toz00_133) ==
																		BgL_parentz00_184))
																	{	/* Type/coercion.scm 119 */
																		BgL_testz00_579 = ((bool_t) 0);
																	}
																else
																	{	/* Type/coercion.scm 120 */
																		bool_t BgL_testz00_586;

																		{	/* Type/coercion.scm 120 */
																			obj_t BgL_arg1474z00_209;

																			BgL_arg1474z00_209 =
																				BGl_findzd2coercerzd2zztype_coercionz00(
																				(BgL_typez00_bglt) (BgL_parentz00_184),
																				BgL_toz00_133);
																			if (STRUCTP(BgL_arg1474z00_209))
																				{	/* Type/coercion.scm 120 */
																					BgL_testz00_586 =
																						(STRUCT_KEY(BgL_arg1474z00_209) ==
																						CNST_TABLE_REF(((long) 1)));
																				}
																			else
																				{	/* Type/coercion.scm 120 */
																					BgL_testz00_586 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_586)
																			{	/* Type/coercion.scm 120 */
																				BgL_testz00_579 = ((bool_t) 0);
																			}
																		else
																			{	/* Type/coercion.scm 120 */
																				BgL_testz00_579 = ((bool_t) 1);
																			}
																	}
															}
														if (BgL_testz00_579)
															{	/* Type/coercion.scm 121 */
																obj_t BgL_coercerzd2pzd2_186;

																BgL_coercerzd2pzd2_186 =
																	BGl_findzd2coercerzd2zztype_coercionz00(
																	(BgL_typez00_bglt) (BgL_parentz00_184),
																	BgL_fromz00_132);
																{	/* Type/coercion.scm 122 */
																	bool_t BgL_testz00_596;

																	if (STRUCTP(BgL_coercerzd2pzd2_186))
																		{	/* Type/coercion.scm 122 */
																			BgL_testz00_596 =
																				(STRUCT_KEY(BgL_coercerzd2pzd2_186) ==
																				CNST_TABLE_REF(((long) 1)));
																		}
																	else
																		{	/* Type/coercion.scm 122 */
																			BgL_testz00_596 = ((bool_t) 0);
																		}
																	if (BgL_testz00_596)
																		{	/* Type/coercion.scm 128 */
																			obj_t BgL_checkzd2pzd2_188;
																			obj_t BgL_coercezd2pzd2_189;

																			BgL_checkzd2pzd2_188 =
																				STRUCT_REF(BgL_coercerzd2pzd2_186,
																				(int) (((long) 2)));
																			BgL_coercezd2pzd2_189 =
																				STRUCT_REF(BgL_coercerzd2pzd2_186,
																				(int) (((long) 3)));
																			{	/* Type/coercion.scm 132 */
																				obj_t BgL_arg1455z00_190;
																				obj_t BgL_arg1456z00_191;

																				BgL_arg1455z00_190 =
																					bgl_append2(BgL_checkzd2pzd2_188,
																					BgL_checkz00_23);
																				BgL_arg1456z00_191 =
																					bgl_append2(BgL_coercezd2pzd2_189,
																					BgL_coercez00_24);
																				BGl_addzd2coercionz12zc0zztype_coercionz00
																					((BgL_typez00_bglt)
																					(BgL_parentz00_184), BgL_toz00_133,
																					BgL_arg1455z00_190,
																					BgL_arg1456z00_191);
																		}}
																	else
																		{	/* Type/coercion.scm 123 */
																			obj_t BgL_arg1458z00_193;
																			obj_t BgL_arg1459z00_194;

																			{	/* Type/coercion.scm 124 */
																				obj_t BgL_arg1462z00_197;
																				obj_t BgL_arg1463z00_198;

																				BgL_arg1462z00_197 =
																					BGl_shapez00zztools_shapez00
																					(BgL_parentz00_184);
																				BgL_arg1463z00_198 =
																					BGl_shapez00zztools_shapez00((obj_t)
																					(BgL_fromz00_132));
																				{	/* Type/coercion.scm 124 */
																					obj_t BgL_list1464z00_199;

																					{	/* Type/coercion.scm 124 */
																						obj_t BgL_arg1465z00_200;

																						BgL_arg1465z00_200 =
																							MAKE_PAIR(BgL_arg1463z00_198,
																							BNIL);
																						BgL_list1464z00_199 =
																							MAKE_PAIR(BgL_arg1462z00_197,
																							BgL_arg1465z00_200);
																					}
																					BgL_arg1458z00_193 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string1517z00zztype_coercionz00,
																						BgL_list1464z00_199);
																				}
																			}
																			{	/* Type/coercion.scm 126 */
																				obj_t BgL_arg1467z00_202;
																				obj_t BgL_arg1468z00_203;

																				BgL_arg1467z00_202 =
																					BGl_shapez00zztools_shapez00(
																					(obj_t) (BgL_fromz00_132));
																				BgL_arg1468z00_203 =
																					BGl_shapez00zztools_shapez00(
																					(obj_t) (BgL_toz00_133));
																				{	/* Type/coercion.scm 126 */
																					obj_t BgL_list1469z00_204;

																					{	/* Type/coercion.scm 126 */
																						obj_t BgL_arg1470z00_205;

																						BgL_arg1470z00_205 =
																							MAKE_PAIR(BgL_arg1468z00_203,
																							BNIL);
																						BgL_list1469z00_204 =
																							MAKE_PAIR(BgL_arg1467z00_202,
																							BgL_arg1470z00_205);
																					}
																					BgL_arg1459z00_194 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string1518z00zztype_coercionz00,
																						BgL_list1469z00_204);
																				}
																			}
																			BGl_userzd2errorzd2zztools_errorz00
																				(BGl_string1519z00zztype_coercionz00,
																				BgL_arg1458z00_193, BgL_arg1459z00_194,
																				BNIL);
																		}
																}
															}
														else
															{	/* Type/coercion.scm 118 */
																BFALSE;
															}
													}
												}
												{
													obj_t BgL_l1384z00_624;

													BgL_l1384z00_624 = CDR(BgL_l1384z00_181);
													BgL_l1384z00_181 = BgL_l1384z00_624;
													goto BgL_forzd2each1385zd2_182;
												}
											}
										else
											{	/* Type/coercion.scm 116 */
												BgL_auxz00_575 = ((bool_t) 1);
											}
										return BBOOL(BgL_auxz00_575);
									}
								}
							}
						}
				}
			}
		}
	}



/* _add-coercion!1513 */
	obj_t BGl__addzd2coercionz121513zc0zztype_coercionz00(obj_t BgL_envz00_416,
		obj_t BgL_fromz00_417, obj_t BgL_toz00_418, obj_t BgL_checkz00_419,
		obj_t BgL_coercez00_420)
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 77 */
			return
				BGl_addzd2coercionz12zc0zztype_coercionz00(
				(BgL_typez00_bglt) (BgL_fromz00_417),
				(BgL_typez00_bglt) (BgL_toz00_418), BgL_checkz00_419,
				BgL_coercez00_420);
		}
	}



/* coercer-exists? */
	BGL_EXPORTED_DEF bool_t
		BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt BgL_toz00_27,
		BgL_typez00_bglt BgL_fromz00_28)
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 167 */
			{	/* Type/coercion.scm 168 */
				BgL_typez00_bglt BgL_toz00_243;
				BgL_typez00_bglt BgL_fromz00_244;

				BgL_toz00_243 = BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_27);
				BgL_fromz00_244 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_28);
				{	/* Type/coercion.scm 170 */
					bool_t BgL_testz00_632;

					if (((obj_t) (BgL_fromz00_244) == (obj_t) (BgL_toz00_243)))
						{	/* Type/coercion.scm 170 */
							BgL_testz00_632 = ((bool_t) 1);
						}
					else
						{	/* Type/coercion.scm 170 */
							BgL_testz00_632 =
								(((BgL_typez00_bglt) CREF(BgL_fromz00_244))->BgL_magiczf3zf3);
						}
					if (BgL_testz00_632)
						{	/* Type/coercion.scm 170 */
							return ((bool_t) 1);
						}
					else
						{	/* Type/coercion.scm 172 */
							obj_t BgL_arg1500z00_246;

							BgL_arg1500z00_246 =
								BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_244,
								BgL_toz00_243);
							if (STRUCTP(BgL_arg1500z00_246))
								{	/* Type/coercion.scm 172 */
									return
										(STRUCT_KEY(BgL_arg1500z00_246) ==
										CNST_TABLE_REF(((long) 1)));
								}
							else
								{	/* Type/coercion.scm 172 */
									return ((bool_t) 0);
								}
						}
				}
			}
		}
	}



/* _coercer-exists?1514 */
	obj_t BGl__coercerzd2existszf31514z21zztype_coercionz00(obj_t BgL_envz00_421,
		obj_t BgL_toz00_422, obj_t BgL_fromz00_423)
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 167 */
			return
				BBOOL(BGl_coercerzd2existszf3z21zztype_coercionz00(
					(BgL_typez00_bglt) (BgL_toz00_422),
					(BgL_typez00_bglt) (BgL_fromz00_423)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_coercionz00()
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_coercionz00()
	{
		AN_OBJECT;
		{	/* Type/coercion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string1520z00zztype_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1520z00zztype_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string1520z00zztype_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string1520z00zztype_coercionz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1520z00zztype_coercionz00));
		}
	}

#ifdef __cplusplus
}
#endif
