/*===========================================================================*/
/*   (Type/tenv.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/tenv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_caliasz00_bgl
	{
		bool_t BgL_arrayzf3zf3;
	}                *BgL_caliasz00_bglt;

	typedef struct BgL_cenumz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		obj_t BgL_literalsz00;
	}               *BgL_cenumz00_bglt;

	typedef struct BgL_copaquez00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
	}                 *BgL_copaquez00_bglt;

	typedef struct BgL_cfunctionz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		long BgL_arityz00;
		struct BgL_typez00_bgl *BgL_typezd2reszd2;
		obj_t BgL_typezd2argszd2;
	}                   *BgL_cfunctionz00_bglt;

	typedef struct BgL_cptrz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_typez00_bgl *BgL_pointzd2tozd2;
		bool_t BgL_arrayzf3zf3;
	}              *BgL_cptrz00_bglt;

	typedef struct BgL_cstructz00_bgl
	{
		bool_t BgL_structzf3zf3;
		obj_t BgL_fieldsz00;
		obj_t BgL_cstructza2za2;
	}                 *BgL_cstructz00_bglt;

	typedef struct BgL_cstructza2za2_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_cstructz00_bgl *BgL_cstructz00;
	}                    *BgL_cstructza2za2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	static obj_t BGl__subzd2typezf32896z21zztype_envz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t, bool_t,
		obj_t);
	extern bool_t BGl_ctypezf3zf3zzforeign_ctypez00(obj_t);
	extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2tenvzd2zztype_envz00();
	extern obj_t BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(obj_t);
	extern obj_t BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t, obj_t);
	static obj_t BGl__forzd2eachzd2typez122894z12zztype_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t);
	static obj_t BGl__declarezd2aliastypez122893zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	extern obj_t BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl__declarezd2typez122891zc0zztype_envz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32822ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32824ze3z83zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_zc3anonymousza32832ze3z83zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	static obj_t BGl_cnstzd2initzd2zztype_envz00();
	static obj_t BGl__getzd2tenvzd2zztype_envz00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl__usezd2foreignzd2typez122889z12zztype_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztype_envz00();
	BGL_EXPORTED_DECL obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2
		(BgL_tclassz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2typeszd2zztype_envz00();
	extern obj_t BGl_heapzd2addzd2jclassz12z12zzmodule_javaz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32849ze3z83zztype_envz00(obj_t);
	extern obj_t BGl_delayzd2tvectorz12zc0zzmodule_typez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32715ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_findzd2typezf2locationz20zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32722ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__findzd2typezf2location2885z20zztype_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t, obj_t, obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztype_envz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
	extern obj_t
		BGl_heapzd2addzd2classz12z12zzobject_classz00(BgL_tclassz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl__typezd2existszf32886z21zztype_envz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32739ze3z83zztype_envz00(obj_t);
	static obj_t BGl__addzd2tenvz12zc0zztype_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t
		BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2
		(BgL_tclassz00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_zc3anonymousza32743ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__checkzd2typeszd2zztype_envz00(obj_t);
	extern obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl__usezd2typezf2importzd2loc2888zf2zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__usezd2foreignzd2typezf2im2890zf2zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__initializa7ezd2Tenvz12z67zztype_envz00(obj_t);
	static obj_t BGl__findzd2type2884zd2zztype_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2Tenvza2z00zztype_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl__usezd2typez122887zc0zztype_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	static obj_t BGl__declarezd2subtypez122892zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__setzd2tenvz12zc0zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	static bool_t BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00;
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00();
	static obj_t BGl_uninitializa7edzd2typesz75zztype_envz00();
	static obj_t BGl_methodzd2initzd2zztype_envz00();
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2typezf2locationzd2envzf2zztype_envz00,
		BgL_bgl__findza7d2typeza7f2l2913z00,
		BGl__findzd2typezf2location2885z20zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2tenvz12zd2envz12zztype_envz00,
		BgL_bgl__setza7d2tenvza712za7c2914za7, BGl__setzd2tenvz12zc0zztype_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2foreignzd2typezf2importzd2locz12zd2envze0zztype_envz00,
		BgL_bgl__useza7d2foreignza7d2915z00,
		BGl__usezd2foreignzd2typezf2im2890zf2zztype_envz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2typezf2importzd2locz12zd2envz32zztype_envz00,
		BgL_bgl__useza7d2typeza7f2im2916z00,
		BGl__usezd2typezf2importzd2loc2888zf2zztype_envz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2foreignzd2typez12zd2envzc0zztype_envz00,
		BgL_bgl__useza7d2foreignza7d2917z00,
		BGl__usezd2foreignzd2typez122889z12zztype_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2subtypez12zd2envz12zztype_envz00,
		BgL_bgl__declareza7d2subty2918za7,
		BGl__declarezd2subtypez122892zc0zztype_envz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2900z00zztype_envz00,
		BgL_bgl_string2900za700za7za7t2919za7, "Can't find type", 15);
	      DEFINE_STRING(BGl_string2901z00zztype_envz00,
		BgL_bgl_string2901za700za7za7t2920za7, "Type redefinition", 17);
	      DEFINE_STRING(BGl_string2902z00zztype_envz00,
		BgL_bgl_string2902za700za7za7t2921za7, "declare-type!", 13);
	      DEFINE_STRING(BGl_string2903z00zztype_envz00,
		BgL_bgl_string2903za700za7za7t2922za7, "Illegal type class", 18);
	      DEFINE_STRING(BGl_string2904z00zztype_envz00,
		BgL_bgl_string2904za700za7za7t2923za7, " type(s) used but not defined.",
		30);
	      DEFINE_STRING(BGl_string2905z00zztype_envz00,
		BgL_bgl_string2905za700za7za7t2924za7, "Stopping compilation...", 23);
	      DEFINE_STRING(BGl_string2906z00zztype_envz00,
		BgL_bgl_string2906za700za7za7t2925za7,
		"Undefined type used in export clause", 36);
	      DEFINE_STRING(BGl_string2907z00zztype_envz00,
		BgL_bgl_string2907za700za7za7t2926za7, "Undefined used type", 19);
	      DEFINE_STRING(BGl_string2897z00zztype_envz00,
		BgL_bgl_string2897za700za7za7t2927za7, "Can't find super class of", 25);
	      DEFINE_STRING(BGl_string2908z00zztype_envz00,
		BgL_bgl_string2908za700za7za7t2928za7, "Undefined type", 14);
	      DEFINE_STRING(BGl_string2898z00zztype_envz00,
		BgL_bgl_string2898za700za7za7t2929za7, "add-Tenv!", 9);
	      DEFINE_STRING(BGl_string2910z00zztype_envz00,
		BgL_bgl_string2910za700za7za7t2930za7,
		"(bigloo C _ java) use-type! bigloo bind-type! find-type heap add-Tenv the-global-environment ",
		93);
	      DEFINE_STRING(BGl_string2909z00zztype_envz00,
		BgL_bgl_string2909za700za7za7t2931za7, "type_env", 8);
	      DEFINE_STRING(BGl_string2899z00zztype_envz00,
		BgL_bgl_string2899za700za7za7t2932za7, "Illegal type heap redefinition",
		30);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2typezd2envz00zztype_envz00,
		BgL_bgl__findza7d2type28842933za7, BGl__findzd2type2884zd2zztype_envz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2typez12zd2envz12zztype_envz00,
		BgL_bgl__declareza7d2typeza72934z00,
		BGl__declarezd2typez122891zc0zztype_envz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2typez12zd2envz12zztype_envz00,
		BgL_bgl__useza7d2typeza712282935z00, BGl__usezd2typez122887zc0zztype_envz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_subzd2typezf3zd2envzf3zztype_envz00,
		BgL_bgl__subza7d2typeza7f3282936z00, BGl__subzd2typezf32896z21zztype_envz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2existszf3zd2envzf3zztype_envz00,
		BgL_bgl__typeza7d2existsza7f2937z00,
		BGl__typezd2existszf32886z21zztype_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2aliastypez12zd2envz12zztype_envz00,
		BgL_bgl__declareza7d2alias2938za7,
		BGl__declarezd2aliastypez122893zc0zztype_envz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2typez12zd2envzc0zztype_envz00,
		BgL_bgl__forza7d2eachza7d2ty2939z00,
		BGl__forzd2eachzd2typez122894z12zztype_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2tenvz12zd2envz12zztype_envz00,
		BgL_bgl__addza7d2tenvza712za7c2940za7, BGl__addzd2tenvz12zc0zztype_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Tenvz12zd2envzb5zztype_envz00,
		BgL_bgl__initializa7a7eza7d22941z00,
		BGl__initializa7ezd2Tenvz12z67zztype_envz00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_errorzd2notifyzd2envz00zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2tenvzd2envz00zztype_envz00,
		BgL_bgl__getza7d2tenvza7d2za7za72942z00, BGl__getzd2tenvzd2zztype_envz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2typeszd2envz00zztype_envz00,
		BgL_bgl__checkza7d2typesza7d2943z00, BGl__checkzd2typeszd2zztype_envz00, 0L,
		BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long
		BgL_checksumz00_1173, char *BgL_fromz00_1174)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_envz00))
				{
					BGl_requirezd2initializa7ationz75zztype_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_envz00();
					BGl_cnstzd2initzd2zztype_envz00();
					BGl_importedzd2moduleszd2initz00zztype_envz00();
					BGl_toplevelzd2initzd2zztype_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			{	/* Type/tenv.scm 15 */
				obj_t BgL_cportz00_1165;

				BgL_cportz00_1165 =
					bgl_open_input_string(BGl_string2910z00zztype_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1166;

					BgL_iz00_1166 = ((long) 7);
				BgL_loopz00_1167:
					if ((BgL_iz00_1166 == ((long) -1)))
						{	/* Type/tenv.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/tenv.scm 15 */
							{	/* Type/tenv.scm 15 */
								obj_t BgL_arg2912z00_1169;

								{	/* Type/tenv.scm 15 */

									{	/* Type/tenv.scm 15 */
										obj_t BgL_locationz00_1171;

										BgL_locationz00_1171 = BBOOL(((bool_t) 0));
										{	/* Type/tenv.scm 15 */

											BgL_arg2912z00_1169 =
												BGl_readz00zz__readerz00(BgL_cportz00_1165,
												BgL_locationz00_1171);
										}
									}
								}
								{	/* Type/tenv.scm 15 */
									int BgL_auxz00_1195;

									BgL_auxz00_1195 = (int) (BgL_iz00_1166);
									CNST_TABLE_SET(BgL_auxz00_1195, BgL_arg2912z00_1169);
							}}
							{	/* Type/tenv.scm 15 */
								int BgL_auxz00_1172;

								BgL_auxz00_1172 = (int) ((BgL_iz00_1166 - ((long) 1)));
								{
									long BgL_iz00_1200;

									BgL_iz00_1200 = (long) (BgL_auxz00_1172);
									BgL_iz00_1166 = BgL_iz00_1200;
									goto BgL_loopz00_1167;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			BGl_za2Tenvza2z00zztype_envz00 = CNST_TABLE_REF(((long) 0));
			return (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 =
				((bool_t) 0), BUNSPEC);
		}
	}



/* initialize-Tenv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 76 */
			if (BGl_hashtablezf3zf3zz__hashz00(BGl_za2Tenvza2z00zztype_envz00))
				{	/* Type/tenv.scm 78 */
					return BFALSE;
				}
			else
				{	/* Type/tenv.scm 78 */
					return (BGl_za2Tenvza2z00zztype_envz00 =
						BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
				}
		}
	}



/* _initialize-Tenv! */
	obj_t BGl__initializa7ezd2Tenvz12z67zztype_envz00(obj_t BgL_envz00_1080)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 76 */
			return BGl_initializa7ezd2Tenvz12z67zztype_envz00();
		}
	}



/* get-tenv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2tenvzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 84 */
			return BGl_za2Tenvza2z00zztype_envz00;
		}
	}



/* _get-tenv */
	obj_t BGl__getzd2tenvzd2zztype_envz00(obj_t BgL_envz00_1081)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 84 */
			return BGl_za2Tenvza2z00zztype_envz00;
		}
	}



/* set-tenv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_19)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 90 */
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			return BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_19);
		}
	}



/* _set-tenv! */
	obj_t BGl__setzd2tenvz12zc0zztype_envz00(obj_t BgL_envz00_1082,
		obj_t BgL_tenvz00_1083)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 90 */
			return BGl_setzd2tenvz12zc0zztype_envz00(BgL_tenvz00_1083);
		}
	}



/* add-tenv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_20)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 102 */
			{	/* Type/tenv.scm 142 */
				obj_t BgL_rememberzd2listzd2_488;
				obj_t BgL_tvectorzd2listzd2_489;

				BgL_rememberzd2listzd2_488 = MAKE_CELL(BNIL);
				BgL_tvectorzd2listzd2_489 = MAKE_CELL(BNIL);
				{	/* Type/tenv.scm 154 */
					obj_t BgL_zc3anonymousza32715ze3z83_1087;

					BgL_zc3anonymousza32715ze3z83_1087 =
						make_fx_procedure(BGl_zc3anonymousza32715ze3z83zztype_envz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_1087,
						(int) (((long) 0)), BgL_rememberzd2listzd2_488);
					PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_1087,
						(int) (((long) 1)), BgL_tvectorzd2listzd2_489);
					BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_20,
						BgL_zc3anonymousza32715ze3z83_1087);
				}
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_20,
					make_fx_procedure(BGl_zc3anonymousza32722ze3z83zztype_envz00,
						(int) (((long) 2)), (int) (((long) 0))));
				{
					obj_t BgL_l2689z00_512;

					BgL_l2689z00_512 = CELL_REF(BgL_rememberzd2listzd2_488);
				BgL_forzd2each2690zd2_513:
					if (PAIRP(BgL_l2689z00_512))
						{	/* Type/tenv.scm 187 */
							{	/* Type/tenv.scm 188 */
								obj_t BgL_newz00_515;

								BgL_newz00_515 = CAR(BgL_l2689z00_512);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_515,
										BGl_tclassz00zzobject_classz00))
									{	/* Type/tenv.scm 189 */
										obj_t BgL_superz00_517;

										{	/* Type/tenv.scm 189 */
											BgL_tclassz00_bglt BgL_obj2412z00_927;

											BgL_obj2412z00_927 =
												(BgL_tclassz00_bglt) (BgL_newz00_515);
											{
												obj_t BgL_auxz00_1228;

												{	/* Type/tenv.scm 189 */
													BgL_objectz00_bglt BgL_auxz00_1229;

													BgL_auxz00_1229 =
														(BgL_objectz00_bglt) (BgL_obj2412z00_927);
													BgL_auxz00_1228 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1229);
												}
												BgL_superz00_517 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1228))->
													BgL_itszd2superzd2);
											}
										}
										if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_517,
												BGl_tclassz00zzobject_classz00))
											{	/* Type/tenv.scm 191 */
												obj_t BgL_superzd2idzd2_519;

												{	/* Type/tenv.scm 191 */
													BgL_typez00_bglt BgL_obj1802z00_929;

													BgL_obj1802z00_929 =
														(BgL_typez00_bglt) (BgL_superz00_517);
													BgL_superzd2idzd2_519 =
														(((BgL_typez00_bglt) CREF(BgL_obj1802z00_929))->
														BgL_idz00);
												}
												{	/* Type/tenv.scm 191 */
													BgL_typez00_bglt BgL_oldzd2szd2_520;

													BgL_oldzd2szd2_520 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_superzd2idzd2_519);
													{	/* Type/tenv.scm 192 */

														{	/* Type/tenv.scm 193 */
															bool_t BgL_testz00_1238;

															{	/* Type/tenv.scm 193 */
																obj_t BgL_obj2411z00_930;

																BgL_obj2411z00_930 =
																	(obj_t) (BgL_oldzd2szd2_520);
																BgL_testz00_1238 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj2411z00_930,
																	BGl_tclassz00zzobject_classz00);
															}
															if (BgL_testz00_1238)
																{	/* Type/tenv.scm 197 */
																	BgL_tclassz00_bglt BgL_obj2414z00_931;
																	obj_t BgL_val2413z00_932;

																	BgL_obj2414z00_931 =
																		(BgL_tclassz00_bglt) (BgL_newz00_515);
																	BgL_val2413z00_932 =
																		(obj_t) (BgL_oldzd2szd2_520);
																	{
																		obj_t BgL_auxz00_1243;

																		{	/* Type/tenv.scm 197 */
																			BgL_objectz00_bglt BgL_auxz00_1244;

																			BgL_auxz00_1244 =
																				(BgL_objectz00_bglt)
																				(BgL_obj2414z00_931);
																			BgL_auxz00_1243 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1244);
																		}
																		((((BgL_tclassz00_bglt)
																					CREF(BgL_auxz00_1243))->
																				BgL_itszd2superzd2) =
																			((obj_t) BgL_val2413z00_932), BUNSPEC);
																	}
																}
															else
																{	/* Type/tenv.scm 194 */
																	obj_t BgL_arg2729z00_522;
																	obj_t BgL_arg2731z00_524;

																	BgL_arg2729z00_522 =
																		CNST_TABLE_REF(((long) 1));
																	{	/* Type/tenv.scm 196 */
																		BgL_typez00_bglt BgL_obj1803z00_933;

																		BgL_obj1803z00_933 =
																			(BgL_typez00_bglt) (BgL_newz00_515);
																		BgL_arg2731z00_524 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_obj1803z00_933))->BgL_namez00);
																	}
																	BGl_errorz00zz__errorz00(BgL_arg2729z00_522,
																		BGl_string2897z00zztype_envz00,
																		BgL_arg2731z00_524);
											}}}}}
										else
											{	/* Type/tenv.scm 190 */
												BFALSE;
											}
									}
								else
									{	/* Type/tenv.scm 188 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l2689z00_1252;

								BgL_l2689z00_1252 = CDR(BgL_l2689z00_512);
								BgL_l2689z00_512 = BgL_l2689z00_1252;
								goto BgL_forzd2each2690zd2_513;
							}
						}
					else
						{	/* Type/tenv.scm 187 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l2691z00_526;

					BgL_l2691z00_526 = CELL_REF(BgL_tvectorzd2listzd2_489);
				BgL_forzd2each2692zd2_527:
					if (PAIRP(BgL_l2691z00_526))
						{	/* Type/tenv.scm 200 */
							{	/* Type/tenv.scm 201 */
								obj_t BgL_newz00_529;

								BgL_newz00_529 = CAR(BgL_l2691z00_526);
								BGl_delayzd2tvectorz12zc0zzmodule_typez00(BgL_newz00_529,
									CNST_TABLE_REF(((long) 2)));
							}
							{
								obj_t BgL_l2691z00_1259;

								BgL_l2691z00_1259 = CDR(BgL_l2691z00_526);
								BgL_l2691z00_526 = BgL_l2691z00_1259;
								goto BgL_forzd2each2692zd2_527;
							}
						}
					else
						{	/* Type/tenv.scm 200 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l2693z00_531;

					BgL_l2693z00_531 = CELL_REF(BgL_rememberzd2listzd2_488);
				BgL_forzd2each2694zd2_532:
					if (PAIRP(BgL_l2693z00_531))
						{	/* Type/tenv.scm 211 */
							{	/* Type/tenv.scm 212 */
								obj_t BgL_nz00_534;

								BgL_nz00_534 = CAR(BgL_l2693z00_531);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_nz00_534,
										BGl_tclassz00zzobject_classz00))
									{	/* Type/tenv.scm 216 */
										obj_t BgL_arg2737z00_536;

										{	/* Type/tenv.scm 216 */
											obj_t BgL_zc3anonymousza32739ze3z83_1085;

											BgL_zc3anonymousza32739ze3z83_1085 =
												make_fx_procedure
												(BGl_zc3anonymousza32739ze3z83zztype_envz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32739ze3z83_1085,
												(int) (((long) 0)), BgL_nz00_534);
											BgL_arg2737z00_536 =
												BGl_makezd2promisezd2zz__r4_control_features_6_9z00
												(BgL_zc3anonymousza32739ze3z83_1085);
										}
										{	/* Type/tenv.scm 213 */
											BgL_typez00_bglt BgL_auxz00_1272;

											BgL_auxz00_1272 =
												BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
												(BgL_typez00_bglt) (BgL_nz00_534), BgL_arg2737z00_536);
											(obj_t) (BgL_auxz00_1272);
									}}
								else
									{	/* Type/tenv.scm 212 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l2693z00_1276;

								BgL_l2693z00_1276 = CDR(BgL_l2693z00_531);
								BgL_l2693z00_531 = BgL_l2693z00_1276;
								goto BgL_forzd2each2694zd2_532;
							}
						}
					else
						{	/* Type/tenv.scm 211 */
							((bool_t) 1);
						}
				}
			}
			{	/* Type/tenv.scm 228 */
				obj_t BgL_zc3anonymousza32743ze3z83_1084;

				BgL_zc3anonymousza32743ze3z83_1084 =
					make_fx_procedure(BGl_zc3anonymousza32743ze3z83zztype_envz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_hashtablezd2forzd2eachz00zz__hashz00
					(BGl_za2Tenvza2z00zztype_envz00, BgL_zc3anonymousza32743ze3z83_1084);
			}
		}
	}



/* _add-tenv! */
	obj_t BGl__addzd2tenvz12zc0zztype_envz00(obj_t BgL_envz00_1088,
		obj_t BgL_tenvz00_1089)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 102 */
			return BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_1089);
		}
	}



/* <anonymous:2743> */
	obj_t BGl_zc3anonymousza32743ze3z83zztype_envz00(obj_t BgL_envz00_1090,
		obj_t BgL_kz00_1091, obj_t BgL_newz00_1092)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 227 */
			{
				obj_t BgL_kz00_543;
				obj_t BgL_newz00_544;

				{	/* Type/tenv.scm 228 */
					bool_t BgL_auxz00_1283;

					BgL_kz00_543 = BgL_kz00_1091;
					BgL_newz00_544 = BgL_newz00_1092;
					{
						obj_t BgL_typez00_576;

						BgL_typez00_576 = BgL_newz00_544;
						{	/* Type/tenv.scm 105 */
							bool_t BgL_testz00_1284;

							{	/* Type/tenv.scm 105 */
								obj_t BgL_arg2765z00_582;

								{	/* Type/tenv.scm 105 */
									BgL_typez00_bglt BgL_obj1828z00_965;

									BgL_obj1828z00_965 = (BgL_typez00_bglt) (BgL_typez00_576);
									BgL_arg2765z00_582 =
										(((BgL_typez00_bglt) CREF(BgL_obj1828z00_965))->
										BgL_aliasz00);
								}
								BgL_testz00_1284 =
									BGl_iszd2azf3z21zz__objectz00(BgL_arg2765z00_582,
									BGl_typez00zztype_typez00);
							}
							if (BgL_testz00_1284)
								{	/* Type/tenv.scm 106 */
									BgL_typez00_bglt BgL_arg2761z00_579;

									{	/* Type/tenv.scm 106 */
										obj_t BgL_arg2762z00_580;

										{	/* Type/tenv.scm 106 */
											BgL_typez00_bglt BgL_obj1802z00_968;

											{	/* Type/tenv.scm 106 */
												BgL_typez00_bglt BgL_obj1828z00_967;

												BgL_obj1828z00_967 =
													(BgL_typez00_bglt) (BgL_typez00_576);
												{	/* Type/tenv.scm 106 */
													obj_t BgL_auxz00_1289;

													BgL_auxz00_1289 =
														(((BgL_typez00_bglt) CREF(BgL_obj1828z00_967))->
														BgL_aliasz00);
													BgL_obj1802z00_968 =
														(BgL_typez00_bglt) (BgL_auxz00_1289);
												}
											}
											BgL_arg2762z00_580 =
												(((BgL_typez00_bglt) CREF(BgL_obj1802z00_968))->
												BgL_idz00);
										}
										BgL_arg2761z00_579 =
											BGl_findzd2typezd2zztype_envz00(BgL_arg2762z00_580);
									}
									{	/* Type/tenv.scm 106 */
										BgL_typez00_bglt BgL_obj1830z00_969;
										obj_t BgL_val1829z00_970;

										BgL_obj1830z00_969 = (BgL_typez00_bglt) (BgL_typez00_576);
										BgL_val1829z00_970 = (obj_t) (BgL_arg2761z00_579);
										((((BgL_typez00_bglt) CREF(BgL_obj1830z00_969))->
												BgL_aliasz00) = ((obj_t) BgL_val1829z00_970), BUNSPEC);
									}
								}
							else
								{	/* Type/tenv.scm 105 */
									BFALSE;
								}
						}
						{	/* Type/tenv.scm 109 */
							obj_t BgL_arg2766z00_583;

							{	/* Type/tenv.scm 109 */
								obj_t BgL_l2681z00_584;

								{	/* Type/tenv.scm 111 */
									BgL_typez00_bglt BgL_obj1815z00_971;

									BgL_obj1815z00_971 = (BgL_typez00_bglt) (BgL_typez00_576);
									BgL_l2681z00_584 =
										(((BgL_typez00_bglt) CREF(BgL_obj1815z00_971))->
										BgL_parentsz00);
								}
								if (NULLP(BgL_l2681z00_584))
									{	/* Type/tenv.scm 109 */
										BgL_arg2766z00_583 = BNIL;
									}
								else
									{	/* Type/tenv.scm 109 */
										obj_t BgL_head2683z00_586;

										BgL_head2683z00_586 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l2681z00_587;
											obj_t BgL_tail2684z00_588;

											BgL_l2681z00_587 = BgL_l2681z00_584;
											BgL_tail2684z00_588 = BgL_head2683z00_586;
										BgL_map2682z00_589:
											if (NULLP(BgL_l2681z00_587))
												{	/* Type/tenv.scm 109 */
													BgL_arg2766z00_583 = CDR(BgL_head2683z00_586);
												}
											else
												{	/* Type/tenv.scm 109 */
													obj_t BgL_newtail2685z00_591;

													{	/* Type/tenv.scm 109 */
														BgL_typez00_bglt BgL_arg2770z00_593;

														{	/* Type/tenv.scm 109 */
															obj_t BgL_parentz00_595;

															BgL_parentz00_595 = CAR(BgL_l2681z00_587);
															{	/* Type/tenv.scm 110 */
																obj_t BgL_arg2772z00_596;

																{	/* Type/tenv.scm 110 */
																	BgL_typez00_bglt BgL_obj1802z00_978;

																	BgL_obj1802z00_978 =
																		(BgL_typez00_bglt) (BgL_parentz00_595);
																	BgL_arg2772z00_596 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_obj1802z00_978))->BgL_idz00);
																}
																BgL_arg2770z00_593 =
																	BGl_findzd2typezd2zztype_envz00
																	(BgL_arg2772z00_596);
															}
														}
														{	/* Type/tenv.scm 109 */
															obj_t BgL_obj1z00_979;

															BgL_obj1z00_979 = (obj_t) (BgL_arg2770z00_593);
															BgL_newtail2685z00_591 =
																MAKE_PAIR(BgL_obj1z00_979, BNIL);
														}
													}
													SET_CDR(BgL_tail2684z00_588, BgL_newtail2685z00_591);
													{
														obj_t BgL_tail2684z00_1314;
														obj_t BgL_l2681z00_1312;

														BgL_l2681z00_1312 = CDR(BgL_l2681z00_587);
														BgL_tail2684z00_1314 = BgL_newtail2685z00_591;
														BgL_tail2684z00_588 = BgL_tail2684z00_1314;
														BgL_l2681z00_587 = BgL_l2681z00_1312;
														goto BgL_map2682z00_589;
													}
												}
										}
									}
							}
							{	/* Type/tenv.scm 108 */
								BgL_typez00_bglt BgL_obj1817z00_984;
								obj_t BgL_val1816z00_985;

								BgL_obj1817z00_984 = (BgL_typez00_bglt) (BgL_typez00_576);
								BgL_val1816z00_985 = BgL_arg2766z00_583;
								((((BgL_typez00_bglt) CREF(BgL_obj1817z00_984))->
										BgL_parentsz00) = ((obj_t) BgL_val1816z00_985), BUNSPEC);
							}
						}
						{	/* Type/tenv.scm 113 */
							obj_t BgL_g2688z00_597;

							{	/* Type/tenv.scm 118 */
								BgL_typez00_bglt BgL_obj1812z00_986;

								BgL_obj1812z00_986 = (BgL_typez00_bglt) (BgL_typez00_576);
								BgL_g2688z00_597 =
									(((BgL_typez00_bglt) CREF(BgL_obj1812z00_986))->
									BgL_coercezd2tozd2);
							}
							{
								obj_t BgL_l2686z00_598;

								BgL_l2686z00_598 = BgL_g2688z00_597;
							BgL_forzd2each2687zd2_599:
								if (PAIRP(BgL_l2686z00_598))
									{	/* Type/tenv.scm 113 */
										{	/* Type/tenv.scm 114 */
											obj_t BgL_coercerz00_601;

											BgL_coercerz00_601 = CAR(BgL_l2686z00_598);
											{	/* Type/tenv.scm 114 */
												obj_t BgL_fromz00_602;
												obj_t BgL_toz00_603;

												BgL_fromz00_602 =
													STRUCT_REF(BgL_coercerz00_601, (int) (((long) 0)));
												BgL_toz00_603 =
													STRUCT_REF(BgL_coercerz00_601, (int) (((long) 1)));
												{	/* Type/tenv.scm 116 */
													BgL_typez00_bglt BgL_arg2774z00_604;

													{	/* Type/tenv.scm 116 */
														obj_t BgL_arg2775z00_605;

														{	/* Type/tenv.scm 116 */
															BgL_typez00_bglt BgL_obj1802z00_995;

															BgL_obj1802z00_995 =
																(BgL_typez00_bglt) (BgL_fromz00_602);
															BgL_arg2775z00_605 =
																(((BgL_typez00_bglt) CREF(BgL_obj1802z00_995))->
																BgL_idz00);
														}
														BgL_arg2774z00_604 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg2775z00_605);
													}
													{	/* Type/tenv.scm 116 */
														obj_t BgL_sz00_998;
														obj_t BgL_oz00_1000;

														BgL_sz00_998 = BgL_coercerz00_601;
														BgL_oz00_1000 = (obj_t) (BgL_arg2774z00_604);
														{	/* Type/tenv.scm 116 */
															int BgL_auxz00_1330;

															BgL_auxz00_1330 = (int) (((long) 0));
															STRUCT_SET(BgL_sz00_998, BgL_auxz00_1330,
																BgL_oz00_1000);
												}}}
												{	/* Type/tenv.scm 117 */
													BgL_typez00_bglt BgL_arg2776z00_606;

													{	/* Type/tenv.scm 117 */
														obj_t BgL_arg2777z00_607;

														{	/* Type/tenv.scm 117 */
															BgL_typez00_bglt BgL_obj1802z00_1001;

															BgL_obj1802z00_1001 =
																(BgL_typez00_bglt) (BgL_toz00_603);
															BgL_arg2777z00_607 =
																(((BgL_typez00_bglt)
																	CREF(BgL_obj1802z00_1001))->BgL_idz00);
														}
														BgL_arg2776z00_606 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg2777z00_607);
													}
													{	/* Type/tenv.scm 117 */
														obj_t BgL_sz00_1004;
														obj_t BgL_oz00_1006;

														BgL_sz00_1004 = BgL_coercerz00_601;
														BgL_oz00_1006 = (obj_t) (BgL_arg2776z00_606);
														{	/* Type/tenv.scm 117 */
															int BgL_auxz00_1337;

															BgL_auxz00_1337 = (int) (((long) 1));
															STRUCT_SET(BgL_sz00_1004, BgL_auxz00_1337,
																BgL_oz00_1006);
										}}}}}
										{
											obj_t BgL_l2686z00_1340;

											BgL_l2686z00_1340 = CDR(BgL_l2686z00_598);
											BgL_l2686z00_598 = BgL_l2686z00_1340;
											goto BgL_forzd2each2687zd2_599;
										}
									}
								else
									{	/* Type/tenv.scm 113 */
										BgL_auxz00_1283 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1283);
				}
			}
		}
	}



/* <anonymous:2739> */
	obj_t BGl_zc3anonymousza32739ze3z83zztype_envz00(obj_t BgL_envz00_1093)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 215 */
			{	/* Type/tenv.scm 216 */
				obj_t BgL_nz00_1094;

				BgL_nz00_1094 = PROCEDURE_REF(BgL_envz00_1093, (int) (((long) 0)));
				{

					{	/* Type/tenv.scm 216 */
						bool_t BgL_testz00_1345;

						{	/* Type/tenv.scm 216 */
							BgL_tclassz00_bglt BgL_obj2419z00_941;

							BgL_obj2419z00_941 = (BgL_tclassz00_bglt) (BgL_nz00_1094);
							{	/* Type/tenv.scm 216 */
								obj_t BgL_auxz00_1347;

								{
									obj_t BgL_auxz00_1348;

									{	/* Type/tenv.scm 216 */
										BgL_objectz00_bglt BgL_auxz00_1349;

										BgL_auxz00_1349 = (BgL_objectz00_bglt) (BgL_obj2419z00_941);
										BgL_auxz00_1348 = BGL_OBJECT_WIDENING(BgL_auxz00_1349);
									}
									BgL_auxz00_1347 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1348))->
										BgL_wideningz00);
								}
								BgL_testz00_1345 = CBOOL(BgL_auxz00_1347);
						}}
						if (BgL_testz00_1345)
							{	/* Type/tenv.scm 216 */
								return
									BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2
									((BgL_tclassz00_bglt) (BgL_nz00_1094));
							}
						else
							{	/* Type/tenv.scm 216 */
								return
									BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2
									((BgL_tclassz00_bglt) (BgL_nz00_1094));
							}
					}
				}
			}
		}
	}



/* <anonymous:2722> */
	obj_t BGl_zc3anonymousza32722ze3z83zztype_envz00(obj_t BgL_envz00_1095,
		obj_t BgL_kz00_1096, obj_t BgL_newz00_1097)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 178 */
			{
				obj_t BgL_kz00_503;
				obj_t BgL_newz00_504;

				BgL_kz00_503 = BgL_kz00_1096;
				BgL_newz00_504 = BgL_newz00_1097;
				{	/* Type/tenv.scm 179 */
					obj_t BgL_idz00_506;

					{	/* Type/tenv.scm 179 */
						BgL_typez00_bglt BgL_obj1802z00_922;

						BgL_obj1802z00_922 = (BgL_typez00_bglt) (BgL_newz00_504);
						BgL_idz00_506 =
							(((BgL_typez00_bglt) CREF(BgL_obj1802z00_922))->BgL_idz00);
					}
					{	/* Type/tenv.scm 179 */
						obj_t BgL_oldz00_507;

						BgL_oldz00_507 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
							BgL_idz00_506);
						{	/* Type/tenv.scm 180 */

							if (BGl_ctypezf3zf3zzforeign_ctypez00(BgL_oldz00_507))
								{	/* Type/tenv.scm 182 */
									obj_t BgL_lz00_509;

									{	/* Type/tenv.scm 182 */
										BgL_typez00_bglt BgL_obj1837z00_923;

										BgL_obj1837z00_923 = (BgL_typez00_bglt) (BgL_oldz00_507);
										BgL_lz00_509 =
											(((BgL_typez00_bglt) CREF(BgL_obj1837z00_923))->
											BgL_locationz00);
									}
									{	/* Type/tenv.scm 184 */
										obj_t BgL_arg2724z00_510;

										BgL_arg2724z00_510 =
											BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(
											(BgL_typez00_bglt) (BgL_oldz00_507),
											(BgL_typez00_bglt) (BgL_oldz00_507), BgL_lz00_509);
										return
											BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00
											(BgL_arg2724z00_510);
									}
								}
							else
								{	/* Type/tenv.scm 181 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:2715> */
	obj_t BGl_zc3anonymousza32715ze3z83zztype_envz00(obj_t BgL_envz00_1098,
		obj_t BgL_kz00_1101, obj_t BgL_newz00_1102)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 153 */
			{	/* Type/tenv.scm 154 */
				obj_t BgL_rememberzd2listzd2_1099;
				obj_t BgL_tvectorzd2listzd2_1100;

				BgL_rememberzd2listzd2_1099 =
					PROCEDURE_REF(BgL_envz00_1098, (int) (((long) 0)));
				BgL_tvectorzd2listzd2_1100 =
					PROCEDURE_REF(BgL_envz00_1098, (int) (((long) 1)));
				{
					obj_t BgL_kz00_491;
					obj_t BgL_newz00_492;

					BgL_kz00_491 = BgL_kz00_1101;
					BgL_newz00_492 = BgL_newz00_1102;
					{
						obj_t BgL_oldz00_547;
						obj_t BgL_newz00_548;
						obj_t BgL_fromz00_565;
						BgL_typez00_bglt BgL_toz00_566;

						{	/* Type/tenv.scm 154 */
							obj_t BgL_idz00_494;

							{	/* Type/tenv.scm 154 */
								BgL_typez00_bglt BgL_obj1802z00_916;

								BgL_obj1802z00_916 = (BgL_typez00_bglt) (BgL_newz00_492);
								BgL_idz00_494 =
									(((BgL_typez00_bglt) CREF(BgL_obj1802z00_916))->BgL_idz00);
							}
							{	/* Type/tenv.scm 154 */
								obj_t BgL_oldz00_495;

								BgL_oldz00_495 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_494);
								{	/* Type/tenv.scm 155 */

									if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_495,
											BGl_typez00zztype_typez00))
										{	/* Type/tenv.scm 168 */
											bool_t BgL_testz00_1378;

											{	/* Type/tenv.scm 168 */
												BgL_typez00_bglt BgL_obj1818z00_918;

												BgL_obj1818z00_918 =
													(BgL_typez00_bglt) (BgL_oldz00_495);
												BgL_testz00_1378 =
													(((BgL_typez00_bglt) CREF(BgL_obj1818z00_918))->
													BgL_initzf3zf3);
											}
											if (BgL_testz00_1378)
												{	/* Type/tenv.scm 176 */
													bool_t BgL_auxz00_1381;

													BgL_oldz00_547 = BgL_oldz00_495;
													BgL_newz00_548 = BgL_newz00_492;
													{	/* Type/tenv.scm 129 */
														obj_t BgL_g2680z00_550;

														{	/* Type/tenv.scm 139 */
															BgL_typez00_bglt BgL_obj1812z00_943;

															BgL_obj1812z00_943 =
																(BgL_typez00_bglt) (BgL_newz00_548);
															BgL_g2680z00_550 =
																(((BgL_typez00_bglt) CREF(BgL_obj1812z00_943))->
																BgL_coercezd2tozd2);
														}
														{
															obj_t BgL_l2678z00_551;

															BgL_l2678z00_551 = BgL_g2680z00_550;
														BgL_forzd2each2679zd2_552:
															if (PAIRP(BgL_l2678z00_551))
																{	/* Type/tenv.scm 129 */
																	{	/* Type/tenv.scm 130 */
																		obj_t BgL_coercerz00_554;

																		BgL_coercerz00_554 = CAR(BgL_l2678z00_551);
																		{	/* Type/tenv.scm 130 */
																			obj_t BgL_toz00_556;

																			BgL_toz00_556 =
																				STRUCT_REF(BgL_coercerz00_554,
																				(int) (((long) 1)));
																			{	/* Type/tenv.scm 131 */
																				obj_t BgL_tidz00_557;

																				{	/* Type/tenv.scm 132 */
																					BgL_typez00_bglt BgL_obj1802z00_952;

																					BgL_obj1802z00_952 =
																						(BgL_typez00_bglt) (BgL_toz00_556);
																					BgL_tidz00_557 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_obj1802z00_952))->
																						BgL_idz00);
																				}
																				{	/* Type/tenv.scm 132 */
																					bool_t BgL_tidzd2existszf3z21_558;

																					BgL_tidzd2existszf3z21_558 =
																						BGl_typezd2existszf3z21zztype_envz00
																						(BgL_tidz00_557);
																					{	/* Type/tenv.scm 133 */

																						{	/* Type/tenv.scm 134 */
																							bool_t BgL_testz00_1392;

																							if (BgL_tidzd2existszf3z21_558)
																								{	/* Type/tenv.scm 135 */
																									bool_t BgL_testz00_1394;

																									{	/* Type/tenv.scm 135 */
																										BgL_typez00_bglt
																											BgL_arg2750z00_563;
																										BgL_arg2750z00_563 =
																											BGl_findzd2typezd2zztype_envz00
																											(BgL_tidz00_557);
																										{	/* Type/tenv.scm 135 */
																											obj_t BgL_auxz00_1396;

																											BgL_fromz00_565 =
																												BgL_oldz00_547;
																											BgL_toz00_566 =
																												BgL_arg2750z00_563;
																											{
																												obj_t
																													BgL_coercerz00_569;
																												{	/* Type/tenv.scm 120 */
																													BgL_typez00_bglt
																														BgL_obj1812z00_957;
																													BgL_obj1812z00_957 =
																														(BgL_typez00_bglt)
																														(BgL_fromz00_565);
																													BgL_coercerz00_569 =
																														(((BgL_typez00_bglt)
																															CREF
																															(BgL_obj1812z00_957))->
																														BgL_coercezd2tozd2);
																												}
																											BgL_loopz00_570:
																												if (NULLP
																													(BgL_coercerz00_569))
																													{	/* Type/tenv.scm 122 */
																														BgL_auxz00_1396 =
																															BFALSE;
																													}
																												else
																													{	/* Type/tenv.scm 122 */
																														if (
																															(STRUCT_REF(CAR
																																	(BgL_coercerz00_569),
																																	(int) (((long)
																																			1))) ==
																																(obj_t)
																																(BgL_toz00_566)))
																															{	/* Type/tenv.scm 124 */
																																BgL_auxz00_1396
																																	=
																																	CAR
																																	(BgL_coercerz00_569);
																															}
																														else
																															{
																																obj_t
																																	BgL_coercerz00_1406;
																																BgL_coercerz00_1406
																																	=
																																	CDR
																																	(BgL_coercerz00_569);
																																BgL_coercerz00_569
																																	=
																																	BgL_coercerz00_1406;
																																goto
																																	BgL_loopz00_570;
																															}
																													}
																											}
																											BgL_testz00_1394 =
																												CBOOL(BgL_auxz00_1396);
																										}
																									}
																									if (BgL_testz00_1394)
																										{	/* Type/tenv.scm 135 */
																											BgL_testz00_1392 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Type/tenv.scm 135 */
																											BgL_testz00_1392 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Type/tenv.scm 134 */
																									BgL_testz00_1392 =
																										((bool_t) 1);
																								}
																							if (BgL_testz00_1392)
																								{	/* Type/tenv.scm 138 */
																									obj_t BgL_arg2747z00_560;

																									{	/* Type/tenv.scm 138 */
																										obj_t BgL_arg2748z00_561;

																										{	/* Type/tenv.scm 138 */
																											BgL_typez00_bglt
																												BgL_obj1812z00_953;
																											BgL_obj1812z00_953 =
																												(BgL_typez00_bglt)
																												(BgL_oldz00_547);
																											BgL_arg2748z00_561 =
																												(((BgL_typez00_bglt)
																													CREF
																													(BgL_obj1812z00_953))->
																												BgL_coercezd2tozd2);
																										}
																										BgL_arg2747z00_560 =
																											MAKE_PAIR
																											(BgL_coercerz00_554,
																											BgL_arg2748z00_561);
																									}
																									{	/* Type/tenv.scm 136 */
																										BgL_typez00_bglt
																											BgL_obj1814z00_954;
																										obj_t BgL_val1813z00_955;

																										BgL_obj1814z00_954 =
																											(BgL_typez00_bglt)
																											(BgL_oldz00_547);
																										BgL_val1813z00_955 =
																											BgL_arg2747z00_560;
																										((((BgL_typez00_bglt)
																													CREF
																													(BgL_obj1814z00_954))->
																												BgL_coercezd2tozd2) =
																											((obj_t)
																												BgL_val1813z00_955),
																											BUNSPEC);
																									}
																								}
																							else
																								{	/* Type/tenv.scm 134 */
																									BFALSE;
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																	{
																		obj_t BgL_l2678z00_1416;

																		BgL_l2678z00_1416 = CDR(BgL_l2678z00_551);
																		BgL_l2678z00_551 = BgL_l2678z00_1416;
																		goto BgL_forzd2each2679zd2_552;
																	}
																}
															else
																{	/* Type/tenv.scm 129 */
																	BgL_auxz00_1381 = ((bool_t) 1);
																}
														}
													}
													return BBOOL(BgL_auxz00_1381);
												}
											else
												{	/* Type/tenv.scm 168 */
													BGl_errorz00zz__errorz00
														(BGl_string2898z00zztype_envz00,
														BGl_string2899z00zztype_envz00, BgL_idz00_494);
													return
														BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
																55)));
										}}
									else
										{	/* Type/tenv.scm 157 */
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_494,
												BgL_newz00_492);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_492,
													BGl_tclassz00zzobject_classz00))
												{	/* Type/tenv.scm 159 */
													BGl_heapzd2addzd2classz12z12zzobject_classz00(
														(BgL_tclassz00_bglt) (BgL_newz00_492));
													{	/* Type/tenv.scm 161 */
														obj_t BgL_auxz00_1103;

														BgL_auxz00_1103 =
															MAKE_PAIR(BgL_newz00_492,
															CELL_REF(BgL_rememberzd2listzd2_1099));
														CELL_SET(BgL_rememberzd2listzd2_1099,
															BgL_auxz00_1103);
													}
												}
											else
												{	/* Type/tenv.scm 159 */
													BFALSE;
												}
											if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_492,
													BGl_jclassz00zzobject_classz00))
												{	/* Type/tenv.scm 163 */
													BGl_heapzd2addzd2jclassz12z12zzmodule_javaz00
														(BgL_newz00_492);
												}
											else
												{	/* Type/tenv.scm 163 */
													BFALSE;
												}
											if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_492,
													BGl_tvecz00zztvector_tvectorz00))
												{	/* Type/tenv.scm 166 */
													obj_t BgL_auxz00_1104;

													BgL_auxz00_1104 =
														MAKE_PAIR(BgL_newz00_492,
														CELL_REF(BgL_tvectorzd2listzd2_1100));
													return
														CELL_SET(BgL_tvectorzd2listzd2_1100,
														BgL_auxz00_1104);
												}
											else
												{	/* Type/tenv.scm 165 */
													return BFALSE;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* find-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t
		BgL_idz00_21)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 233 */
			{	/* Type/tenv.scm 234 */
				obj_t BgL_typez00_612;

				BgL_typez00_612 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_21);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_612,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 235 */
						return (BgL_typez00_bglt) (BgL_typez00_612);
					}
				else
					{	/* Type/tenv.scm 236 */
						obj_t BgL_auxz00_1438;

						BgL_auxz00_1438 =
							BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
							BGl_string2900z00zztype_envz00, BgL_idz00_21);
						return (BgL_typez00_bglt) (BgL_auxz00_1438);
					}
			}
		}
	}



/* _find-type2884 */
	obj_t BGl__findzd2type2884zd2zztype_envz00(obj_t BgL_envz00_1105,
		obj_t BgL_idz00_1106)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 233 */
			{	/* Type/tenv.scm 234 */
				BgL_typez00_bglt BgL_auxz00_1442;

				BgL_auxz00_1442 = BGl_findzd2typezd2zztype_envz00(BgL_idz00_1106);
				return (obj_t) (BgL_auxz00_1442);
			}
		}
	}



/* find-type/location */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_findzd2typezf2locationz20zztype_envz00(obj_t BgL_idz00_22,
		obj_t BgL_locz00_23)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 242 */
			{	/* Type/tenv.scm 243 */
				obj_t BgL_typez00_614;

				BgL_typez00_614 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_22);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_614,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 244 */
						return (BgL_typez00_bglt) (BgL_typez00_614);
					}
				else
					{	/* Type/tenv.scm 245 */
						obj_t BgL_auxz00_1449;

						BgL_auxz00_1449 =
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_23,
							CNST_TABLE_REF(((long) 3)), BGl_string2900z00zztype_envz00,
							BgL_idz00_22, BNIL);
						return (BgL_typez00_bglt) (BgL_auxz00_1449);
					}
			}
		}
	}



/* _find-type/location2885 */
	obj_t BGl__findzd2typezf2location2885z20zztype_envz00(obj_t BgL_envz00_1107,
		obj_t BgL_idz00_1108, obj_t BgL_locz00_1109)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 242 */
			{	/* Type/tenv.scm 243 */
				BgL_typez00_bglt BgL_auxz00_1453;

				BgL_auxz00_1453 =
					BGl_findzd2typezf2locationz20zztype_envz00(BgL_idz00_1108,
					BgL_locz00_1109);
				return (obj_t) (BgL_auxz00_1453);
			}
		}
	}



/* type-exists? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t
		BgL_idz00_24)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 253 */
			{	/* Type/tenv.scm 254 */
				obj_t BgL_typez00_617;

				BgL_typez00_617 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_24);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_617,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 257 */
						BgL_typez00_bglt BgL_obj1818z00_1011;

						BgL_obj1818z00_1011 = (BgL_typez00_bglt) (BgL_typez00_617);
						return
							(((BgL_typez00_bglt) CREF(BgL_obj1818z00_1011))->BgL_initzf3zf3);
					}
				else
					{	/* Type/tenv.scm 255 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _type-exists?2886 */
	obj_t BGl__typezd2existszf32886z21zztype_envz00(obj_t BgL_envz00_1110,
		obj_t BgL_idz00_1111)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 253 */
			return BBOOL(BGl_typezd2existszf3z21zztype_envz00(BgL_idz00_1111));
		}
	}



/* bind-type! */
	BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t BgL_idz00_25,
		bool_t BgL_initzf3zf3_26, obj_t BgL_locz00_27)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 262 */
			{	/* Type/tenv.scm 263 */
				obj_t BgL_typez00_619;

				BgL_typez00_619 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_25);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_619,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 265 */
						bool_t BgL_testz00_1466;

						if (CBOOL
							(BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00))
							{	/* Type/tenv.scm 265 */
								BgL_testz00_1466 = ((bool_t) 0);
							}
						else
							{	/* Type/tenv.scm 265 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Type/tenv.scm 266 */
										BgL_testz00_1466 = ((bool_t) 0);
									}
								else
									{	/* Type/tenv.scm 267 */
										BgL_typez00_bglt BgL_obj1818z00_1013;

										BgL_obj1818z00_1013 = (BgL_typez00_bglt) (BgL_typez00_619);
										BgL_testz00_1466 =
											(((BgL_typez00_bglt) CREF(BgL_obj1818z00_1013))->
											BgL_initzf3zf3);
									}
							}
						if (BgL_testz00_1466)
							{	/* Type/tenv.scm 268 */
								obj_t BgL_arg2785z00_622;
								obj_t BgL_arg2787z00_624;

								BgL_arg2785z00_622 = CNST_TABLE_REF(((long) 4));
								BgL_arg2787z00_624 =
									BGl_shapez00zztools_shapez00(BgL_typez00_619);
								{	/* Type/tenv.scm 268 */
									obj_t BgL_auxz00_1475;

									BgL_auxz00_1475 =
										BGl_userzd2errorzd2zztools_errorz00(BgL_arg2785z00_622,
										BGl_string2901z00zztype_envz00, BgL_arg2787z00_624, BNIL);
									return (BgL_typez00_bglt) (BgL_auxz00_1475);
								}
							}
						else
							{	/* Type/tenv.scm 265 */
								{	/* Type/tenv.scm 270 */
									bool_t BgL_testz00_1478;

									if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_619,
											BGl_typez00zztype_typez00))
										{	/* Type/tenv.scm 270 */
											if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
												{	/* Type/tenv.scm 271 */
													BgL_testz00_1478 = ((bool_t) 0);
												}
											else
												{	/* Type/tenv.scm 272 */
													BgL_typez00_bglt BgL_obj1818z00_1015;

													BgL_obj1818z00_1015 =
														(BgL_typez00_bglt) (BgL_typez00_619);
													BgL_testz00_1478 =
														(((BgL_typez00_bglt) CREF(BgL_obj1818z00_1015))->
														BgL_initzf3zf3);
												}
										}
									else
										{	/* Type/tenv.scm 270 */
											BgL_testz00_1478 = ((bool_t) 0);
										}
									if (BgL_testz00_1478)
										{	/* Type/tenv.scm 270 */
											if (CBOOL
												(BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00))
												{	/* Type/tenv.scm 273 */
													BFALSE;
												}
											else
												{	/* Type/tenv.scm 274 */
													obj_t BgL_arg2790z00_627;
													obj_t BgL_arg2794z00_629;

													BgL_arg2790z00_627 = CNST_TABLE_REF(((long) 4));
													BgL_arg2794z00_629 =
														BGl_shapez00zztools_shapez00(BgL_typez00_619);
													BGl_userzd2warningzd2zztools_errorz00
														(BgL_arg2790z00_627, BGl_string2901z00zztype_envz00,
														BgL_arg2794z00_629);
										}}
									else
										{	/* Type/tenv.scm 270 */
											BFALSE;
										}
								}
								if (BgL_initzf3zf3_26)
									{	/* Type/tenv.scm 279 */
										BgL_typez00_bglt BgL_obj1820z00_1016;
										bool_t BgL_val1819z00_1017;

										BgL_obj1820z00_1016 = (BgL_typez00_bglt) (BgL_typez00_619);
										BgL_val1819z00_1017 = ((bool_t) 1);
										((((BgL_typez00_bglt) CREF(BgL_obj1820z00_1016))->
												BgL_initzf3zf3) =
											((bool_t) BgL_val1819z00_1017), BUNSPEC);
									}
								else
									{	/* Type/tenv.scm 279 */
										BFALSE;
									}
								return (BgL_typez00_bglt) (BgL_typez00_619);
							}
					}
				else
					{	/* Type/tenv.scm 282 */
						BgL_typez00_bglt BgL_newz00_631;

						BgL_newz00_631 =
							BGl_makezd2typezd2zztype_typez00(BgL_idz00_25, BUNSPEC, BUNSPEC,
							CNST_TABLE_REF(((long) 5)), BNIL, BNIL, BgL_initzf3zf3_26,
							((bool_t) 0), BTRUE, BFALSE, BFALSE, BUNSPEC, BgL_locz00_27,
							BFALSE);
						BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
							BgL_idz00_25, (obj_t) (BgL_newz00_631));
						return BgL_newz00_631;
					}
			}
		}
	}



/* use-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t
		BgL_idz00_28, obj_t BgL_locz00_29)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 289 */
			{	/* Type/tenv.scm 291 */
				obj_t BgL_typez00_632;

				BgL_typez00_632 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_28);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_632,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 293 */
						return (BgL_typez00_bglt) (BgL_typez00_632);
					}
				else
					{	/* Type/tenv.scm 293 */
						if (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
							{	/* Type/tenv.scm 296 */
								obj_t BgL_auxz00_1503;

								BgL_auxz00_1503 =
									BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_29,
									CNST_TABLE_REF(((long) 6)), BGl_string2900z00zztype_envz00,
									BgL_idz00_28, BNIL);
								return (BgL_typez00_bglt) (BgL_auxz00_1503);
							}
						else
							{	/* Type/tenv.scm 295 */
								return
									BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_28, ((bool_t) 0),
									BgL_locz00_29);
							}
					}
			}
		}
	}



/* _use-type!2887 */
	obj_t BGl__usezd2typez122887zc0zztype_envz00(obj_t BgL_envz00_1112,
		obj_t BgL_idz00_1113, obj_t BgL_locz00_1114)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 289 */
			{	/* Type/tenv.scm 299 */
				BgL_typez00_bglt BgL_auxz00_1508;

				BgL_auxz00_1508 =
					BGl_usezd2typez12zc0zztype_envz00(BgL_idz00_1113, BgL_locz00_1114);
				return (obj_t) (BgL_auxz00_1508);
			}
		}
	}



/* use-type/import-loc! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t BgL_idz00_30,
		obj_t BgL_locz00_31, obj_t BgL_lociz00_32)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 304 */
			{	/* Type/tenv.scm 306 */
				obj_t BgL_typez00_635;

				BgL_typez00_635 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_30);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_635,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 308 */
						return (BgL_typez00_bglt) (BgL_typez00_635);
					}
				else
					{	/* Type/tenv.scm 308 */
						if (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
							{	/* Type/tenv.scm 311 */
								obj_t BgL_auxz00_1516;

								BgL_auxz00_1516 =
									BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_31,
									CNST_TABLE_REF(((long) 6)), BGl_string2900z00zztype_envz00,
									BgL_idz00_30, BNIL);
								return (BgL_typez00_bglt) (BgL_auxz00_1516);
							}
						else
							{	/* Type/tenv.scm 310 */
								{	/* Type/tenv.scm 314 */
									BgL_typez00_bglt BgL_typez00_638;

									BgL_typez00_638 =
										BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_30,
										((bool_t) 0), BgL_locz00_31);
									((((BgL_typez00_bglt) CREF(BgL_typez00_638))->
											BgL_importzd2locationzd2) =
										((obj_t) BgL_lociz00_32), BUNSPEC);
									return BgL_typez00_638;
								}
							}
					}
			}
		}
	}



/* _use-type/import-loc2888 */
	obj_t BGl__usezd2typezf2importzd2loc2888zf2zztype_envz00(obj_t
		BgL_envz00_1115, obj_t BgL_idz00_1116, obj_t BgL_locz00_1117,
		obj_t BgL_lociz00_1118)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 304 */
			{	/* Type/tenv.scm 316 */
				BgL_typez00_bglt BgL_auxz00_1522;

				BgL_auxz00_1522 =
					BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(BgL_idz00_1116,
					BgL_locz00_1117, BgL_lociz00_1118);
				return (obj_t) (BgL_auxz00_1522);
			}
		}
	}



/* use-foreign-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t BgL_idz00_33,
		obj_t BgL_locz00_34)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 327 */
			{	/* Type/tenv.scm 329 */
				obj_t BgL_tidz00_639;

				BgL_tidz00_639 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_33, BgL_locz00_34);
				{	/* Type/tenv.scm 334 */
					bool_t BgL_testz00_1526;

					{	/* Type/tenv.scm 334 */
						obj_t BgL_arg2802z00_642;
						BgL_typez00_bglt BgL_arg2803z00_643;

						BgL_arg2802z00_642 = CDR(BgL_tidz00_639);
						BgL_arg2803z00_643 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_testz00_1526 =
							(BgL_arg2802z00_642 == (obj_t) (BgL_arg2803z00_643));
					}
					if (BgL_testz00_1526)
						{	/* Type/tenv.scm 334 */
							return
								BGl_usezd2typez12zc0zztype_envz00(CAR(BgL_tidz00_639),
								BgL_locz00_34);
						}
					else
						{	/* Type/tenv.scm 338 */
							obj_t BgL_auxz00_1533;

							BgL_auxz00_1533 = CDR(BgL_tidz00_639);
							return (BgL_typez00_bglt) (BgL_auxz00_1533);
						}
				}
			}
		}
	}



/* _use-foreign-type!2889 */
	obj_t BGl__usezd2foreignzd2typez122889z12zztype_envz00(obj_t BgL_envz00_1119,
		obj_t BgL_idz00_1120, obj_t BgL_locz00_1121)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 327 */
			{	/* Type/tenv.scm 338 */
				BgL_typez00_bglt BgL_auxz00_1536;

				BgL_auxz00_1536 =
					BGl_usezd2foreignzd2typez12z12zztype_envz00(BgL_idz00_1120,
					BgL_locz00_1121);
				return (obj_t) (BgL_auxz00_1536);
			}
		}
	}



/* use-foreign-type/import-loc! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t
		BgL_idz00_35, obj_t BgL_locz00_36, obj_t BgL_lociz00_37)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 349 */
			{	/* Type/tenv.scm 351 */
				obj_t BgL_tidz00_644;

				BgL_tidz00_644 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_35, BgL_locz00_36);
				{	/* Type/tenv.scm 356 */
					bool_t BgL_testz00_1540;

					{	/* Type/tenv.scm 356 */
						obj_t BgL_arg2806z00_647;
						BgL_typez00_bglt BgL_arg2807z00_648;

						BgL_arg2806z00_647 = CDR(BgL_tidz00_644);
						BgL_arg2807z00_648 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_testz00_1540 =
							(BgL_arg2806z00_647 == (obj_t) (BgL_arg2807z00_648));
					}
					if (BgL_testz00_1540)
						{	/* Type/tenv.scm 356 */
							return
								BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(CAR
								(BgL_tidz00_644), BgL_locz00_36, BgL_lociz00_37);
						}
					else
						{	/* Type/tenv.scm 360 */
							obj_t BgL_auxz00_1547;

							BgL_auxz00_1547 = CDR(BgL_tidz00_644);
							return (BgL_typez00_bglt) (BgL_auxz00_1547);
						}
				}
			}
		}
	}



/* _use-foreign-type/im2890 */
	obj_t BGl__usezd2foreignzd2typezf2im2890zf2zztype_envz00(obj_t
		BgL_envz00_1122, obj_t BgL_idz00_1123, obj_t BgL_locz00_1124,
		obj_t BgL_lociz00_1125)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 349 */
			{	/* Type/tenv.scm 360 */
				BgL_typez00_bglt BgL_auxz00_1550;

				BgL_auxz00_1550 =
					BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
					(BgL_idz00_1123, BgL_locz00_1124, BgL_lociz00_1125);
				return (obj_t) (BgL_auxz00_1550);
			}
		}
	}



/* declare-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t
		BgL_idz00_38, obj_t BgL_namez00_39, obj_t BgL_classz00_40)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 365 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_classz00_40,
						CNST_TABLE_REF(((long) 7)))))
				{	/* Type/tenv.scm 371 */
					BgL_typez00_bglt BgL_typez00_650;

					BgL_typez00_650 =
						BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_38, ((bool_t) 1),
						BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_typez00_650))->BgL_namez00) =
						((obj_t) BgL_namez00_39), BUNSPEC);
					{
						obj_t BgL_auxz00_1559;

						BgL_auxz00_1559 =
							BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_39);
						((((BgL_typez00_bglt) CREF(BgL_typez00_650))->BgL_z42z42) =
							((obj_t) BgL_auxz00_1559), BUNSPEC);
					}
					((((BgL_typez00_bglt) CREF(BgL_typez00_650))->BgL_classz00) =
						((obj_t) BgL_classz00_40), BUNSPEC);
					return BgL_typez00_650;
				}
			else
				{	/* Type/tenv.scm 368 */
					obj_t BgL_auxz00_1563;

					BgL_auxz00_1563 =
						BGl_userzd2errorzd2zztools_errorz00(BGl_string2902z00zztype_envz00,
						BGl_string2903z00zztype_envz00, BgL_classz00_40, BNIL);
					return (BgL_typez00_bglt) (BgL_auxz00_1563);
				}
		}
	}



/* _declare-type!2891 */
	obj_t BGl__declarezd2typez122891zc0zztype_envz00(obj_t BgL_envz00_1126,
		obj_t BgL_idz00_1127, obj_t BgL_namez00_1128, obj_t BgL_classz00_1129)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 365 */
			{	/* Type/tenv.scm 375 */
				BgL_typez00_bglt BgL_auxz00_1566;

				BgL_auxz00_1566 =
					BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_1127,
					BgL_namez00_1128, BgL_classz00_1129);
				return (obj_t) (BgL_auxz00_1566);
			}
		}
	}



/* declare-subtype! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2subtypez12zc0zztype_envz00(obj_t BgL_idz00_41,
		obj_t BgL_namez00_42, obj_t BgL_parentsz00_43, obj_t BgL_classz00_44)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 382 */
			{	/* Type/tenv.scm 385 */
				BgL_typez00_bglt BgL_typez00_653;
				obj_t BgL_parentsz00_654;

				BgL_typez00_653 =
					BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_41, ((bool_t) 1),
					BUNSPEC);
				if (NULLP(BgL_parentsz00_43))
					{	/* Type/tenv.scm 386 */
						BgL_parentsz00_654 = BNIL;
					}
				else
					{	/* Type/tenv.scm 386 */
						obj_t BgL_head2697z00_658;

						{	/* Type/tenv.scm 386 */
							BgL_typez00_bglt BgL_arg2818z00_669;

							BgL_arg2818z00_669 =
								BGl_findzd2typezd2zztype_envz00(CAR(BgL_parentsz00_43));
							{	/* Type/tenv.scm 386 */
								obj_t BgL_obj1z00_1036;

								BgL_obj1z00_1036 = (obj_t) (BgL_arg2818z00_669);
								BgL_head2697z00_658 = MAKE_PAIR(BgL_obj1z00_1036, BNIL);
							}
						}
						{	/* Type/tenv.scm 386 */
							obj_t BgL_g2700z00_659;

							BgL_g2700z00_659 = CDR(BgL_parentsz00_43);
							{
								obj_t BgL_l2695z00_660;
								obj_t BgL_tail2698z00_661;

								BgL_l2695z00_660 = BgL_g2700z00_659;
								BgL_tail2698z00_661 = BgL_head2697z00_658;
							BgL_map2696z00_662:
								if (NULLP(BgL_l2695z00_660))
									{	/* Type/tenv.scm 386 */
										BgL_parentsz00_654 = BgL_head2697z00_658;
									}
								else
									{	/* Type/tenv.scm 386 */
										obj_t BgL_newtail2699z00_664;

										{	/* Type/tenv.scm 386 */
											BgL_typez00_bglt BgL_arg2815z00_666;

											BgL_arg2815z00_666 =
												BGl_findzd2typezd2zztype_envz00(CAR(BgL_l2695z00_660));
											{	/* Type/tenv.scm 386 */
												obj_t BgL_obj1z00_1041;

												BgL_obj1z00_1041 = (obj_t) (BgL_arg2815z00_666);
												BgL_newtail2699z00_664 =
													MAKE_PAIR(BgL_obj1z00_1041, BNIL);
											}
										}
										SET_CDR(BgL_tail2698z00_661, BgL_newtail2699z00_664);
										{
											obj_t BgL_tail2698z00_1586;
											obj_t BgL_l2695z00_1584;

											BgL_l2695z00_1584 = CDR(BgL_l2695z00_660);
											BgL_tail2698z00_1586 = BgL_newtail2699z00_664;
											BgL_tail2698z00_661 = BgL_tail2698z00_1586;
											BgL_l2695z00_660 = BgL_l2695z00_1584;
											goto BgL_map2696z00_662;
										}
									}
							}
						}
					}
				((((BgL_typez00_bglt) CREF(BgL_typez00_653))->BgL_namez00) =
					((obj_t) BgL_namez00_42), BUNSPEC);
				{
					obj_t BgL_auxz00_1588;

					BgL_auxz00_1588 =
						BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_42);
					((((BgL_typez00_bglt) CREF(BgL_typez00_653))->BgL_z42z42) =
						((obj_t) BgL_auxz00_1588), BUNSPEC);
				}
				((((BgL_typez00_bglt) CREF(BgL_typez00_653))->BgL_classz00) =
					((obj_t) BgL_classz00_44), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_typez00_653))->BgL_parentsz00) =
					((obj_t) BgL_parentsz00_654), BUNSPEC);
				return BgL_typez00_653;
			}
		}
	}



/* _declare-subtype!2892 */
	obj_t BGl__declarezd2subtypez122892zc0zztype_envz00(obj_t BgL_envz00_1130,
		obj_t BgL_idz00_1131, obj_t BgL_namez00_1132, obj_t BgL_parentsz00_1133,
		obj_t BgL_classz00_1134)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 382 */
			{	/* Type/tenv.scm 391 */
				BgL_typez00_bglt BgL_auxz00_1593;

				BgL_auxz00_1593 =
					BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_1131,
					BgL_namez00_1132, BgL_parentsz00_1133, BgL_classz00_1134);
				return (obj_t) (BgL_auxz00_1593);
			}
		}
	}



/* declare-aliastype! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t BgL_idz00_45,
		obj_t BgL_namez00_46, obj_t BgL_classz00_47,
		BgL_typez00_bglt BgL_aliasz00_48)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 396 */
			{	/* Type/tenv.scm 398 */
				BgL_typez00_bglt BgL_typez00_1054;

				BgL_typez00_1054 =
					BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_45, BgL_namez00_46,
					BgL_classz00_47);
				{	/* Type/tenv.scm 398 */
					BgL_typez00_bglt BgL_obj1830z00_1055;
					obj_t BgL_val1829z00_1056;

					BgL_obj1830z00_1055 = BgL_typez00_1054;
					BgL_val1829z00_1056 = (obj_t) (BgL_aliasz00_48);
					((((BgL_typez00_bglt) CREF(BgL_obj1830z00_1055))->BgL_aliasz00) =
						((obj_t) BgL_val1829z00_1056), BUNSPEC);
				}
				return BgL_typez00_1054;
			}
		}
	}



/* _declare-aliastype!2893 */
	obj_t BGl__declarezd2aliastypez122893zc0zztype_envz00(obj_t BgL_envz00_1135,
		obj_t BgL_idz00_1136, obj_t BgL_namez00_1137, obj_t BgL_classz00_1138,
		obj_t BgL_aliasz00_1139)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 396 */
			{	/* Type/tenv.scm 400 */
				BgL_typez00_bglt BgL_auxz00_1599;

				BgL_auxz00_1599 =
					BGl_declarezd2aliastypez12zc0zztype_envz00(BgL_idz00_1136,
					BgL_namez00_1137, BgL_classz00_1138,
					(BgL_typez00_bglt) (BgL_aliasz00_1139));
				return (obj_t) (BgL_auxz00_1599);
			}
		}
	}



/* for-each-type! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t
		BgL_procz00_49)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 405 */
			{	/* Type/tenv.scm 406 */
				obj_t BgL_zc3anonymousza32822ze3z83_1140;

				BgL_zc3anonymousza32822ze3z83_1140 =
					make_fx_procedure(BGl_zc3anonymousza32822ze3z83zztype_envz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza32822ze3z83_1140,
					(int) (((long) 0)), BgL_procz00_49);
				return
					BGl_hashtablezd2forzd2eachz00zz__hashz00
					(BGl_za2Tenvza2z00zztype_envz00, BgL_zc3anonymousza32822ze3z83_1140);
			}
		}
	}



/* _for-each-type!2894 */
	obj_t BGl__forzd2eachzd2typez122894z12zztype_envz00(obj_t BgL_envz00_1141,
		obj_t BgL_procz00_1142)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 405 */
			return BGl_forzd2eachzd2typez12z12zztype_envz00(BgL_procz00_1142);
		}
	}



/* <anonymous:2822> */
	obj_t BGl_zc3anonymousza32822ze3z83zztype_envz00(obj_t BgL_envz00_1143,
		obj_t BgL_kz00_1145, obj_t BgL_xz00_1146)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 406 */
			{	/* Type/tenv.scm 406 */
				obj_t BgL_procz00_1144;

				BgL_procz00_1144 = PROCEDURE_REF(BgL_envz00_1143, (int) (((long) 0)));
				{
					obj_t BgL_kz00_674;
					obj_t BgL_xz00_675;

					BgL_kz00_674 = BgL_kz00_1145;
					BgL_xz00_675 = BgL_xz00_1146;
					return
						PROCEDURE_ENTRY(BgL_procz00_1144) (BgL_procz00_1144, BgL_xz00_675,
						BEOA);
				}
			}
		}
	}



/* uninitialized-types */
	obj_t BGl_uninitializa7edzd2typesz75zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 413 */
			{	/* Type/tenv.scm 414 */
				obj_t BgL_uninitz00_678;

				BgL_uninitz00_678 = MAKE_CELL(BNIL);
				{	/* Type/tenv.scm 416 */
					obj_t BgL_zc3anonymousza32824ze3z83_1147;

					BgL_zc3anonymousza32824ze3z83_1147 =
						make_fx_procedure(BGl_zc3anonymousza32824ze3z83zztype_envz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32824ze3z83_1147,
						(int) (((long) 0)), BgL_uninitz00_678);
					BGl_forzd2eachzd2typez12z12zztype_envz00
						(BgL_zc3anonymousza32824ze3z83_1147);
				}
				return CELL_REF(BgL_uninitz00_678);
			}
		}
	}



/* <anonymous:2824> */
	obj_t BGl_zc3anonymousza32824ze3z83zztype_envz00(obj_t BgL_envz00_1148,
		obj_t BgL_tz00_1150)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 415 */
			{	/* Type/tenv.scm 416 */
				obj_t BgL_uninitz00_1149;

				BgL_uninitz00_1149 = PROCEDURE_REF(BgL_envz00_1148, (int) (((long) 0)));
				{
					obj_t BgL_tz00_680;

					BgL_tz00_680 = BgL_tz00_1150;
					{	/* Type/tenv.scm 416 */
						bool_t BgL_testz00_1622;

						{	/* Type/tenv.scm 416 */
							BgL_typez00_bglt BgL_obj1818z00_1057;

							BgL_obj1818z00_1057 = (BgL_typez00_bglt) (BgL_tz00_680);
							BgL_testz00_1622 =
								(((BgL_typez00_bglt) CREF(BgL_obj1818z00_1057))->
								BgL_initzf3zf3);
						}
						if (BgL_testz00_1622)
							{	/* Type/tenv.scm 416 */
								return BFALSE;
							}
						else
							{	/* Type/tenv.scm 417 */
								obj_t BgL_auxz00_1151;

								BgL_auxz00_1151 =
									MAKE_PAIR(BgL_tz00_680, CELL_REF(BgL_uninitz00_1149));
								return CELL_SET(BgL_uninitz00_1149, BgL_auxz00_1151);
							}
					}
				}
			}
		}
	}



/* check-types */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2typeszd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 434 */
			{	/* Type/tenv.scm 435 */
				obj_t BgL_utz00_684;

				BgL_utz00_684 = BGl_uninitializa7edzd2typesz75zztype_envz00();
				if (PAIRP(BgL_utz00_684))
					{	/* Type/tenv.scm 436 */
						{	/* Type/tenv.scm 437 */
							obj_t BgL_arg2827z00_686;

							BgL_arg2827z00_686 = BGL_CURRENT_ERROR_PORT();
							BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_arg2827z00_686);
						}
						{	/* Type/tenv.scm 438 */
							obj_t BgL_port2701z00_687;

							BgL_port2701z00_687 = BGL_CURRENT_ERROR_PORT();
							{	/* Type/tenv.scm 439 */
								long BgL_arg2828z00_688;

								BgL_arg2828z00_688 = bgl_list_length(BgL_utz00_684);
								bgl_display_obj(BINT(BgL_arg2828z00_688), BgL_port2701z00_687);
							}
							bgl_display_string(BGl_string2904z00zztype_envz00,
								BgL_port2701z00_687);
							BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2701z00_687);
						}
						{
							obj_t BgL_utz00_689;

							BgL_utz00_689 = BgL_utz00_684;
						BgL_loopz00_690:
							if (NULLP(BgL_utz00_689))
								{	/* Type/tenv.scm 442 */
									{	/* Type/tenv.scm 443 */
										obj_t BgL_port2702z00_692;

										BgL_port2702z00_692 = BGL_CURRENT_ERROR_PORT();
										bgl_display_string(BGl_string2905z00zztype_envz00,
											BgL_port2702z00_692);
										BGL_DISPLAY_CHAR(((unsigned char) '\n'),
											BgL_port2702z00_692);
									}
									BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 56)));
								}
							else
								{	/* Type/tenv.scm 445 */
									bool_t BgL_testz00_1644;

									{	/* Type/tenv.scm 445 */
										obj_t BgL_arg2853z00_718;

										BgL_arg2853z00_718 = CAR(BgL_utz00_689);
										BgL_testz00_1644 =
											BGl_iszd2azf3z21zz__objectz00(BgL_arg2853z00_718,
											BGl_typez00zztype_typez00);
									}
									if (BgL_testz00_1644)
										{	/* Type/tenv.scm 445 */
											{	/* Type/tenv.scm 449 */
												obj_t BgL_zc3anonymousza32832ze3z83_1152;

												BgL_zc3anonymousza32832ze3z83_1152 =
													make_fx_procedure
													(BGl_zc3anonymousza32832ze3z83zztype_envz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32832ze3z83_1152,
													(int) (((long) 0)), BgL_utz00_689);
												BGl_withzd2exceptionzd2handlerz00zz__errorz00
													(BGl_errorzd2notifyzd2envz00zz__errorz00,
													BgL_zc3anonymousza32832ze3z83_1152);
											}
											{
												obj_t BgL_utz00_1653;

												BgL_utz00_1653 = CDR(BgL_utz00_689);
												BgL_utz00_689 = BgL_utz00_1653;
												goto BgL_loopz00_690;
											}
										}
									else
										{	/* Type/tenv.scm 463 */
											obj_t BgL_zc3anonymousza32849ze3z83_1153;

											BgL_zc3anonymousza32849ze3z83_1153 =
												make_fx_procedure
												(BGl_zc3anonymousza32849ze3z83zztype_envz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32849ze3z83_1153,
												(int) (((long) 0)), BgL_utz00_689);
											BGl_withzd2exceptionzd2handlerz00zz__errorz00
												(BGl_errorzd2notifyzd2envz00zz__errorz00,
												BgL_zc3anonymousza32849ze3z83_1153);
					}}}}
				else
					{	/* Type/tenv.scm 436 */
						BFALSE;
					}
				return (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 =
					((bool_t) 1), BUNSPEC);
			}
		}
	}



/* _check-types */
	obj_t BGl__checkzd2typeszd2zztype_envz00(obj_t BgL_envz00_1154)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 434 */
			return BGl_checkzd2typeszd2zztype_envz00();
		}
	}



/* <anonymous:2832> */
	obj_t BGl_zc3anonymousza32832ze3z83zztype_envz00(obj_t BgL_envz00_1155)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 448 */
			{	/* Type/tenv.scm 449 */
				obj_t BgL_utz00_1156;

				BgL_utz00_1156 = PROCEDURE_REF(BgL_envz00_1155, (int) (((long) 0)));
				{

					{	/* Type/tenv.scm 449 */
						bool_t BgL_testz00_1664;

						{	/* Type/tenv.scm 449 */
							BgL_typez00_bglt BgL_obj1840z00_1070;

							{	/* Type/tenv.scm 449 */
								obj_t BgL_pairz00_1069;

								BgL_pairz00_1069 = BgL_utz00_1156;
								{	/* Type/tenv.scm 449 */
									obj_t BgL_auxz00_1665;

									BgL_auxz00_1665 = CAR(BgL_pairz00_1069);
									BgL_obj1840z00_1070 = (BgL_typez00_bglt) (BgL_auxz00_1665);
							}}
							BgL_testz00_1664 =
								CBOOL(
								(((BgL_typez00_bglt) CREF(BgL_obj1840z00_1070))->
									BgL_importzd2locationzd2));
						}
						if (BgL_testz00_1664)
							{	/* Type/tenv.scm 450 */
								obj_t BgL_arg2834z00_697;
								obj_t BgL_arg2836z00_699;

								{	/* Type/tenv.scm 450 */
									BgL_typez00_bglt BgL_obj1840z00_1072;

									{	/* Type/tenv.scm 450 */
										obj_t BgL_pairz00_1071;

										BgL_pairz00_1071 = BgL_utz00_1156;
										{	/* Type/tenv.scm 450 */
											obj_t BgL_auxz00_1670;

											BgL_auxz00_1670 = CAR(BgL_pairz00_1071);
											BgL_obj1840z00_1072 =
												(BgL_typez00_bglt) (BgL_auxz00_1670);
										}
									}
									BgL_arg2834z00_697 =
										(((BgL_typez00_bglt) CREF(BgL_obj1840z00_1072))->
										BgL_importzd2locationzd2);
								}
								BgL_arg2836z00_699 =
									BGl_shapez00zztools_shapez00(CAR(BgL_utz00_1156));
								return
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_arg2834z00_697, BGl_za2moduleza2z00zzmodule_modulez00,
									BGl_string2906z00zztype_envz00, BgL_arg2836z00_699, BNIL);
							}
						else
							{	/* Type/tenv.scm 454 */
								obj_t BgL_arg2840z00_703;
								obj_t BgL_arg2842z00_705;

								{	/* Type/tenv.scm 454 */
									BgL_typez00_bglt BgL_obj1837z00_1075;

									{	/* Type/tenv.scm 454 */
										obj_t BgL_pairz00_1074;

										BgL_pairz00_1074 = BgL_utz00_1156;
										{	/* Type/tenv.scm 454 */
											obj_t BgL_auxz00_1677;

											BgL_auxz00_1677 = CAR(BgL_pairz00_1074);
											BgL_obj1837z00_1075 =
												(BgL_typez00_bglt) (BgL_auxz00_1677);
										}
									}
									BgL_arg2840z00_703 =
										(((BgL_typez00_bglt) CREF(BgL_obj1837z00_1075))->
										BgL_locationz00);
								}
								BgL_arg2842z00_705 =
									BGl_shapez00zztools_shapez00(CAR(BgL_utz00_1156));
								return
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_arg2840z00_703, BGl_za2moduleza2z00zzmodule_modulez00,
									BGl_string2907z00zztype_envz00, BgL_arg2842z00_705, BNIL);
							}
					}
				}
			}
		}
	}



/* <anonymous:2849> */
	obj_t BGl_zc3anonymousza32849ze3z83zztype_envz00(obj_t BgL_envz00_1157)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 462 */
			{	/* Type/tenv.scm 463 */
				obj_t BgL_utz00_1158;

				BgL_utz00_1158 = PROCEDURE_REF(BgL_envz00_1157, (int) (((long) 0)));
				{

					{	/* Type/tenv.scm 463 */
						obj_t BgL_arg2851z00_715;

						BgL_arg2851z00_715 =
							BGl_shapez00zztools_shapez00(CAR(BgL_utz00_1158));
						return
							BGl_errorz00zz__errorz00(BGl_za2moduleza2z00zzmodule_modulez00,
							BGl_string2908z00zztype_envz00, BgL_arg2851z00_715);
					}
				}
			}
		}
	}



/* sub-type? */
	BGL_EXPORTED_DEF bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt
		BgL_minorz00_50, BgL_typez00_bglt BgL_majorz00_51)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 471 */
			if (((obj_t) (BgL_minorz00_50) == (obj_t) (BgL_majorz00_51)))
				{	/* Type/tenv.scm 473 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/tenv.scm 473 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								(obj_t) (BgL_majorz00_51),
								(((BgL_typez00_bglt) CREF(BgL_minorz00_50))->BgL_parentsz00))))
						{	/* Type/tenv.scm 475 */
							return ((bool_t) 1);
						}
					else
						{	/* Type/tenv.scm 475 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* _sub-type?2896 */
	obj_t BGl__subzd2typezf32896z21zztype_envz00(obj_t BgL_envz00_1161,
		obj_t BgL_minorz00_1162, obj_t BgL_majorz00_1163)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 471 */
			return
				BBOOL(BGl_subzd2typezf3z21zztype_envz00(
					(BgL_typez00_bglt) (BgL_minorz00_1162),
					(BgL_typez00_bglt) (BgL_majorz00_1163)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 392866270),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 178768066),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(((long)
					171489227), BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(((long)
					29596083), BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long) 444447869),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long) 371328867),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 2222742),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 477377954),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_foreignz00(((long) 117332816),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 198447312),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(((long) 450116231),
				BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
			return BGl_modulezd2initializa7ationz75zztvector_accessz00(((long)
					457342318), BSTRING_TO_STRING(BGl_string2909z00zztype_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
