/*===========================================================================*/
/*   (Type/typeof.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/typeof.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	static obj_t BGl_typeofzd2conditional3060zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2letzd2fun3066z00zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2closure3050zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2extern3054zd2zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2letzd2var3068z00zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2appzd2ly3080z00zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl__typeofzd2atomzd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zztype_typeofz00();
	static obj_t BGl_typeofzd2makezd2box3074z00zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2atom3044zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2select3064zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl__typeofzd2kwotezd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl__typeofzd2default3041zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_typeofzd2app3084zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl__typeofz00zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_typeofzd2default3041zd2zztype_typeofz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2jumpzd2exzd2it3072zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2setzd2exzd2it3070zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	static obj_t BGl_methodzd2initzd2zztype_typeofz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_typeofzd2funcall3082zd2zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_typeofz00 = BUNSPEC;
	static obj_t BGl_typeofzd2cast3056zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_typeofzd2var3048zd2zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_typeofzd2setq3058zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_typeofzd2boxzd2ref3076z00zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_typeofzd2fail3062zd2zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typeofzd2kwotezd2zztype_typeofz00(obj_t);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2sequence3052zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2kwote3046zd2zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typeofzd2atomzd2zztype_typeofz00(obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_typeofzd2boxzd2setz123078z12zztype_typeofz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeofzd2kwotezd2envz00zztype_typeofz00,
		BgL_bgl__typeofza7d2kwoteza73244z00, BGl__typeofzd2kwotezd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_typeofzd2default3041zd2envz00zztype_typeofz00,
		BgL_bgl__typeofza7d2defaul3245za7,
		BGl__typeofzd2default3041zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_typeofzd2envzd2zztype_typeofz00,
		BgL_bgl__typeofza700za7za7type3246za7, BGl__typeofz00zztype_typeofz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeofzd2atomzd2envz00zztype_typeofz00,
		BgL_bgl__typeofza7d2atomza7d3247z00, BGl__typeofzd2atomzd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3237z00zztype_typeofz00,
		BgL_bgl_string3237za700za7za7t3248za7, "typeof", 6);
	      DEFINE_STRING(BGl_string3238z00zztype_typeofz00,
		BgL_bgl_string3238za700za7za7t3249za7, "Not implemented yet", 19);
	      DEFINE_STRING(BGl_string3240z00zztype_typeofz00,
		BgL_bgl_string3240za700za7za7t3250za7, "type_typeof", 11);
	      DEFINE_STRING(BGl_string3239z00zztype_typeofz00,
		BgL_bgl_string3239za700za7za7t3251za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3241z00zztype_typeofz00,
		BgL_bgl_string3241za700za7za7t3252za7, "typeof-default3041 a-tvector ", 29);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long
		BgL_checksumz00_1684, char *BgL_fromz00_1685)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_typeofz00))
				{
					BGl_requirezd2initializa7ationz75zztype_typeofz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
					BGl_cnstzd2initzd2zztype_typeofz00();
					BGl_importedzd2moduleszd2initz00zztype_typeofz00();
					BGl_methodzd2initzd2zztype_typeofz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_typeof");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				obj_t BgL_cportz00_1666;

				BgL_cportz00_1666 =
					bgl_open_input_string(BGl_string3241z00zztype_typeofz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1667;

					BgL_iz00_1667 = ((long) 1);
				BgL_loopz00_1668:
					if ((BgL_iz00_1667 == ((long) -1)))
						{	/* Type/typeof.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/typeof.scm 15 */
							{	/* Type/typeof.scm 15 */
								obj_t BgL_arg3243z00_1670;

								{	/* Type/typeof.scm 15 */

									{	/* Type/typeof.scm 15 */
										obj_t BgL_locationz00_1672;

										BgL_locationz00_1672 = BBOOL(((bool_t) 0));
										{	/* Type/typeof.scm 15 */

											BgL_arg3243z00_1670 =
												BGl_readz00zz__readerz00(BgL_cportz00_1666,
												BgL_locationz00_1672);
										}
									}
								}
								{	/* Type/typeof.scm 15 */
									int BgL_auxz00_1703;

									BgL_auxz00_1703 = (int) (BgL_iz00_1667);
									CNST_TABLE_SET(BgL_auxz00_1703, BgL_arg3243z00_1670);
							}}
							{	/* Type/typeof.scm 15 */
								int BgL_auxz00_1673;

								BgL_auxz00_1673 = (int) ((BgL_iz00_1667 - ((long) 1)));
								{
									long BgL_iz00_1708;

									BgL_iz00_1708 = (long) (BgL_auxz00_1673);
									BgL_iz00_1667 = BgL_iz00_1708;
									goto BgL_loopz00_1668;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* typeof-atom */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_typeofzd2atomzd2zztype_typeofz00(obj_t
		BgL_atomz00_11)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 29 */
			if (NULLP(BgL_atomz00_11))
				{	/* Type/typeof.scm 31 */
					return (BgL_typez00_bglt) (BGl_za2bnilza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 31 */
					if (INTEGERP(BgL_atomz00_11))
						{	/* Type/typeof.scm 33 */
							return (BgL_typez00_bglt) (BGl_za2longza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 33 */
							if (REALP(BgL_atomz00_11))
								{	/* Type/typeof.scm 35 */
									return (BgL_typez00_bglt) (BGl_za2realza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 35 */
									if (BOOLEANP(BgL_atomz00_11))
										{	/* Type/typeof.scm 37 */
											return
												(BgL_typez00_bglt) (BGl_za2boolza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 37 */
											if (CHARP(BgL_atomz00_11))
												{	/* Type/typeof.scm 39 */
													return
														(BgL_typez00_bglt)
														(BGl_za2charza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 39 */
													if (STRINGP(BgL_atomz00_11))
														{	/* Type/typeof.scm 41 */
															return
																(BgL_typez00_bglt)
																(BGl_za2bstringza2z00zztype_cachez00);
														}
													else
														{	/* Type/typeof.scm 41 */
															if ((BgL_atomz00_11 == BUNSPEC))
																{	/* Type/typeof.scm 43 */
																	return
																		(BgL_typez00_bglt)
																		(BGl_za2unspecza2z00zztype_cachez00);
																}
															else
																{	/* Type/typeof.scm 43 */
																	if (ELONGP(BgL_atomz00_11))
																		{	/* Type/typeof.scm 45 */
																			return
																				(BgL_typez00_bglt)
																				(BGl_za2elongza2z00zztype_cachez00);
																		}
																	else
																		{	/* Type/typeof.scm 45 */
																			if (LLONGP(BgL_atomz00_11))
																				{	/* Type/typeof.scm 47 */
																					return
																						(BgL_typez00_bglt)
																						(BGl_za2llongza2z00zztype_cachez00);
																				}
																			else
																				{	/* Type/typeof.scm 47 */
																					if (KEYWORDP(BgL_atomz00_11))
																						{	/* Type/typeof.scm 49 */
																							return
																								(BgL_typez00_bglt)
																								(BGl_za2keywordza2z00zztype_cachez00);
																						}
																					else
																						{	/* Type/typeof.scm 49 */
																							return
																								(BgL_typez00_bglt)
																								(BGl_za2objza2z00zztype_cachez00);
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _typeof-atom */
	obj_t BGl__typeofzd2atomzd2zztype_typeofz00(obj_t BgL_envz00_1594,
		obj_t BgL_atomz00_1595)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 29 */
			{	/* Type/typeof.scm 31 */
				BgL_typez00_bglt BgL_auxz00_1741;

				BgL_auxz00_1741 =
					BGl_typeofzd2atomzd2zztype_typeofz00(BgL_atomz00_1595);
				return (obj_t) (BgL_auxz00_1741);
			}
		}
	}



/* typeof-kwote */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_typeofzd2kwotezd2zztype_typeofz00(obj_t
		BgL_kwotez00_12)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 57 */
			if (SYMBOLP(BgL_kwotez00_12))
				{	/* Type/typeof.scm 59 */
					return (BgL_typez00_bglt) (BGl_za2symbolza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 59 */
					if (KEYWORDP(BgL_kwotez00_12))
						{	/* Type/typeof.scm 61 */
							return (BgL_typez00_bglt) (BGl_za2keywordza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 61 */
							if (PAIRP(BgL_kwotez00_12))
								{	/* Type/typeof.scm 63 */
									return (BgL_typez00_bglt) (BGl_za2pairza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 63 */
									if (NULLP(BgL_kwotez00_12))
										{	/* Type/typeof.scm 65 */
											return
												(BgL_typez00_bglt) (BGl_za2bnilza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 65 */
											if (VECTORP(BgL_kwotez00_12))
												{	/* Type/typeof.scm 67 */
													return
														(BgL_typez00_bglt)
														(BGl_za2vectorza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 69 */
													bool_t BgL_testz00_1759;

													if (STRUCTP(BgL_kwotez00_12))
														{	/* Type/typeof.scm 69 */
															BgL_testz00_1759 =
																(STRUCT_KEY(BgL_kwotez00_12) ==
																CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Type/typeof.scm 69 */
															BgL_testz00_1759 = ((bool_t) 0);
														}
													if (BgL_testz00_1759)
														{	/* Type/typeof.scm 70 */
															obj_t BgL_sz00_1336;

															BgL_sz00_1336 = BgL_kwotez00_12;
															{	/* Type/typeof.scm 70 */
																obj_t BgL_auxz00_1765;

																BgL_auxz00_1765 =
																	STRUCT_REF(BgL_sz00_1336, (int) (((long) 0)));
																return (BgL_typez00_bglt) (BgL_auxz00_1765);
															}
														}
													else
														{	/* Type/typeof.scm 69 */
															return
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00);
														}
												}
										}
								}
						}
				}
		}
	}



/* _typeof-kwote */
	obj_t BGl__typeofzd2kwotezd2zztype_typeofz00(obj_t BgL_envz00_1596,
		obj_t BgL_kwotez00_1597)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 57 */
			{	/* Type/typeof.scm 59 */
				BgL_typez00_bglt BgL_auxz00_1770;

				BgL_auxz00_1770 =
					BGl_typeofzd2kwotezd2zztype_typeofz00(BgL_kwotez00_1597);
				return (obj_t) (BgL_auxz00_1770);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_typeofzd2default3041zd2envz00zztype_typeofz00);
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2atom3044zd2_1620;

				BgL_typeofzd2atom3044zd2_1620 =
					make_fx_procedure(BGl_typeofzd2atom3044zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_atomz00zzast_nodez00, BgL_typeofzd2atom3044zd2_1620);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2kwote3046zd2_1619;

				BgL_typeofzd2kwote3046zd2_1619 =
					make_fx_procedure(BGl_typeofzd2kwote3046zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_kwotez00zzast_nodez00, BgL_typeofzd2kwote3046zd2_1619);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2var3048zd2_1618;

				BgL_typeofzd2var3048zd2_1618 =
					make_fx_procedure(BGl_typeofzd2var3048zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_varz00zzast_nodez00, BgL_typeofzd2var3048zd2_1618);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2closure3050zd2_1617;

				BgL_typeofzd2closure3050zd2_1617 =
					make_fx_procedure(BGl_typeofzd2closure3050zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_closurez00zzast_nodez00, BgL_typeofzd2closure3050zd2_1617);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2sequence3052zd2_1616;

				BgL_typeofzd2sequence3052zd2_1616 =
					make_fx_procedure(BGl_typeofzd2sequence3052zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_sequencez00zzast_nodez00, BgL_typeofzd2sequence3052zd2_1616);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2extern3054zd2_1615;

				BgL_typeofzd2extern3054zd2_1615 =
					make_fx_procedure(BGl_typeofzd2extern3054zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_externz00zzast_nodez00, BgL_typeofzd2extern3054zd2_1615);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2cast3056zd2_1614;

				BgL_typeofzd2cast3056zd2_1614 =
					make_fx_procedure(BGl_typeofzd2cast3056zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_castz00zzast_nodez00, BgL_typeofzd2cast3056zd2_1614);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2setq3058zd2_1613;

				BgL_typeofzd2setq3058zd2_1613 =
					make_fx_procedure(BGl_typeofzd2setq3058zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_setqz00zzast_nodez00, BgL_typeofzd2setq3058zd2_1613);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2conditional3060zd2_1612;

				BgL_typeofzd2conditional3060zd2_1612 =
					make_fx_procedure(BGl_typeofzd2conditional3060zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_conditionalz00zzast_nodez00,
					BgL_typeofzd2conditional3060zd2_1612);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2fail3062zd2_1611;

				BgL_typeofzd2fail3062zd2_1611 =
					make_fx_procedure(BGl_typeofzd2fail3062zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_failz00zzast_nodez00, BgL_typeofzd2fail3062zd2_1611);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2select3064zd2_1610;

				BgL_typeofzd2select3064zd2_1610 =
					make_fx_procedure(BGl_typeofzd2select3064zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_selectz00zzast_nodez00, BgL_typeofzd2select3064zd2_1610);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2letzd2fun3066z00_1609;

				BgL_typeofzd2letzd2fun3066z00_1609 =
					make_fx_procedure(BGl_typeofzd2letzd2fun3066z00zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_letzd2funzd2zzast_nodez00, BgL_typeofzd2letzd2fun3066z00_1609);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2letzd2var3068z00_1606;

				BgL_typeofzd2letzd2var3068z00_1606 =
					make_fx_procedure(BGl_typeofzd2letzd2var3068z00zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_letzd2varzd2zzast_nodez00, BgL_typeofzd2letzd2var3068z00_1606);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2setzd2exzd2it3070zd2_1605;

				BgL_typeofzd2setzd2exzd2it3070zd2_1605 =
					make_fx_procedure(BGl_typeofzd2setzd2exzd2it3070zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_setzd2exzd2itz00zzast_nodez00,
					BgL_typeofzd2setzd2exzd2it3070zd2_1605);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2jumpzd2exzd2it3072zd2_1604;

				BgL_typeofzd2jumpzd2exzd2it3072zd2_1604 =
					make_fx_procedure(BGl_typeofzd2jumpzd2exzd2it3072zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_jumpzd2exzd2itz00zzast_nodez00,
					BgL_typeofzd2jumpzd2exzd2it3072zd2_1604);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2makezd2box3074z00_1603;

				BgL_typeofzd2makezd2box3074z00_1603 =
					make_fx_procedure(BGl_typeofzd2makezd2box3074z00zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_makezd2boxzd2zzast_nodez00, BgL_typeofzd2makezd2box3074z00_1603);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2boxzd2ref3076z00_1602;

				BgL_typeofzd2boxzd2ref3076z00_1602 =
					make_fx_procedure(BGl_typeofzd2boxzd2ref3076z00zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_boxzd2refzd2zzast_nodez00, BgL_typeofzd2boxzd2ref3076z00_1602);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2boxzd2setz123078z12_1601;

				BgL_typeofzd2boxzd2setz123078z12_1601 =
					make_fx_procedure(BGl_typeofzd2boxzd2setz123078z12zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_boxzd2setz12zc0zzast_nodez00,
					BgL_typeofzd2boxzd2setz123078z12_1601);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2appzd2ly3080z00_1600;

				BgL_typeofzd2appzd2ly3080z00_1600 =
					make_fx_procedure(BGl_typeofzd2appzd2ly3080z00zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_appzd2lyzd2zzast_nodez00, BgL_typeofzd2appzd2ly3080z00_1600);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2funcall3082zd2_1599;

				BgL_typeofzd2funcall3082zd2_1599 =
					make_fx_procedure(BGl_typeofzd2funcall3082zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
					BGl_funcallz00zzast_nodez00, BgL_typeofzd2funcall3082zd2_1599);
			}
			{	/* Type/typeof.scm 15 */
				obj_t BgL_typeofzd2app3084zd2_1598;

				BgL_typeofzd2app3084zd2_1598 =
					make_fx_procedure(BGl_typeofzd2app3084zd2zztype_typeofz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_typeofzd2envzd2zztype_typeofz00, BGl_appz00zzast_nodez00,
					BgL_typeofzd2app3084zd2_1598);
			}
		}
	}



/* typeof-app3084 */
	obj_t BGl_typeofzd2app3084zd2zztype_typeofz00(obj_t BgL_envz00_1621,
		obj_t BgL_nodez00_1622)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 234 */
			{
				BgL_appz00_bglt BgL_nodez00_1288;

				{	/* Type/typeof.scm 235 */
					BgL_typez00_bglt BgL_auxz00_1858;

					BgL_nodez00_1288 = (BgL_appz00_bglt) (BgL_nodez00_1622);
					{	/* Type/typeof.scm 235 */
						BgL_variablez00_bglt BgL_arg3207z00_1564;

						{	/* Type/typeof.scm 235 */
							BgL_varz00_bglt BgL_obj1440z00_1567;

							BgL_obj1440z00_1567 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1288))->BgL_funz00);
							BgL_arg3207z00_1564 =
								(((BgL_varz00_bglt) CREF(BgL_obj1440z00_1567))->
								BgL_variablez00);
						}
						BgL_auxz00_1858 =
							(((BgL_variablez00_bglt) CREF(BgL_arg3207z00_1564))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_1858);
				}
			}
		}
	}



/* typeof-funcall3082 */
	obj_t BGl_typeofzd2funcall3082zd2zztype_typeofz00(obj_t BgL_envz00_1623,
		obj_t BgL_nodez00_1624)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 228 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-app-ly3080 */
	obj_t BGl_typeofzd2appzd2ly3080z00zztype_typeofz00(obj_t BgL_envz00_1625,
		obj_t BgL_nodez00_1626)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 222 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-box-set!3078 */
	obj_t BGl_typeofzd2boxzd2setz123078z12zztype_typeofz00(obj_t BgL_envz00_1627,
		obj_t BgL_nodez00_1628)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 216 */
			return BGl_za2unspecza2z00zztype_cachez00;
		}
	}



/* typeof-box-ref3076 */
	obj_t BGl_typeofzd2boxzd2ref3076z00zztype_typeofz00(obj_t BgL_envz00_1629,
		obj_t BgL_nodez00_1630)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 210 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-make-box3074 */
	obj_t BGl_typeofzd2makezd2box3074z00zztype_typeofz00(obj_t BgL_envz00_1631,
		obj_t BgL_nodez00_1632)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 204 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-jump-ex-it3072 */
	obj_t BGl_typeofzd2jumpzd2exzd2it3072zd2zztype_typeofz00(obj_t
		BgL_envz00_1633, obj_t BgL_nodez00_1634)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 198 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-set-ex-it3070 */
	obj_t BGl_typeofzd2setzd2exzd2it3070zd2zztype_typeofz00(obj_t BgL_envz00_1635,
		obj_t BgL_nodez00_1636)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 192 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-let-var3068 */
	obj_t BGl_typeofzd2letzd2var3068z00zztype_typeofz00(obj_t BgL_envz00_1637,
		obj_t BgL_nodez00_1638)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 185 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1246;

				{	/* Type/typeof.scm 186 */
					BgL_typez00_bglt BgL_auxz00_1864;

					BgL_nodez00_1246 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_1638);
					{	/* Type/typeof.scm 186 */
						BgL_nodez00_bglt BgL_arg3198z00_1534;

						BgL_arg3198z00_1534 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1246))->BgL_bodyz00);
						{	/* Type/typeof.scm 186 */
							BgL_typez00_bglt BgL_res3234z00_1562;

							{	/* Type/typeof.scm 186 */
								obj_t BgL_method3042z00_1537;

								{	/* Type/typeof.scm 186 */
									BgL_objectz00_bglt BgL_objz00_1538;

									BgL_objz00_1538 = (BgL_objectz00_bglt) (BgL_arg3198z00_1534);
									{	/* Type/typeof.scm 186 */
										long BgL_objzd2classzd2numz00_1539;

										BgL_objzd2classzd2numz00_1539 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1538);
										{	/* Type/typeof.scm 186 */
											obj_t BgL_arg2249z00_1540;

											BgL_arg2249z00_1540 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 186 */
												obj_t BgL_arrayz00_1542;
												int BgL_offsetz00_1543;

												BgL_arrayz00_1542 = BgL_arg2249z00_1540;
												BgL_offsetz00_1543 =
													(int) (BgL_objzd2classzd2numz00_1539);
												{	/* Type/typeof.scm 186 */
													long BgL_offsetz00_1544;

													BgL_offsetz00_1544 =
														((long) (BgL_offsetz00_1543) - OBJECT_TYPE);
													{	/* Type/typeof.scm 186 */
														long BgL_modz00_1545;

														{	/* Type/typeof.scm 186 */
															int BgL_arg2251z00_1546;

															BgL_arg2251z00_1546 = (int) (((long) 8));
															{	/* Type/typeof.scm 186 */
																long BgL_auxz00_1874;

																BgL_auxz00_1874 = (long) (BgL_arg2251z00_1546);
																BgL_modz00_1545 =
																	(BgL_offsetz00_1544 / BgL_auxz00_1874);
														}}
														{	/* Type/typeof.scm 186 */
															long BgL_restz00_1547;

															{	/* Type/typeof.scm 186 */
																int BgL_arg2250z00_1548;

																BgL_arg2250z00_1548 = (int) (((long) 8));
																{	/* Type/typeof.scm 186 */
																	long BgL_auxz00_1878;

																	BgL_auxz00_1878 =
																		(long) (BgL_arg2250z00_1548);
																	BgL_restz00_1547 =
																		(BgL_offsetz00_1544 % BgL_auxz00_1878);
															}}
															{	/* Type/typeof.scm 186 */

																BgL_method3042z00_1537 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1542,
																		(int) (BgL_modz00_1545)),
																	(int) (BgL_restz00_1547));
								}}}}}}}}
								{	/* Type/typeof.scm 186 */
									obj_t BgL_auxz00_1885;

									BgL_auxz00_1885 =
										PROCEDURE_ENTRY(BgL_method3042z00_1537)
										(BgL_method3042z00_1537, (obj_t) (BgL_arg3198z00_1534),
										BEOA);
									BgL_res3234z00_1562 = (BgL_typez00_bglt) (BgL_auxz00_1885);
							}}
							BgL_auxz00_1864 = BgL_res3234z00_1562;
					}}
					return (obj_t) (BgL_auxz00_1864);
				}
			}
		}
	}



/* typeof-let-fun3066 */
	obj_t BGl_typeofzd2letzd2fun3066z00zztype_typeofz00(obj_t BgL_envz00_1639,
		obj_t BgL_nodez00_1640)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 178 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1239;

				{	/* Type/typeof.scm 179 */
					BgL_typez00_bglt BgL_auxz00_1892;

					BgL_nodez00_1239 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_1640);
					{	/* Type/typeof.scm 179 */
						BgL_nodez00_bglt BgL_arg3196z00_1504;

						BgL_arg3196z00_1504 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1239))->BgL_bodyz00);
						{	/* Type/typeof.scm 179 */
							BgL_typez00_bglt BgL_res3231z00_1532;

							{	/* Type/typeof.scm 179 */
								obj_t BgL_method3042z00_1507;

								{	/* Type/typeof.scm 179 */
									BgL_objectz00_bglt BgL_objz00_1508;

									BgL_objz00_1508 = (BgL_objectz00_bglt) (BgL_arg3196z00_1504);
									{	/* Type/typeof.scm 179 */
										long BgL_objzd2classzd2numz00_1509;

										BgL_objzd2classzd2numz00_1509 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1508);
										{	/* Type/typeof.scm 179 */
											obj_t BgL_arg2249z00_1510;

											BgL_arg2249z00_1510 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 179 */
												obj_t BgL_arrayz00_1512;
												int BgL_offsetz00_1513;

												BgL_arrayz00_1512 = BgL_arg2249z00_1510;
												BgL_offsetz00_1513 =
													(int) (BgL_objzd2classzd2numz00_1509);
												{	/* Type/typeof.scm 179 */
													long BgL_offsetz00_1514;

													BgL_offsetz00_1514 =
														((long) (BgL_offsetz00_1513) - OBJECT_TYPE);
													{	/* Type/typeof.scm 179 */
														long BgL_modz00_1515;

														{	/* Type/typeof.scm 179 */
															int BgL_arg2251z00_1516;

															BgL_arg2251z00_1516 = (int) (((long) 8));
															{	/* Type/typeof.scm 179 */
																long BgL_auxz00_1902;

																BgL_auxz00_1902 = (long) (BgL_arg2251z00_1516);
																BgL_modz00_1515 =
																	(BgL_offsetz00_1514 / BgL_auxz00_1902);
														}}
														{	/* Type/typeof.scm 179 */
															long BgL_restz00_1517;

															{	/* Type/typeof.scm 179 */
																int BgL_arg2250z00_1518;

																BgL_arg2250z00_1518 = (int) (((long) 8));
																{	/* Type/typeof.scm 179 */
																	long BgL_auxz00_1906;

																	BgL_auxz00_1906 =
																		(long) (BgL_arg2250z00_1518);
																	BgL_restz00_1517 =
																		(BgL_offsetz00_1514 % BgL_auxz00_1906);
															}}
															{	/* Type/typeof.scm 179 */

																BgL_method3042z00_1507 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1512,
																		(int) (BgL_modz00_1515)),
																	(int) (BgL_restz00_1517));
								}}}}}}}}
								{	/* Type/typeof.scm 179 */
									obj_t BgL_auxz00_1913;

									BgL_auxz00_1913 =
										PROCEDURE_ENTRY(BgL_method3042z00_1507)
										(BgL_method3042z00_1507, (obj_t) (BgL_arg3196z00_1504),
										BEOA);
									BgL_res3231z00_1532 = (BgL_typez00_bglt) (BgL_auxz00_1913);
							}}
							BgL_auxz00_1892 = BgL_res3231z00_1532;
					}}
					return (obj_t) (BgL_auxz00_1892);
				}
			}
		}
	}



/* typeof-select3064 */
	obj_t BGl_typeofzd2select3064zd2zztype_typeofz00(obj_t BgL_envz00_1641,
		obj_t BgL_nodez00_1642)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 161 */
			{
				BgL_selectz00_bglt BgL_nodez00_1215;

				BgL_nodez00_1215 = (BgL_selectz00_bglt) (BgL_nodez00_1642);
				{	/* Type/typeof.scm 163 */
					obj_t BgL_g3033z00_1219;
					BgL_typez00_bglt BgL_g3034z00_1220;

					{	/* Type/typeof.scm 163 */
						obj_t BgL_pairz00_1440;

						BgL_pairz00_1440 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1215))->BgL_clausesz00);
						BgL_g3033z00_1219 = CDR(BgL_pairz00_1440);
					}
					{	/* Type/typeof.scm 164 */
						obj_t BgL_arg3192z00_1234;

						{	/* Type/typeof.scm 164 */
							obj_t BgL_pairz00_1443;

							{	/* Type/typeof.scm 164 */
								obj_t BgL_pairz00_1442;

								BgL_pairz00_1442 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1215))->
									BgL_clausesz00);
								BgL_pairz00_1443 = CAR(BgL_pairz00_1442);
							}
							BgL_arg3192z00_1234 = CDR(BgL_pairz00_1443);
						}
						{	/* Type/typeof.scm 164 */
							BgL_typez00_bglt BgL_res3225z00_1470;

							{	/* Type/typeof.scm 164 */
								BgL_nodez00_bglt BgL_nodez00_1444;

								BgL_nodez00_1444 = (BgL_nodez00_bglt) (BgL_arg3192z00_1234);
								{	/* Type/typeof.scm 164 */
									obj_t BgL_method3042z00_1445;

									{	/* Type/typeof.scm 164 */
										BgL_objectz00_bglt BgL_objz00_1446;

										BgL_objz00_1446 = (BgL_objectz00_bglt) (BgL_nodez00_1444);
										{	/* Type/typeof.scm 164 */
											long BgL_objzd2classzd2numz00_1447;

											BgL_objzd2classzd2numz00_1447 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1446);
											{	/* Type/typeof.scm 164 */
												obj_t BgL_arg2249z00_1448;

												BgL_arg2249z00_1448 =
													PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
													(int) (((long) 1)));
												{	/* Type/typeof.scm 164 */
													obj_t BgL_arrayz00_1450;
													int BgL_offsetz00_1451;

													BgL_arrayz00_1450 = BgL_arg2249z00_1448;
													BgL_offsetz00_1451 =
														(int) (BgL_objzd2classzd2numz00_1447);
													{	/* Type/typeof.scm 164 */
														long BgL_offsetz00_1452;

														BgL_offsetz00_1452 =
															((long) (BgL_offsetz00_1451) - OBJECT_TYPE);
														{	/* Type/typeof.scm 164 */
															long BgL_modz00_1453;

															{	/* Type/typeof.scm 164 */
																int BgL_arg2251z00_1454;

																BgL_arg2251z00_1454 = (int) (((long) 8));
																{	/* Type/typeof.scm 164 */
																	long BgL_auxz00_1934;

																	BgL_auxz00_1934 =
																		(long) (BgL_arg2251z00_1454);
																	BgL_modz00_1453 =
																		(BgL_offsetz00_1452 / BgL_auxz00_1934);
															}}
															{	/* Type/typeof.scm 164 */
																long BgL_restz00_1455;

																{	/* Type/typeof.scm 164 */
																	int BgL_arg2250z00_1456;

																	BgL_arg2250z00_1456 = (int) (((long) 8));
																	{	/* Type/typeof.scm 164 */
																		long BgL_auxz00_1938;

																		BgL_auxz00_1938 =
																			(long) (BgL_arg2250z00_1456);
																		BgL_restz00_1455 =
																			(BgL_offsetz00_1452 % BgL_auxz00_1938);
																}}
																{	/* Type/typeof.scm 164 */

																	BgL_method3042z00_1445 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1450,
																			(int) (BgL_modz00_1453)),
																		(int) (BgL_restz00_1455));
									}}}}}}}}
									{	/* Type/typeof.scm 164 */
										obj_t BgL_auxz00_1945;

										BgL_auxz00_1945 =
											PROCEDURE_ENTRY(BgL_method3042z00_1445)
											(BgL_method3042z00_1445, (obj_t) (BgL_nodez00_1444),
											BEOA);
										BgL_res3225z00_1470 = (BgL_typez00_bglt) (BgL_auxz00_1945);
							}}}
							BgL_g3034z00_1220 = BgL_res3225z00_1470;
					}}
					{
						obj_t BgL_clausesz00_1221;
						BgL_typez00_bglt BgL_typez00_1222;

						BgL_clausesz00_1221 = BgL_g3033z00_1219;
						BgL_typez00_1222 = BgL_g3034z00_1220;
					BgL_loopz00_1223:
						if (NULLP(BgL_clausesz00_1221))
							{	/* Type/typeof.scm 165 */
								return (obj_t) (BgL_typez00_1222);
							}
						else
							{	/* Type/typeof.scm 167 */
								BgL_typez00_bglt BgL_ntypez00_1225;

								{	/* Type/typeof.scm 167 */
									obj_t BgL_arg3189z00_1231;

									BgL_arg3189z00_1231 = CDR(CAR(BgL_clausesz00_1221));
									{	/* Type/typeof.scm 167 */
										BgL_typez00_bglt BgL_res3228z00_1500;

										{	/* Type/typeof.scm 167 */
											BgL_nodez00_bglt BgL_nodez00_1474;

											BgL_nodez00_1474 =
												(BgL_nodez00_bglt) (BgL_arg3189z00_1231);
											{	/* Type/typeof.scm 167 */
												obj_t BgL_method3042z00_1475;

												{	/* Type/typeof.scm 167 */
													BgL_objectz00_bglt BgL_objz00_1476;

													BgL_objz00_1476 =
														(BgL_objectz00_bglt) (BgL_nodez00_1474);
													{	/* Type/typeof.scm 167 */
														long BgL_objzd2classzd2numz00_1477;

														BgL_objzd2classzd2numz00_1477 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1476);
														{	/* Type/typeof.scm 167 */
															obj_t BgL_arg2249z00_1478;

															BgL_arg2249z00_1478 =
																PROCEDURE_REF
																(BGl_typeofzd2envzd2zztype_typeofz00,
																(int) (((long) 1)));
															{	/* Type/typeof.scm 167 */
																obj_t BgL_arrayz00_1480;
																int BgL_offsetz00_1481;

																BgL_arrayz00_1480 = BgL_arg2249z00_1478;
																BgL_offsetz00_1481 =
																	(int) (BgL_objzd2classzd2numz00_1477);
																{	/* Type/typeof.scm 167 */
																	long BgL_offsetz00_1482;

																	BgL_offsetz00_1482 =
																		((long) (BgL_offsetz00_1481) - OBJECT_TYPE);
																	{	/* Type/typeof.scm 167 */
																		long BgL_modz00_1483;

																		{	/* Type/typeof.scm 167 */
																			int BgL_arg2251z00_1484;

																			BgL_arg2251z00_1484 = (int) (((long) 8));
																			{	/* Type/typeof.scm 167 */
																				long BgL_auxz00_1964;

																				BgL_auxz00_1964 =
																					(long) (BgL_arg2251z00_1484);
																				BgL_modz00_1483 =
																					(BgL_offsetz00_1482 /
																					BgL_auxz00_1964);
																		}}
																		{	/* Type/typeof.scm 167 */
																			long BgL_restz00_1485;

																			{	/* Type/typeof.scm 167 */
																				int BgL_arg2250z00_1486;

																				BgL_arg2250z00_1486 =
																					(int) (((long) 8));
																				{	/* Type/typeof.scm 167 */
																					long BgL_auxz00_1968;

																					BgL_auxz00_1968 =
																						(long) (BgL_arg2250z00_1486);
																					BgL_restz00_1485 =
																						(BgL_offsetz00_1482 %
																						BgL_auxz00_1968);
																			}}
																			{	/* Type/typeof.scm 167 */

																				BgL_method3042z00_1475 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1480,
																						(int) (BgL_modz00_1483)),
																					(int) (BgL_restz00_1485));
												}}}}}}}}
												{	/* Type/typeof.scm 167 */
													obj_t BgL_auxz00_1975;

													BgL_auxz00_1975 =
														PROCEDURE_ENTRY(BgL_method3042z00_1475)
														(BgL_method3042z00_1475, (obj_t) (BgL_nodez00_1474),
														BEOA);
													BgL_res3228z00_1500 =
														(BgL_typez00_bglt) (BgL_auxz00_1975);
										}}}
										BgL_ntypez00_1225 = BgL_res3228z00_1500;
								}}
								if (
									((obj_t) (BgL_typez00_1222) ==
										BGl_za2magicza2z00zztype_cachez00))
									{
										BgL_typez00_bglt BgL_typez00_1985;
										obj_t BgL_clausesz00_1983;

										BgL_clausesz00_1983 = CDR(BgL_clausesz00_1221);
										BgL_typez00_1985 = BgL_ntypez00_1225;
										BgL_typez00_1222 = BgL_typez00_1985;
										BgL_clausesz00_1221 = BgL_clausesz00_1983;
										goto BgL_loopz00_1223;
									}
								else
									{	/* Type/typeof.scm 171 */
										bool_t BgL_testz00_1986;

										if (
											((obj_t) (BgL_ntypez00_1225) ==
												(obj_t) (BgL_typez00_1222)))
											{	/* Type/typeof.scm 171 */
												BgL_testz00_1986 = ((bool_t) 1);
											}
										else
											{	/* Type/typeof.scm 171 */
												BgL_testz00_1986 =
													(
													(obj_t) (BgL_ntypez00_1225) ==
													BGl_za2magicza2z00zztype_cachez00);
											}
										if (BgL_testz00_1986)
											{
												obj_t BgL_clausesz00_1993;

												BgL_clausesz00_1993 = CDR(BgL_clausesz00_1221);
												BgL_clausesz00_1221 = BgL_clausesz00_1993;
												goto BgL_loopz00_1223;
											}
										else
											{	/* Type/typeof.scm 171 */
												return BGl_za2objza2z00zztype_cachez00;
											}
									}
							}
					}
				}
			}
		}
	}



/* typeof-fail3062 */
	obj_t BGl_typeofzd2fail3062zd2zztype_typeofz00(obj_t BgL_envz00_1643,
		obj_t BgL_nodez00_1644)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 154 */
			return BGl_za2magicza2z00zztype_cachez00;
		}
	}



/* typeof-conditional3060 */
	obj_t BGl_typeofzd2conditional3060zd2zztype_typeofz00(obj_t BgL_envz00_1645,
		obj_t BgL_nodez00_1646)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 143 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1196;

				BgL_nodez00_1196 = (BgL_conditionalz00_bglt) (BgL_nodez00_1646);
				{	/* Type/typeof.scm 145 */
					BgL_typez00_bglt BgL_ttruez00_1200;
					BgL_typez00_bglt BgL_tfalsez00_1201;

					{	/* Type/typeof.scm 145 */
						BgL_nodez00_bglt BgL_arg3179z00_1205;

						BgL_arg3179z00_1205 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1196))->BgL_truez00);
						{	/* Type/typeof.scm 145 */
							BgL_typez00_bglt BgL_res3219z00_1410;

							{	/* Type/typeof.scm 145 */
								obj_t BgL_method3042z00_1385;

								{	/* Type/typeof.scm 145 */
									BgL_objectz00_bglt BgL_objz00_1386;

									BgL_objz00_1386 = (BgL_objectz00_bglt) (BgL_arg3179z00_1205);
									{	/* Type/typeof.scm 145 */
										long BgL_objzd2classzd2numz00_1387;

										BgL_objzd2classzd2numz00_1387 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1386);
										{	/* Type/typeof.scm 145 */
											obj_t BgL_arg2249z00_1388;

											BgL_arg2249z00_1388 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 145 */
												obj_t BgL_arrayz00_1390;
												int BgL_offsetz00_1391;

												BgL_arrayz00_1390 = BgL_arg2249z00_1388;
												BgL_offsetz00_1391 =
													(int) (BgL_objzd2classzd2numz00_1387);
												{	/* Type/typeof.scm 145 */
													long BgL_offsetz00_1392;

													BgL_offsetz00_1392 =
														((long) (BgL_offsetz00_1391) - OBJECT_TYPE);
													{	/* Type/typeof.scm 145 */
														long BgL_modz00_1393;

														{	/* Type/typeof.scm 145 */
															int BgL_arg2251z00_1394;

															BgL_arg2251z00_1394 = (int) (((long) 8));
															{	/* Type/typeof.scm 145 */
																long BgL_auxz00_2005;

																BgL_auxz00_2005 = (long) (BgL_arg2251z00_1394);
																BgL_modz00_1393 =
																	(BgL_offsetz00_1392 / BgL_auxz00_2005);
														}}
														{	/* Type/typeof.scm 145 */
															long BgL_restz00_1395;

															{	/* Type/typeof.scm 145 */
																int BgL_arg2250z00_1396;

																BgL_arg2250z00_1396 = (int) (((long) 8));
																{	/* Type/typeof.scm 145 */
																	long BgL_auxz00_2009;

																	BgL_auxz00_2009 =
																		(long) (BgL_arg2250z00_1396);
																	BgL_restz00_1395 =
																		(BgL_offsetz00_1392 % BgL_auxz00_2009);
															}}
															{	/* Type/typeof.scm 145 */

																BgL_method3042z00_1385 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1390,
																		(int) (BgL_modz00_1393)),
																	(int) (BgL_restz00_1395));
								}}}}}}}}
								{	/* Type/typeof.scm 145 */
									obj_t BgL_auxz00_2016;

									BgL_auxz00_2016 =
										PROCEDURE_ENTRY(BgL_method3042z00_1385)
										(BgL_method3042z00_1385, (obj_t) (BgL_arg3179z00_1205),
										BEOA);
									BgL_res3219z00_1410 = (BgL_typez00_bglt) (BgL_auxz00_2016);
							}}
							BgL_ttruez00_1200 = BgL_res3219z00_1410;
					}}
					{	/* Type/typeof.scm 146 */
						BgL_nodez00_bglt BgL_arg3180z00_1206;

						BgL_arg3180z00_1206 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1196))->
							BgL_falsez00);
						{	/* Type/typeof.scm 146 */
							BgL_typez00_bglt BgL_res3222z00_1438;

							{	/* Type/typeof.scm 146 */
								obj_t BgL_method3042z00_1413;

								{	/* Type/typeof.scm 146 */
									BgL_objectz00_bglt BgL_objz00_1414;

									BgL_objz00_1414 = (BgL_objectz00_bglt) (BgL_arg3180z00_1206);
									{	/* Type/typeof.scm 146 */
										long BgL_objzd2classzd2numz00_1415;

										BgL_objzd2classzd2numz00_1415 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1414);
										{	/* Type/typeof.scm 146 */
											obj_t BgL_arg2249z00_1416;

											BgL_arg2249z00_1416 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 146 */
												obj_t BgL_arrayz00_1418;
												int BgL_offsetz00_1419;

												BgL_arrayz00_1418 = BgL_arg2249z00_1416;
												BgL_offsetz00_1419 =
													(int) (BgL_objzd2classzd2numz00_1415);
												{	/* Type/typeof.scm 146 */
													long BgL_offsetz00_1420;

													BgL_offsetz00_1420 =
														((long) (BgL_offsetz00_1419) - OBJECT_TYPE);
													{	/* Type/typeof.scm 146 */
														long BgL_modz00_1421;

														{	/* Type/typeof.scm 146 */
															int BgL_arg2251z00_1422;

															BgL_arg2251z00_1422 = (int) (((long) 8));
															{	/* Type/typeof.scm 146 */
																long BgL_auxz00_2030;

																BgL_auxz00_2030 = (long) (BgL_arg2251z00_1422);
																BgL_modz00_1421 =
																	(BgL_offsetz00_1420 / BgL_auxz00_2030);
														}}
														{	/* Type/typeof.scm 146 */
															long BgL_restz00_1423;

															{	/* Type/typeof.scm 146 */
																int BgL_arg2250z00_1424;

																BgL_arg2250z00_1424 = (int) (((long) 8));
																{	/* Type/typeof.scm 146 */
																	long BgL_auxz00_2034;

																	BgL_auxz00_2034 =
																		(long) (BgL_arg2250z00_1424);
																	BgL_restz00_1423 =
																		(BgL_offsetz00_1420 % BgL_auxz00_2034);
															}}
															{	/* Type/typeof.scm 146 */

																BgL_method3042z00_1413 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1418,
																		(int) (BgL_modz00_1421)),
																	(int) (BgL_restz00_1423));
								}}}}}}}}
								{	/* Type/typeof.scm 146 */
									obj_t BgL_auxz00_2041;

									BgL_auxz00_2041 =
										PROCEDURE_ENTRY(BgL_method3042z00_1413)
										(BgL_method3042z00_1413, (obj_t) (BgL_arg3180z00_1206),
										BEOA);
									BgL_res3222z00_1438 = (BgL_typez00_bglt) (BgL_auxz00_2041);
							}}
							BgL_tfalsez00_1201 = BgL_res3222z00_1438;
					}}
					{	/* Type/typeof.scm 147 */
						bool_t BgL_testz00_2046;

						if (((obj_t) (BgL_ttruez00_1200) == (obj_t) (BgL_tfalsez00_1201)))
							{	/* Type/typeof.scm 147 */
								BgL_testz00_2046 = ((bool_t) 1);
							}
						else
							{	/* Type/typeof.scm 147 */
								BgL_testz00_2046 =
									(
									(obj_t) (BgL_tfalsez00_1201) ==
									BGl_za2magicza2z00zztype_cachez00);
							}
						if (BgL_testz00_2046)
							{	/* Type/typeof.scm 147 */
								return (obj_t) (BgL_ttruez00_1200);
							}
						else
							{	/* Type/typeof.scm 147 */
								if (
									((obj_t) (BgL_ttruez00_1200) ==
										BGl_za2magicza2z00zztype_cachez00))
									{	/* Type/typeof.scm 148 */
										return (obj_t) (BgL_tfalsez00_1201);
									}
								else
									{	/* Type/typeof.scm 148 */
										return BGl_za2objza2z00zztype_cachez00;
									}
							}
					}
				}
			}
		}
	}



/* typeof-setq3058 */
	obj_t BGl_typeofzd2setq3058zd2zztype_typeofz00(obj_t BgL_envz00_1647,
		obj_t BgL_nodez00_1648)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 137 */
			return BGl_za2unspecza2z00zztype_cachez00;
		}
	}



/* typeof-cast3056 */
	obj_t BGl_typeofzd2cast3056zd2zztype_typeofz00(obj_t BgL_envz00_1649,
		obj_t BgL_nodez00_1650)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 130 */
			{
				BgL_castz00_bglt BgL_nodez00_1185;

				{	/* Type/typeof.scm 131 */
					BgL_typez00_bglt BgL_auxz00_2059;

					BgL_nodez00_1185 = (BgL_castz00_bglt) (BgL_nodez00_1650);
					{	/* Type/typeof.scm 131 */
						BgL_nodez00_bglt BgL_obj1376z00_1382;

						BgL_obj1376z00_1382 = (BgL_nodez00_bglt) (BgL_nodez00_1185);
						BgL_auxz00_2059 =
							(((BgL_nodez00_bglt) CREF(BgL_obj1376z00_1382))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_2059);
				}
			}
		}
	}



/* typeof-extern3054 */
	obj_t BGl_typeofzd2extern3054zd2zztype_typeofz00(obj_t BgL_envz00_1651,
		obj_t BgL_nodez00_1652)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 123 */
			{
				BgL_externz00_bglt BgL_nodez00_1179;

				{	/* Type/typeof.scm 124 */
					BgL_typez00_bglt BgL_auxz00_2064;

					BgL_nodez00_1179 = (BgL_externz00_bglt) (BgL_nodez00_1652);
					{	/* Type/typeof.scm 124 */
						BgL_nodez00_bglt BgL_obj1376z00_1380;

						BgL_obj1376z00_1380 = (BgL_nodez00_bglt) (BgL_nodez00_1179);
						BgL_auxz00_2064 =
							(((BgL_nodez00_bglt) CREF(BgL_obj1376z00_1380))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_2064);
				}
			}
		}
	}



/* typeof-sequence3052 */
	obj_t BGl_typeofzd2sequence3052zd2zztype_typeofz00(obj_t BgL_envz00_1653,
		obj_t BgL_nodez00_1654)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 116 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1170;

				{	/* Type/typeof.scm 117 */
					BgL_typez00_bglt BgL_auxz00_2069;

					BgL_nodez00_1170 = (BgL_sequencez00_bglt) (BgL_nodez00_1654);
					{	/* Type/typeof.scm 118 */
						obj_t BgL_arg3169z00_1174;

						BgL_arg3169z00_1174 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1170))->
									BgL_nodesz00)));
						{	/* Type/typeof.scm 118 */
							BgL_typez00_bglt BgL_res3216z00_1378;

							{	/* Type/typeof.scm 118 */
								BgL_nodez00_bglt BgL_nodez00_1352;

								BgL_nodez00_1352 = (BgL_nodez00_bglt) (BgL_arg3169z00_1174);
								{	/* Type/typeof.scm 118 */
									obj_t BgL_method3042z00_1353;

									{	/* Type/typeof.scm 118 */
										BgL_objectz00_bglt BgL_objz00_1354;

										BgL_objz00_1354 = (BgL_objectz00_bglt) (BgL_nodez00_1352);
										{	/* Type/typeof.scm 118 */
											long BgL_objzd2classzd2numz00_1355;

											BgL_objzd2classzd2numz00_1355 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1354);
											{	/* Type/typeof.scm 118 */
												obj_t BgL_arg2249z00_1356;

												BgL_arg2249z00_1356 =
													PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
													(int) (((long) 1)));
												{	/* Type/typeof.scm 118 */
													obj_t BgL_arrayz00_1358;
													int BgL_offsetz00_1359;

													BgL_arrayz00_1358 = BgL_arg2249z00_1356;
													BgL_offsetz00_1359 =
														(int) (BgL_objzd2classzd2numz00_1355);
													{	/* Type/typeof.scm 118 */
														long BgL_offsetz00_1360;

														BgL_offsetz00_1360 =
															((long) (BgL_offsetz00_1359) - OBJECT_TYPE);
														{	/* Type/typeof.scm 118 */
															long BgL_modz00_1361;

															{	/* Type/typeof.scm 118 */
																int BgL_arg2251z00_1362;

																BgL_arg2251z00_1362 = (int) (((long) 8));
																{	/* Type/typeof.scm 118 */
																	long BgL_auxz00_2082;

																	BgL_auxz00_2082 =
																		(long) (BgL_arg2251z00_1362);
																	BgL_modz00_1361 =
																		(BgL_offsetz00_1360 / BgL_auxz00_2082);
															}}
															{	/* Type/typeof.scm 118 */
																long BgL_restz00_1363;

																{	/* Type/typeof.scm 118 */
																	int BgL_arg2250z00_1364;

																	BgL_arg2250z00_1364 = (int) (((long) 8));
																	{	/* Type/typeof.scm 118 */
																		long BgL_auxz00_2086;

																		BgL_auxz00_2086 =
																			(long) (BgL_arg2250z00_1364);
																		BgL_restz00_1363 =
																			(BgL_offsetz00_1360 % BgL_auxz00_2086);
																}}
																{	/* Type/typeof.scm 118 */

																	BgL_method3042z00_1353 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1358,
																			(int) (BgL_modz00_1361)),
																		(int) (BgL_restz00_1363));
									}}}}}}}}
									{	/* Type/typeof.scm 118 */
										obj_t BgL_auxz00_2093;

										BgL_auxz00_2093 =
											PROCEDURE_ENTRY(BgL_method3042z00_1353)
											(BgL_method3042z00_1353, (obj_t) (BgL_nodez00_1352),
											BEOA);
										BgL_res3216z00_1378 = (BgL_typez00_bglt) (BgL_auxz00_2093);
							}}}
							BgL_auxz00_2069 = BgL_res3216z00_1378;
					}}
					return (obj_t) (BgL_auxz00_2069);
				}
			}
		}
	}



/* typeof-closure3050 */
	obj_t BGl_typeofzd2closure3050zd2zztype_typeofz00(obj_t BgL_envz00_1655,
		obj_t BgL_nodez00_1656)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 110 */
			return BGl_za2procedureza2z00zztype_cachez00;
		}
	}



/* typeof-var3048 */
	obj_t BGl_typeofzd2var3048zd2zztype_typeofz00(obj_t BgL_envz00_1657,
		obj_t BgL_nodez00_1658)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 96 */
			{
				BgL_varz00_bglt BgL_nodez00_1151;

				BgL_nodez00_1151 = (BgL_varz00_bglt) (BgL_nodez00_1658);
				{	/* Type/typeof.scm 98 */
					BgL_valuez00_bglt BgL_valuez00_1155;

					{	/* Type/typeof.scm 98 */
						BgL_variablez00_bglt BgL_obj2538z00_1345;

						BgL_obj2538z00_1345 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_1151))->BgL_variablez00);
						BgL_valuez00_1155 =
							(((BgL_variablez00_bglt) CREF(BgL_obj2538z00_1345))->
							BgL_valuez00);
					}
					{	/* Type/typeof.scm 100 */
						bool_t BgL_testz00_2102;

						{	/* Type/typeof.scm 100 */
							obj_t BgL_obj2880z00_1346;

							BgL_obj2880z00_1346 = (obj_t) (BgL_valuez00_1155);
							BgL_testz00_2102 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2880z00_1346,
								BGl_sfunz00zzast_varz00);
						}
						if (BgL_testz00_2102)
							{	/* Type/typeof.scm 100 */
								return BGl_za2procedureza2z00zztype_cachez00;
							}
						else
							{	/* Type/typeof.scm 102 */
								bool_t BgL_testz00_2105;

								{	/* Type/typeof.scm 102 */
									obj_t BgL_obj2944z00_1347;

									BgL_obj2944z00_1347 = (obj_t) (BgL_valuez00_1155);
									BgL_testz00_2105 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2944z00_1347,
										BGl_cfunz00zzast_varz00);
								}
								if (BgL_testz00_2105)
									{	/* Type/typeof.scm 103 */
										obj_t BgL_arg3164z00_1160;

										BgL_arg3164z00_1160 =
											BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1151));
										return
											BGl_errorz00zz__errorz00
											(BGl_string3237z00zztype_typeofz00,
											BGl_string3238z00zztype_typeofz00, BgL_arg3164z00_1160);
									}
								else
									{	/* Type/typeof.scm 105 */
										BgL_variablez00_bglt BgL_obj2535z00_1349;

										BgL_obj2535z00_1349 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1151))->
											BgL_variablez00);
										{	/* Type/typeof.scm 105 */
											BgL_typez00_bglt BgL_auxz00_2112;

											BgL_auxz00_2112 =
												(((BgL_variablez00_bglt) CREF(BgL_obj2535z00_1349))->
												BgL_typez00);
											return (obj_t) (BgL_auxz00_2112);
										}
									}
							}
					}
				}
			}
		}
	}



/* typeof-kwote3046 */
	obj_t BGl_typeofzd2kwote3046zd2zztype_typeofz00(obj_t BgL_envz00_1659,
		obj_t BgL_nodez00_1660)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 89 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1144;

				{	/* Type/typeof.scm 90 */
					BgL_typez00_bglt BgL_auxz00_2116;

					BgL_nodez00_1144 = (BgL_kwotez00_bglt) (BgL_nodez00_1660);
					BgL_auxz00_2116 =
						BGl_typeofzd2kwotezd2zztype_typeofz00(
						(((BgL_kwotez00_bglt) CREF(BgL_nodez00_1144))->BgL_valuez00));
					return (obj_t) (BgL_auxz00_2116);
				}
			}
		}
	}



/* typeof-atom3044 */
	obj_t BGl_typeofzd2atom3044zd2zztype_typeofz00(obj_t BgL_envz00_1661,
		obj_t BgL_nodez00_1662)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 82 */
			{
				BgL_atomz00_bglt BgL_nodez00_1137;

				{	/* Type/typeof.scm 83 */
					BgL_typez00_bglt BgL_auxz00_2121;

					BgL_nodez00_1137 = (BgL_atomz00_bglt) (BgL_nodez00_1662);
					BgL_auxz00_2121 =
						BGl_typeofzd2atomzd2zztype_typeofz00(
						(((BgL_atomz00_bglt) CREF(BgL_nodez00_1137))->BgL_valuez00));
					return (obj_t) (BgL_auxz00_2121);
				}
			}
		}
	}



/* typeof */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt BgL_nodez00_13)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 77 */
			{	/* Type/typeof.scm 77 */
				obj_t BgL_method3042z00_1569;

				{	/* Type/typeof.scm 77 */
					BgL_objectz00_bglt BgL_objz00_1570;

					BgL_objz00_1570 = (BgL_objectz00_bglt) (BgL_nodez00_13);
					{	/* Type/typeof.scm 77 */
						long BgL_objzd2classzd2numz00_1571;

						BgL_objzd2classzd2numz00_1571 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1570);
						{	/* Type/typeof.scm 77 */
							obj_t BgL_arg2249z00_1572;

							BgL_arg2249z00_1572 =
								PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
								(int) (((long) 1)));
							{	/* Type/typeof.scm 77 */
								obj_t BgL_arrayz00_1574;
								int BgL_offsetz00_1575;

								BgL_arrayz00_1574 = BgL_arg2249z00_1572;
								BgL_offsetz00_1575 = (int) (BgL_objzd2classzd2numz00_1571);
								{	/* Type/typeof.scm 77 */
									long BgL_offsetz00_1576;

									BgL_offsetz00_1576 =
										((long) (BgL_offsetz00_1575) - OBJECT_TYPE);
									{	/* Type/typeof.scm 77 */
										long BgL_modz00_1577;

										{	/* Type/typeof.scm 77 */
											int BgL_arg2251z00_1578;

											BgL_arg2251z00_1578 = (int) (((long) 8));
											{	/* Type/typeof.scm 77 */
												long BgL_auxz00_2134;

												BgL_auxz00_2134 = (long) (BgL_arg2251z00_1578);
												BgL_modz00_1577 =
													(BgL_offsetz00_1576 / BgL_auxz00_2134);
										}}
										{	/* Type/typeof.scm 77 */
											long BgL_restz00_1579;

											{	/* Type/typeof.scm 77 */
												int BgL_arg2250z00_1580;

												BgL_arg2250z00_1580 = (int) (((long) 8));
												{	/* Type/typeof.scm 77 */
													long BgL_auxz00_2138;

													BgL_auxz00_2138 = (long) (BgL_arg2250z00_1580);
													BgL_restz00_1579 =
														(BgL_offsetz00_1576 % BgL_auxz00_2138);
											}}
											{	/* Type/typeof.scm 77 */

												BgL_method3042z00_1569 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1574,
														(int) (BgL_modz00_1577)), (int) (BgL_restz00_1579));
				}}}}}}}}
				{	/* Type/typeof.scm 77 */
					obj_t BgL_auxz00_2145;

					BgL_auxz00_2145 =
						PROCEDURE_ENTRY(BgL_method3042z00_1569) (BgL_method3042z00_1569,
						(obj_t) (BgL_nodez00_13), BEOA);
					return (BgL_typez00_bglt) (BgL_auxz00_2145);
				}
			}
		}
	}



/* _typeof */
	obj_t BGl__typeofz00zztype_typeofz00(obj_t BgL_envz00_1607,
		obj_t BgL_nodez00_1608)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 77 */
			{	/* Type/typeof.scm 77 */
				BgL_typez00_bglt BgL_auxz00_2150;

				BgL_auxz00_2150 =
					BGl_typeofz00zztype_typeofz00((BgL_nodez00_bglt) (BgL_nodez00_1608));
				return (obj_t) (BgL_auxz00_2150);
			}
		}
	}



/* typeof-default3041 */
	BgL_typez00_bglt BGl_typeofzd2default3041zd2zztype_typeofz00(BgL_nodez00_bglt
		BgL_nodez00_14)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				obj_t BgL_auxz00_2154;

				BgL_auxz00_2154 =
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3239z00zztype_typeofz00, (obj_t) (BgL_nodez00_14));
				return (BgL_typez00_bglt) (BgL_auxz00_2154);
			}
		}
	}



/* _typeof-default3041 */
	obj_t BGl__typeofzd2default3041zd2zztype_typeofz00(obj_t BgL_envz00_1663,
		obj_t BgL_nodez00_1664)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				BgL_typez00_bglt BgL_auxz00_2159;

				BgL_auxz00_2159 =
					BGl_typeofzd2default3041zd2zztype_typeofz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1664));
				return (obj_t) (BgL_auxz00_2159);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3240z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3240z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3240z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3240z00zztype_typeofz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3240z00zztype_typeofz00));
		}
	}

#ifdef __cplusplus
}
#endif
