/*===========================================================================*/
/*   (Ieee/output.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Ieee/output.scm -indent -o objs/obj_u/Ieee/output.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	extern obj_t bgl_display_substring(obj_t, long, long, obj_t);
	static obj_t BGl__writeza2za2zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	extern obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
	extern obj_t bgl_display_ucs2string(obj_t, obj_t);
	extern obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t bgl_write_elong(long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__writezd2bytezd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__printfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	static obj_t BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_output_6_10_3z00 =
		BUNSPEC;
	extern obj_t ucs2_string_to_utf8_string(obj_t);
	static obj_t BGl__writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_opaque(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_writezd2bytezd22z00zz__r4_output_6_10_3z00(unsigned char, obj_t);
	extern bool_t BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00();
	BGL_EXPORTED_DECL obj_t BGl_printz00zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl__illegalzd2charzd2rep2570z00zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t bgl_display_llong(BGL_LONGLONG_T, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t, long, long, obj_t);
	extern obj_t bgl_write_custom(obj_t, obj_t);
	static obj_t BGl__writezd2charzd222568z00zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_mmap(obj_t, obj_t);
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	extern obj_t bgl_write_process(obj_t, obj_t);
	extern obj_t bgl_write_socket(obj_t, obj_t);
	extern obj_t bgl_write_foreign(obj_t, obj_t);
	static obj_t BGl__writez00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	extern obj_t bgl_write_procedure(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newlinez00zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl__writezd2charzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__writezd222573zd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__r4_output_6_10_3z00();
	static obj_t BGl__displayza2za2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_cnst(obj_t, obj_t);
	static obj_t BGl__printz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_display_elong(long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2fixnumzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
	static obj_t BGl_writezd2pairzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__displayzd2fixnum2574zd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_output_6_10_3z00();
	BGL_EXPORTED_DECL obj_t BGl_writezd2bytezd2zz__r4_output_6_10_3z00(unsigned
		char, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_writezd2charzd22z00zz__r4_output_6_10_3z00(unsigned char, obj_t);
	static obj_t BGl__formatz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	static obj_t BGl__writezd2bytezd222569z00zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
	static obj_t BGl__displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writeza2za2zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl__fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_ill_char_rep(unsigned char);
	extern obj_t weakptr_data(obj_t);
	extern obj_t bgl_write_unknown(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t close_output_port(obj_t);
	extern obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
	static obj_t BGl__displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_input_port(obj_t, obj_t);
	static obj_t BGl__displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2charzd2zz__r4_output_6_10_3z00(unsigned
		char, obj_t);
	static obj_t BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_illegalzd2charzd2repz00zz__r4_output_6_10_3z00(unsigned char);
	extern obj_t open_output_string();
	extern obj_t bgl_write_utf8string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t string_to_bstring(char *);
	BGL_EXPORTED_DECL obj_t
		BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_char(obj_t, obj_t);
	static obj_t BGl_displayzd2pairzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2588z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_symbol2590z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_symbol2592z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_symbol2612z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_xprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__fprint2571z00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	static obj_t BGl__writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newlinezd21zd2zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl__newlinez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_seconds_to_string(long);
	static obj_t BGl__writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t string_for_read(obj_t);
	static obj_t BGl__displayzd222572zd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_string(obj_t, bool_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_write_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern char *BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t bgl_write_llong(BGL_LONGLONG_T, obj_t);
	extern obj_t bgl_write_output_port(obj_t, obj_t);
	static obj_t BGl__displayz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t bgl_write_binary_port(obj_t, obj_t);
	extern obj_t real_to_string(double);
	extern long bgl_date_to_seconds(obj_t);
	static obj_t BGl__newlinezd212567zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__r4_output_6_10_3z00();
	BGL_EXPORTED_DECL obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fprintfzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__fprintfza700za7za7__r2617za7, va_generic_entry,
		BGl__fprintfz00zz__r4_output_6_10_3z00, BUNSPEC, -3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__printza700za7za7__r4_2618za7, va_generic_entry,
		BGl__printz00zz__r4_output_6_10_3z00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printfzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__printfza700za7za7__r42619za7, va_generic_entry,
		BGl__printfz00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2bytezd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2byteza7d22620z00, opt_generic_entry,
		BGl__writezd2bytezd2zz__r4_output_6_10_3z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2stringza72621z00,
		BGl__writezd2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2ucs2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2ucs2str2622za7,
		BGl__writezd2ucs2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayza2zd2envz70zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7a2za7a2za7za72623z00, va_generic_entry,
		BGl__displayza2za2zz__r4_output_6_10_3z00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2strin2624za7,
		BGl__displayzd2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2575z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2575za700za7za7_2625za7, "newline", 7);
	      DEFINE_STRING(BGl_string2576z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2576za700za7za7_2626za7, "wrong number of optional arguments",
		34);
	      DEFINE_STRING(BGl_string2577z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2577za700za7za7_2627za7, "display", 7);
	      DEFINE_STRING(BGl_string2578z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2578za700za7za7_2628za7, "write", 5);
	      DEFINE_STRING(BGl_string2580z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2580za700za7za7_2629za7, "#Return", 7);
	      DEFINE_STRING(BGl_string2579z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2579za700za7za7_2630za7, "#Newline", 8);
	      DEFINE_STRING(BGl_string2581z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2581za700za7za7_2631za7, "#Space", 6);
	      DEFINE_STRING(BGl_string2582z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2582za700za7za7_2632za7, "#Tab", 4);
	      DEFINE_STRING(BGl_string2583z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2583za700za7za7_2633za7, "Tag not allowd here", 19);
	      DEFINE_STRING(BGl_string2584z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2584za700za7za7_2634za7, "Insufficient number of arguments",
		32);
	      DEFINE_STRING(BGl_string2585z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2585za700za7za7_2635za7, "Illegal char", 12);
	      DEFINE_STRING(BGl_string2586z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2586za700za7za7_2636za7, "Illegal number", 14);
	      DEFINE_STRING(BGl_string2587z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2587za700za7za7_2637za7, "Illegal tag", 11);
	      DEFINE_STRING(BGl_string2600z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2600za700za7za7_2638za7, "#<mutex:", 8);
	      DEFINE_STRING(BGl_string2589z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2589za700za7za7_2639za7, "format", 6);
	      DEFINE_STRING(BGl_string2601z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2601za700za7za7_2640za7, "#<condition-variable:", 21);
	      DEFINE_STRING(BGl_string2591z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2591za700za7za7_2641za7, "printf", 6);
	      DEFINE_STRING(BGl_string2602z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2602za700za7za7_2642za7, "#<cell:", 7);
	      DEFINE_STRING(BGl_string2603z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2603za700za7za7_2643za7, "#eof-object", 11);
	      DEFINE_STRING(BGl_string2593z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2593za700za7za7_2644za7, "fprintf", 7);
	      DEFINE_STRING(BGl_string2604z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2604za700za7za7_2645za7, "#!optional", 10);
	      DEFINE_STRING(BGl_string2594z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2594za700za7za7_2646za7, "()", 2);
	      DEFINE_STRING(BGl_string2605z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2605za700za7za7_2647za7, "#!rest", 6);
	      DEFINE_STRING(BGl_string2595z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2595za700za7za7_2648za7, "#f", 2);
	      DEFINE_STRING(BGl_string2606z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2606za700za7za7_2649za7, "#!key", 5);
	      DEFINE_STRING(BGl_string2596z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2596za700za7za7_2650za7, "#t", 2);
	      DEFINE_STRING(BGl_string2607z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2607za700za7za7_2651za7, "#<output_string_port>", 21);
	      DEFINE_STRING(BGl_string2597z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2597za700za7za7_2652za7, "#unspecified", 12);
	      DEFINE_STRING(BGl_string2608z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2608za700za7za7_2653za7, "#<output_procedure_port>", 24);
	      DEFINE_STRING(BGl_string2598z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2598za700za7za7_2654za7, "#<class:", 8);
	      DEFINE_STRING(BGl_string2610z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2610za700za7za7_2655za7, "#<date:", 7);
	      DEFINE_STRING(BGl_string2609z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2609za700za7za7_2656za7, "#<weakptr:", 10);
	      DEFINE_STRING(BGl_string2599z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2599za700za7za7_2657za7, ">", 1);
	      DEFINE_STRING(BGl_string2611z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2611za700za7za7_2658za7, "|", 1);
	      DEFINE_STRING(BGl_string2613z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2613za700za7za7_2659za7, "display-substring", 17);
	      DEFINE_STRING(BGl_string2614z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2614za700za7za7_2660za7, "Illegal index, start=~a end=~a",
		30);
	      DEFINE_STRING(BGl_string2615z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2615za700za7za7_2661za7, "...)", 4);
	      DEFINE_STRING(BGl_string2616z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2616za700za7za7_2662za7, "__r4_output_6_10_3", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2fixnumzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2fixnu2663za7,
		BGl__displayzd2fixnum2574zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_formatzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__formatza700za7za7__r42664za7, va_generic_entry,
		BGl__formatz00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2ucs2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2ucs2s2665za7,
		BGl__displayzd2ucs2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2charzd22zd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2charza7d22666z00,
		BGl__writezd2charzd222568z00zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__writeza700za7za7__r4_2667za7, va_generic_entry,
		BGl__writez00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2symbolzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2symbolza72668z00,
		BGl__writezd2symbolzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2substringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2subst2669za7,
		BGl__displayzd2substringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2symbolzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2symbo2670za7,
		BGl__displayzd2symbolzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2bytezd22zd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2byteza7d22671z00,
		BGl__writezd2bytezd222569z00zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2225722672za7,
		BGl__displayzd222572zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd22zd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d222573za7d2673z00,
		BGl__writezd222573zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writeza2zd2envz70zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7a2za7a2za7za7__2674z00, va_generic_entry,
		BGl__writeza2za2zz__r4_output_6_10_3z00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_fprintzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__fprint2571za700za7za72675za7, va_generic_entry,
		BGl__fprint2571z00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newlinezd21zd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__newlineza7d2125672676za7,
		BGl__newlinezd212567zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_illegalzd2charzd2repzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__illegalza7d2charza72677z00,
		BGl__illegalzd2charzd2rep2570z00zz__r4_output_6_10_3z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2charzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2charza7d22678z00, opt_generic_entry,
		BGl__writezd2charzd2zz__r4_output_6_10_3z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2flonumzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2flonu2679za7,
		BGl__displayzd2flonumzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newlinezd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__newlineza700za7za7__r2680za7, va_generic_entry,
		BGl__newlinez00zz__r4_output_6_10_3z00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__displayza700za7za7__r2681za7, va_generic_entry,
		BGl__displayz00zz__r4_output_6_10_3z00, BUNSPEC, -2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long
		BgL_checksumz00_3292, char *BgL_fromz00_3293)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_output_6_10_3z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_output_6_10_3z00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r4_output_6_10_3z00();
					BGl_importedzd2moduleszd2initz00zz__r4_output_6_10_3z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r4_output_6_10_3z00()
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 24 */
			BGl_symbol2588z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2589z00zz__r4_output_6_10_3z00);
			BGl_symbol2590z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2591z00zz__r4_output_6_10_3z00);
			BGl_symbol2592z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2593z00zz__r4_output_6_10_3z00);
			return (BGl_symbol2612z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2613z00zz__r4_output_6_10_3z00), BUNSPEC);
		}
	}



/* newline */
	BGL_EXPORTED_DEF obj_t BGl_newlinez00zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 227 */
			{	/* Ieee/output.scm 228 */
				obj_t BgL_portz00_971;

				if (NULLP(BgL_portz00_1))
					{	/* Ieee/output.scm 228 */
						BgL_portz00_971 = BGL_CURRENT_OUTPUT_PORT();
					}
				else
					{	/* Ieee/output.scm 228 */
						if (PAIRP(BgL_portz00_1))
							{	/* Ieee/output.scm 228 */
								if (NULLP(CDR(BgL_portz00_1)))
									{	/* Ieee/output.scm 228 */
										BgL_portz00_971 = CAR(BgL_portz00_1);
									}
								else
									{	/* Ieee/output.scm 228 */
										BgL_portz00_971 =
											BGl_errorz00zz__errorz00
											(BGl_string2575z00zz__r4_output_6_10_3z00,
											BGl_string2576z00zz__r4_output_6_10_3z00, BgL_portz00_1);
									}
							}
						else
							{	/* Ieee/output.scm 228 */
								BgL_portz00_971 =
									BGl_errorz00zz__errorz00
									(BGl_string2575z00zz__r4_output_6_10_3z00,
									BGl_string2576z00zz__r4_output_6_10_3z00, BgL_portz00_1);
							}
					}
				return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_971);
		}}
	}



/* _newline */
	obj_t BGl__newlinez00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3193,
		obj_t BgL_portz00_3194)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 227 */
			return BGl_newlinez00zz__r4_output_6_10_3z00(BgL_portz00_3194);
		}
	}



/* newline-1 */
	BGL_EXPORTED_DEF obj_t BGl_newlinezd21zd2zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_2)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 242 */
			return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_2);
		}
	}



/* _newline-12567 */
	obj_t BGl__newlinezd212567zd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3195,
		obj_t BgL_portz00_3196)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 242 */
			return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_3196);
		}
	}



/* display */
	BGL_EXPORTED_DEF obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_3, obj_t BgL_portz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 248 */
			{	/* Ieee/output.scm 249 */
				obj_t BgL_portz00_980;

				if (NULLP(BgL_portz00_4))
					{	/* Ieee/output.scm 249 */
						BgL_portz00_980 = BGL_CURRENT_OUTPUT_PORT();
					}
				else
					{	/* Ieee/output.scm 249 */
						if (PAIRP(BgL_portz00_4))
							{	/* Ieee/output.scm 249 */
								if (NULLP(CDR(BgL_portz00_4)))
									{	/* Ieee/output.scm 249 */
										BgL_portz00_980 = CAR(BgL_portz00_4);
									}
								else
									{	/* Ieee/output.scm 249 */
										BgL_portz00_980 =
											BGl_errorz00zz__errorz00
											(BGl_string2577z00zz__r4_output_6_10_3z00,
											BGl_string2576z00zz__r4_output_6_10_3z00, BgL_portz00_4);
									}
							}
						else
							{	/* Ieee/output.scm 249 */
								BgL_portz00_980 =
									BGl_errorz00zz__errorz00
									(BGl_string2577z00zz__r4_output_6_10_3z00,
									BGl_string2576z00zz__r4_output_6_10_3z00, BgL_portz00_4);
							}
					}
				return bgl_display_obj(BgL_objz00_3, BgL_portz00_980);
			}
		}
	}



/* _display */
	obj_t BGl__displayz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3197,
		obj_t BgL_objz00_3198, obj_t BgL_portz00_3199)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 248 */
			return
				BGl_displayz00zz__r4_output_6_10_3z00(BgL_objz00_3198,
				BgL_portz00_3199);
		}
	}



/* write */
	BGL_EXPORTED_DEF obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t BgL_objz00_5,
		obj_t BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 263 */
			{	/* Ieee/output.scm 264 */
				obj_t BgL_portz00_989;

				if (NULLP(BgL_portz00_6))
					{	/* Ieee/output.scm 264 */
						BgL_portz00_989 = BGL_CURRENT_OUTPUT_PORT();
					}
				else
					{	/* Ieee/output.scm 264 */
						if (PAIRP(BgL_portz00_6))
							{	/* Ieee/output.scm 264 */
								if (NULLP(CDR(BgL_portz00_6)))
									{	/* Ieee/output.scm 264 */
										BgL_portz00_989 = CAR(BgL_portz00_6);
									}
								else
									{	/* Ieee/output.scm 264 */
										BgL_portz00_989 =
											BGl_errorz00zz__errorz00
											(BGl_string2578z00zz__r4_output_6_10_3z00,
											BGl_string2576z00zz__r4_output_6_10_3z00, BgL_portz00_6);
									}
							}
						else
							{	/* Ieee/output.scm 264 */
								BgL_portz00_989 =
									BGl_errorz00zz__errorz00
									(BGl_string2578z00zz__r4_output_6_10_3z00,
									BGl_string2576z00zz__r4_output_6_10_3z00, BgL_portz00_6);
							}
					}
				return bgl_write_obj(BgL_objz00_5, BgL_portz00_989);
			}
		}
	}



/* _write */
	obj_t BGl__writez00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3200,
		obj_t BgL_objz00_3201, obj_t BgL_portz00_3202)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 263 */
			return
				BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_3201, BgL_portz00_3202);
		}
	}



/* _write-char */
	obj_t BGl__writezd2charzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_10,
		obj_t BgL_optz00_9)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 278 */
			{	/* Ieee/output.scm 278 */
				obj_t BgL_g1637z00_998;

				BgL_g1637z00_998 = VECTOR_REF(BgL_optz00_9, (int) (((long) 0)));
				{	/* Ieee/output.scm 278 */
					int BgL_aux1639z00_1000;

					BgL_aux1639z00_1000 = VECTOR_LENGTH(BgL_optz00_9);
					switch ((long) (BgL_aux1639z00_1000))
						{
						case ((long) 1):

							{	/* Ieee/output.scm 278 */
								obj_t BgL_portz00_1002;

								BgL_portz00_1002 = BGL_CURRENT_OUTPUT_PORT();
								{	/* Ieee/output.scm 278 */

									{	/* Ieee/output.scm 278 */
										obj_t BgL_arg1703z00_1003;

										BgL_arg1703z00_1003 =
											VECTOR_REF(BgL_optz00_9, (int) (((long) 0)));
										{	/* Ieee/output.scm 278 */
											unsigned char BgL_auxz00_3350;

											BgL_auxz00_3350 = CCHAR(BgL_arg1703z00_1003);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3350, BgL_portz00_1002);
										}
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Ieee/output.scm 278 */
								obj_t BgL_portz00_1004;

								BgL_portz00_1004 = VECTOR_REF(BgL_optz00_9, (int) (((long) 1)));
								{	/* Ieee/output.scm 278 */

									{	/* Ieee/output.scm 278 */
										obj_t BgL_arg1704z00_1005;

										BgL_arg1704z00_1005 =
											VECTOR_REF(BgL_optz00_9, (int) (((long) 0)));
										{	/* Ieee/output.scm 278 */
											unsigned char BgL_auxz00_3357;

											BgL_auxz00_3357 = CCHAR(BgL_arg1704z00_1005);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3357, BgL_portz00_1004);
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-char */
	BGL_EXPORTED_DEF obj_t BGl_writezd2charzd2zz__r4_output_6_10_3z00(unsigned
		char BgL_charz00_7, obj_t BgL_portz00_8)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 278 */
			return BGL_DISPLAY_CHAR(BgL_charz00_7, BgL_portz00_8);
		}
	}



/* write-char-2 */
	BGL_EXPORTED_DEF obj_t BGl_writezd2charzd22z00zz__r4_output_6_10_3z00(unsigned
		char BgL_charz00_11, obj_t BgL_portz00_12)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 284 */
			return BGL_DISPLAY_CHAR(BgL_charz00_11, BgL_portz00_12);
		}
	}



/* _write-char-22568 */
	obj_t BGl__writezd2charzd222568z00zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3203, obj_t BgL_charz00_3204, obj_t BgL_portz00_3205)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 284 */
			{	/* Ieee/output.scm 285 */
				unsigned char BgL_auxz00_3364;

				BgL_auxz00_3364 = CCHAR(BgL_charz00_3204);
				return BGL_DISPLAY_CHAR(BgL_auxz00_3364, BgL_portz00_3205);
			}
		}
	}



/* _write-byte */
	obj_t BGl__writezd2bytezd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_16,
		obj_t BgL_optz00_15)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 290 */
			{	/* Ieee/output.scm 290 */
				obj_t BgL_g1640z00_1006;

				BgL_g1640z00_1006 = VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
				{	/* Ieee/output.scm 290 */
					int BgL_aux1642z00_1008;

					BgL_aux1642z00_1008 = VECTOR_LENGTH(BgL_optz00_15);
					switch ((long) (BgL_aux1642z00_1008))
						{
						case ((long) 1):

							{	/* Ieee/output.scm 290 */
								obj_t BgL_portz00_1010;

								BgL_portz00_1010 = BGL_CURRENT_OUTPUT_PORT();
								{	/* Ieee/output.scm 290 */

									{	/* Ieee/output.scm 290 */
										obj_t BgL_arg1706z00_1011;

										BgL_arg1706z00_1011 =
											VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
										{	/* Ieee/output.scm 290 */
											unsigned char BgL_auxz00_3373;

											BgL_auxz00_3373 =
												(unsigned char) CINT(BgL_arg1706z00_1011);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3373, BgL_portz00_1010);
										}
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Ieee/output.scm 290 */
								obj_t BgL_portz00_1012;

								BgL_portz00_1012 =
									VECTOR_REF(BgL_optz00_15, (int) (((long) 1)));
								{	/* Ieee/output.scm 290 */

									{	/* Ieee/output.scm 290 */
										obj_t BgL_arg1707z00_1013;

										BgL_arg1707z00_1013 =
											VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
										{	/* Ieee/output.scm 290 */
											unsigned char BgL_auxz00_3380;

											BgL_auxz00_3380 =
												(unsigned char) CINT(BgL_arg1707z00_1013);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3380, BgL_portz00_1012);
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-byte */
	BGL_EXPORTED_DEF obj_t BGl_writezd2bytezd2zz__r4_output_6_10_3z00(unsigned
		char BgL_bytez00_13, obj_t BgL_portz00_14)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 290 */
			return BGL_DISPLAY_CHAR(BgL_bytez00_13, BgL_portz00_14);
		}
	}



/* write-byte-2 */
	BGL_EXPORTED_DEF obj_t BGl_writezd2bytezd22z00zz__r4_output_6_10_3z00(unsigned
		char BgL_bytez00_17, obj_t BgL_portz00_18)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 296 */
			return BGL_DISPLAY_CHAR(BgL_bytez00_17, BgL_portz00_18);
		}
	}



/* _write-byte-22569 */
	obj_t BGl__writezd2bytezd222569z00zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3206, obj_t BgL_bytez00_3207, obj_t BgL_portz00_3208)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 296 */
			{	/* Ieee/output.scm 297 */
				unsigned char BgL_auxz00_3387;

				BgL_auxz00_3387 = (unsigned char) CINT(BgL_bytez00_3207);
				return BGL_DISPLAY_CHAR(BgL_auxz00_3387, BgL_portz00_3208);
			}
		}
	}



/* illegal-char-rep */
	BGL_EXPORTED_DEF obj_t
		BGl_illegalzd2charzd2repz00zz__r4_output_6_10_3z00(unsigned char
		BgL_charz00_19)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 302 */
			{	/* Ieee/output.scm 303 */
				bool_t BgL_testz00_3390;

				if (isalpha(BgL_charz00_19))
					{	/* Ieee/output.scm 303 */
						BgL_testz00_3390 = ((bool_t) 1);
					}
				else
					{	/* Ieee/output.scm 303 */
						BgL_testz00_3390 = isdigit(BgL_charz00_19);
					}
				if (BgL_testz00_3390)
					{	/* Ieee/output.scm 303 */
						return BCHAR(BgL_charz00_19);
					}
				else
					{

						switch (BgL_charz00_19)
							{
							case ((unsigned char) '\n'):

								return BGl_string2579z00zz__r4_output_6_10_3z00;
								break;
							case ((unsigned char) '\r'):

								return BGl_string2580z00zz__r4_output_6_10_3z00;
								break;
							case ((unsigned char) ' '):

								return BGl_string2581z00zz__r4_output_6_10_3z00;
								break;
							case ((unsigned char) '\t'):

								return BGl_string2582z00zz__r4_output_6_10_3z00;
								break;
							default:
								{	/* Ieee/output.scm 315 */
									long BgL_iz00_1018;

									BgL_iz00_1018 = (BgL_charz00_19);
									if ((BgL_iz00_1018 < ((long) 33)))
										{	/* Ieee/output.scm 316 */
											return bgl_ill_char_rep(BgL_charz00_19);
										}
									else
										{	/* Ieee/output.scm 316 */
											return BCHAR(BgL_charz00_19);
										}
								}
							}
					}
			}
		}
	}



/* _illegal-char-rep2570 */
	obj_t BGl__illegalzd2charzd2rep2570z00zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3209, obj_t BgL_charz00_3210)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 302 */
			return
				BGl_illegalzd2charzd2repz00zz__r4_output_6_10_3z00(CCHAR
				(BgL_charz00_3210));
		}
	}



/* print */
	BGL_EXPORTED_DEF obj_t BGl_printz00zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_20)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 323 */
			{	/* Ieee/output.scm 324 */
				obj_t BgL_portz00_1021;

				BgL_portz00_1021 = BGL_CURRENT_OUTPUT_PORT();
				{
					obj_t BgL_lz00_2174;
					obj_t BgL_resz00_2175;

					BgL_lz00_2174 = BgL_objz00_20;
					BgL_resz00_2175 = BNIL;
				BgL_loopz00_2173:
					if (NULLP(BgL_lz00_2174))
						{	/* Ieee/output.scm 325 */
							BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_1021);
							return BgL_resz00_2175;
						}
					else
						{	/* Ieee/output.scm 325 */
							obj_t BgL_vz00_2180;

							BgL_vz00_2180 = CAR(BgL_lz00_2174);
							bgl_display_obj(BgL_vz00_2180, BgL_portz00_1021);
							{
								obj_t BgL_resz00_3411;
								obj_t BgL_lz00_3409;

								BgL_lz00_3409 = CDR(BgL_lz00_2174);
								BgL_resz00_3411 = BgL_vz00_2180;
								BgL_resz00_2175 = BgL_resz00_3411;
								BgL_lz00_2174 = BgL_lz00_3409;
								goto BgL_loopz00_2173;
							}
						}
				}
			}
		}
	}



/* _print */
	obj_t BGl__printz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3211,
		obj_t BgL_objz00_3212)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 323 */
			return BGl_printz00zz__r4_output_6_10_3z00(BgL_objz00_3212);
		}
	}



/* display* */
	BGL_EXPORTED_DEF obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_21)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 338 */
			{	/* Ieee/output.scm 339 */
				obj_t BgL_portz00_1029;

				BgL_portz00_1029 = BGL_CURRENT_OUTPUT_PORT();
				{
					obj_t BgL_lz00_1030;

					BgL_lz00_1030 = BgL_objz00_21;
				BgL_loopz00_1031:
					if (NULLP(BgL_lz00_1030))
						{	/* Ieee/output.scm 341 */
							return BUNSPEC;
						}
					else
						{	/* Ieee/output.scm 341 */
							bgl_display_obj(CAR(BgL_lz00_1030), BgL_portz00_1029);
							{
								obj_t BgL_lz00_3418;

								BgL_lz00_3418 = CDR(BgL_lz00_1030);
								BgL_lz00_1030 = BgL_lz00_3418;
								goto BgL_loopz00_1031;
							}
						}
				}
			}
		}
	}



/* _display* */
	obj_t BGl__displayza2za2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3213,
		obj_t BgL_objz00_3214)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 338 */
			return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_objz00_3214);
		}
	}



/* write* */
	BGL_EXPORTED_DEF obj_t BGl_writeza2za2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_22)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 350 */
			{	/* Ieee/output.scm 351 */
				obj_t BgL_portz00_1036;

				BgL_portz00_1036 = BGL_CURRENT_OUTPUT_PORT();
				{
					obj_t BgL_lz00_1037;

					BgL_lz00_1037 = BgL_objz00_22;
				BgL_loopz00_1038:
					if (NULLP(BgL_lz00_1037))
						{	/* Ieee/output.scm 353 */
							return BUNSPEC;
						}
					else
						{	/* Ieee/output.scm 353 */
							bgl_write_obj(CAR(BgL_lz00_1037), BgL_portz00_1036);
							{
								obj_t BgL_lz00_3426;

								BgL_lz00_3426 = CDR(BgL_lz00_1037);
								BgL_lz00_1037 = BgL_lz00_3426;
								goto BgL_loopz00_1038;
							}
						}
				}
			}
		}
	}



/* _write* */
	obj_t BGl__writeza2za2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3215,
		obj_t BgL_objz00_3216)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 350 */
			return BGl_writeza2za2zz__r4_output_6_10_3z00(BgL_objz00_3216);
		}
	}



/* fprint */
	BGL_EXPORTED_DEF obj_t BGl_fprintz00zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_23, obj_t BgL_objz00_24)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 362 */
			{
				obj_t BgL_lz00_2208;
				obj_t BgL_resz00_2209;

				BgL_lz00_2208 = BgL_objz00_24;
				BgL_resz00_2209 = BNIL;
			BgL_loopz00_2207:
				if (NULLP(BgL_lz00_2208))
					{	/* Ieee/output.scm 363 */
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_23);
						return BgL_resz00_2209;
					}
				else
					{	/* Ieee/output.scm 363 */
						obj_t BgL_vz00_2215;

						BgL_vz00_2215 = CAR(BgL_lz00_2208);
						bgl_display_obj(BgL_vz00_2215, BgL_portz00_23);
						{
							obj_t BgL_resz00_3436;
							obj_t BgL_lz00_3434;

							BgL_lz00_3434 = CDR(BgL_lz00_2208);
							BgL_resz00_3436 = BgL_vz00_2215;
							BgL_resz00_2209 = BgL_resz00_3436;
							BgL_lz00_2208 = BgL_lz00_3434;
							goto BgL_loopz00_2207;
						}
					}
			}
		}
	}



/* _fprint2571 */
	obj_t BGl__fprint2571z00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3217,
		obj_t BgL_portz00_3218, obj_t BgL_objz00_3219)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 362 */
			return
				BGl_fprintz00zz__r4_output_6_10_3z00(BgL_portz00_3218, BgL_objz00_3219);
		}
	}



/* xprintf */
	obj_t BGl_xprintfz00zz__r4_output_6_10_3z00(obj_t BgL_procnamez00_25,
		obj_t BgL_pz00_26, obj_t BgL_fmtz00_27, obj_t BgL_objsz00_28)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 376 */
			{	/* Ieee/output.scm 377 */
				long BgL_lenz00_1051;

				BgL_lenz00_1051 = STRING_LENGTH(BgL_fmtz00_27);
				{
					long BgL_iz00_1052;
					obj_t BgL_osz00_1053;

					BgL_iz00_1052 = ((long) 0);
					BgL_osz00_1053 = BgL_objsz00_28;
				BgL_loopz00_1054:
					if ((BgL_iz00_1052 < BgL_lenz00_1051))
						{	/* Ieee/output.scm 389 */
							unsigned char BgL_cz00_1058;

							BgL_cz00_1058 = STRING_REF(BgL_fmtz00_27, BgL_iz00_1052);
							if ((BgL_cz00_1058 == ((unsigned char) '~')))
								{	/* Ieee/output.scm 390 */
									if ((BgL_iz00_1052 == (BgL_lenz00_1051 - ((long) 1))))
										{	/* Ieee/output.scm 391 */
											return
												BGl_errorz00zz__errorz00(BgL_procnamez00_25,
												BGl_string2583z00zz__r4_output_6_10_3z00,
												c_substring(BgL_fmtz00_27, BgL_iz00_1052,
													BgL_lenz00_1051));
										}
									else
										{	/* Ieee/output.scm 395 */
											unsigned char BgL_fz00_1063;

											BgL_fz00_1063 =
												STRING_REF(BgL_fmtz00_27, (BgL_iz00_1052 + ((long) 1)));
											switch (BgL_fz00_1063)
												{
												case ((unsigned char) 'a'):
												case ((unsigned char) 'A'):

													{	/* Ieee/output.scm 398 */
														obj_t BgL_arg1733z00_1067;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 398 */
																BgL_arg1733z00_1067 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 398 */
																BgL_arg1733z00_1067 = CAR(BgL_osz00_1053);
															}
														bgl_display_obj(BgL_arg1733z00_1067, BgL_pz00_26);
													}
													{
														obj_t BgL_osz00_3459;
														long BgL_iz00_3457;

														BgL_iz00_3457 = (BgL_iz00_1052 + ((long) 2));
														BgL_osz00_3459 = CDR(BgL_osz00_1053);
														BgL_osz00_1053 = BgL_osz00_3459;
														BgL_iz00_1052 = BgL_iz00_3457;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) 's'):
												case ((unsigned char) 'S'):

													{	/* Ieee/output.scm 401 */
														obj_t BgL_arg1736z00_1070;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 401 */
																BgL_arg1736z00_1070 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 401 */
																BgL_arg1736z00_1070 = CAR(BgL_osz00_1053);
															}
														{	/* Ieee/output.scm 401 */
															obj_t BgL_list1737z00_1071;

															BgL_list1737z00_1071 =
																MAKE_PAIR(BgL_pz00_26, BNIL);
															BGl_writez00zz__r4_output_6_10_3z00
																(BgL_arg1736z00_1070, BgL_list1737z00_1071);
														}
													}
													{
														obj_t BgL_osz00_3470;
														long BgL_iz00_3468;

														BgL_iz00_3468 = (BgL_iz00_1052 + ((long) 2));
														BgL_osz00_3470 = CDR(BgL_osz00_1053);
														BgL_osz00_1053 = BgL_osz00_3470;
														BgL_iz00_1052 = BgL_iz00_3468;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) 'v'):
												case ((unsigned char) 'V'):

													{	/* Ieee/output.scm 404 */
														obj_t BgL_arg1740z00_1074;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 404 */
																BgL_arg1740z00_1074 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 404 */
																BgL_arg1740z00_1074 = CAR(BgL_osz00_1053);
															}
														bgl_display_obj(BgL_arg1740z00_1074, BgL_pz00_26);
													}
													BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_pz00_26);
													{
														obj_t BgL_osz00_3481;
														long BgL_iz00_3479;

														BgL_iz00_3479 = (BgL_iz00_1052 + ((long) 2));
														BgL_osz00_3481 = CDR(BgL_osz00_1053);
														BgL_osz00_1053 = BgL_osz00_3481;
														BgL_iz00_1052 = BgL_iz00_3479;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) 'c'):
												case ((unsigned char) 'C'):

													{	/* Ieee/output.scm 408 */
														obj_t BgL_oz00_1077;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 408 */
																BgL_oz00_1077 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 408 */
																BgL_oz00_1077 = CAR(BgL_osz00_1053);
															}
														if (CHARP(BgL_oz00_1077))
															{	/* Ieee/output.scm 409 */
																{	/* Ieee/output.scm 412 */
																	unsigned char BgL_auxz00_3490;

																	BgL_auxz00_3490 = CCHAR(BgL_oz00_1077);
																	BGL_DISPLAY_CHAR(BgL_auxz00_3490,
																		BgL_pz00_26);
																}
																{
																	obj_t BgL_osz00_3495;
																	long BgL_iz00_3493;

																	BgL_iz00_3493 = (BgL_iz00_1052 + ((long) 2));
																	BgL_osz00_3495 = CDR(BgL_osz00_1053);
																	BgL_osz00_1053 = BgL_osz00_3495;
																	BgL_iz00_1052 = BgL_iz00_3493;
																	goto BgL_loopz00_1054;
																}
															}
														else
															{	/* Ieee/output.scm 409 */
																return
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2585z00zz__r4_output_6_10_3z00,
																	BgL_oz00_1077);
															}
													}
													break;
												case ((unsigned char) 'x'):
												case ((unsigned char) 'X'):

													{	/* Ieee/output.scm 415 */
														obj_t BgL_arg1747z00_1082;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 415 */
																BgL_arg1747z00_1082 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 415 */
																BgL_arg1747z00_1082 = CAR(BgL_osz00_1053);
															}
														{	/* Ieee/output.scm 415 */
															bool_t BgL_testz00_3503;

															if (INTEGERP(BgL_arg1747z00_1082))
																{	/* Ieee/output.scm 415 */
																	BgL_testz00_3503 = ((bool_t) 1);
																}
															else
																{	/* Ieee/output.scm 415 */
																	if (REALP(BgL_arg1747z00_1082))
																		{	/* Ieee/output.scm 415 */
																			BgL_testz00_3503 = ((bool_t) 1);
																		}
																	else
																		{	/* Ieee/output.scm 415 */
																			if (ELONGP(BgL_arg1747z00_1082))
																				{	/* Ieee/output.scm 415 */
																					BgL_testz00_3503 = ((bool_t) 1);
																				}
																			else
																				{	/* Ieee/output.scm 415 */
																					BgL_testz00_3503 =
																						LLONGP(BgL_arg1747z00_1082);
																				}
																		}
																}
															if (BgL_testz00_3503)
																{	/* Ieee/output.scm 415 */
																	char *BgL_arg1768z00_2302;

																	{	/* Ieee/output.scm 415 */
																		obj_t BgL_list1769z00_2303;

																		BgL_list1769z00_2303 =
																			MAKE_PAIR(BINT(((long) 16)), BNIL);
																		BgL_arg1768z00_2302 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_arg1747z00_1082,
																			BgL_list1769z00_2303);
																	}
																	bgl_display_obj(string_to_bstring
																		(BgL_arg1768z00_2302), BgL_pz00_26);
																}
															else
																{	/* Ieee/output.scm 415 */
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																		BGl_string2586z00zz__r4_output_6_10_3z00,
																		BgL_arg1747z00_1082);
																}
														}
													}
													{
														obj_t BgL_osz00_3519;
														long BgL_iz00_3517;

														BgL_iz00_3517 = (BgL_iz00_1052 + ((long) 2));
														BgL_osz00_3519 = CDR(BgL_osz00_1053);
														BgL_osz00_1053 = BgL_osz00_3519;
														BgL_iz00_1052 = BgL_iz00_3517;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) 'o'):
												case ((unsigned char) 'O'):

													{	/* Ieee/output.scm 418 */
														obj_t BgL_arg1751z00_1086;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 418 */
																BgL_arg1751z00_1086 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 418 */
																BgL_arg1751z00_1086 = CAR(BgL_osz00_1053);
															}
														{	/* Ieee/output.scm 418 */
															bool_t BgL_testz00_3526;

															if (INTEGERP(BgL_arg1751z00_1086))
																{	/* Ieee/output.scm 418 */
																	BgL_testz00_3526 = ((bool_t) 1);
																}
															else
																{	/* Ieee/output.scm 418 */
																	if (REALP(BgL_arg1751z00_1086))
																		{	/* Ieee/output.scm 418 */
																			BgL_testz00_3526 = ((bool_t) 1);
																		}
																	else
																		{	/* Ieee/output.scm 418 */
																			if (ELONGP(BgL_arg1751z00_1086))
																				{	/* Ieee/output.scm 418 */
																					BgL_testz00_3526 = ((bool_t) 1);
																				}
																			else
																				{	/* Ieee/output.scm 418 */
																					BgL_testz00_3526 =
																						LLONGP(BgL_arg1751z00_1086);
																				}
																		}
																}
															if (BgL_testz00_3526)
																{	/* Ieee/output.scm 418 */
																	char *BgL_arg1768z00_2324;

																	{	/* Ieee/output.scm 418 */
																		obj_t BgL_list1769z00_2325;

																		BgL_list1769z00_2325 =
																			MAKE_PAIR(BINT(((long) 8)), BNIL);
																		BgL_arg1768z00_2324 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_arg1751z00_1086,
																			BgL_list1769z00_2325);
																	}
																	bgl_display_obj(string_to_bstring
																		(BgL_arg1768z00_2324), BgL_pz00_26);
																}
															else
																{	/* Ieee/output.scm 418 */
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																		BGl_string2586z00zz__r4_output_6_10_3z00,
																		BgL_arg1751z00_1086);
																}
														}
													}
													{
														obj_t BgL_osz00_3542;
														long BgL_iz00_3540;

														BgL_iz00_3540 = (BgL_iz00_1052 + ((long) 2));
														BgL_osz00_3542 = CDR(BgL_osz00_1053);
														BgL_osz00_1053 = BgL_osz00_3542;
														BgL_iz00_1052 = BgL_iz00_3540;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) 'b'):
												case ((unsigned char) 'B'):

													{	/* Ieee/output.scm 421 */
														obj_t BgL_arg1755z00_1090;

														if (NULLP(BgL_osz00_1053))
															{	/* Ieee/output.scm 421 */
																BgL_arg1755z00_1090 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2584z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1063));
															}
														else
															{	/* Ieee/output.scm 421 */
																BgL_arg1755z00_1090 = CAR(BgL_osz00_1053);
															}
														{	/* Ieee/output.scm 421 */
															bool_t BgL_testz00_3549;

															if (INTEGERP(BgL_arg1755z00_1090))
																{	/* Ieee/output.scm 421 */
																	BgL_testz00_3549 = ((bool_t) 1);
																}
															else
																{	/* Ieee/output.scm 421 */
																	if (REALP(BgL_arg1755z00_1090))
																		{	/* Ieee/output.scm 421 */
																			BgL_testz00_3549 = ((bool_t) 1);
																		}
																	else
																		{	/* Ieee/output.scm 421 */
																			if (ELONGP(BgL_arg1755z00_1090))
																				{	/* Ieee/output.scm 421 */
																					BgL_testz00_3549 = ((bool_t) 1);
																				}
																			else
																				{	/* Ieee/output.scm 421 */
																					BgL_testz00_3549 =
																						LLONGP(BgL_arg1755z00_1090);
																				}
																		}
																}
															if (BgL_testz00_3549)
																{	/* Ieee/output.scm 421 */
																	char *BgL_arg1768z00_2346;

																	{	/* Ieee/output.scm 421 */
																		obj_t BgL_list1769z00_2347;

																		BgL_list1769z00_2347 =
																			MAKE_PAIR(BINT(((long) 2)), BNIL);
																		BgL_arg1768z00_2346 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_arg1755z00_1090,
																			BgL_list1769z00_2347);
																	}
																	bgl_display_obj(string_to_bstring
																		(BgL_arg1768z00_2346), BgL_pz00_26);
																}
															else
																{	/* Ieee/output.scm 421 */
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																		BGl_string2586z00zz__r4_output_6_10_3z00,
																		BgL_arg1755z00_1090);
																}
														}
													}
													{
														obj_t BgL_osz00_3565;
														long BgL_iz00_3563;

														BgL_iz00_3563 = (BgL_iz00_1052 + ((long) 2));
														BgL_osz00_3565 = CDR(BgL_osz00_1053);
														BgL_osz00_1053 = BgL_osz00_3565;
														BgL_iz00_1052 = BgL_iz00_3563;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) '%'):
												case ((unsigned char) 'n'):

													BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_pz00_26);
													{
														long BgL_iz00_3568;

														BgL_iz00_3568 = (BgL_iz00_1052 + ((long) 2));
														BgL_iz00_1052 = BgL_iz00_3568;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) 'r'):

													BGL_DISPLAY_CHAR(((unsigned char) '\r'), BgL_pz00_26);
													{
														long BgL_iz00_3571;

														BgL_iz00_3571 = (BgL_iz00_1052 + ((long) 2));
														BgL_iz00_1052 = BgL_iz00_3571;
														goto BgL_loopz00_1054;
													}
													break;
												case ((unsigned char) '~'):

													BGL_DISPLAY_CHAR(((unsigned char) '~'), BgL_pz00_26);
													{
														long BgL_iz00_3574;

														BgL_iz00_3574 = (BgL_iz00_1052 + ((long) 2));
														BgL_iz00_1052 = BgL_iz00_3574;
														goto BgL_loopz00_1054;
													}
													break;
												default:
													return
														BGl_errorz00zz__errorz00(BgL_procnamez00_25,
														BGl_string2587z00zz__r4_output_6_10_3z00,
														BCHAR(BgL_fz00_1063));
												}
										}
								}
							else
								{	/* Ieee/output.scm 390 */
									BGL_DISPLAY_CHAR(BgL_cz00_1058, BgL_pz00_26);
									{
										long BgL_iz00_3580;

										BgL_iz00_3580 = (BgL_iz00_1052 + ((long) 1));
										BgL_iz00_1052 = BgL_iz00_3580;
										goto BgL_loopz00_1054;
									}
								}
						}
					else
						{	/* Ieee/output.scm 388 */
							return BFALSE;
						}
				}
			}
		}
	}



/* format */
	BGL_EXPORTED_DEF obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t
		BgL_fmtz00_29, obj_t BgL_objz00_30)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 441 */
			{	/* Ieee/output.scm 442 */
				obj_t BgL_pz00_2390;

				BgL_pz00_2390 = open_output_string();
				BGl_xprintfz00zz__r4_output_6_10_3z00
					(BGl_symbol2588z00zz__r4_output_6_10_3z00, BgL_pz00_2390,
					BgL_fmtz00_29, BgL_objz00_30);
				return close_output_port(BgL_pz00_2390);
			}
		}
	}



/* _format */
	obj_t BGl__formatz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3220,
		obj_t BgL_fmtz00_3221, obj_t BgL_objz00_3222)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 441 */
			return
				BGl_formatz00zz__r4_output_6_10_3z00(BgL_fmtz00_3221, BgL_objz00_3222);
		}
	}



/* printf */
	BGL_EXPORTED_DEF obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t
		BgL_fmtz00_31, obj_t BgL_objz00_32)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 449 */
			{	/* Ieee/output.scm 450 */
				obj_t BgL_arg1772z00_2392;
				obj_t BgL_arg1773z00_2393;

				BgL_arg1772z00_2392 = BGl_symbol2590z00zz__r4_output_6_10_3z00;
				BgL_arg1773z00_2393 = BGL_CURRENT_OUTPUT_PORT();
				return
					BGl_xprintfz00zz__r4_output_6_10_3z00(BgL_arg1772z00_2392,
					BgL_arg1773z00_2393, BgL_fmtz00_31, BgL_objz00_32);
			}
		}
	}



/* _printf */
	obj_t BGl__printfz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3223,
		obj_t BgL_fmtz00_3224, obj_t BgL_objz00_3225)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 449 */
			return
				BGl_printfz00zz__r4_output_6_10_3z00(BgL_fmtz00_3224, BgL_objz00_3225);
		}
	}



/* fprintf */
	BGL_EXPORTED_DEF obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_33, obj_t BgL_fmtz00_34, obj_t BgL_objz00_35)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 455 */
			return
				BGl_xprintfz00zz__r4_output_6_10_3z00
				(BGl_symbol2592z00zz__r4_output_6_10_3z00, BgL_portz00_33,
				BgL_fmtz00_34, BgL_objz00_35);
		}
	}



/* _fprintf */
	obj_t BGl__fprintfz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3226,
		obj_t BgL_portz00_3227, obj_t BgL_fmtz00_3228, obj_t BgL_objz00_3229)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 455 */
			return
				BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_portz00_3227, BgL_fmtz00_3228,
				BgL_objz00_3229);
		}
	}



/* display-2 */
	BGL_EXPORTED_DEF obj_t bgl_display_obj(obj_t BgL_objz00_36,
		obj_t BgL_portz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 568 */
			if (INTEGERP(BgL_objz00_36))
				{	/* Ieee/output.scm 569 */
					return bgl_display_fixnum(BgL_objz00_36, BgL_portz00_37);
				}
			else
				{	/* Ieee/output.scm 569 */
					if (SYMBOLP(BgL_objz00_36))
						{	/* Ieee/output.scm 569 */
							obj_t BgL_objz00_2396;

							BgL_objz00_2396 = BgL_objz00_36;
							{	/* Ieee/output.scm 569 */
								obj_t BgL_arg1862z00_2398;

								BgL_arg1862z00_2398 = SYMBOL_TO_STRING(BgL_objz00_2396);
								return bgl_display_string(BgL_arg1862z00_2398, BgL_portz00_37);
							}
						}
					else
						{	/* Ieee/output.scm 569 */
							if (STRINGP(BgL_objz00_36))
								{	/* Ieee/output.scm 569 */
									return bgl_display_string(BgL_objz00_36, BgL_portz00_37);
								}
							else
								{	/* Ieee/output.scm 569 */
									if (CHARP(BgL_objz00_36))
										{	/* Ieee/output.scm 569 */
											unsigned char BgL_auxz00_3603;

											BgL_auxz00_3603 = CCHAR(BgL_objz00_36);
											return BGL_DISPLAY_CHAR(BgL_auxz00_3603, BgL_portz00_37);
										}
									else
										{	/* Ieee/output.scm 569 */
											if (PAIRP(BgL_objz00_36))
												{	/* Ieee/output.scm 569 */
													return
														BGl_displayzd2pairzd2zz__r4_output_6_10_3z00
														(BgL_objz00_36, BgL_portz00_37);
												}
											else
												{	/* Ieee/output.scm 569 */
													if (NULLP(BgL_objz00_36))
														{	/* Ieee/output.scm 569 */
															return
																bgl_display_string
																(BGl_string2594z00zz__r4_output_6_10_3z00,
																BgL_portz00_37);
														}
													else
														{	/* Ieee/output.scm 569 */
															if ((BgL_objz00_36 == BFALSE))
																{	/* Ieee/output.scm 569 */
																	return
																		bgl_display_string
																		(BGl_string2595z00zz__r4_output_6_10_3z00,
																		BgL_portz00_37);
																}
															else
																{	/* Ieee/output.scm 569 */
																	if ((BgL_objz00_36 == BTRUE))
																		{	/* Ieee/output.scm 569 */
																			return
																				bgl_display_string
																				(BGl_string2596z00zz__r4_output_6_10_3z00,
																				BgL_portz00_37);
																		}
																	else
																		{	/* Ieee/output.scm 569 */
																			if ((BgL_objz00_36 == BUNSPEC))
																				{	/* Ieee/output.scm 569 */
																					return
																						bgl_display_string
																						(BGl_string2597z00zz__r4_output_6_10_3z00,
																						BgL_portz00_37);
																				}
																			else
																				{	/* Ieee/output.scm 569 */
																					if (ELONGP(BgL_objz00_36))
																						{	/* Ieee/output.scm 569 */
																							return
																								bgl_display_elong(BELONG_TO_LONG
																								(BgL_objz00_36),
																								BgL_portz00_37);
																						}
																					else
																						{	/* Ieee/output.scm 569 */
																							if (REALP(BgL_objz00_36))
																								{	/* Ieee/output.scm 569 */
																									obj_t BgL_objz00_2418;

																									BgL_objz00_2418 =
																										BgL_objz00_36;
																									{	/* Ieee/output.scm 569 */
																										obj_t BgL_arg1896z00_2420;

																										BgL_arg1896z00_2420 =
																											real_to_string
																											(REAL_TO_DOUBLE
																											(BgL_objz00_2418));
																										return
																											bgl_display_string
																											(BgL_arg1896z00_2420,
																											BgL_portz00_37);
																									}
																								}
																							else
																								{	/* Ieee/output.scm 569 */
																									if (KEYWORDP(BgL_objz00_36))
																										{	/* Ieee/output.scm 569 */
																											BGL_DISPLAY_CHAR((
																													(unsigned char) ':'),
																												BgL_portz00_37);
																											{	/* Ieee/output.scm 569 */
																												obj_t
																													BgL_arg1894z00_2427;
																												BgL_arg1894z00_2427 =
																													KEYWORD_TO_STRING
																													(BgL_objz00_36);
																												return
																													bgl_display_string
																													(BgL_arg1894z00_2427,
																													BgL_portz00_37);
																											}
																										}
																									else
																										{	/* Ieee/output.scm 569 */
																											if (BGl_classzf3zf3zz__objectz00(BgL_objz00_36))
																												{	/* Ieee/output.scm 569 */
																													bgl_display_string
																														(BGl_string2598z00zz__r4_output_6_10_3z00,
																														BgL_portz00_37);
																													{	/* Ieee/output.scm 569 */
																														obj_t
																															BgL_arg1904z00_2433;
																														BgL_arg1904z00_2433
																															=
																															BGl_classzd2namezd2zz__objectz00
																															(BgL_objz00_36);
																														{	/* Ieee/output.scm 569 */
																															obj_t
																																BgL_arg1862z00_2438;
																															BgL_arg1862z00_2438
																																=
																																SYMBOL_TO_STRING
																																(BgL_arg1904z00_2433);
																															bgl_display_string
																																(BgL_arg1862z00_2438,
																																BgL_portz00_37);
																														}
																													}
																													return
																														bgl_display_string
																														(BGl_string2599z00zz__r4_output_6_10_3z00,
																														BgL_portz00_37);
																												}
																											else
																												{	/* Ieee/output.scm 569 */
																													if (VECTORP
																														(BgL_objz00_36))
																														{	/* Ieee/output.scm 569 */
																															return
																																BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00
																																(BgL_objz00_36,
																																BgL_portz00_37,
																																BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																														}
																													else
																														{	/* Ieee/output.scm 569 */
																															if (LLONGP
																																(BgL_objz00_36))
																																{	/* Ieee/output.scm 569 */
																																	return
																																		bgl_display_llong
																																		(BLLONG_TO_LLONG
																																		(BgL_objz00_36),
																																		BgL_portz00_37);
																																}
																															else
																																{	/* Ieee/output.scm 569 */
																																	if (UCS2_STRINGP(BgL_objz00_36))
																																		{	/* Ieee/output.scm 569 */
																																			return
																																				bgl_display_ucs2string
																																				(BgL_objz00_36,
																																				BgL_portz00_37);
																																		}
																																	else
																																		{	/* Ieee/output.scm 569 */
																																			if (STRUCTP(BgL_objz00_36))
																																				{	/* Ieee/output.scm 569 */
																																					return
																																						BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00
																																						(BgL_objz00_36,
																																						BgL_portz00_37,
																																						BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																																				}
																																			else
																																				{	/* Ieee/output.scm 569 */
																																					if (BGL_OBJECTP(BgL_objz00_36))
																																						{	/* Ieee/output.scm 569 */
																																							obj_t
																																								BgL_list1792z00_1132;
																																							BgL_list1792z00_1132
																																								=
																																								MAKE_PAIR
																																								(BgL_portz00_37,
																																								BNIL);
																																							return
																																								BGl_objectzd2displayzd2zz__objectz00
																																								(
																																								(BgL_objectz00_bglt)
																																								(BgL_objz00_36),
																																								BgL_list1792z00_1132);
																																						}
																																					else
																																						{	/* Ieee/output.scm 569 */
																																							if (BGL_DATEP(BgL_objz00_36))
																																								{	/* Ieee/output.scm 569 */
																																									obj_t
																																										BgL_arg1900z00_2454;
																																									{	/* Ieee/output.scm 569 */
																																										obj_t
																																											BgL_res2549z00_2459;
																																										{	/* Ieee/output.scm 569 */
																																											obj_t
																																												BgL_datez00_2455;
																																											BgL_datez00_2455
																																												=
																																												BgL_objz00_36;
																																											BgL_res2549z00_2459
																																												=
																																												bgl_seconds_to_string
																																												(bgl_date_to_seconds
																																												(BgL_datez00_2455));
																																										}
																																										BgL_arg1900z00_2454
																																											=
																																											BgL_res2549z00_2459;
																																									}
																																									return
																																										bgl_display_string
																																										(BgL_arg1900z00_2454,
																																										BgL_portz00_37);
																																								}
																																							else
																																								{	/* Ieee/output.scm 569 */
																																									if (BGL_MUTEXP(BgL_objz00_36))
																																										{	/* Ieee/output.scm 569 */
																																											bgl_display_string
																																												(BGl_string2600z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_37);
																																											{	/* Ieee/output.scm 569 */
																																												obj_t
																																													BgL_arg1902z00_2465;
																																												BgL_arg1902z00_2465
																																													=
																																													BGL_MUTEX_NAME
																																													(BgL_objz00_36);
																																												bgl_display_obj
																																													(BgL_arg1902z00_2465,
																																													BgL_portz00_37);
																																											}
																																											return
																																												bgl_display_string
																																												(BGl_string2599z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_37);
																																										}
																																									else
																																										{	/* Ieee/output.scm 569 */
																																											if (BGL_CONDVARP(BgL_objz00_36))
																																												{	/* Ieee/output.scm 569 */
																																													bgl_display_string
																																														(BGl_string2601z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_37);
																																													{	/* Ieee/output.scm 569 */
																																														obj_t
																																															BgL_arg1903z00_2474;
																																														BgL_arg1903z00_2474
																																															=
																																															BGL_CONDVAR_NAME
																																															(BgL_objz00_36);
																																														bgl_display_obj
																																															(BgL_arg1903z00_2474,
																																															BgL_portz00_37);
																																													}
																																													return
																																														bgl_display_string
																																														(BGl_string2599z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_37);
																																												}
																																											else
																																												{	/* Ieee/output.scm 569 */
																																													if (UCS2P(BgL_objz00_36))
																																														{	/* Ieee/output.scm 569 */
																																															return
																																																bgl_display_ucs2
																																																(BgL_objz00_36,
																																																BgL_portz00_37);
																																														}
																																													else
																																														{	/* Ieee/output.scm 569 */
																																															if (CELLP(BgL_objz00_36))
																																																{	/* Ieee/output.scm 569 */
																																																	bgl_display_string
																																																		(BGl_string2602z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_37);
																																																	bgl_display_obj
																																																		(CELL_REF
																																																		(BgL_objz00_36),
																																																		BgL_portz00_37);
																																																	return
																																																		bgl_display_string
																																																		(BGl_string2599z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_37);
																																																}
																																															else
																																																{	/* Ieee/output.scm 569 */
																																																	if (EOF_OBJECTP(BgL_objz00_36))
																																																		{	/* Ieee/output.scm 569 */
																																																			return
																																																				bgl_display_string
																																																				(BGl_string2603z00zz__r4_output_6_10_3z00,
																																																				BgL_portz00_37);
																																																		}
																																																	else
																																																		{	/* Ieee/output.scm 569 */
																																																			if ((BgL_objz00_36 == BCNST(258)))
																																																				{	/* Ieee/output.scm 569 */
																																																					return
																																																						bgl_display_string
																																																						(BGl_string2604z00zz__r4_output_6_10_3z00,
																																																						BgL_portz00_37);
																																																				}
																																																			else
																																																				{	/* Ieee/output.scm 569 */
																																																					if ((BgL_objz00_36 == BCNST(259)))
																																																						{	/* Ieee/output.scm 569 */
																																																							return
																																																								bgl_display_string
																																																								(BGl_string2605z00zz__r4_output_6_10_3z00,
																																																								BgL_portz00_37);
																																																						}
																																																					else
																																																						{	/* Ieee/output.scm 569 */
																																																							if ((BgL_objz00_36 == BCNST(262)))
																																																								{	/* Ieee/output.scm 569 */
																																																									return
																																																										bgl_display_string
																																																										(BGl_string2606z00zz__r4_output_6_10_3z00,
																																																										BgL_portz00_37);
																																																								}
																																																							else
																																																								{	/* Ieee/output.scm 569 */
																																																									if (PROCEDUREP(BgL_objz00_36))
																																																										{	/* Ieee/output.scm 569 */
																																																											return
																																																												bgl_write_procedure
																																																												(BgL_objz00_36,
																																																												BgL_portz00_37);
																																																										}
																																																									else
																																																										{	/* Ieee/output.scm 569 */
																																																											if (OUTPUT_PORTP(BgL_objz00_36))
																																																												{	/* Ieee/output.scm 569 */
																																																													if (OUTPUT_STRING_PORTP(BgL_objz00_36))
																																																														{	/* Ieee/output.scm 569 */
																																																															return
																																																																bgl_display_string
																																																																(BGl_string2607z00zz__r4_output_6_10_3z00,
																																																																BgL_portz00_37);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 569 */
																																																															if (BGL_OUTPUT_PROCEDURE_PORTP(BgL_objz00_36))
																																																																{	/* Ieee/output.scm 569 */
																																																																	return
																																																																		bgl_display_string
																																																																		(BGl_string2608z00zz__r4_output_6_10_3z00,
																																																																		BgL_portz00_37);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 569 */
																																																																	return
																																																																		bgl_write_output_port
																																																																		(BgL_objz00_36,
																																																																		BgL_portz00_37);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ieee/output.scm 569 */
																																																													if (INPUT_PORTP(BgL_objz00_36))
																																																														{	/* Ieee/output.scm 569 */
																																																															return
																																																																bgl_write_input_port
																																																																(BgL_objz00_36,
																																																																BgL_portz00_37);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 569 */
																																																															if (CNSTP(BgL_objz00_36))
																																																																{	/* Ieee/output.scm 569 */
																																																																	return
																																																																		bgl_write_cnst
																																																																		(BgL_objz00_36,
																																																																		BgL_portz00_37);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 569 */
																																																																	if (BGL_HVECTORP(BgL_objz00_36))
																																																																		{	/* Ieee/output.scm 569 */
																																																																			return
																																																																				BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00
																																																																				(BgL_objz00_36,
																																																																				BgL_portz00_37,
																																																																				BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																																																																		}
																																																																	else
																																																																		{	/* Ieee/output.scm 569 */
																																																																			if (TVECTORP(BgL_objz00_36))
																																																																				{	/* Ieee/output.scm 569 */
																																																																					return
																																																																						BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00
																																																																						(BgL_objz00_36,
																																																																						BgL_portz00_37,
																																																																						BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																																																																				}
																																																																			else
																																																																				{	/* Ieee/output.scm 569 */
																																																																					if (BGL_WEAKPTRP(BgL_objz00_36))
																																																																						{	/* Ieee/output.scm 569 */
																																																																							obj_t
																																																																								BgL_dataz00_2512;
																																																																							BgL_dataz00_2512
																																																																								=
																																																																								weakptr_data
																																																																								(BgL_objz00_36);
																																																																							bgl_display_string
																																																																								(BGl_string2609z00zz__r4_output_6_10_3z00,
																																																																								BgL_portz00_37);
																																																																							bgl_display_obj
																																																																								(BgL_dataz00_2512,
																																																																								BgL_portz00_37);
																																																																							return
																																																																								BGL_DISPLAY_CHAR
																																																																								(
																																																																								((unsigned char) '>'), BgL_portz00_37);
																																																																						}
																																																																					else
																																																																						{	/* Ieee/output.scm 569 */
																																																																							if (FOREIGNP(BgL_objz00_36))
																																																																								{	/* Ieee/output.scm 569 */
																																																																									return
																																																																										bgl_write_foreign
																																																																										(BgL_objz00_36,
																																																																										BgL_portz00_37);
																																																																								}
																																																																							else
																																																																								{	/* Ieee/output.scm 569 */
																																																																									if (PROCESSP(BgL_objz00_36))
																																																																										{	/* Ieee/output.scm 569 */
																																																																											return
																																																																												bgl_write_process
																																																																												(BgL_objz00_36,
																																																																												BgL_portz00_37);
																																																																										}
																																																																									else
																																																																										{	/* Ieee/output.scm 569 */
																																																																											if (SOCKETP(BgL_objz00_36))
																																																																												{	/* Ieee/output.scm 569 */
																																																																													return
																																																																														bgl_write_socket
																																																																														(BgL_objz00_36,
																																																																														BgL_portz00_37);
																																																																												}
																																																																											else
																																																																												{	/* Ieee/output.scm 569 */
																																																																													if (BGL_MMAPP(BgL_objz00_36))
																																																																														{	/* Ieee/output.scm 569 */
																																																																															return
																																																																																bgl_write_mmap
																																																																																(BgL_objz00_36,
																																																																																BgL_portz00_37);
																																																																														}
																																																																													else
																																																																														{	/* Ieee/output.scm 569 */
																																																																															if (OPAQUEP(BgL_objz00_36))
																																																																																{	/* Ieee/output.scm 569 */
																																																																																	return
																																																																																		bgl_write_opaque
																																																																																		(BgL_objz00_36,
																																																																																		BgL_portz00_37);
																																																																																}
																																																																															else
																																																																																{	/* Ieee/output.scm 569 */
																																																																																	if (CUSTOMP(BgL_objz00_36))
																																																																																		{	/* Ieee/output.scm 569 */
																																																																																			return
																																																																																				bgl_write_custom
																																																																																				(BgL_objz00_36,
																																																																																				BgL_portz00_37);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ieee/output.scm 569 */
																																																																																			if (BINARY_PORTP(BgL_objz00_36))
																																																																																				{	/* Ieee/output.scm 569 */
																																																																																					return
																																																																																						bgl_write_binary_port
																																																																																						(BgL_objz00_36,
																																																																																						BgL_portz00_37);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ieee/output.scm 569 */
																																																																																					return
																																																																																						bgl_write_unknown
																																																																																						(BgL_objz00_36,
																																																																																						BgL_portz00_37);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _display-22572 */
	obj_t BGl__displayzd222572zd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3230,
		obj_t BgL_objz00_3231, obj_t BgL_portz00_3232)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 568 */
			return bgl_display_obj(BgL_objz00_3231, BgL_portz00_3232);
		}
	}



/* write-2 */
	BGL_EXPORTED_DEF obj_t bgl_write_obj(obj_t BgL_objz00_38,
		obj_t BgL_portz00_39)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 574 */
			if (INTEGERP(BgL_objz00_38))
				{	/* Ieee/output.scm 575 */
					return bgl_display_fixnum(BgL_objz00_38, BgL_portz00_39);
				}
			else
				{	/* Ieee/output.scm 575 */
					if (SYMBOLP(BgL_objz00_38))
						{	/* Ieee/output.scm 575 */
							return
								BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(BgL_objz00_38,
								BgL_portz00_39);
						}
					else
						{	/* Ieee/output.scm 575 */
							if (STRINGP(BgL_objz00_38))
								{	/* Ieee/output.scm 575 */
									obj_t BgL_objz00_2524;

									BgL_objz00_2524 = BgL_objz00_38;
									if (BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00())
										{	/* Ieee/output.scm 575 */
											obj_t BgL_strz00_2527;

											BgL_strz00_2527 = string_for_read(BgL_objz00_2524);
											{	/* Ieee/output.scm 575 */
												obj_t BgL_escz00_2528;

												{	/* Ieee/output.scm 575 */
													int BgL_auxz00_3762;

													BgL_auxz00_3762 = (int) (((long) 1));
													BgL_escz00_2528 = BGL_MVALUES_VAL(BgL_auxz00_3762);
												}
												return
													bgl_write_string(BgL_strz00_2527,
													CBOOL(BgL_escz00_2528), BgL_portz00_39);
											}
										}
									else
										{	/* Ieee/output.scm 575 */
											return
												bgl_write_string(string_for_read(BgL_objz00_2524),
												((bool_t) 0), BgL_portz00_39);
										}
								}
							else
								{	/* Ieee/output.scm 575 */
									if (CHARP(BgL_objz00_38))
										{	/* Ieee/output.scm 575 */
											return bgl_write_char(BgL_objz00_38, BgL_portz00_39);
										}
									else
										{	/* Ieee/output.scm 575 */
											if (PAIRP(BgL_objz00_38))
												{	/* Ieee/output.scm 575 */
													return
														BGl_writezd2pairzd2zz__r4_output_6_10_3z00
														(BgL_objz00_38, BgL_portz00_39);
												}
											else
												{	/* Ieee/output.scm 575 */
													if (NULLP(BgL_objz00_38))
														{	/* Ieee/output.scm 575 */
															return
																bgl_display_string
																(BGl_string2594z00zz__r4_output_6_10_3z00,
																BgL_portz00_39);
														}
													else
														{	/* Ieee/output.scm 575 */
															if ((BgL_objz00_38 == BFALSE))
																{	/* Ieee/output.scm 575 */
																	return
																		bgl_display_string
																		(BGl_string2595z00zz__r4_output_6_10_3z00,
																		BgL_portz00_39);
																}
															else
																{	/* Ieee/output.scm 575 */
																	if ((BgL_objz00_38 == BTRUE))
																		{	/* Ieee/output.scm 575 */
																			return
																				bgl_display_string
																				(BGl_string2596z00zz__r4_output_6_10_3z00,
																				BgL_portz00_39);
																		}
																	else
																		{	/* Ieee/output.scm 575 */
																			if ((BgL_objz00_38 == BUNSPEC))
																				{	/* Ieee/output.scm 575 */
																					return
																						bgl_display_string
																						(BGl_string2597z00zz__r4_output_6_10_3z00,
																						BgL_portz00_39);
																				}
																			else
																				{	/* Ieee/output.scm 575 */
																					if (ELONGP(BgL_objz00_38))
																						{	/* Ieee/output.scm 575 */
																							return
																								bgl_write_elong(BELONG_TO_LONG
																								(BgL_objz00_38),
																								BgL_portz00_39);
																						}
																					else
																						{	/* Ieee/output.scm 575 */
																							if (REALP(BgL_objz00_38))
																								{	/* Ieee/output.scm 575 */
																									obj_t BgL_objz00_2546;

																									BgL_objz00_2546 =
																										BgL_objz00_38;
																									{	/* Ieee/output.scm 575 */
																										obj_t BgL_arg1896z00_2548;

																										BgL_arg1896z00_2548 =
																											real_to_string
																											(REAL_TO_DOUBLE
																											(BgL_objz00_2546));
																										return
																											bgl_display_string
																											(BgL_arg1896z00_2548,
																											BgL_portz00_39);
																									}
																								}
																							else
																								{	/* Ieee/output.scm 575 */
																									if (KEYWORDP(BgL_objz00_38))
																										{	/* Ieee/output.scm 575 */
																											BGL_DISPLAY_CHAR((
																													(unsigned char) ':'),
																												BgL_portz00_39);
																											{	/* Ieee/output.scm 575 */
																												obj_t
																													BgL_arg1894z00_2555;
																												BgL_arg1894z00_2555 =
																													KEYWORD_TO_STRING
																													(BgL_objz00_38);
																												return
																													bgl_display_string
																													(BgL_arg1894z00_2555,
																													BgL_portz00_39);
																											}
																										}
																									else
																										{	/* Ieee/output.scm 575 */
																											if (BGl_classzf3zf3zz__objectz00(BgL_objz00_38))
																												{	/* Ieee/output.scm 575 */
																													bgl_display_string
																														(BGl_string2598z00zz__r4_output_6_10_3z00,
																														BgL_portz00_39);
																													{	/* Ieee/output.scm 575 */
																														obj_t
																															BgL_arg1904z00_2561;
																														BgL_arg1904z00_2561
																															=
																															BGl_classzd2namezd2zz__objectz00
																															(BgL_objz00_38);
																														{	/* Ieee/output.scm 575 */
																															obj_t
																																BgL_arg1862z00_2566;
																															BgL_arg1862z00_2566
																																=
																																SYMBOL_TO_STRING
																																(BgL_arg1904z00_2561);
																															bgl_display_string
																																(BgL_arg1862z00_2566,
																																BgL_portz00_39);
																														}
																													}
																													return
																														bgl_display_string
																														(BGl_string2599z00zz__r4_output_6_10_3z00,
																														BgL_portz00_39);
																												}
																											else
																												{	/* Ieee/output.scm 575 */
																													if (VECTORP
																														(BgL_objz00_38))
																														{	/* Ieee/output.scm 575 */
																															return
																																BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00
																																(BgL_objz00_38,
																																BgL_portz00_39,
																																BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																														}
																													else
																														{	/* Ieee/output.scm 575 */
																															if (LLONGP
																																(BgL_objz00_38))
																																{	/* Ieee/output.scm 575 */
																																	return
																																		bgl_write_llong
																																		(BLLONG_TO_LLONG
																																		(BgL_objz00_38),
																																		BgL_portz00_39);
																																}
																															else
																																{	/* Ieee/output.scm 575 */
																																	if (UCS2_STRINGP(BgL_objz00_38))
																																		{	/* Ieee/output.scm 575 */
																																			obj_t
																																				BgL_objz00_2575;
																																			BgL_objz00_2575
																																				=
																																				BgL_objz00_38;
																																			return
																																				bgl_write_utf8string
																																				(string_for_read
																																				(ucs2_string_to_utf8_string
																																					(BgL_objz00_2575)),
																																				BgL_portz00_39);
																																		}
																																	else
																																		{	/* Ieee/output.scm 575 */
																																			if (STRUCTP(BgL_objz00_38))
																																				{	/* Ieee/output.scm 575 */
																																					return
																																						BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00
																																						(BgL_objz00_38,
																																						BgL_portz00_39,
																																						BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																																				}
																																			else
																																				{	/* Ieee/output.scm 575 */
																																					if (BGL_OBJECTP(BgL_objz00_38))
																																						{	/* Ieee/output.scm 575 */
																																							obj_t
																																								BgL_list1836z00_1176;
																																							BgL_list1836z00_1176
																																								=
																																								MAKE_PAIR
																																								(BgL_portz00_39,
																																								BNIL);
																																							return
																																								BGl_objectzd2writezd2zz__objectz00
																																								(
																																								(BgL_objectz00_bglt)
																																								(BgL_objz00_38),
																																								BgL_list1836z00_1176);
																																						}
																																					else
																																						{	/* Ieee/output.scm 575 */
																																							if (BGL_DATEP(BgL_objz00_38))
																																								{	/* Ieee/output.scm 575 */
																																									bgl_display_string
																																										(BGl_string2610z00zz__r4_output_6_10_3z00,
																																										BgL_portz00_39);
																																									{	/* Ieee/output.scm 575 */
																																										obj_t
																																											BgL_arg1901z00_2586;
																																										{	/* Ieee/output.scm 575 */
																																											obj_t
																																												BgL_res2550z00_2593;
																																											{	/* Ieee/output.scm 575 */
																																												obj_t
																																													BgL_datez00_2589;
																																												BgL_datez00_2589
																																													=
																																													BgL_objz00_38;
																																												BgL_res2550z00_2593
																																													=
																																													bgl_seconds_to_string
																																													(bgl_date_to_seconds
																																													(BgL_datez00_2589));
																																											}
																																											BgL_arg1901z00_2586
																																												=
																																												BgL_res2550z00_2593;
																																										}
																																										bgl_display_string
																																											(BgL_arg1901z00_2586,
																																											BgL_portz00_39);
																																									}
																																									return
																																										bgl_display_string
																																										(BGl_string2599z00zz__r4_output_6_10_3z00,
																																										BgL_portz00_39);
																																								}
																																							else
																																								{	/* Ieee/output.scm 575 */
																																									if (BGL_MUTEXP(BgL_objz00_38))
																																										{	/* Ieee/output.scm 575 */
																																											bgl_display_string
																																												(BGl_string2600z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_39);
																																											{	/* Ieee/output.scm 575 */
																																												obj_t
																																													BgL_arg1902z00_2601;
																																												BgL_arg1902z00_2601
																																													=
																																													BGL_MUTEX_NAME
																																													(BgL_objz00_38);
																																												bgl_display_obj
																																													(BgL_arg1902z00_2601,
																																													BgL_portz00_39);
																																											}
																																											return
																																												bgl_display_string
																																												(BGl_string2599z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_39);
																																										}
																																									else
																																										{	/* Ieee/output.scm 575 */
																																											if (BGL_CONDVARP(BgL_objz00_38))
																																												{	/* Ieee/output.scm 575 */
																																													bgl_display_string
																																														(BGl_string2601z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_39);
																																													{	/* Ieee/output.scm 575 */
																																														obj_t
																																															BgL_arg1903z00_2610;
																																														BgL_arg1903z00_2610
																																															=
																																															BGL_CONDVAR_NAME
																																															(BgL_objz00_38);
																																														bgl_display_obj
																																															(BgL_arg1903z00_2610,
																																															BgL_portz00_39);
																																													}
																																													return
																																														bgl_display_string
																																														(BGl_string2599z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_39);
																																												}
																																											else
																																												{	/* Ieee/output.scm 575 */
																																													if (UCS2P(BgL_objz00_38))
																																														{	/* Ieee/output.scm 575 */
																																															return
																																																bgl_write_ucs2
																																																(BgL_objz00_38,
																																																BgL_portz00_39);
																																														}
																																													else
																																														{	/* Ieee/output.scm 575 */
																																															if (CELLP(BgL_objz00_38))
																																																{	/* Ieee/output.scm 575 */
																																																	bgl_display_string
																																																		(BGl_string2602z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_39);
																																																	bgl_write_obj
																																																		(CELL_REF
																																																		(BgL_objz00_38),
																																																		BgL_portz00_39);
																																																	return
																																																		bgl_display_string
																																																		(BGl_string2599z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_39);
																																																}
																																															else
																																																{	/* Ieee/output.scm 575 */
																																																	if (EOF_OBJECTP(BgL_objz00_38))
																																																		{	/* Ieee/output.scm 575 */
																																																			return
																																																				bgl_display_string
																																																				(BGl_string2603z00zz__r4_output_6_10_3z00,
																																																				BgL_portz00_39);
																																																		}
																																																	else
																																																		{	/* Ieee/output.scm 575 */
																																																			if ((BgL_objz00_38 == BCNST(258)))
																																																				{	/* Ieee/output.scm 575 */
																																																					return
																																																						bgl_display_string
																																																						(BGl_string2604z00zz__r4_output_6_10_3z00,
																																																						BgL_portz00_39);
																																																				}
																																																			else
																																																				{	/* Ieee/output.scm 575 */
																																																					if ((BgL_objz00_38 == BCNST(259)))
																																																						{	/* Ieee/output.scm 575 */
																																																							return
																																																								bgl_display_string
																																																								(BGl_string2605z00zz__r4_output_6_10_3z00,
																																																								BgL_portz00_39);
																																																						}
																																																					else
																																																						{	/* Ieee/output.scm 575 */
																																																							if ((BgL_objz00_38 == BCNST(262)))
																																																								{	/* Ieee/output.scm 575 */
																																																									return
																																																										bgl_display_string
																																																										(BGl_string2606z00zz__r4_output_6_10_3z00,
																																																										BgL_portz00_39);
																																																								}
																																																							else
																																																								{	/* Ieee/output.scm 575 */
																																																									if (PROCEDUREP(BgL_objz00_38))
																																																										{	/* Ieee/output.scm 575 */
																																																											return
																																																												bgl_write_procedure
																																																												(BgL_objz00_38,
																																																												BgL_portz00_39);
																																																										}
																																																									else
																																																										{	/* Ieee/output.scm 575 */
																																																											if (OUTPUT_PORTP(BgL_objz00_38))
																																																												{	/* Ieee/output.scm 575 */
																																																													if (OUTPUT_STRING_PORTP(BgL_objz00_38))
																																																														{	/* Ieee/output.scm 575 */
																																																															return
																																																																bgl_display_string
																																																																(BGl_string2607z00zz__r4_output_6_10_3z00,
																																																																BgL_portz00_39);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 575 */
																																																															if (BGL_OUTPUT_PROCEDURE_PORTP(BgL_objz00_38))
																																																																{	/* Ieee/output.scm 575 */
																																																																	return
																																																																		bgl_display_string
																																																																		(BGl_string2608z00zz__r4_output_6_10_3z00,
																																																																		BgL_portz00_39);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 575 */
																																																																	return
																																																																		bgl_write_output_port
																																																																		(BgL_objz00_38,
																																																																		BgL_portz00_39);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ieee/output.scm 575 */
																																																													if (INPUT_PORTP(BgL_objz00_38))
																																																														{	/* Ieee/output.scm 575 */
																																																															return
																																																																bgl_write_input_port
																																																																(BgL_objz00_38,
																																																																BgL_portz00_39);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 575 */
																																																															if (CNSTP(BgL_objz00_38))
																																																																{	/* Ieee/output.scm 575 */
																																																																	return
																																																																		bgl_write_cnst
																																																																		(BgL_objz00_38,
																																																																		BgL_portz00_39);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 575 */
																																																																	if (BGL_HVECTORP(BgL_objz00_38))
																																																																		{	/* Ieee/output.scm 575 */
																																																																			return
																																																																				BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00
																																																																				(BgL_objz00_38,
																																																																				BgL_portz00_39,
																																																																				BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																																																																		}
																																																																	else
																																																																		{	/* Ieee/output.scm 575 */
																																																																			if (TVECTORP(BgL_objz00_38))
																																																																				{	/* Ieee/output.scm 575 */
																																																																					return
																																																																						BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00
																																																																						(BgL_objz00_38,
																																																																						BgL_portz00_39,
																																																																						BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																																																																				}
																																																																			else
																																																																				{	/* Ieee/output.scm 575 */
																																																																					if (BGL_WEAKPTRP(BgL_objz00_38))
																																																																						{	/* Ieee/output.scm 575 */
																																																																							obj_t
																																																																								BgL_dataz00_2648;
																																																																							BgL_dataz00_2648
																																																																								=
																																																																								weakptr_data
																																																																								(BgL_objz00_38);
																																																																							bgl_display_string
																																																																								(BGl_string2609z00zz__r4_output_6_10_3z00,
																																																																								BgL_portz00_39);
																																																																							bgl_write_obj
																																																																								(BgL_dataz00_2648,
																																																																								BgL_portz00_39);
																																																																							return
																																																																								BGL_DISPLAY_CHAR
																																																																								(
																																																																								((unsigned char) '>'), BgL_portz00_39);
																																																																						}
																																																																					else
																																																																						{	/* Ieee/output.scm 575 */
																																																																							if (FOREIGNP(BgL_objz00_38))
																																																																								{	/* Ieee/output.scm 575 */
																																																																									return
																																																																										bgl_write_foreign
																																																																										(BgL_objz00_38,
																																																																										BgL_portz00_39);
																																																																								}
																																																																							else
																																																																								{	/* Ieee/output.scm 575 */
																																																																									if (PROCESSP(BgL_objz00_38))
																																																																										{	/* Ieee/output.scm 575 */
																																																																											return
																																																																												bgl_write_process
																																																																												(BgL_objz00_38,
																																																																												BgL_portz00_39);
																																																																										}
																																																																									else
																																																																										{	/* Ieee/output.scm 575 */
																																																																											if (SOCKETP(BgL_objz00_38))
																																																																												{	/* Ieee/output.scm 575 */
																																																																													return
																																																																														bgl_write_socket
																																																																														(BgL_objz00_38,
																																																																														BgL_portz00_39);
																																																																												}
																																																																											else
																																																																												{	/* Ieee/output.scm 575 */
																																																																													if (BGL_MMAPP(BgL_objz00_38))
																																																																														{	/* Ieee/output.scm 575 */
																																																																															return
																																																																																bgl_write_mmap
																																																																																(BgL_objz00_38,
																																																																																BgL_portz00_39);
																																																																														}
																																																																													else
																																																																														{	/* Ieee/output.scm 575 */
																																																																															if (OPAQUEP(BgL_objz00_38))
																																																																																{	/* Ieee/output.scm 575 */
																																																																																	return
																																																																																		bgl_write_opaque
																																																																																		(BgL_objz00_38,
																																																																																		BgL_portz00_39);
																																																																																}
																																																																															else
																																																																																{	/* Ieee/output.scm 575 */
																																																																																	if (CUSTOMP(BgL_objz00_38))
																																																																																		{	/* Ieee/output.scm 575 */
																																																																																			return
																																																																																				bgl_write_custom
																																																																																				(BgL_objz00_38,
																																																																																				BgL_portz00_39);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ieee/output.scm 575 */
																																																																																			if (BINARY_PORTP(BgL_objz00_38))
																																																																																				{	/* Ieee/output.scm 575 */
																																																																																					return
																																																																																						bgl_write_binary_port
																																																																																						(BgL_objz00_38,
																																																																																						BgL_portz00_39);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ieee/output.scm 575 */
																																																																																					return
																																																																																						bgl_write_unknown
																																																																																						(BgL_objz00_38,
																																																																																						BgL_portz00_39);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _write-22573 */
	obj_t BGl__writezd222573zd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3233,
		obj_t BgL_objz00_3234, obj_t BgL_portz00_3235)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 574 */
			return bgl_write_obj(BgL_objz00_3234, BgL_portz00_3235);
		}
	}



/* display-symbol */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_40, obj_t BgL_portz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 580 */
			{	/* Ieee/output.scm 581 */
				obj_t BgL_arg1862z00_2657;

				BgL_arg1862z00_2657 = SYMBOL_TO_STRING(BgL_objz00_40);
				return bgl_display_string(BgL_arg1862z00_2657, BgL_portz00_41);
			}
		}
	}



/* _display-symbol */
	obj_t BGl__displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3236,
		obj_t BgL_objz00_3237, obj_t BgL_portz00_3238)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 580 */
			return
				BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(BgL_objz00_3237,
				BgL_portz00_3238);
		}
	}



/* write-symbol */
	BGL_EXPORTED_DEF obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_42, obj_t BgL_portz00_43)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 586 */
			{	/* Ieee/output.scm 587 */
				obj_t BgL_strz00_1203;

				BgL_strz00_1203 = SYMBOL_TO_STRING(BgL_objz00_42);
				{	/* Ieee/output.scm 587 */
					long BgL_lenz00_1204;

					BgL_lenz00_1204 = STRING_LENGTH(BgL_strz00_1203);
					{	/* Ieee/output.scm 588 */
						long BgL_lenzd21zd2_1205;

						BgL_lenzd21zd2_1205 = (BgL_lenz00_1204 - ((long) 1));
						{	/* Ieee/output.scm 589 */

							{

								{
									long BgL_iz00_1207;
									bool_t BgL_az00_1208;

									BgL_iz00_1207 = ((long) 0);
									BgL_az00_1208 = ((bool_t) 0);
								BgL_loopz00_1209:
									if ((BgL_iz00_1207 == BgL_lenz00_1204))
										{	/* Ieee/output.scm 596 */
											if (BgL_az00_1208)
												{	/* Ieee/output.scm 597 */
													return
														bgl_display_string(BgL_strz00_1203, BgL_portz00_43);
												}
											else
												{	/* Ieee/output.scm 597 */
												BgL_zc3anonymousza31880ze3z83_1230:
													bgl_display_string
														(BGl_string2611z00zz__r4_output_6_10_3z00,
														BgL_portz00_43);
													bgl_display_string(string_for_read(BgL_strz00_1203),
														BgL_portz00_43);
													return
														bgl_display_string
														(BGl_string2611z00zz__r4_output_6_10_3z00,
														BgL_portz00_43);
												}
										}
									else
										{	/* Ieee/output.scm 598 */
											unsigned char BgL_cz00_1211;

											BgL_cz00_1211 =
												STRING_REF(BgL_strz00_1203, BgL_iz00_1207);
											{

												switch (BgL_cz00_1211)
													{
													case ((unsigned char) ' '):
													case ((unsigned char) '\n'):
													case ((unsigned char) '\t'):
													case ((unsigned char) '\r'):
													case ((unsigned char) '`'):
													case ((unsigned char) '\''):
													case ((unsigned char) '"'):
													case ((unsigned char) '#'):
													case ((unsigned char) '\\'):
													case ((unsigned char) ';'):
													case ((unsigned char) '('):
													case ((unsigned char) ')'):
													case ((unsigned char) '['):
													case ((unsigned char) ']'):
													case ((unsigned char) '{'):
													case ((unsigned char) '}'):
													case ((unsigned char) ','):

														goto BgL_zc3anonymousza31880ze3z83_1230;
														break;
													case ((unsigned char) ':'):

														if ((BgL_iz00_1207 == ((long) 0)))
															{	/* Ieee/output.scm 605 */
																bool_t BgL_testz00_3938;

																if ((BgL_lenzd21zd2_1205 > ((long) 2)))
																	{	/* Ieee/output.scm 605 */
																		BgL_testz00_3938 =
																			(STRING_REF(BgL_strz00_1203,
																				(BgL_iz00_1207 + ((long) 1))) ==
																			((unsigned char) ':'));
																	}
																else
																	{	/* Ieee/output.scm 605 */
																		BgL_testz00_3938 = ((bool_t) 0);
																	}
																if (BgL_testz00_3938)
																	{
																		long BgL_iz00_3944;

																		BgL_iz00_3944 =
																			(BgL_iz00_1207 + ((long) 2));
																		BgL_iz00_1207 = BgL_iz00_3944;
																		goto BgL_loopz00_1209;
																	}
																else
																	{	/* Ieee/output.scm 605 */
																		goto BgL_zc3anonymousza31880ze3z83_1230;
																	}
															}
														else
															{	/* Ieee/output.scm 604 */
																if ((BgL_iz00_1207 == BgL_lenzd21zd2_1205))
																	{	/* Ieee/output.scm 609 */
																		goto BgL_zc3anonymousza31880ze3z83_1230;
																	}
																else
																	{
																		long BgL_iz00_3948;

																		BgL_iz00_3948 =
																			(BgL_iz00_1207 + ((long) 1));
																		BgL_iz00_1207 = BgL_iz00_3948;
																		goto BgL_loopz00_1209;
																	}
															}
														break;
													case ((unsigned char) '.'):

														if ((BgL_lenz00_1204 == ((long) 1)))
															{	/* Ieee/output.scm 614 */
																goto BgL_zc3anonymousza31880ze3z83_1230;
															}
														else
															{
																long BgL_iz00_3952;

																BgL_iz00_3952 = (BgL_iz00_1207 + ((long) 1));
																BgL_iz00_1207 = BgL_iz00_3952;
																goto BgL_loopz00_1209;
															}
														break;
													default:
														if ((BgL_cz00_1211 >= ((unsigned char) '')))
															{	/* Ieee/output.scm 618 */
																goto BgL_zc3anonymousza31880ze3z83_1230;
															}
														else
															{	/* Ieee/output.scm 620 */
																long BgL_arg1877z00_1226;
																bool_t BgL_arg1878z00_1227;

																BgL_arg1877z00_1226 =
																	(BgL_iz00_1207 + ((long) 1));
																if (BgL_az00_1208)
																	{	/* Ieee/output.scm 620 */
																		BgL_arg1878z00_1227 = BgL_az00_1208;
																	}
																else
																	{	/* Ieee/output.scm 620 */
																		if (isdigit(BgL_cz00_1211))
																			{	/* Ieee/output.scm 620 */
																				BgL_arg1878z00_1227 = ((bool_t) 0);
																			}
																		else
																			{	/* Ieee/output.scm 620 */
																				BgL_arg1878z00_1227 = ((bool_t) 1);
																			}
																	}
																{
																	bool_t BgL_az00_3961;
																	long BgL_iz00_3960;

																	BgL_iz00_3960 = BgL_arg1877z00_1226;
																	BgL_az00_3961 = BgL_arg1878z00_1227;
																	BgL_az00_1208 = BgL_az00_3961;
																	BgL_iz00_1207 = BgL_iz00_3960;
																	goto BgL_loopz00_1209;
																}
															}
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* _write-symbol */
	obj_t BGl__writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3239,
		obj_t BgL_objz00_3240, obj_t BgL_portz00_3241)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 586 */
			return
				BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(BgL_objz00_3240,
				BgL_portz00_3241);
		}
	}



/* display-string */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_44, obj_t BgL_portz00_45)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 625 */
			return bgl_display_string(BgL_objz00_44, BgL_portz00_45);
		}
	}



/* _display-string */
	obj_t BGl__displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3242,
		obj_t BgL_objz00_3243, obj_t BgL_portz00_3244)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 625 */
			return bgl_display_string(BgL_objz00_3243, BgL_portz00_3244);
		}
	}



/* display-substring */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_46, long BgL_startz00_47, long BgL_endz00_48,
		obj_t BgL_portz00_49)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 631 */
			{	/* Ieee/output.scm 632 */
				bool_t BgL_testz00_3966;

				if ((BgL_endz00_48 >= BgL_startz00_47))
					{	/* Ieee/output.scm 632 */
						bool_t BgL_testz00_3969;

						{	/* Ieee/output.scm 632 */
							long BgL_auxz00_3970;

							BgL_auxz00_3970 = (STRING_LENGTH(BgL_objz00_46) + ((long) 1));
							BgL_testz00_3969 = BOUND_CHECK(BgL_endz00_48, BgL_auxz00_3970);
						}
						if (BgL_testz00_3969)
							{	/* Ieee/output.scm 632 */
								BgL_testz00_3966 = (BgL_startz00_47 >= ((long) 0));
							}
						else
							{	/* Ieee/output.scm 632 */
								BgL_testz00_3966 = ((bool_t) 0);
							}
					}
				else
					{	/* Ieee/output.scm 632 */
						BgL_testz00_3966 = ((bool_t) 0);
					}
				if (BgL_testz00_3966)
					{	/* Ieee/output.scm 632 */
						return
							bgl_display_substring(BgL_objz00_46, BgL_startz00_47,
							BgL_endz00_48, BgL_portz00_49);
					}
				else
					{	/* Ieee/output.scm 632 */
						obj_t BgL_arg1883z00_3272;
						obj_t BgL_arg1884z00_3273;

						BgL_arg1883z00_3272 = BGl_symbol2612z00zz__r4_output_6_10_3z00;
						{	/* Ieee/output.scm 632 */
							obj_t BgL_list1885z00_3274;

							{	/* Ieee/output.scm 632 */
								obj_t BgL_arg1886z00_3275;

								BgL_arg1886z00_3275 = MAKE_PAIR(BINT(BgL_endz00_48), BNIL);
								BgL_list1885z00_3274 =
									MAKE_PAIR(BINT(BgL_startz00_47), BgL_arg1886z00_3275);
							}
							BgL_arg1884z00_3273 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2614z00zz__r4_output_6_10_3z00,
								BgL_list1885z00_3274);
						}
						return
							BGl_errorz00zz__errorz00(BgL_arg1883z00_3272, BgL_arg1884z00_3273,
							BgL_objz00_46);
					}
			}
		}
	}



/* _display-substring */
	obj_t BGl__displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3245, obj_t BgL_objz00_3246, obj_t BgL_startz00_3247,
		obj_t BgL_endz00_3248, obj_t BgL_portz00_3249)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 631 */
			{	/* Ieee/output.scm 632 */
				obj_t BgL_objz00_3276;
				long BgL_startz00_3277;
				long BgL_endz00_3278;
				obj_t BgL_portz00_3279;

				BgL_objz00_3276 = BgL_objz00_3246;
				BgL_startz00_3277 = (long) CINT(BgL_startz00_3247);
				BgL_endz00_3278 = (long) CINT(BgL_endz00_3248);
				BgL_portz00_3279 = BgL_portz00_3249;
				{	/* Ieee/output.scm 632 */
					bool_t BgL_testz00_3984;

					if ((BgL_endz00_3278 >= BgL_startz00_3277))
						{	/* Ieee/output.scm 632 */
							bool_t BgL_testz00_3987;

							{	/* Ieee/output.scm 632 */
								long BgL_auxz00_3988;

								BgL_auxz00_3988 = (STRING_LENGTH(BgL_objz00_3276) + ((long) 1));
								BgL_testz00_3987 =
									BOUND_CHECK(BgL_endz00_3278, BgL_auxz00_3988);
							}
							if (BgL_testz00_3987)
								{	/* Ieee/output.scm 632 */
									BgL_testz00_3984 = (BgL_startz00_3277 >= ((long) 0));
								}
							else
								{	/* Ieee/output.scm 632 */
									BgL_testz00_3984 = ((bool_t) 0);
								}
						}
					else
						{	/* Ieee/output.scm 632 */
							BgL_testz00_3984 = ((bool_t) 0);
						}
					if (BgL_testz00_3984)
						{	/* Ieee/output.scm 632 */
							return
								bgl_display_substring(BgL_objz00_3276, BgL_startz00_3277,
								BgL_endz00_3278, BgL_portz00_3279);
						}
					else
						{	/* Ieee/output.scm 632 */
							obj_t BgL_arg1883z00_3280;
							obj_t BgL_arg1884z00_3281;

							BgL_arg1883z00_3280 = BGl_symbol2612z00zz__r4_output_6_10_3z00;
							{	/* Ieee/output.scm 632 */
								obj_t BgL_list1885z00_3282;

								{	/* Ieee/output.scm 632 */
									obj_t BgL_arg1886z00_3283;

									BgL_arg1886z00_3283 = MAKE_PAIR(BINT(BgL_endz00_3278), BNIL);
									BgL_list1885z00_3282 =
										MAKE_PAIR(BINT(BgL_startz00_3277), BgL_arg1886z00_3283);
								}
								BgL_arg1884z00_3281 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2614z00zz__r4_output_6_10_3z00,
									BgL_list1885z00_3282);
							}
							return
								BGl_errorz00zz__errorz00(BgL_arg1883z00_3280,
								BgL_arg1884z00_3281, BgL_objz00_3276);
						}
				}
			}
		}
	}



/* write-string */
	BGL_EXPORTED_DEF obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_50, obj_t BgL_portz00_51)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 643 */
			if (BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00())
				{	/* Ieee/output.scm 644 */
					obj_t BgL_strz00_2721;

					BgL_strz00_2721 = string_for_read(BgL_objz00_50);
					{	/* Ieee/output.scm 644 */
						obj_t BgL_escz00_2722;

						{	/* Ieee/output.scm 644 */
							int BgL_auxz00_4003;

							BgL_auxz00_4003 = (int) (((long) 1));
							BgL_escz00_2722 = BGL_MVALUES_VAL(BgL_auxz00_4003);
						}
						return
							bgl_write_string(BgL_strz00_2721,
							CBOOL(BgL_escz00_2722), BgL_portz00_51);
					}
				}
			else
				{	/* Ieee/output.scm 644 */
					return
						bgl_write_string(string_for_read(BgL_objz00_50), ((bool_t) 0),
						BgL_portz00_51);
				}
		}
	}



/* _write-string */
	obj_t BGl__writezd2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3250,
		obj_t BgL_objz00_3251, obj_t BgL_portz00_3252)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 643 */
			return
				BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_objz00_3251,
				BgL_portz00_3252);
		}
	}



/* display-fixnum */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2fixnumzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_54, obj_t BgL_portz00_55)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 664 */
			return bgl_display_fixnum(BgL_objz00_54, BgL_portz00_55);
		}
	}



/* _display-fixnum2574 */
	obj_t BGl__displayzd2fixnum2574zd2zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3253, obj_t BgL_objz00_3254, obj_t BgL_portz00_3255)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 664 */
			return bgl_display_fixnum(BgL_objz00_3254, BgL_portz00_3255);
		}
	}



/* display-flonum */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_56, obj_t BgL_portz00_57)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 670 */
			{	/* Ieee/output.scm 671 */
				obj_t BgL_arg1896z00_3286;

				BgL_arg1896z00_3286 = real_to_string(REAL_TO_DOUBLE(BgL_objz00_56));
				return bgl_display_string(BgL_arg1896z00_3286, BgL_portz00_57);
			}
		}
	}



/* _display-flonum */
	obj_t BGl__displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3256,
		obj_t BgL_objz00_3257, obj_t BgL_portz00_3258)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 670 */
			{	/* Ieee/output.scm 671 */
				obj_t BgL_objz00_3287;
				obj_t BgL_portz00_3288;

				BgL_objz00_3287 = BgL_objz00_3257;
				BgL_portz00_3288 = BgL_portz00_3258;
				{	/* Ieee/output.scm 671 */
					obj_t BgL_arg1896z00_3289;

					BgL_arg1896z00_3289 = real_to_string(REAL_TO_DOUBLE(BgL_objz00_3287));
					return bgl_display_string(BgL_arg1896z00_3289, BgL_portz00_3288);
				}
			}
		}
	}



/* display-ucs2string */
	BGL_EXPORTED_DEF obj_t
		BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_objz00_58,
		obj_t BgL_portz00_59)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 676 */
			return bgl_display_ucs2string(BgL_objz00_58, BgL_portz00_59);
		}
	}



/* _display-ucs2string */
	obj_t BGl__displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3259, obj_t BgL_objz00_3260, obj_t BgL_portz00_3261)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 676 */
			return bgl_display_ucs2string(BgL_objz00_3260, BgL_portz00_3261);
		}
	}



/* write-ucs2string */
	BGL_EXPORTED_DEF obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_60, obj_t BgL_portz00_61)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 682 */
			return
				bgl_write_utf8string(string_for_read(ucs2_string_to_utf8_string
					(BgL_objz00_60)), BgL_portz00_61);
		}
	}



/* _write-ucs2string */
	obj_t BGl__writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3262,
		obj_t BgL_objz00_3263, obj_t BgL_portz00_3264)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 682 */
			return
				BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(BgL_objz00_3263,
				BgL_portz00_3264);
		}
	}



/* write/display-structure */
	obj_t BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_75, obj_t BgL_portz00_76, obj_t BgL_dispz00_77)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 735 */
			BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_76);
			BGL_DISPLAY_CHAR(((unsigned char) '{'), BgL_portz00_76);
			{	/* Ieee/output.scm 738 */
				obj_t BgL_arg1906z00_1257;

				BgL_arg1906z00_1257 = STRUCT_KEY(BgL_objz00_75);
				PROCEDURE_ENTRY(BgL_dispz00_77) (BgL_dispz00_77, BgL_arg1906z00_1257,
					BgL_portz00_76, BEOA);
			}
			{	/* Ieee/output.scm 739 */
				bool_t BgL_testz00_4030;

				{	/* Ieee/output.scm 739 */
					long BgL_auxz00_4031;

					{	/* Ieee/output.scm 739 */
						obj_t BgL_sz00_2789;

						BgL_sz00_2789 = BgL_objz00_75;
						BgL_auxz00_4031 = (long) (STRUCT_LENGTH(BgL_sz00_2789));
					}
					BgL_testz00_4030 = (((long) 0) == BgL_auxz00_4031);
				}
				if (BgL_testz00_4030)
					{	/* Ieee/output.scm 739 */
						return BGL_DISPLAY_CHAR(((unsigned char) '}'), BgL_portz00_76);
					}
				else
					{	/* Ieee/output.scm 741 */
						long BgL_lenz00_1259;

						{	/* Ieee/output.scm 741 */
							long BgL_auxz00_4036;

							{	/* Ieee/output.scm 741 */
								obj_t BgL_sz00_2792;

								BgL_sz00_2792 = BgL_objz00_75;
								BgL_auxz00_4036 = (long) (STRUCT_LENGTH(BgL_sz00_2792));
							}
							BgL_lenz00_1259 = (BgL_auxz00_4036 - ((long) 1));
						}
						BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_76);
						{
							long BgL_iz00_1260;

							BgL_iz00_1260 = ((long) 0);
						BgL_loopz00_1261:
							if ((BgL_iz00_1260 == BgL_lenz00_1259))
								{	/* Ieee/output.scm 745 */
									{	/* Ieee/output.scm 746 */
										obj_t BgL_arg1909z00_1263;

										BgL_arg1909z00_1263 =
											STRUCT_REF(BgL_objz00_75, (int) (BgL_iz00_1260));
										PROCEDURE_ENTRY(BgL_dispz00_77) (BgL_dispz00_77,
											BgL_arg1909z00_1263, BgL_portz00_76, BEOA);
									}
									return
										BGL_DISPLAY_CHAR(((unsigned char) '}'), BgL_portz00_76);
								}
							else
								{	/* Ieee/output.scm 745 */
									{	/* Ieee/output.scm 749 */
										obj_t BgL_arg1910z00_1264;

										BgL_arg1910z00_1264 =
											STRUCT_REF(BgL_objz00_75, (int) (BgL_iz00_1260));
										PROCEDURE_ENTRY(BgL_dispz00_77) (BgL_dispz00_77,
											BgL_arg1910z00_1264, BgL_portz00_76, BEOA);
									}
									BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_76);
									{
										long BgL_iz00_4053;

										BgL_iz00_4053 = (((long) 1) + BgL_iz00_1260);
										BgL_iz00_1260 = BgL_iz00_4053;
										goto BgL_loopz00_1261;
									}
								}
						}
					}
			}
		}
	}



/* write/display-vector */
	obj_t BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_78, obj_t BgL_portz00_79, obj_t BgL_dispz00_80)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 756 */
			BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_79);
			{	/* Ieee/output.scm 758 */
				int BgL_tagz00_1270;

				BgL_tagz00_1270 = VECTOR_TAG(BgL_objz00_78);
				if (((long) (BgL_tagz00_1270) > ((long) 0)))
					{	/* Ieee/output.scm 759 */
						if (((long) (BgL_tagz00_1270) >= ((long) 100)))
							{	/* Ieee/output.scm 761 */
								PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
									BINT(BgL_tagz00_1270), BgL_portz00_79, BEOA);
							}
						else
							{	/* Ieee/output.scm 761 */
								BGL_DISPLAY_CHAR(((unsigned char) '0'), BgL_portz00_79);
								if (((long) (BgL_tagz00_1270) >= ((long) 10)))
									{	/* Ieee/output.scm 765 */
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BINT(BgL_tagz00_1270), BgL_portz00_79, BEOA);
									}
								else
									{	/* Ieee/output.scm 765 */
										BGL_DISPLAY_CHAR(((unsigned char) '0'), BgL_portz00_79);
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BINT(BgL_tagz00_1270), BgL_portz00_79, BEOA);
					}}}
				else
					{	/* Ieee/output.scm 759 */
						BFALSE;
					}
			}
			BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_79);
			{	/* Ieee/output.scm 771 */
				bool_t BgL_testz00_4078;

				{	/* Ieee/output.scm 771 */
					int BgL_arg1931z00_1285;

					BgL_arg1931z00_1285 = VECTOR_LENGTH(BgL_objz00_78);
					BgL_testz00_4078 = (((long) 0) == (long) (BgL_arg1931z00_1285));
				}
				if (BgL_testz00_4078)
					{	/* Ieee/output.scm 771 */
						return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_79);
					}
				else
					{	/* Ieee/output.scm 773 */
						long BgL_lenz00_1275;

						{	/* Ieee/output.scm 773 */
							int BgL_arg1928z00_1282;

							BgL_arg1928z00_1282 = VECTOR_LENGTH(BgL_objz00_78);
							BgL_lenz00_1275 = ((long) (BgL_arg1928z00_1282) - ((long) 1));
						}
						{
							long BgL_iz00_1276;

							BgL_iz00_1276 = ((long) 0);
						BgL_loopz00_1277:
							if ((BgL_iz00_1276 == BgL_lenz00_1275))
								{	/* Ieee/output.scm 776 */
									{	/* Ieee/output.scm 777 */
										obj_t BgL_arg1924z00_1279;

										BgL_arg1924z00_1279 =
											VECTOR_REF(BgL_objz00_78, (int) (BgL_iz00_1276));
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BgL_arg1924z00_1279, BgL_portz00_79, BEOA);
									}
									return
										BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_79);
								}
							else
								{	/* Ieee/output.scm 776 */
									{	/* Ieee/output.scm 780 */
										obj_t BgL_arg1926z00_1280;

										BgL_arg1926z00_1280 =
											VECTOR_REF(BgL_objz00_78, (int) (BgL_iz00_1276));
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BgL_arg1926z00_1280, BgL_portz00_79, BEOA);
									}
									BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_79);
									{
										long BgL_iz00_4098;

										BgL_iz00_4098 = (((long) 1) + BgL_iz00_1276);
										BgL_iz00_1276 = BgL_iz00_4098;
										goto BgL_loopz00_1277;
									}
								}
						}
					}
			}
		}
	}



/* write/display-tvector */
	obj_t BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00(obj_t
		BgL_tvecz00_81, obj_t BgL_portz00_82, obj_t BgL_dispz00_83)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 787 */
			{	/* Ieee/output.scm 788 */
				obj_t BgL_tvectorzd2refzd2_1286;
				obj_t BgL_idz00_1287;

				BgL_tvectorzd2refzd2_1286 =
					BGl_tvectorzd2refzd2zz__tvectorz00(BgL_tvecz00_81);
				BgL_idz00_1287 = BGl_tvectorzd2idzd2zz__tvectorz00(BgL_tvecz00_81);
				BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_82);
				PROCEDURE_ENTRY(BgL_dispz00_83) (BgL_dispz00_83, BgL_idz00_1287,
					BgL_portz00_82, BEOA);
				BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_82);
				if (CBOOL(BgL_tvectorzd2refzd2_1286))
					{	/* Ieee/output.scm 798 */
						bool_t BgL_testz00_4108;

						{	/* Ieee/output.scm 798 */
							long BgL_auxz00_4109;

							{	/* Ieee/output.scm 798 */
								obj_t BgL_objz00_2824;

								BgL_objz00_2824 = BgL_tvecz00_81;
								BgL_auxz00_4109 = (long) (TVECTOR_LENGTH(BgL_objz00_2824));
							}
							BgL_testz00_4108 = (((long) 0) == BgL_auxz00_4109);
						}
						if (BgL_testz00_4108)
							{	/* Ieee/output.scm 798 */
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_82);
							}
						else
							{	/* Ieee/output.scm 800 */
								long BgL_lenz00_1289;

								{	/* Ieee/output.scm 800 */
									long BgL_auxz00_4114;

									{	/* Ieee/output.scm 800 */
										obj_t BgL_objz00_2827;

										BgL_objz00_2827 = BgL_tvecz00_81;
										BgL_auxz00_4114 = (long) (TVECTOR_LENGTH(BgL_objz00_2827));
									}
									BgL_lenz00_1289 = (BgL_auxz00_4114 - ((long) 1));
								}
								{
									long BgL_iz00_1290;

									BgL_iz00_1290 = ((long) 0);
								BgL_loopz00_1291:
									if ((BgL_iz00_1290 == BgL_lenz00_1289))
										{	/* Ieee/output.scm 803 */
											{	/* Ieee/output.scm 804 */
												obj_t BgL_arg1934z00_1293;

												BgL_arg1934z00_1293 =
													PROCEDURE_ENTRY(BgL_tvectorzd2refzd2_1286)
													(BgL_tvectorzd2refzd2_1286, BgL_tvecz00_81,
													BINT(BgL_iz00_1290), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_83) (BgL_dispz00_83,
													BgL_arg1934z00_1293, BgL_portz00_82, BEOA);
											}
											return
												BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_82);
										}
									else
										{	/* Ieee/output.scm 803 */
											{	/* Ieee/output.scm 807 */
												obj_t BgL_arg1935z00_1294;

												BgL_arg1935z00_1294 =
													PROCEDURE_ENTRY(BgL_tvectorzd2refzd2_1286)
													(BgL_tvectorzd2refzd2_1286, BgL_tvecz00_81,
													BINT(BgL_iz00_1290), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_83) (BgL_dispz00_83,
													BgL_arg1935z00_1294, BgL_portz00_82, BEOA);
											}
											BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_82);
											{
												long BgL_iz00_4132;

												BgL_iz00_4132 = (((long) 1) + BgL_iz00_1290);
												BgL_iz00_1290 = BgL_iz00_4132;
												goto BgL_loopz00_1291;
											}
										}
								}
							}
					}
				else
					{	/* Ieee/output.scm 793 */
						bgl_display_string(BGl_string2615z00zz__r4_output_6_10_3z00,
							BgL_portz00_82);
						return BgL_tvecz00_81;
					}
			}
		}
	}



/* write/display-hvector */
	obj_t BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00(obj_t
		BgL_svecz00_84, obj_t BgL_portz00_85, obj_t BgL_dispz00_86)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 814 */
			{	/* Ieee/output.scm 815 */
				obj_t BgL_idz00_1300;

				BgL_idz00_1300 =
					BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_svecz00_84);
				{	/* Ieee/output.scm 831 */
					obj_t BgL__z00_1301;
					obj_t BgL_vrefz00_1302;
					obj_t BgL__z00_1303;

					{	/* Ieee/output.scm 831 */
						int BgL_auxz00_4136;

						BgL_auxz00_4136 = (int) (((long) 1));
						BgL__z00_1301 = BGL_MVALUES_VAL(BgL_auxz00_4136);
					}
					{	/* Ieee/output.scm 831 */
						int BgL_auxz00_4139;

						BgL_auxz00_4139 = (int) (((long) 2));
						BgL_vrefz00_1302 = BGL_MVALUES_VAL(BgL_auxz00_4139);
					}
					{	/* Ieee/output.scm 831 */
						int BgL_auxz00_4142;

						BgL_auxz00_4142 = (int) (((long) 3));
						BgL__z00_1303 = BGL_MVALUES_VAL(BgL_auxz00_4142);
					}
					BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_85);
					{	/* Ieee/output.scm 818 */
						obj_t BgL_objz00_2839;

						BgL_objz00_2839 = BgL_idz00_1300;
						{	/* Ieee/output.scm 818 */
							obj_t BgL_arg1862z00_2841;

							BgL_arg1862z00_2841 = SYMBOL_TO_STRING(BgL_objz00_2839);
							bgl_display_string(BgL_arg1862z00_2841, BgL_portz00_85);
					}}
					BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_85);
					{	/* Ieee/output.scm 820 */
						bool_t BgL_testz00_4149;

						{	/* Ieee/output.scm 820 */
							long BgL_arg1951z00_1315;

							BgL_arg1951z00_1315 = BGL_HVECTOR_LENGTH(BgL_svecz00_84);
							BgL_testz00_4149 = (((long) 0) == BgL_arg1951z00_1315);
						}
						if (BgL_testz00_4149)
							{	/* Ieee/output.scm 820 */
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_85);
							}
						else
							{	/* Ieee/output.scm 822 */
								long BgL_lenz00_1305;

								{	/* Ieee/output.scm 822 */
									long BgL_arg1948z00_1312;

									BgL_arg1948z00_1312 = BGL_HVECTOR_LENGTH(BgL_svecz00_84);
									BgL_lenz00_1305 = (BgL_arg1948z00_1312 - ((long) 1));
								}
								{
									long BgL_iz00_1306;

									BgL_iz00_1306 = ((long) 0);
								BgL_loopz00_1307:
									if ((BgL_iz00_1306 == BgL_lenz00_1305))
										{	/* Ieee/output.scm 825 */
											{	/* Ieee/output.scm 826 */
												obj_t BgL_arg1945z00_1309;

												BgL_arg1945z00_1309 =
													PROCEDURE_ENTRY(BgL_vrefz00_1302) (BgL_vrefz00_1302,
													BgL_svecz00_84, BINT(BgL_iz00_1306), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_86) (BgL_dispz00_86,
													BgL_arg1945z00_1309, BgL_portz00_85, BEOA);
											}
											return
												BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_85);
										}
									else
										{	/* Ieee/output.scm 825 */
											{	/* Ieee/output.scm 829 */
												obj_t BgL_arg1946z00_1310;

												BgL_arg1946z00_1310 =
													PROCEDURE_ENTRY(BgL_vrefz00_1302) (BgL_vrefz00_1302,
													BgL_svecz00_84, BINT(BgL_iz00_1306), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_86) (BgL_dispz00_86,
													BgL_arg1946z00_1310, BgL_portz00_85, BEOA);
											}
											BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_85);
											{
												long BgL_iz00_4169;

												BgL_iz00_4169 = (((long) 1) + BgL_iz00_1306);
												BgL_iz00_1306 = BgL_iz00_4169;
												goto BgL_loopz00_1307;
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* display-pair */
	obj_t BGl_displayzd2pairzd2zz__r4_output_6_10_3z00(obj_t BgL_objz00_90,
		obj_t BgL_portz00_91)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 868 */
			BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_91);
			{
				obj_t BgL_lz00_1317;

				BgL_lz00_1317 = BgL_objz00_90;
			BgL_loopz00_1318:
				if (NULLP(CDR(BgL_lz00_1317)))
					{	/* Ieee/output.scm 869 */
						bgl_display_obj(CAR(BgL_lz00_1317), BgL_portz00_91);
						return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_91);
					}
				else
					{	/* Ieee/output.scm 869 */
						bool_t BgL_testz00_4178;

						{	/* Ieee/output.scm 869 */
							obj_t BgL_auxz00_4179;

							BgL_auxz00_4179 = CDR(BgL_lz00_1317);
							BgL_testz00_4178 = PAIRP(BgL_auxz00_4179);
						}
						if (BgL_testz00_4178)
							{	/* Ieee/output.scm 869 */
								bgl_display_obj(CAR(BgL_lz00_1317), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_91);
								{
									obj_t BgL_lz00_4185;

									BgL_lz00_4185 = CDR(BgL_lz00_1317);
									BgL_lz00_1317 = BgL_lz00_4185;
									goto BgL_loopz00_1318;
								}
							}
						else
							{	/* Ieee/output.scm 869 */
								bgl_display_obj(CAR(BgL_lz00_1317), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) '.'), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_91);
								bgl_display_obj(CDR(BgL_lz00_1317), BgL_portz00_91);
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_91);
		}}}}
	}



/* write-pair */
	obj_t BGl_writezd2pairzd2zz__r4_output_6_10_3z00(obj_t BgL_objz00_92,
		obj_t BgL_portz00_93)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 874 */
			BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_93);
			{
				obj_t BgL_lz00_1328;

				BgL_lz00_1328 = BgL_objz00_92;
			BgL_loopz00_1329:
				if (NULLP(CDR(BgL_lz00_1328)))
					{	/* Ieee/output.scm 875 */
						bgl_write_obj(CAR(BgL_lz00_1328), BgL_portz00_93);
						return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_93);
					}
				else
					{	/* Ieee/output.scm 875 */
						bool_t BgL_testz00_4202;

						{	/* Ieee/output.scm 875 */
							obj_t BgL_auxz00_4203;

							BgL_auxz00_4203 = CDR(BgL_lz00_1328);
							BgL_testz00_4202 = PAIRP(BgL_auxz00_4203);
						}
						if (BgL_testz00_4202)
							{	/* Ieee/output.scm 875 */
								bgl_write_obj(CAR(BgL_lz00_1328), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_93);
								{
									obj_t BgL_lz00_4209;

									BgL_lz00_4209 = CDR(BgL_lz00_1328);
									BgL_lz00_1328 = BgL_lz00_4209;
									goto BgL_loopz00_1329;
								}
							}
						else
							{	/* Ieee/output.scm 875 */
								bgl_write_obj(CAR(BgL_lz00_1328), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) '.'), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_93);
								bgl_write_obj(CDR(BgL_lz00_1328), BgL_portz00_93);
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_93);
		}}}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__r4_output_6_10_3z00()
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 24 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_output_6_10_3z00()
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 24 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2616z00zz__r4_output_6_10_3z00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2616z00zz__r4_output_6_10_3z00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 397429184),
				BSTRING_TO_STRING(BGl_string2616z00zz__r4_output_6_10_3z00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 22534887),
				BSTRING_TO_STRING(BGl_string2616z00zz__r4_output_6_10_3z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string2616z00zz__r4_output_6_10_3z00));
		}
	}

#ifdef __cplusplus
}
#endif
