/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Llib/bigloo.scm -indent -o objs/obj_u/Llib/bigloo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
	BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00();
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
	static obj_t BGl__bigloozd2demangle1741zd2zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_exit_mutex();
	extern obj_t string_append(obj_t, obj_t);
	static obj_t BGl__bigloozd2mangle1737zd2zz__biglooz00(obj_t, obj_t);
	static obj_t BGl__bigloozd2exitzd2applyz00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_symbol1745z00zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
	static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl__procedurezd2arityzd2zz__biglooz00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
	extern obj_t string_to_bstring(char *);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__bigloozd2classzd2mangle1742z00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl__opaquezd2nilzd2zz__biglooz00(obj_t);
	static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
	static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl__unspecifiedz00zz__biglooz00(obj_t);
	static long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char);
	static obj_t BGl__bigloozd2needzd2manglin1740z00zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__biglooz00();
	static obj_t BGl__bigloozd2exitzd2mutexz00zz__biglooz00(obj_t);
	static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl__bigloozd2modulezd2mangl1738z00zz__biglooz00(obj_t, obj_t,
		obj_t);
	static long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
	static obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
	static obj_t BGl__bigloozd2classzd2demang1743z00zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl__checkzd2versionz121736zc0zz__biglooz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__registerzd2exitzd2funct1744z00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl__bigloozd2mangledzf31739z21zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
	extern bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
	static obj_t BGl__cnstzf3zf3zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
	static obj_t BGl__opaquezf3zf3zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2classza71762z00,
		BGl__bigloozd2classzd2demang1743z00zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2module1763za7,
		BGl__bigloozd2modulezd2mangl1738z00zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1746z00zz__biglooz00,
		BgL_bgl_string1746za700za7za7_1764za7, "bigloo-exit", 11);
	      DEFINE_STRING(BGl_string1747z00zz__biglooz00,
		BgL_bgl_string1747za700za7za7_1765za7, " (level 0)", 10);
	      DEFINE_STRING(BGl_string1748z00zz__biglooz00,
		BgL_bgl_string1748za700za7za7_1766za7,
		"Some modules have been compiled by: ", 36);
	      DEFINE_STRING(BGl_string1750z00zz__biglooz00,
		BgL_bgl_string1750za700za7za7_1767za7, "0123456789abcdef", 16);
	      DEFINE_STRING(BGl_string1749z00zz__biglooz00,
		BgL_bgl_string1749za700za7za7_1768za7, "and other by: ", 14);
	      DEFINE_STRING(BGl_string1751z00zz__biglooz00,
		BgL_bgl_string1751za700za7za7_1769za7, "bigloo-mangle-string", 20);
	      DEFINE_STRING(BGl_string1752z00zz__biglooz00,
		BgL_bgl_string1752za700za7za7_1770za7, "Can't mangle empty string", 25);
	      DEFINE_STRING(BGl_string1753z00zz__biglooz00,
		BgL_bgl_string1753za700za7za7_1771za7, "BgL_", 4);
	      DEFINE_STRING(BGl_string1754z00zz__biglooz00,
		BgL_bgl_string1754za700za7za7_1772za7, "BGl_", 4);
	      DEFINE_STRING(BGl_string1755z00zz__biglooz00,
		BgL_bgl_string1755za700za7za7_1773za7, "bigloo-demangle", 15);
	      DEFINE_STRING(BGl_string1756z00zz__biglooz00,
		BgL_bgl_string1756za700za7za7_1774za7, "Not a Bigloo mangled identifier",
		31);
	      DEFINE_STRING(BGl_string1757z00zz__biglooz00,
		BgL_bgl_string1757za700za7za7_1775za7, "Illegal mangling on", 19);
	      DEFINE_STRING(BGl_string1758z00zz__biglooz00,
		BgL_bgl_string1758za700za7za7_1776za7, "_bglt", 5);
	      DEFINE_STRING(BGl_string1760z00zz__biglooz00,
		BgL_bgl_string1760za700za7za7_1777za7, "Wrong procedure arity", 21);
	      DEFINE_STRING(BGl_string1759z00zz__biglooz00,
		BgL_bgl_string1759za700za7za7_1778za7, "bigloo-exit-register!", 21);
	      DEFINE_STRING(BGl_string1761z00zz__biglooz00,
		BgL_bgl_string1761za700za7za7_1779za7, "__bigloo", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unspecifiedzd2envzd2zz__biglooz00,
		BgL_bgl__unspecifiedza700za71780z00, BGl__unspecifiedz00zz__biglooz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezf3zd2envz21zz__biglooz00,
		BgL_bgl__opaqueza7f3za7f3za7za7_1781z00, BGl__opaquezf3zf3zz__biglooz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2exitza7d1782z00,
		BGl__bigloozd2exitzd2mutexz00zz__biglooz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2arityzd2envz00zz__biglooz00,
		BgL_bgl__procedureza7d2ari1783za7, BGl__procedurezd2arityzd2zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2exitza7d1784z00,
		BGl__bigloozd2exitzd2applyz00zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00,
		BgL_bgl__biglooza7d2needza7d1785z00,
		BGl__bigloozd2needzd2manglin1740z00zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzf3zd2envz21zz__biglooz00,
		BgL_bgl__cnstza7f3za7f3za7za7__b1786z00, BGl__cnstzf3zf3zz__biglooz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2manglezd2envz00zz__biglooz00,
		BgL_bgl__biglooza7d2mangle1787za7, BGl__bigloozd2mangle1737zd2zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00,
		BgL_bgl__biglooza7d2mangle1788za7,
		BGl__bigloozd2mangledzf31739z21zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00,
		BgL_bgl__biglooza7d2classza71789z00,
		BGl__bigloozd2classzd2mangle1742z00zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezd2nilzd2envz00zz__biglooz00,
		BgL_bgl__opaqueza7d2nilza7d21790z00, BGl__opaquezd2nilzd2zz__biglooz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2versionz12zd2envz12zz__biglooz00,
		BgL_bgl__checkza7d2version1791za7,
		BGl__checkzd2versionz121736zc0zz__biglooz00, 0L, BUNSPEC, 3);
	extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2demanglezd2envz00zz__biglooz00,
		BgL_bgl__biglooza7d2demang1792za7,
		BGl__bigloozd2demangle1741zd2zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00,
		BgL_bgl__registerza7d2exit1793za7,
		BGl__registerzd2exitzd2funct1744z00zz__biglooz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long
		BgL_checksumz00_1678, char *BgL_fromz00_1679)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
				{
					BGl_requirezd2initializa7ationz75zz__biglooz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__biglooz00();
					BGl_importedzd2moduleszd2initz00zz__biglooz00();
					BGl_toplevelzd2initzd2zz__biglooz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return (BGl_symbol1745z00zz__biglooz00 =
				bstring_to_symbol(BGl_string1746z00zz__biglooz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_za2releaseza2z00zz__biglooz00 = BFALSE;
			BGl_za2levelza2z00zz__biglooz00 = BFALSE;
			BGl_za2modulesza2z00zz__biglooz00 = BNIL;
			BGl_za2exitzd2mutexza2zd2zz__biglooz00 =
				bgl_make_mutex(BGl_symbol1745z00zz__biglooz00);
			return (BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
				BNIL, BUNSPEC);
		}
	}



/* check-version! */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t
		BgL_modulez00_1, char *BgL_releasez00_2, obj_t BgL_levelz00_3)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 317 */
			if (STRINGP(BGl_za2releaseza2z00zz__biglooz00))
				{	/* Llib/bigloo.scm 323 */
					bool_t BgL_testz00_1690;

					{	/* Llib/bigloo.scm 323 */
						bool_t BgL_testz00_1691;

						{	/* Llib/bigloo.scm 323 */
							long BgL_minz00_521;

							{	/* Llib/bigloo.scm 323 */
								long BgL_arg1284z00_525;

								{	/* Llib/bigloo.scm 323 */
									long BgL_xz00_527;
									long BgL_yz00_528;

									BgL_xz00_527 =
										STRING_LENGTH(string_to_bstring(BgL_releasez00_2));
									BgL_yz00_528 =
										STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00);
									if ((BgL_xz00_527 < BgL_yz00_528))
										{	/* Llib/bigloo.scm 323 */
											BgL_arg1284z00_525 = BgL_xz00_527;
										}
									else
										{	/* Llib/bigloo.scm 323 */
											BgL_arg1284z00_525 = BgL_yz00_528;
										}
								}
								BgL_minz00_521 = (BgL_arg1284z00_525 - ((long) 1));
							}
							if (bigloo_strcmp(c_substring(string_to_bstring(BgL_releasez00_2),
										((long) 0), BgL_minz00_521),
									c_substring(BGl_za2releaseza2z00zz__biglooz00, ((long) 0),
										BgL_minz00_521)))
								{	/* Llib/bigloo.scm 326 */
									BgL_testz00_1691 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 326 */
									BgL_testz00_1691 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_1691)
							{	/* Llib/bigloo.scm 323 */
								BgL_testz00_1690 = ((bool_t) 1);
							}
						else
							{	/* Llib/bigloo.scm 323 */
								if (CHARP(BgL_levelz00_3))
									{	/* Llib/bigloo.scm 328 */
										if (CHARP(BGl_za2levelza2z00zz__biglooz00))
											{	/* Llib/bigloo.scm 328 */
												if (
													(CCHAR(BGl_za2levelza2z00zz__biglooz00) ==
														CCHAR(BgL_levelz00_3)))
													{	/* Llib/bigloo.scm 328 */
														BgL_testz00_1690 = ((bool_t) 0);
													}
												else
													{	/* Llib/bigloo.scm 328 */
														BgL_testz00_1690 = ((bool_t) 1);
													}
											}
										else
											{	/* Llib/bigloo.scm 328 */
												BgL_testz00_1690 = ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 328 */
										BgL_testz00_1690 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_1690)
						{	/* Llib/bigloo.scm 335 */
							obj_t BgL_arg1204z00_504;
							obj_t BgL_arg1217z00_505;
							obj_t BgL_arg1219z00_506;

							{	/* Llib/bigloo.scm 335 */
								obj_t BgL_arg1235z00_508;

								{	/* Llib/bigloo.scm 336 */
									obj_t BgL_releasez00_1051;
									obj_t BgL_levelz00_1052;

									BgL_releasez00_1051 = BGl_za2releaseza2z00zz__biglooz00;
									BgL_levelz00_1052 = BGl_za2levelza2z00zz__biglooz00;
									if (CHARP(BgL_levelz00_1052))
										{	/* Llib/bigloo.scm 336 */
											obj_t BgL_sz00_1054;

											BgL_sz00_1054 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BGl_string1747z00zz__biglooz00);
											{	/* Llib/bigloo.scm 336 */
												unsigned char BgL_auxz00_1714;

												BgL_auxz00_1714 = CCHAR(BgL_levelz00_1052);
												STRING_SET(BgL_sz00_1054, ((long) 8), BgL_auxz00_1714);
											}
											BgL_arg1235z00_508 =
												string_append(BgL_releasez00_1051, BgL_sz00_1054);
										}
									else
										{	/* Llib/bigloo.scm 336 */
											BgL_arg1235z00_508 = BgL_releasez00_1051;
										}
								}
								BgL_arg1204z00_504 =
									string_append(BGl_string1748z00zz__biglooz00,
									BgL_arg1235z00_508);
							}
							{	/* Llib/bigloo.scm 337 */
								obj_t BgL_arg1267z00_510;

								if (CHARP(BgL_levelz00_3))
									{	/* Llib/bigloo.scm 338 */
										obj_t BgL_sz00_1062;

										BgL_sz00_1062 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BGl_string1747z00zz__biglooz00);
										{	/* Llib/bigloo.scm 338 */
											unsigned char BgL_auxz00_1722;

											BgL_auxz00_1722 = CCHAR(BgL_levelz00_3);
											STRING_SET(BgL_sz00_1062, ((long) 8), BgL_auxz00_1722);
										}
										BgL_arg1267z00_510 =
											string_append(string_to_bstring(BgL_releasez00_2),
											BgL_sz00_1062);
									}
								else
									{	/* Llib/bigloo.scm 338 */
										BgL_arg1267z00_510 = string_to_bstring(BgL_releasez00_2);
									}
								BgL_arg1217z00_505 =
									string_append(BGl_string1749z00zz__biglooz00,
									BgL_arg1267z00_510);
							}
							BgL_arg1219z00_506 =
								MAKE_PAIR(BgL_modulez00_1, BGl_za2modulesza2z00zz__biglooz00);
							return
								BGl_errorz00zz__errorz00(BgL_arg1204z00_504, BgL_arg1217z00_505,
								BgL_arg1219z00_506);
						}
					else
						{	/* Llib/bigloo.scm 323 */
							return (BGl_za2modulesza2z00zz__biglooz00 =
								MAKE_PAIR(BgL_modulez00_1, BGl_za2modulesza2z00zz__biglooz00),
								BUNSPEC);
						}
				}
			else
				{	/* Llib/bigloo.scm 319 */
					{	/* Llib/bigloo.scm 320 */
						obj_t BgL_list1304z00_530;

						BgL_list1304z00_530 = MAKE_PAIR(BgL_modulez00_1, BNIL);
						BGl_za2modulesza2z00zz__biglooz00 = BgL_list1304z00_530;
					}
					BGl_za2releaseza2z00zz__biglooz00 =
						string_to_bstring(BgL_releasez00_2);
					return (BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_3, BUNSPEC);
				}
		}
	}



/* _check-version!1736 */
	obj_t BGl__checkzd2versionz121736zc0zz__biglooz00(obj_t BgL_envz00_1637,
		obj_t BgL_modulez00_1638, obj_t BgL_releasez00_1639,
		obj_t BgL_levelz00_1640)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 317 */
			return
				BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_1638,
				BSTRING_TO_STRING(BgL_releasez00_1639), BgL_levelz00_1640);
		}
	}



/* procedure-arity */
	BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t
		BgL_procz00_4)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 353 */
			return PROCEDURE_ARITY(BgL_procz00_4);
		}
	}



/* _procedure-arity */
	obj_t BGl__procedurezd2arityzd2zz__biglooz00(obj_t BgL_envz00_1641,
		obj_t BgL_procz00_1642)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 353 */
			return BINT(PROCEDURE_ARITY(BgL_procz00_1642));
		}
	}



/* unspecified */
	BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 359 */
			return BUNSPEC;
		}
	}



/* _unspecified */
	obj_t BGl__unspecifiedz00zz__biglooz00(obj_t BgL_envz00_1643)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 359 */
			return BUNSPEC;
		}
	}



/* cnst? */
	BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_5)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 365 */
			return CNSTP(BgL_objz00_5);
		}
	}



/* _cnst? */
	obj_t BGl__cnstzf3zf3zz__biglooz00(obj_t BgL_envz00_1644,
		obj_t BgL_objz00_1645)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 365 */
			return BBOOL(CNSTP(BgL_objz00_1645));
		}
	}



/* opaque? */
	BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_6)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 371 */
			return OPAQUEP(BgL_objz00_6);
		}
	}



/* _opaque? */
	obj_t BGl__opaquezf3zf3zz__biglooz00(obj_t BgL_envz00_1646,
		obj_t BgL_objz00_1647)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 371 */
			return BBOOL(OPAQUEP(BgL_objz00_1647));
		}
	}



/* opaque-nil */
	BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 377 */
			return BGL_OPAQUE_NIL();
		}
	}



/* _opaque-nil */
	obj_t BGl__opaquezd2nilzd2zz__biglooz00(obj_t BgL_envz00_1648)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 377 */
			return BGL_OPAQUE_NIL();
		}
	}



/* mangle-at! */
	long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_8,
		obj_t BgL_oldz00_9, long BgL_lenz00_10, long BgL_offsetz00_11)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 390 */
			{
				long BgL_rz00_532;
				long BgL_wz00_533;
				long BgL_newzd2lenzd2_534;
				long BgL_checksumz00_535;

				BgL_rz00_532 = ((long) 0);
				BgL_wz00_533 = BgL_offsetz00_11;
				BgL_newzd2lenzd2_534 = BgL_offsetz00_11;
				BgL_checksumz00_535 = ((long) 0);
			BgL_loopz00_536:
				if ((BgL_rz00_532 == BgL_lenz00_10))
					{	/* Llib/bigloo.scm 395 */
						STRING_SET(BgL_newz00_8, BgL_wz00_533, ((unsigned char) 'z'));
						{	/* Llib/bigloo.scm 398 */
							unsigned char BgL_auxz00_1752;
							long BgL_auxz00_1750;

							BgL_auxz00_1752 =
								STRING_REF(BGl_string1750z00zz__biglooz00,
								(BgL_checksumz00_535 & ((long) 15)));
							BgL_auxz00_1750 = (BgL_wz00_533 + ((long) 1));
							STRING_SET(BgL_newz00_8, BgL_auxz00_1750, BgL_auxz00_1752);
						}
						{	/* Llib/bigloo.scm 401 */
							unsigned char BgL_auxz00_1758;
							long BgL_auxz00_1756;

							BgL_auxz00_1758 =
								STRING_REF(BGl_string1750z00zz__biglooz00,
								((BgL_checksumz00_535 >> (int) (((long) 4))) & ((long) 15)));
							BgL_auxz00_1756 = (BgL_wz00_533 + ((long) 2));
							STRING_SET(BgL_newz00_8, BgL_auxz00_1756, BgL_auxz00_1758);
						}
						return (BgL_wz00_533 + ((long) 3));
					}
				else
					{	/* Llib/bigloo.scm 405 */
						unsigned char BgL_cz00_546;

						BgL_cz00_546 = STRING_REF(BgL_oldz00_9, BgL_rz00_532);
						{	/* Llib/bigloo.scm 406 */
							bool_t BgL_testz00_1766;

							{	/* Llib/bigloo.scm 406 */
								bool_t BgL_testz00_1767;

								if (isalpha(BgL_cz00_546))
									{	/* Llib/bigloo.scm 406 */
										if ((BgL_cz00_546 == ((unsigned char) 'z')))
											{	/* Llib/bigloo.scm 406 */
												BgL_testz00_1767 = ((bool_t) 0);
											}
										else
											{	/* Llib/bigloo.scm 406 */
												BgL_testz00_1767 = ((bool_t) 1);
											}
									}
								else
									{	/* Llib/bigloo.scm 406 */
										BgL_testz00_1767 = ((bool_t) 0);
									}
								if (BgL_testz00_1767)
									{	/* Llib/bigloo.scm 406 */
										BgL_testz00_1766 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 406 */
										if (isdigit(BgL_cz00_546))
											{	/* Llib/bigloo.scm 407 */
												BgL_testz00_1766 = ((bool_t) 1);
											}
										else
											{	/* Llib/bigloo.scm 407 */
												BgL_testz00_1766 =
													(BgL_cz00_546 == ((unsigned char) '_'));
							}}}
							if (BgL_testz00_1766)
								{	/* Llib/bigloo.scm 406 */
									STRING_SET(BgL_newz00_8, BgL_wz00_533, BgL_cz00_546);
									{
										long BgL_newzd2lenzd2_1780;
										long BgL_wz00_1778;
										long BgL_rz00_1776;

										BgL_rz00_1776 = (BgL_rz00_532 + ((long) 1));
										BgL_wz00_1778 = (BgL_wz00_533 + ((long) 1));
										BgL_newzd2lenzd2_1780 = (BgL_newzd2lenzd2_534 + ((long) 1));
										BgL_newzd2lenzd2_534 = BgL_newzd2lenzd2_1780;
										BgL_wz00_533 = BgL_wz00_1778;
										BgL_rz00_532 = BgL_rz00_1776;
										goto BgL_loopz00_536;
									}
								}
							else
								{	/* Llib/bigloo.scm 415 */
									long BgL_icz00_551;

									BgL_icz00_551 = (BgL_cz00_546);
									STRING_SET(BgL_newz00_8, BgL_wz00_533, ((unsigned char) 'z'));
									{	/* Llib/bigloo.scm 417 */
										unsigned char BgL_auxz00_1786;
										long BgL_auxz00_1784;

										BgL_auxz00_1786 =
											STRING_REF(BGl_string1750z00zz__biglooz00,
											(BgL_icz00_551 & ((long) 15)));
										BgL_auxz00_1784 = (BgL_wz00_533 + ((long) 1));
										STRING_SET(BgL_newz00_8, BgL_auxz00_1784, BgL_auxz00_1786);
									}
									{	/* Llib/bigloo.scm 420 */
										unsigned char BgL_auxz00_1792;
										long BgL_auxz00_1790;

										BgL_auxz00_1792 =
											STRING_REF(BGl_string1750z00zz__biglooz00,
											((BgL_icz00_551 >> (int) (((long) 4))) & ((long) 15)));
										BgL_auxz00_1790 = (BgL_wz00_533 + ((long) 2));
										STRING_SET(BgL_newz00_8, BgL_auxz00_1790, BgL_auxz00_1792);
									}
									{
										long BgL_checksumz00_1804;
										long BgL_newzd2lenzd2_1802;
										long BgL_wz00_1800;
										long BgL_rz00_1798;

										BgL_rz00_1798 = (BgL_rz00_532 + ((long) 1));
										BgL_wz00_1800 = (BgL_wz00_533 + ((long) 3));
										BgL_newzd2lenzd2_1802 = (BgL_newzd2lenzd2_534 + ((long) 3));
										BgL_checksumz00_1804 =
											(BgL_checksumz00_535 ^ (BgL_cz00_546));
										BgL_checksumz00_535 = BgL_checksumz00_1804;
										BgL_newzd2lenzd2_534 = BgL_newzd2lenzd2_1802;
										BgL_wz00_533 = BgL_wz00_1800;
										BgL_rz00_532 = BgL_rz00_1798;
										goto BgL_loopz00_536;
									}
								}
						}
					}
			}
		}
	}



/* bigloo-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_12)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 431 */
			{	/* Llib/bigloo.scm 432 */
				long BgL_lenz00_569;

				BgL_lenz00_569 = STRING_LENGTH(BgL_stringz00_12);
				{	/* Llib/bigloo.scm 432 */
					obj_t BgL_newz00_570;

					BgL_newz00_570 =
						make_string(
						((BgL_lenz00_569 * ((long) 3)) + ((long) 7)),
						((unsigned char) ' '));
					{	/* Llib/bigloo.scm 433 */

						if ((BgL_lenz00_569 == ((long) 0)))
							{	/* Llib/bigloo.scm 434 */
								return
									BGl_errorz00zz__errorz00(BGl_string1751z00zz__biglooz00,
									BGl_string1752z00zz__biglooz00, BgL_stringz00_12);
							}
						else
							{	/* Llib/bigloo.scm 436 */
								long BgL_stopz00_572;

								BgL_stopz00_572 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_570,
									BgL_stringz00_12, BgL_lenz00_569, ((long) 4));
								blit_string(BGl_string1753z00zz__biglooz00, ((long) 0),
									BgL_newz00_570, ((long) 0), ((long) 4));
								return c_substring(BgL_newz00_570, ((long) 0), BgL_stopz00_572);
		}}}}}
	}



/* _bigloo-mangle1737 */
	obj_t BGl__bigloozd2mangle1737zd2zz__biglooz00(obj_t BgL_envz00_1649,
		obj_t BgL_stringz00_1650)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 431 */
			return bigloo_mangle(BgL_stringz00_1650);
		}
	}



/* bigloo-module-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_13,
		obj_t BgL_modulez00_14)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 443 */
			{	/* Llib/bigloo.scm 444 */
				long BgL_lenz00_577;

				BgL_lenz00_577 =
					(STRING_LENGTH(BgL_idz00_13) + STRING_LENGTH(BgL_modulez00_14));
				{	/* Llib/bigloo.scm 444 */
					obj_t BgL_newz00_578;

					BgL_newz00_578 =
						make_string(
						((BgL_lenz00_577 * ((long) 3)) + ((long) 12)),
						((unsigned char) ' '));
					{	/* Llib/bigloo.scm 445 */

						if ((BgL_lenz00_577 == ((long) 0)))
							{	/* Llib/bigloo.scm 446 */
								return
									BGl_errorz00zz__errorz00(BGl_string1751z00zz__biglooz00,
									BGl_string1752z00zz__biglooz00,
									BGl_stringzd2envzd2zz__r4_strings_6_7z00);
							}
						else
							{	/* Llib/bigloo.scm 448 */
								long BgL_modzd2startzd2_580;

								BgL_modzd2startzd2_580 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_578,
									BgL_idz00_13, STRING_LENGTH(BgL_idz00_13), ((long) 4));
								STRING_SET(BgL_newz00_578, BgL_modzd2startzd2_580,
									((unsigned char) 'z'));
								{	/* Llib/bigloo.scm 450 */
									long BgL_auxz00_1830;

									BgL_auxz00_1830 = (((long) 1) + BgL_modzd2startzd2_580);
									STRING_SET(BgL_newz00_578, BgL_auxz00_1830,
										((unsigned char) 'z'));
								}
								{	/* Llib/bigloo.scm 451 */
									long BgL_stopz00_582;

									BgL_stopz00_582 =
										BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_578,
										BgL_modulez00_14, STRING_LENGTH(BgL_modulez00_14),
										(BgL_modzd2startzd2_580 + ((long) 2)));
									blit_string(BGl_string1754z00zz__biglooz00, ((long) 0),
										BgL_newz00_578, ((long) 0), ((long) 4));
									return c_substring(BgL_newz00_578, ((long) 0),
										BgL_stopz00_582);
		}}}}}}
	}



/* _bigloo-module-mangl1738 */
	obj_t BGl__bigloozd2modulezd2mangl1738z00zz__biglooz00(obj_t BgL_envz00_1651,
		obj_t BgL_idz00_1652, obj_t BgL_modulez00_1653)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 443 */
			return bigloo_module_mangle(BgL_idz00_1652, BgL_modulez00_1653);
		}
	}



/* bigloo-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_15)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 460 */
			{	/* Llib/bigloo.scm 461 */
				long BgL_lenz00_593;

				BgL_lenz00_593 = STRING_LENGTH(BgL_stringz00_15);
				if ((BgL_lenz00_593 > ((long) 7)))
					{	/* Llib/bigloo.scm 463 */
						bool_t BgL_testz00_1842;

						{	/* Llib/bigloo.scm 463 */
							bool_t BgL__ortest_1117z00_610;

							BgL__ortest_1117z00_610 =
								bigloo_strncmp(BgL_stringz00_15, BGl_string1753z00zz__biglooz00,
								((long) 4));
							if (BgL__ortest_1117z00_610)
								{	/* Llib/bigloo.scm 463 */
									BgL_testz00_1842 = BgL__ortest_1117z00_610;
								}
							else
								{	/* Llib/bigloo.scm 463 */
									BgL_testz00_1842 =
										bigloo_strncmp(BgL_stringz00_15,
										BGl_string1754z00zz__biglooz00, ((long) 4));
						}}
						if (BgL_testz00_1842)
							{	/* Llib/bigloo.scm 463 */
								if (
									(STRING_REF(BgL_stringz00_15,
											(BgL_lenz00_593 - ((long) 3))) == ((unsigned char) 'z')))
									{	/* Llib/bigloo.scm 466 */
										bool_t BgL_testz00_1850;

										{	/* Llib/bigloo.scm 466 */
											bool_t BgL__ortest_1118z00_603;

											{	/* Llib/bigloo.scm 466 */
												unsigned char BgL_auxz00_1851;

												BgL_auxz00_1851 =
													STRING_REF(BgL_stringz00_15,
													(BgL_lenz00_593 - ((long) 2)));
												BgL__ortest_1118z00_603 = isalpha(BgL_auxz00_1851);
											}
											if (BgL__ortest_1118z00_603)
												{	/* Llib/bigloo.scm 466 */
													BgL_testz00_1850 = BgL__ortest_1118z00_603;
												}
											else
												{	/* Llib/bigloo.scm 467 */
													unsigned char BgL_auxz00_1856;

													BgL_auxz00_1856 =
														STRING_REF(BgL_stringz00_15,
														(BgL_lenz00_593 - ((long) 2)));
													BgL_testz00_1850 = isdigit(BgL_auxz00_1856);
										}}
										if (BgL_testz00_1850)
											{	/* Llib/bigloo.scm 468 */
												bool_t BgL__ortest_1119z00_598;

												{	/* Llib/bigloo.scm 468 */
													unsigned char BgL_auxz00_1860;

													BgL_auxz00_1860 =
														STRING_REF(BgL_stringz00_15,
														(BgL_lenz00_593 - ((long) 1)));
													BgL__ortest_1119z00_598 = isalpha(BgL_auxz00_1860);
												}
												if (BgL__ortest_1119z00_598)
													{	/* Llib/bigloo.scm 468 */
														return BgL__ortest_1119z00_598;
													}
												else
													{	/* Llib/bigloo.scm 469 */
														unsigned char BgL_auxz00_1865;

														BgL_auxz00_1865 =
															STRING_REF(BgL_stringz00_15,
															(BgL_lenz00_593 - ((long) 1)));
														return isdigit(BgL_auxz00_1865);
													}
											}
										else
											{	/* Llib/bigloo.scm 466 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 465 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 463 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 462 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _bigloo-mangled?1739 */
	obj_t BGl__bigloozd2mangledzf31739z21zz__biglooz00(obj_t BgL_envz00_1656,
		obj_t BgL_stringz00_1657)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 460 */
			return BBOOL(bigloo_mangledp(BgL_stringz00_1657));
		}
	}



/* bigloo-need-mangling? */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t
		BgL_stringz00_16)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 474 */
			{	/* Llib/bigloo.scm 475 */
				long BgL_lenz00_611;

				BgL_lenz00_611 = STRING_LENGTH(BgL_stringz00_16);
				if ((BgL_lenz00_611 > ((long) 0)))
					{	/* Llib/bigloo.scm 477 */
						bool_t BgL__ortest_1121z00_613;

						{	/* Llib/bigloo.scm 477 */
							bool_t BgL_testz00_1874;

							{	/* Llib/bigloo.scm 477 */
								bool_t BgL_testz00_1875;

								{	/* Llib/bigloo.scm 477 */
									unsigned char BgL_auxz00_1876;

									BgL_auxz00_1876 = STRING_REF(BgL_stringz00_16, ((long) 0));
									BgL_testz00_1875 = isalpha(BgL_auxz00_1876);
								}
								if (BgL_testz00_1875)
									{	/* Llib/bigloo.scm 477 */
										BgL_testz00_1874 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 477 */
										BgL_testz00_1874 =
											(STRING_REF(BgL_stringz00_16,
												((long) 0)) == ((unsigned char) '_'));
							}}
							if (BgL_testz00_1874)
								{	/* Llib/bigloo.scm 477 */
									BgL__ortest_1121z00_613 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 477 */
									BgL__ortest_1121z00_613 = ((bool_t) 1);
								}
						}
						if (BgL__ortest_1121z00_613)
							{	/* Llib/bigloo.scm 477 */
								return BgL__ortest_1121z00_613;
							}
						else
							{
								long BgL_iz00_614;

								BgL_iz00_614 = ((long) 1);
							BgL_loopz00_615:
								if ((BgL_iz00_614 >= BgL_lenz00_611))
									{	/* Llib/bigloo.scm 480 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/bigloo.scm 482 */
										unsigned char BgL_cz00_617;

										BgL_cz00_617 = STRING_REF(BgL_stringz00_16, BgL_iz00_614);
										{	/* Llib/bigloo.scm 483 */
											bool_t BgL_testz00_1885;

											if (isalpha(BgL_cz00_617))
												{	/* Llib/bigloo.scm 483 */
													BgL_testz00_1885 = ((bool_t) 1);
												}
											else
												{	/* Llib/bigloo.scm 483 */
													if (isdigit(BgL_cz00_617))
														{	/* Llib/bigloo.scm 484 */
															BgL_testz00_1885 = ((bool_t) 1);
														}
													else
														{	/* Llib/bigloo.scm 484 */
															BgL_testz00_1885 =
																(BgL_cz00_617 == ((unsigned char) '_'));
												}}
											if (BgL_testz00_1885)
												{
													long BgL_iz00_1891;

													BgL_iz00_1891 = (BgL_iz00_614 + ((long) 1));
													BgL_iz00_614 = BgL_iz00_1891;
													goto BgL_loopz00_615;
												}
											else
												{	/* Llib/bigloo.scm 483 */
													return ((bool_t) 1);
												}
										}
									}
							}
					}
				else
					{	/* Llib/bigloo.scm 476 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _bigloo-need-manglin1740 */
	obj_t BGl__bigloozd2needzd2manglin1740z00zz__biglooz00(obj_t BgL_envz00_1658,
		obj_t BgL_stringz00_1659)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 474 */
			return
				BBOOL(BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
				(BgL_stringz00_1659));
		}
	}



/* bigloo-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_17)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 492 */
			{	/* Llib/bigloo.scm 493 */
				long BgL_lenz00_626;

				BgL_lenz00_626 = STRING_LENGTH(BgL_stringz00_17);
				{	/* Llib/bigloo.scm 493 */
					long BgL_clenz00_627;

					BgL_clenz00_627 = (BgL_lenz00_626 - ((long) 3));
					{	/* Llib/bigloo.scm 494 */

						{

							if ((BgL_lenz00_626 < ((long) 8)))
								{	/* Llib/bigloo.scm 543 */
									return
										BGl_errorz00zz__errorz00(BGl_string1755z00zz__biglooz00,
										BGl_string1756z00zz__biglooz00, BgL_stringz00_17);
								}
							else
								{	/* Llib/bigloo.scm 543 */
									if (bigloo_strncmp(BgL_stringz00_17,
											BGl_string1753z00zz__biglooz00, ((long) 4)))
										{	/* Llib/bigloo.scm 545 */
											{	/* Llib/bigloo.scm 533 */
												obj_t BgL_strz00_645;

												BgL_strz00_645 =
													BGl_bigloozd2demanglezd2atz00zz__biglooz00
													(BgL_stringz00_17, BgL_clenz00_627, BINT(((long) 4)));
												{	/* Llib/bigloo.scm 535 */
													obj_t BgL_offsetz00_646;

													{	/* Llib/bigloo.scm 535 */
														int BgL_auxz00_1904;

														BgL_auxz00_1904 = (int) (((long) 1));
														BgL_offsetz00_646 =
															BGL_MVALUES_VAL(BgL_auxz00_1904);
													}
													{	/* Llib/bigloo.scm 535 */
														int BgL_auxz00_1907;

														BgL_auxz00_1907 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_1907);
													}
													{	/* Llib/bigloo.scm 535 */
														int BgL_auxz00_1910;

														BgL_auxz00_1910 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_1910, BUNSPEC);
													}
													return BgL_strz00_645;
												}
											}
										}
									else
										{	/* Llib/bigloo.scm 545 */
											if (bigloo_strncmp(BgL_stringz00_17,
													BGl_string1754z00zz__biglooz00, ((long) 4)))
												{	/* Llib/bigloo.scm 547 */
													{	/* Llib/bigloo.scm 537 */
														obj_t BgL_idz00_638;

														BgL_idz00_638 =
															BGl_bigloozd2demanglezd2atz00zz__biglooz00
															(BgL_stringz00_17, BgL_clenz00_627,
															BINT(((long) 4)));
														{	/* Llib/bigloo.scm 539 */
															obj_t BgL_offsetz00_639;

															{	/* Llib/bigloo.scm 539 */
																int BgL_auxz00_1917;

																BgL_auxz00_1917 = (int) (((long) 1));
																BgL_offsetz00_639 =
																	BGL_MVALUES_VAL(BgL_auxz00_1917);
															}
															{	/* Llib/bigloo.scm 539 */
																obj_t BgL_modulez00_640;

																BgL_modulez00_640 =
																	BGl_bigloozd2demanglezd2atz00zz__biglooz00
																	(BgL_stringz00_17, BgL_clenz00_627,
																	BgL_offsetz00_639);
																{	/* Llib/bigloo.scm 541 */
																	obj_t BgL_offsetz00_641;

																	{	/* Llib/bigloo.scm 541 */
																		int BgL_auxz00_1921;

																		BgL_auxz00_1921 = (int) (((long) 1));
																		BgL_offsetz00_641 =
																			BGL_MVALUES_VAL(BgL_auxz00_1921);
																	}
																	{	/* Llib/bigloo.scm 541 */
																		int BgL_auxz00_1924;

																		BgL_auxz00_1924 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_auxz00_1924);
																	}
																	{	/* Llib/bigloo.scm 541 */
																		int BgL_auxz00_1927;

																		BgL_auxz00_1927 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_1927,
																			BgL_modulez00_640);
																	}
																	return BgL_idz00_638;
																}
															}
														}
													}
												}
											else
												{	/* Llib/bigloo.scm 547 */
													return BgL_stringz00_17;
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* bigloo-demangle-at */
	obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t BgL_stringz00_1672,
		long BgL_clenz00_1671, obj_t BgL_offsetz00_649)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 531 */
			{	/* Llib/bigloo.scm 508 */
				obj_t BgL_newz00_651;

				BgL_newz00_651 = make_string(BgL_clenz00_1671, ((unsigned char) ' '));
				{
					obj_t BgL_rz00_652;
					long BgL_wz00_653;
					long BgL_checksumz00_654;

					BgL_rz00_652 = BgL_offsetz00_649;
					BgL_wz00_653 = ((long) 0);
					BgL_checksumz00_654 = ((long) 0);
				BgL_loopz00_655:
					if (((long) CINT(BgL_rz00_652) == BgL_clenz00_1671))
						{	/* Llib/bigloo.scm 512 */
							if (
								(BgL_checksumz00_654 ==
									BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_1672,
										BgL_rz00_652)))
								{	/* Llib/bigloo.scm 515 */
									obj_t BgL_val0_1152z00_658;
									long BgL_val1_1153z00_659;

									BgL_val0_1152z00_658 =
										c_substring(BgL_newz00_651, ((long) 0), BgL_wz00_653);
									BgL_val1_1153z00_659 =
										((long) CINT(BgL_rz00_652) + ((long) 3));
									{	/* Llib/bigloo.scm 515 */
										int BgL_auxz00_1940;

										BgL_auxz00_1940 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_auxz00_1940);
									}
									{	/* Llib/bigloo.scm 515 */
										obj_t BgL_auxz00_1945;
										int BgL_auxz00_1943;

										BgL_auxz00_1945 = BINT(BgL_val1_1153z00_659);
										BgL_auxz00_1943 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_1943, BgL_auxz00_1945);
									}
									return BgL_val0_1152z00_658;
								}
							else
								{	/* Llib/bigloo.scm 514 */
									return
										BGl_errorz00zz__errorz00(BGl_string1755z00zz__biglooz00,
										BGl_string1757z00zz__biglooz00, BgL_stringz00_1672);
								}
						}
					else
						{	/* Llib/bigloo.scm 517 */
							unsigned char BgL_cz00_661;

							BgL_cz00_661 =
								STRING_REF(BgL_stringz00_1672, (long) CINT(BgL_rz00_652));
							if ((BgL_cz00_661 == ((unsigned char) 'z')))
								{	/* Llib/bigloo.scm 518 */
									if (
										(STRING_REF(BgL_stringz00_1672,
												((long) CINT(BgL_rz00_652) + ((long) 1))) ==
											((unsigned char) 'z')))
										{	/* Llib/bigloo.scm 520 */
											obj_t BgL_val0_1154z00_664;
											long BgL_val1_1155z00_665;

											BgL_val0_1154z00_664 =
												c_substring(BgL_newz00_651, ((long) 0),
												(BgL_wz00_653 - ((long) 1)));
											BgL_val1_1155z00_665 =
												((long) CINT(BgL_rz00_652) + ((long) 2));
											{	/* Llib/bigloo.scm 520 */
												int BgL_auxz00_1962;

												BgL_auxz00_1962 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_1962);
											}
											{	/* Llib/bigloo.scm 520 */
												obj_t BgL_auxz00_1967;
												int BgL_auxz00_1965;

												BgL_auxz00_1967 = BINT(BgL_val1_1155z00_665);
												BgL_auxz00_1965 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_1965, BgL_auxz00_1967);
											}
											return BgL_val0_1154z00_664;
										}
									else
										{	/* Llib/bigloo.scm 521 */
											long BgL_iz00_668;

											BgL_iz00_668 =
												BGl_getzd28bitszd2integerz00zz__biglooz00
												(BgL_stringz00_1672, BgL_rz00_652);
											{	/* Llib/bigloo.scm 521 */
												unsigned char BgL_ncz00_669;

												BgL_ncz00_669 = (BgL_iz00_668);
												{	/* Llib/bigloo.scm 522 */

													STRING_SET(BgL_newz00_651, BgL_wz00_653,
														BgL_ncz00_669);
													{	/* Llib/bigloo.scm 524 */
														long BgL_arg1391z00_670;
														long BgL_arg1392z00_671;
														long BgL_arg1394z00_672;

														BgL_arg1391z00_670 =
															((long) CINT(BgL_rz00_652) + ((long) 3));
														BgL_arg1392z00_671 = (BgL_wz00_653 + ((long) 1));
														BgL_arg1394z00_672 =
															(BgL_checksumz00_654 ^ BgL_iz00_668);
														{
															long BgL_checksumz00_1980;
															long BgL_wz00_1979;
															obj_t BgL_rz00_1977;

															BgL_rz00_1977 = BINT(BgL_arg1391z00_670);
															BgL_wz00_1979 = BgL_arg1392z00_671;
															BgL_checksumz00_1980 = BgL_arg1394z00_672;
															BgL_checksumz00_654 = BgL_checksumz00_1980;
															BgL_wz00_653 = BgL_wz00_1979;
															BgL_rz00_652 = BgL_rz00_1977;
															goto BgL_loopz00_655;
														}
													}
												}
											}
										}
								}
							else
								{	/* Llib/bigloo.scm 518 */
									STRING_SET(BgL_newz00_651, BgL_wz00_653, BgL_cz00_661);
									{	/* Llib/bigloo.scm 529 */
										long BgL_arg1397z00_675;
										long BgL_arg1398z00_676;

										BgL_arg1397z00_675 =
											((long) CINT(BgL_rz00_652) + ((long) 1));
										BgL_arg1398z00_676 = (BgL_wz00_653 + ((long) 1));
										{
											long BgL_wz00_1987;
											obj_t BgL_rz00_1985;

											BgL_rz00_1985 = BINT(BgL_arg1397z00_675);
											BgL_wz00_1987 = BgL_arg1398z00_676;
											BgL_wz00_653 = BgL_wz00_1987;
											BgL_rz00_652 = BgL_rz00_1985;
											goto BgL_loopz00_655;
										}
									}
								}
						}
				}
			}
		}
	}



/* get-8bits-integer */
	long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t BgL_stringz00_1673,
		obj_t BgL_rz00_678)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 506 */
			{	/* Llib/bigloo.scm 505 */

				return
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_1673,
							((long) CINT(BgL_rz00_678) + ((long) 1)))) +
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_1673,
								((long) CINT(BgL_rz00_678) + ((long) 2)))) <<
						(int) (((long) 4))));
		}}
	}



/* char->digit */
	long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char BgL_cz00_687)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 500 */
			if (isdigit(BgL_cz00_687))
				{	/* Llib/bigloo.scm 498 */
					return ((BgL_cz00_687) - ((long) 48));
				}
			else
				{	/* Llib/bigloo.scm 498 */
					return (((long) 10) + ((BgL_cz00_687) - ((long) 97)));
		}}
	}



/* _bigloo-demangle1741 */
	obj_t BGl__bigloozd2demangle1741zd2zz__biglooz00(obj_t BgL_envz00_1660,
		obj_t BgL_stringz00_1661)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 492 */
			return bigloo_demangle(BgL_stringz00_1661);
		}
	}



/* bigloo-class-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_18)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 555 */
			{	/* Llib/bigloo.scm 556 */
				long BgL_lenz00_703;

				BgL_lenz00_703 = STRING_LENGTH(BgL_stringz00_18);
				if ((BgL_lenz00_703 > ((long) 8)))
					{	/* Llib/bigloo.scm 557 */
						if (
							(STRING_REF(BgL_stringz00_18,
									(BgL_lenz00_703 - ((long) 1))) == ((unsigned char) 't')))
							{	/* Llib/bigloo.scm 558 */
								if (
									(STRING_REF(BgL_stringz00_18,
											(BgL_lenz00_703 - ((long) 2))) == ((unsigned char) 'l')))
									{	/* Llib/bigloo.scm 559 */
										if (
											(STRING_REF(BgL_stringz00_18,
													(BgL_lenz00_703 - ((long) 3))) ==
												((unsigned char) 'g')))
											{	/* Llib/bigloo.scm 560 */
												if (
													(STRING_REF(BgL_stringz00_18,
															(BgL_lenz00_703 - ((long) 4))) ==
														((unsigned char) 'b')))
													{	/* Llib/bigloo.scm 561 */
														if (
															(STRING_REF(BgL_stringz00_18,
																	(BgL_lenz00_703 - ((long) 5))) ==
																((unsigned char) '_')))
															{	/* Llib/bigloo.scm 562 */
																return
																	bigloo_mangledp(c_substring(BgL_stringz00_18,
																		((long) 0), (BgL_lenz00_703 - ((long) 5))));
															}
														else
															{	/* Llib/bigloo.scm 562 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* Llib/bigloo.scm 561 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* Llib/bigloo.scm 560 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 559 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 558 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 557 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _bigloo-class-mangle1742 */
	obj_t BGl__bigloozd2classzd2mangle1742z00zz__biglooz00(obj_t BgL_envz00_1662,
		obj_t BgL_stringz00_1663)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 555 */
			return BBOOL(bigloo_class_mangledp(BgL_stringz00_1663));
		}
	}



/* bigloo-class-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_19)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 568 */
			return
				string_append(bigloo_demangle(c_substring(BgL_stringz00_19, ((long) 0),
						(STRING_LENGTH(BgL_stringz00_19) - ((long) 5)))),
				BGl_string1758z00zz__biglooz00);
		}
	}



/* _bigloo-class-demang1743 */
	obj_t BGl__bigloozd2classzd2demang1743z00zz__biglooz00(obj_t BgL_envz00_1664,
		obj_t BgL_stringz00_1665)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 568 */
			return bigloo_class_demangle(BgL_stringz00_1665);
		}
	}



/* bigloo-exit-mutex */
	BGL_EXPORTED_DEF obj_t bgl_exit_mutex()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 581 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* _bigloo-exit-mutex */
	obj_t BGl__bigloozd2exitzd2mutexz00zz__biglooz00(obj_t BgL_envz00_1666)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 581 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* register-exit-function! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t
		BgL_funz00_20)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 592 */
			{	/* Llib/bigloo.scm 593 */
				obj_t BgL_arg1449z00_730;

				BgL_arg1449z00_730 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				{	/* Llib/thread.scm 116 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 116 */
							bgl_mutex_lock(BgL_arg1449z00_730);
						}
					else
						{	/* Llib/thread.scm 116 */
							bgl_mutex_timed_lock(BgL_arg1449z00_730, ((long) 0));
			}}}
			if (PROCEDURE_CORRECT_ARITYP(BgL_funz00_20, (int) (((long) 1))))
				{	/* Llib/bigloo.scm 594 */
					BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
						MAKE_PAIR(BgL_funz00_20,
						BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
				}
			else
				{	/* Llib/bigloo.scm 594 */
					BGl_errorz00zz__errorz00(BGl_string1759z00zz__biglooz00,
						BGl_string1760z00zz__biglooz00, BgL_funz00_20);
				}
			{	/* Llib/bigloo.scm 599 */
				obj_t BgL_arg1451z00_734;

				BgL_arg1451z00_734 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				return BBOOL(bgl_mutex_unlock(BgL_arg1451z00_734));
			}
		}
	}



/* _register-exit-funct1744 */
	obj_t BGl__registerzd2exitzd2funct1744z00zz__biglooz00(obj_t BgL_envz00_1667,
		obj_t BgL_funz00_1668)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 592 */
			return BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_funz00_1668);
		}
	}



/* bigloo-exit-apply */
	BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_21)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 604 */
			{	/* Llib/bigloo.scm 605 */
				obj_t BgL_mutz00_735;

				if (BGL_MUTEXP(BGl_za2exitzd2mutexza2zd2zz__biglooz00))
					{	/* Llib/bigloo.scm 605 */
						BgL_mutz00_735 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
					}
				else
					{	/* Llib/bigloo.scm 605 */
						BgL_mutz00_735 = bgl_make_mutex(BGl_symbol1745z00zz__biglooz00);
					}
				{	/* Llib/thread.scm 116 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 116 */
							bgl_mutex_lock(BgL_mutz00_735);
						}
					else
						{	/* Llib/thread.scm 116 */
							bgl_mutex_timed_lock(BgL_mutz00_735, ((long) 0));
				}}
				{
					obj_t BgL_valz00_738;

					BgL_valz00_738 = BgL_valz00_21;
				BgL_loopz00_739:
					{	/* Llib/bigloo.scm 610 */
						obj_t BgL_valz00_740;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_valz00_738))
							{	/* Llib/bigloo.scm 610 */
								BgL_valz00_740 = BgL_valz00_738;
							}
						else
							{	/* Llib/bigloo.scm 610 */
								BgL_valz00_740 = BINT(((long) 0));
							}
						if (PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
							{	/* Llib/bigloo.scm 614 */
								obj_t BgL_funz00_742;

								BgL_funz00_742 =
									CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
								BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
									CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
								{	/* Llib/bigloo.scm 616 */
									obj_t BgL_nvalz00_743;

									BgL_nvalz00_743 =
										PROCEDURE_ENTRY(BgL_funz00_742) (BgL_funz00_742,
										BgL_valz00_740, BEOA);
									{	/* Llib/bigloo.scm 617 */
										obj_t BgL_arg1453z00_744;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BgL_nvalz00_743))
											{	/* Llib/bigloo.scm 617 */
												BgL_arg1453z00_744 = BgL_nvalz00_743;
											}
										else
											{	/* Llib/bigloo.scm 617 */
												BgL_arg1453z00_744 = BgL_valz00_740;
											}
										{
											obj_t BgL_valz00_2071;

											BgL_valz00_2071 = BgL_arg1453z00_744;
											BgL_valz00_738 = BgL_valz00_2071;
											goto BgL_loopz00_739;
										}
									}
								}
							}
						else
							{	/* Llib/bigloo.scm 613 */
								bgl_mutex_unlock(BgL_mutz00_735);
								return BgL_valz00_740;
							}
					}
				}
			}
		}
	}



/* _bigloo-exit-apply */
	obj_t BGl__bigloozd2exitzd2applyz00zz__biglooz00(obj_t BgL_envz00_1669,
		obj_t BgL_valz00_1670)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 604 */
			return bigloo_exit_apply(BgL_valz00_1670);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1761z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 286113171),
				BSTRING_TO_STRING(BGl_string1761z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string1761z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 7375210),
				BSTRING_TO_STRING(BGl_string1761z00zz__biglooz00));
			return
				BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string1761z00zz__biglooz00));
		}
	}

#ifdef __cplusplus
}
#endif
