/*===========================================================================*/
/*   (Pp/circle.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Pp/circle.scm -indent -o objs/obj_u/Pp/circle.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_EXPORTED_DECL char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t,
		int);
	static obj_t BGl_requirezd2initializa7ationz75zz__pp_circlez00 = BUNSPEC;
	static obj_t BGl__jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31757ze3z83zz__pp_circlez00(obj_t);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	extern bool_t BGl_classzd2fieldzd2indexedzf3zf3zz__objectz00(obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31759ze3z83zz__pp_circlez00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
	BGL_EXPORTED_DECL obj_t dprint(obj_t);
	extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t bgl_display_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_outputzd2componentzd2zz__pp_circlez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	static obj_t BGl__czd2debuggingzd2printz00zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_classzd2fieldszd2zz__objectz00(obj_t);
	extern obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t string_to_bstring(char *);
	extern obj_t BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_char(obj_t, obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_registerz00zz__pp_circlez00(obj_t, obj_t);
	extern obj_t string_for_read(obj_t);
	static obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t, obj_t,
		bool_t);
	extern obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2lenzd2accessorzd2zz__objectz00(obj_t);
	static obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t real_to_string(double);
	static obj_t BGl_zc3anonymousza31705ze3z83zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__pp_circlez00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__displayza7d2circl2138za7, opt_generic_entry,
		BGl__displayzd2circlezd2zz__pp_circlez00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl__cza7d2debuggingza7d2139z00,
		BGl__czd2debuggingzd2printz00zz__pp_circlez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl__jvmza7d2debugging2140za7,
		BGl__jvmzd2debuggingzd2printz00zz__pp_circlez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
	   
		 
		DEFINE_STRING(BGl_string2131z00zz__pp_circlez00,
		BgL_bgl_string2131za700za7za7_2141za7, " . ", 3);
	      DEFINE_STRING(BGl_string2132z00zz__pp_circlez00,
		BgL_bgl_string2132za700za7za7_2142za7, "#{", 2);
	      DEFINE_STRING(BGl_string2133z00zz__pp_circlez00,
		BgL_bgl_string2133za700za7za7_2143za7, "#<cell:", 7);
	      DEFINE_STRING(BGl_string2134z00zz__pp_circlez00,
		BgL_bgl_string2134za700za7za7_2144za7, ">", 1);
	      DEFINE_STRING(BGl_string2135z00zz__pp_circlez00,
		BgL_bgl_string2135za700za7za7_2145za7, "#<mutex:", 8);
	      DEFINE_STRING(BGl_string2136z00zz__pp_circlez00,
		BgL_bgl_string2136za700za7za7_2146za7, "#<condition-variable:", 21);
	      DEFINE_STRING(BGl_string2137z00zz__pp_circlez00,
		BgL_bgl_string2137za700za7za7_2147za7, "__pp_circle", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__writeza7d2circleza72148z00, opt_generic_entry,
		BGl__writezd2circlezd2zz__pp_circlez00, BFALSE, -1);
	extern obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long
		BgL_checksumz00_1886, char *BgL_fromz00_1887)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__pp_circlez00))
				{
					BGl_requirezd2initializa7ationz75zz__pp_circlez00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* _display-circle */
	obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_4,
		obj_t BgL_optz00_3)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 76 */
			{	/* Pp/circle.scm 76 */
				obj_t BgL_g1622z00_737;

				BgL_g1622z00_737 = VECTOR_REF(BgL_optz00_3, (int) (((long) 0)));
				{	/* Pp/circle.scm 76 */
					int BgL_aux1624z00_739;

					BgL_aux1624z00_739 = VECTOR_LENGTH(BgL_optz00_3);
					switch ((long) (BgL_aux1624z00_739))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 76 */
								obj_t BgL_portz00_741;

								BgL_portz00_741 = BGL_CURRENT_OUTPUT_PORT();
								{	/* Pp/circle.scm 76 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_3, (int) (((long) 0))), BgL_portz00_741,
										((bool_t) 1));
							}} break;
						case ((long) 2):

							{	/* Pp/circle.scm 76 */
								obj_t BgL_portz00_743;

								BgL_portz00_743 = VECTOR_REF(BgL_optz00_3, (int) (((long) 1)));
								{	/* Pp/circle.scm 76 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_3, (int) (((long) 0))), BgL_portz00_743,
										((bool_t) 1));
							}} break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* display-circle */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t
		BgL_oz00_1, obj_t BgL_portz00_2)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 76 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_1,
				BgL_portz00_2, ((bool_t) 1));
		}
	}



/* _write-circle */
	obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_8,
		obj_t BgL_optz00_7)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 82 */
			{	/* Pp/circle.scm 82 */
				obj_t BgL_g1625z00_745;

				BgL_g1625z00_745 = VECTOR_REF(BgL_optz00_7, (int) (((long) 0)));
				{	/* Pp/circle.scm 82 */
					int BgL_aux1627z00_747;

					BgL_aux1627z00_747 = VECTOR_LENGTH(BgL_optz00_7);
					switch ((long) (BgL_aux1627z00_747))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 82 */
								obj_t BgL_portz00_749;

								BgL_portz00_749 = BGL_CURRENT_OUTPUT_PORT();
								{	/* Pp/circle.scm 82 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_7, (int) (((long) 0))), BgL_portz00_749,
										((bool_t) 0));
							}} break;
						case ((long) 2):

							{	/* Pp/circle.scm 82 */
								obj_t BgL_portz00_751;

								BgL_portz00_751 = VECTOR_REF(BgL_optz00_7, (int) (((long) 1)));
								{	/* Pp/circle.scm 82 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_7, (int) (((long) 0))), BgL_portz00_751,
										((bool_t) 0));
							}} break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-circle */
	BGL_EXPORTED_DEF obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t BgL_oz00_5,
		obj_t BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 82 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_5,
				BgL_portz00_6, ((bool_t) 0));
		}
	}



/* circle-write/display */
	obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t BgL_objz00_9,
		obj_t BgL_portz00_10, bool_t BgL_flagz00_11)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 95 */
			{	/* Pp/circle.scm 96 */
				obj_t BgL_cachez00_753;

				BgL_cachez00_753 = MAKE_CELL(BNIL);
				{	/* Pp/circle.scm 96 */
					obj_t BgL_nextzd2cardinalzd2_754;

					{	/* Pp/circle.scm 97 */
						obj_t BgL_serialz00_895;

						{	/* Pp/circle.scm 97 */
							obj_t BgL_cellvalz00_1922;

							BgL_cellvalz00_1922 = BINT(((long) -1));
							BgL_serialz00_895 = MAKE_CELL(BgL_cellvalz00_1922);
						}
						{	/* Pp/circle.scm 98 */
							obj_t BgL_zc3anonymousza31757ze3z83_1850;

							BgL_zc3anonymousza31757ze3z83_1850 =
								make_fx_procedure(BGl_zc3anonymousza31757ze3z83zz__pp_circlez00,
								(int) (((long) 0)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31757ze3z83_1850,
								(int) (((long) 0)), BgL_serialz00_895);
							BgL_nextzd2cardinalzd2_754 = BgL_zc3anonymousza31757ze3z83_1850;
					}}
					{	/* Pp/circle.scm 97 */

						BGl_registerz00zz__pp_circlez00(BgL_cachez00_753, BgL_objz00_9);
						{	/* Pp/circle.scm 170 */

							BGl_outputzd2componentzd2zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_754, BBOOL(BgL_flagz00_11),
								BgL_portz00_10, BgL_cachez00_753, BgL_objz00_9);
			}}}}
			return BUNSPEC;
		}
	}



/* register */
	obj_t BGl_registerz00zz__pp_circlez00(obj_t BgL_cachez00_1885,
		obj_t BgL_objz00_836)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 164 */
		BGl_registerz00zz__pp_circlez00:
			{
				obj_t BgL_objz00_864;

				{	/* Pp/circle.scm 134 */
					bool_t BgL_testz00_1932;

					{	/* Pp/circle.scm 134 */
						bool_t BgL_testz00_1933;

						if (INTEGERP(BgL_objz00_836))
							{	/* Pp/circle.scm 134 */
								BgL_testz00_1933 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 134 */
								if (REALP(BgL_objz00_836))
									{	/* Pp/circle.scm 134 */
										BgL_testz00_1933 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 134 */
										if (ELONGP(BgL_objz00_836))
											{	/* Pp/circle.scm 134 */
												BgL_testz00_1933 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 134 */
												BgL_testz00_1933 = LLONGP(BgL_objz00_836);
											}
									}
							}
						if (BgL_testz00_1933)
							{	/* Pp/circle.scm 134 */
								BgL_testz00_1932 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 134 */
								if (SYMBOLP(BgL_objz00_836))
									{	/* Pp/circle.scm 135 */
										BgL_testz00_1932 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 135 */
										if (STRINGP(BgL_objz00_836))
											{	/* Pp/circle.scm 136 */
												BgL_testz00_1932 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 136 */
												if (CNSTP(BgL_objz00_836))
													{	/* Pp/circle.scm 137 */
														BgL_testz00_1932 = ((bool_t) 1);
													}
												else
													{	/* Pp/circle.scm 137 */
														if (NULLP(BgL_objz00_836))
															{	/* Pp/circle.scm 138 */
																BgL_testz00_1932 = ((bool_t) 1);
															}
														else
															{	/* Pp/circle.scm 138 */
																BgL_testz00_1932 =
																	BGl_classzf3zf3zz__objectz00(BgL_objz00_836);
															}
													}
											}
									}
							}
					}
					if (BgL_testz00_1932)
						{	/* Pp/circle.scm 134 */
							return BFALSE;
						}
					else
						{	/* Pp/circle.scm 140 */
							obj_t BgL_matchz00_839;

							BgL_matchz00_839 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_836,
								CELL_REF(BgL_cachez00_1885));
							if (CBOOL(BgL_matchz00_839))
								{	/* Pp/circle.scm 141 */
									return SET_CDR(BgL_matchz00_839, BTRUE);
								}
							else
								{	/* Pp/circle.scm 141 */
									{	/* Pp/circle.scm 144 */
										obj_t BgL_auxz00_1865;

										{	/* Pp/circle.scm 144 */
											obj_t BgL_arg1724z00_840;

											BgL_arg1724z00_840 = MAKE_PAIR(BgL_objz00_836, BFALSE);
											BgL_auxz00_1865 =
												MAKE_PAIR(BgL_arg1724z00_840,
												CELL_REF(BgL_cachez00_1885));
										}
										CELL_SET(BgL_cachez00_1885, BgL_auxz00_1865);
									}
									if (PAIRP(BgL_objz00_836))
										{	/* Pp/circle.scm 146 */
											{	/* Pp/circle.scm 147 */
												obj_t BgL_arg1726z00_842;

												BgL_arg1726z00_842 = CAR(BgL_objz00_836);
												BGl_registerz00zz__pp_circlez00(BgL_cachez00_1885,
													BgL_arg1726z00_842);
											}
											{	/* Pp/circle.scm 148 */
												obj_t BgL_arg1727z00_843;

												BgL_arg1727z00_843 = CDR(BgL_objz00_836);
												{
													obj_t BgL_objz00_1961;

													BgL_objz00_1961 = BgL_arg1727z00_843;
													BgL_objz00_836 = BgL_objz00_1961;
													goto BGl_registerz00zz__pp_circlez00;
												}
											}
										}
									else
										{	/* Pp/circle.scm 146 */
											if (VECTORP(BgL_objz00_836))
												{	/* Pp/circle.scm 150 */
													int BgL_lenz00_845;

													BgL_lenz00_845 = VECTOR_LENGTH(BgL_objz00_836);
													{
														long BgL_countz00_846;

														{	/* Pp/circle.scm 151 */
															bool_t BgL_auxz00_1965;

															BgL_countz00_846 = ((long) 0);
														BgL_loopzd2countzd2_847:
															if ((BgL_countz00_846 >= (long) (BgL_lenz00_845)))
																{	/* Pp/circle.scm 152 */
																	BgL_auxz00_1965 = ((bool_t) 0);
																}
															else
																{	/* Pp/circle.scm 152 */
																	{	/* Pp/circle.scm 154 */
																		obj_t BgL_arg1730z00_849;

																		BgL_arg1730z00_849 =
																			VECTOR_REF(BgL_objz00_836,
																			(int) (BgL_countz00_846));
																		BGl_registerz00zz__pp_circlez00
																			(BgL_cachez00_1885, BgL_arg1730z00_849);
																	}
																	{
																		long BgL_countz00_1972;

																		BgL_countz00_1972 =
																			(BgL_countz00_846 + ((long) 1));
																		BgL_countz00_846 = BgL_countz00_1972;
																		goto BgL_loopzd2countzd2_847;
																	}
																}
															return BBOOL(BgL_auxz00_1965);
														}
													}
												}
											else
												{	/* Pp/circle.scm 149 */
													if (STRUCTP(BgL_objz00_836))
														{	/* Pp/circle.scm 157 */
															int BgL_lenz00_852;

															BgL_lenz00_852 = STRUCT_LENGTH(BgL_objz00_836);
															{
																long BgL_countz00_853;

																{	/* Pp/circle.scm 158 */
																	bool_t BgL_auxz00_1978;

																	BgL_countz00_853 = ((long) 0);
																BgL_loopzd2countzd2_854:
																	if (
																		(BgL_countz00_853 >=
																			(long) (BgL_lenz00_852)))
																		{	/* Pp/circle.scm 159 */
																			BgL_auxz00_1978 = ((bool_t) 0);
																		}
																	else
																		{	/* Pp/circle.scm 159 */
																			{	/* Pp/circle.scm 161 */
																				obj_t BgL_arg1734z00_856;

																				BgL_arg1734z00_856 =
																					STRUCT_REF(BgL_objz00_836,
																					(int) (BgL_countz00_853));
																				BGl_registerz00zz__pp_circlez00
																					(BgL_cachez00_1885,
																					BgL_arg1734z00_856);
																			}
																			{
																				long BgL_countz00_1985;

																				BgL_countz00_1985 =
																					(BgL_countz00_853 + ((long) 1));
																				BgL_countz00_853 = BgL_countz00_1985;
																				goto BgL_loopzd2countzd2_854;
																			}
																		}
																	return BBOOL(BgL_auxz00_1978);
																}
															}
														}
													else
														{	/* Pp/circle.scm 156 */
															if (BGL_OBJECTP(BgL_objz00_836))
																{	/* Pp/circle.scm 164 */
																	bool_t BgL_auxz00_1990;

																	BgL_objz00_864 = BgL_objz00_836;
																	{	/* Pp/circle.scm 102 */
																		obj_t BgL_classz00_866;

																		{	/* Pp/circle.scm 102 */
																			BgL_objectz00_bglt BgL_objectz00_1551;

																			BgL_objectz00_1551 =
																				(BgL_objectz00_bglt) (BgL_objz00_864);
																			{	/* Pp/circle.scm 102 */
																				long BgL_arg2100z00_1552;

																				{	/* Pp/circle.scm 102 */
																					long BgL_arg2101z00_1553;

																					BgL_arg2101z00_1553 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_objectz00_1551);
																					BgL_arg2100z00_1552 =
																						(BgL_arg2101z00_1553 - OBJECT_TYPE);
																				}
																				BgL_classz00_866 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					(int) (BgL_arg2100z00_1552));
																		}}
																		{	/* Pp/circle.scm 103 */
																			obj_t BgL_fieldsz00_868;

																			BgL_fieldsz00_868 =
																				BGl_classzd2fieldszd2zz__objectz00
																				(BgL_classz00_866);
																			{	/* Pp/circle.scm 104 */

																				{	/* Pp/circle.scm 105 */
																					bool_t BgL_testz00_1997;

																					{	/* Pp/circle.scm 105 */
																						bool_t BgL__ortest_1608z00_1560;

																						BgL__ortest_1608z00_1560 =
																							PAIRP(BgL_fieldsz00_868);
																						if (BgL__ortest_1608z00_1560)
																							{	/* Pp/circle.scm 105 */
																								BgL_testz00_1997 =
																									BgL__ortest_1608z00_1560;
																							}
																						else
																							{	/* Pp/circle.scm 105 */
																								BgL_testz00_1997 =
																									NULLP(BgL_fieldsz00_868);
																							}
																					}
																					if (BgL_testz00_1997)
																						{
																							obj_t BgL_fieldsz00_870;
																							obj_t BgL_classz00_871;

																							BgL_fieldsz00_870 =
																								BgL_fieldsz00_868;
																							BgL_classz00_871 =
																								BgL_classz00_866;
																						BgL_loopz00_872:
																							if (NULLP(BgL_fieldsz00_870))
																								{	/* Pp/circle.scm 110 */
																									obj_t BgL_superz00_874;

																									BgL_superz00_874 =
																										BGl_classzd2superzd2zz__objectz00
																										(BgL_classz00_871);
																									if (BGl_classzf3zf3zz__objectz00(BgL_superz00_874))
																										{
																											obj_t BgL_classz00_2008;
																											obj_t BgL_fieldsz00_2006;

																											BgL_fieldsz00_2006 =
																												BGl_classzd2fieldszd2zz__objectz00
																												(BgL_superz00_874);
																											BgL_classz00_2008 =
																												BgL_superz00_874;
																											BgL_classz00_871 =
																												BgL_classz00_2008;
																											BgL_fieldsz00_870 =
																												BgL_fieldsz00_2006;
																											goto BgL_loopz00_872;
																										}
																									else
																										{	/* Pp/circle.scm 111 */
																											BgL_auxz00_1990 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Pp/circle.scm 109 */
																									if (
																										(BgL_fieldsz00_870 ==
																											BUNSPEC))
																										{
																											obj_t BgL_fieldsz00_2011;

																											BgL_fieldsz00_2011 = BNIL;
																											BgL_fieldsz00_870 =
																												BgL_fieldsz00_2011;
																											goto BgL_loopz00_872;
																										}
																									else
																										{	/* Pp/circle.scm 118 */
																											obj_t BgL_fz00_878;

																											BgL_fz00_878 =
																												CAR(BgL_fieldsz00_870);
																											{	/* Pp/circle.scm 118 */
																												obj_t BgL_gvz00_879;

																												BgL_gvz00_879 =
																													BGl_classzd2fieldzd2accessorz00zz__objectz00
																													(BgL_fz00_878);
																												{	/* Pp/circle.scm 119 */

																													if (BGl_classzd2fieldzd2indexedzf3zf3zz__objectz00(BgL_fz00_878))
																														{	/* Pp/circle.scm 121 */
																															obj_t
																																BgL_glz00_881;
																															BgL_glz00_881 =
																																BGl_classzd2fieldzd2lenzd2accessorzd2zz__objectz00
																																(BgL_fz00_878);
																															{	/* Pp/circle.scm 122 */
																																long
																																	BgL_g1574z00_882;
																																{	/* Pp/circle.scm 122 */
																																	obj_t
																																		BgL_arg1753z00_889;
																																	BgL_arg1753z00_889
																																		=
																																		PROCEDURE_ENTRY
																																		(BgL_glz00_881)
																																		(BgL_glz00_881,
																																		BgL_objz00_864,
																																		BEOA);
																																	BgL_g1574z00_882
																																		=
																																		((long)
																																		CINT
																																		(BgL_arg1753z00_889)
																																		-
																																		((long) 1));
																																}
																																{
																																	long
																																		BgL_lz00_883;
																																	BgL_lz00_883 =
																																		BgL_g1574z00_882;
																																BgL_liipz00_884:
																																	if (
																																		(BgL_lz00_883
																																			==
																																			((long)
																																				-1)))
																																		{
																																			obj_t
																																				BgL_fieldsz00_2023;
																																			BgL_fieldsz00_2023
																																				=
																																				CDR
																																				(BgL_fieldsz00_870);
																																			BgL_fieldsz00_870
																																				=
																																				BgL_fieldsz00_2023;
																																			goto
																																				BgL_loopz00_872;
																																		}
																																	else
																																		{	/* Pp/circle.scm 123 */
																																			{	/* Pp/circle.scm 126 */
																																				obj_t
																																					BgL_arg1751z00_887;
																																				BgL_arg1751z00_887
																																					=
																																					PROCEDURE_ENTRY
																																					(BgL_gvz00_879)
																																					(BgL_gvz00_879,
																																					BgL_objz00_864,
																																					BINT
																																					(BgL_lz00_883),
																																					BEOA);
																																				BGl_registerz00zz__pp_circlez00
																																					(BgL_cachez00_1885,
																																					BgL_arg1751z00_887);
																																			}
																																			{
																																				long
																																					BgL_lz00_2029;
																																				BgL_lz00_2029
																																					=
																																					(BgL_lz00_883
																																					-
																																					((long) 1));
																																				BgL_lz00_883
																																					=
																																					BgL_lz00_2029;
																																				goto
																																					BgL_liipz00_884;
																																			}
																																		}
																																}
																															}
																														}
																													else
																														{	/* Pp/circle.scm 120 */
																															{	/* Pp/circle.scm 129 */
																																obj_t
																																	BgL_arg1755z00_891;
																																BgL_arg1755z00_891
																																	=
																																	PROCEDURE_ENTRY
																																	(BgL_gvz00_879)
																																	(BgL_gvz00_879,
																																	BgL_objz00_864,
																																	BEOA);
																																BGl_registerz00zz__pp_circlez00
																																	(BgL_cachez00_1885,
																																	BgL_arg1755z00_891);
																															}
																															{
																																obj_t
																																	BgL_fieldsz00_2034;
																																BgL_fieldsz00_2034
																																	=
																																	CDR
																																	(BgL_fieldsz00_870);
																																BgL_fieldsz00_870
																																	=
																																	BgL_fieldsz00_2034;
																																goto
																																	BgL_loopz00_872;
																															}
																														}
																												}
																											}
																										}
																								}
																						}
																					else
																						{	/* Pp/circle.scm 105 */
																							BgL_auxz00_1990 = ((bool_t) 0);
																						}
																				}
																			}
																		}
																	}
																	return BBOOL(BgL_auxz00_1990);
																}
															else
																{	/* Pp/circle.scm 163 */
																	return BFALSE;
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* output-component */
	obj_t BGl_outputzd2componentzd2zz__pp_circlez00(obj_t
		BgL_nextzd2cardinalzd2_1854, obj_t BgL_flagz00_1853, obj_t BgL_portz00_1852,
		obj_t BgL_cachez00_1851, obj_t BgL_objz00_760)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 171 */
			{	/* Pp/circle.scm 172 */
				obj_t BgL_g1575z00_762;

				BgL_g1575z00_762 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_760,
					CELL_REF(BgL_cachez00_1851));
				return
					BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1854,
					BgL_cachez00_1851, BgL_flagz00_1853, BgL_portz00_1852, BgL_objz00_760,
					BgL_g1575z00_762);
			}
		}
	}



/* loop-matched */
	obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t BgL_nextzd2cardinalzd2_1884,
		obj_t BgL_cachez00_1883, obj_t BgL_flagz00_1882, obj_t BgL_portz00_1881,
		obj_t BgL_objz00_763, obj_t BgL_matchz00_764)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 172 */
		BGl_loopzd2matchedzd2zz__pp_circlez00:
			if (CBOOL(BgL_matchz00_764))
				{	/* Pp/circle.scm 175 */
					obj_t BgL_valuez00_766;

					if (CBOOL(BgL_matchz00_764))
						{	/* Pp/circle.scm 175 */
							BgL_valuez00_766 = CDR(BgL_matchz00_764);
						}
					else
						{	/* Pp/circle.scm 175 */
							BgL_valuez00_766 = BFALSE;
						}
					if (INTEGERP(BgL_valuez00_766))
						{	/* Pp/circle.scm 177 */
							BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_1881);
							BGl_outputzd2componentzd2zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_1884, BgL_flagz00_1882,
								BgL_portz00_1881, BgL_cachez00_1883, BgL_valuez00_766);
							return BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_1881);
						}
					else
						{	/* Pp/circle.scm 177 */
							if (CBOOL(BgL_valuez00_766))
								{	/* Pp/circle.scm 184 */
									obj_t BgL_serialz00_768;

									BgL_serialz00_768 =
										PROCEDURE_ENTRY(BgL_nextzd2cardinalzd2_1884)
										(BgL_nextzd2cardinalzd2_1884, BEOA);
									SET_CDR(BgL_matchz00_764, BgL_serialz00_768);
									BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_1881);
									BGl_outputzd2componentzd2zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_1884, BgL_flagz00_1882,
										BgL_portz00_1881, BgL_cachez00_1883, BgL_serialz00_768);
									BGL_DISPLAY_CHAR(((unsigned char) '='), BgL_portz00_1881);
									{
										obj_t BgL_matchz00_2057;

										BgL_matchz00_2057 = BFALSE;
										BgL_matchz00_764 = BgL_matchz00_2057;
										goto BGl_loopzd2matchedzd2zz__pp_circlez00;
									}
								}
							else
								{
									obj_t BgL_matchz00_2058;

									BgL_matchz00_2058 = BFALSE;
									BgL_matchz00_764 = BgL_matchz00_2058;
									goto BGl_loopzd2matchedzd2zz__pp_circlez00;
								}
						}
				}
			else
				{	/* Pp/circle.scm 174 */
					if (INTEGERP(BgL_objz00_763))
						{	/* Pp/circle.scm 196 */
							return bgl_display_fixnum(BgL_objz00_763, BgL_portz00_1881);
						}
					else
						{	/* Pp/circle.scm 196 */
							if (CHARP(BgL_objz00_763))
								{	/* Pp/circle.scm 199 */
									if (CBOOL(BgL_flagz00_1882))
										{	/* Pp/circle.scm 201 */
											unsigned char BgL_auxz00_2066;

											BgL_auxz00_2066 = CCHAR(BgL_objz00_763);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_2066, BgL_portz00_1881);
										}
									else
										{	/* Pp/circle.scm 200 */
											return bgl_write_char(BgL_objz00_763, BgL_portz00_1881);
										}
								}
							else
								{	/* Pp/circle.scm 199 */
									if (SYMBOLP(BgL_objz00_763))
										{	/* Pp/circle.scm 204 */
											if (CBOOL(BgL_flagz00_1882))
												{	/* Pp/circle.scm 205 */
													return
														BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_763, BgL_portz00_1881);
												}
											else
												{	/* Pp/circle.scm 205 */
													return
														BGl_writezd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_763, BgL_portz00_1881);
												}
										}
									else
										{	/* Pp/circle.scm 204 */
											if (STRINGP(BgL_objz00_763))
												{	/* Pp/circle.scm 209 */
													if (CBOOL(BgL_flagz00_1882))
														{	/* Pp/circle.scm 210 */
															return
																bgl_display_string(BgL_objz00_763,
																BgL_portz00_1881);
														}
													else
														{	/* Pp/circle.scm 210 */
															return
																BGl_writezd2stringzd2zz__r4_output_6_10_3z00
																(string_for_read(BgL_objz00_763),
																BgL_portz00_1881);
														}
												}
											else
												{	/* Pp/circle.scm 209 */
													if (PAIRP(BgL_objz00_763))
														{	/* Pp/circle.scm 214 */
															BGL_DISPLAY_CHAR(((unsigned char) '('),
																BgL_portz00_1881);
															{
																obj_t BgL_lz00_776;

																BgL_lz00_776 = BgL_objz00_763;
															BgL_loopz00_777:
																{	/* Pp/circle.scm 217 */
																	obj_t BgL_arg1679z00_778;

																	BgL_arg1679z00_778 = CAR(BgL_lz00_776);
																	BGl_outputzd2componentzd2zz__pp_circlez00
																		(BgL_nextzd2cardinalzd2_1884,
																		BgL_flagz00_1882, BgL_portz00_1881,
																		BgL_cachez00_1883, BgL_arg1679z00_778);
																}
																{	/* Pp/circle.scm 218 */
																	obj_t BgL_restz00_779;

																	BgL_restz00_779 = CDR(BgL_lz00_776);
																	if (NULLP(BgL_restz00_779))
																		{	/* Pp/circle.scm 219 */
																			return
																				BGL_DISPLAY_CHAR(((unsigned char) ')'),
																				BgL_portz00_1881);
																		}
																	else
																		{	/* Pp/circle.scm 221 */
																			obj_t BgL_matchz00_781;

																			BgL_matchz00_781 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_restz00_779,
																				CELL_REF(BgL_cachez00_1883));
																			{	/* Pp/circle.scm 222 */
																				bool_t BgL_testz00_2093;

																				if (PAIRP(BgL_restz00_779))
																					{	/* Pp/circle.scm 222 */
																						if (CBOOL(BgL_matchz00_781))
																							{	/* Pp/circle.scm 223 */
																								obj_t BgL_pairz00_1438;

																								BgL_pairz00_1438 =
																									BgL_matchz00_781;
																								BgL_testz00_2093 =
																									CBOOL(CDR(BgL_pairz00_1438));
																							}
																						else
																							{	/* Pp/circle.scm 223 */
																								BgL_testz00_2093 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 222 */
																						BgL_testz00_2093 = ((bool_t) 1);
																					}
																				if (BgL_testz00_2093)
																					{	/* Pp/circle.scm 222 */
																						bgl_display_string
																							(BGl_string2131z00zz__pp_circlez00,
																							BgL_portz00_1881);
																						BGl_loopzd2matchedzd2zz__pp_circlez00
																							(BgL_nextzd2cardinalzd2_1884,
																							BgL_cachez00_1883,
																							BgL_flagz00_1882,
																							BgL_portz00_1881, BgL_restz00_779,
																							BgL_matchz00_781);
																						return BGL_DISPLAY_CHAR(((unsigned
																									char) ')'), BgL_portz00_1881);
																					}
																				else
																					{	/* Pp/circle.scm 222 */
																						BGL_DISPLAY_CHAR(((unsigned char)
																								' '), BgL_portz00_1881);
																						{
																							obj_t BgL_lz00_2104;

																							BgL_lz00_2104 = BgL_restz00_779;
																							BgL_lz00_776 = BgL_lz00_2104;
																							goto BgL_loopz00_777;
																						}
																					}
																			}
																		}
																}
															}
														}
													else
														{	/* Pp/circle.scm 214 */
															if (BGl_classzf3zf3zz__objectz00(BgL_objz00_763))
																{	/* Pp/circle.scm 232 */
																	return
																		bgl_display_obj(BgL_objz00_763,
																		BgL_portz00_1881);
																}
															else
																{	/* Pp/circle.scm 232 */
																	if (VECTORP(BgL_objz00_763))
																		{	/* Pp/circle.scm 235 */
																			BGL_DISPLAY_CHAR(((unsigned char) '#'),
																				BgL_portz00_1881);
																			{	/* Pp/circle.scm 237 */
																				int BgL_tagz00_787;

																				BgL_tagz00_787 =
																					VECTOR_TAG(BgL_objz00_763);
																				if (
																					((long) (BgL_tagz00_787) >
																						((long) 0)))
																					{	/* Pp/circle.scm 238 */
																						if (
																							((long) (BgL_tagz00_787) <
																								((long) 100)))
																							{	/* Pp/circle.scm 239 */
																								if (
																									((long) (BgL_tagz00_787) >
																										((long) 10)))
																									{	/* Pp/circle.scm 241 */
																										BGL_DISPLAY_CHAR(((unsigned
																													char) '0'),
																											BgL_portz00_1881);
																									}
																								else
																									{	/* Pp/circle.scm 241 */
																										BFALSE;
																									}
																								BGL_DISPLAY_CHAR(((unsigned
																											char) '0'),
																									BgL_portz00_1881);
																							}
																						else
																							{	/* Pp/circle.scm 243 */
																								obj_t BgL_list1688z00_791;

																								BgL_list1688z00_791 =
																									MAKE_PAIR(BgL_portz00_1881,
																									BNIL);
																								BGl_writez00zz__r4_output_6_10_3z00
																									(BINT(BgL_tagz00_787),
																									BgL_list1688z00_791);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 238 */
																						BFALSE;
																					}
																			}
																			{	/* Pp/circle.scm 244 */
																				int BgL_lenz00_792;

																				BgL_lenz00_792 =
																					VECTOR_LENGTH(BgL_objz00_763);
																				BGL_DISPLAY_CHAR(((unsigned char) '('),
																					BgL_portz00_1881);
																				{
																					long BgL_iz00_793;

																					BgL_iz00_793 = ((long) 0);
																				BgL_loopz00_794:
																					if (
																						(BgL_iz00_793 ==
																							(long) (BgL_lenz00_792)))
																						{	/* Pp/circle.scm 247 */
																							((bool_t) 0);
																						}
																					else
																						{	/* Pp/circle.scm 247 */
																							{	/* Pp/circle.scm 249 */
																								obj_t BgL_arg1691z00_796;

																								BgL_arg1691z00_796 =
																									VECTOR_REF(BgL_objz00_763,
																									(int) (BgL_iz00_793));
																								BGl_outputzd2componentzd2zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1884,
																									BgL_flagz00_1882,
																									BgL_portz00_1881,
																									BgL_cachez00_1883,
																									BgL_arg1691z00_796);
																							}
																							{	/* Pp/circle.scm 250 */
																								long BgL_nextz00_797;

																								BgL_nextz00_797 =
																									(((long) 1) + BgL_iz00_793);
																								if (
																									(BgL_nextz00_797 ==
																										(long) (BgL_lenz00_792)))
																									{	/* Pp/circle.scm 251 */
																										BFALSE;
																									}
																								else
																									{	/* Pp/circle.scm 251 */
																										BGL_DISPLAY_CHAR(((unsigned
																													char) ' '),
																											BgL_portz00_1881);
																									}
																								{
																									long BgL_iz00_2139;

																									BgL_iz00_2139 =
																										(((long) 1) + BgL_iz00_793);
																									BgL_iz00_793 = BgL_iz00_2139;
																									goto BgL_loopz00_794;
																								}
																							}
																						}
																				}
																				return
																					BGL_DISPLAY_CHAR(((unsigned char)
																						')'), BgL_portz00_1881);
																		}}
																	else
																		{	/* Pp/circle.scm 235 */
																			if (STRUCTP(BgL_objz00_763))
																				{	/* Pp/circle.scm 256 */
																					bgl_display_string
																						(BGl_string2132z00zz__pp_circlez00,
																						BgL_portz00_1881);
																					{	/* Pp/circle.scm 258 */
																						obj_t BgL_arg1695z00_801;

																						BgL_arg1695z00_801 =
																							STRUCT_KEY(BgL_objz00_763);
																						{	/* Pp/circle.scm 258 */
																							obj_t BgL_list1696z00_802;

																							BgL_list1696z00_802 =
																								MAKE_PAIR(BgL_portz00_1881,
																								BNIL);
																							BGl_writez00zz__r4_output_6_10_3z00
																								(BgL_arg1695z00_801,
																								BgL_list1696z00_802);
																						}
																					}
																					BGL_DISPLAY_CHAR(((unsigned char)
																							' '), BgL_portz00_1881);
																					{	/* Pp/circle.scm 260 */
																						int BgL_lenz00_803;

																						BgL_lenz00_803 =
																							STRUCT_LENGTH(BgL_objz00_763);
																						{
																							long BgL_iz00_804;

																							BgL_iz00_804 = ((long) 0);
																						BgL_loopz00_805:
																							if (
																								(BgL_iz00_804 ==
																									(long) (BgL_lenz00_803)))
																								{	/* Pp/circle.scm 262 */
																									((bool_t) 0);
																								}
																							else
																								{	/* Pp/circle.scm 262 */
																									{	/* Pp/circle.scm 264 */
																										obj_t BgL_arg1698z00_807;

																										BgL_arg1698z00_807 =
																											STRUCT_REF(BgL_objz00_763,
																											(int) (BgL_iz00_804));
																										BGl_outputzd2componentzd2zz__pp_circlez00
																											(BgL_nextzd2cardinalzd2_1884,
																											BgL_flagz00_1882,
																											BgL_portz00_1881,
																											BgL_cachez00_1883,
																											BgL_arg1698z00_807);
																									}
																									{	/* Pp/circle.scm 265 */
																										long BgL_nextz00_808;

																										BgL_nextz00_808 =
																											(((long) 1) +
																											BgL_iz00_804);
																										if ((BgL_nextz00_808 ==
																												(long)
																												(BgL_lenz00_803)))
																											{	/* Pp/circle.scm 266 */
																												BFALSE;
																											}
																										else
																											{	/* Pp/circle.scm 266 */
																												BGL_DISPLAY_CHAR((
																														(unsigned char)
																														' '),
																													BgL_portz00_1881);
																											}
																										{
																											long BgL_iz00_2161;

																											BgL_iz00_2161 =
																												(((long) 1) +
																												BgL_iz00_804);
																											BgL_iz00_804 =
																												BgL_iz00_2161;
																											goto BgL_loopz00_805;
																										}
																									}
																								}
																						}
																					}
																					return
																						BGL_DISPLAY_CHAR(((unsigned char)
																							'}'), BgL_portz00_1881);
																				}
																			else
																				{	/* Pp/circle.scm 256 */
																					if (CELLP(BgL_objz00_763))
																						{	/* Pp/circle.scm 271 */
																							bgl_display_string
																								(BGl_string2133z00zz__pp_circlez00,
																								BgL_portz00_1881);
																							{	/* Pp/circle.scm 273 */
																								obj_t BgL_arg1702z00_812;

																								BgL_arg1702z00_812 =
																									CELL_REF(BgL_objz00_763);
																								BGl_outputzd2componentzd2zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1884,
																									BgL_flagz00_1882,
																									BgL_portz00_1881,
																									BgL_cachez00_1883,
																									BgL_arg1702z00_812);
																							}
																							return
																								bgl_display_string
																								(BGl_string2134z00zz__pp_circlez00,
																								BgL_portz00_1881);
																						}
																					else
																						{	/* Pp/circle.scm 271 */
																							if (BGL_OBJECTP(BgL_objz00_763))
																								{	/* Pp/circle.scm 278 */
																									obj_t
																										BgL_zc3anonymousza31705ze3z83_1848;
																									BgL_zc3anonymousza31705ze3z83_1848
																										=
																										make_va_procedure
																										(BGl_zc3anonymousza31705ze3z83zz__pp_circlez00,
																										(int) (((long) -2)),
																										(int) (((long) 4)));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31705ze3z83_1848,
																										(int) (((long) 0)),
																										BgL_cachez00_1883);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31705ze3z83_1848,
																										(int) (((long) 1)),
																										BgL_portz00_1881);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31705ze3z83_1848,
																										(int) (((long) 2)),
																										BgL_flagz00_1882);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31705ze3z83_1848,
																										(int) (((long) 3)),
																										BgL_nextzd2cardinalzd2_1884);
																									return
																										BGl_objectzd2printzd2zz__objectz00
																										((BgL_objectz00_bglt)
																										(BgL_objz00_763),
																										BgL_portz00_1881,
																										BgL_zc3anonymousza31705ze3z83_1848);
																								}
																							else
																								{	/* Pp/circle.scm 276 */
																									if (UCS2_STRINGP
																										(BgL_objz00_763))
																										{	/* Pp/circle.scm 280 */
																											if (CBOOL
																												(BgL_flagz00_1882))
																												{	/* Pp/circle.scm 281 */
																													return
																														BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_763,
																														BgL_portz00_1881);
																												}
																											else
																												{	/* Pp/circle.scm 281 */
																													return
																														BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_763,
																														BgL_portz00_1881);
																												}
																										}
																									else
																										{	/* Pp/circle.scm 280 */
																											if (UCS2P(BgL_objz00_763))
																												{	/* Pp/circle.scm 285 */
																													if (CBOOL
																														(BgL_flagz00_1882))
																														{	/* Pp/circle.scm 286 */
																															return
																																bgl_display_ucs2
																																(BgL_objz00_763,
																																BgL_portz00_1881);
																														}
																													else
																														{	/* Pp/circle.scm 286 */
																															return
																																bgl_write_ucs2
																																(BgL_objz00_763,
																																BgL_portz00_1881);
																														}
																												}
																											else
																												{	/* Pp/circle.scm 285 */
																													if (REALP
																														(BgL_objz00_763))
																														{	/* Pp/circle.scm 291 */
																															obj_t
																																BgL_objz00_1495;
																															obj_t
																																BgL_portz00_1496;
																															BgL_objz00_1495 =
																																BgL_objz00_763;
																															BgL_portz00_1496 =
																																BgL_portz00_1881;
																															{	/* Pp/circle.scm 291 */
																																obj_t
																																	BgL_arg2102z00_1497;
																																BgL_arg2102z00_1497
																																	=
																																	real_to_string
																																	(REAL_TO_DOUBLE
																																	(BgL_objz00_1495));
																																return
																																	bgl_display_string
																																	(BgL_arg2102z00_1497,
																																	BgL_portz00_1496);
																															}
																														}
																													else
																														{	/* Pp/circle.scm 290 */
																															if (BGL_DATEP
																																(BgL_objz00_763))
																																{	/* Pp/circle.scm 293 */
																																	if (CBOOL
																																		(BgL_flagz00_1882))
																																		{	/* Pp/circle.scm 294 */
																																			return
																																				bgl_display_obj
																																				(BgL_objz00_763,
																																				BgL_portz00_1881);
																																		}
																																	else
																																		{	/* Pp/circle.scm 296 */
																																			obj_t
																																				BgL_list1710z00_823;
																																			BgL_list1710z00_823
																																				=
																																				MAKE_PAIR
																																				(BgL_portz00_1881,
																																				BNIL);
																																			return
																																				BGl_writez00zz__r4_output_6_10_3z00
																																				(BgL_objz00_763,
																																				BgL_list1710z00_823);
																																		}
																																}
																															else
																																{	/* Pp/circle.scm 293 */
																																	if (BGL_MUTEXP
																																		(BgL_objz00_763))
																																		{	/* Pp/circle.scm 298 */
																																			bgl_display_string
																																				(BGl_string2135z00zz__pp_circlez00,
																																				BgL_portz00_1881);
																																			{	/* Pp/circle.scm 300 */
																																				obj_t
																																					BgL_arg1715z00_825;
																																				BgL_arg1715z00_825
																																					=
																																					BGL_MUTEX_NAME
																																					(BgL_objz00_763);
																																				bgl_display_obj
																																					(BgL_arg1715z00_825,
																																					BgL_portz00_1881);
																																			}
																																			return
																																				bgl_display_string
																																				(BGl_string2134z00zz__pp_circlez00,
																																				BgL_portz00_1881);
																																		}
																																	else
																																		{	/* Pp/circle.scm 298 */
																																			if (BGL_CONDVARP(BgL_objz00_763))
																																				{	/* Pp/circle.scm 303 */
																																					bgl_display_string
																																						(BGl_string2136z00zz__pp_circlez00,
																																						BgL_portz00_1881);
																																					{	/* Pp/circle.scm 305 */
																																						obj_t
																																							BgL_arg1717z00_827;
																																						BgL_arg1717z00_827
																																							=
																																							BGL_CONDVAR_NAME
																																							(BgL_objz00_763);
																																						bgl_display_obj
																																							(BgL_arg1717z00_827,
																																							BgL_portz00_1881);
																																					}
																																					return
																																						bgl_display_string
																																						(BGl_string2134z00zz__pp_circlez00,
																																						BgL_portz00_1881);
																																				}
																																			else
																																				{	/* Pp/circle.scm 309 */
																																					obj_t
																																						BgL_list1718z00_828;
																																					BgL_list1718z00_828
																																						=
																																						MAKE_PAIR
																																						(BgL_portz00_1881,
																																						BNIL);
																																					return
																																						BGl_writez00zz__r4_output_6_10_3z00
																																						(BgL_objz00_763,
																																						BgL_list1718z00_828);
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* <anonymous:1705> */
	obj_t BGl_zc3anonymousza31705ze3z83zz__pp_circlez00(obj_t BgL_envz00_1855,
		obj_t BgL_xz00_1860, obj_t BgL_pz00_1861)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 277 */
			{	/* Pp/circle.scm 278 */
				obj_t BgL_cachez00_1856;
				obj_t BgL_portz00_1857;
				obj_t BgL_flagz00_1858;
				obj_t BgL_nextzd2cardinalzd2_1859;

				BgL_cachez00_1856 = PROCEDURE_REF(BgL_envz00_1855, (int) (((long) 0)));
				BgL_portz00_1857 = PROCEDURE_REF(BgL_envz00_1855, (int) (((long) 1)));
				BgL_flagz00_1858 = PROCEDURE_REF(BgL_envz00_1855, (int) (((long) 2)));
				BgL_nextzd2cardinalzd2_1859 =
					PROCEDURE_REF(BgL_envz00_1855, (int) (((long) 3)));
				{
					obj_t BgL_xz00_815;
					obj_t BgL_pz00_816;

					BgL_xz00_815 = BgL_xz00_1860;
					BgL_pz00_816 = BgL_pz00_1861;
					return
						BGl_outputzd2componentzd2zz__pp_circlez00
						(BgL_nextzd2cardinalzd2_1859, BgL_flagz00_1858, BgL_portz00_1857,
						BgL_cachez00_1856, BgL_xz00_815);
				}
			}
		}
	}



/* <anonymous:1757> */
	obj_t BGl_zc3anonymousza31757ze3z83zz__pp_circlez00(obj_t BgL_envz00_1862)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 98 */
			{	/* Pp/circle.scm 99 */
				obj_t BgL_serialz00_1863;

				BgL_serialz00_1863 = PROCEDURE_REF(BgL_envz00_1862, (int) (((long) 0)));
				{

					{	/* Pp/circle.scm 99 */
						obj_t BgL_auxz00_1864;

						{	/* Pp/circle.scm 99 */
							long BgL_za72za7_1415;

							BgL_za72za7_1415 = (long) CINT(CELL_REF(BgL_serialz00_1863));
							BgL_auxz00_1864 = BINT((((long) 1) + BgL_za72za7_1415));
						}
						CELL_SET(BgL_serialz00_1863, BgL_auxz00_1864);
					}
					return CELL_REF(BgL_serialz00_1863);
				}
			}
		}
	}



/* c-debugging-print */
	BGL_EXPORTED_DEF obj_t dprint(obj_t BgL_objz00_12)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 315 */
			{	/* Pp/circle.scm 316 */
				obj_t BgL_portz00_1574;

				BgL_portz00_1574 = BGL_CURRENT_OUTPUT_PORT();
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_12,
					BgL_portz00_1574, ((bool_t) 0));
				BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_1574);
				return BgL_objz00_12;
			}
		}
	}



/* _c-debugging-print */
	obj_t BGl__czd2debuggingzd2printz00zz__pp_circlez00(obj_t BgL_envz00_1866,
		obj_t BgL_objz00_1867)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 315 */
			return dprint(BgL_objz00_1867);
		}
	}



/* jvm-debugging-print */
	BGL_EXPORTED_DEF char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t
		BgL_objz00_13, int BgL_printerzd2numzd2_14)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 324 */
			{	/* Pp/circle.scm 326 */
				obj_t BgL_zc3anonymousza31759ze3z83_1868;

				BgL_zc3anonymousza31759ze3z83_1868 =
					make_fx_procedure(BGl_zc3anonymousza31759ze3z83zz__pp_circlez00,
					(int) (((long) 0)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31759ze3z83_1868,
					(int) (((long) 0)), BINT(BgL_printerzd2numzd2_14));
				PROCEDURE_SET(BgL_zc3anonymousza31759ze3z83_1868,
					(int) (((long) 1)), BgL_objz00_13);
				return
					BSTRING_TO_STRING
					(BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3anonymousza31759ze3z83_1868));
			}
		}
	}



/* _jvm-debugging-print */
	obj_t BGl__jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t BgL_envz00_1875,
		obj_t BgL_objz00_1876, obj_t BgL_printerzd2numzd2_1877)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 324 */
			return
				string_to_bstring(BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00
				(BgL_objz00_1876, CINT(BgL_printerzd2numzd2_1877)));
		}
	}



/* <anonymous:1759> */
	obj_t BGl_zc3anonymousza31759ze3z83zz__pp_circlez00(obj_t BgL_envz00_1878)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 326 */
			{	/* Pp/circle.scm 326 */
				obj_t BgL_printerzd2numzd2_1879;
				obj_t BgL_objz00_1880;

				BgL_printerzd2numzd2_1879 =
					PROCEDURE_REF(BgL_envz00_1878, (int) (((long) 0)));
				BgL_objz00_1880 = PROCEDURE_REF(BgL_envz00_1878, (int) (((long) 1)));
				{

					{	/* Pp/circle.scm 326 */
						obj_t BgL_fun1762z00_903;

						if (INTEGERP(BgL_printerzd2numzd2_1879))
							{	/* Pp/circle.scm 326 */
								switch ((long) CINT(BgL_printerzd2numzd2_1879))
									{
									case ((long) 1):

										BgL_fun1762z00_903 =
											BGl_writezd2envzd2zz__r4_output_6_10_3z00;
										break;
									case ((long) 2):

										BgL_fun1762z00_903 =
											BGl_writezd2circlezd2envz00zz__pp_circlez00;
										break;
									case ((long) 3):

										BgL_fun1762z00_903 =
											BGl_displayzd2circlezd2envz00zz__pp_circlez00;
										break;
									default:
										BgL_fun1762z00_903 =
											BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
									}
							}
						else
							{	/* Pp/circle.scm 326 */
								BgL_fun1762z00_903 =
									BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
							}
						{	/* Pp/circle.scm 332 */
							obj_t BgL_arg1761z00_904;

							BgL_arg1761z00_904 = BGL_CURRENT_OUTPUT_PORT();
							return
								PROCEDURE_ENTRY(BgL_fun1762z00_903) (BgL_fun1762z00_903,
								BgL_objz00_1880, BgL_arg1761z00_904, BEOA);
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2137z00zz__pp_circlez00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					490722456), BSTRING_TO_STRING(BGl_string2137z00zz__pp_circlez00));
		}
	}

#ifdef __cplusplus
}
#endif
