/*===========================================================================*/
/*   (Ast/ident.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/ident.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern bool_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
	static obj_t BGl__fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2idzd2ze3nameze3zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_identz00 = BUNSPEC;
	extern obj_t BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t, obj_t, obj_t);
	static obj_t BGl__parsezd2dssslzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl__idzd2ze3namez31zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t,
		obj_t);
	static obj_t BGl__parsezd2idzd2zzast_identz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31465ze3z83zzast_identz00(obj_t, obj_t, obj_t);
	static obj_t BGl_4dotsz00zzast_identz00 = BUNSPEC;
	static obj_t BGl__idzd2ofzd2idz00zzast_identz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_identz00();
	static obj_t BGl__checkzd2id1487zd2zzast_identz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_identz00();
	BGL_EXPORTED_DECL bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__localzd2idzd2ze3name1486ze3zzast_identz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31465ze3_1485z83zzast_identz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__makezd2typedzd2ident1480z00zzast_identz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__makezd2typedzd2formal1481z00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__typezd2ofzd2idz00zzast_identz00(obj_t, obj_t, obj_t);
	static obj_t BGl__markzd2symbolzd2nonzd2use1488zd2zzast_identz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_identz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t BGl_typezd2identzf3z21zzast_identz00(obj_t);
	static obj_t BGl__typezd2identzf31479z21zzast_identz00(obj_t, obj_t);
	static obj_t BGl__typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t,
		obj_t);
	static obj_t BGl__userzd2symbolzf31489z21zzast_identz00(obj_t, obj_t);
	static obj_t BGl_parsezd2idzf2usez20zzast_identz00(obj_t, obj_t, obj_t);
	static obj_t BGl__parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_parsezd2dssslzd2zzast_identz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_identz00();
	static obj_t BGl_methodzd2initzd2zzast_identz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2idzd2envz00zzast_identz00,
		BgL_bgl__checkza7d2id1487za71502z00, BGl__checkzd2id1487zd2zzast_identz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_idzd2ofzd2idzd2envzd2zzast_identz00,
		BgL_bgl__idza7d2ofza7d2idza7001503za7, BGl__idzd2ofzd2idz00zzast_identz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2ofzd2idzd2envzd2zzast_identz00,
		BgL_bgl__typeza7d2ofza7d2idza71504za7, BGl__typezd2ofzd2idz00zzast_identz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_parsezd2idzd2envz00zzast_identz00,
		BgL_bgl__parseza7d2idza7d2za7za71505z00, BGl__parsezd2idzd2zzast_identz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2idzd2ze3namezd2envz31zzast_identz00,
		BgL_bgl__localza7d2idza7d2za7e1506za7,
		BGl__localzd2idzd2ze3name1486ze3zzast_identz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2identzf3zd2envzf3zzast_identz00,
		BgL_bgl__typeza7d2identza7f31507z00,
		BGl__typezd2identzf31479z21zzast_identz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2ofzd2idzf2importzd2locationzd2envzf2zzast_identz00,
		BgL_bgl__typeza7d2ofza7d2idza71508za7,
		BGl__typezd2ofzd2idzf2importzd2locationz20zzast_identz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1490z00zzast_identz00,
		BgL_bgl_string1490za700za7za7a1509za7, "::", 2);
	      DEFINE_STRING(BGl_string1491z00zzast_identz00,
		BgL_bgl_string1491za700za7za7a1510za7, "Illegal identifier", 18);
	      DEFINE_STRING(BGl_string1492z00zzast_identz00,
		BgL_bgl_string1492za700za7za7a1511za7, "`'", 2);
	      DEFINE_STRING(BGl_string1493z00zzast_identz00,
		BgL_bgl_string1493za700za7za7a1512za7, "parse", 5);
	      DEFINE_STRING(BGl_string1494z00zzast_identz00,
		BgL_bgl_string1494za700za7za7a1513za7, "", 0);
	      DEFINE_STRING(BGl_string1495z00zzast_identz00,
		BgL_bgl_string1495za700za7za7a1514za7, "type-of-id", 10);
	      DEFINE_STRING(BGl_string1496z00zzast_identz00,
		BgL_bgl_string1496za700za7za7a1515za7, "Illegal formal identifier", 25);
	      DEFINE_STRING(BGl_string1497z00zzast_identz00,
		BgL_bgl_string1497za700za7za7a1516za7, "Illegal formal parameter", 24);
	      DEFINE_STRING(BGl_string1498z00zzast_identz00,
		BgL_bgl_string1498za700za7za7a1517za7, "ast_ident", 9);
	      DEFINE_STRING(BGl_string1499z00zzast_identz00,
		BgL_bgl_string1499za700za7za7a1518za7, "non-user error-ident dsssl ", 27);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_idzd2ze3namezd2envze3zzast_identz00,
		BgL_bgl__idza7d2za7e3nameza7311519za7, BGl__idzd2ze3namez31zzast_identz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fastzd2idzd2ofzd2idzd2envz00zzast_identz00,
		BgL_bgl__fastza7d2idza7d2ofza71520za7,
		BGl__fastzd2idzd2ofzd2idzd2zzast_identz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typedzd2formalzd2envzd2zzast_identz00,
		BgL_bgl__makeza7d2typedza7d21521z00,
		BGl__makezd2typedzd2formal1481z00zzast_identz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_usezd2typez12zd2envz12zztype_envz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_parsezd2idzf2importzd2locationzd2envz20zzast_identz00,
		BgL_bgl__parseza7d2idza7f2im1522z00,
		BGl__parsezd2idzf2importzd2locationzf2zzast_identz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_markzd2symbolzd2nonzd2userz12zd2envz12zzast_identz00,
		BgL_bgl__markza7d2symbolza7d1523z00,
		BGl__markzd2symbolzd2nonzd2use1488zd2zzast_identz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_parsezd2dssslzd2envz00zzast_identz00,
		BgL_bgl__parseza7d2dssslza7d1524z00, BGl__parsezd2dssslzd2zzast_identz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_userzd2symbolzf3zd2envzf3zzast_identz00,
		BgL_bgl__userza7d2symbolza7f1525z00,
		BGl__userzd2symbolzf31489z21zzast_identz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2typedzd2identzd2envzd2zzast_identz00,
		BgL_bgl__makeza7d2typedza7d21526z00,
		BGl__makezd2typedzd2ident1480z00zzast_identz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long
		BgL_checksumz00_430, char *BgL_fromz00_431)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_identz00))
				{
					BGl_requirezd2initializa7ationz75zzast_identz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_identz00();
					BGl_cnstzd2initzd2zzast_identz00();
					BGl_importedzd2moduleszd2initz00zzast_identz00();
					BGl_toplevelzd2initzd2zzast_identz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_identz00()
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_ident");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_ident");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_ident");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_ident");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_identz00()
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 14 */
			{	/* Ast/ident.scm 14 */
				obj_t BgL_cportz00_422;

				BgL_cportz00_422 =
					bgl_open_input_string(BGl_string1499z00zzast_identz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_423;

					BgL_iz00_423 = ((long) 2);
				BgL_loopz00_424:
					if ((BgL_iz00_423 == ((long) -1)))
						{	/* Ast/ident.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/ident.scm 14 */
							{	/* Ast/ident.scm 14 */
								obj_t BgL_arg1501z00_426;

								{	/* Ast/ident.scm 14 */

									{	/* Ast/ident.scm 14 */
										obj_t BgL_locationz00_428;

										BgL_locationz00_428 = BBOOL(((bool_t) 0));
										{	/* Ast/ident.scm 14 */

											BgL_arg1501z00_426 =
												BGl_readz00zz__readerz00(BgL_cportz00_422,
												BgL_locationz00_428);
										}
									}
								}
								{	/* Ast/ident.scm 14 */
									int BgL_auxz00_449;

									BgL_auxz00_449 = (int) (BgL_iz00_423);
									CNST_TABLE_SET(BgL_auxz00_449, BgL_arg1501z00_426);
							}}
							{	/* Ast/ident.scm 14 */
								int BgL_auxz00_429;

								BgL_auxz00_429 = (int) ((BgL_iz00_423 - ((long) 1)));
								{
									long BgL_iz00_454;

									BgL_iz00_454 = (long) (BgL_auxz00_429);
									BgL_iz00_423 = BgL_iz00_454;
									goto BgL_loopz00_424;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_identz00()
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 14 */
			return (BGl_4dotsz00zzast_identz00 =
				string_to_symbol(BSTRING_TO_STRING(BGl_string1490z00zzast_identz00)),
				BUNSPEC);
		}
	}



/* type-ident? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2identzf3z21zzast_identz00(obj_t
		BgL_symz00_1)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 44 */
			{	/* Ast/ident.scm 45 */
				obj_t BgL_strz00_110;

				BgL_strz00_110 = SYMBOL_TO_STRING(BgL_symz00_1);
				if ((STRING_LENGTH(BgL_strz00_110) > ((long) 2)))
					{	/* Ast/ident.scm 46 */
						if (
							(STRING_REF(BgL_strz00_110, ((long) 0)) == ((unsigned char) ':')))
							{	/* Ast/ident.scm 47 */
								return
									(STRING_REF(BgL_strz00_110,
										((long) 1)) == ((unsigned char) ':'));
							}
						else
							{	/* Ast/ident.scm 47 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Ast/ident.scm 46 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _type-ident?1479 */
	obj_t BGl__typezd2identzf31479z21zzast_identz00(obj_t BgL_envz00_369,
		obj_t BgL_symz00_370)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 44 */
			return BBOOL(BGl_typezd2identzf3z21zzast_identz00(BgL_symz00_370));
		}
	}



/* make-typed-ident */
	BGL_EXPORTED_DEF obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t
		BgL_sym1z00_2, obj_t BgL_sym2z00_3)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 53 */
			{	/* Ast/ident.scm 54 */
				obj_t BgL_list1381z00_249;

				{	/* Ast/ident.scm 54 */
					obj_t BgL_arg1382z00_250;

					{	/* Ast/ident.scm 54 */
						obj_t BgL_arg1383z00_251;

						BgL_arg1383z00_251 = MAKE_PAIR(BgL_sym2z00_3, BNIL);
						BgL_arg1382z00_250 =
							MAKE_PAIR(BGl_4dotsz00zzast_identz00, BgL_arg1383z00_251);
					}
					BgL_list1381z00_249 = MAKE_PAIR(BgL_sym1z00_2, BgL_arg1382z00_250);
				}
				return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1381z00_249);
			}
		}
	}



/* _make-typed-ident1480 */
	obj_t BGl__makezd2typedzd2ident1480z00zzast_identz00(obj_t BgL_envz00_371,
		obj_t BgL_sym1z00_372, obj_t BgL_sym2z00_373)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 53 */
			return
				BGl_makezd2typedzd2identz00zzast_identz00(BgL_sym1z00_372,
				BgL_sym2z00_373);
		}
	}



/* make-typed-formal */
	BGL_EXPORTED_DEF obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t
		BgL_sym2z00_4)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 59 */
			{	/* Ast/ident.scm 60 */
				obj_t BgL_arg1384z00_120;

				{	/* Ast/ident.scm 60 */
					obj_t BgL_arg1385z00_121;
					obj_t BgL_arg1386z00_122;

					BgL_arg1385z00_121 = SYMBOL_TO_STRING(BGl_4dotsz00zzast_identz00);
					BgL_arg1386z00_122 = SYMBOL_TO_STRING(BgL_sym2z00_4);
					{	/* Ast/ident.scm 60 */
						obj_t BgL_list1387z00_123;

						{	/* Ast/ident.scm 60 */
							obj_t BgL_arg1388z00_124;

							BgL_arg1388z00_124 = MAKE_PAIR(BgL_arg1386z00_122, BNIL);
							BgL_list1387z00_123 =
								MAKE_PAIR(BgL_arg1385z00_121, BgL_arg1388z00_124);
						}
						BgL_arg1384z00_120 =
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1387z00_123);
					}
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1384z00_120));
			}
		}
	}



/* _make-typed-formal1481 */
	obj_t BGl__makezd2typedzd2formal1481z00zzast_identz00(obj_t BgL_envz00_374,
		obj_t BgL_sym2z00_375)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 59 */
			return BGl_makezd2typedzd2formalz00zzast_identz00(BgL_sym2z00_375);
		}
	}



/* type-of-id */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t
		BgL_idz00_5, obj_t BgL_locz00_6)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 65 */
			if (SYMBOLP(BgL_idz00_5))
				{	/* Ast/ident.scm 68 */
					obj_t BgL_arg1390z00_126;

					BgL_arg1390z00_126 =
						BGl_parsezd2idzf2usez20zzast_identz00(BgL_idz00_5, BgL_locz00_6,
						BGl_usezd2typez12zd2envz12zztype_envz00);
					{	/* Ast/ident.scm 68 */
						obj_t BgL_auxz00_485;

						BgL_auxz00_485 = CDR(BgL_arg1390z00_126);
						return (BgL_typez00_bglt) (BgL_auxz00_485);
					}
				}
			else
				{	/* Ast/ident.scm 67 */
					obj_t BgL_auxz00_488;

					BgL_auxz00_488 =
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1491z00zzast_identz00,
						BGl_string1492z00zzast_identz00, BgL_idz00_5, BNIL);
					return (BgL_typez00_bglt) (BgL_auxz00_488);
				}
		}
	}



/* _type-of-id */
	obj_t BGl__typezd2ofzd2idz00zzast_identz00(obj_t BgL_envz00_376,
		obj_t BgL_idz00_377, obj_t BgL_locz00_378)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 65 */
			{	/* Ast/ident.scm 66 */
				BgL_typez00_bglt BgL_auxz00_491;

				BgL_auxz00_491 =
					BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_377, BgL_locz00_378);
				return (obj_t) (BgL_auxz00_491);
			}
		}
	}



/* type-of-id/import-location */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t BgL_idz00_7,
		obj_t BgL_locz00_8, obj_t BgL_lociz00_9)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 73 */
			if (SYMBOLP(BgL_idz00_7))
				{	/* Ast/ident.scm 76 */
					obj_t BgL_arg1394z00_129;

					{	/* Ast/ident.scm 76 */
						obj_t BgL_zc3anonymousza31465ze3z83_382;

						BgL_zc3anonymousza31465ze3z83_382 =
							make_fx_procedure(BGl_zc3anonymousza31465ze3z83zzast_identz00,
							(int) (((long) 2)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza31465ze3z83_382,
							(int) (((long) 0)), BgL_lociz00_9);
						BgL_arg1394z00_129 =
							BGl_parsezd2idzf2usez20zzast_identz00(BgL_idz00_7, BgL_locz00_8,
							BgL_zc3anonymousza31465ze3z83_382);
					}
					{	/* Ast/ident.scm 76 */
						obj_t BgL_auxz00_502;

						BgL_auxz00_502 = CDR(BgL_arg1394z00_129);
						return (BgL_typez00_bglt) (BgL_auxz00_502);
					}
				}
			else
				{	/* Ast/ident.scm 75 */
					obj_t BgL_auxz00_505;

					BgL_auxz00_505 =
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1491z00zzast_identz00,
						BGl_string1492z00zzast_identz00, BgL_idz00_7, BNIL);
					return (BgL_typez00_bglt) (BgL_auxz00_505);
				}
		}
	}



/* _type-of-id/import-location */
	obj_t BGl__typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t
		BgL_envz00_383, obj_t BgL_idz00_384, obj_t BgL_locz00_385,
		obj_t BgL_lociz00_386)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 73 */
			{	/* Ast/ident.scm 74 */
				BgL_typez00_bglt BgL_auxz00_508;

				BgL_auxz00_508 =
					BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(BgL_idz00_384,
					BgL_locz00_385, BgL_lociz00_386);
				return (obj_t) (BgL_auxz00_508);
			}
		}
	}



/* <anonymous:1465> */
	obj_t BGl_zc3anonymousza31465ze3z83zzast_identz00(obj_t BgL_envz00_387,
		obj_t BgL_tidz00_389, obj_t BgL_locz00_390)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 167 */
			{	/* Ast/ident.scm 76 */
				obj_t BgL_lociz00_388;

				BgL_lociz00_388 = PROCEDURE_REF(BgL_envz00_387, (int) (((long) 0)));
				{
					obj_t BgL_tidz00_264;
					obj_t BgL_locz00_265;

					{	/* Ast/ident.scm 76 */
						BgL_typez00_bglt BgL_auxz00_513;

						BgL_tidz00_264 = BgL_tidz00_389;
						BgL_locz00_265 = BgL_locz00_390;
						BgL_auxz00_513 =
							BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(BgL_tidz00_264,
							BgL_locz00_265, BgL_lociz00_388);
						return (obj_t) (BgL_auxz00_513);
					}
				}
			}
		}
	}



/* id-of-id */
	BGL_EXPORTED_DEF obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t BgL_idz00_10,
		obj_t BgL_locz00_11)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 81 */
			if (SYMBOLP(BgL_idz00_10))
				{	/* Ast/ident.scm 82 */
					return
						CAR(BGl_parsezd2idzf2usez20zzast_identz00(BgL_idz00_10,
							BgL_locz00_11, BGl_usezd2typez12zd2envz12zztype_envz00));
				}
			else
				{	/* Ast/ident.scm 82 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1493z00zzast_identz00,
						BGl_string1491z00zzast_identz00, BgL_idz00_10, BNIL);
				}
		}
	}



/* _id-of-id */
	obj_t BGl__idzd2ofzd2idz00zzast_identz00(obj_t BgL_envz00_391,
		obj_t BgL_idz00_392, obj_t BgL_locz00_393)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 81 */
			return BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_392, BgL_locz00_393);
		}
	}



/* fast-id-of-id */
	BGL_EXPORTED_DEF obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t
		BgL_idz00_12, obj_t BgL_locz00_13)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 89 */
			{
				obj_t BgL_idz00_142;

				if (BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_idz00_12))
					{	/* Ast/ident.scm 104 */
						return
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
					}
				else
					{	/* Ast/ident.scm 106 */
						bool_t BgL_testz00_526;

						if (PAIRP(BgL_idz00_12))
							{	/* Ast/ident.scm 106 */
								obj_t BgL_auxz00_529;

								BgL_auxz00_529 = CAR(BgL_idz00_12);
								BgL_testz00_526 = SYMBOLP(BgL_auxz00_529);
							}
						else
							{	/* Ast/ident.scm 106 */
								BgL_testz00_526 = ((bool_t) 0);
							}
						if (BgL_testz00_526)
							{	/* Ast/ident.scm 106 */
								BgL_idz00_142 = CAR(BgL_idz00_12);
							BgL_zc3anonymousza31406ze3z83_143:
								{	/* Ast/ident.scm 91 */
									obj_t BgL_stringz00_144;

									BgL_stringz00_144 = SYMBOL_TO_STRING(BgL_idz00_142);
									{	/* Ast/ident.scm 91 */
										long BgL_lenz00_145;

										BgL_lenz00_145 = STRING_LENGTH(BgL_stringz00_144);
										{	/* Ast/ident.scm 92 */

											{
												long BgL_walkerz00_146;

												BgL_walkerz00_146 = ((long) 0);
											BgL_loopz00_147:
												if ((BgL_walkerz00_146 == BgL_lenz00_145))
													{	/* Ast/ident.scm 95 */
														return BgL_idz00_142;
													}
												else
													{	/* Ast/ident.scm 97 */
														bool_t BgL_testz00_536;

														if (
															(STRING_REF(BgL_stringz00_144,
																	BgL_walkerz00_146) == ((unsigned char) ':')))
															{	/* Ast/ident.scm 97 */
																if (
																	(BgL_walkerz00_146 <
																		(BgL_lenz00_145 - ((long) 1))))
																	{	/* Ast/ident.scm 98 */
																		BgL_testz00_536 =
																			(STRING_REF(BgL_stringz00_144,
																				(BgL_walkerz00_146 + ((long) 1))) ==
																			((unsigned char) ':'));
																	}
																else
																	{	/* Ast/ident.scm 98 */
																		BgL_testz00_536 = ((bool_t) 0);
																	}
															}
														else
															{	/* Ast/ident.scm 97 */
																BgL_testz00_536 = ((bool_t) 0);
															}
														if (BgL_testz00_536)
															{	/* Ast/ident.scm 100 */
																obj_t BgL_arg1409z00_150;

																BgL_arg1409z00_150 =
																	c_substring(BgL_stringz00_144, ((long) 0),
																	BgL_walkerz00_146);
																return
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg1409z00_150));
															}
														else
															{
																long BgL_walkerz00_549;

																BgL_walkerz00_549 =
																	(BgL_walkerz00_146 + ((long) 1));
																BgL_walkerz00_146 = BgL_walkerz00_549;
																goto BgL_loopz00_147;
															}
													}
											}
										}
									}
								}
							}
						else
							{	/* Ast/ident.scm 106 */
								if (SYMBOLP(BgL_idz00_12))
									{
										obj_t BgL_idz00_554;

										BgL_idz00_554 = BgL_idz00_12;
										BgL_idz00_142 = BgL_idz00_554;
										goto BgL_zc3anonymousza31406ze3z83_143;
									}
								else
									{	/* Ast/ident.scm 108 */
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1493z00zzast_identz00,
											BGl_string1491z00zzast_identz00, BgL_idz00_12, BNIL);
									}
							}
					}
			}
		}
	}



/* _fast-id-of-id */
	obj_t BGl__fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t BgL_envz00_394,
		obj_t BgL_idz00_395, obj_t BgL_locz00_396)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 89 */
			return
				BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_395, BgL_locz00_396);
		}
	}



/* parse-id/use */
	obj_t BGl_parsezd2idzf2usez20zzast_identz00(obj_t BgL_idz00_14,
		obj_t BgL_locz00_15, obj_t BgL_usezd2typezd2_16)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 116 */
			if (SYMBOLP(BgL_idz00_14))
				{	/* Ast/ident.scm 119 */
					obj_t BgL_stringz00_160;

					BgL_stringz00_160 = SYMBOL_TO_STRING(BgL_idz00_14);
					{	/* Ast/ident.scm 119 */
						long BgL_lenz00_161;

						BgL_lenz00_161 = STRING_LENGTH(BgL_stringz00_160);
						{	/* Ast/ident.scm 120 */

							{
								long BgL_walkerz00_162;
								long BgL_idzd2stopzd2_163;
								long BgL_typezd2startzd2_164;

								BgL_walkerz00_162 = ((long) 0);
								BgL_idzd2stopzd2_163 = ((long) 0);
								BgL_typezd2startzd2_164 = ((long) 0);
							BgL_loopz00_165:
								if ((BgL_walkerz00_162 == BgL_lenz00_161))
									{	/* Ast/ident.scm 127 */
										bool_t BgL_testz00_563;

										if ((BgL_idzd2stopzd2_163 == ((long) 0)))
											{	/* Ast/ident.scm 127 */
												BgL_testz00_563 =
													(BgL_typezd2startzd2_164 > ((long) 0));
											}
										else
											{	/* Ast/ident.scm 127 */
												BgL_testz00_563 = ((bool_t) 0);
											}
										if (BgL_testz00_563)
											{	/* Ast/ident.scm 130 */
												obj_t BgL_idz00_168;
												obj_t BgL_tidz00_169;

												BgL_idz00_168 =
													string_to_symbol(BSTRING_TO_STRING
													(BGl_string1494z00zzast_identz00));
												{	/* Ast/ident.scm 131 */
													obj_t BgL_arg1423z00_171;

													BgL_arg1423z00_171 =
														c_substring(BgL_stringz00_160,
														BgL_typezd2startzd2_164, BgL_lenz00_161);
													BgL_tidz00_169 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg1423z00_171));
												}
												{	/* Ast/ident.scm 134 */
													obj_t BgL_arg1421z00_170;

													BgL_arg1421z00_170 =
														PROCEDURE_ENTRY(BgL_usezd2typezd2_16)
														(BgL_usezd2typezd2_16, BgL_tidz00_169,
														BgL_locz00_15, BEOA);
													return MAKE_PAIR(BgL_idz00_168, BgL_arg1421z00_170);
												}
											}
										else
											{	/* Ast/ident.scm 127 */
												if ((BgL_idzd2stopzd2_163 == ((long) 0)))
													{	/* Ast/ident.scm 136 */
														BgL_typez00_bglt BgL_arg1426z00_173;

														BgL_arg1426z00_173 =
															BGl_getzd2defaultzd2typez00zztype_cachez00();
														return
															MAKE_PAIR(BgL_idz00_14,
															(obj_t) (BgL_arg1426z00_173));
													}
												else
													{	/* Ast/ident.scm 135 */
														if ((BgL_typezd2startzd2_164 == BgL_lenz00_161))
															{	/* Ast/ident.scm 139 */
																obj_t BgL_arg1433z00_177;

																{	/* Ast/ident.scm 142 */
																	obj_t BgL_arg1435z00_179;
																	BgL_typez00_bglt BgL_arg1436z00_180;

																	BgL_arg1435z00_179 =
																		CNST_TABLE_REF(((long) 1));
																	BgL_arg1436z00_180 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	BgL_arg1433z00_177 =
																		MAKE_PAIR(BgL_arg1435z00_179,
																		(obj_t) (BgL_arg1436z00_180));
																}
																{	/* Ast/ident.scm 139 */
																	obj_t BgL_list1434z00_178;

																	BgL_list1434z00_178 =
																		MAKE_PAIR(BgL_arg1433z00_177, BNIL);
																	return
																		BGl_userzd2errorzd2zztools_errorz00
																		(BGl_string1495z00zzast_identz00,
																		BGl_string1496z00zzast_identz00,
																		BgL_idz00_14, BgL_list1434z00_178);
																}
															}
														else
															{	/* Ast/ident.scm 144 */
																obj_t BgL_idz00_181;
																obj_t BgL_tidz00_182;

																{	/* Ast/ident.scm 144 */
																	obj_t BgL_arg1441z00_184;

																	BgL_arg1441z00_184 =
																		c_substring(BgL_stringz00_160, ((long) 0),
																		BgL_idzd2stopzd2_163);
																	BgL_idz00_181 =
																		string_to_symbol(BSTRING_TO_STRING
																		(BgL_arg1441z00_184));
																}
																{	/* Ast/ident.scm 145 */
																	obj_t BgL_arg1443z00_185;

																	BgL_arg1443z00_185 =
																		c_substring(BgL_stringz00_160,
																		BgL_typezd2startzd2_164, BgL_lenz00_161);
																	BgL_tidz00_182 =
																		string_to_symbol(BSTRING_TO_STRING
																		(BgL_arg1443z00_185));
																}
																{	/* Ast/ident.scm 148 */
																	obj_t BgL_arg1439z00_183;

																	BgL_arg1439z00_183 =
																		PROCEDURE_ENTRY(BgL_usezd2typezd2_16)
																		(BgL_usezd2typezd2_16, BgL_tidz00_182,
																		BgL_locz00_15, BEOA);
																	return MAKE_PAIR(BgL_idz00_181,
																		BgL_arg1439z00_183);
																}
															}
													}
											}
									}
								else
									{	/* Ast/ident.scm 149 */
										bool_t BgL_testz00_597;

										if (
											(STRING_REF(BgL_stringz00_160,
													BgL_walkerz00_162) == ((unsigned char) ':')))
											{	/* Ast/ident.scm 149 */
												if ((BgL_walkerz00_162 < (BgL_lenz00_161 - ((long) 1))))
													{	/* Ast/ident.scm 150 */
														BgL_testz00_597 =
															(STRING_REF(BgL_stringz00_160,
																(BgL_walkerz00_162 + ((long) 1))) ==
															((unsigned char) ':'));
													}
												else
													{	/* Ast/ident.scm 150 */
														BgL_testz00_597 = ((bool_t) 0);
													}
											}
										else
											{	/* Ast/ident.scm 149 */
												BgL_testz00_597 = ((bool_t) 0);
											}
										if (BgL_testz00_597)
											{	/* Ast/ident.scm 149 */
												if ((BgL_typezd2startzd2_164 > ((long) 0)))
													{	/* Ast/ident.scm 153 */
														obj_t BgL_arg1449z00_191;

														{	/* Ast/ident.scm 156 */
															obj_t BgL_arg1451z00_193;
															BgL_typez00_bglt BgL_arg1452z00_194;

															BgL_arg1451z00_193 = CNST_TABLE_REF(((long) 1));
															BgL_arg1452z00_194 =
																BGl_getzd2defaultzd2typez00zztype_cachez00();
															BgL_arg1449z00_191 =
																MAKE_PAIR(BgL_arg1451z00_193,
																(obj_t) (BgL_arg1452z00_194));
														}
														{	/* Ast/ident.scm 153 */
															obj_t BgL_list1450z00_192;

															BgL_list1450z00_192 =
																MAKE_PAIR(BgL_arg1449z00_191, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1495z00zzast_identz00,
																BGl_string1496z00zzast_identz00, BgL_idz00_14,
																BgL_list1450z00_192);
														}
													}
												else
													{
														long BgL_typezd2startzd2_618;
														long BgL_idzd2stopzd2_617;
														long BgL_walkerz00_615;

														BgL_walkerz00_615 =
															(BgL_walkerz00_162 + ((long) 2));
														BgL_idzd2stopzd2_617 = BgL_walkerz00_162;
														BgL_typezd2startzd2_618 =
															(BgL_walkerz00_162 + ((long) 2));
														BgL_typezd2startzd2_164 = BgL_typezd2startzd2_618;
														BgL_idzd2stopzd2_163 = BgL_idzd2stopzd2_617;
														BgL_walkerz00_162 = BgL_walkerz00_615;
														goto BgL_loopz00_165;
													}
											}
										else
											{
												long BgL_walkerz00_620;

												BgL_walkerz00_620 = (BgL_walkerz00_162 + ((long) 1));
												BgL_walkerz00_162 = BgL_walkerz00_620;
												goto BgL_loopz00_165;
											}
									}
							}
						}
					}
				}
			else
				{	/* Ast/ident.scm 117 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1493z00zzast_identz00,
						BGl_string1491z00zzast_identz00, BgL_idz00_14, BNIL);
				}
		}
	}



/* parse-id/import-location */
	BGL_EXPORTED_DEF obj_t
		BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t BgL_idz00_17,
		obj_t BgL_locz00_18, obj_t BgL_lociz00_19)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 164 */
			{	/* Ast/ident.scm 167 */
				obj_t BgL_zc3anonymousza31465ze3z83_397;

				BgL_zc3anonymousza31465ze3z83_397 =
					make_fx_procedure(BGl_zc3anonymousza31465ze3_1485z83zzast_identz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31465ze3z83_397,
					(int) (((long) 0)), BgL_lociz00_19);
				return
					BGl_parsezd2idzf2usez20zzast_identz00(BgL_idz00_17, BgL_locz00_18,
					BgL_zc3anonymousza31465ze3z83_397);
			}
		}
	}



/* _parse-id/import-location */
	obj_t BGl__parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t
		BgL_envz00_398, obj_t BgL_idz00_399, obj_t BgL_locz00_400,
		obj_t BgL_lociz00_401)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 164 */
			return
				BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(BgL_idz00_399,
				BgL_locz00_400, BgL_lociz00_401);
		}
	}



/* <anonymous:1465>_1485 */
	obj_t BGl_zc3anonymousza31465ze3_1485z83zzast_identz00(obj_t BgL_envz00_402,
		obj_t BgL_tidz00_404, obj_t BgL_locz00_405)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 167 */
			{	/* Ast/ident.scm 167 */
				obj_t BgL_lociz00_403;

				BgL_lociz00_403 = PROCEDURE_REF(BgL_envz00_402, (int) (((long) 0)));
				{
					obj_t BgL_tidz00_349;
					obj_t BgL_locz00_350;

					{	/* Ast/ident.scm 167 */
						BgL_typez00_bglt BgL_auxz00_632;

						BgL_tidz00_349 = BgL_tidz00_404;
						BgL_locz00_350 = BgL_locz00_405;
						BgL_auxz00_632 =
							BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(BgL_tidz00_349,
							BgL_locz00_350, BgL_lociz00_403);
						return (obj_t) (BgL_auxz00_632);
					}
				}
			}
		}
	}



/* parse-id */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2idzd2zzast_identz00(obj_t BgL_idz00_20,
		obj_t BgL_locz00_21)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 172 */
			return
				BGl_parsezd2idzf2usez20zzast_identz00(BgL_idz00_20, BgL_locz00_21,
				BGl_usezd2typez12zd2envz12zztype_envz00);
		}
	}



/* _parse-id */
	obj_t BGl__parsezd2idzd2zzast_identz00(obj_t BgL_envz00_406,
		obj_t BgL_idz00_407, obj_t BgL_locz00_408)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 172 */
			return BGl_parsezd2idzd2zzast_identz00(BgL_idz00_407, BgL_locz00_408);
		}
	}



/* id->name */
	BGL_EXPORTED_DEF obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t BgL_idz00_22)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 178 */
			{	/* Ast/ident.scm 179 */
				obj_t BgL_namez00_351;

				{	/* Ast/ident.scm 179 */
					obj_t BgL_arg1466z00_352;

					BgL_arg1466z00_352 = SYMBOL_TO_STRING(BgL_idz00_22);
					BgL_namez00_351 =
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1466z00_352);
				}
				return bigloo_mangle(BgL_namez00_351);
			}
		}
	}



/* _id->name */
	obj_t BGl__idzd2ze3namez31zzast_identz00(obj_t BgL_envz00_409,
		obj_t BgL_idz00_410)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 178 */
			return BGl_idzd2ze3namez31zzast_identz00(BgL_idz00_410);
		}
	}



/* local-id->name */
	BGL_EXPORTED_DEF obj_t BGl_localzd2idzd2ze3nameze3zzast_identz00(obj_t
		BgL_idz00_23)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 185 */
			{	/* Ast/ident.scm 186 */
				obj_t BgL_res1477z00_358;

				{	/* Ast/ident.scm 186 */
					obj_t BgL_namez00_355;

					{	/* Ast/ident.scm 186 */
						obj_t BgL_arg1466z00_356;

						BgL_arg1466z00_356 = SYMBOL_TO_STRING(BgL_idz00_23);
						BgL_namez00_355 =
							BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1466z00_356);
					}
					BgL_res1477z00_358 = bigloo_mangle(BgL_namez00_355);
				}
				return BgL_res1477z00_358;
			}
		}
	}



/* _local-id->name1486 */
	obj_t BGl__localzd2idzd2ze3name1486ze3zzast_identz00(obj_t BgL_envz00_411,
		obj_t BgL_idz00_412)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 185 */
			return BGl_localzd2idzd2ze3nameze3zzast_identz00(BgL_idz00_412);
		}
	}



/* check-id */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2idzd2zzast_identz00(obj_t BgL_idz00_24,
		obj_t BgL_srcz00_25)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 191 */
			{	/* Ast/ident.scm 192 */
				bool_t BgL_testz00_645;

				{	/* Ast/ident.scm 192 */
					obj_t BgL_arg1470z00_214;

					BgL_arg1470z00_214 = SYMBOL_TO_STRING(CAR(BgL_idz00_24));
					BgL_testz00_645 = (STRING_LENGTH(BgL_arg1470z00_214) == ((long) 0));
				}
				if (BgL_testz00_645)
					{	/* Ast/ident.scm 192 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1491z00zzast_identz00, BGl_string1492z00zzast_identz00,
							BgL_srcz00_25, BNIL);
					}
				else
					{	/* Ast/ident.scm 192 */
						return BgL_idz00_24;
					}
			}
		}
	}



/* _check-id1487 */
	obj_t BGl__checkzd2id1487zd2zzast_identz00(obj_t BgL_envz00_413,
		obj_t BgL_idz00_414, obj_t BgL_srcz00_415)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 191 */
			return BGl_checkzd2idzd2zzast_identz00(BgL_idz00_414, BgL_srcz00_415);
		}
	}



/* parse-dsssl */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2dssslzd2zzast_identz00(obj_t BgL_objz00_26)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 199 */
			if (BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_objz00_26))
				{	/* Ast/ident.scm 201 */
					return MAKE_PAIR(BgL_objz00_26, BGl_za2objza2z00zztype_cachez00);
				}
			else
				{	/* Ast/ident.scm 201 */
					if (CBOOL(BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00
							(BgL_objz00_26)))
						{	/* Ast/ident.scm 203 */
							return MAKE_PAIR(BgL_objz00_26, BGl_za2objza2z00zztype_cachez00);
						}
					else
						{	/* Ast/ident.scm 203 */
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1497z00zzast_identz00,
								BGl_string1494z00zzast_identz00, BgL_objz00_26, BNIL);
						}
				}
		}
	}



/* _parse-dsssl */
	obj_t BGl__parsezd2dssslzd2zzast_identz00(obj_t BgL_envz00_416,
		obj_t BgL_objz00_417)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 199 */
			return BGl_parsezd2dssslzd2zzast_identz00(BgL_objz00_417);
		}
	}



/* mark-symbol-non-user! */
	BGL_EXPORTED_DEF obj_t
		BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t BgL_symz00_27)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 218 */
			BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_27,
				CNST_TABLE_REF(((long) 2)), BTRUE);
			return BgL_symz00_27;
		}
	}



/* _mark-symbol-non-use1488 */
	obj_t BGl__markzd2symbolzd2nonzd2use1488zd2zzast_identz00(obj_t
		BgL_envz00_418, obj_t BgL_symz00_419)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 218 */
			return BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_symz00_419);
		}
	}



/* user-symbol? */
	BGL_EXPORTED_DEF bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t
		BgL_symbolz00_28)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 227 */
			if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_28,
						CNST_TABLE_REF(((long) 2)))))
				{	/* Ast/ident.scm 228 */
					return ((bool_t) 0);
				}
			else
				{	/* Ast/ident.scm 228 */
					return ((bool_t) 1);
				}
		}
	}



/* _user-symbol?1489 */
	obj_t BGl__userzd2symbolzf31489z21zzast_identz00(obj_t BgL_envz00_420,
		obj_t BgL_symbolz00_421)
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 227 */
			return BBOOL(BGl_userzd2symbolzf3z21zzast_identz00(BgL_symbolz00_421));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_identz00()
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_identz00()
	{
		AN_OBJECT;
		{	/* Ast/ident.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1498z00zzast_identz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 315458190),
				BSTRING_TO_STRING(BGl_string1498z00zzast_identz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string1498z00zzast_identz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string1498z00zzast_identz00));
			return
				BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string1498z00zzast_identz00));
		}
	}

#ifdef __cplusplus
}
#endif
