/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2select3097z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_lvtypezd2nodez12zd2conditi3093z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2app3080z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	static obj_t BGl_lvtypezd2nodez12zd2cast3088z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2boxzd2ref3112zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl__lvtypezd2nodez12zd2default3067z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2setq3090z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2setzd2exzd23103z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2var3074z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_lvtypezd2nodez12zd2letzd2fun3099zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2closure3076z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2kwote3072z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2letzd2var3101zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2jumpzd2ex3105zc0zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2fail3095z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2boxzd2set3110zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2sequenc3078z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	extern BgL_typez00_bglt BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_lvtypezd2nodez12zd2makezd2bo3108zc0zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2extern3086z12zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2appzd2ly3082zc0zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__lvtypezd2nodez12zc0zzast_lvtypez00(obj_t, obj_t);
	static obj_t
		BGl_lvtypezd2nodez12zd2default3067z12zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_lvtypezd2nodez12zd2atom3070z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_lvtypezd2nodez12zd2funcall3084z12zzast_lvtypez00(obj_t,
		obj_t);
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string3287z00zzast_lvtypez00,
		BgL_bgl_string3287za700za7za7a3294za7, "lvtype-node!", 12);
	      DEFINE_STRING(BGl_string3288z00zzast_lvtypez00,
		BgL_bgl_string3288za700za7za7a3295za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3290z00zzast_lvtypez00,
		BgL_bgl_string3290za700za7za7a3296za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string3289z00zzast_lvtypez00,
		BgL_bgl_string3289za700za7za7a3297za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3291z00zzast_lvtypez00,
		BgL_bgl_string3291za700za7za7a3298za7, "lvtype-node!-default3067 ", 25);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_lvtypezd2nodez12zd2default3067zd2envzc0zzast_lvtypez00,
		BgL_bgl__lvtypeza7d2nodeza713299z00,
		BGl__lvtypezd2nodez12zd2default3067z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl__lvtypeza7d2nodeza713300z00,
		BGl__lvtypezd2nodez12zc0zzast_lvtypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_2155, char *BgL_fromz00_2156)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_2144;

				BgL_cportz00_2144 =
					bgl_open_input_string(BGl_string3291z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2145;

					BgL_iz00_2145 = ((long) 0);
				BgL_loopz00_2146:
					if ((BgL_iz00_2145 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg3293z00_2148;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_2150;

										BgL_locationz00_2150 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg3293z00_2148 =
												BGl_readz00zz__readerz00(BgL_cportz00_2144,
												BgL_locationz00_2150);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_2173;

									BgL_auxz00_2173 = (int) (BgL_iz00_2145);
									CNST_TABLE_SET(BgL_auxz00_2173, BgL_arg3293z00_2148);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_2151;

								BgL_auxz00_2151 = (int) ((BgL_iz00_2145 - ((long) 1)));
								{
									long BgL_iz00_2178;

									BgL_iz00_2178 = (long) (BgL_auxz00_2151);
									BgL_iz00_2145 = BgL_iz00_2178;
									goto BgL_loopz00_2146;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_24)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 199 */
			{
				obj_t BgL_l3065z00_731;

				BgL_l3065z00_731 = BgL_nodeza2za2_24;
			BgL_forzd2each3066zd2_732:
				if (PAIRP(BgL_l3065z00_731))
					{	/* Ast/lvtype.scm 200 */
						{	/* Ast/lvtype.scm 200 */
							obj_t BgL_arg3114z00_734;

							BgL_arg3114z00_734 = CAR(BgL_l3065z00_731);
							{	/* Ast/lvtype.scm 200 */
								BgL_nodez00_bglt BgL_nodez00_1290;

								BgL_nodez00_1290 = (BgL_nodez00_bglt) (BgL_arg3114z00_734);
								{	/* Ast/lvtype.scm 200 */
									obj_t BgL_method3068z00_1291;

									{	/* Ast/lvtype.scm 200 */
										BgL_objectz00_bglt BgL_objz00_1292;

										BgL_objz00_1292 = (BgL_objectz00_bglt) (BgL_nodez00_1290);
										{	/* Ast/lvtype.scm 200 */
											long BgL_objzd2classzd2numz00_1293;

											BgL_objzd2classzd2numz00_1293 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1292);
											{	/* Ast/lvtype.scm 200 */
												obj_t BgL_arg2249z00_1294;

												BgL_arg2249z00_1294 =
													PROCEDURE_REF
													(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
													(int) (((long) 1)));
												{	/* Ast/lvtype.scm 200 */
													obj_t BgL_arrayz00_1296;
													int BgL_offsetz00_1297;

													BgL_arrayz00_1296 = BgL_arg2249z00_1294;
													BgL_offsetz00_1297 =
														(int) (BgL_objzd2classzd2numz00_1293);
													{	/* Ast/lvtype.scm 200 */
														long BgL_offsetz00_1298;

														BgL_offsetz00_1298 =
															((long) (BgL_offsetz00_1297) - OBJECT_TYPE);
														{	/* Ast/lvtype.scm 200 */
															long BgL_modz00_1299;

															{	/* Ast/lvtype.scm 200 */
																int BgL_arg2251z00_1300;

																BgL_arg2251z00_1300 = (int) (((long) 8));
																{	/* Ast/lvtype.scm 200 */
																	long BgL_auxz00_2192;

																	BgL_auxz00_2192 =
																		(long) (BgL_arg2251z00_1300);
																	BgL_modz00_1299 =
																		(BgL_offsetz00_1298 / BgL_auxz00_2192);
															}}
															{	/* Ast/lvtype.scm 200 */
																long BgL_restz00_1301;

																{	/* Ast/lvtype.scm 200 */
																	int BgL_arg2250z00_1302;

																	BgL_arg2250z00_1302 = (int) (((long) 8));
																	{	/* Ast/lvtype.scm 200 */
																		long BgL_auxz00_2196;

																		BgL_auxz00_2196 =
																			(long) (BgL_arg2250z00_1302);
																		BgL_restz00_1301 =
																			(BgL_offsetz00_1298 % BgL_auxz00_2196);
																}}
																{	/* Ast/lvtype.scm 200 */

																	BgL_method3068z00_1291 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1296,
																			(int) (BgL_modz00_1299)),
																		(int) (BgL_restz00_1301));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method3068z00_1291)
										(BgL_method3068z00_1291, (obj_t) (BgL_nodez00_1290), BEOA);
						}}}
						{
							obj_t BgL_l3065z00_2206;

							BgL_l3065z00_2206 = CDR(BgL_l3065z00_731);
							BgL_l3065z00_731 = BgL_l3065z00_2206;
							goto BgL_forzd2each3066zd2_732;
						}
					}
				else
					{	/* Ast/lvtype.scm 200 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_25, BgL_typez00_bglt BgL_typez00_26)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 205 */
			{	/* Ast/lvtype.scm 206 */
				obj_t BgL_ntypez00_736;
				BgL_typez00_bglt BgL_otypez00_737;

				if (((obj_t) (BgL_typez00_26) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 206 */
						BgL_ntypez00_736 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 206 */
						BgL_ntypez00_736 = (obj_t) (BgL_typez00_26);
					}
				BgL_otypez00_737 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->BgL_typez00);
				if (((obj_t) (BgL_otypez00_737) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 209 */
						BgL_variablez00_bglt BgL_obj1386z00_1318;
						BgL_typez00_bglt BgL_val1385z00_1319;

						BgL_obj1386z00_1318 = BgL_variablez00_25;
						BgL_val1385z00_1319 = (BgL_typez00_bglt) (BgL_ntypez00_736);
						return
							((((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1318))->
								BgL_typez00) =
							((BgL_typez00_bglt) BgL_val1385z00_1319), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 208 */
						return BFALSE;
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_lvtypezd2nodez12zd2default3067zd2envzc0zzast_lvtypez00);
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2atom3070z12_2099;

				BgL_lvtypezd2nodez12zd2atom3070z12_2099 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2atom3070z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_atomz00zzast_nodez00, BgL_lvtypezd2nodez12zd2atom3070z12_2099);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2kwote3072z12_2098;

				BgL_lvtypezd2nodez12zd2kwote3072z12_2098 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2kwote3072z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_kwotez00zzast_nodez00, BgL_lvtypezd2nodez12zd2kwote3072z12_2098);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2var3074z12_2097;

				BgL_lvtypezd2nodez12zd2var3074z12_2097 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2var3074z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_varz00zzast_nodez00, BgL_lvtypezd2nodez12zd2var3074z12_2097);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2closure3076z12_2096;

				BgL_lvtypezd2nodez12zd2closure3076z12_2096 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2closure3076z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_closurez00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2closure3076z12_2096);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2sequenc3078z12_2095;

				BgL_lvtypezd2nodez12zd2sequenc3078z12_2095 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2sequenc3078z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_sequencez00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2sequenc3078z12_2095);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2app3080z12_2094;

				BgL_lvtypezd2nodez12zd2app3080z12_2094 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2app3080z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_appz00zzast_nodez00, BgL_lvtypezd2nodez12zd2app3080z12_2094);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2appzd2ly3082zc0_2093;

				BgL_lvtypezd2nodez12zd2appzd2ly3082zc0_2093 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2appzd2ly3082zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_appzd2lyzd2zzast_nodez00,
					BgL_lvtypezd2nodez12zd2appzd2ly3082zc0_2093);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2funcall3084z12_2092;

				BgL_lvtypezd2nodez12zd2funcall3084z12_2092 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2funcall3084z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_funcallz00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2funcall3084z12_2092);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2extern3086z12_2091;

				BgL_lvtypezd2nodez12zd2extern3086z12_2091 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2extern3086z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_externz00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2extern3086z12_2091);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2cast3088z12_2090;

				BgL_lvtypezd2nodez12zd2cast3088z12_2090 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2cast3088z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_castz00zzast_nodez00, BgL_lvtypezd2nodez12zd2cast3088z12_2090);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2setq3090z12_2089;

				BgL_lvtypezd2nodez12zd2setq3090z12_2089 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2setq3090z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_setqz00zzast_nodez00, BgL_lvtypezd2nodez12zd2setq3090z12_2089);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2conditi3093z12_2088;

				BgL_lvtypezd2nodez12zd2conditi3093z12_2088 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2conditi3093z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_conditionalz00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2conditi3093z12_2088);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2fail3095z12_2087;

				BgL_lvtypezd2nodez12zd2fail3095z12_2087 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2fail3095z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_failz00zzast_nodez00, BgL_lvtypezd2nodez12zd2fail3095z12_2087);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2select3097z12_2086;

				BgL_lvtypezd2nodez12zd2select3097z12_2086 =
					make_fx_procedure(BGl_lvtypezd2nodez12zd2select3097z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_selectz00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2select3097z12_2086);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2letzd2fun3099zc0_2085;

				BgL_lvtypezd2nodez12zd2letzd2fun3099zc0_2085 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2letzd2fun3099zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_letzd2funzd2zzast_nodez00,
					BgL_lvtypezd2nodez12zd2letzd2fun3099zc0_2085);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2letzd2var3101zc0_2084;

				BgL_lvtypezd2nodez12zd2letzd2var3101zc0_2084 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2letzd2var3101zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_letzd2varzd2zzast_nodez00,
					BgL_lvtypezd2nodez12zd2letzd2var3101zc0_2084);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2setzd2exzd23103z12_2083;

				BgL_lvtypezd2nodez12zd2setzd2exzd23103z12_2083 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2setzd2exzd23103z12zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_setzd2exzd2itz00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2setzd2exzd23103z12_2083);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2jumpzd2ex3105zc0_2082;

				BgL_lvtypezd2nodez12zd2jumpzd2ex3105zc0_2082 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2jumpzd2ex3105zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_jumpzd2exzd2itz00zzast_nodez00,
					BgL_lvtypezd2nodez12zd2jumpzd2ex3105zc0_2082);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2makezd2bo3108zc0_2081;

				BgL_lvtypezd2nodez12zd2makezd2bo3108zc0_2081 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2makezd2bo3108zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_makezd2boxzd2zzast_nodez00,
					BgL_lvtypezd2nodez12zd2makezd2bo3108zc0_2081);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2boxzd2set3110zc0_2080;

				BgL_lvtypezd2nodez12zd2boxzd2set3110zc0_2080 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2boxzd2set3110zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_boxzd2setz12zc0zzast_nodez00,
					BgL_lvtypezd2nodez12zd2boxzd2set3110zc0_2080);
			}
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_lvtypezd2nodez12zd2boxzd2ref3112zc0_2079;

				BgL_lvtypezd2nodez12zd2boxzd2ref3112zc0_2079 =
					make_fx_procedure
					(BGl_lvtypezd2nodez12zd2boxzd2ref3112zc0zzast_lvtypez00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
					BGl_boxzd2refzd2zzast_nodez00,
					BgL_lvtypezd2nodez12zd2boxzd2ref3112zc0_2079);
			}
		}
	}



/* lvtype-node!-box-ref3112 */
	obj_t BGl_lvtypezd2nodez12zd2boxzd2ref3112zc0zzast_lvtypez00(obj_t
		BgL_envz00_2100, obj_t BgL_nodez00_2101)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 192 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1280;

				BgL_nodez00_1280 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2101);
				{	/* Ast/lvtype.scm 193 */
					BgL_varz00_bglt BgL_arg3229z00_2024;

					BgL_arg3229z00_2024 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1280))->BgL_varz00);
					{	/* Ast/lvtype.scm 193 */
						BgL_nodez00_bglt BgL_nodez00_2026;

						BgL_nodez00_2026 = (BgL_nodez00_bglt) (BgL_arg3229z00_2024);
						{	/* Ast/lvtype.scm 193 */
							obj_t BgL_method3068z00_2027;

							{	/* Ast/lvtype.scm 193 */
								BgL_objectz00_bglt BgL_objz00_2028;

								BgL_objz00_2028 = (BgL_objectz00_bglt) (BgL_nodez00_2026);
								{	/* Ast/lvtype.scm 193 */
									long BgL_objzd2classzd2numz00_2029;

									BgL_objzd2classzd2numz00_2029 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2028);
									{	/* Ast/lvtype.scm 193 */
										obj_t BgL_arg2249z00_2030;

										BgL_arg2249z00_2030 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 193 */
											obj_t BgL_arrayz00_2032;
											int BgL_offsetz00_2033;

											BgL_arrayz00_2032 = BgL_arg2249z00_2030;
											BgL_offsetz00_2033 =
												(int) (BgL_objzd2classzd2numz00_2029);
											{	/* Ast/lvtype.scm 193 */
												long BgL_offsetz00_2034;

												BgL_offsetz00_2034 =
													((long) (BgL_offsetz00_2033) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 193 */
													long BgL_modz00_2035;

													{	/* Ast/lvtype.scm 193 */
														int BgL_arg2251z00_2036;

														BgL_arg2251z00_2036 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 193 */
															long BgL_auxz00_2313;

															BgL_auxz00_2313 = (long) (BgL_arg2251z00_2036);
															BgL_modz00_2035 =
																(BgL_offsetz00_2034 / BgL_auxz00_2313);
													}}
													{	/* Ast/lvtype.scm 193 */
														long BgL_restz00_2037;

														{	/* Ast/lvtype.scm 193 */
															int BgL_arg2250z00_2038;

															BgL_arg2250z00_2038 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 193 */
																long BgL_auxz00_2317;

																BgL_auxz00_2317 = (long) (BgL_arg2250z00_2038);
																BgL_restz00_2037 =
																	(BgL_offsetz00_2034 % BgL_auxz00_2317);
														}}
														{	/* Ast/lvtype.scm 193 */

															BgL_method3068z00_2027 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2032,
																	(int) (BgL_modz00_2035)),
																(int) (BgL_restz00_2037));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3068z00_2027) (BgL_method3068z00_2027,
								(obj_t) (BgL_nodez00_2026), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-box-set3110 */
	obj_t BGl_lvtypezd2nodez12zd2boxzd2set3110zc0zzast_lvtypez00(obj_t
		BgL_envz00_2102, obj_t BgL_nodez00_2103)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 184 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1272;

				BgL_nodez00_1272 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2103);
				{	/* Ast/lvtype.scm 186 */
					BgL_varz00_bglt BgL_arg3226z00_1276;

					BgL_arg3226z00_1276 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1272))->BgL_varz00);
					{	/* Ast/lvtype.scm 186 */
						BgL_nodez00_bglt BgL_nodez00_1970;

						BgL_nodez00_1970 = (BgL_nodez00_bglt) (BgL_arg3226z00_1276);
						{	/* Ast/lvtype.scm 186 */
							obj_t BgL_method3068z00_1971;

							{	/* Ast/lvtype.scm 186 */
								BgL_objectz00_bglt BgL_objz00_1972;

								BgL_objz00_1972 = (BgL_objectz00_bglt) (BgL_nodez00_1970);
								{	/* Ast/lvtype.scm 186 */
									long BgL_objzd2classzd2numz00_1973;

									BgL_objzd2classzd2numz00_1973 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1972);
									{	/* Ast/lvtype.scm 186 */
										obj_t BgL_arg2249z00_1974;

										BgL_arg2249z00_1974 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 186 */
											obj_t BgL_arrayz00_1976;
											int BgL_offsetz00_1977;

											BgL_arrayz00_1976 = BgL_arg2249z00_1974;
											BgL_offsetz00_1977 =
												(int) (BgL_objzd2classzd2numz00_1973);
											{	/* Ast/lvtype.scm 186 */
												long BgL_offsetz00_1978;

												BgL_offsetz00_1978 =
													((long) (BgL_offsetz00_1977) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 186 */
													long BgL_modz00_1979;

													{	/* Ast/lvtype.scm 186 */
														int BgL_arg2251z00_1980;

														BgL_arg2251z00_1980 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 186 */
															long BgL_auxz00_2338;

															BgL_auxz00_2338 = (long) (BgL_arg2251z00_1980);
															BgL_modz00_1979 =
																(BgL_offsetz00_1978 / BgL_auxz00_2338);
													}}
													{	/* Ast/lvtype.scm 186 */
														long BgL_restz00_1981;

														{	/* Ast/lvtype.scm 186 */
															int BgL_arg2250z00_1982;

															BgL_arg2250z00_1982 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 186 */
																long BgL_auxz00_2342;

																BgL_auxz00_2342 = (long) (BgL_arg2250z00_1982);
																BgL_restz00_1981 =
																	(BgL_offsetz00_1978 % BgL_auxz00_2342);
														}}
														{	/* Ast/lvtype.scm 186 */

															BgL_method3068z00_1971 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1976,
																	(int) (BgL_modz00_1979)),
																(int) (BgL_restz00_1981));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3068z00_1971) (BgL_method3068z00_1971,
								(obj_t) (BgL_nodez00_1970), BEOA);
				}}}
				{	/* Ast/lvtype.scm 187 */
					BgL_nodez00_bglt BgL_arg3227z00_1277;

					BgL_arg3227z00_1277 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1272))->BgL_valuez00);
					{	/* Ast/lvtype.scm 187 */
						obj_t BgL_method3068z00_1998;

						{	/* Ast/lvtype.scm 187 */
							BgL_objectz00_bglt BgL_objz00_1999;

							BgL_objz00_1999 = (BgL_objectz00_bglt) (BgL_arg3227z00_1277);
							{	/* Ast/lvtype.scm 187 */
								long BgL_objzd2classzd2numz00_2000;

								BgL_objzd2classzd2numz00_2000 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1999);
								{	/* Ast/lvtype.scm 187 */
									obj_t BgL_arg2249z00_2001;

									BgL_arg2249z00_2001 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 187 */
										obj_t BgL_arrayz00_2003;
										int BgL_offsetz00_2004;

										BgL_arrayz00_2003 = BgL_arg2249z00_2001;
										BgL_offsetz00_2004 = (int) (BgL_objzd2classzd2numz00_2000);
										{	/* Ast/lvtype.scm 187 */
											long BgL_offsetz00_2005;

											BgL_offsetz00_2005 =
												((long) (BgL_offsetz00_2004) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 187 */
												long BgL_modz00_2006;

												{	/* Ast/lvtype.scm 187 */
													int BgL_arg2251z00_2007;

													BgL_arg2251z00_2007 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 187 */
														long BgL_auxz00_2361;

														BgL_auxz00_2361 = (long) (BgL_arg2251z00_2007);
														BgL_modz00_2006 =
															(BgL_offsetz00_2005 / BgL_auxz00_2361);
												}}
												{	/* Ast/lvtype.scm 187 */
													long BgL_restz00_2008;

													{	/* Ast/lvtype.scm 187 */
														int BgL_arg2250z00_2009;

														BgL_arg2250z00_2009 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 187 */
															long BgL_auxz00_2365;

															BgL_auxz00_2365 = (long) (BgL_arg2250z00_2009);
															BgL_restz00_2008 =
																(BgL_offsetz00_2005 % BgL_auxz00_2365);
													}}
													{	/* Ast/lvtype.scm 187 */

														BgL_method3068z00_1998 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2003,
																(int) (BgL_modz00_2006)),
															(int) (BgL_restz00_2008));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1998) (BgL_method3068z00_1998,
							(obj_t) (BgL_arg3227z00_1277), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-make-bo3108 */
	obj_t BGl_lvtypezd2nodez12zd2makezd2bo3108zc0zzast_lvtypez00(obj_t
		BgL_envz00_2104, obj_t BgL_nodez00_2105)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 177 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1265;

				BgL_nodez00_1265 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2105);
				{	/* Ast/lvtype.scm 178 */
					BgL_nodez00_bglt BgL_arg3224z00_1941;

					BgL_arg3224z00_1941 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1265))->BgL_valuez00);
					{	/* Ast/lvtype.scm 178 */
						obj_t BgL_method3068z00_1944;

						{	/* Ast/lvtype.scm 178 */
							BgL_objectz00_bglt BgL_objz00_1945;

							BgL_objz00_1945 = (BgL_objectz00_bglt) (BgL_arg3224z00_1941);
							{	/* Ast/lvtype.scm 178 */
								long BgL_objzd2classzd2numz00_1946;

								BgL_objzd2classzd2numz00_1946 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1945);
								{	/* Ast/lvtype.scm 178 */
									obj_t BgL_arg2249z00_1947;

									BgL_arg2249z00_1947 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 178 */
										obj_t BgL_arrayz00_1949;
										int BgL_offsetz00_1950;

										BgL_arrayz00_1949 = BgL_arg2249z00_1947;
										BgL_offsetz00_1950 = (int) (BgL_objzd2classzd2numz00_1946);
										{	/* Ast/lvtype.scm 178 */
											long BgL_offsetz00_1951;

											BgL_offsetz00_1951 =
												((long) (BgL_offsetz00_1950) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 178 */
												long BgL_modz00_1952;

												{	/* Ast/lvtype.scm 178 */
													int BgL_arg2251z00_1953;

													BgL_arg2251z00_1953 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 178 */
														long BgL_auxz00_2385;

														BgL_auxz00_2385 = (long) (BgL_arg2251z00_1953);
														BgL_modz00_1952 =
															(BgL_offsetz00_1951 / BgL_auxz00_2385);
												}}
												{	/* Ast/lvtype.scm 178 */
													long BgL_restz00_1954;

													{	/* Ast/lvtype.scm 178 */
														int BgL_arg2250z00_1955;

														BgL_arg2250z00_1955 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 178 */
															long BgL_auxz00_2389;

															BgL_auxz00_2389 = (long) (BgL_arg2250z00_1955);
															BgL_restz00_1954 =
																(BgL_offsetz00_1951 % BgL_auxz00_2389);
													}}
													{	/* Ast/lvtype.scm 178 */

														BgL_method3068z00_1944 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1949,
																(int) (BgL_modz00_1952)),
															(int) (BgL_restz00_1954));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1944) (BgL_method3068z00_1944,
							(obj_t) (BgL_arg3224z00_1941), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-jump-ex3105 */
	obj_t BGl_lvtypezd2nodez12zd2jumpzd2ex3105zc0zzast_lvtypez00(obj_t
		BgL_envz00_2106, obj_t BgL_nodez00_2107)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 169 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1257;

				BgL_nodez00_1257 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2107);
				{	/* Ast/lvtype.scm 171 */
					BgL_nodez00_bglt BgL_arg3221z00_1261;

					BgL_arg3221z00_1261 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1257))->
						BgL_exitz00);
					{	/* Ast/lvtype.scm 171 */
						obj_t BgL_method3068z00_1888;

						{	/* Ast/lvtype.scm 171 */
							BgL_objectz00_bglt BgL_objz00_1889;

							BgL_objz00_1889 = (BgL_objectz00_bglt) (BgL_arg3221z00_1261);
							{	/* Ast/lvtype.scm 171 */
								long BgL_objzd2classzd2numz00_1890;

								BgL_objzd2classzd2numz00_1890 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1889);
								{	/* Ast/lvtype.scm 171 */
									obj_t BgL_arg2249z00_1891;

									BgL_arg2249z00_1891 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 171 */
										obj_t BgL_arrayz00_1893;
										int BgL_offsetz00_1894;

										BgL_arrayz00_1893 = BgL_arg2249z00_1891;
										BgL_offsetz00_1894 = (int) (BgL_objzd2classzd2numz00_1890);
										{	/* Ast/lvtype.scm 171 */
											long BgL_offsetz00_1895;

											BgL_offsetz00_1895 =
												((long) (BgL_offsetz00_1894) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 171 */
												long BgL_modz00_1896;

												{	/* Ast/lvtype.scm 171 */
													int BgL_arg2251z00_1897;

													BgL_arg2251z00_1897 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 171 */
														long BgL_auxz00_2409;

														BgL_auxz00_2409 = (long) (BgL_arg2251z00_1897);
														BgL_modz00_1896 =
															(BgL_offsetz00_1895 / BgL_auxz00_2409);
												}}
												{	/* Ast/lvtype.scm 171 */
													long BgL_restz00_1898;

													{	/* Ast/lvtype.scm 171 */
														int BgL_arg2250z00_1899;

														BgL_arg2250z00_1899 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 171 */
															long BgL_auxz00_2413;

															BgL_auxz00_2413 = (long) (BgL_arg2250z00_1899);
															BgL_restz00_1898 =
																(BgL_offsetz00_1895 % BgL_auxz00_2413);
													}}
													{	/* Ast/lvtype.scm 171 */

														BgL_method3068z00_1888 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1893,
																(int) (BgL_modz00_1896)),
															(int) (BgL_restz00_1898));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1888) (BgL_method3068z00_1888,
							(obj_t) (BgL_arg3221z00_1261), BEOA);
				}}
				{	/* Ast/lvtype.scm 172 */
					BgL_nodez00_bglt BgL_arg3222z00_1262;

					BgL_arg3222z00_1262 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1257))->
						BgL_valuez00);
					{	/* Ast/lvtype.scm 172 */
						obj_t BgL_method3068z00_1915;

						{	/* Ast/lvtype.scm 172 */
							BgL_objectz00_bglt BgL_objz00_1916;

							BgL_objz00_1916 = (BgL_objectz00_bglt) (BgL_arg3222z00_1262);
							{	/* Ast/lvtype.scm 172 */
								long BgL_objzd2classzd2numz00_1917;

								BgL_objzd2classzd2numz00_1917 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1916);
								{	/* Ast/lvtype.scm 172 */
									obj_t BgL_arg2249z00_1918;

									BgL_arg2249z00_1918 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 172 */
										obj_t BgL_arrayz00_1920;
										int BgL_offsetz00_1921;

										BgL_arrayz00_1920 = BgL_arg2249z00_1918;
										BgL_offsetz00_1921 = (int) (BgL_objzd2classzd2numz00_1917);
										{	/* Ast/lvtype.scm 172 */
											long BgL_offsetz00_1922;

											BgL_offsetz00_1922 =
												((long) (BgL_offsetz00_1921) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 172 */
												long BgL_modz00_1923;

												{	/* Ast/lvtype.scm 172 */
													int BgL_arg2251z00_1924;

													BgL_arg2251z00_1924 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 172 */
														long BgL_auxz00_2432;

														BgL_auxz00_2432 = (long) (BgL_arg2251z00_1924);
														BgL_modz00_1923 =
															(BgL_offsetz00_1922 / BgL_auxz00_2432);
												}}
												{	/* Ast/lvtype.scm 172 */
													long BgL_restz00_1925;

													{	/* Ast/lvtype.scm 172 */
														int BgL_arg2250z00_1926;

														BgL_arg2250z00_1926 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 172 */
															long BgL_auxz00_2436;

															BgL_auxz00_2436 = (long) (BgL_arg2250z00_1926);
															BgL_restz00_1925 =
																(BgL_offsetz00_1922 % BgL_auxz00_2436);
													}}
													{	/* Ast/lvtype.scm 172 */

														BgL_method3068z00_1915 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1920,
																(int) (BgL_modz00_1923)),
															(int) (BgL_restz00_1925));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1915) (BgL_method3068z00_1915,
							(obj_t) (BgL_arg3222z00_1262), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-set-ex-3103 */
	obj_t BGl_lvtypezd2nodez12zd2setzd2exzd23103z12zzast_lvtypez00(obj_t
		BgL_envz00_2108, obj_t BgL_nodez00_2109)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 161 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1249;

				BgL_nodez00_1249 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2109);
				{	/* Ast/lvtype.scm 163 */
					BgL_nodez00_bglt BgL_arg3218z00_1253;

					BgL_arg3218z00_1253 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1249))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 163 */
						obj_t BgL_method3068z00_1834;

						{	/* Ast/lvtype.scm 163 */
							BgL_objectz00_bglt BgL_objz00_1835;

							BgL_objz00_1835 = (BgL_objectz00_bglt) (BgL_arg3218z00_1253);
							{	/* Ast/lvtype.scm 163 */
								long BgL_objzd2classzd2numz00_1836;

								BgL_objzd2classzd2numz00_1836 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1835);
								{	/* Ast/lvtype.scm 163 */
									obj_t BgL_arg2249z00_1837;

									BgL_arg2249z00_1837 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 163 */
										obj_t BgL_arrayz00_1839;
										int BgL_offsetz00_1840;

										BgL_arrayz00_1839 = BgL_arg2249z00_1837;
										BgL_offsetz00_1840 = (int) (BgL_objzd2classzd2numz00_1836);
										{	/* Ast/lvtype.scm 163 */
											long BgL_offsetz00_1841;

											BgL_offsetz00_1841 =
												((long) (BgL_offsetz00_1840) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 163 */
												long BgL_modz00_1842;

												{	/* Ast/lvtype.scm 163 */
													int BgL_arg2251z00_1843;

													BgL_arg2251z00_1843 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 163 */
														long BgL_auxz00_2456;

														BgL_auxz00_2456 = (long) (BgL_arg2251z00_1843);
														BgL_modz00_1842 =
															(BgL_offsetz00_1841 / BgL_auxz00_2456);
												}}
												{	/* Ast/lvtype.scm 163 */
													long BgL_restz00_1844;

													{	/* Ast/lvtype.scm 163 */
														int BgL_arg2250z00_1845;

														BgL_arg2250z00_1845 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 163 */
															long BgL_auxz00_2460;

															BgL_auxz00_2460 = (long) (BgL_arg2250z00_1845);
															BgL_restz00_1844 =
																(BgL_offsetz00_1841 % BgL_auxz00_2460);
													}}
													{	/* Ast/lvtype.scm 163 */

														BgL_method3068z00_1834 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1839,
																(int) (BgL_modz00_1842)),
															(int) (BgL_restz00_1844));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1834) (BgL_method3068z00_1834,
							(obj_t) (BgL_arg3218z00_1253), BEOA);
				}}
				{	/* Ast/lvtype.scm 164 */
					BgL_varz00_bglt BgL_arg3219z00_1254;

					BgL_arg3219z00_1254 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1249))->BgL_varz00);
					{	/* Ast/lvtype.scm 164 */
						BgL_nodez00_bglt BgL_nodez00_1860;

						BgL_nodez00_1860 = (BgL_nodez00_bglt) (BgL_arg3219z00_1254);
						{	/* Ast/lvtype.scm 164 */
							obj_t BgL_method3068z00_1861;

							{	/* Ast/lvtype.scm 164 */
								BgL_objectz00_bglt BgL_objz00_1862;

								BgL_objz00_1862 = (BgL_objectz00_bglt) (BgL_nodez00_1860);
								{	/* Ast/lvtype.scm 164 */
									long BgL_objzd2classzd2numz00_1863;

									BgL_objzd2classzd2numz00_1863 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1862);
									{	/* Ast/lvtype.scm 164 */
										obj_t BgL_arg2249z00_1864;

										BgL_arg2249z00_1864 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 164 */
											obj_t BgL_arrayz00_1866;
											int BgL_offsetz00_1867;

											BgL_arrayz00_1866 = BgL_arg2249z00_1864;
											BgL_offsetz00_1867 =
												(int) (BgL_objzd2classzd2numz00_1863);
											{	/* Ast/lvtype.scm 164 */
												long BgL_offsetz00_1868;

												BgL_offsetz00_1868 =
													((long) (BgL_offsetz00_1867) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 164 */
													long BgL_modz00_1869;

													{	/* Ast/lvtype.scm 164 */
														int BgL_arg2251z00_1870;

														BgL_arg2251z00_1870 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 164 */
															long BgL_auxz00_2480;

															BgL_auxz00_2480 = (long) (BgL_arg2251z00_1870);
															BgL_modz00_1869 =
																(BgL_offsetz00_1868 / BgL_auxz00_2480);
													}}
													{	/* Ast/lvtype.scm 164 */
														long BgL_restz00_1871;

														{	/* Ast/lvtype.scm 164 */
															int BgL_arg2250z00_1872;

															BgL_arg2250z00_1872 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 164 */
																long BgL_auxz00_2484;

																BgL_auxz00_2484 = (long) (BgL_arg2250z00_1872);
																BgL_restz00_1871 =
																	(BgL_offsetz00_1868 % BgL_auxz00_2484);
														}}
														{	/* Ast/lvtype.scm 164 */

															BgL_method3068z00_1861 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1866,
																	(int) (BgL_modz00_1869)),
																(int) (BgL_restz00_1871));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3068z00_1861) (BgL_method3068z00_1861,
								(obj_t) (BgL_nodez00_1860), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-let-var3101 */
	obj_t BGl_lvtypezd2nodez12zd2letzd2var3101zc0zzast_lvtypez00(obj_t
		BgL_envz00_2110, obj_t BgL_nodez00_2111)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 148 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1233;

				BgL_nodez00_1233 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2111);
				{	/* Ast/lvtype.scm 150 */
					obj_t BgL_g3064z00_1237;

					BgL_g3064z00_1237 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1233))->BgL_bindingsz00);
					{
						obj_t BgL_l3062z00_1238;

						BgL_l3062z00_1238 = BgL_g3064z00_1237;
					BgL_forzd2each3063zd2_1239:
						if (PAIRP(BgL_l3062z00_1238))
							{	/* Ast/lvtype.scm 150 */
								{	/* Ast/lvtype.scm 151 */
									obj_t BgL_bindingz00_1241;

									BgL_bindingz00_1241 = CAR(BgL_l3062z00_1238);
									{	/* Ast/lvtype.scm 151 */
										obj_t BgL_varz00_1242;
										obj_t BgL_valz00_1243;

										BgL_varz00_1242 = CAR(BgL_bindingz00_1241);
										BgL_valz00_1243 = CDR(BgL_bindingz00_1241);
										{	/* Ast/lvtype.scm 153 */
											BgL_nodez00_bglt BgL_nodez00_1778;

											BgL_nodez00_1778 = (BgL_nodez00_bglt) (BgL_valz00_1243);
											{	/* Ast/lvtype.scm 153 */
												obj_t BgL_method3068z00_1779;

												{	/* Ast/lvtype.scm 153 */
													BgL_objectz00_bglt BgL_objz00_1780;

													BgL_objz00_1780 =
														(BgL_objectz00_bglt) (BgL_nodez00_1778);
													{	/* Ast/lvtype.scm 153 */
														long BgL_objzd2classzd2numz00_1781;

														BgL_objzd2classzd2numz00_1781 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1780);
														{	/* Ast/lvtype.scm 153 */
															obj_t BgL_arg2249z00_1782;

															BgL_arg2249z00_1782 =
																PROCEDURE_REF
																(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																(int) (((long) 1)));
															{	/* Ast/lvtype.scm 153 */
																obj_t BgL_arrayz00_1784;
																int BgL_offsetz00_1785;

																BgL_arrayz00_1784 = BgL_arg2249z00_1782;
																BgL_offsetz00_1785 =
																	(int) (BgL_objzd2classzd2numz00_1781);
																{	/* Ast/lvtype.scm 153 */
																	long BgL_offsetz00_1786;

																	BgL_offsetz00_1786 =
																		((long) (BgL_offsetz00_1785) - OBJECT_TYPE);
																	{	/* Ast/lvtype.scm 153 */
																		long BgL_modz00_1787;

																		{	/* Ast/lvtype.scm 153 */
																			int BgL_arg2251z00_1788;

																			BgL_arg2251z00_1788 = (int) (((long) 8));
																			{	/* Ast/lvtype.scm 153 */
																				long BgL_auxz00_2510;

																				BgL_auxz00_2510 =
																					(long) (BgL_arg2251z00_1788);
																				BgL_modz00_1787 =
																					(BgL_offsetz00_1786 /
																					BgL_auxz00_2510);
																		}}
																		{	/* Ast/lvtype.scm 153 */
																			long BgL_restz00_1789;

																			{	/* Ast/lvtype.scm 153 */
																				int BgL_arg2250z00_1790;

																				BgL_arg2250z00_1790 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 153 */
																					long BgL_auxz00_2514;

																					BgL_auxz00_2514 =
																						(long) (BgL_arg2250z00_1790);
																					BgL_restz00_1789 =
																						(BgL_offsetz00_1786 %
																						BgL_auxz00_2514);
																			}}
																			{	/* Ast/lvtype.scm 153 */

																				BgL_method3068z00_1779 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1784,
																						(int) (BgL_modz00_1787)),
																					(int) (BgL_restz00_1789));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3068z00_1779)
													(BgL_method3068z00_1779, (obj_t) (BgL_nodez00_1778),
													BEOA);
										}}
										{	/* Ast/lvtype.scm 154 */
											BgL_typez00_bglt BgL_arg3212z00_1244;

											BgL_arg3212z00_1244 =
												BGl_typeofz00zztype_typeofz00(
												(BgL_nodez00_bglt) (BgL_valz00_1243));
											BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
												(BgL_variablez00_bglt) (BgL_varz00_1242),
												BgL_arg3212z00_1244);
								}}}
								{
									obj_t BgL_l3062z00_2528;

									BgL_l3062z00_2528 = CDR(BgL_l3062z00_1238);
									BgL_l3062z00_1238 = BgL_l3062z00_2528;
									goto BgL_forzd2each3063zd2_1239;
								}
							}
						else
							{	/* Ast/lvtype.scm 150 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 156 */
					BgL_nodez00_bglt BgL_arg3216z00_1246;

					BgL_arg3216z00_1246 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1233))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 156 */
						obj_t BgL_method3068z00_1807;

						{	/* Ast/lvtype.scm 156 */
							BgL_objectz00_bglt BgL_objz00_1808;

							BgL_objz00_1808 = (BgL_objectz00_bglt) (BgL_arg3216z00_1246);
							{	/* Ast/lvtype.scm 156 */
								long BgL_objzd2classzd2numz00_1809;

								BgL_objzd2classzd2numz00_1809 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1808);
								{	/* Ast/lvtype.scm 156 */
									obj_t BgL_arg2249z00_1810;

									BgL_arg2249z00_1810 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 156 */
										obj_t BgL_arrayz00_1812;
										int BgL_offsetz00_1813;

										BgL_arrayz00_1812 = BgL_arg2249z00_1810;
										BgL_offsetz00_1813 = (int) (BgL_objzd2classzd2numz00_1809);
										{	/* Ast/lvtype.scm 156 */
											long BgL_offsetz00_1814;

											BgL_offsetz00_1814 =
												((long) (BgL_offsetz00_1813) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 156 */
												long BgL_modz00_1815;

												{	/* Ast/lvtype.scm 156 */
													int BgL_arg2251z00_1816;

													BgL_arg2251z00_1816 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 156 */
														long BgL_auxz00_2539;

														BgL_auxz00_2539 = (long) (BgL_arg2251z00_1816);
														BgL_modz00_1815 =
															(BgL_offsetz00_1814 / BgL_auxz00_2539);
												}}
												{	/* Ast/lvtype.scm 156 */
													long BgL_restz00_1817;

													{	/* Ast/lvtype.scm 156 */
														int BgL_arg2250z00_1818;

														BgL_arg2250z00_1818 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 156 */
															long BgL_auxz00_2543;

															BgL_auxz00_2543 = (long) (BgL_arg2250z00_1818);
															BgL_restz00_1817 =
																(BgL_offsetz00_1814 % BgL_auxz00_2543);
													}}
													{	/* Ast/lvtype.scm 156 */

														BgL_method3068z00_1807 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1812,
																(int) (BgL_modz00_1815)),
															(int) (BgL_restz00_1817));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1807) (BgL_method3068z00_1807,
							(obj_t) (BgL_arg3216z00_1246), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-let-fun3099 */
	obj_t BGl_lvtypezd2nodez12zd2letzd2fun3099zc0zzast_lvtypez00(obj_t
		BgL_envz00_2112, obj_t BgL_nodez00_2113)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 138 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1218;

				BgL_nodez00_1218 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2113);
				{	/* Ast/lvtype.scm 140 */
					obj_t BgL_g3061z00_1222;

					BgL_g3061z00_1222 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1218))->BgL_localsz00);
					{
						obj_t BgL_l3059z00_1223;

						BgL_l3059z00_1223 = BgL_g3061z00_1222;
					BgL_forzd2each3060zd2_1224:
						if (PAIRP(BgL_l3059z00_1223))
							{	/* Ast/lvtype.scm 140 */
								{	/* Ast/lvtype.scm 141 */
									obj_t BgL_localz00_1226;

									BgL_localz00_1226 = CAR(BgL_l3059z00_1223);
									{	/* Ast/lvtype.scm 141 */
										obj_t BgL_arg3206z00_1227;

										{	/* Ast/lvtype.scm 141 */
											BgL_sfunz00_bglt BgL_obj1658z00_1718;

											{	/* Ast/lvtype.scm 141 */
												BgL_variablez00_bglt BgL_obj1387z00_1717;

												BgL_obj1387z00_1717 =
													(BgL_variablez00_bglt) (BgL_localz00_1226);
												{	/* Ast/lvtype.scm 141 */
													BgL_valuez00_bglt BgL_auxz00_2559;

													BgL_auxz00_2559 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1387z00_1717))->BgL_valuez00);
													BgL_obj1658z00_1718 =
														(BgL_sfunz00_bglt) (BgL_auxz00_2559);
												}
											}
											BgL_arg3206z00_1227 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1658z00_1718))->
												BgL_bodyz00);
										}
										{	/* Ast/lvtype.scm 141 */
											BgL_nodez00_bglt BgL_nodez00_1719;

											BgL_nodez00_1719 =
												(BgL_nodez00_bglt) (BgL_arg3206z00_1227);
											{	/* Ast/lvtype.scm 141 */
												obj_t BgL_method3068z00_1720;

												{	/* Ast/lvtype.scm 141 */
													BgL_objectz00_bglt BgL_objz00_1721;

													BgL_objz00_1721 =
														(BgL_objectz00_bglt) (BgL_nodez00_1719);
													{	/* Ast/lvtype.scm 141 */
														long BgL_objzd2classzd2numz00_1722;

														BgL_objzd2classzd2numz00_1722 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1721);
														{	/* Ast/lvtype.scm 141 */
															obj_t BgL_arg2249z00_1723;

															BgL_arg2249z00_1723 =
																PROCEDURE_REF
																(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																(int) (((long) 1)));
															{	/* Ast/lvtype.scm 141 */
																obj_t BgL_arrayz00_1725;
																int BgL_offsetz00_1726;

																BgL_arrayz00_1725 = BgL_arg2249z00_1723;
																BgL_offsetz00_1726 =
																	(int) (BgL_objzd2classzd2numz00_1722);
																{	/* Ast/lvtype.scm 141 */
																	long BgL_offsetz00_1727;

																	BgL_offsetz00_1727 =
																		((long) (BgL_offsetz00_1726) - OBJECT_TYPE);
																	{	/* Ast/lvtype.scm 141 */
																		long BgL_modz00_1728;

																		{	/* Ast/lvtype.scm 141 */
																			int BgL_arg2251z00_1729;

																			BgL_arg2251z00_1729 = (int) (((long) 8));
																			{	/* Ast/lvtype.scm 141 */
																				long BgL_auxz00_2572;

																				BgL_auxz00_2572 =
																					(long) (BgL_arg2251z00_1729);
																				BgL_modz00_1728 =
																					(BgL_offsetz00_1727 /
																					BgL_auxz00_2572);
																		}}
																		{	/* Ast/lvtype.scm 141 */
																			long BgL_restz00_1730;

																			{	/* Ast/lvtype.scm 141 */
																				int BgL_arg2250z00_1731;

																				BgL_arg2250z00_1731 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 141 */
																					long BgL_auxz00_2576;

																					BgL_auxz00_2576 =
																						(long) (BgL_arg2250z00_1731);
																					BgL_restz00_1730 =
																						(BgL_offsetz00_1727 %
																						BgL_auxz00_2576);
																			}}
																			{	/* Ast/lvtype.scm 141 */

																				BgL_method3068z00_1720 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1725,
																						(int) (BgL_modz00_1728)),
																					(int) (BgL_restz00_1730));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3068z00_1720)
													(BgL_method3068z00_1720, (obj_t) (BgL_nodez00_1719),
													BEOA);
								}}}}
								{
									obj_t BgL_l3059z00_2586;

									BgL_l3059z00_2586 = CDR(BgL_l3059z00_1223);
									BgL_l3059z00_1223 = BgL_l3059z00_2586;
									goto BgL_forzd2each3060zd2_1224;
								}
							}
						else
							{	/* Ast/lvtype.scm 140 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 143 */
					BgL_nodez00_bglt BgL_arg3209z00_1230;

					BgL_arg3209z00_1230 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1218))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 143 */
						obj_t BgL_method3068z00_1748;

						{	/* Ast/lvtype.scm 143 */
							BgL_objectz00_bglt BgL_objz00_1749;

							BgL_objz00_1749 = (BgL_objectz00_bglt) (BgL_arg3209z00_1230);
							{	/* Ast/lvtype.scm 143 */
								long BgL_objzd2classzd2numz00_1750;

								BgL_objzd2classzd2numz00_1750 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1749);
								{	/* Ast/lvtype.scm 143 */
									obj_t BgL_arg2249z00_1751;

									BgL_arg2249z00_1751 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 143 */
										obj_t BgL_arrayz00_1753;
										int BgL_offsetz00_1754;

										BgL_arrayz00_1753 = BgL_arg2249z00_1751;
										BgL_offsetz00_1754 = (int) (BgL_objzd2classzd2numz00_1750);
										{	/* Ast/lvtype.scm 143 */
											long BgL_offsetz00_1755;

											BgL_offsetz00_1755 =
												((long) (BgL_offsetz00_1754) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 143 */
												long BgL_modz00_1756;

												{	/* Ast/lvtype.scm 143 */
													int BgL_arg2251z00_1757;

													BgL_arg2251z00_1757 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 143 */
														long BgL_auxz00_2597;

														BgL_auxz00_2597 = (long) (BgL_arg2251z00_1757);
														BgL_modz00_1756 =
															(BgL_offsetz00_1755 / BgL_auxz00_2597);
												}}
												{	/* Ast/lvtype.scm 143 */
													long BgL_restz00_1758;

													{	/* Ast/lvtype.scm 143 */
														int BgL_arg2250z00_1759;

														BgL_arg2250z00_1759 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 143 */
															long BgL_auxz00_2601;

															BgL_auxz00_2601 = (long) (BgL_arg2250z00_1759);
															BgL_restz00_1758 =
																(BgL_offsetz00_1755 % BgL_auxz00_2601);
													}}
													{	/* Ast/lvtype.scm 143 */

														BgL_method3068z00_1748 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1753,
																(int) (BgL_modz00_1756)),
															(int) (BgL_restz00_1758));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1748) (BgL_method3068z00_1748,
							(obj_t) (BgL_arg3209z00_1230), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-select3097 */
	obj_t BGl_lvtypezd2nodez12zd2select3097z12zzast_lvtypez00(obj_t
		BgL_envz00_2114, obj_t BgL_nodez00_2115)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 128 */
			{
				BgL_selectz00_bglt BgL_nodez00_1204;

				{	/* Ast/lvtype.scm 129 */
					bool_t BgL_auxz00_2612;

					BgL_nodez00_1204 = (BgL_selectz00_bglt) (BgL_nodez00_2115);
					{	/* Ast/lvtype.scm 130 */
						BgL_nodez00_bglt BgL_arg3198z00_1208;

						BgL_arg3198z00_1208 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1204))->BgL_testz00);
						{	/* Ast/lvtype.scm 130 */
							obj_t BgL_method3068z00_1658;

							{	/* Ast/lvtype.scm 130 */
								BgL_objectz00_bglt BgL_objz00_1659;

								BgL_objz00_1659 = (BgL_objectz00_bglt) (BgL_arg3198z00_1208);
								{	/* Ast/lvtype.scm 130 */
									long BgL_objzd2classzd2numz00_1660;

									BgL_objzd2classzd2numz00_1660 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1659);
									{	/* Ast/lvtype.scm 130 */
										obj_t BgL_arg2249z00_1661;

										BgL_arg2249z00_1661 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 130 */
											obj_t BgL_arrayz00_1663;
											int BgL_offsetz00_1664;

											BgL_arrayz00_1663 = BgL_arg2249z00_1661;
											BgL_offsetz00_1664 =
												(int) (BgL_objzd2classzd2numz00_1660);
											{	/* Ast/lvtype.scm 130 */
												long BgL_offsetz00_1665;

												BgL_offsetz00_1665 =
													((long) (BgL_offsetz00_1664) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 130 */
													long BgL_modz00_1666;

													{	/* Ast/lvtype.scm 130 */
														int BgL_arg2251z00_1667;

														BgL_arg2251z00_1667 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 130 */
															long BgL_auxz00_2622;

															BgL_auxz00_2622 = (long) (BgL_arg2251z00_1667);
															BgL_modz00_1666 =
																(BgL_offsetz00_1665 / BgL_auxz00_2622);
													}}
													{	/* Ast/lvtype.scm 130 */
														long BgL_restz00_1668;

														{	/* Ast/lvtype.scm 130 */
															int BgL_arg2250z00_1669;

															BgL_arg2250z00_1669 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 130 */
																long BgL_auxz00_2626;

																BgL_auxz00_2626 = (long) (BgL_arg2250z00_1669);
																BgL_restz00_1668 =
																	(BgL_offsetz00_1665 % BgL_auxz00_2626);
														}}
														{	/* Ast/lvtype.scm 130 */

															BgL_method3068z00_1658 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1663,
																	(int) (BgL_modz00_1666)),
																(int) (BgL_restz00_1668));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3068z00_1658) (BgL_method3068z00_1658,
								(obj_t) (BgL_arg3198z00_1208), BEOA);
					}}
					{	/* Ast/lvtype.scm 131 */
						obj_t BgL_g3058z00_1209;

						BgL_g3058z00_1209 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1204))->BgL_clausesz00);
						{
							obj_t BgL_l3053z00_1210;

							BgL_l3053z00_1210 = BgL_g3058z00_1209;
						BgL_forzd2each3057zd2_1211:
							if (PAIRP(BgL_l3053z00_1210))
								{	/* Ast/lvtype.scm 131 */
									{	/* Ast/lvtype.scm 132 */
										obj_t BgL_clausez00_1213;

										BgL_clausez00_1213 = CAR(BgL_l3053z00_1210);
										{	/* Ast/lvtype.scm 132 */
											obj_t BgL_arg3200z00_1214;

											BgL_arg3200z00_1214 = CDR(BgL_clausez00_1213);
											{	/* Ast/lvtype.scm 132 */
												BgL_nodez00_bglt BgL_nodez00_1687;

												BgL_nodez00_1687 =
													(BgL_nodez00_bglt) (BgL_arg3200z00_1214);
												{	/* Ast/lvtype.scm 132 */
													obj_t BgL_method3068z00_1688;

													{	/* Ast/lvtype.scm 132 */
														BgL_objectz00_bglt BgL_objz00_1689;

														BgL_objz00_1689 =
															(BgL_objectz00_bglt) (BgL_nodez00_1687);
														{	/* Ast/lvtype.scm 132 */
															long BgL_objzd2classzd2numz00_1690;

															BgL_objzd2classzd2numz00_1690 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1689);
															{	/* Ast/lvtype.scm 132 */
																obj_t BgL_arg2249z00_1691;

																BgL_arg2249z00_1691 =
																	PROCEDURE_REF
																	(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																	(int) (((long) 1)));
																{	/* Ast/lvtype.scm 132 */
																	obj_t BgL_arrayz00_1693;
																	int BgL_offsetz00_1694;

																	BgL_arrayz00_1693 = BgL_arg2249z00_1691;
																	BgL_offsetz00_1694 =
																		(int) (BgL_objzd2classzd2numz00_1690);
																	{	/* Ast/lvtype.scm 132 */
																		long BgL_offsetz00_1695;

																		BgL_offsetz00_1695 =
																			(
																			(long) (BgL_offsetz00_1694) -
																			OBJECT_TYPE);
																		{	/* Ast/lvtype.scm 132 */
																			long BgL_modz00_1696;

																			{	/* Ast/lvtype.scm 132 */
																				int BgL_arg2251z00_1697;

																				BgL_arg2251z00_1697 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 132 */
																					long BgL_auxz00_2650;

																					BgL_auxz00_2650 =
																						(long) (BgL_arg2251z00_1697);
																					BgL_modz00_1696 =
																						(BgL_offsetz00_1695 /
																						BgL_auxz00_2650);
																			}}
																			{	/* Ast/lvtype.scm 132 */
																				long BgL_restz00_1698;

																				{	/* Ast/lvtype.scm 132 */
																					int BgL_arg2250z00_1699;

																					BgL_arg2250z00_1699 =
																						(int) (((long) 8));
																					{	/* Ast/lvtype.scm 132 */
																						long BgL_auxz00_2654;

																						BgL_auxz00_2654 =
																							(long) (BgL_arg2250z00_1699);
																						BgL_restz00_1698 =
																							(BgL_offsetz00_1695 %
																							BgL_auxz00_2654);
																				}}
																				{	/* Ast/lvtype.scm 132 */

																					BgL_method3068z00_1688 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1693,
																							(int) (BgL_modz00_1696)),
																						(int) (BgL_restz00_1698));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3068z00_1688)
														(BgL_method3068z00_1688, (obj_t) (BgL_nodez00_1687),
														BEOA);
									}}}}
									{
										obj_t BgL_l3053z00_2664;

										BgL_l3053z00_2664 = CDR(BgL_l3053z00_1210);
										BgL_l3053z00_1210 = BgL_l3053z00_2664;
										goto BgL_forzd2each3057zd2_1211;
									}
								}
							else
								{	/* Ast/lvtype.scm 131 */
									BgL_auxz00_2612 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2612);
				}
			}
		}
	}



/* lvtype-node!-fail3095 */
	obj_t BGl_lvtypezd2nodez12zd2fail3095z12zzast_lvtypez00(obj_t BgL_envz00_2116,
		obj_t BgL_nodez00_2117)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 119 */
			{
				BgL_failz00_bglt BgL_nodez00_1195;

				BgL_nodez00_1195 = (BgL_failz00_bglt) (BgL_nodez00_2117);
				{	/* Ast/lvtype.scm 121 */
					BgL_nodez00_bglt BgL_arg3194z00_1199;

					BgL_arg3194z00_1199 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1195))->BgL_procz00);
					{	/* Ast/lvtype.scm 121 */
						obj_t BgL_method3068z00_1577;

						{	/* Ast/lvtype.scm 121 */
							BgL_objectz00_bglt BgL_objz00_1578;

							BgL_objz00_1578 = (BgL_objectz00_bglt) (BgL_arg3194z00_1199);
							{	/* Ast/lvtype.scm 121 */
								long BgL_objzd2classzd2numz00_1579;

								BgL_objzd2classzd2numz00_1579 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1578);
								{	/* Ast/lvtype.scm 121 */
									obj_t BgL_arg2249z00_1580;

									BgL_arg2249z00_1580 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 121 */
										obj_t BgL_arrayz00_1582;
										int BgL_offsetz00_1583;

										BgL_arrayz00_1582 = BgL_arg2249z00_1580;
										BgL_offsetz00_1583 = (int) (BgL_objzd2classzd2numz00_1579);
										{	/* Ast/lvtype.scm 121 */
											long BgL_offsetz00_1584;

											BgL_offsetz00_1584 =
												((long) (BgL_offsetz00_1583) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 121 */
												long BgL_modz00_1585;

												{	/* Ast/lvtype.scm 121 */
													int BgL_arg2251z00_1586;

													BgL_arg2251z00_1586 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 121 */
														long BgL_auxz00_2677;

														BgL_auxz00_2677 = (long) (BgL_arg2251z00_1586);
														BgL_modz00_1585 =
															(BgL_offsetz00_1584 / BgL_auxz00_2677);
												}}
												{	/* Ast/lvtype.scm 121 */
													long BgL_restz00_1587;

													{	/* Ast/lvtype.scm 121 */
														int BgL_arg2250z00_1588;

														BgL_arg2250z00_1588 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 121 */
															long BgL_auxz00_2681;

															BgL_auxz00_2681 = (long) (BgL_arg2250z00_1588);
															BgL_restz00_1587 =
																(BgL_offsetz00_1584 % BgL_auxz00_2681);
													}}
													{	/* Ast/lvtype.scm 121 */

														BgL_method3068z00_1577 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1582,
																(int) (BgL_modz00_1585)),
															(int) (BgL_restz00_1587));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1577) (BgL_method3068z00_1577,
							(obj_t) (BgL_arg3194z00_1199), BEOA);
				}}
				{	/* Ast/lvtype.scm 122 */
					BgL_nodez00_bglt BgL_arg3195z00_1200;

					BgL_arg3195z00_1200 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1195))->BgL_msgz00);
					{	/* Ast/lvtype.scm 122 */
						obj_t BgL_method3068z00_1604;

						{	/* Ast/lvtype.scm 122 */
							BgL_objectz00_bglt BgL_objz00_1605;

							BgL_objz00_1605 = (BgL_objectz00_bglt) (BgL_arg3195z00_1200);
							{	/* Ast/lvtype.scm 122 */
								long BgL_objzd2classzd2numz00_1606;

								BgL_objzd2classzd2numz00_1606 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1605);
								{	/* Ast/lvtype.scm 122 */
									obj_t BgL_arg2249z00_1607;

									BgL_arg2249z00_1607 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 122 */
										obj_t BgL_arrayz00_1609;
										int BgL_offsetz00_1610;

										BgL_arrayz00_1609 = BgL_arg2249z00_1607;
										BgL_offsetz00_1610 = (int) (BgL_objzd2classzd2numz00_1606);
										{	/* Ast/lvtype.scm 122 */
											long BgL_offsetz00_1611;

											BgL_offsetz00_1611 =
												((long) (BgL_offsetz00_1610) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 122 */
												long BgL_modz00_1612;

												{	/* Ast/lvtype.scm 122 */
													int BgL_arg2251z00_1613;

													BgL_arg2251z00_1613 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 122 */
														long BgL_auxz00_2700;

														BgL_auxz00_2700 = (long) (BgL_arg2251z00_1613);
														BgL_modz00_1612 =
															(BgL_offsetz00_1611 / BgL_auxz00_2700);
												}}
												{	/* Ast/lvtype.scm 122 */
													long BgL_restz00_1614;

													{	/* Ast/lvtype.scm 122 */
														int BgL_arg2250z00_1615;

														BgL_arg2250z00_1615 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 122 */
															long BgL_auxz00_2704;

															BgL_auxz00_2704 = (long) (BgL_arg2250z00_1615);
															BgL_restz00_1614 =
																(BgL_offsetz00_1611 % BgL_auxz00_2704);
													}}
													{	/* Ast/lvtype.scm 122 */

														BgL_method3068z00_1604 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1609,
																(int) (BgL_modz00_1612)),
															(int) (BgL_restz00_1614));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1604) (BgL_method3068z00_1604,
							(obj_t) (BgL_arg3195z00_1200), BEOA);
				}}
				{	/* Ast/lvtype.scm 123 */
					BgL_nodez00_bglt BgL_arg3196z00_1201;

					BgL_arg3196z00_1201 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1195))->BgL_objz00);
					{	/* Ast/lvtype.scm 123 */
						obj_t BgL_method3068z00_1631;

						{	/* Ast/lvtype.scm 123 */
							BgL_objectz00_bglt BgL_objz00_1632;

							BgL_objz00_1632 = (BgL_objectz00_bglt) (BgL_arg3196z00_1201);
							{	/* Ast/lvtype.scm 123 */
								long BgL_objzd2classzd2numz00_1633;

								BgL_objzd2classzd2numz00_1633 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1632);
								{	/* Ast/lvtype.scm 123 */
									obj_t BgL_arg2249z00_1634;

									BgL_arg2249z00_1634 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 123 */
										obj_t BgL_arrayz00_1636;
										int BgL_offsetz00_1637;

										BgL_arrayz00_1636 = BgL_arg2249z00_1634;
										BgL_offsetz00_1637 = (int) (BgL_objzd2classzd2numz00_1633);
										{	/* Ast/lvtype.scm 123 */
											long BgL_offsetz00_1638;

											BgL_offsetz00_1638 =
												((long) (BgL_offsetz00_1637) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 123 */
												long BgL_modz00_1639;

												{	/* Ast/lvtype.scm 123 */
													int BgL_arg2251z00_1640;

													BgL_arg2251z00_1640 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 123 */
														long BgL_auxz00_2723;

														BgL_auxz00_2723 = (long) (BgL_arg2251z00_1640);
														BgL_modz00_1639 =
															(BgL_offsetz00_1638 / BgL_auxz00_2723);
												}}
												{	/* Ast/lvtype.scm 123 */
													long BgL_restz00_1641;

													{	/* Ast/lvtype.scm 123 */
														int BgL_arg2250z00_1642;

														BgL_arg2250z00_1642 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 123 */
															long BgL_auxz00_2727;

															BgL_auxz00_2727 = (long) (BgL_arg2250z00_1642);
															BgL_restz00_1641 =
																(BgL_offsetz00_1638 % BgL_auxz00_2727);
													}}
													{	/* Ast/lvtype.scm 123 */

														BgL_method3068z00_1631 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1636,
																(int) (BgL_modz00_1639)),
															(int) (BgL_restz00_1641));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1631) (BgL_method3068z00_1631,
							(obj_t) (BgL_arg3196z00_1201), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-conditi3093 */
	obj_t BGl_lvtypezd2nodez12zd2conditi3093z12zzast_lvtypez00(obj_t
		BgL_envz00_2118, obj_t BgL_nodez00_2119)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 110 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1186;

				BgL_nodez00_1186 = (BgL_conditionalz00_bglt) (BgL_nodez00_2119);
				{	/* Ast/lvtype.scm 112 */
					BgL_nodez00_bglt BgL_arg3190z00_1190;

					BgL_arg3190z00_1190 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1186))->BgL_testz00);
					{	/* Ast/lvtype.scm 112 */
						obj_t BgL_method3068z00_1496;

						{	/* Ast/lvtype.scm 112 */
							BgL_objectz00_bglt BgL_objz00_1497;

							BgL_objz00_1497 = (BgL_objectz00_bglt) (BgL_arg3190z00_1190);
							{	/* Ast/lvtype.scm 112 */
								long BgL_objzd2classzd2numz00_1498;

								BgL_objzd2classzd2numz00_1498 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1497);
								{	/* Ast/lvtype.scm 112 */
									obj_t BgL_arg2249z00_1499;

									BgL_arg2249z00_1499 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 112 */
										obj_t BgL_arrayz00_1501;
										int BgL_offsetz00_1502;

										BgL_arrayz00_1501 = BgL_arg2249z00_1499;
										BgL_offsetz00_1502 = (int) (BgL_objzd2classzd2numz00_1498);
										{	/* Ast/lvtype.scm 112 */
											long BgL_offsetz00_1503;

											BgL_offsetz00_1503 =
												((long) (BgL_offsetz00_1502) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 112 */
												long BgL_modz00_1504;

												{	/* Ast/lvtype.scm 112 */
													int BgL_arg2251z00_1505;

													BgL_arg2251z00_1505 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 112 */
														long BgL_auxz00_2747;

														BgL_auxz00_2747 = (long) (BgL_arg2251z00_1505);
														BgL_modz00_1504 =
															(BgL_offsetz00_1503 / BgL_auxz00_2747);
												}}
												{	/* Ast/lvtype.scm 112 */
													long BgL_restz00_1506;

													{	/* Ast/lvtype.scm 112 */
														int BgL_arg2250z00_1507;

														BgL_arg2250z00_1507 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 112 */
															long BgL_auxz00_2751;

															BgL_auxz00_2751 = (long) (BgL_arg2250z00_1507);
															BgL_restz00_1506 =
																(BgL_offsetz00_1503 % BgL_auxz00_2751);
													}}
													{	/* Ast/lvtype.scm 112 */

														BgL_method3068z00_1496 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1501,
																(int) (BgL_modz00_1504)),
															(int) (BgL_restz00_1506));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1496) (BgL_method3068z00_1496,
							(obj_t) (BgL_arg3190z00_1190), BEOA);
				}}
				{	/* Ast/lvtype.scm 113 */
					BgL_nodez00_bglt BgL_arg3191z00_1191;

					BgL_arg3191z00_1191 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1186))->BgL_truez00);
					{	/* Ast/lvtype.scm 113 */
						obj_t BgL_method3068z00_1523;

						{	/* Ast/lvtype.scm 113 */
							BgL_objectz00_bglt BgL_objz00_1524;

							BgL_objz00_1524 = (BgL_objectz00_bglt) (BgL_arg3191z00_1191);
							{	/* Ast/lvtype.scm 113 */
								long BgL_objzd2classzd2numz00_1525;

								BgL_objzd2classzd2numz00_1525 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1524);
								{	/* Ast/lvtype.scm 113 */
									obj_t BgL_arg2249z00_1526;

									BgL_arg2249z00_1526 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 113 */
										obj_t BgL_arrayz00_1528;
										int BgL_offsetz00_1529;

										BgL_arrayz00_1528 = BgL_arg2249z00_1526;
										BgL_offsetz00_1529 = (int) (BgL_objzd2classzd2numz00_1525);
										{	/* Ast/lvtype.scm 113 */
											long BgL_offsetz00_1530;

											BgL_offsetz00_1530 =
												((long) (BgL_offsetz00_1529) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 113 */
												long BgL_modz00_1531;

												{	/* Ast/lvtype.scm 113 */
													int BgL_arg2251z00_1532;

													BgL_arg2251z00_1532 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 113 */
														long BgL_auxz00_2770;

														BgL_auxz00_2770 = (long) (BgL_arg2251z00_1532);
														BgL_modz00_1531 =
															(BgL_offsetz00_1530 / BgL_auxz00_2770);
												}}
												{	/* Ast/lvtype.scm 113 */
													long BgL_restz00_1533;

													{	/* Ast/lvtype.scm 113 */
														int BgL_arg2250z00_1534;

														BgL_arg2250z00_1534 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 113 */
															long BgL_auxz00_2774;

															BgL_auxz00_2774 = (long) (BgL_arg2250z00_1534);
															BgL_restz00_1533 =
																(BgL_offsetz00_1530 % BgL_auxz00_2774);
													}}
													{	/* Ast/lvtype.scm 113 */

														BgL_method3068z00_1523 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1528,
																(int) (BgL_modz00_1531)),
															(int) (BgL_restz00_1533));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1523) (BgL_method3068z00_1523,
							(obj_t) (BgL_arg3191z00_1191), BEOA);
				}}
				{	/* Ast/lvtype.scm 114 */
					BgL_nodez00_bglt BgL_arg3192z00_1192;

					BgL_arg3192z00_1192 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1186))->BgL_falsez00);
					{	/* Ast/lvtype.scm 114 */
						obj_t BgL_method3068z00_1550;

						{	/* Ast/lvtype.scm 114 */
							BgL_objectz00_bglt BgL_objz00_1551;

							BgL_objz00_1551 = (BgL_objectz00_bglt) (BgL_arg3192z00_1192);
							{	/* Ast/lvtype.scm 114 */
								long BgL_objzd2classzd2numz00_1552;

								BgL_objzd2classzd2numz00_1552 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1551);
								{	/* Ast/lvtype.scm 114 */
									obj_t BgL_arg2249z00_1553;

									BgL_arg2249z00_1553 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 114 */
										obj_t BgL_arrayz00_1555;
										int BgL_offsetz00_1556;

										BgL_arrayz00_1555 = BgL_arg2249z00_1553;
										BgL_offsetz00_1556 = (int) (BgL_objzd2classzd2numz00_1552);
										{	/* Ast/lvtype.scm 114 */
											long BgL_offsetz00_1557;

											BgL_offsetz00_1557 =
												((long) (BgL_offsetz00_1556) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 114 */
												long BgL_modz00_1558;

												{	/* Ast/lvtype.scm 114 */
													int BgL_arg2251z00_1559;

													BgL_arg2251z00_1559 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 114 */
														long BgL_auxz00_2793;

														BgL_auxz00_2793 = (long) (BgL_arg2251z00_1559);
														BgL_modz00_1558 =
															(BgL_offsetz00_1557 / BgL_auxz00_2793);
												}}
												{	/* Ast/lvtype.scm 114 */
													long BgL_restz00_1560;

													{	/* Ast/lvtype.scm 114 */
														int BgL_arg2250z00_1561;

														BgL_arg2250z00_1561 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 114 */
															long BgL_auxz00_2797;

															BgL_auxz00_2797 = (long) (BgL_arg2250z00_1561);
															BgL_restz00_1560 =
																(BgL_offsetz00_1557 % BgL_auxz00_2797);
													}}
													{	/* Ast/lvtype.scm 114 */

														BgL_method3068z00_1550 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1555,
																(int) (BgL_modz00_1558)),
															(int) (BgL_restz00_1560));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1550) (BgL_method3068z00_1550,
							(obj_t) (BgL_arg3192z00_1192), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-setq3090 */
	obj_t BGl_lvtypezd2nodez12zd2setq3090z12zzast_lvtypez00(obj_t BgL_envz00_2120,
		obj_t BgL_nodez00_2121)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 102 */
			{
				BgL_setqz00_bglt BgL_nodez00_1178;

				BgL_nodez00_1178 = (BgL_setqz00_bglt) (BgL_nodez00_2121);
				{	/* Ast/lvtype.scm 104 */
					BgL_nodez00_bglt BgL_arg3187z00_1182;

					BgL_arg3187z00_1182 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1178))->BgL_valuez00);
					{	/* Ast/lvtype.scm 104 */
						obj_t BgL_method3068z00_1442;

						{	/* Ast/lvtype.scm 104 */
							BgL_objectz00_bglt BgL_objz00_1443;

							BgL_objz00_1443 = (BgL_objectz00_bglt) (BgL_arg3187z00_1182);
							{	/* Ast/lvtype.scm 104 */
								long BgL_objzd2classzd2numz00_1444;

								BgL_objzd2classzd2numz00_1444 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1443);
								{	/* Ast/lvtype.scm 104 */
									obj_t BgL_arg2249z00_1445;

									BgL_arg2249z00_1445 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 104 */
										obj_t BgL_arrayz00_1447;
										int BgL_offsetz00_1448;

										BgL_arrayz00_1447 = BgL_arg2249z00_1445;
										BgL_offsetz00_1448 = (int) (BgL_objzd2classzd2numz00_1444);
										{	/* Ast/lvtype.scm 104 */
											long BgL_offsetz00_1449;

											BgL_offsetz00_1449 =
												((long) (BgL_offsetz00_1448) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 104 */
												long BgL_modz00_1450;

												{	/* Ast/lvtype.scm 104 */
													int BgL_arg2251z00_1451;

													BgL_arg2251z00_1451 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 104 */
														long BgL_auxz00_2817;

														BgL_auxz00_2817 = (long) (BgL_arg2251z00_1451);
														BgL_modz00_1450 =
															(BgL_offsetz00_1449 / BgL_auxz00_2817);
												}}
												{	/* Ast/lvtype.scm 104 */
													long BgL_restz00_1452;

													{	/* Ast/lvtype.scm 104 */
														int BgL_arg2250z00_1453;

														BgL_arg2250z00_1453 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 104 */
															long BgL_auxz00_2821;

															BgL_auxz00_2821 = (long) (BgL_arg2250z00_1453);
															BgL_restz00_1452 =
																(BgL_offsetz00_1449 % BgL_auxz00_2821);
													}}
													{	/* Ast/lvtype.scm 104 */

														BgL_method3068z00_1442 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1447,
																(int) (BgL_modz00_1450)),
															(int) (BgL_restz00_1452));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1442) (BgL_method3068z00_1442,
							(obj_t) (BgL_arg3187z00_1182), BEOA);
				}}
				{	/* Ast/lvtype.scm 105 */
					BgL_varz00_bglt BgL_arg3188z00_1183;

					BgL_arg3188z00_1183 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1178))->BgL_varz00);
					{	/* Ast/lvtype.scm 105 */
						BgL_nodez00_bglt BgL_nodez00_1468;

						BgL_nodez00_1468 = (BgL_nodez00_bglt) (BgL_arg3188z00_1183);
						{	/* Ast/lvtype.scm 105 */
							obj_t BgL_method3068z00_1469;

							{	/* Ast/lvtype.scm 105 */
								BgL_objectz00_bglt BgL_objz00_1470;

								BgL_objz00_1470 = (BgL_objectz00_bglt) (BgL_nodez00_1468);
								{	/* Ast/lvtype.scm 105 */
									long BgL_objzd2classzd2numz00_1471;

									BgL_objzd2classzd2numz00_1471 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1470);
									{	/* Ast/lvtype.scm 105 */
										obj_t BgL_arg2249z00_1472;

										BgL_arg2249z00_1472 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 105 */
											obj_t BgL_arrayz00_1474;
											int BgL_offsetz00_1475;

											BgL_arrayz00_1474 = BgL_arg2249z00_1472;
											BgL_offsetz00_1475 =
												(int) (BgL_objzd2classzd2numz00_1471);
											{	/* Ast/lvtype.scm 105 */
												long BgL_offsetz00_1476;

												BgL_offsetz00_1476 =
													((long) (BgL_offsetz00_1475) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 105 */
													long BgL_modz00_1477;

													{	/* Ast/lvtype.scm 105 */
														int BgL_arg2251z00_1478;

														BgL_arg2251z00_1478 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 105 */
															long BgL_auxz00_2841;

															BgL_auxz00_2841 = (long) (BgL_arg2251z00_1478);
															BgL_modz00_1477 =
																(BgL_offsetz00_1476 / BgL_auxz00_2841);
													}}
													{	/* Ast/lvtype.scm 105 */
														long BgL_restz00_1479;

														{	/* Ast/lvtype.scm 105 */
															int BgL_arg2250z00_1480;

															BgL_arg2250z00_1480 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 105 */
																long BgL_auxz00_2845;

																BgL_auxz00_2845 = (long) (BgL_arg2250z00_1480);
																BgL_restz00_1479 =
																	(BgL_offsetz00_1476 % BgL_auxz00_2845);
														}}
														{	/* Ast/lvtype.scm 105 */

															BgL_method3068z00_1469 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1474,
																	(int) (BgL_modz00_1477)),
																(int) (BgL_restz00_1479));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3068z00_1469) (BgL_method3068z00_1469,
								(obj_t) (BgL_nodez00_1468), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-cast3088 */
	obj_t BGl_lvtypezd2nodez12zd2cast3088z12zzast_lvtypez00(obj_t BgL_envz00_2122,
		obj_t BgL_nodez00_2123)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 95 */
			{
				BgL_castz00_bglt BgL_nodez00_1171;

				BgL_nodez00_1171 = (BgL_castz00_bglt) (BgL_nodez00_2123);
				{	/* Ast/lvtype.scm 96 */
					BgL_nodez00_bglt BgL_arg3185z00_1412;

					BgL_arg3185z00_1412 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1171))->BgL_argz00);
					{	/* Ast/lvtype.scm 96 */
						obj_t BgL_method3068z00_1415;

						{	/* Ast/lvtype.scm 96 */
							BgL_objectz00_bglt BgL_objz00_1416;

							BgL_objz00_1416 = (BgL_objectz00_bglt) (BgL_arg3185z00_1412);
							{	/* Ast/lvtype.scm 96 */
								long BgL_objzd2classzd2numz00_1417;

								BgL_objzd2classzd2numz00_1417 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1416);
								{	/* Ast/lvtype.scm 96 */
									obj_t BgL_arg2249z00_1418;

									BgL_arg2249z00_1418 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 96 */
										obj_t BgL_arrayz00_1420;
										int BgL_offsetz00_1421;

										BgL_arrayz00_1420 = BgL_arg2249z00_1418;
										BgL_offsetz00_1421 = (int) (BgL_objzd2classzd2numz00_1417);
										{	/* Ast/lvtype.scm 96 */
											long BgL_offsetz00_1422;

											BgL_offsetz00_1422 =
												((long) (BgL_offsetz00_1421) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 96 */
												long BgL_modz00_1423;

												{	/* Ast/lvtype.scm 96 */
													int BgL_arg2251z00_1424;

													BgL_arg2251z00_1424 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 96 */
														long BgL_auxz00_2865;

														BgL_auxz00_2865 = (long) (BgL_arg2251z00_1424);
														BgL_modz00_1423 =
															(BgL_offsetz00_1422 / BgL_auxz00_2865);
												}}
												{	/* Ast/lvtype.scm 96 */
													long BgL_restz00_1425;

													{	/* Ast/lvtype.scm 96 */
														int BgL_arg2250z00_1426;

														BgL_arg2250z00_1426 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 96 */
															long BgL_auxz00_2869;

															BgL_auxz00_2869 = (long) (BgL_arg2250z00_1426);
															BgL_restz00_1425 =
																(BgL_offsetz00_1422 % BgL_auxz00_2869);
													}}
													{	/* Ast/lvtype.scm 96 */

														BgL_method3068z00_1415 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1420,
																(int) (BgL_modz00_1423)),
															(int) (BgL_restz00_1425));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1415) (BgL_method3068z00_1415,
							(obj_t) (BgL_arg3185z00_1412), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-extern3086 */
	obj_t BGl_lvtypezd2nodez12zd2extern3086z12zzast_lvtypez00(obj_t
		BgL_envz00_2124, obj_t BgL_nodez00_2125)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 88 */
			{
				BgL_externz00_bglt BgL_nodez00_1164;

				{	/* Ast/lvtype.scm 89 */
					bool_t BgL_auxz00_2880;

					BgL_nodez00_1164 = (BgL_externz00_bglt) (BgL_nodez00_2125);
					{	/* Ast/lvtype.scm 89 */
						obj_t BgL_arg3183z00_1409;

						BgL_arg3183z00_1409 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1164))->BgL_exprza2za2);
						BgL_auxz00_2880 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3183z00_1409);
					}
					return BBOOL(BgL_auxz00_2880);
				}
			}
		}
	}



/* lvtype-node!-funcall3084 */
	obj_t BGl_lvtypezd2nodez12zd2funcall3084z12zzast_lvtypez00(obj_t
		BgL_envz00_2126, obj_t BgL_nodez00_2127)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 80 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1156;

				{	/* Ast/lvtype.scm 81 */
					bool_t BgL_auxz00_2885;

					BgL_nodez00_1156 = (BgL_funcallz00_bglt) (BgL_nodez00_2127);
					{	/* Ast/lvtype.scm 82 */
						BgL_nodez00_bglt BgL_arg3180z00_1160;

						BgL_arg3180z00_1160 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1156))->BgL_funz00);
						{	/* Ast/lvtype.scm 82 */
							obj_t BgL_method3068z00_1382;

							{	/* Ast/lvtype.scm 82 */
								BgL_objectz00_bglt BgL_objz00_1383;

								BgL_objz00_1383 = (BgL_objectz00_bglt) (BgL_arg3180z00_1160);
								{	/* Ast/lvtype.scm 82 */
									long BgL_objzd2classzd2numz00_1384;

									BgL_objzd2classzd2numz00_1384 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1383);
									{	/* Ast/lvtype.scm 82 */
										obj_t BgL_arg2249z00_1385;

										BgL_arg2249z00_1385 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 82 */
											obj_t BgL_arrayz00_1387;
											int BgL_offsetz00_1388;

											BgL_arrayz00_1387 = BgL_arg2249z00_1385;
											BgL_offsetz00_1388 =
												(int) (BgL_objzd2classzd2numz00_1384);
											{	/* Ast/lvtype.scm 82 */
												long BgL_offsetz00_1389;

												BgL_offsetz00_1389 =
													((long) (BgL_offsetz00_1388) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 82 */
													long BgL_modz00_1390;

													{	/* Ast/lvtype.scm 82 */
														int BgL_arg2251z00_1391;

														BgL_arg2251z00_1391 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 82 */
															long BgL_auxz00_2895;

															BgL_auxz00_2895 = (long) (BgL_arg2251z00_1391);
															BgL_modz00_1390 =
																(BgL_offsetz00_1389 / BgL_auxz00_2895);
													}}
													{	/* Ast/lvtype.scm 82 */
														long BgL_restz00_1392;

														{	/* Ast/lvtype.scm 82 */
															int BgL_arg2250z00_1393;

															BgL_arg2250z00_1393 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 82 */
																long BgL_auxz00_2899;

																BgL_auxz00_2899 = (long) (BgL_arg2250z00_1393);
																BgL_restz00_1392 =
																	(BgL_offsetz00_1389 % BgL_auxz00_2899);
														}}
														{	/* Ast/lvtype.scm 82 */

															BgL_method3068z00_1382 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1387,
																	(int) (BgL_modz00_1390)),
																(int) (BgL_restz00_1392));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3068z00_1382) (BgL_method3068z00_1382,
								(obj_t) (BgL_arg3180z00_1160), BEOA);
					}}
					{	/* Ast/lvtype.scm 83 */
						obj_t BgL_arg3181z00_1161;

						BgL_arg3181z00_1161 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1156))->BgL_argsz00);
						BgL_auxz00_2885 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3181z00_1161);
					}
					return BBOOL(BgL_auxz00_2885);
				}
			}
		}
	}



/* lvtype-node!-app-ly3082 */
	obj_t BGl_lvtypezd2nodez12zd2appzd2ly3082zc0zzast_lvtypez00(obj_t
		BgL_envz00_2128, obj_t BgL_nodez00_2129)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 72 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1148;

				BgL_nodez00_1148 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2129);
				{	/* Ast/lvtype.scm 74 */
					BgL_nodez00_bglt BgL_arg3177z00_1152;

					BgL_arg3177z00_1152 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1148))->BgL_funz00);
					{	/* Ast/lvtype.scm 74 */
						obj_t BgL_method3068z00_1328;

						{	/* Ast/lvtype.scm 74 */
							BgL_objectz00_bglt BgL_objz00_1329;

							BgL_objz00_1329 = (BgL_objectz00_bglt) (BgL_arg3177z00_1152);
							{	/* Ast/lvtype.scm 74 */
								long BgL_objzd2classzd2numz00_1330;

								BgL_objzd2classzd2numz00_1330 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1329);
								{	/* Ast/lvtype.scm 74 */
									obj_t BgL_arg2249z00_1331;

									BgL_arg2249z00_1331 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 74 */
										obj_t BgL_arrayz00_1333;
										int BgL_offsetz00_1334;

										BgL_arrayz00_1333 = BgL_arg2249z00_1331;
										BgL_offsetz00_1334 = (int) (BgL_objzd2classzd2numz00_1330);
										{	/* Ast/lvtype.scm 74 */
											long BgL_offsetz00_1335;

											BgL_offsetz00_1335 =
												((long) (BgL_offsetz00_1334) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 74 */
												long BgL_modz00_1336;

												{	/* Ast/lvtype.scm 74 */
													int BgL_arg2251z00_1337;

													BgL_arg2251z00_1337 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 74 */
														long BgL_auxz00_2922;

														BgL_auxz00_2922 = (long) (BgL_arg2251z00_1337);
														BgL_modz00_1336 =
															(BgL_offsetz00_1335 / BgL_auxz00_2922);
												}}
												{	/* Ast/lvtype.scm 74 */
													long BgL_restz00_1338;

													{	/* Ast/lvtype.scm 74 */
														int BgL_arg2250z00_1339;

														BgL_arg2250z00_1339 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 74 */
															long BgL_auxz00_2926;

															BgL_auxz00_2926 = (long) (BgL_arg2250z00_1339);
															BgL_restz00_1338 =
																(BgL_offsetz00_1335 % BgL_auxz00_2926);
													}}
													{	/* Ast/lvtype.scm 74 */

														BgL_method3068z00_1328 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1333,
																(int) (BgL_modz00_1336)),
															(int) (BgL_restz00_1338));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3068z00_1328) (BgL_method3068z00_1328,
							(obj_t) (BgL_arg3177z00_1152), BEOA);
				}}
				{	/* Ast/lvtype.scm 75 */
					BgL_nodez00_bglt BgL_arg3178z00_1153;

					BgL_arg3178z00_1153 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1148))->BgL_argz00);
					{	/* Ast/lvtype.scm 75 */
						obj_t BgL_method3068z00_1355;

						{	/* Ast/lvtype.scm 75 */
							BgL_objectz00_bglt BgL_objz00_1356;

							BgL_objz00_1356 = (BgL_objectz00_bglt) (BgL_arg3178z00_1153);
							{	/* Ast/lvtype.scm 75 */
								long BgL_objzd2classzd2numz00_1357;

								BgL_objzd2classzd2numz00_1357 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1356);
								{	/* Ast/lvtype.scm 75 */
									obj_t BgL_arg2249z00_1358;

									BgL_arg2249z00_1358 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 75 */
										obj_t BgL_arrayz00_1360;
										int BgL_offsetz00_1361;

										BgL_arrayz00_1360 = BgL_arg2249z00_1358;
										BgL_offsetz00_1361 = (int) (BgL_objzd2classzd2numz00_1357);
										{	/* Ast/lvtype.scm 75 */
											long BgL_offsetz00_1362;

											BgL_offsetz00_1362 =
												((long) (BgL_offsetz00_1361) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 75 */
												long BgL_modz00_1363;

												{	/* Ast/lvtype.scm 75 */
													int BgL_arg2251z00_1364;

													BgL_arg2251z00_1364 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 75 */
														long BgL_auxz00_2945;

														BgL_auxz00_2945 = (long) (BgL_arg2251z00_1364);
														BgL_modz00_1363 =
															(BgL_offsetz00_1362 / BgL_auxz00_2945);
												}}
												{	/* Ast/lvtype.scm 75 */
													long BgL_restz00_1365;

													{	/* Ast/lvtype.scm 75 */
														int BgL_arg2250z00_1366;

														BgL_arg2250z00_1366 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 75 */
															long BgL_auxz00_2949;

															BgL_auxz00_2949 = (long) (BgL_arg2250z00_1366);
															BgL_restz00_1365 =
																(BgL_offsetz00_1362 % BgL_auxz00_2949);
													}}
													{	/* Ast/lvtype.scm 75 */

														BgL_method3068z00_1355 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1360,
																(int) (BgL_modz00_1363)),
															(int) (BgL_restz00_1365));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3068z00_1355) (BgL_method3068z00_1355,
							(obj_t) (BgL_arg3178z00_1153), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-app3080 */
	obj_t BGl_lvtypezd2nodez12zd2app3080z12zzast_lvtypez00(obj_t BgL_envz00_2130,
		obj_t BgL_nodez00_2131)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 65 */
			{
				BgL_appz00_bglt BgL_nodez00_1141;

				{	/* Ast/lvtype.scm 66 */
					bool_t BgL_auxz00_2960;

					BgL_nodez00_1141 = (BgL_appz00_bglt) (BgL_nodez00_2131);
					{	/* Ast/lvtype.scm 66 */
						obj_t BgL_arg3175z00_1324;

						BgL_arg3175z00_1324 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1141))->BgL_argsz00);
						BgL_auxz00_2960 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3175z00_1324);
					}
					return BBOOL(BgL_auxz00_2960);
				}
			}
		}
	}



/* lvtype-node!-sequenc3078 */
	obj_t BGl_lvtypezd2nodez12zd2sequenc3078z12zzast_lvtypez00(obj_t
		BgL_envz00_2132, obj_t BgL_nodez00_2133)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 58 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1134;

				{	/* Ast/lvtype.scm 59 */
					bool_t BgL_auxz00_2965;

					BgL_nodez00_1134 = (BgL_sequencez00_bglt) (BgL_nodez00_2133);
					{	/* Ast/lvtype.scm 59 */
						obj_t BgL_arg3172z00_1321;

						BgL_arg3172z00_1321 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1134))->BgL_nodesz00);
						BgL_auxz00_2965 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3172z00_1321);
					}
					return BBOOL(BgL_auxz00_2965);
				}
			}
		}
	}



/* lvtype-node!-closure3076 */
	obj_t BGl_lvtypezd2nodez12zd2closure3076z12zzast_lvtypez00(obj_t
		BgL_envz00_2134, obj_t BgL_nodez00_2135)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 52 */
			{
				BgL_closurez00_bglt BgL_nodez00_1126;

				BgL_nodez00_1126 = (BgL_closurez00_bglt) (BgL_nodez00_2135);
				{	/* Ast/lvtype.scm 53 */
					obj_t BgL_arg3170z00_1131;

					BgL_arg3170z00_1131 =
						BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1126));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3287z00zzast_lvtypez00, BGl_string3288z00zzast_lvtypez00,
						BgL_arg3170z00_1131);
				}
			}
		}
	}



/* lvtype-node!-var3074 */
	obj_t BGl_lvtypezd2nodez12zd2var3074z12zzast_lvtypez00(obj_t BgL_envz00_2136,
		obj_t BgL_nodez00_2137)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 46 */
			return BUNSPEC;
		}
	}



/* lvtype-node!-kwote3072 */
	obj_t BGl_lvtypezd2nodez12zd2kwote3072z12zzast_lvtypez00(obj_t
		BgL_envz00_2138, obj_t BgL_nodez00_2139)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return BUNSPEC;
		}
	}



/* lvtype-node!-atom3070 */
	obj_t BGl_lvtypezd2nodez12zd2atom3070z12zzast_lvtypez00(obj_t BgL_envz00_2140,
		obj_t BgL_nodez00_2141)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 34 */
			return BUNSPEC;
		}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_1)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 29 */
			{	/* Ast/lvtype.scm 29 */
				obj_t BgL_method3068z00_2052;

				{	/* Ast/lvtype.scm 29 */
					BgL_objectz00_bglt BgL_objz00_2053;

					BgL_objz00_2053 = (BgL_objectz00_bglt) (BgL_nodez00_1);
					{	/* Ast/lvtype.scm 29 */
						long BgL_objzd2classzd2numz00_2054;

						BgL_objzd2classzd2numz00_2054 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2053);
						{	/* Ast/lvtype.scm 29 */
							obj_t BgL_arg2249z00_2055;

							BgL_arg2249z00_2055 =
								PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
								(int) (((long) 1)));
							{	/* Ast/lvtype.scm 29 */
								obj_t BgL_arrayz00_2057;
								int BgL_offsetz00_2058;

								BgL_arrayz00_2057 = BgL_arg2249z00_2055;
								BgL_offsetz00_2058 = (int) (BgL_objzd2classzd2numz00_2054);
								{	/* Ast/lvtype.scm 29 */
									long BgL_offsetz00_2059;

									BgL_offsetz00_2059 =
										((long) (BgL_offsetz00_2058) - OBJECT_TYPE);
									{	/* Ast/lvtype.scm 29 */
										long BgL_modz00_2060;

										{	/* Ast/lvtype.scm 29 */
											int BgL_arg2251z00_2061;

											BgL_arg2251z00_2061 = (int) (((long) 8));
											{	/* Ast/lvtype.scm 29 */
												long BgL_auxz00_2982;

												BgL_auxz00_2982 = (long) (BgL_arg2251z00_2061);
												BgL_modz00_2060 =
													(BgL_offsetz00_2059 / BgL_auxz00_2982);
										}}
										{	/* Ast/lvtype.scm 29 */
											long BgL_restz00_2062;

											{	/* Ast/lvtype.scm 29 */
												int BgL_arg2250z00_2063;

												BgL_arg2250z00_2063 = (int) (((long) 8));
												{	/* Ast/lvtype.scm 29 */
													long BgL_auxz00_2986;

													BgL_auxz00_2986 = (long) (BgL_arg2250z00_2063);
													BgL_restz00_2062 =
														(BgL_offsetz00_2059 % BgL_auxz00_2986);
											}}
											{	/* Ast/lvtype.scm 29 */

												BgL_method3068z00_2052 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2057,
														(int) (BgL_modz00_2060)), (int) (BgL_restz00_2062));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3068z00_2052) (BgL_method3068z00_2052,
					(obj_t) (BgL_nodez00_1), BEOA);
			}
		}
	}



/* _lvtype-node! */
	obj_t BGl__lvtypezd2nodez12zc0zzast_lvtypez00(obj_t BgL_envz00_2077,
		obj_t BgL_nodez00_2078)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 29 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2078));
		}
	}



/* lvtype-node!-default3067 */
	obj_t BGl_lvtypezd2nodez12zd2default3067z12zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_2)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string3289z00zzast_lvtypez00, (obj_t) (BgL_nodez00_2));
		}
	}



/* _lvtype-node!-default3067 */
	obj_t BGl__lvtypezd2nodez12zd2default3067z12zzast_lvtypez00(obj_t
		BgL_envz00_2142, obj_t BgL_nodez00_2143)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_lvtypezd2nodez12zd2default3067z12zzast_lvtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2143));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3290z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
