/*===========================================================================*/
/*   (Ast/pragma.scm)                                                        */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/pragma.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_pragmaz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__pragmazf2typezd2ze3nodezc3zzast_pragmaz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_pragmaz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_pragmaz00 = BUNSPEC;
	static obj_t BGl_thezd2stringzd2zzast_pragmaz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
	extern BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_zc3anonymousza33148ze3z83zzast_pragmaz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazf2typezd2ze3nodezd2envz11zzast_pragmaz00,
		BgL_bgl__pragmaza7f2typeza7d3312z00,
		BGl__pragmazf2typezd2ze3nodezc3zzast_pragmaz00, 0L, BUNSPEC, 7);
	      DEFINE_STRING(BGl_string3300z00zzast_pragmaz00,
		BgL_bgl_string3300za700za7za7a3313za7, "pragma", 6);
	      DEFINE_STRING(BGl_string3301z00zzast_pragmaz00,
		BgL_bgl_string3301za700za7za7a3314za7, "Pragma ignored with this back-end",
		33);
	      DEFINE_STRING(BGl_string3302z00zzast_pragmaz00,
		BgL_bgl_string3302za700za7za7a3315za7, "Grammar arity mismatch", 22);
	      DEFINE_STRING(BGl_string3303z00zzast_pragmaz00,
		BgL_bgl_string3303za700za7za7a3316za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string3304z00zzast_pragmaz00,
		BgL_bgl_string3304za700za7za7a3317za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string3305z00zzast_pragmaz00,
		BgL_bgl_string3305za700za7za7a3318za7, "", 0);
	      DEFINE_STRING(BGl_string3306z00zzast_pragmaz00,
		BgL_bgl_string3306za700za7za7a3319za7, "Illegal range `~a'", 18);
	      DEFINE_STRING(BGl_string3307z00zzast_pragmaz00,
		BgL_bgl_string3307za700za7za7a3320za7, "the-substring", 13);
	      DEFINE_STRING(BGl_string3308z00zzast_pragmaz00,
		BgL_bgl_string3308za700za7za7a3321za7, "ast_pragma", 10);
	      DEFINE_STRING(BGl_string3298z00zzast_pragmaz00,
		BgL_bgl_string3298za700za7za7a3322za7,
		"Wrong number of arguments in `pragma' form", 42);
	      DEFINE_STRING(BGl_string3309z00zzast_pragmaz00,
		BgL_bgl_string3309za700za7za7a3323za7, "read/rp set! value ", 19);
	      DEFINE_STRING(BGl_string3299z00zzast_pragmaz00,
		BgL_bgl_string3299za700za7za7a3324za7, "Illegal `pragma' form", 21);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long
		BgL_checksumz00_1532, char *BgL_fromz00_1533)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzast_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
					BGl_cnstzd2initzd2zzast_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_pragma");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			{	/* Ast/pragma.scm 14 */
				obj_t BgL_cportz00_1524;

				BgL_cportz00_1524 =
					bgl_open_input_string(BGl_string3309z00zzast_pragmaz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1525;

					BgL_iz00_1525 = ((long) 2);
				BgL_loopz00_1526:
					if ((BgL_iz00_1525 == ((long) -1)))
						{	/* Ast/pragma.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/pragma.scm 14 */
							{	/* Ast/pragma.scm 14 */
								obj_t BgL_arg3311z00_1528;

								{	/* Ast/pragma.scm 14 */

									{	/* Ast/pragma.scm 14 */
										obj_t BgL_locationz00_1530;

										BgL_locationz00_1530 = BBOOL(((bool_t) 0));
										{	/* Ast/pragma.scm 14 */

											BgL_arg3311z00_1528 =
												BGl_readz00zz__readerz00(BgL_cportz00_1524,
												BgL_locationz00_1530);
										}
									}
								}
								{	/* Ast/pragma.scm 14 */
									int BgL_auxz00_1551;

									BgL_auxz00_1551 = (int) (BgL_iz00_1525);
									CNST_TABLE_SET(BgL_auxz00_1551, BgL_arg3311z00_1528);
							}}
							{	/* Ast/pragma.scm 14 */
								int BgL_auxz00_1531;

								BgL_auxz00_1531 = (int) ((BgL_iz00_1525 - ((long) 1)));
								{
									long BgL_iz00_1556;

									BgL_iz00_1556 = (long) (BgL_auxz00_1531);
									BgL_iz00_1525 = BgL_iz00_1556;
									goto BgL_loopz00_1526;
								}
							}
						}
				}
			}
		}
	}



/* pragma/type->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t BgL_freez00_1,
		obj_t BgL_effectz00_2, BgL_typez00_bglt BgL_typez00_3, obj_t BgL_expz00_4,
		obj_t BgL_stackz00_5, obj_t BgL_locz00_6, obj_t BgL_sitez00_7)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 26 */
			{	/* Ast/pragma.scm 27 */
				bool_t BgL_testz00_1558;

				{	/* Ast/pragma.scm 27 */
					obj_t BgL_arg3138z00_823;

					BgL_arg3138z00_823 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Ast/pragma.scm 27 */
						BgL_backendz00_bglt BgL_obj3087z00_1407;

						BgL_obj3087z00_1407 = (BgL_backendz00_bglt) (BgL_arg3138z00_823);
						BgL_testz00_1558 =
							(((BgL_backendz00_bglt) CREF(BgL_obj3087z00_1407))->
							BgL_pragmazd2supportzd2);
					}
				}
				if (BgL_testz00_1558)
					{
						obj_t BgL_formatz00_793;
						obj_t BgL_valuesz00_794;

						if (PAIRP(BgL_expz00_4))
							{	/* Ast/pragma.scm 34 */
								obj_t BgL_cdrzd2937zd2_799;

								BgL_cdrzd2937zd2_799 = CDR(BgL_expz00_4);
								if (PAIRP(BgL_cdrzd2937zd2_799))
									{	/* Ast/pragma.scm 34 */
										obj_t BgL_carzd2940zd2_801;

										BgL_carzd2940zd2_801 = CAR(BgL_cdrzd2937zd2_799);
										if (STRINGP(BgL_carzd2940zd2_801))
											{	/* Ast/pragma.scm 34 */
												obj_t BgL_arg3124z00_803;

												BgL_arg3124z00_803 = CDR(BgL_cdrzd2937zd2_799);
												{	/* Ast/pragma.scm 34 */
													obj_t BgL_auxz00_1571;

													BgL_formatz00_793 = BgL_carzd2940zd2_801;
													BgL_valuesz00_794 = BgL_arg3124z00_803;
													{	/* Ast/pragma.scm 36 */
														obj_t BgL_maxzd2indexzd2_804;
														obj_t BgL_locz00_805;

														BgL_maxzd2indexzd2_804 =
															BGl_getzd2maxzd2indexz00zzast_pragmaz00
															(BgL_formatz00_793);
														BgL_locz00_805 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_4, BgL_locz00_6);
														if (((long) CINT(BgL_maxzd2indexzd2_804) ==
																bgl_list_length(BgL_valuesz00_794)))
															{
																obj_t BgL_expsz00_808;
																obj_t BgL_nodesz00_809;

																{	/* Ast/pragma.scm 43 */
																	BgL_pragmaz00_bglt BgL_auxz00_1578;

																	BgL_expsz00_808 = BgL_valuesz00_794;
																	BgL_nodesz00_809 = BNIL;
																BgL_loopz00_810:
																	if (NULLP(BgL_expsz00_808))
																		{	/* Ast/pragma.scm 51 */
																			bool_t BgL_arg3127z00_812;
																			obj_t BgL_arg3129z00_814;

																			if (BgL_freez00_1)
																				{	/* Ast/pragma.scm 51 */
																					BgL_arg3127z00_812 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/pragma.scm 51 */
																					BgL_arg3127z00_812 = ((bool_t) 1);
																				}
																			BgL_arg3129z00_814 =
																				bgl_reverse_bang(BgL_nodesz00_809);
																			BgL_auxz00_1578 =
																				BGl_makezd2pragmazd2zzast_nodez00
																				(BgL_locz00_805, BgL_typez00_3,
																				BBOOL(BgL_arg3127z00_812),
																				BINT(((long) -1)), BgL_arg3129z00_814,
																				BgL_effectz00_2, BgL_formatz00_793);
																		}
																	else
																		{	/* Ast/pragma.scm 53 */
																			obj_t BgL_arg3130z00_815;
																			obj_t BgL_arg3131z00_816;

																			BgL_arg3130z00_815 = CDR(BgL_expsz00_808);
																			{	/* Ast/pragma.scm 55 */
																				BgL_nodez00_bglt BgL_arg3132z00_817;

																				{	/* Ast/pragma.scm 55 */
																					obj_t BgL_arg3133z00_818;
																					obj_t BgL_arg3134z00_819;
																					obj_t BgL_arg3135z00_820;

																					BgL_arg3133z00_818 =
																						CAR(BgL_expsz00_808);
																					BgL_arg3134z00_819 =
																						BGl_findzd2locationzf2locz20zztools_locationz00
																						(CAR(BgL_expsz00_808),
																						BgL_locz00_805);
																					if (BgL_freez00_1)
																						{	/* Ast/pragma.scm 58 */
																							BgL_arg3135z00_820 =
																								CNST_TABLE_REF(((long) 0));
																						}
																					else
																						{	/* Ast/pragma.scm 58 */
																							BgL_arg3135z00_820 =
																								CNST_TABLE_REF(((long) 1));
																						}
																					BgL_arg3132z00_817 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(BgL_arg3133z00_818, BgL_stackz00_5,
																						BgL_arg3134z00_819,
																						BgL_arg3135z00_820);
																				}
																				BgL_arg3131z00_816 =
																					MAKE_PAIR(
																					(obj_t) (BgL_arg3132z00_817),
																					BgL_nodesz00_809);
																			}
																			{
																				obj_t BgL_nodesz00_1597;
																				obj_t BgL_expsz00_1596;

																				BgL_expsz00_1596 = BgL_arg3130z00_815;
																				BgL_nodesz00_1597 = BgL_arg3131z00_816;
																				BgL_nodesz00_809 = BgL_nodesz00_1597;
																				BgL_expsz00_808 = BgL_expsz00_1596;
																				goto BgL_loopz00_810;
																			}
																		}
																	BgL_auxz00_1571 = (obj_t) (BgL_auxz00_1578);
																}
															}
														else
															{	/* Ast/pragma.scm 39 */
																BgL_nodez00_bglt BgL_auxz00_1599;

																BgL_auxz00_1599 =
																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																	(BGl_string3298z00zzast_pragmaz00,
																	BgL_expz00_4, BgL_locz00_805);
																BgL_auxz00_1571 = (obj_t) (BgL_auxz00_1599);
															}
													}
													return (BgL_nodez00_bglt) (BgL_auxz00_1571);
												}
											}
										else
											{	/* Ast/pragma.scm 34 */
											BgL_tagzd2930zd2_796:
												return
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string3299z00zzast_pragmaz00, BgL_expz00_4,
													BgL_locz00_6);
											}
									}
								else
									{	/* Ast/pragma.scm 34 */
										goto BgL_tagzd2930zd2_796;
									}
							}
						else
							{	/* Ast/pragma.scm 34 */
								goto BgL_tagzd2930zd2_796;
							}
					}
				else
					{	/* Ast/pragma.scm 27 */
						BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_6,
							BGl_string3300z00zzast_pragmaz00,
							BGl_string3301z00zzast_pragmaz00, BgL_expz00_4);
						return BGl_sexpzd2ze3nodez31zzast_sexpz00(BUNSPEC, BgL_stackz00_5,
							BgL_locz00_6, BgL_sitez00_7);
					}
			}
		}
	}



/* _pragma/type->node */
	obj_t BGl__pragmazf2typezd2ze3nodezc3zzast_pragmaz00(obj_t BgL_envz00_1511,
		obj_t BgL_freez00_1512, obj_t BgL_effectz00_1513, obj_t BgL_typez00_1514,
		obj_t BgL_expz00_1515, obj_t BgL_stackz00_1516, obj_t BgL_locz00_1517,
		obj_t BgL_sitez00_1518)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 26 */
			{	/* Ast/pragma.scm 27 */
				BgL_nodez00_bglt BgL_auxz00_1606;

				BgL_auxz00_1606 =
					BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(CBOOL(BgL_freez00_1512),
					BgL_effectz00_1513, (BgL_typez00_bglt) (BgL_typez00_1514),
					BgL_expz00_1515, BgL_stackz00_1516, BgL_locz00_1517,
					BgL_sitez00_1518);
				return (obj_t) (BgL_auxz00_1606);
			}
		}
	}



/* get-max-index */
	obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t BgL_formatz00_8)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 66 */
			{	/* Ast/pragma.scm 67 */
				obj_t BgL_parserz00_824;
				obj_t BgL_portz00_825;

				{	/* Ast/pragma.scm 67 */
					obj_t BgL_zc3anonymousza33148ze3z83_1519;

					BgL_zc3anonymousza33148ze3z83_1519 =
						make_fx_procedure(BGl_zc3anonymousza33148ze3z83zzast_pragmaz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33148ze3z83_1519,
						(int) (((long) 0)), BgL_formatz00_8);
					BgL_parserz00_824 = BgL_zc3anonymousza33148ze3z83_1519;
				}
				{	/* Ast/pragma.scm 74 */

					BgL_portz00_825 =
						BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_formatz00_8,
						BINT(((long) 0)));
				}
				{	/* Ast/pragma.scm 75 */
					obj_t BgL_g3115z00_826;

					if (PROCEDURE_CORRECT_ARITYP(BgL_parserz00_824, (int) (((long) 1))))
						{	/* Ast/pragma.scm 75 */
							BgL_g3115z00_826 =
								PROCEDURE_ENTRY(BgL_parserz00_824) (BgL_parserz00_824,
								BgL_portz00_825, BEOA);
						}
					else
						{	/* Ast/pragma.scm 75 */
							BgL_g3115z00_826 =
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
								BGl_string3302z00zzast_pragmaz00, BgL_parserz00_824);
						}
					{
						obj_t BgL_expz00_827;
						obj_t BgL_maxz00_828;

						BgL_expz00_827 = BgL_g3115z00_826;
						BgL_maxz00_828 = BINT(((long) 0));
					BgL_loopz00_829:
						if (EOF_OBJECTP(BgL_expz00_827))
							{	/* Ast/pragma.scm 78 */
								return BgL_maxz00_828;
							}
						else
							{	/* Ast/pragma.scm 78 */
								if (CHARP(BgL_expz00_827))
									{	/* Ast/pragma.scm 81 */
										obj_t BgL_arg3141z00_832;

										if (PROCEDURE_CORRECT_ARITYP(BgL_parserz00_824,
												(int) (((long) 1))))
											{	/* Ast/pragma.scm 81 */
												BgL_arg3141z00_832 =
													PROCEDURE_ENTRY(BgL_parserz00_824) (BgL_parserz00_824,
													BgL_portz00_825, BEOA);
											}
										else
											{	/* Ast/pragma.scm 81 */
												BgL_arg3141z00_832 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
													BGl_string3302z00zzast_pragmaz00, BgL_parserz00_824);
											}
										{
											obj_t BgL_expz00_1636;

											BgL_expz00_1636 = BgL_arg3141z00_832;
											BgL_expz00_827 = BgL_expz00_1636;
											goto BgL_loopz00_829;
										}
									}
								else
									{	/* Ast/pragma.scm 83 */
										obj_t BgL_arg3143z00_835;
										obj_t BgL_arg3144z00_836;

										if (PROCEDURE_CORRECT_ARITYP(BgL_parserz00_824,
												(int) (((long) 1))))
											{	/* Ast/pragma.scm 83 */
												BgL_arg3143z00_835 =
													PROCEDURE_ENTRY(BgL_parserz00_824) (BgL_parserz00_824,
													BgL_portz00_825, BEOA);
											}
										else
											{	/* Ast/pragma.scm 83 */
												BgL_arg3143z00_835 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
													BGl_string3302z00zzast_pragmaz00, BgL_parserz00_824);
											}
										if (
											((long) CINT(BgL_expz00_827) >
												(long) CINT(BgL_maxz00_828)))
											{	/* Ast/pragma.scm 83 */
												BgL_arg3144z00_836 = BgL_expz00_827;
											}
										else
											{	/* Ast/pragma.scm 83 */
												BgL_arg3144z00_836 = BgL_maxz00_828;
											}
										{
											obj_t BgL_maxz00_1649;
											obj_t BgL_expz00_1648;

											BgL_expz00_1648 = BgL_arg3143z00_835;
											BgL_maxz00_1649 = BgL_arg3144z00_836;
											BgL_maxz00_828 = BgL_maxz00_1649;
											BgL_expz00_827 = BgL_expz00_1648;
											goto BgL_loopz00_829;
										}
									}
							}
					}
				}
			}
		}
	}



/* <anonymous:3148> */
	obj_t BGl_zc3anonymousza33148ze3z83zzast_pragmaz00(obj_t BgL_envz00_1520,
		obj_t BgL_inputzd2portzd2_1522)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 67 */
			{	/* Ast/pragma.scm 67 */
				obj_t BgL_formatz00_1521;

				BgL_formatz00_1521 = PROCEDURE_REF(BgL_envz00_1520, (int) (((long) 0)));
				{
					obj_t BgL_inputzd2portzd2_843;

					BgL_inputzd2portzd2_843 = BgL_inputzd2portzd2_1522;
					{
						obj_t BgL_inputzd2portzd2_995;
						long BgL_lastzd2matchzd2_996;
						obj_t BgL_thezd2rgczd2contextz00_997;
						obj_t BgL_inputzd2portzd2_985;
						long BgL_lastzd2matchzd2_986;
						obj_t BgL_thezd2rgczd2contextz00_987;
						obj_t BgL_inputzd2portzd2_975;
						long BgL_lastzd2matchzd2_976;
						obj_t BgL_thezd2rgczd2contextz00_977;
						obj_t BgL_inputzd2portzd2_965;
						long BgL_lastzd2matchzd2_966;
						obj_t BgL_thezd2rgczd2contextz00_967;
						obj_t BgL_inputzd2portzd2_956;
						long BgL_lastzd2matchzd2_957;
						obj_t BgL_thezd2rgczd2contextz00_958;
						long BgL_minz00_922;
						int BgL_maxz00_923;

					BgL_zc3anonymousza33149ze3z83_874:
						RGC_START_MATCH(BgL_inputzd2portzd2_843);
						{	/* Ast/pragma.scm 67 */
							long BgL_matchz00_875;

							BgL_inputzd2portzd2_956 = BgL_inputzd2portzd2_843;
							BgL_lastzd2matchzd2_957 = ((long) 2);
							BgL_thezd2rgczd2contextz00_958 = BUNSPEC;
						BgL_zc3anonymousza33221ze3z83_959:
							{	/* Ast/pragma.scm 67 */
								int BgL_currentzd2charzd2_960;

								BgL_currentzd2charzd2_960 =
									RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_956);
								if (((long) (BgL_currentzd2charzd2_960) == ((long) 0)))
									{	/* Ast/pragma.scm 67 */
										if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_956))
											{	/* Ast/pragma.scm 67 */
												if (rgc_fill_buffer(BgL_inputzd2portzd2_956))
													{

														goto BgL_zc3anonymousza33221ze3z83_959;
													}
												else
													{	/* Ast/pragma.scm 67 */
														BgL_matchz00_875 = BgL_lastzd2matchzd2_957;
													}
											}
										else
											{	/* Ast/pragma.scm 67 */
												BgL_inputzd2portzd2_965 = BgL_inputzd2portzd2_956;
												BgL_lastzd2matchzd2_966 = BgL_lastzd2matchzd2_957;
												BgL_thezd2rgczd2contextz00_967 =
													BgL_thezd2rgczd2contextz00_958;
											BgL_zc3anonymousza33226ze3z83_968:
												{	/* Ast/pragma.scm 67 */
													long BgL_newzd2matchzd2_969;

													RGC_STOP_MATCH(BgL_inputzd2portzd2_965);
													BgL_newzd2matchzd2_969 = ((long) 1);
													{	/* Ast/pragma.scm 67 */
														int BgL_currentzd2charzd2_970;

														BgL_currentzd2charzd2_970 =
															RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_965);
														if (
															((long) (BgL_currentzd2charzd2_970) ==
																((long) 0)))
															{	/* Ast/pragma.scm 67 */
																if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_965))
																	{	/* Ast/pragma.scm 67 */
																		if (rgc_fill_buffer
																			(BgL_inputzd2portzd2_965))
																			{

																				goto BgL_zc3anonymousza33226ze3z83_968;
																			}
																		else
																			{	/* Ast/pragma.scm 67 */
																				BgL_matchz00_875 =
																					BgL_newzd2matchzd2_969;
																			}
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_inputzd2portzd2_995 =
																			BgL_inputzd2portzd2_965;
																		BgL_lastzd2matchzd2_996 =
																			BgL_newzd2matchzd2_969;
																		BgL_thezd2rgczd2contextz00_997 =
																			BgL_thezd2rgczd2contextz00_967;
																	BgL_zc3anonymousza33241ze3z83_998:
																		{	/* Ast/pragma.scm 67 */
																			long BgL_newzd2matchzd2_999;

																			RGC_STOP_MATCH(BgL_inputzd2portzd2_995);
																			BgL_newzd2matchzd2_999 = ((long) 1);
																			{	/* Ast/pragma.scm 67 */
																				int BgL_currentzd2charzd2_1000;

																				BgL_currentzd2charzd2_1000 =
																					RGC_BUFFER_GET_CHAR
																					(BgL_inputzd2portzd2_995);
																				if (((long) (BgL_currentzd2charzd2_1000)
																						== ((long) 0)))
																					{	/* Ast/pragma.scm 67 */
																						if (RGC_BUFFER_EMPTY
																							(BgL_inputzd2portzd2_995))
																							{	/* Ast/pragma.scm 67 */
																								if (rgc_fill_buffer
																									(BgL_inputzd2portzd2_995))
																									{

																										goto
																											BgL_zc3anonymousza33241ze3z83_998;
																									}
																								else
																									{	/* Ast/pragma.scm 67 */
																										BgL_matchz00_875 =
																											BgL_newzd2matchzd2_999;
																									}
																							}
																						else
																							{
																								long BgL_lastzd2matchzd2_1680;

																								BgL_lastzd2matchzd2_1680 =
																									BgL_newzd2matchzd2_999;
																								BgL_lastzd2matchzd2_996 =
																									BgL_lastzd2matchzd2_1680;
																								goto
																									BgL_zc3anonymousza33241ze3z83_998;
																							}
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						if (
																							((long)
																								(BgL_currentzd2charzd2_1000) ==
																								((long) 36)))
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_875 =
																									BgL_newzd2matchzd2_999;
																							}
																						else
																							{
																								long BgL_lastzd2matchzd2_1684;

																								BgL_lastzd2matchzd2_1684 =
																									BgL_newzd2matchzd2_999;
																								BgL_lastzd2matchzd2_996 =
																									BgL_lastzd2matchzd2_1684;
																								goto
																									BgL_zc3anonymousza33241ze3z83_998;
																							}
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																if (
																	((long) (BgL_currentzd2charzd2_970) ==
																		((long) 36)))
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_875 = BgL_newzd2matchzd2_969;
																	}
																else
																	{
																		obj_t BgL_thezd2rgczd2contextz00_1690;
																		long BgL_lastzd2matchzd2_1689;
																		obj_t BgL_inputzd2portzd2_1688;

																		BgL_inputzd2portzd2_1688 =
																			BgL_inputzd2portzd2_965;
																		BgL_lastzd2matchzd2_1689 =
																			BgL_newzd2matchzd2_969;
																		BgL_thezd2rgczd2contextz00_1690 =
																			BgL_thezd2rgczd2contextz00_967;
																		BgL_thezd2rgczd2contextz00_997 =
																			BgL_thezd2rgczd2contextz00_1690;
																		BgL_lastzd2matchzd2_996 =
																			BgL_lastzd2matchzd2_1689;
																		BgL_inputzd2portzd2_995 =
																			BgL_inputzd2portzd2_1688;
																		goto BgL_zc3anonymousza33241ze3z83_998;
																	}
															}
													}
												}
											}
									}
								else
									{	/* Ast/pragma.scm 67 */
										if (((long) (BgL_currentzd2charzd2_960) == ((long) 36)))
											{	/* Ast/pragma.scm 67 */
												BgL_inputzd2portzd2_985 = BgL_inputzd2portzd2_956;
												BgL_lastzd2matchzd2_986 = BgL_lastzd2matchzd2_957;
												BgL_thezd2rgczd2contextz00_987 =
													BgL_thezd2rgczd2contextz00_958;
											BgL_zc3anonymousza33236ze3z83_988:
												{	/* Ast/pragma.scm 67 */
													long BgL_newzd2matchzd2_989;

													RGC_STOP_MATCH(BgL_inputzd2portzd2_985);
													BgL_newzd2matchzd2_989 = ((long) 2);
													{	/* Ast/pragma.scm 67 */
														int BgL_currentzd2charzd2_990;

														BgL_currentzd2charzd2_990 =
															RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_985);
														if (
															((long) (BgL_currentzd2charzd2_990) ==
																((long) 0)))
															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_1699;

																{	/* Ast/pragma.scm 67 */
																	bool_t BgL_res3297z00_1494;

																	{	/* Ast/pragma.scm 67 */
																		obj_t BgL_inputzd2portzd2_1490;

																		BgL_inputzd2portzd2_1490 =
																			BgL_inputzd2portzd2_985;
																		if (RGC_BUFFER_EMPTY
																			(BgL_inputzd2portzd2_1490))
																			{	/* Ast/pragma.scm 67 */
																				BgL_res3297z00_1494 =
																					rgc_fill_buffer
																					(BgL_inputzd2portzd2_1490);
																			}
																		else
																			{	/* Ast/pragma.scm 67 */
																				BgL_res3297z00_1494 = ((bool_t) 0);
																			}
																	}
																	BgL_testz00_1699 = BgL_res3297z00_1494;
																}
																if (BgL_testz00_1699)
																	{

																		goto BgL_zc3anonymousza33236ze3z83_988;
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_875 = BgL_newzd2matchzd2_989;
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_1703;

																if (
																	((long) (BgL_currentzd2charzd2_990) >=
																		((long) 48)))
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1703 =
																			(
																			(long) (BgL_currentzd2charzd2_990) <
																			((long) 58));
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1703 = ((bool_t) 0);
																	}
																if (BgL_testz00_1703)
																	{	/* Ast/pragma.scm 67 */
																		BgL_inputzd2portzd2_975 =
																			BgL_inputzd2portzd2_985;
																		BgL_lastzd2matchzd2_976 =
																			BgL_newzd2matchzd2_989;
																		BgL_thezd2rgczd2contextz00_977 =
																			BgL_thezd2rgczd2contextz00_987;
																	BgL_zc3anonymousza33231ze3z83_978:
																		{	/* Ast/pragma.scm 67 */
																			long BgL_newzd2matchzd2_979;

																			RGC_STOP_MATCH(BgL_inputzd2portzd2_975);
																			BgL_newzd2matchzd2_979 = ((long) 0);
																			{	/* Ast/pragma.scm 67 */
																				int BgL_currentzd2charzd2_980;

																				BgL_currentzd2charzd2_980 =
																					RGC_BUFFER_GET_CHAR
																					(BgL_inputzd2portzd2_975);
																				if (((long) (BgL_currentzd2charzd2_980)
																						== ((long) 0)))
																					{	/* Ast/pragma.scm 67 */
																						bool_t BgL_testz00_1714;

																						{	/* Ast/pragma.scm 67 */
																							bool_t BgL_res3296z00_1481;

																							{	/* Ast/pragma.scm 67 */
																								obj_t BgL_inputzd2portzd2_1477;

																								BgL_inputzd2portzd2_1477 =
																									BgL_inputzd2portzd2_975;
																								if (RGC_BUFFER_EMPTY
																									(BgL_inputzd2portzd2_1477))
																									{	/* Ast/pragma.scm 67 */
																										BgL_res3296z00_1481 =
																											rgc_fill_buffer
																											(BgL_inputzd2portzd2_1477);
																									}
																								else
																									{	/* Ast/pragma.scm 67 */
																										BgL_res3296z00_1481 =
																											((bool_t) 0);
																									}
																							}
																							BgL_testz00_1714 =
																								BgL_res3296z00_1481;
																						}
																						if (BgL_testz00_1714)
																							{

																								goto
																									BgL_zc3anonymousza33231ze3z83_978;
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_875 =
																									BgL_newzd2matchzd2_979;
																							}
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						bool_t BgL_testz00_1718;

																						if (
																							((long)
																								(BgL_currentzd2charzd2_980) >=
																								((long) 48)))
																							{	/* Ast/pragma.scm 67 */
																								BgL_testz00_1718 =
																									(
																									(long)
																									(BgL_currentzd2charzd2_980) <
																									((long) 58));
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_testz00_1718 = ((bool_t) 0);
																							}
																						if (BgL_testz00_1718)
																							{
																								long BgL_lastzd2matchzd2_1724;

																								BgL_lastzd2matchzd2_1724 =
																									BgL_newzd2matchzd2_979;
																								BgL_lastzd2matchzd2_976 =
																									BgL_lastzd2matchzd2_1724;
																								goto
																									BgL_zc3anonymousza33231ze3z83_978;
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_875 =
																									BgL_newzd2matchzd2_979;
																							}
																					}
																			}
																		}
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_875 = BgL_newzd2matchzd2_989;
																	}
															}
													}
												}
											}
										else
											{
												obj_t BgL_thezd2rgczd2contextz00_1727;
												long BgL_lastzd2matchzd2_1726;
												obj_t BgL_inputzd2portzd2_1725;

												BgL_inputzd2portzd2_1725 = BgL_inputzd2portzd2_956;
												BgL_lastzd2matchzd2_1726 = BgL_lastzd2matchzd2_957;
												BgL_thezd2rgczd2contextz00_1727 =
													BgL_thezd2rgczd2contextz00_958;
												BgL_thezd2rgczd2contextz00_967 =
													BgL_thezd2rgczd2contextz00_1727;
												BgL_lastzd2matchzd2_966 = BgL_lastzd2matchzd2_1726;
												BgL_inputzd2portzd2_965 = BgL_inputzd2portzd2_1725;
												goto BgL_zc3anonymousza33226ze3z83_968;
											}
									}
							}
							RGC_SET_FILEPOS(BgL_inputzd2portzd2_843);
							{

								switch (BgL_matchz00_875)
									{
									case ((long) 2):

										{	/* Ast/pragma.scm 67 */
											bool_t BgL_testz00_1729;

											{	/* Ast/pragma.scm 67 */
												long BgL_arg3162z00_893;

												BgL_arg3162z00_893 =
													RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_843);
												BgL_testz00_1729 = (BgL_arg3162z00_893 == ((long) 0));
											}
											if (BgL_testz00_1729)
												{	/* Ast/pragma.scm 67 */
													return BCNST(256);
												}
											else
												{	/* Ast/pragma.scm 67 */
													obj_t BgL_inputzd2portzd2_1427;

													BgL_inputzd2portzd2_1427 = BgL_inputzd2portzd2_843;
													return
														BCHAR(RGC_BUFFER_CHARACTER
														(BgL_inputzd2portzd2_1427));
												}
										}
										break;
									case ((long) 1):

										goto BgL_zc3anonymousza33149ze3z83_874;
										break;
									case ((long) 0):

										{	/* Ast/pragma.scm 69 */
											obj_t BgL_arg3151z00_879;

											{	/* Ast/pragma.scm 69 */
												int BgL_arg3154z00_882;

												{	/* Ast/pragma.scm 69 */
													int BgL_res3292z00_1423;

													{	/* Ast/pragma.scm 69 */
														obj_t BgL_inputzd2portzd2_1422;

														BgL_inputzd2portzd2_1422 = BgL_inputzd2portzd2_843;
														BgL_res3292z00_1423 =
															(int) (RGC_BUFFER_LENGTH
															(BgL_inputzd2portzd2_1422));
													}
													BgL_arg3154z00_882 = BgL_res3292z00_1423;
												}
												BgL_minz00_922 = ((long) 1);
												BgL_maxz00_923 = BgL_arg3154z00_882;
												if (((long) (BgL_maxz00_923) < ((long) 0)))
													{	/* Ast/pragma.scm 67 */
														long BgL_stopz00_926;

														{	/* Ast/pragma.scm 67 */
															int BgL_arg3199z00_934;

															{	/* Ast/pragma.scm 67 */
																int BgL_res3293z00_1432;

																{	/* Ast/pragma.scm 67 */
																	obj_t BgL_inputzd2portzd2_1431;

																	BgL_inputzd2portzd2_1431 =
																		BgL_inputzd2portzd2_843;
																	BgL_res3293z00_1432 =
																		(int) (RGC_BUFFER_LENGTH
																		(BgL_inputzd2portzd2_1431));
																}
																BgL_arg3199z00_934 = BgL_res3293z00_1432;
															}
															BgL_stopz00_926 =
																(
																(long) (BgL_arg3199z00_934) +
																(long) (BgL_maxz00_923));
														}
														if ((BgL_stopz00_926 <= BgL_minz00_922))
															{	/* Ast/pragma.scm 67 */
																if ((BgL_stopz00_926 == BgL_minz00_922))
																	{	/* Ast/pragma.scm 67 */
																		BgL_arg3151z00_879 =
																			BGl_string3305z00zzast_pragmaz00;
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		obj_t BgL_arg3195z00_930;
																		obj_t BgL_arg3196z00_931;

																		{	/* Ast/pragma.scm 67 */
																			obj_t BgL_arg3198z00_933;

																			BgL_arg3198z00_933 =
																				BGl_thezd2stringzd2zzast_pragmaz00
																				(BgL_inputzd2portzd2_843);
																			BgL_arg3195z00_930 =
																				PROCEDURE_ENTRY(BgL_formatz00_1521)
																				(BgL_formatz00_1521,
																				BGl_string3306z00zzast_pragmaz00,
																				BgL_arg3198z00_933, BEOA);
																		}
																		BgL_arg3196z00_931 =
																			MAKE_PAIR(BINT(BgL_minz00_922),
																			BINT(BgL_maxz00_923));
																		BgL_arg3151z00_879 =
																			BGl_errorz00zz__errorz00
																			(BGl_string3307z00zzast_pragmaz00,
																			BgL_arg3195z00_930, BgL_arg3196z00_931);
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_arg3151z00_879 =
																	rgc_buffer_substring(BgL_inputzd2portzd2_843,
																	BgL_minz00_922, BgL_stopz00_926);
															}
													}
												else
													{	/* Ast/pragma.scm 67 */
														bool_t BgL_testz00_1756;

														if ((BgL_minz00_922 >= ((long) 0)))
															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_1759;

																{	/* Ast/pragma.scm 67 */
																	int BgL_arg3210z00_943;

																	{	/* Ast/pragma.scm 67 */
																		int BgL_res3294z00_1445;

																		{	/* Ast/pragma.scm 67 */
																			obj_t BgL_inputzd2portzd2_1444;

																			BgL_inputzd2portzd2_1444 =
																				BgL_inputzd2portzd2_843;
																			BgL_res3294z00_1445 =
																				(int) (RGC_BUFFER_LENGTH
																				(BgL_inputzd2portzd2_1444));
																		}
																		BgL_arg3210z00_943 = BgL_res3294z00_1445;
																	}
																	BgL_testz00_1759 =
																		(
																		(long) (BgL_maxz00_923) <=
																		(long) (BgL_arg3210z00_943));
																}
																if (BgL_testz00_1759)
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1756 =
																			(
																			(long) (BgL_maxz00_923) >=
																			BgL_minz00_922);
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1756 = ((bool_t) 0);
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_testz00_1756 = ((bool_t) 0);
															}
														if (BgL_testz00_1756)
															{	/* Ast/pragma.scm 67 */
																BgL_arg3151z00_879 =
																	rgc_buffer_substring(BgL_inputzd2portzd2_843,
																	BgL_minz00_922, (long) (BgL_maxz00_923));
															}
														else
															{	/* Ast/pragma.scm 67 */
																obj_t BgL_arg3202z00_937;
																obj_t BgL_arg3203z00_938;

																{	/* Ast/pragma.scm 67 */
																	obj_t BgL_arg3207z00_940;

																	BgL_arg3207z00_940 =
																		BGl_thezd2stringzd2zzast_pragmaz00
																		(BgL_inputzd2portzd2_843);
																	BgL_arg3202z00_937 =
																		PROCEDURE_ENTRY(BgL_formatz00_1521)
																		(BgL_formatz00_1521,
																		BGl_string3306z00zzast_pragmaz00,
																		BgL_arg3207z00_940, BEOA);
																}
																BgL_arg3203z00_938 =
																	MAKE_PAIR(BINT(BgL_minz00_922),
																	BINT(BgL_maxz00_923));
																BgL_arg3151z00_879 =
																	BGl_errorz00zz__errorz00
																	(BGl_string3307z00zzast_pragmaz00,
																	BgL_arg3202z00_937, BgL_arg3203z00_938);
															}
													}
											}
											return
												BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
												(BgL_arg3151z00_879, BNIL);
										}
										break;
									default:
										return
											BGl_errorz00zz__errorz00(BGl_string3303z00zzast_pragmaz00,
											BGl_string3304z00zzast_pragmaz00, BINT(BgL_matchz00_875));
									}
							}
						}
					}
				}
			}
		}
	}



/* the-string */
	obj_t BGl_thezd2stringzd2zzast_pragmaz00(obj_t BgL_inputzd2portzd2_1523)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 67 */
			{	/* Ast/pragma.scm 67 */
				int BgL_arg3215z00_946;

				{	/* Ast/pragma.scm 67 */
					int BgL_res3295z00_1454;

					{	/* Ast/pragma.scm 67 */
						obj_t BgL_inputzd2portzd2_1453;

						BgL_inputzd2portzd2_1453 = BgL_inputzd2portzd2_1523;
						BgL_res3295z00_1454 =
							(int) (RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1453));
					}
					BgL_arg3215z00_946 = BgL_res3295z00_1454;
				}
				return
					rgc_buffer_substring(BgL_inputzd2portzd2_1523, ((long) 0),
					(long) (BgL_arg3215z00_946));
		}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3308z00zzast_pragmaz00));
		}
	}

#ifdef __cplusplus
}
#endif
