/*===========================================================================*/
/*   (Ast/private.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/private.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_demangle(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_privatez00();
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_mangledp(obj_t);
	static obj_t BGl__makezd2privatezd2sexp3321z00zzast_privatez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_privatez00();
	extern BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2privatezd2stampza2zd2zzast_privatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_isaz00_bglt BGl_makezd2isazd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_privatez00();
	extern BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_privatez00 = BUNSPEC;
	static obj_t BGl__privatezd2sexpzf33319z21zzast_privatez00(obj_t, obj_t);
	extern BgL_castzd2nullzd2_bglt BGl_makezd2castzd2nullz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	extern BgL_getfieldz00_bglt BGl_makezd2getfieldzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt);
	extern BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_privatezd2ze3nodez31zzast_privatez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_privatez00();
	static obj_t BGl__privatezd2ze3node3320z31zzast_privatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern BgL_setfieldz00_bglt BGl_makezd2setfieldzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_privatez00();
	static obj_t __cnst[13];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2privatezd2sexpzd2envzd2zzast_privatez00,
		BgL_bgl__makeza7d2privateza73328z00, va_generic_entry,
		BGl__makezd2privatezd2sexp3321z00zzast_privatez00, BUNSPEC, -3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2sexpzf3zd2envzf3zzast_privatez00,
		BgL_bgl__privateza7d2sexpza73329z00,
		BGl__privatezd2sexpzf33319z21zzast_privatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2ze3nodezd2envze3zzast_privatez00,
		BgL_bgl__privateza7d2za7e3no3330z00,
		BGl__privatezd2ze3node3320z31zzast_privatez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3322z00zzast_privatez00,
		BgL_bgl_string3322za700za7za7a3331za7, "private->node", 13);
	      DEFINE_STRING(BGl_string3323z00zzast_privatez00,
		BgL_bgl_string3323za700za7za7a3332za7, "Illegal private kind", 20);
	      DEFINE_STRING(BGl_string3324z00zzast_privatez00,
		BgL_bgl_string3324za700za7za7a3333za7, "ast_private", 11);
	      DEFINE_STRING(BGl_string3325z00zzast_privatez00,
		BgL_bgl_string3325za700za7za7a3334za7,
		"valloc vset! vref vlength isa cast-null cast quote new setfield getfield - ___bgl_private_stamp_mark ",
		101);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long
		BgL_checksumz00_1688, char *BgL_fromz00_1689)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_privatez00))
				{
					BGl_requirezd2initializa7ationz75zzast_privatez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_privatez00();
					BGl_cnstzd2initzd2zzast_privatez00();
					BGl_importedzd2moduleszd2initz00zzast_privatez00();
					BGl_toplevelzd2initzd2zzast_privatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_privatez00()
	{
		AN_OBJECT;
		{	/* Ast/private.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_private");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_private");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_private");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_private");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_private");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_privatez00()
	{
		AN_OBJECT;
		{	/* Ast/private.scm 15 */
			{	/* Ast/private.scm 15 */
				obj_t BgL_cportz00_1680;

				BgL_cportz00_1680 =
					bgl_open_input_string(BGl_string3325z00zzast_privatez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1681;

					BgL_iz00_1681 = ((long) 12);
				BgL_loopz00_1682:
					if ((BgL_iz00_1681 == ((long) -1)))
						{	/* Ast/private.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/private.scm 15 */
							{	/* Ast/private.scm 15 */
								obj_t BgL_arg3327z00_1684;

								{	/* Ast/private.scm 15 */

									{	/* Ast/private.scm 15 */
										obj_t BgL_locationz00_1686;

										BgL_locationz00_1686 = BBOOL(((bool_t) 0));
										{	/* Ast/private.scm 15 */

											BgL_arg3327z00_1684 =
												BGl_readz00zz__readerz00(BgL_cportz00_1680,
												BgL_locationz00_1686);
										}
									}
								}
								{	/* Ast/private.scm 15 */
									int BgL_auxz00_1708;

									BgL_auxz00_1708 = (int) (BgL_iz00_1681);
									CNST_TABLE_SET(BgL_auxz00_1708, BgL_arg3327z00_1684);
							}}
							{	/* Ast/private.scm 15 */
								int BgL_auxz00_1687;

								BgL_auxz00_1687 = (int) ((BgL_iz00_1681 - ((long) 1)));
								{
									long BgL_iz00_1713;

									BgL_iz00_1713 = (long) (BgL_auxz00_1687);
									BgL_iz00_1681 = BgL_iz00_1713;
									goto BgL_loopz00_1682;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_privatez00()
	{
		AN_OBJECT;
		{	/* Ast/private.scm 15 */
			return (BGl_za2privatezd2stampza2zd2zzast_privatez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* private-sexp? */
	BGL_EXPORTED_DEF bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t
		BgL_sexpz00_1)
	{
		AN_OBJECT;
		{	/* Ast/private.scm 39 */
			{	/* Ast/private.scm 40 */
				obj_t BgL_arg3042z00_1440;

				BgL_arg3042z00_1440 = CAR(BgL_sexpz00_1);
				return
					(BgL_arg3042z00_1440 == BGl_za2privatezd2stampza2zd2zzast_privatez00);
			}
		}
	}



/* _private-sexp?3319 */
	obj_t BGl__privatezd2sexpzf33319z21zzast_privatez00(obj_t BgL_envz00_1669,
		obj_t BgL_sexpz00_1670)
	{
		AN_OBJECT;
		{	/* Ast/private.scm 39 */
			return BBOOL(BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_sexpz00_1670));
		}
	}



/* private->node */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2ze3nodez31zzast_privatez00(obj_t
		BgL_sexpz00_2, obj_t BgL_stackz00_3, obj_t BgL_locz00_4,
		obj_t BgL_sitez00_5)
	{
		AN_OBJECT;
		{	/* Ast/private.scm 45 */
			{
				obj_t BgL_vtypez00_751;
				obj_t BgL_ftypez00_752;
				obj_t BgL_otypez00_753;
				obj_t BgL_czd2fmtzd2_754;
				obj_t BgL_restz00_755;
				obj_t BgL_vtypez00_745;
				obj_t BgL_ftypez00_746;
				obj_t BgL_otypez00_747;
				obj_t BgL_czd2fmtzd2_748;
				obj_t BgL_restz00_749;
				obj_t BgL_vtypez00_739;
				obj_t BgL_ftypez00_740;
				obj_t BgL_otypez00_741;
				obj_t BgL_czd2fmtzd2_742;
				obj_t BgL_expz00_743;
				obj_t BgL_typez00_736;
				obj_t BgL_expz00_737;
				obj_t BgL_typez00_734;
				obj_t BgL_typez00_731;
				obj_t BgL_expz00_732;
				obj_t BgL_typez00_727;
				obj_t BgL_argszd2typezd2_728;
				obj_t BgL_restz00_729;
				obj_t BgL_typez00_725;
				obj_t BgL_ftypez00_720;
				obj_t BgL_otypez00_721;
				obj_t BgL_fieldzd2namezd2_722;
				obj_t BgL_restz00_723;
				obj_t BgL_ftypez00_715;
				obj_t BgL_otypez00_716;
				obj_t BgL_fieldzd2namezd2_717;
				obj_t BgL_objz00_718;

				{	/* Ast/private.scm 50 */
					obj_t BgL_cdrzd2960zd2_768;

					BgL_cdrzd2960zd2_768 = CDR(BgL_sexpz00_2);
					if (PAIRP(BgL_cdrzd2960zd2_768))
						{	/* Ast/private.scm 50 */
							obj_t BgL_cdrzd2966zd2_770;

							BgL_cdrzd2966zd2_770 = CDR(BgL_cdrzd2960zd2_768);
							if ((CAR(BgL_cdrzd2960zd2_768) == CNST_TABLE_REF(((long) 2))))
								{	/* Ast/private.scm 50 */
									if (PAIRP(BgL_cdrzd2966zd2_770))
										{	/* Ast/private.scm 50 */
											obj_t BgL_cdrzd2972zd2_773;

											BgL_cdrzd2972zd2_773 = CDR(BgL_cdrzd2966zd2_770);
											if (PAIRP(BgL_cdrzd2972zd2_773))
												{	/* Ast/private.scm 50 */
													obj_t BgL_cdrzd2978zd2_775;

													BgL_cdrzd2978zd2_775 = CDR(BgL_cdrzd2972zd2_773);
													if (PAIRP(BgL_cdrzd2978zd2_775))
														{	/* Ast/private.scm 50 */
															obj_t BgL_cdrzd2983zd2_777;

															BgL_cdrzd2983zd2_777 = CDR(BgL_cdrzd2978zd2_775);
															if (PAIRP(BgL_cdrzd2983zd2_777))
																{	/* Ast/private.scm 50 */
																	if (NULLP(CDR(BgL_cdrzd2983zd2_777)))
																		{	/* Ast/private.scm 50 */
																			obj_t BgL_arg3051z00_780;
																			obj_t BgL_arg3052z00_781;
																			obj_t BgL_arg3053z00_782;
																			obj_t BgL_arg3054z00_783;

																			BgL_arg3051z00_780 =
																				CAR(BgL_cdrzd2966zd2_770);
																			BgL_arg3052z00_781 =
																				CAR(BgL_cdrzd2972zd2_773);
																			BgL_arg3053z00_782 =
																				CAR(BgL_cdrzd2978zd2_775);
																			BgL_arg3054z00_783 =
																				CAR(BgL_cdrzd2983zd2_777);
																			{	/* Ast/private.scm 50 */
																				BgL_getfieldz00_bglt BgL_auxz00_1746;

																				BgL_ftypez00_715 = BgL_arg3051z00_780;
																				BgL_otypez00_716 = BgL_arg3052z00_781;
																				BgL_fieldzd2namezd2_717 =
																					BgL_arg3053z00_782;
																				BgL_objz00_718 = BgL_arg3054z00_783;
																				{	/* Ast/private.scm 52 */
																					BgL_typez00_bglt BgL_ftypez00_943;
																					BgL_typez00_bglt BgL_otypez00_944;
																					obj_t BgL_tidz00_945;

																					BgL_ftypez00_943 =
																						BGl_usezd2typez12zc0zztype_envz00
																						(BgL_ftypez00_715, BgL_locz00_4);
																					BgL_otypez00_944 =
																						BGl_usezd2typez12zc0zztype_envz00
																						(BgL_otypez00_716, BgL_locz00_4);
																					{	/* Ast/private.scm 54 */
																						obj_t BgL_arg3178z00_954;
																						obj_t BgL_arg3179z00_955;

																						BgL_arg3178z00_954 =
																							CNST_TABLE_REF(((long) 1));
																						{	/* Ast/private.scm 56 */
																							obj_t BgL_arg3183z00_959;

																							if (bigloo_mangledp
																								(BgL_fieldzd2namezd2_717))
																								{	/* Ast/private.scm 56 */
																									BgL_arg3183z00_959 =
																										bigloo_demangle
																										(BgL_fieldzd2namezd2_717);
																								}
																							else
																								{	/* Ast/private.scm 56 */
																									BgL_arg3183z00_959 =
																										BgL_fieldzd2namezd2_717;
																								}
																							{	/* Ast/private.scm 55 */
																								obj_t BgL_stringz00_1610;

																								BgL_stringz00_1610 =
																									BgL_arg3183z00_959;
																								BgL_arg3179z00_955 =
																									string_to_symbol
																									(BSTRING_TO_STRING
																									(BgL_stringz00_1610));
																							}
																						}
																						{	/* Ast/private.scm 54 */
																							obj_t BgL_list3180z00_956;

																							{	/* Ast/private.scm 54 */
																								obj_t BgL_arg3181z00_957;

																								{	/* Ast/private.scm 54 */
																									obj_t BgL_arg3182z00_958;

																									BgL_arg3182z00_958 =
																										MAKE_PAIR
																										(BgL_arg3179z00_955, BNIL);
																									BgL_arg3181z00_957 =
																										MAKE_PAIR
																										(BgL_arg3178z00_954,
																										BgL_arg3182z00_958);
																								}
																								BgL_list3180z00_956 =
																									MAKE_PAIR(BgL_otypez00_716,
																									BgL_arg3181z00_957);
																							}
																							BgL_tidz00_945 =
																								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																								(BgL_list3180z00_956);
																						}
																					}
																					{	/* Ast/private.scm 57 */
																						obj_t BgL_arg3170z00_947;
																						BgL_feffectz00_bglt
																							BgL_arg3171z00_948;
																						{	/* Ast/private.scm 64 */
																							BgL_nodez00_bglt
																								BgL_arg3172z00_949;
																							BgL_arg3172z00_949 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(BgL_objz00_718, BgL_stackz00_3,
																								BgL_locz00_4, BgL_sitez00_5);
																							{	/* Ast/private.scm 64 */
																								obj_t BgL_list3173z00_950;

																								BgL_list3173z00_950 =
																									MAKE_PAIR(
																									(obj_t) (BgL_arg3172z00_949),
																									BNIL);
																								BgL_arg3170z00_947 =
																									BgL_list3173z00_950;
																							}
																						}
																						{	/* Ast/private.scm 66 */
																							obj_t BgL_arg3175z00_951;

																							{	/* Ast/private.scm 66 */
																								obj_t BgL_list3177z00_953;

																								BgL_list3177z00_953 =
																									MAKE_PAIR(BgL_tidz00_945,
																									BNIL);
																								BgL_arg3175z00_951 =
																									BgL_list3177z00_953;
																							}
																							BgL_arg3171z00_948 =
																								BGl_makezd2feffectzd2zzast_varz00
																								(BgL_arg3175z00_951, BNIL);
																						}
																						BgL_auxz00_1746 =
																							BGl_makezd2getfieldzd2zzast_nodez00
																							(BgL_locz00_4, BgL_ftypez00_943,
																							BFALSE, BINT(((long) -1)),
																							BgL_arg3170z00_947,
																							(obj_t) (BgL_arg3171z00_948),
																							BgL_fieldzd2namezd2_717,
																							BgL_ftypez00_943,
																							BgL_otypez00_944);
																				}}
																				return (obj_t) (BgL_auxz00_1746);
																			}
																		}
																	else
																		{	/* Ast/private.scm 50 */
																		BgL_tagzd2940zd2_765:
																			{	/* Ast/private.scm 174 */
																				bool_t BgL_testz00_1768;

																				{	/* Ast/private.scm 174 */
																					obj_t BgL_auxz00_1769;

																					BgL_auxz00_1769 = CDR(BgL_sexpz00_2);
																					BgL_testz00_1768 =
																						PAIRP(BgL_auxz00_1769);
																				}
																				if (BgL_testz00_1768)
																					{	/* Ast/private.scm 174 */
																						return
																							BGl_errorz00zz__errorz00
																							(BGl_string3322z00zzast_privatez00,
																							BGl_string3323z00zzast_privatez00,
																							CAR(CDR(BgL_sexpz00_2)));
																					}
																				else
																					{	/* Ast/private.scm 174 */
																						return
																							BGl_errorz00zz__errorz00
																							(BGl_string3322z00zzast_privatez00,
																							BGl_string3323z00zzast_privatez00,
																							BgL_sexpz00_2);
																					}
																			}
																		}
																}
															else
																{	/* Ast/private.scm 50 */
																	goto BgL_tagzd2940zd2_765;
																}
														}
													else
														{	/* Ast/private.scm 50 */
															goto BgL_tagzd2940zd2_765;
														}
												}
											else
												{	/* Ast/private.scm 50 */
													goto BgL_tagzd2940zd2_765;
												}
										}
									else
										{	/* Ast/private.scm 50 */
											goto BgL_tagzd2940zd2_765;
										}
								}
							else
								{	/* Ast/private.scm 50 */
									obj_t BgL_cdrzd21667zd2_786;

									BgL_cdrzd21667zd2_786 = CDR(BgL_cdrzd2960zd2_768);
									if ((CAR(BgL_cdrzd2960zd2_768) == CNST_TABLE_REF(((long) 3))))
										{	/* Ast/private.scm 50 */
											if (PAIRP(BgL_cdrzd21667zd2_786))
												{	/* Ast/private.scm 50 */
													obj_t BgL_cdrzd21673zd2_789;

													BgL_cdrzd21673zd2_789 = CDR(BgL_cdrzd21667zd2_786);
													if (PAIRP(BgL_cdrzd21673zd2_789))
														{	/* Ast/private.scm 50 */
															obj_t BgL_cdrzd21679zd2_791;

															BgL_cdrzd21679zd2_791 =
																CDR(BgL_cdrzd21673zd2_789);
															if (PAIRP(BgL_cdrzd21679zd2_791))
																{	/* Ast/private.scm 50 */
																	obj_t BgL_arg3060z00_793;
																	obj_t BgL_arg3061z00_794;
																	obj_t BgL_arg3062z00_795;
																	obj_t BgL_arg3063z00_796;

																	BgL_arg3060z00_793 =
																		CAR(BgL_cdrzd21667zd2_786);
																	BgL_arg3061z00_794 =
																		CAR(BgL_cdrzd21673zd2_789);
																	BgL_arg3062z00_795 =
																		CAR(BgL_cdrzd21679zd2_791);
																	BgL_arg3063z00_796 =
																		CDR(BgL_cdrzd21679zd2_791);
																	{	/* Ast/private.scm 50 */
																		BgL_setfieldz00_bglt BgL_auxz00_1793;

																		BgL_ftypez00_720 = BgL_arg3060z00_793;
																		BgL_otypez00_721 = BgL_arg3061z00_794;
																		BgL_fieldzd2namezd2_722 =
																			BgL_arg3062z00_795;
																		BgL_restz00_723 = BgL_arg3063z00_796;
																		{	/* Ast/private.scm 68 */
																			BgL_typez00_bglt BgL_otypez00_960;
																			BgL_typez00_bglt BgL_ftypez00_961;
																			obj_t BgL_tidz00_962;

																			BgL_otypez00_960 =
																				BGl_usezd2typez12zc0zztype_envz00
																				(BgL_otypez00_721, BgL_locz00_4);
																			BgL_ftypez00_961 =
																				BGl_usezd2typez12zc0zztype_envz00
																				(BgL_ftypez00_720, BgL_locz00_4);
																			{	/* Ast/private.scm 70 */
																				obj_t BgL_arg3190z00_969;
																				obj_t BgL_arg3191z00_970;

																				BgL_arg3190z00_969 =
																					CNST_TABLE_REF(((long) 1));
																				{	/* Ast/private.scm 72 */
																					obj_t BgL_arg3195z00_974;

																					if (bigloo_mangledp
																						(BgL_fieldzd2namezd2_722))
																						{	/* Ast/private.scm 72 */
																							BgL_arg3195z00_974 =
																								bigloo_demangle
																								(BgL_fieldzd2namezd2_722);
																						}
																					else
																						{	/* Ast/private.scm 72 */
																							BgL_arg3195z00_974 =
																								BgL_fieldzd2namezd2_722;
																						}
																					{	/* Ast/private.scm 71 */
																						obj_t BgL_stringz00_1617;

																						BgL_stringz00_1617 =
																							BgL_arg3195z00_974;
																						BgL_arg3191z00_970 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_stringz00_1617));
																					}
																				}
																				{	/* Ast/private.scm 70 */
																					obj_t BgL_list3192z00_971;

																					{	/* Ast/private.scm 70 */
																						obj_t BgL_arg3193z00_972;

																						{	/* Ast/private.scm 70 */
																							obj_t BgL_arg3194z00_973;

																							BgL_arg3194z00_973 =
																								MAKE_PAIR(BgL_arg3191z00_970,
																								BNIL);
																							BgL_arg3193z00_972 =
																								MAKE_PAIR(BgL_arg3190z00_969,
																								BgL_arg3194z00_973);
																						}
																						BgL_list3192z00_971 =
																							MAKE_PAIR(BgL_otypez00_721,
																							BgL_arg3193z00_972);
																					}
																					BgL_tidz00_962 =
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list3192z00_971);
																				}
																			}
																			{	/* Ast/private.scm 73 */
																				obj_t BgL_arg3185z00_964;
																				BgL_feffectz00_bglt BgL_arg3186z00_965;

																				BgL_arg3185z00_964 =
																					BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																					(BgL_restz00_723, BgL_stackz00_3,
																					BgL_locz00_4, BgL_sitez00_5);
																				{	/* Ast/var.scm 152 */
																					obj_t BgL_arg3188z00_967;

																					{	/* Ast/private.scm 82 */
																						obj_t BgL_list3189z00_968;

																						BgL_list3189z00_968 =
																							MAKE_PAIR(BgL_tidz00_962, BNIL);
																						BgL_arg3188z00_967 =
																							BgL_list3189z00_968;
																					}
																					BgL_arg3186z00_965 =
																						BGl_makezd2feffectzd2zzast_varz00
																						(BNIL, BgL_arg3188z00_967);
																				}
																				BgL_auxz00_1793 =
																					BGl_makezd2setfieldzd2zzast_nodez00
																					(BgL_locz00_4,
																					(BgL_typez00_bglt)
																					(BGl_za2unspecza2z00zztype_cachez00),
																					BTRUE, BINT(((long) -1)),
																					BgL_arg3185z00_964,
																					(obj_t) (BgL_arg3186z00_965),
																					BgL_fieldzd2namezd2_722,
																					BgL_ftypez00_961, BgL_otypez00_960);
																		}}
																		return (obj_t) (BgL_auxz00_1793);
																	}
																}
															else
																{	/* Ast/private.scm 50 */
																	goto BgL_tagzd2940zd2_765;
																}
														}
													else
														{	/* Ast/private.scm 50 */
															goto BgL_tagzd2940zd2_765;
														}
												}
											else
												{	/* Ast/private.scm 50 */
													goto BgL_tagzd2940zd2_765;
												}
										}
									else
										{	/* Ast/private.scm 50 */
											obj_t BgL_cdrzd22045zd2_797;

											BgL_cdrzd22045zd2_797 = CDR(BgL_sexpz00_2);
											{	/* Ast/private.scm 50 */
												obj_t BgL_cdrzd22048zd2_798;

												BgL_cdrzd22048zd2_798 = CDR(BgL_cdrzd22045zd2_797);
												if (
													(CAR(BgL_cdrzd22045zd2_797) ==
														CNST_TABLE_REF(((long) 4))))
													{	/* Ast/private.scm 50 */
														if (PAIRP(BgL_cdrzd22048zd2_798))
															{	/* Ast/private.scm 50 */
																if (NULLP(CDR(BgL_cdrzd22048zd2_798)))
																	{	/* Ast/private.scm 50 */
																		obj_t BgL_arg3068z00_802;

																		BgL_arg3068z00_802 =
																			CAR(BgL_cdrzd22048zd2_798);
																		{	/* Ast/private.scm 50 */
																			BgL_newz00_bglt BgL_auxz00_1826;

																			BgL_typez00_725 = BgL_arg3068z00_802;
																			BgL_auxz00_1826 =
																				BGl_makezd2newzd2zzast_nodez00
																				(BgL_locz00_4,
																				BGl_usezd2typez12zc0zztype_envz00
																				(BgL_typez00_725, BgL_locz00_4), BTRUE,
																				BINT(((long) -1)), BNIL, BUNSPEC, BNIL);
																			return (obj_t) (BgL_auxz00_1826);
																		}
																	}
																else
																	{	/* Ast/private.scm 50 */
																		obj_t BgL_cdrzd22075zd2_803;

																		BgL_cdrzd22075zd2_803 =
																			CDR(BgL_cdrzd22045zd2_797);
																		{	/* Ast/private.scm 50 */
																			obj_t BgL_cdrzd22081zd2_804;

																			BgL_cdrzd22081zd2_804 =
																				CDR(BgL_cdrzd22075zd2_803);
																			if (PAIRP(BgL_cdrzd22081zd2_804))
																				{	/* Ast/private.scm 50 */
																					obj_t BgL_carzd22086zd2_806;

																					BgL_carzd22086zd2_806 =
																						CAR(BgL_cdrzd22081zd2_804);
																					if (PAIRP(BgL_carzd22086zd2_806))
																						{	/* Ast/private.scm 50 */
																							obj_t BgL_cdrzd22090zd2_808;

																							BgL_cdrzd22090zd2_808 =
																								CDR(BgL_carzd22086zd2_806);
																							if (
																								(CAR(BgL_carzd22086zd2_806) ==
																									CNST_TABLE_REF(((long) 5))))
																								{	/* Ast/private.scm 50 */
																									if (PAIRP
																										(BgL_cdrzd22090zd2_808))
																										{	/* Ast/private.scm 50 */
																											if (NULLP(CDR
																													(BgL_cdrzd22090zd2_808)))
																												{	/* Ast/private.scm 50 */
																													obj_t
																														BgL_arg3074z00_812;
																													obj_t
																														BgL_arg3075z00_813;
																													obj_t
																														BgL_arg3076z00_814;
																													BgL_arg3074z00_812 =
																														CAR
																														(BgL_cdrzd22075zd2_803);
																													BgL_arg3075z00_813 =
																														CAR
																														(BgL_cdrzd22090zd2_808);
																													BgL_arg3076z00_814 =
																														CDR
																														(BgL_cdrzd22081zd2_804);
																													{	/* Ast/private.scm 50 */
																														BgL_newz00_bglt
																															BgL_auxz00_1851;
																														BgL_typez00_727 =
																															BgL_arg3074z00_812;
																														BgL_argszd2typezd2_728
																															=
																															BgL_arg3075z00_813;
																														BgL_restz00_729 =
																															BgL_arg3076z00_814;
																														if (NULLP
																															(BgL_restz00_729))
																															{	/* Ast/private.scm 93 */
																																BgL_typez00_bglt
																																	BgL_arg3201z00_980;
																																obj_t
																																	BgL_arg3206z00_983;
																																BgL_arg3201z00_980
																																	=
																																	BGl_usezd2typez12zc0zztype_envz00
																																	(BgL_typez00_727,
																																	BgL_locz00_4);
																																if (NULLP
																																	(BgL_argszd2typezd2_728))
																																	{	/* Ast/private.scm 94 */
																																		BgL_arg3206z00_983
																																			= BNIL;
																																	}
																																else
																																	{	/* Ast/private.scm 94 */
																																		obj_t
																																			BgL_head3033z00_986;
																																		BgL_head3033z00_986
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		{
																																			obj_t
																																				BgL_l3031z00_987;
																																			obj_t
																																				BgL_tail3034z00_988;
																																			BgL_l3031z00_987
																																				=
																																				BgL_argszd2typezd2_728;
																																			BgL_tail3034z00_988
																																				=
																																				BgL_head3033z00_986;
																																		BgL_map3032z00_989:
																																			if (NULLP
																																				(BgL_l3031z00_987))
																																				{	/* Ast/private.scm 94 */
																																					BgL_arg3206z00_983
																																						=
																																						CDR
																																						(BgL_head3033z00_986);
																																				}
																																			else
																																				{	/* Ast/private.scm 94 */
																																					obj_t
																																						BgL_newtail3035z00_991;
																																					{	/* Ast/private.scm 94 */
																																						BgL_typez00_bglt
																																							BgL_arg3210z00_993;
																																						BgL_arg3210z00_993
																																							=
																																							BGl_usezd2typez12zc0zztype_envz00
																																							(CAR
																																							(BgL_l3031z00_987),
																																							BgL_locz00_4);
																																						{	/* Ast/private.scm 94 */
																																							obj_t
																																								BgL_obj1z00_1627;
																																							BgL_obj1z00_1627
																																								=
																																								(obj_t)
																																								(BgL_arg3210z00_993);
																																							BgL_newtail3035z00_991
																																								=
																																								MAKE_PAIR
																																								(BgL_obj1z00_1627,
																																								BNIL);
																																						}
																																					}
																																					SET_CDR
																																						(BgL_tail3034z00_988,
																																						BgL_newtail3035z00_991);
																																					{
																																						obj_t
																																							BgL_tail3034z00_1868;
																																						obj_t
																																							BgL_l3031z00_1866;
																																						BgL_l3031z00_1866
																																							=
																																							CDR
																																							(BgL_l3031z00_987);
																																						BgL_tail3034z00_1868
																																							=
																																							BgL_newtail3035z00_991;
																																						BgL_tail3034z00_988
																																							=
																																							BgL_tail3034z00_1868;
																																						BgL_l3031z00_987
																																							=
																																							BgL_l3031z00_1866;
																																						goto
																																							BgL_map3032z00_989;
																																					}
																																				}
																																		}
																																	}
																																BgL_auxz00_1851
																																	=
																																	BGl_makezd2newzd2zzast_nodez00
																																	(BgL_locz00_4,
																																	BgL_arg3201z00_980,
																																	BTRUE,
																																	BINT(((long)
																																			-1)),
																																	BNIL, BUNSPEC,
																																	BgL_arg3206z00_983);
																															}
																														else
																															{	/* Ast/private.scm 98 */
																																BgL_typez00_bglt
																																	BgL_arg3212z00_996;
																																obj_t
																																	BgL_arg3216z00_998;
																																obj_t
																																	BgL_arg3217z00_999;
																																BgL_arg3212z00_996
																																	=
																																	BGl_usezd2typez12zc0zztype_envz00
																																	(BgL_typez00_727,
																																	BgL_locz00_4);
																																BgL_arg3216z00_998
																																	=
																																	BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																																	(BgL_restz00_729,
																																	BgL_stackz00_3,
																																	BgL_locz00_4,
																																	BgL_sitez00_5);
																																if (NULLP
																																	(BgL_argszd2typezd2_728))
																																	{	/* Ast/private.scm 99 */
																																		BgL_arg3217z00_999
																																			= BNIL;
																																	}
																																else
																																	{	/* Ast/private.scm 99 */
																																		obj_t
																																			BgL_head3039z00_1003;
																																		BgL_head3039z00_1003
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		{
																																			obj_t
																																				BgL_l3036z00_1004;
																																			obj_t
																																				BgL_tail3040z00_1005;
																																			BgL_l3036z00_1004
																																				=
																																				BgL_argszd2typezd2_728;
																																			BgL_tail3040z00_1005
																																				=
																																				BgL_head3039z00_1003;
																																		BgL_map3038z00_1006:
																																			if (NULLP
																																				(BgL_l3036z00_1004))
																																				{	/* Ast/private.scm 99 */
																																					BgL_arg3217z00_999
																																						=
																																						CDR
																																						(BgL_head3039z00_1003);
																																				}
																																			else
																																				{	/* Ast/private.scm 99 */
																																					obj_t
																																						BgL_newtail3041z00_1008;
																																					{	/* Ast/private.scm 99 */
																																						BgL_typez00_bglt
																																							BgL_arg3222z00_1010;
																																						BgL_arg3222z00_1010
																																							=
																																							BGl_usezd2typez12zc0zztype_envz00
																																							(CAR
																																							(BgL_l3036z00_1004),
																																							BgL_locz00_4);
																																						{	/* Ast/private.scm 99 */
																																							obj_t
																																								BgL_obj1z00_1639;
																																							BgL_obj1z00_1639
																																								=
																																								(obj_t)
																																								(BgL_arg3222z00_1010);
																																							BgL_newtail3041z00_1008
																																								=
																																								MAKE_PAIR
																																								(BgL_obj1z00_1639,
																																								BNIL);
																																						}
																																					}
																																					SET_CDR
																																						(BgL_tail3040z00_1005,
																																						BgL_newtail3041z00_1008);
																																					{
																																						obj_t
																																							BgL_tail3040z00_1886;
																																						obj_t
																																							BgL_l3036z00_1884;
																																						BgL_l3036z00_1884
																																							=
																																							CDR
																																							(BgL_l3036z00_1004);
																																						BgL_tail3040z00_1886
																																							=
																																							BgL_newtail3041z00_1008;
																																						BgL_tail3040z00_1005
																																							=
																																							BgL_tail3040z00_1886;
																																						BgL_l3036z00_1004
																																							=
																																							BgL_l3036z00_1884;
																																						goto
																																							BgL_map3038z00_1006;
																																					}
																																				}
																																		}
																																	}
																																BgL_auxz00_1851
																																	=
																																	BGl_makezd2newzd2zzast_nodez00
																																	(BgL_locz00_4,
																																	BgL_arg3212z00_996,
																																	BTRUE,
																																	BINT(((long)
																																			-1)),
																																	BgL_arg3216z00_998,
																																	BUNSPEC,
																																	BgL_arg3217z00_999);
																															}
																														return
																															(obj_t)
																															(BgL_auxz00_1851);
																													}
																												}
																											else
																												{	/* Ast/private.scm 50 */
																													goto
																														BgL_tagzd2940zd2_765;
																												}
																										}
																									else
																										{	/* Ast/private.scm 50 */
																											goto BgL_tagzd2940zd2_765;
																										}
																								}
																							else
																								{	/* Ast/private.scm 50 */
																									goto BgL_tagzd2940zd2_765;
																								}
																						}
																					else
																						{	/* Ast/private.scm 50 */
																							goto BgL_tagzd2940zd2_765;
																						}
																				}
																			else
																				{	/* Ast/private.scm 50 */
																					goto BgL_tagzd2940zd2_765;
																				}
																		}
																	}
															}
														else
															{	/* Ast/private.scm 50 */
																goto BgL_tagzd2940zd2_765;
															}
													}
												else
													{	/* Ast/private.scm 50 */
														obj_t BgL_cdrzd22675zd2_821;

														BgL_cdrzd22675zd2_821 = CDR(BgL_cdrzd22045zd2_797);
														if (
															(CAR(BgL_cdrzd22045zd2_797) ==
																CNST_TABLE_REF(((long) 6))))
															{	/* Ast/private.scm 50 */
																if (PAIRP(BgL_cdrzd22675zd2_821))
																	{	/* Ast/private.scm 50 */
																		obj_t BgL_cdrzd22679zd2_824;

																		BgL_cdrzd22679zd2_824 =
																			CDR(BgL_cdrzd22675zd2_821);
																		if (PAIRP(BgL_cdrzd22679zd2_824))
																			{	/* Ast/private.scm 50 */
																				if (NULLP(CDR(BgL_cdrzd22679zd2_824)))
																					{	/* Ast/private.scm 50 */
																						obj_t BgL_arg3086z00_827;
																						obj_t BgL_arg3087z00_828;

																						BgL_arg3086z00_827 =
																							CAR(BgL_cdrzd22675zd2_821);
																						BgL_arg3087z00_828 =
																							CAR(BgL_cdrzd22679zd2_824);
																						{	/* Ast/private.scm 50 */
																							BgL_castz00_bglt BgL_auxz00_1905;

																							BgL_typez00_731 =
																								BgL_arg3086z00_827;
																							BgL_expz00_732 =
																								BgL_arg3087z00_828;
																							BgL_auxz00_1905 =
																								BGl_makezd2castzd2zzast_nodez00
																								(BgL_locz00_4,
																								BGl_usezd2typez12zc0zztype_envz00
																								(BgL_typez00_731, BgL_locz00_4),
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(BgL_expz00_732, BgL_stackz00_3,
																									BgL_locz00_4, BgL_sitez00_5));
																							return (obj_t) (BgL_auxz00_1905);
																						}
																					}
																				else
																					{	/* Ast/private.scm 50 */
																						goto BgL_tagzd2940zd2_765;
																					}
																			}
																		else
																			{	/* Ast/private.scm 50 */
																				goto BgL_tagzd2940zd2_765;
																			}
																	}
																else
																	{	/* Ast/private.scm 50 */
																		goto BgL_tagzd2940zd2_765;
																	}
															}
														else
															{	/* Ast/private.scm 50 */
																obj_t BgL_cdrzd22928zd2_830;

																BgL_cdrzd22928zd2_830 = CDR(BgL_sexpz00_2);
																{	/* Ast/private.scm 50 */
																	obj_t BgL_cdrzd22931zd2_831;

																	BgL_cdrzd22931zd2_831 =
																		CDR(BgL_cdrzd22928zd2_830);
																	if (
																		(CAR(BgL_cdrzd22928zd2_830) ==
																			CNST_TABLE_REF(((long) 7))))
																		{	/* Ast/private.scm 50 */
																			if (PAIRP(BgL_cdrzd22931zd2_831))
																				{	/* Ast/private.scm 50 */
																					if (NULLP(CDR(BgL_cdrzd22931zd2_831)))
																						{	/* Ast/private.scm 50 */
																							obj_t BgL_arg3092z00_835;

																							BgL_arg3092z00_835 =
																								CAR(BgL_cdrzd22931zd2_831);
																							{	/* Ast/private.scm 50 */
																								BgL_castzd2nullzd2_bglt
																									BgL_auxz00_1922;
																								BgL_typez00_734 =
																									BgL_arg3092z00_835;
																								BgL_auxz00_1922 =
																									BGl_makezd2castzd2nullz00zzast_nodez00
																									(BgL_locz00_4,
																									BGl_usezd2typez12zc0zztype_envz00
																									(BgL_typez00_734,
																										BgL_locz00_4), BUNSPEC,
																									BINT(((long) -1)), BNIL,
																									BUNSPEC);
																								return (obj_t)
																									(BgL_auxz00_1922);
																							}
																						}
																					else
																						{	/* Ast/private.scm 50 */
																							goto BgL_tagzd2940zd2_765;
																						}
																				}
																			else
																				{	/* Ast/private.scm 50 */
																					goto BgL_tagzd2940zd2_765;
																				}
																		}
																	else
																		{	/* Ast/private.scm 50 */
																			obj_t BgL_cdrzd23085zd2_838;

																			BgL_cdrzd23085zd2_838 =
																				CDR(BgL_cdrzd22928zd2_830);
																			if (
																				(CAR(BgL_cdrzd22928zd2_830) ==
																					CNST_TABLE_REF(((long) 8))))
																				{	/* Ast/private.scm 50 */
																					if (PAIRP(BgL_cdrzd23085zd2_838))
																						{	/* Ast/private.scm 50 */
																							obj_t BgL_cdrzd23089zd2_841;

																							BgL_cdrzd23089zd2_841 =
																								CDR(BgL_cdrzd23085zd2_838);
																							if (PAIRP(BgL_cdrzd23089zd2_841))
																								{	/* Ast/private.scm 50 */
																									if (NULLP(CDR
																											(BgL_cdrzd23089zd2_841)))
																										{	/* Ast/private.scm 50 */
																											obj_t BgL_arg3098z00_844;
																											obj_t BgL_arg3099z00_845;

																											BgL_arg3098z00_844 =
																												CAR
																												(BgL_cdrzd23085zd2_838);
																											BgL_arg3099z00_845 =
																												CAR
																												(BgL_cdrzd23089zd2_841);
																											{	/* Ast/private.scm 50 */
																												BgL_isaz00_bglt
																													BgL_auxz00_1942;
																												BgL_typez00_736 =
																													BgL_arg3098z00_844;
																												BgL_expz00_737 =
																													BgL_arg3099z00_845;
																												{	/* Ast/private.scm 114 */
																													obj_t
																														BgL_arg3230z00_1019;
																													BgL_feffectz00_bglt
																														BgL_arg3231z00_1020;
																													BgL_typez00_bglt
																														BgL_arg3232z00_1021;
																													{	/* Ast/private.scm 118 */
																														BgL_nodez00_bglt
																															BgL_arg3233z00_1022;
																														BgL_arg3233z00_1022
																															=
																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																															(BgL_expz00_737,
																															BgL_stackz00_3,
																															BgL_locz00_4,
																															BgL_sitez00_5);
																														{	/* Ast/private.scm 118 */
																															obj_t
																																BgL_list3234z00_1023;
																															BgL_list3234z00_1023
																																=
																																MAKE_PAIR(
																																(obj_t)
																																(BgL_arg3233z00_1022),
																																BNIL);
																															BgL_arg3230z00_1019
																																=
																																BgL_list3234z00_1023;
																														}
																													}
																													BgL_arg3231z00_1020 =
																														BGl_makezd2feffectzd2zzast_varz00
																														(BNIL, BNIL);
																													BgL_arg3232z00_1021 =
																														BGl_usezd2typez12zc0zztype_envz00
																														(BgL_typez00_736,
																														BgL_locz00_4);
																													BgL_auxz00_1942 =
																														BGl_makezd2isazd2zzast_nodez00
																														(BgL_locz00_4,
																														(BgL_typez00_bglt)
																														(BGl_za2boolza2z00zztype_cachez00),
																														BUNSPEC,
																														BINT(((long) -1)),
																														BgL_arg3230z00_1019,
																														(obj_t)
																														(BgL_arg3231z00_1020),
																														BgL_arg3232z00_1021);
																												}
																												return
																													(obj_t)
																													(BgL_auxz00_1942);
																											}
																										}
																									else
																										{	/* Ast/private.scm 50 */
																											goto BgL_tagzd2940zd2_765;
																										}
																								}
																							else
																								{	/* Ast/private.scm 50 */
																									goto BgL_tagzd2940zd2_765;
																								}
																						}
																					else
																						{	/* Ast/private.scm 50 */
																							goto BgL_tagzd2940zd2_765;
																						}
																				}
																			else
																				{	/* Ast/private.scm 50 */
																					obj_t BgL_cdrzd23272zd2_847;

																					BgL_cdrzd23272zd2_847 =
																						CDR(BgL_sexpz00_2);
																					{	/* Ast/private.scm 50 */
																						obj_t BgL_cdrzd23279zd2_848;

																						BgL_cdrzd23279zd2_848 =
																							CDR(BgL_cdrzd23272zd2_847);
																						if (
																							(CAR(BgL_cdrzd23272zd2_847) ==
																								CNST_TABLE_REF(((long) 9))))
																							{	/* Ast/private.scm 50 */
																								if (PAIRP
																									(BgL_cdrzd23279zd2_848))
																									{	/* Ast/private.scm 50 */
																										obj_t BgL_cdrzd23286zd2_851;

																										BgL_cdrzd23286zd2_851 =
																											CDR
																											(BgL_cdrzd23279zd2_848);
																										if (PAIRP
																											(BgL_cdrzd23286zd2_851))
																											{	/* Ast/private.scm 50 */
																												obj_t
																													BgL_cdrzd23293zd2_853;
																												BgL_cdrzd23293zd2_853 =
																													CDR
																													(BgL_cdrzd23286zd2_851);
																												if (PAIRP
																													(BgL_cdrzd23293zd2_853))
																													{	/* Ast/private.scm 50 */
																														obj_t
																															BgL_cdrzd23299zd2_855;
																														BgL_cdrzd23299zd2_855
																															=
																															CDR
																															(BgL_cdrzd23293zd2_853);
																														if (PAIRP
																															(BgL_cdrzd23299zd2_855))
																															{	/* Ast/private.scm 50 */
																																obj_t
																																	BgL_carzd23303zd2_857;
																																obj_t
																																	BgL_cdrzd23304zd2_858;
																																BgL_carzd23303zd2_857
																																	=
																																	CAR
																																	(BgL_cdrzd23299zd2_855);
																																BgL_cdrzd23304zd2_858
																																	=
																																	CDR
																																	(BgL_cdrzd23299zd2_855);
																																if (STRINGP
																																	(BgL_carzd23303zd2_857))
																																	{	/* Ast/private.scm 50 */
																																		if (PAIRP
																																			(BgL_cdrzd23304zd2_858))
																																			{	/* Ast/private.scm 50 */
																																				if (NULLP(CDR(BgL_cdrzd23304zd2_858)))
																																					{	/* Ast/private.scm 50 */
																																						obj_t
																																							BgL_arg3109z00_862;
																																						obj_t
																																							BgL_arg3110z00_863;
																																						obj_t
																																							BgL_arg3111z00_864;
																																						obj_t
																																							BgL_arg3112z00_865;
																																						BgL_arg3109z00_862
																																							=
																																							CAR
																																							(BgL_cdrzd23279zd2_848);
																																						BgL_arg3110z00_863
																																							=
																																							CAR
																																							(BgL_cdrzd23286zd2_851);
																																						BgL_arg3111z00_864
																																							=
																																							CAR
																																							(BgL_cdrzd23293zd2_853);
																																						BgL_arg3112z00_865
																																							=
																																							CAR
																																							(BgL_cdrzd23304zd2_858);
																																						{	/* Ast/private.scm 50 */
																																							BgL_vlengthz00_bglt
																																								BgL_auxz00_1983;
																																							BgL_vtypez00_739
																																								=
																																								BgL_arg3109z00_862;
																																							BgL_ftypez00_740
																																								=
																																								BgL_arg3110z00_863;
																																							BgL_otypez00_741
																																								=
																																								BgL_arg3111z00_864;
																																							BgL_czd2fmtzd2_742
																																								=
																																								BgL_carzd23303zd2_857;
																																							BgL_expz00_743
																																								=
																																								BgL_arg3112z00_865;
																																							{	/* Ast/private.scm 121 */
																																								BgL_typez00_bglt
																																									BgL_vtypez00_1024;
																																								BgL_typez00_bglt
																																									BgL_otypez00_1025;
																																								BgL_typez00_bglt
																																									BgL_ftypez00_1026;
																																								BgL_vtypez00_1024
																																									=
																																									BGl_usezd2typez12zc0zztype_envz00
																																									(BgL_vtypez00_739,
																																									BgL_locz00_4);
																																								BgL_otypez00_1025
																																									=
																																									BGl_usezd2typez12zc0zztype_envz00
																																									(BgL_otypez00_741,
																																									BgL_locz00_4);
																																								BgL_ftypez00_1026
																																									=
																																									BGl_usezd2typez12zc0zztype_envz00
																																									(BgL_ftypez00_740,
																																									BgL_locz00_4);
																																								{	/* Ast/private.scm 124 */
																																									obj_t
																																										BgL_arg3236z00_1028;
																																									BgL_feffectz00_bglt
																																										BgL_arg3237z00_1029;
																																									{	/* Ast/private.scm 129 */
																																										BgL_nodez00_bglt
																																											BgL_arg3238z00_1030;
																																										BgL_arg3238z00_1030
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(BgL_expz00_743,
																																											BgL_stackz00_3,
																																											BgL_locz00_4,
																																											BgL_sitez00_5);
																																										{	/* Ast/private.scm 129 */
																																											obj_t
																																												BgL_list3239z00_1031;
																																											BgL_list3239z00_1031
																																												=
																																												MAKE_PAIR
																																												(
																																												(obj_t)
																																												(BgL_arg3238z00_1030),
																																												BNIL);
																																											BgL_arg3236z00_1028
																																												=
																																												BgL_list3239z00_1031;
																																										}
																																									}
																																									BgL_arg3237z00_1029
																																										=
																																										BGl_makezd2feffectzd2zzast_varz00
																																										(BNIL,
																																										BNIL);
																																									BgL_auxz00_1983
																																										=
																																										BGl_makezd2vlengthzd2zzast_nodez00
																																										(BgL_locz00_4,
																																										BgL_otypez00_1025,
																																										BUNSPEC,
																																										BINT
																																										(((long) -1)), BgL_arg3236z00_1028, (obj_t) (BgL_arg3237z00_1029), BgL_czd2fmtzd2_742, BgL_vtypez00_1024);
																																							}}
																																							return
																																								(obj_t)
																																								(BgL_auxz00_1983);
																																						}
																																					}
																																				else
																																					{	/* Ast/private.scm 50 */
																																						goto
																																							BgL_tagzd2940zd2_765;
																																					}
																																			}
																																		else
																																			{	/* Ast/private.scm 50 */
																																				goto
																																					BgL_tagzd2940zd2_765;
																																			}
																																	}
																																else
																																	{	/* Ast/private.scm 50 */
																																		goto
																																			BgL_tagzd2940zd2_765;
																																	}
																															}
																														else
																															{	/* Ast/private.scm 50 */
																																goto
																																	BgL_tagzd2940zd2_765;
																															}
																													}
																												else
																													{	/* Ast/private.scm 50 */
																														goto
																															BgL_tagzd2940zd2_765;
																													}
																											}
																										else
																											{	/* Ast/private.scm 50 */
																												goto
																													BgL_tagzd2940zd2_765;
																											}
																									}
																								else
																									{	/* Ast/private.scm 50 */
																										goto BgL_tagzd2940zd2_765;
																									}
																							}
																						else
																							{	/* Ast/private.scm 50 */
																								obj_t BgL_cdrzd23613zd2_868;

																								BgL_cdrzd23613zd2_868 =
																									CDR(BgL_cdrzd23272zd2_847);
																								if (
																									(CAR(BgL_cdrzd23272zd2_847) ==
																										CNST_TABLE_REF(((long)
																												10))))
																									{	/* Ast/private.scm 50 */
																										if (PAIRP
																											(BgL_cdrzd23613zd2_868))
																											{	/* Ast/private.scm 50 */
																												obj_t
																													BgL_cdrzd23620zd2_871;
																												BgL_cdrzd23620zd2_871 =
																													CDR
																													(BgL_cdrzd23613zd2_868);
																												if (PAIRP
																													(BgL_cdrzd23620zd2_871))
																													{	/* Ast/private.scm 50 */
																														obj_t
																															BgL_cdrzd23627zd2_873;
																														BgL_cdrzd23627zd2_873
																															=
																															CDR
																															(BgL_cdrzd23620zd2_871);
																														if (PAIRP
																															(BgL_cdrzd23627zd2_873))
																															{	/* Ast/private.scm 50 */
																																obj_t
																																	BgL_cdrzd23633zd2_875;
																																BgL_cdrzd23633zd2_875
																																	=
																																	CDR
																																	(BgL_cdrzd23627zd2_873);
																																if (PAIRP
																																	(BgL_cdrzd23633zd2_875))
																																	{	/* Ast/private.scm 50 */
																																		obj_t
																																			BgL_carzd23637zd2_877;
																																		BgL_carzd23637zd2_877
																																			=
																																			CAR
																																			(BgL_cdrzd23633zd2_875);
																																		if (STRINGP
																																			(BgL_carzd23637zd2_877))
																																			{	/* Ast/private.scm 50 */
																																				obj_t
																																					BgL_arg3120z00_879;
																																				obj_t
																																					BgL_arg3121z00_880;
																																				obj_t
																																					BgL_arg3122z00_881;
																																				obj_t
																																					BgL_arg3123z00_882;
																																				BgL_arg3120z00_879
																																					=
																																					CAR
																																					(BgL_cdrzd23613zd2_868);
																																				BgL_arg3121z00_880
																																					=
																																					CAR
																																					(BgL_cdrzd23620zd2_871);
																																				BgL_arg3122z00_881
																																					=
																																					CAR
																																					(BgL_cdrzd23627zd2_873);
																																				BgL_arg3123z00_882
																																					=
																																					CDR
																																					(BgL_cdrzd23633zd2_875);
																																				{	/* Ast/private.scm 50 */
																																					BgL_vrefz00_bglt
																																						BgL_auxz00_2018;
																																					BgL_vtypez00_745
																																						=
																																						BgL_arg3120z00_879;
																																					BgL_ftypez00_746
																																						=
																																						BgL_arg3121z00_880;
																																					BgL_otypez00_747
																																						=
																																						BgL_arg3122z00_881;
																																					BgL_czd2fmtzd2_748
																																						=
																																						BgL_carzd23637zd2_877;
																																					BgL_restz00_749
																																						=
																																						BgL_arg3123z00_882;
																																					{	/* Ast/private.scm 132 */
																																						BgL_typez00_bglt
																																							BgL_ftypez00_1032;
																																						BgL_typez00_bglt
																																							BgL_vtypez00_1033;
																																						BgL_typez00_bglt
																																							BgL_otypez00_1034;
																																						BgL_ftypez00_1032
																																							=
																																							BGl_usezd2typez12zc0zztype_envz00
																																							(BgL_ftypez00_746,
																																							BgL_locz00_4);
																																						BgL_vtypez00_1033
																																							=
																																							BGl_usezd2typez12zc0zztype_envz00
																																							(BgL_vtypez00_745,
																																							BgL_locz00_4);
																																						BgL_otypez00_1034
																																							=
																																							BGl_usezd2typez12zc0zztype_envz00
																																							(BgL_otypez00_747,
																																							BgL_locz00_4);
																																						{	/* Ast/private.scm 135 */
																																							obj_t
																																								BgL_arg3241z00_1036;
																																							BgL_feffectz00_bglt
																																								BgL_arg3242z00_1037;
																																							BgL_arg3241z00_1036
																																								=
																																								BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																																								(BgL_restz00_749,
																																								BgL_stackz00_3,
																																								BgL_locz00_4,
																																								BgL_sitez00_5);
																																							{	/* Ast/private.scm 144 */
																																								obj_t
																																									BgL_arg3243z00_1038;
																																								{	/* Ast/private.scm 144 */
																																									obj_t
																																										BgL_arg3245z00_1040;
																																									BgL_arg3245z00_1040
																																										=
																																										(
																																										((BgL_typez00_bglt) CREF(BgL_ftypez00_1032))->BgL_idz00);
																																									{	/* Ast/private.scm 144 */
																																										obj_t
																																											BgL_list3246z00_1041;
																																										BgL_list3246z00_1041
																																											=
																																											MAKE_PAIR
																																											(BgL_arg3245z00_1040,
																																											BNIL);
																																										BgL_arg3243z00_1038
																																											=
																																											BgL_list3246z00_1041;
																																									}
																																								}
																																								BgL_arg3242z00_1037
																																									=
																																									BGl_makezd2feffectzd2zzast_varz00
																																									(BgL_arg3243z00_1038,
																																									BNIL);
																																							}
																																							BgL_auxz00_2018
																																								=
																																								BGl_makezd2vrefzd2zzast_nodez00
																																								(BgL_locz00_4,
																																								BgL_ftypez00_1032,
																																								BUNSPEC,
																																								BINT
																																								(((long) -1)), BgL_arg3241z00_1036, (obj_t) (BgL_arg3242z00_1037), BgL_czd2fmtzd2_748, BgL_ftypez00_1032, BgL_otypez00_1034, BgL_vtypez00_1033);
																																					}}
																																					return
																																						(obj_t)
																																						(BgL_auxz00_2018);
																																				}
																																			}
																																		else
																																			{	/* Ast/private.scm 50 */
																																				goto
																																					BgL_tagzd2940zd2_765;
																																			}
																																	}
																																else
																																	{	/* Ast/private.scm 50 */
																																		goto
																																			BgL_tagzd2940zd2_765;
																																	}
																															}
																														else
																															{	/* Ast/private.scm 50 */
																																goto
																																	BgL_tagzd2940zd2_765;
																															}
																													}
																												else
																													{	/* Ast/private.scm 50 */
																														goto
																															BgL_tagzd2940zd2_765;
																													}
																											}
																										else
																											{	/* Ast/private.scm 50 */
																												goto
																													BgL_tagzd2940zd2_765;
																											}
																									}
																								else
																									{	/* Ast/private.scm 50 */
																										obj_t BgL_cdrzd23792zd2_883;

																										BgL_cdrzd23792zd2_883 =
																											CDR(BgL_sexpz00_2);
																										{	/* Ast/private.scm 50 */
																											obj_t
																												BgL_cdrzd23799zd2_884;
																											BgL_cdrzd23799zd2_884 =
																												CDR
																												(BgL_cdrzd23792zd2_883);
																											if ((CAR
																													(BgL_cdrzd23792zd2_883)
																													==
																													CNST_TABLE_REF(((long)
																															11))))
																												{	/* Ast/private.scm 50 */
																													if (PAIRP
																														(BgL_cdrzd23799zd2_884))
																														{	/* Ast/private.scm 50 */
																															obj_t
																																BgL_cdrzd23806zd2_887;
																															BgL_cdrzd23806zd2_887
																																=
																																CDR
																																(BgL_cdrzd23799zd2_884);
																															if (PAIRP
																																(BgL_cdrzd23806zd2_887))
																																{	/* Ast/private.scm 50 */
																																	obj_t
																																		BgL_cdrzd23813zd2_889;
																																	BgL_cdrzd23813zd2_889
																																		=
																																		CDR
																																		(BgL_cdrzd23806zd2_887);
																																	if (PAIRP
																																		(BgL_cdrzd23813zd2_889))
																																		{	/* Ast/private.scm 50 */
																																			obj_t
																																				BgL_cdrzd23819zd2_891;
																																			BgL_cdrzd23819zd2_891
																																				=
																																				CDR
																																				(BgL_cdrzd23813zd2_889);
																																			if (PAIRP
																																				(BgL_cdrzd23819zd2_891))
																																				{	/* Ast/private.scm 50 */
																																					obj_t
																																						BgL_carzd23823zd2_893;
																																					BgL_carzd23823zd2_893
																																						=
																																						CAR
																																						(BgL_cdrzd23819zd2_891);
																																					if (STRINGP(BgL_carzd23823zd2_893))
																																						{	/* Ast/private.scm 50 */
																																							obj_t
																																								BgL_arg3130z00_895;
																																							obj_t
																																								BgL_arg3131z00_896;
																																							obj_t
																																								BgL_arg3132z00_897;
																																							obj_t
																																								BgL_arg3133z00_898;
																																							BgL_arg3130z00_895
																																								=
																																								CAR
																																								(BgL_cdrzd23799zd2_884);
																																							BgL_arg3131z00_896
																																								=
																																								CAR
																																								(BgL_cdrzd23806zd2_887);
																																							BgL_arg3132z00_897
																																								=
																																								CAR
																																								(BgL_cdrzd23813zd2_889);
																																							BgL_arg3133z00_898
																																								=
																																								CDR
																																								(BgL_cdrzd23819zd2_891);
																																							{	/* Ast/private.scm 50 */
																																								BgL_vsetz12z12_bglt
																																									BgL_auxz00_2054;
																																								BgL_vtypez00_751
																																									=
																																									BgL_arg3130z00_895;
																																								BgL_ftypez00_752
																																									=
																																									BgL_arg3131z00_896;
																																								BgL_otypez00_753
																																									=
																																									BgL_arg3132z00_897;
																																								BgL_czd2fmtzd2_754
																																									=
																																									BgL_carzd23823zd2_893;
																																								BgL_restz00_755
																																									=
																																									BgL_arg3133z00_898;
																																								{	/* Ast/private.scm 146 */
																																									BgL_typez00_bglt
																																										BgL_ftypez00_1042;
																																									BgL_typez00_bglt
																																										BgL_vtypez00_1043;
																																									BgL_typez00_bglt
																																										BgL_otypez00_1044;
																																									BgL_ftypez00_1042
																																										=
																																										BGl_usezd2typez12zc0zztype_envz00
																																										(BgL_ftypez00_752,
																																										BgL_locz00_4);
																																									BgL_vtypez00_1043
																																										=
																																										BGl_usezd2typez12zc0zztype_envz00
																																										(BgL_vtypez00_751,
																																										BgL_locz00_4);
																																									BgL_otypez00_1044
																																										=
																																										BGl_usezd2typez12zc0zztype_envz00
																																										(BgL_otypez00_753,
																																										BgL_locz00_4);
																																									{	/* Ast/private.scm 149 */
																																										obj_t
																																											BgL_arg3248z00_1046;
																																										BgL_feffectz00_bglt
																																											BgL_arg3249z00_1047;
																																										BgL_arg3248z00_1046
																																											=
																																											BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																																											(BgL_restz00_755,
																																											BgL_stackz00_3,
																																											BgL_locz00_4,
																																											BgL_sitez00_5);
																																										{	/* Ast/var.scm 152 */
																																											obj_t
																																												BgL_arg3251z00_1049;
																																											{	/* Ast/private.scm 158 */
																																												obj_t
																																													BgL_arg3252z00_1050;
																																												BgL_arg3252z00_1050
																																													=
																																													(
																																													((BgL_typez00_bglt) CREF(BgL_ftypez00_1042))->BgL_idz00);
																																												{	/* Ast/private.scm 158 */
																																													obj_t
																																														BgL_list3253z00_1051;
																																													BgL_list3253z00_1051
																																														=
																																														MAKE_PAIR
																																														(BgL_arg3252z00_1050,
																																														BNIL);
																																													BgL_arg3251z00_1049
																																														=
																																														BgL_list3253z00_1051;
																																												}
																																											}
																																											BgL_arg3249z00_1047
																																												=
																																												BGl_makezd2feffectzd2zzast_varz00
																																												(BNIL,
																																												BgL_arg3251z00_1049);
																																										}
																																										BgL_auxz00_2054
																																											=
																																											BGl_makezd2vsetz12zc0zzast_nodez00
																																											(BgL_locz00_4,
																																											(BgL_typez00_bglt)
																																											(BGl_za2unspecza2z00zztype_cachez00),
																																											BUNSPEC,
																																											BINT
																																											(((long) -1)), BgL_arg3248z00_1046, (obj_t) (BgL_arg3249z00_1047), BgL_czd2fmtzd2_754, BgL_ftypez00_1042, BgL_otypez00_1044, BgL_vtypez00_1043);
																																								}}
																																								return
																																									(obj_t)
																																									(BgL_auxz00_2054);
																																							}
																																						}
																																					else
																																						{	/* Ast/private.scm 50 */
																																							goto
																																								BgL_tagzd2940zd2_765;
																																						}
																																				}
																																			else
																																				{	/* Ast/private.scm 50 */
																																					goto
																																						BgL_tagzd2940zd2_765;
																																				}
																																		}
																																	else
																																		{	/* Ast/private.scm 50 */
																																			goto
																																				BgL_tagzd2940zd2_765;
																																		}
																																}
																															else
																																{	/* Ast/private.scm 50 */
																																	goto
																																		BgL_tagzd2940zd2_765;
																																}
																														}
																													else
																														{	/* Ast/private.scm 50 */
																															goto
																																BgL_tagzd2940zd2_765;
																														}
																												}
																											else
																												{	/* Ast/private.scm 50 */
																													obj_t
																														BgL_cdrzd23923zd2_900;
																													BgL_cdrzd23923zd2_900
																														=
																														CDR
																														(BgL_cdrzd23792zd2_883);
																													if ((CAR
																															(BgL_cdrzd23792zd2_883)
																															==
																															CNST_TABLE_REF((
																																	(long) 12))))
																														{	/* Ast/private.scm 50 */
																															if (PAIRP
																																(BgL_cdrzd23923zd2_900))
																																{	/* Ast/private.scm 50 */
																																	obj_t
																																		BgL_cdrzd23932zd2_903;
																																	BgL_cdrzd23932zd2_903
																																		=
																																		CDR
																																		(BgL_cdrzd23923zd2_900);
																																	if (PAIRP
																																		(BgL_cdrzd23932zd2_903))
																																		{	/* Ast/private.scm 50 */
																																			obj_t
																																				BgL_cdrzd23941zd2_905;
																																			BgL_cdrzd23941zd2_905
																																				=
																																				CDR
																																				(BgL_cdrzd23932zd2_903);
																																			if (PAIRP
																																				(BgL_cdrzd23941zd2_905))
																																				{	/* Ast/private.scm 50 */
																																					obj_t
																																						BgL_cdrzd23949zd2_907;
																																					BgL_cdrzd23949zd2_907
																																						=
																																						CDR
																																						(BgL_cdrzd23941zd2_905);
																																					if (PAIRP(BgL_cdrzd23949zd2_907))
																																						{	/* Ast/private.scm 50 */
																																							obj_t
																																								BgL_carzd23955zd2_909;
																																							obj_t
																																								BgL_cdrzd23956zd2_910;
																																							BgL_carzd23955zd2_909
																																								=
																																								CAR
																																								(BgL_cdrzd23949zd2_907);
																																							BgL_cdrzd23956zd2_910
																																								=
																																								CDR
																																								(BgL_cdrzd23949zd2_907);
																																							if (STRINGP(BgL_carzd23955zd2_909))
																																								{	/* Ast/private.scm 50 */
																																									if (PAIRP(BgL_cdrzd23956zd2_910))
																																										{	/* Ast/private.scm 50 */
																																											obj_t
																																												BgL_carzd23963zd2_913;
																																											obj_t
																																												BgL_cdrzd23964zd2_914;
																																											BgL_carzd23963zd2_913
																																												=
																																												CAR
																																												(BgL_cdrzd23956zd2_910);
																																											BgL_cdrzd23964zd2_914
																																												=
																																												CDR
																																												(BgL_cdrzd23956zd2_910);
																																											if (STRINGP(BgL_carzd23963zd2_913))
																																												{	/* Ast/private.scm 50 */
																																													if (PAIRP(BgL_cdrzd23964zd2_914))
																																														{	/* Ast/private.scm 50 */
																																															obj_t
																																																BgL_carzd23970zd2_917;
																																															BgL_carzd23970zd2_917
																																																=
																																																CAR
																																																(BgL_cdrzd23964zd2_914);
																																															if (BOOLEANP(BgL_carzd23970zd2_917))
																																																{	/* Ast/private.scm 50 */
																																																	obj_t
																																																		BgL_arg3144z00_919;
																																																	obj_t
																																																		BgL_arg3145z00_920;
																																																	obj_t
																																																		BgL_arg3146z00_921;
																																																	obj_t
																																																		BgL_arg3147z00_922;
																																																	BgL_arg3144z00_919
																																																		=
																																																		CAR
																																																		(BgL_cdrzd23923zd2_900);
																																																	BgL_arg3145z00_920
																																																		=
																																																		CAR
																																																		(BgL_cdrzd23932zd2_903);
																																																	BgL_arg3146z00_921
																																																		=
																																																		CAR
																																																		(BgL_cdrzd23941zd2_905);
																																																	BgL_arg3147z00_922
																																																		=
																																																		CDR
																																																		(BgL_cdrzd23964zd2_914);
																																																	{	/* Ast/private.scm 50 */
																																																		BgL_typez00_bglt
																																																			BgL_ftypez00_1603;
																																																		BgL_typez00_bglt
																																																			BgL_vtypez00_1604;
																																																		BgL_typez00_bglt
																																																			BgL_otypez00_1605;
																																																		BgL_ftypez00_1603
																																																			=
																																																			BGl_usezd2typez12zc0zztype_envz00
																																																			(BgL_arg3145z00_920,
																																																			BgL_locz00_4);
																																																		BgL_vtypez00_1604
																																																			=
																																																			BGl_usezd2typez12zc0zztype_envz00
																																																			(BgL_arg3144z00_919,
																																																			BgL_locz00_4);
																																																		BgL_otypez00_1605
																																																			=
																																																			BGl_usezd2typez12zc0zztype_envz00
																																																			(BgL_arg3146z00_921,
																																																			BgL_locz00_4);
																																																		{	/* Ast/private.scm 50 */
																																																			obj_t
																																																				BgL_arg3255z00_1607;
																																																			BgL_arg3255z00_1607
																																																				=
																																																				BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																																																				(BgL_arg3147z00_922,
																																																				BgL_stackz00_3,
																																																				BgL_locz00_4,
																																																				BgL_sitez00_5);
																																																			{	/* Ast/private.scm 50 */
																																																				BgL_vallocz00_bglt
																																																					BgL_auxz00_2106;
																																																				BgL_auxz00_2106
																																																					=
																																																					BGl_makezd2valloczd2zzast_nodez00
																																																					(BgL_locz00_4,
																																																					BgL_vtypez00_1604,
																																																					BUNSPEC,
																																																					BINT
																																																					(((long) -1)), BgL_arg3255z00_1607, BUNSPEC, BgL_carzd23955zd2_909, BgL_ftypez00_1603, BgL_otypez00_1605);
																																																				return
																																																					(obj_t)
																																																					(BgL_auxz00_2106);
																																																			}
																																																		}
																																																	}
																																																}
																																															else
																																																{	/* Ast/private.scm 50 */
																																																	goto
																																																		BgL_tagzd2940zd2_765;
																																																}
																																														}
																																													else
																																														{	/* Ast/private.scm 50 */
																																															goto
																																																BgL_tagzd2940zd2_765;
																																														}
																																												}
																																											else
																																												{	/* Ast/private.scm 50 */
																																													goto
																																														BgL_tagzd2940zd2_765;
																																												}
																																										}
																																									else
																																										{	/* Ast/private.scm 50 */
																																											goto
																																												BgL_tagzd2940zd2_765;
																																										}
																																								}
																																							else
																																								{	/* Ast/private.scm 50 */
																																									goto
																																										BgL_tagzd2940zd2_765;
																																								}
																																						}
																																					else
																																						{	/* Ast/private.scm 50 */
																																							goto
																																								BgL_tagzd2940zd2_765;
																																						}
																																				}
																																			else
																																				{	/* Ast/private.scm 50 */
																																					goto
																																						BgL_tagzd2940zd2_765;
																																				}
																																		}
																																	else
																																		{	/* Ast/private.scm 50 */
																																			goto
																																				BgL_tagzd2940zd2_765;
																																		}
																																}
																															else
																																{	/* Ast/private.scm 50 */
																																	goto
																																		BgL_tagzd2940zd2_765;
																																}
																														}
																													else
																														{	/* Ast/private.scm 50 */
																															goto
																																BgL_tagzd2940zd2_765;
																														}
																												}
																										}
																									}
																							}
																					}
																				}
																		}
																}
															}
													}
											}
										}
								}
						}
					else
						{	/* Ast/private.scm 50 */
							goto BgL_tagzd2940zd2_765;
						}
				}
			}
		}
	}



/* _private->node3320 */
	obj_t BGl__privatezd2ze3node3320z31zzast_privatez00(obj_t BgL_envz00_1671,
		obj_t BgL_sexpz00_1672, obj_t BgL_stackz00_1673, obj_t BgL_locz00_1674,
		obj_t BgL_sitez00_1675)
	{
		AN_OBJECT;
		{	/* Ast/private.scm 45 */
			return
				BGl_privatezd2ze3nodez31zzast_privatez00(BgL_sexpz00_1672,
				BgL_stackz00_1673, BgL_locz00_1674, BgL_sitez00_1675);
		}
	}



/* make-private-sexp */
	BGL_EXPORTED_DEF obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t
		BgL_kindz00_6, obj_t BgL_typezd2idzd2_7, obj_t BgL_objsz00_8)
	{
		AN_OBJECT;
		{	/* Ast/private.scm 187 */
			{	/* Ast/private.scm 190 */
				obj_t BgL_arg3263z00_1666;

				{	/* Ast/private.scm 190 */
					obj_t BgL_list3264z00_1667;

					{	/* Ast/private.scm 190 */
						obj_t BgL_arg3265z00_1668;

						BgL_arg3265z00_1668 = MAKE_PAIR(BgL_objsz00_8, BNIL);
						BgL_list3264z00_1667 =
							MAKE_PAIR(BgL_typezd2idzd2_7, BgL_arg3265z00_1668);
					}
					BgL_arg3263z00_1666 =
						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_kindz00_6,
						BgL_list3264z00_1667);
				}
				return
					MAKE_PAIR(BGl_za2privatezd2stampza2zd2zzast_privatez00,
					BgL_arg3263z00_1666);
			}
		}
	}



/* _make-private-sexp3321 */
	obj_t BGl__makezd2privatezd2sexp3321z00zzast_privatez00(obj_t BgL_envz00_1676,
		obj_t BgL_kindz00_1677, obj_t BgL_typezd2idzd2_1678, obj_t BgL_objsz00_1679)
	{
		AN_OBJECT;
		{	/* Ast/private.scm 187 */
			return
				BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_kindz00_1677,
				BgL_typezd2idzd2_1678, BgL_objsz00_1679);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_privatez00()
	{
		AN_OBJECT;
		{	/* Ast/private.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_privatez00()
	{
		AN_OBJECT;
		{	/* Ast/private.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3324z00zzast_privatez00));
		}
	}

#ifdef __cplusplus
}
#endif
