/*===========================================================================*/
/*   (BackEnd/cplib.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/cplib.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_tclassz00_bglt);
	static obj_t BGl_zc3anonymousza33459ze3z83zzbackend_cplibz00(obj_t, obj_t);
	static obj_t BGl__widezd2ze3chunk3534z31zzbackend_cplibz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_zc3anonymousza33472ze3z83zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_wclassz00zzobject_classz00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_cplibz00();
	static obj_t BGl__classzd2idzd2ze3typezd2name3531z31zzbackend_cplibz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tclassz00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t BGl__globalzd2entryzd2zzbackend_cplibz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__setzd2variablezd2namez12z12zzbackend_cplibz00(obj_t, obj_t);
	static obj_t BGl__getzd2declaredzd2classesz00zzbackend_cplibz00(obj_t);
	static obj_t BGl__getzd2itszd2super3533z00zzbackend_cplibz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00();
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	extern obj_t BGl_sawzd2widezd2classzd2idzd2zzobject_classz00(obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl__forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl__qualifiedzd2jclasszd2namez00zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl__getzd2declaredzd2fieldsz00zzbackend_cplibz00(obj_t, obj_t);
	static obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_wclassz00_bglt);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t);
	static obj_t BGl__globalzd2arityzd2zzbackend_cplibz00(obj_t, obj_t);
	static obj_t BGl__resetzd2globalz12zc0zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cplibz00();
	static obj_t BGl__getzd2fieldzd2typez00zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00
		(BgL_tclassz00_bglt);
	static obj_t
		BGl__getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_jclassz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cplibz00 = BUNSPEC;
	extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_tclassz00_bglt);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t
		BGl__getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t, obj_t);
	extern obj_t BGl_scnstz00zzast_varz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl__qualifiedzd2tclasszd2namez00zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl__qualifiedzd2typezd2namez00zzbackend_cplibz00(obj_t, obj_t);
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
	static obj_t BGl_zc3anonymousza33449ze3z83zzbackend_cplibz00(obj_t, obj_t);
	static obj_t BGl__qualifiedzd2wclasszd2na3532z00zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2entryzd2envz00zzbackend_cplibz00,
		BgL_bgl__globalza7d2entryza73551z00,
		BGl__globalzd2entryzd2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2classeszd2envzd2zzbackend_cplibz00,
		BgL_bgl__getza7d2declaredza73552z00,
		BGl__getzd2declaredzd2classesz00zzbackend_cplibz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2itszd2superzd2envzd2zzbackend_cplibz00,
		BgL_bgl__getza7d2itsza7d2sup3553z00,
		BGl__getzd2itszd2super3533z00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2variablezd2namez12zd2envzc0zzbackend_cplibz00,
		BgL_bgl__setza7d2variableza73554z00,
		BGl__setzd2variablezd2namez12z12zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2idzd2ze3typezd2namezd2envze3zzbackend_cplibz00,
		BgL_bgl__classza7d2idza7d2za7e3555za7,
		BGl__classzd2idzd2ze3typezd2name3531z31zzbackend_cplibz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2arityzd2envz00zzbackend_cplibz00,
		BgL_bgl__globalza7d2arityza73556z00,
		BGl__globalzd2arityzd2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edzd2envza7zzbackend_cplibz00,
		BgL_bgl__getza7d2globalza7d23557z00,
		BGl__getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2typezd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl__qualifiedza7d2typ3558za7,
		BGl__qualifiedzd2typezd2namez00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2wclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl__qualifiedza7d2wcl3559za7,
		BGl__qualifiedzd2wclasszd2na3532z00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2globalzd2variableszd2envz00zzbackend_cplibz00,
		BgL_bgl__getza7d2declaredza73560z00,
		BGl__getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_widezd2ze3chunkzd2envze3zzbackend_cplibz00,
		BgL_bgl__wideza7d2za7e3chunk3561z00,
		BGl__widezd2ze3chunk3534z31zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2fieldszd2envzd2zzbackend_cplibz00,
		BgL_bgl__getza7d2declaredza73562z00,
		BGl__getzd2declaredzd2fieldsz00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2fieldzd2typezd2envzd2zzbackend_cplibz00,
		BgL_bgl__getza7d2fieldza7d2t3563z00,
		BGl__getzd2fieldzd2typez00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2declaredzd2classeszd2envz00zzbackend_cplibz00,
		BgL_bgl__forza7d2eachza7d2de3564z00,
		BGl__forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2tclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl__qualifiedza7d2tcl3565za7,
		BGl__qualifiedzd2tclasszd2namez00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2jclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl__qualifiedza7d2jcl3566za7,
		BGl__qualifiedzd2jclasszd2namez00zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00,
		BgL_bgl__resetza7d2globalza73567z00,
		BGl__resetzd2globalz12zc0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3535z00zzbackend_cplibz00,
		BgL_bgl_string3535za700za7za7b3568za7, "_K", 2);
	      DEFINE_STRING(BGl_string3536z00zzbackend_cplibz00,
		BgL_bgl_string3536za700za7za7b3569za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string3537z00zzbackend_cplibz00,
		BgL_bgl_string3537za700za7za7b3570za7, "", 0);
	      DEFINE_STRING(BGl_string3538z00zzbackend_cplibz00,
		BgL_bgl_string3538za700za7za7b3571za7, "object", 6);
	      DEFINE_STRING(BGl_string3540z00zzbackend_cplibz00,
		BgL_bgl_string3540za700za7za7b3572za7, "bigloo.", 7);
	      DEFINE_STRING(BGl_string3539z00zzbackend_cplibz00,
		BgL_bgl_string3539za700za7za7b3573za7, ".", 1);
	      DEFINE_STRING(BGl_string3541z00zzbackend_cplibz00,
		BgL_bgl_string3541za700za7za7b3574za7, "_", 1);
	      DEFINE_STRING(BGl_string3542z00zzbackend_cplibz00,
		BgL_bgl_string3542za700za7za7b3575za7, "set-variable-name!", 18);
	      DEFINE_STRING(BGl_string3543z00zzbackend_cplibz00,
		BgL_bgl_string3543za700za7za7b3576za7, "Unknown variable sort", 21);
	      DEFINE_STRING(BGl_string3544z00zzbackend_cplibz00,
		BgL_bgl_string3544za700za7za7b3577za7, "Illegal type", 12);
	      DEFINE_STRING(BGl_string3545z00zzbackend_cplibz00,
		BgL_bgl_string3545za700za7za7b3578za7, "wide-shunk", 10);
	      DEFINE_STRING(BGl_string3546z00zzbackend_cplibz00,
		BgL_bgl_string3546za700za7za7b3579za7, "internal error", 14);
	      DEFINE_STRING(BGl_string3547z00zzbackend_cplibz00,
		BgL_bgl_string3547za700za7za7b3580za7, "backend_cplib", 13);
	      DEFINE_STRING(BGl_string3548z00zzbackend_cplibz00,
		BgL_bgl_string3548za700za7za7b3581za7,
		"__cnsts_table get-declared-fields import stvector foreign obj ", 62);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long
		BgL_checksumz00_1599, char *BgL_fromz00_1600)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cplibz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cplibz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
					BGl_cnstzd2initzd2zzbackend_cplibz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_cplib");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			{	/* BackEnd/cplib.scm 15 */
				obj_t BgL_cportz00_1585;

				BgL_cportz00_1585 =
					bgl_open_input_string(BGl_string3548z00zzbackend_cplibz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1586;

					BgL_iz00_1586 = ((long) 5);
				BgL_loopz00_1587:
					if ((BgL_iz00_1586 == ((long) -1)))
						{	/* BackEnd/cplib.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cplib.scm 15 */
							{	/* BackEnd/cplib.scm 15 */
								obj_t BgL_arg3550z00_1589;

								{	/* BackEnd/cplib.scm 15 */

									{	/* BackEnd/cplib.scm 15 */
										obj_t BgL_locationz00_1591;

										BgL_locationz00_1591 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cplib.scm 15 */

											BgL_arg3550z00_1589 =
												BGl_readz00zz__readerz00(BgL_cportz00_1585,
												BgL_locationz00_1591);
										}
									}
								}
								{	/* BackEnd/cplib.scm 15 */
									int BgL_auxz00_1620;

									BgL_auxz00_1620 = (int) (BgL_iz00_1586);
									CNST_TABLE_SET(BgL_auxz00_1620, BgL_arg3550z00_1589);
							}}
							{	/* BackEnd/cplib.scm 15 */
								int BgL_auxz00_1592;

								BgL_auxz00_1592 = (int) ((BgL_iz00_1586 - ((long) 1)));
								{
									long BgL_iz00_1625;

									BgL_iz00_1625 = (long) (BgL_auxz00_1592);
									BgL_iz00_1586 = BgL_iz00_1625;
									goto BgL_loopz00_1587;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}
	}



/* class-id->type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t BgL_cidz00_11,
		obj_t BgL_midz00_12)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 56 */
			{	/* BackEnd/cplib.scm 57 */
				obj_t BgL_idz00_1415;

				{	/* BackEnd/cplib.scm 57 */
					obj_t BgL_arg3357z00_1416;
					obj_t BgL_arg3358z00_1417;

					BgL_arg3357z00_1416 = SYMBOL_TO_STRING(BgL_cidz00_11);
					BgL_arg3358z00_1417 = SYMBOL_TO_STRING(BgL_midz00_12);
					BgL_idz00_1415 =
						bigloo_module_mangle(BgL_arg3357z00_1416, BgL_arg3358z00_1417);
				}
				return
					string_append(BGl_string3535z00zzbackend_cplibz00, BgL_idz00_1415);
			}
		}
	}



/* _class-id->type-name3531 */
	obj_t BGl__classzd2idzd2ze3typezd2name3531z31zzbackend_cplibz00(obj_t
		BgL_envz00_1534, obj_t BgL_cidz00_1535, obj_t BgL_midz00_1536)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 56 */
			return
				BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(BgL_cidz00_1535,
				BgL_midz00_1536);
		}
	}



/* qualified-real-tclass-name */
	obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_tclassz00_bglt
		BgL_classz00_13)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 63 */
			{
				BgL_tclassz00_bglt BgL_classz00_858;
				obj_t BgL_namez00_853;
				BgL_tclassz00_bglt BgL_superz00_835;

				{	/* BackEnd/cplib.scm 97 */
					obj_t BgL_arg3359z00_833;
					obj_t BgL_arg3360z00_834;

					BgL_superz00_835 = BgL_classz00_13;
					{	/* BackEnd/cplib.scm 87 */
						bool_t BgL_testz00_1632;

						{	/* BackEnd/cplib.scm 87 */
							bool_t BgL_testz00_1633;

							{	/* BackEnd/cplib.scm 87 */
								obj_t BgL_arg3375z00_852;

								{
									obj_t BgL_auxz00_1634;

									{	/* BackEnd/cplib.scm 87 */
										BgL_objectz00_bglt BgL_auxz00_1635;

										BgL_auxz00_1635 = (BgL_objectz00_bglt) (BgL_superz00_835);
										BgL_auxz00_1634 = BGL_OBJECT_WIDENING(BgL_auxz00_1635);
									}
									BgL_arg3375z00_852 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1634))->
										BgL_itszd2superzd2);
								}
								BgL_testz00_1633 =
									BGl_iszd2azf3z21zz__objectz00(BgL_arg3375z00_852,
									BGl_tclassz00zzobject_classz00);
							}
							if (BgL_testz00_1633)
								{	/* BackEnd/cplib.scm 88 */
									bool_t BgL_testz00_1640;

									{	/* BackEnd/cplib.scm 88 */
										obj_t BgL_auxz00_1641;

										{
											obj_t BgL_auxz00_1643;

											{	/* BackEnd/cplib.scm 88 */
												BgL_objectz00_bglt BgL_auxz00_1644;

												BgL_auxz00_1644 =
													(BgL_objectz00_bglt) (BgL_superz00_835);
												BgL_auxz00_1643 = BGL_OBJECT_WIDENING(BgL_auxz00_1644);
											}
											BgL_auxz00_1641 =
												(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1643))->
												BgL_itszd2superzd2);
										}
										BgL_testz00_1640 =
											((obj_t) (BgL_superz00_835) == BgL_auxz00_1641);
									}
									if (BgL_testz00_1640)
										{	/* BackEnd/cplib.scm 89 */
											bool_t BgL_testz00_1649;

											{	/* BackEnd/cplib.scm 89 */
												obj_t BgL_auxz00_1650;

												{	/* BackEnd/cplib.scm 89 */
													BgL_typez00_bglt BgL_obj1286z00_1429;

													{	/* BackEnd/cplib.scm 89 */
														obj_t BgL_auxz00_1651;

														{
															obj_t BgL_auxz00_1652;

															{	/* BackEnd/cplib.scm 89 */
																BgL_objectz00_bglt BgL_auxz00_1653;

																BgL_auxz00_1653 =
																	(BgL_objectz00_bglt) (BgL_superz00_835);
																BgL_auxz00_1652 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1653);
															}
															BgL_auxz00_1651 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1652))->
																BgL_itszd2superzd2);
														}
														BgL_obj1286z00_1429 =
															(BgL_typez00_bglt) (BgL_auxz00_1651);
													}
													BgL_auxz00_1650 =
														(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1429))->
														BgL_idz00);
												}
												BgL_testz00_1649 =
													(BgL_auxz00_1650 == CNST_TABLE_REF(((long) 0)));
											}
											if (BgL_testz00_1649)
												{	/* BackEnd/cplib.scm 89 */
													BgL_testz00_1632 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 89 */
													BgL_testz00_1632 = ((bool_t) 1);
												}
										}
									else
										{	/* BackEnd/cplib.scm 88 */
											BgL_testz00_1632 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/cplib.scm 87 */
									BgL_testz00_1632 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_1632)
							{	/* BackEnd/cplib.scm 87 */
								BgL_arg3359z00_833 = BGl_string3536z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 91 */
								BgL_globalz00_bglt BgL_holderz00_839;

								{
									obj_t BgL_auxz00_1661;

									{	/* BackEnd/cplib.scm 91 */
										BgL_objectz00_bglt BgL_auxz00_1662;

										BgL_auxz00_1662 = (BgL_objectz00_bglt) (BgL_superz00_835);
										BgL_auxz00_1661 = BGL_OBJECT_WIDENING(BgL_auxz00_1662);
									}
									BgL_holderz00_839 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1661))->
										BgL_holderz00);
								}
								{	/* BackEnd/cplib.scm 92 */
									obj_t BgL_arg3363z00_840;
									obj_t BgL_arg3364z00_841;
									obj_t BgL_arg3365z00_842;

									BgL_arg3363z00_840 =
										(((BgL_globalz00_bglt) CREF(BgL_holderz00_839))->
										BgL_modulez00);
									BgL_arg3364z00_841 =
										(((BgL_globalz00_bglt) CREF(BgL_holderz00_839))->
										BgL_jvmzd2typezd2namez00);
									{	/* BackEnd/cplib.scm 92 */
										BgL_typez00_bglt BgL_obj1286z00_1433;

										BgL_obj1286z00_1433 = (BgL_typez00_bglt) (BgL_superz00_835);
										BgL_arg3365z00_842 =
											(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1433))->
											BgL_idz00);
									}
									{	/* BackEnd/cplib.scm 92 */
										obj_t BgL_list3366z00_843;

										BgL_list3366z00_843 = MAKE_PAIR(BgL_arg3365z00_842, BNIL);
										BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
											(BgL_arg3363z00_840, BgL_arg3364z00_841,
											BgL_list3366z00_843);
									}
								}
								{	/* BackEnd/cplib.scm 95 */
									obj_t BgL_arg3367z00_844;

									BgL_arg3367z00_844 =
										(((BgL_globalz00_bglt) CREF(BgL_holderz00_839))->
										BgL_modulez00);
									BgL_namez00_853 = BgL_arg3367z00_844;
									{	/* BackEnd/cplib.scm 79 */
										obj_t BgL_sz00_855;

										BgL_sz00_855 =
											BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
											(BgL_namez00_853);
										{	/* BackEnd/cplib.scm 79 */
											obj_t BgL_prefz00_856;

											BgL_prefz00_856 = BGl_prefixz00zz__osz00(BgL_sz00_855);
											{	/* BackEnd/cplib.scm 80 */

												if (bigloo_strcmp(BgL_prefz00_856, BgL_sz00_855))
													{	/* BackEnd/cplib.scm 81 */
														BgL_arg3359z00_833 =
															BGl_string3537z00zzbackend_cplibz00;
													}
												else
													{	/* BackEnd/cplib.scm 81 */
														BgL_arg3359z00_833 = BgL_prefz00_856;
													}
											}
										}
									}
								}
							}
					}
					BgL_classz00_858 = BgL_classz00_13;
					{	/* BackEnd/cplib.scm 72 */
						bool_t BgL_testz00_1677;

						{	/* BackEnd/cplib.scm 72 */
							obj_t BgL_arg3382z00_865;

							BgL_arg3382z00_865 = BGl_getzd2objectzd2typez00zztype_cachez00();
							BgL_testz00_1677 =
								((obj_t) (BgL_classz00_858) == BgL_arg3382z00_865);
						}
						if (BgL_testz00_1677)
							{	/* BackEnd/cplib.scm 72 */
								BgL_arg3360z00_834 = BGl_string3538z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 75 */
								obj_t BgL_modz00_862;

								{	/* BackEnd/cplib.scm 75 */
									BgL_globalz00_bglt BgL_obj1452z00_1438;

									{
										obj_t BgL_auxz00_1681;

										{	/* BackEnd/cplib.scm 75 */
											BgL_objectz00_bglt BgL_auxz00_1682;

											BgL_auxz00_1682 = (BgL_objectz00_bglt) (BgL_classz00_858);
											BgL_auxz00_1681 = BGL_OBJECT_WIDENING(BgL_auxz00_1682);
										}
										BgL_obj1452z00_1438 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1681))->
											BgL_holderz00);
									}
									BgL_modz00_862 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1438))->
										BgL_modulez00);
								}
								{	/* BackEnd/cplib.scm 76 */
									obj_t BgL_arg3380z00_863;

									{	/* BackEnd/cplib.scm 76 */
										BgL_typez00_bglt BgL_obj1286z00_1439;

										BgL_obj1286z00_1439 = (BgL_typez00_bglt) (BgL_classz00_858);
										BgL_arg3380z00_863 =
											(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1439))->
											BgL_idz00);
									}
									{	/* BackEnd/cplib.scm 76 */
										obj_t BgL_res3530z00_1447;

										{	/* BackEnd/cplib.scm 76 */
											obj_t BgL_idz00_1442;

											{	/* BackEnd/cplib.scm 76 */
												obj_t BgL_arg3357z00_1443;
												obj_t BgL_arg3358z00_1444;

												BgL_arg3357z00_1443 =
													SYMBOL_TO_STRING(BgL_arg3380z00_863);
												BgL_arg3358z00_1444 = SYMBOL_TO_STRING(BgL_modz00_862);
												BgL_idz00_1442 =
													bigloo_module_mangle(BgL_arg3357z00_1443,
													BgL_arg3358z00_1444);
											}
											BgL_res3530z00_1447 =
												string_append(BGl_string3535z00zzbackend_cplibz00,
												BgL_idz00_1442);
										}
										BgL_arg3360z00_834 = BgL_res3530z00_1447;
									}
								}
							}
					}
					if (bigloo_strcmp(BgL_arg3359z00_833,
							BGl_string3537z00zzbackend_cplibz00))
						{	/* BackEnd/cplib.scm 97 */
							return BgL_arg3360z00_834;
						}
					else
						{	/* BackEnd/cplib.scm 97 */
							return
								string_append_3(BgL_arg3359z00_833,
								BGl_string3539z00zzbackend_cplibz00, BgL_arg3360z00_834);
						}
				}
			}
		}
	}



/* qualified-tclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_tclassz00_bglt
		BgL_classz00_14)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 102 */
			{	/* BackEnd/cplib.scm 103 */
				obj_t BgL_cz00_874;

				if (BGl_widezd2classzf3z21zzobject_classz00((obj_t) (BgL_classz00_14)))
					{
						obj_t BgL_auxz00_1699;

						{	/* BackEnd/cplib.scm 103 */
							BgL_objectz00_bglt BgL_auxz00_1700;

							BgL_auxz00_1700 = (BgL_objectz00_bglt) (BgL_classz00_14);
							BgL_auxz00_1699 = BGL_OBJECT_WIDENING(BgL_auxz00_1700);
						}
						BgL_cz00_874 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1699))->
							BgL_itszd2superzd2);
					}
				else
					{	/* BackEnd/cplib.scm 103 */
						BgL_cz00_874 = (obj_t) (BgL_classz00_14);
					}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					(BgL_tclassz00_bglt) (BgL_cz00_874));
			}
		}
	}



/* _qualified-tclass-name */
	obj_t BGl__qualifiedzd2tclasszd2namez00zzbackend_cplibz00(obj_t
		BgL_envz00_1537, obj_t BgL_classz00_1538)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 102 */
			return
				BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1538));
		}
	}



/* qualified-wclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_wclassz00_bglt
		BgL_classz00_15)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 109 */
			{	/* BackEnd/cplib.scm 110 */
				obj_t BgL_arg3386z00_1452;

				{
					obj_t BgL_auxz00_1709;

					{	/* BackEnd/cplib.scm 110 */
						BgL_objectz00_bglt BgL_auxz00_1710;

						BgL_auxz00_1710 = (BgL_objectz00_bglt) (BgL_classz00_15);
						BgL_auxz00_1709 = BGL_OBJECT_WIDENING(BgL_auxz00_1710);
					}
					BgL_arg3386z00_1452 =
						(((BgL_wclassz00_bglt) CREF(BgL_auxz00_1709))->BgL_itszd2classzd2);
				}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					(BgL_tclassz00_bglt) (BgL_arg3386z00_1452));
			}
		}
	}



/* _qualified-wclass-na3532 */
	obj_t BGl__qualifiedzd2wclasszd2na3532z00zzbackend_cplibz00(obj_t
		BgL_envz00_1539, obj_t BgL_classz00_1540)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 109 */
			return
				BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
				(BgL_wclassz00_bglt) (BgL_classz00_1540));
		}
	}



/* qualified-jclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_jclassz00_bglt
		BgL_classz00_16)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 115 */
			{	/* BackEnd/cplib.scm 116 */
				BgL_typez00_bglt BgL_obj1287z00_1454;

				BgL_obj1287z00_1454 = (BgL_typez00_bglt) (BgL_classz00_16);
				return (((BgL_typez00_bglt) CREF(BgL_obj1287z00_1454))->BgL_namez00);
			}
		}
	}



/* _qualified-jclass-name */
	obj_t BGl__qualifiedzd2jclasszd2namez00zzbackend_cplibz00(obj_t
		BgL_envz00_1541, obj_t BgL_classz00_1542)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 115 */
			return
				BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
				(BgL_jclassz00_bglt) (BgL_classz00_1542));
		}
	}



/* qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_17)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 121 */
			{	/* BackEnd/cplib.scm 122 */
				obj_t BgL_idz00_877;

				BgL_idz00_877 = (((BgL_typez00_bglt) CREF(BgL_typez00_17))->BgL_idz00);
				if ((BgL_idz00_877 == CNST_TABLE_REF(((long) 1))))
					{	/* BackEnd/cplib.scm 123 */
						return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
					}
				else
					{	/* BackEnd/cplib.scm 125 */
						obj_t BgL_javazd2classzd2_879;

						BgL_javazd2classzd2_879 =
							BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_idz00_877);
						if (STRINGP(BgL_javazd2classzd2_879))
							{	/* BackEnd/cplib.scm 126 */
								return BgL_javazd2classzd2_879;
							}
						else
							{	/* BackEnd/cplib.scm 128 */
								obj_t BgL_arg3390z00_882;

								BgL_arg3390z00_882 = SYMBOL_TO_STRING(BgL_idz00_877);
								return
									string_append(BGl_string3540z00zzbackend_cplibz00,
									BgL_arg3390z00_882);
							}
					}
			}
		}
	}



/* _qualified-type-name */
	obj_t BGl__qualifiedzd2typezd2namez00zzbackend_cplibz00(obj_t BgL_envz00_1543,
		obj_t BgL_typez00_1544)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 121 */
			return
				BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(
				(BgL_typez00_bglt) (BgL_typez00_1544));
		}
	}



/* reset-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_18)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 134 */
			{	/* BackEnd/cplib.scm 136 */
				obj_t BgL_namez00_883;

				{	/* BackEnd/cplib.scm 136 */
					BgL_variablez00_bglt BgL_obj1381z00_1458;

					BgL_obj1381z00_1458 = (BgL_variablez00_bglt) (BgL_varz00_18);
					BgL_namez00_883 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1381z00_1458))->BgL_namez00);
				}
				if (STRINGP(BgL_namez00_883))
					{	/* BackEnd/cplib.scm 137 */
						BgL_namez00_883;
					}
				else
					{	/* BackEnd/cplib.scm 139 */
						obj_t BgL_namez00_885;

						{	/* BackEnd/cplib.scm 139 */
							obj_t BgL_arg3395z00_888;

							{	/* BackEnd/cplib.scm 139 */
								BgL_variablez00_bglt BgL_obj1379z00_1460;

								BgL_obj1379z00_1460 = (BgL_variablez00_bglt) (BgL_varz00_18);
								BgL_arg3395z00_888 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1460))->
									BgL_idz00);
							}
							BgL_namez00_885 = SYMBOL_TO_STRING(BgL_arg3395z00_888);
						}
						{	/* BackEnd/cplib.scm 141 */
							obj_t BgL_arg3392z00_886;

							if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
								(BgL_namez00_885))
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg3392z00_886 = bigloo_mangle(BgL_namez00_885);
								}
							else
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg3392z00_886 = BgL_namez00_885;
								}
							{	/* BackEnd/cplib.scm 140 */
								BgL_variablez00_bglt BgL_obj1383z00_1462;
								obj_t BgL_val1382z00_1463;

								BgL_obj1383z00_1462 = (BgL_variablez00_bglt) (BgL_varz00_18);
								BgL_val1382z00_1463 = BgL_arg3392z00_886;
								((((BgL_variablez00_bglt) CREF(BgL_obj1383z00_1462))->
										BgL_namez00) = ((obj_t) BgL_val1382z00_1463), BUNSPEC);
							}
						}
					}
			}
			{	/* BackEnd/cplib.scm 145 */
				BgL_valuez00_bglt BgL_valuez00_889;

				{	/* BackEnd/cplib.scm 145 */
					BgL_variablez00_bglt BgL_obj1387z00_1464;

					BgL_obj1387z00_1464 = (BgL_variablez00_bglt) (BgL_varz00_18);
					BgL_valuez00_889 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1464))->BgL_valuez00);
				}
				{	/* BackEnd/cplib.scm 146 */
					bool_t BgL_testz00_1747;

					{	/* BackEnd/cplib.scm 146 */
						bool_t BgL_testz00_1748;

						{	/* BackEnd/cplib.scm 146 */
							obj_t BgL_obj1824z00_1465;

							BgL_obj1824z00_1465 = (obj_t) (BgL_valuez00_889);
							BgL_testz00_1748 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1824z00_1465,
								BGl_scnstz00zzast_varz00);
						}
						if (BgL_testz00_1748)
							{	/* BackEnd/cplib.scm 146 */
								obj_t BgL_auxz00_1751;

								{	/* BackEnd/cplib.scm 146 */
									BgL_scnstz00_bglt BgL_obj1806z00_1466;

									BgL_obj1806z00_1466 = (BgL_scnstz00_bglt) (BgL_valuez00_889);
									BgL_auxz00_1751 =
										(((BgL_scnstz00_bglt) CREF(BgL_obj1806z00_1466))->
										BgL_classz00);
								}
								BgL_testz00_1747 =
									(BgL_auxz00_1751 == CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* BackEnd/cplib.scm 146 */
								BgL_testz00_1747 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1747)
						{	/* BackEnd/cplib.scm 147 */
							obj_t BgL_arg3397z00_891;

							{	/* BackEnd/cplib.scm 147 */
								obj_t BgL_sz00_1469;

								{	/* BackEnd/cplib.scm 147 */
									BgL_scnstz00_bglt BgL_obj1805z00_1467;

									BgL_obj1805z00_1467 = (BgL_scnstz00_bglt) (BgL_valuez00_889);
									BgL_sz00_1469 =
										(((BgL_scnstz00_bglt) CREF(BgL_obj1805z00_1467))->
										BgL_nodez00);
								}
								BgL_arg3397z00_891 =
									STRUCT_REF(BgL_sz00_1469, (int) (((long) 0)));
							}
							{	/* BackEnd/cplib.scm 147 */
								BgL_variablez00_bglt BgL_obj1386z00_1471;
								BgL_typez00_bglt BgL_val1385z00_1472;

								BgL_obj1386z00_1471 = (BgL_variablez00_bglt) (BgL_varz00_18);
								BgL_val1385z00_1472 = (BgL_typez00_bglt) (BgL_arg3397z00_891);
								return
									((((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1471))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1385z00_1472), BUNSPEC);
							}
						}
					else
						{	/* BackEnd/cplib.scm 146 */
							return BFALSE;
						}
				}
			}
		}
	}



/* _reset-global! */
	obj_t BGl__resetzd2globalz12zc0zzbackend_cplibz00(obj_t BgL_envz00_1545,
		obj_t BgL_varz00_1546)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 134 */
			return
				BGl_resetzd2globalz12zc0zzbackend_cplibz00(
				(BgL_globalz00_bglt) (BgL_varz00_1546));
		}
	}



/* set-variable-name! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt
		BgL_variablez00_19)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 152 */
			{	/* BackEnd/cplib.scm 154 */
				bool_t BgL_testz00_1765;

				{	/* BackEnd/cplib.scm 154 */
					obj_t BgL_auxz00_1766;

					BgL_auxz00_1766 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_19))->BgL_namez00);
					BgL_testz00_1765 = STRINGP(BgL_auxz00_1766);
				}
				if (BgL_testz00_1765)
					{	/* BackEnd/cplib.scm 154 */
						return
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_19))->BgL_namez00);
					}
				else
					{	/* BackEnd/cplib.scm 156 */
						obj_t BgL_nz00_898;

						{	/* BackEnd/cplib.scm 157 */
							bool_t BgL_testz00_1770;

							{	/* BackEnd/cplib.scm 157 */
								obj_t BgL_obj1527z00_1476;

								BgL_obj1527z00_1476 = (obj_t) (BgL_variablez00_19);
								BgL_testz00_1770 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1527z00_1476,
									BGl_globalz00zzast_varz00);
							}
							if (BgL_testz00_1770)
								{	/* BackEnd/cplib.scm 159 */
									obj_t BgL_arg3404z00_901;
									obj_t BgL_arg3405z00_902;

									{	/* BackEnd/cplib.scm 159 */
										obj_t BgL_arg3406z00_903;

										BgL_arg3406z00_903 =
											(((BgL_variablez00_bglt) CREF(BgL_variablez00_19))->
											BgL_idz00);
										BgL_arg3404z00_901 = SYMBOL_TO_STRING(BgL_arg3406z00_903);
									}
									{	/* BackEnd/cplib.scm 160 */
										obj_t BgL_arg3407z00_904;

										{	/* BackEnd/cplib.scm 160 */
											BgL_globalz00_bglt BgL_obj1452z00_1479;

											BgL_obj1452z00_1479 =
												(BgL_globalz00_bglt) (BgL_variablez00_19);
											BgL_arg3407z00_904 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1479))->
												BgL_modulez00);
										}
										BgL_arg3405z00_902 = SYMBOL_TO_STRING(BgL_arg3407z00_904);
									}
									BgL_nz00_898 =
										bigloo_module_mangle(BgL_arg3404z00_901,
										BgL_arg3405z00_902);
								}
							else
								{	/* BackEnd/cplib.scm 161 */
									bool_t BgL_testz00_1779;

									{	/* BackEnd/cplib.scm 161 */
										obj_t BgL_obj1587z00_1481;

										BgL_obj1587z00_1481 = (obj_t) (BgL_variablez00_19);
										BgL_testz00_1779 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1587z00_1481,
											BGl_localz00zzast_varz00);
									}
									if (BgL_testz00_1779)
										{	/* BackEnd/cplib.scm 164 */
											obj_t BgL_arg3409z00_907;

											{	/* BackEnd/cplib.scm 164 */
												obj_t BgL_arg3410z00_908;
												obj_t BgL_arg3412z00_910;

												{	/* BackEnd/cplib.scm 164 */
													obj_t BgL_arg3413z00_911;

													BgL_arg3413z00_911 =
														(((BgL_variablez00_bglt) CREF(BgL_variablez00_19))->
														BgL_idz00);
													BgL_arg3410z00_908 =
														SYMBOL_TO_STRING(BgL_arg3413z00_911);
												}
												{	/* BackEnd/cplib.scm 166 */

													{	/* BackEnd/cplib.scm 166 */
														long BgL_auxz00_1784;

														{	/* BackEnd/cplib.scm 166 */
															BgL_localz00_bglt BgL_obj1553z00_1484;

															BgL_obj1553z00_1484 =
																(BgL_localz00_bglt) (BgL_variablez00_19);
															BgL_auxz00_1784 =
																(((BgL_localz00_bglt)
																	CREF(BgL_obj1553z00_1484))->BgL_keyz00);
														}
														BgL_arg3412z00_910 =
															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
															(BgL_auxz00_1784, ((long) 10));
												}}
												BgL_arg3409z00_907 =
													string_append_3(BgL_arg3410z00_908,
													BGl_string3541z00zzbackend_cplibz00,
													BgL_arg3412z00_910);
											}
											BgL_nz00_898 = bigloo_mangle(BgL_arg3409z00_907);
										}
									else
										{	/* BackEnd/cplib.scm 168 */
											obj_t BgL_arg3417z00_917;

											BgL_arg3417z00_917 =
												BGl_shapez00zztools_shapez00(
												(obj_t) (BgL_variablez00_19));
											BgL_nz00_898 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string3542z00zzbackend_cplibz00,
												BGl_string3543z00zzbackend_cplibz00,
												BgL_arg3417z00_917);
										}
								}
						}
						((((BgL_variablez00_bglt) CREF(BgL_variablez00_19))->BgL_namez00) =
							((obj_t) BgL_nz00_898), BUNSPEC);
						return BgL_nz00_898;
					}
			}
		}
	}



/* _set-variable-name! */
	obj_t BGl__setzd2variablezd2namez12z12zzbackend_cplibz00(obj_t
		BgL_envz00_1547, obj_t BgL_variablez00_1548)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 152 */
			return
				BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				(BgL_variablez00_bglt) (BgL_variablez00_1548));
		}
	}



/* global-entry */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_20)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 177 */
			{	/* BackEnd/cplib.scm 179 */
				BgL_valuez00_bglt BgL_valuez00_919;

				{	/* BackEnd/cplib.scm 179 */
					BgL_variablez00_bglt BgL_obj1387z00_1487;

					BgL_obj1387z00_1487 = (BgL_variablez00_bglt) (BgL_varz00_20);
					BgL_valuez00_919 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1487))->BgL_valuez00);
				}
				{	/* BackEnd/cplib.scm 180 */
					bool_t BgL_testz00_1798;

					{	/* BackEnd/cplib.scm 180 */
						obj_t BgL_obj1824z00_1488;

						BgL_obj1824z00_1488 = (obj_t) (BgL_valuez00_919);
						BgL_testz00_1798 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1824z00_1488,
							BGl_scnstz00zzast_varz00);
					}
					if (BgL_testz00_1798)
						{	/* BackEnd/cplib.scm 181 */
							BgL_varz00_bglt BgL_obj1929z00_1492;

							{	/* BackEnd/cplib.scm 181 */
								obj_t BgL_auxz00_1801;

								{	/* BackEnd/cplib.scm 181 */
									obj_t BgL_pairz00_1491;

									{	/* BackEnd/cplib.scm 181 */
										BgL_appz00_bglt BgL_obj2026z00_1490;

										{	/* BackEnd/cplib.scm 181 */
											BgL_scnstz00_bglt BgL_obj1805z00_1489;

											BgL_obj1805z00_1489 =
												(BgL_scnstz00_bglt) (BgL_valuez00_919);
											{	/* BackEnd/cplib.scm 181 */
												obj_t BgL_auxz00_1803;

												BgL_auxz00_1803 =
													(((BgL_scnstz00_bglt) CREF(BgL_obj1805z00_1489))->
													BgL_nodez00);
												BgL_obj2026z00_1490 =
													(BgL_appz00_bglt) (BgL_auxz00_1803);
											}
										}
										BgL_pairz00_1491 =
											(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1490))->
											BgL_argsz00);
									}
									BgL_auxz00_1801 = CAR(BgL_pairz00_1491);
								}
								BgL_obj1929z00_1492 = (BgL_varz00_bglt) (BgL_auxz00_1801);
							}
							{	/* BackEnd/cplib.scm 181 */
								BgL_variablez00_bglt BgL_auxz00_1809;

								BgL_auxz00_1809 =
									(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1492))->
									BgL_variablez00);
								return (BgL_globalz00_bglt) (BgL_auxz00_1809);
							}
						}
					else
						{	/* BackEnd/cplib.scm 180 */
							return BgL_varz00_20;
						}
				}
			}
		}
	}



/* _global-entry */
	obj_t BGl__globalzd2entryzd2zzbackend_cplibz00(obj_t BgL_envz00_1549,
		obj_t BgL_varz00_1550)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 177 */
			{	/* BackEnd/cplib.scm 179 */
				BgL_globalz00_bglt BgL_auxz00_1812;

				BgL_auxz00_1812 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_varz00_1550));
				return (obj_t) (BgL_auxz00_1812);
			}
		}
	}



/* global-arity */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_21)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 187 */
			{	/* BackEnd/cplib.scm 189 */
				BgL_valuez00_bglt BgL_valuez00_924;

				{	/* BackEnd/cplib.scm 189 */
					BgL_variablez00_bglt BgL_obj1387z00_1493;

					BgL_obj1387z00_1493 = (BgL_variablez00_bglt) (BgL_varz00_21);
					BgL_valuez00_924 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1493))->BgL_valuez00);
				}
				{	/* BackEnd/cplib.scm 191 */
					bool_t BgL_testz00_1818;

					{	/* BackEnd/cplib.scm 191 */
						obj_t BgL_obj1824z00_1494;

						BgL_obj1824z00_1494 = (obj_t) (BgL_valuez00_924);
						BgL_testz00_1818 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1824z00_1494,
							BGl_scnstz00zzast_varz00);
					}
					if (BgL_testz00_1818)
						{	/* BackEnd/cplib.scm 192 */
							obj_t BgL_arg3424z00_926;

							{	/* BackEnd/cplib.scm 192 */
								obj_t BgL_pairz00_1497;

								{	/* BackEnd/cplib.scm 192 */
									BgL_appz00_bglt BgL_obj2026z00_1496;

									{	/* BackEnd/cplib.scm 192 */
										BgL_scnstz00_bglt BgL_obj1805z00_1495;

										BgL_obj1805z00_1495 =
											(BgL_scnstz00_bglt) (BgL_valuez00_924);
										{	/* BackEnd/cplib.scm 192 */
											obj_t BgL_auxz00_1822;

											BgL_auxz00_1822 =
												(((BgL_scnstz00_bglt) CREF(BgL_obj1805z00_1495))->
												BgL_nodez00);
											BgL_obj2026z00_1496 = (BgL_appz00_bglt) (BgL_auxz00_1822);
										}
									}
									BgL_pairz00_1497 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1496))->
										BgL_argsz00);
								}
								BgL_arg3424z00_926 = CAR(CDR(BgL_pairz00_1497));
							}
							return
								BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
								(BgL_nodez00_bglt) (BgL_arg3424z00_926));
						}
					else
						{	/* BackEnd/cplib.scm 193 */
							bool_t BgL_testz00_1830;

							{	/* BackEnd/cplib.scm 193 */
								obj_t BgL_obj1729z00_1501;

								BgL_obj1729z00_1501 = (obj_t) (BgL_valuez00_924);
								BgL_testz00_1830 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1501,
									BGl_sfunz00zzast_varz00);
							}
							if (BgL_testz00_1830)
								{	/* BackEnd/cplib.scm 194 */
									long BgL_xz00_930;

									{	/* BackEnd/cplib.scm 194 */
										BgL_funz00_bglt BgL_obj1588z00_1502;

										BgL_obj1588z00_1502 = (BgL_funz00_bglt) (BgL_valuez00_924);
										BgL_xz00_930 =
											(((BgL_funz00_bglt) CREF(BgL_obj1588z00_1502))->
											BgL_arityz00);
									}
									if ((BgL_xz00_930 >= ((long) 0)))
										{	/* BackEnd/cplib.scm 195 */
											return BINT((BgL_xz00_930 - ((long) 1)));
										}
									else
										{	/* BackEnd/cplib.scm 195 */
											return BINT((BgL_xz00_930 + ((long) 1)));
								}}
							else
								{	/* BackEnd/cplib.scm 193 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* _global-arity */
	obj_t BGl__globalzd2arityzd2zzbackend_cplibz00(obj_t BgL_envz00_1551,
		obj_t BgL_varz00_1552)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 187 */
			return
				BGl_globalzd2arityzd2zzbackend_cplibz00(
				(BgL_globalz00_bglt) (BgL_varz00_1552));
		}
	}



/* for-each-declared-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t
		BgL_funz00_22)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 202 */
			{	/* BackEnd/cplib.scm 203 */
				obj_t BgL_g3344z00_932;

				BgL_g3344z00_932 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l3342z00_933;

					{	/* BackEnd/cplib.scm 203 */
						bool_t BgL_auxz00_1844;

						BgL_l3342z00_933 = BgL_g3344z00_932;
					BgL_forzd2each3343zd2_934:
						if (PAIRP(BgL_l3342z00_933))
							{	/* BackEnd/cplib.scm 203 */
								{	/* BackEnd/cplib.scm 204 */
									obj_t BgL_cz00_936;

									BgL_cz00_936 = CAR(BgL_l3342z00_933);
									{	/* BackEnd/cplib.scm 204 */
										bool_t BgL_widezf3zf3_937;

										BgL_widezf3zf3_937 =
											BGl_widezd2classzf3z21zzobject_classz00(BgL_cz00_936);
										{	/* BackEnd/cplib.scm 209 */
											obj_t BgL_arg3430z00_938;
											obj_t BgL_arg3431z00_939;

											if (BgL_widezf3zf3_937)
												{	/* BackEnd/cplib.scm 209 */
													BgL_arg3430z00_938 =
														BGl_widezd2ze3chunkz31zzbackend_cplibz00(
														(BgL_tclassz00_bglt) (BgL_cz00_936));
												}
											else
												{	/* BackEnd/cplib.scm 209 */
													BgL_arg3430z00_938 = BgL_cz00_936;
												}
											if (BgL_widezf3zf3_937)
												{	/* BackEnd/cplib.scm 211 */
													BgL_typez00_bglt BgL_auxz00_1853;

													BgL_auxz00_1853 =
														BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF((
																(long) 0)));
													BgL_arg3431z00_939 = (obj_t) (BgL_auxz00_1853);
												}
											else
												{	/* BackEnd/cplib.scm 211 */
													BgL_tclassz00_bglt BgL_obj3067z00_1505;

													BgL_obj3067z00_1505 =
														(BgL_tclassz00_bglt) (BgL_cz00_936);
													{
														obj_t BgL_auxz00_1858;

														{	/* BackEnd/cplib.scm 211 */
															BgL_objectz00_bglt BgL_auxz00_1859;

															BgL_auxz00_1859 =
																(BgL_objectz00_bglt) (BgL_obj3067z00_1505);
															BgL_auxz00_1858 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1859);
														}
														BgL_arg3431z00_939 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1858))->
															BgL_itszd2superzd2);
													}
												}
											PROCEDURE_ENTRY(BgL_funz00_22) (BgL_funz00_22,
												BgL_cz00_936, BgL_arg3430z00_938, BgL_arg3431z00_939,
												BEOA);
										}
									}
								}
								{
									obj_t BgL_l3342z00_1865;

									BgL_l3342z00_1865 = CDR(BgL_l3342z00_933);
									BgL_l3342z00_933 = BgL_l3342z00_1865;
									goto BgL_forzd2each3343zd2_934;
								}
							}
						else
							{	/* BackEnd/cplib.scm 203 */
								BgL_auxz00_1844 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_1844);
					}
				}
			}
		}
	}



/* _for-each-declared-classes */
	obj_t BGl__forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t
		BgL_envz00_1553, obj_t BgL_funz00_1554)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 202 */
			return
				BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00
				(BgL_funz00_1554);
		}
	}



/* get-declared-classes */
	BGL_EXPORTED_DEF obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 217 */
			{	/* BackEnd/cplib.scm 220 */
				obj_t BgL_rz00_941;

				BgL_rz00_941 = BNIL;
				{	/* BackEnd/cplib.scm 221 */
					obj_t BgL_g3347z00_942;

					BgL_g3347z00_942 = BGl_getzd2classzd2listz00zzobject_classz00();
					{
						obj_t BgL_l3345z00_943;

						BgL_l3345z00_943 = BgL_g3347z00_942;
					BgL_forzd2each3346zd2_944:
						if (PAIRP(BgL_l3345z00_943))
							{	/* BackEnd/cplib.scm 221 */
								{	/* BackEnd/cplib.scm 222 */
									obj_t BgL_cz00_946;

									BgL_cz00_946 = CAR(BgL_l3345z00_943);
									{	/* BackEnd/cplib.scm 222 */
										bool_t BgL_testz00_1873;

										{	/* BackEnd/cplib.scm 222 */
											bool_t BgL_testz00_1874;

											{	/* BackEnd/cplib.scm 222 */
												obj_t BgL_auxz00_1875;

												{	/* BackEnd/cplib.scm 222 */
													BgL_globalz00_bglt BgL_obj1455z00_1510;

													{	/* BackEnd/cplib.scm 222 */
														BgL_tclassz00_bglt BgL_obj3074z00_1509;

														BgL_obj3074z00_1509 =
															(BgL_tclassz00_bglt) (BgL_cz00_946);
														{
															obj_t BgL_auxz00_1877;

															{	/* BackEnd/cplib.scm 222 */
																BgL_objectz00_bglt BgL_auxz00_1878;

																BgL_auxz00_1878 =
																	(BgL_objectz00_bglt) (BgL_obj3074z00_1509);
																BgL_auxz00_1877 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1878);
															}
															BgL_obj1455z00_1510 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1877))->
																BgL_holderz00);
														}
													}
													BgL_auxz00_1875 =
														(((BgL_globalz00_bglt) CREF(BgL_obj1455z00_1510))->
														BgL_importz00);
												}
												BgL_testz00_1874 =
													(BgL_auxz00_1875 == CNST_TABLE_REF(((long) 3)));
											}
											if (BgL_testz00_1874)
												{	/* BackEnd/cplib.scm 222 */
													BgL_testz00_1873 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/cplib.scm 222 */
													BgL_testz00_1873 =
														(BgL_cz00_946 ==
														BGl_getzd2objectzd2typez00zztype_cachez00());
												}
										}
										if (BgL_testz00_1873)
											{	/* BackEnd/cplib.scm 222 */
												BFALSE;
											}
										else
											{	/* BackEnd/cplib.scm 224 */
												obj_t BgL_arg3435z00_948;

												if (BGl_widezd2classzf3z21zzobject_classz00
													(BgL_cz00_946))
													{	/* BackEnd/cplib.scm 224 */
														BgL_arg3435z00_948 =
															BGl_widezd2ze3chunkz31zzbackend_cplibz00(
															(BgL_tclassz00_bglt) (BgL_cz00_946));
													}
												else
													{	/* BackEnd/cplib.scm 224 */
														BgL_arg3435z00_948 = BgL_cz00_946;
													}
												BgL_rz00_941 =
													MAKE_PAIR(BgL_arg3435z00_948, BgL_rz00_941);
											}
									}
								}
								{
									obj_t BgL_l3345z00_1892;

									BgL_l3345z00_1892 = CDR(BgL_l3345z00_943);
									BgL_l3345z00_943 = BgL_l3345z00_1892;
									goto BgL_forzd2each3346zd2_944;
								}
							}
						else
							{	/* BackEnd/cplib.scm 221 */
								((bool_t) 1);
							}
					}
				}
				return BgL_rz00_941;
			}
		}
	}



/* _get-declared-classes */
	obj_t BGl__getzd2declaredzd2classesz00zzbackend_cplibz00(obj_t
		BgL_envz00_1555)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 217 */
			return BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
		}
	}



/* type->class */
	obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_23)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 232 */
			{	/* BackEnd/cplib.scm 234 */
				bool_t BgL_testz00_1895;

				{	/* BackEnd/cplib.scm 234 */
					obj_t BgL_obj3066z00_1512;

					BgL_obj3066z00_1512 = (obj_t) (BgL_typez00_23);
					BgL_testz00_1895 =
						BGl_iszd2azf3z21zz__objectz00(BgL_obj3066z00_1512,
						BGl_tclassz00zzobject_classz00);
				}
				if (BgL_testz00_1895)
					{	/* BackEnd/cplib.scm 234 */
						return (obj_t) (BgL_typez00_23);
					}
				else
					{	/* BackEnd/cplib.scm 236 */
						bool_t BgL_testz00_1899;

						{	/* BackEnd/cplib.scm 236 */
							obj_t BgL_obj3225z00_1513;

							BgL_obj3225z00_1513 = (obj_t) (BgL_typez00_23);
							BgL_testz00_1899 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj3225z00_1513,
								BGl_wclassz00zzobject_classz00);
						}
						if (BgL_testz00_1899)
							{	/* BackEnd/cplib.scm 237 */
								BgL_wclassz00_bglt BgL_obj3226z00_1514;

								BgL_obj3226z00_1514 = (BgL_wclassz00_bglt) (BgL_typez00_23);
								{
									obj_t BgL_auxz00_1903;

									{	/* BackEnd/cplib.scm 237 */
										BgL_objectz00_bglt BgL_auxz00_1904;

										BgL_auxz00_1904 =
											(BgL_objectz00_bglt) (BgL_obj3226z00_1514);
										BgL_auxz00_1903 = BGL_OBJECT_WIDENING(BgL_auxz00_1904);
									}
									return
										(((BgL_wclassz00_bglt) CREF(BgL_auxz00_1903))->
										BgL_itszd2classzd2);
								}
							}
						else
							{	/* BackEnd/cplib.scm 236 */
								return
									BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											4)), BGl_string3544z00zzbackend_cplibz00,
									(obj_t) (BgL_typez00_23));
		}}}}
	}



/* get-its-super */
	BGL_EXPORTED_DEF BgL_tclassz00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt BgL_typez00_24)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 244 */
			{	/* BackEnd/cplib.scm 245 */
				obj_t BgL_arg3446z00_1515;

				BgL_arg3446z00_1515 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_24);
				{	/* BackEnd/cplib.scm 245 */
					BgL_tclassz00_bglt BgL_obj3067z00_1516;

					BgL_obj3067z00_1516 = (BgL_tclassz00_bglt) (BgL_arg3446z00_1515);
					{	/* BackEnd/cplib.scm 245 */
						obj_t BgL_auxz00_1913;

						{
							obj_t BgL_auxz00_1914;

							{	/* BackEnd/cplib.scm 245 */
								BgL_objectz00_bglt BgL_auxz00_1915;

								BgL_auxz00_1915 = (BgL_objectz00_bglt) (BgL_obj3067z00_1516);
								BgL_auxz00_1914 = BGL_OBJECT_WIDENING(BgL_auxz00_1915);
							}
							BgL_auxz00_1913 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1914))->
								BgL_itszd2superzd2);
						}
						return (BgL_tclassz00_bglt) (BgL_auxz00_1913);
					}
				}
			}
		}
	}



/* _get-its-super3533 */
	obj_t BGl__getzd2itszd2super3533z00zzbackend_cplibz00(obj_t BgL_envz00_1556,
		obj_t BgL_typez00_1557)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 244 */
			{	/* BackEnd/cplib.scm 245 */
				BgL_tclassz00_bglt BgL_auxz00_1920;

				BgL_auxz00_1920 =
					BGl_getzd2itszd2superz00zzbackend_cplibz00(
					(BgL_typez00_bglt) (BgL_typez00_1557));
				return (obj_t) (BgL_auxz00_1920);
			}
		}
	}



/* get-declared-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_25)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 250 */
			{	/* BackEnd/cplib.scm 252 */
				obj_t BgL_classz00_959;

				BgL_classz00_959 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_25);
				{	/* BackEnd/cplib.scm 253 */
					obj_t BgL_arg3448z00_961;

					{	/* BackEnd/cplib.scm 256 */
						BgL_tclassz00_bglt BgL_obj3070z00_1517;

						BgL_obj3070z00_1517 = (BgL_tclassz00_bglt) (BgL_classz00_959);
						{
							obj_t BgL_auxz00_1926;

							{	/* BackEnd/cplib.scm 256 */
								BgL_objectz00_bglt BgL_auxz00_1927;

								BgL_auxz00_1927 = (BgL_objectz00_bglt) (BgL_obj3070z00_1517);
								BgL_auxz00_1926 = BGL_OBJECT_WIDENING(BgL_auxz00_1927);
							}
							BgL_arg3448z00_961 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1926))->BgL_slotsz00);
						}
					}
					{	/* BackEnd/cplib.scm 254 */
						obj_t BgL_zc3anonymousza33449ze3z83_1558;

						BgL_zc3anonymousza33449ze3z83_1558 =
							make_fx_procedure(BGl_zc3anonymousza33449ze3z83zzbackend_cplibz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33449ze3z83_1558,
							(int) (((long) 0)), BgL_classz00_959);
						return
							BGl_filterz00zz__r4_control_features_6_9z00
							(BgL_zc3anonymousza33449ze3z83_1558, BgL_arg3448z00_961);
					}
				}
			}
		}
	}



/* _get-declared-fields */
	obj_t BGl__getzd2declaredzd2fieldsz00zzbackend_cplibz00(obj_t BgL_envz00_1559,
		obj_t BgL_typez00_1560)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 250 */
			return
				BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
				(BgL_typez00_bglt) (BgL_typez00_1560));
		}
	}



/* <anonymous:3449> */
	obj_t BGl_zc3anonymousza33449ze3z83zzbackend_cplibz00(obj_t BgL_envz00_1561,
		obj_t BgL_slotz00_1563)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 253 */
			{	/* BackEnd/cplib.scm 254 */
				obj_t BgL_classz00_1562;

				BgL_classz00_1562 = PROCEDURE_REF(BgL_envz00_1561, (int) (((long) 0)));
				{
					BgL_slotz00_bglt BgL_slotz00_962;

					{	/* BackEnd/cplib.scm 254 */
						bool_t BgL_auxz00_1941;

						BgL_slotz00_962 = (BgL_slotz00_bglt) (BgL_slotz00_1563);
						{	/* BackEnd/cplib.scm 254 */
							bool_t BgL_testz00_1942;

							if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_962))
								{	/* BackEnd/cplib.scm 254 */
									BgL_testz00_1942 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/cplib.scm 254 */
									BgL_testz00_1942 = ((bool_t) 1);
								}
							if (BgL_testz00_1942)
								{	/* BackEnd/cplib.scm 254 */
									BgL_auxz00_1941 =
										(BgL_classz00_1562 ==
										(((BgL_slotz00_bglt) CREF(BgL_slotz00_962))->
											BgL_classzd2ownerzd2));
								}
							else
								{	/* BackEnd/cplib.scm 254 */
									BgL_auxz00_1941 = ((bool_t) 0);
								}
						}
						return BBOOL(BgL_auxz00_1941);
					}
				}
			}
		}
	}



/* get-field-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt BgL_slotz00_26)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 261 */
			{	/* BackEnd/cplib.scm 263 */
				obj_t BgL__ortest_3341z00_1519;

				BgL__ortest_3341z00_1519 =
					(((BgL_slotz00_bglt) CREF(BgL_slotz00_26))->BgL_indexedz00);
				if (CBOOL(BgL__ortest_3341z00_1519))
					{	/* BackEnd/cplib.scm 263 */
						return BgL__ortest_3341z00_1519;
					}
				else
					{	/* BackEnd/cplib.scm 263 */
						return (((BgL_slotz00_bglt) CREF(BgL_slotz00_26))->BgL_typez00);
					}
			}
		}
	}



/* _get-field-type */
	obj_t BGl__getzd2fieldzd2typez00zzbackend_cplibz00(obj_t BgL_envz00_1564,
		obj_t BgL_slotz00_1565)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 261 */
			return
				BGl_getzd2fieldzd2typez00zzbackend_cplibz00(
				(BgL_slotz00_bglt) (BgL_slotz00_1565));
		}
	}



/* wide->chunk */
	BGL_EXPORTED_DEF obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_tclassz00_bglt BgL_cz00_27)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 268 */
			{	/* BackEnd/cplib.scm 272 */
				bool_t BgL_testz00_1955;

				{	/* BackEnd/cplib.scm 272 */
					BgL_typez00_bglt BgL_arg3453z00_970;
					obj_t BgL_arg3454z00_971;

					{	/* BackEnd/cplib.scm 272 */
						obj_t BgL_arg3455z00_972;

						{	/* BackEnd/cplib.scm 272 */
							obj_t BgL_arg3456z00_973;

							{	/* BackEnd/cplib.scm 272 */
								BgL_typez00_bglt BgL_obj1286z00_1522;

								BgL_obj1286z00_1522 = (BgL_typez00_bglt) (BgL_cz00_27);
								BgL_arg3456z00_973 =
									(((BgL_typez00_bglt) CREF(BgL_obj1286z00_1522))->BgL_idz00);
							}
							BgL_arg3455z00_972 =
								BGl_sawzd2widezd2classzd2idzd2zzobject_classz00
								(BgL_arg3456z00_973);
						}
						BgL_arg3453z00_970 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg3455z00_972);
					}
					{
						obj_t BgL_auxz00_1960;

						{	/* BackEnd/cplib.scm 273 */
							BgL_objectz00_bglt BgL_auxz00_1961;

							BgL_auxz00_1961 = (BgL_objectz00_bglt) (BgL_cz00_27);
							BgL_auxz00_1960 = BGL_OBJECT_WIDENING(BgL_auxz00_1961);
						}
						BgL_arg3454z00_971 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1960))->
							BgL_widezd2typezd2);
					}
					BgL_testz00_1955 =
						((obj_t) (BgL_arg3453z00_970) == BgL_arg3454z00_971);
				}
				if (BgL_testz00_1955)
					{
						obj_t BgL_auxz00_1967;

						{	/* BackEnd/cplib.scm 275 */
							BgL_objectz00_bglt BgL_auxz00_1968;

							BgL_auxz00_1968 = (BgL_objectz00_bglt) (BgL_cz00_27);
							BgL_auxz00_1967 = BGL_OBJECT_WIDENING(BgL_auxz00_1968);
						}
						return
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1967))->
							BgL_widezd2typezd2);
					}
				else
					{	/* BackEnd/cplib.scm 272 */
						return
							BGl_errorz00zz__errorz00(BGl_string3545z00zzbackend_cplibz00,
							BGl_string3546z00zzbackend_cplibz00, (obj_t) (BgL_cz00_27));
					}
			}
		}
	}



/* _wide->chunk3534 */
	obj_t BGl__widezd2ze3chunk3534z31zzbackend_cplibz00(obj_t BgL_envz00_1566,
		obj_t BgL_cz00_1567)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 268 */
			return
				BGl_widezd2ze3chunkz31zzbackend_cplibz00(
				(BgL_tclassz00_bglt) (BgL_cz00_1567));
		}
	}



/* get-declared-global-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t
		BgL_modulez00_28)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 280 */
			{	/* BackEnd/cplib.scm 282 */
				obj_t BgL_rz00_974;

				BgL_rz00_974 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 284 */
					obj_t BgL_zc3anonymousza33459ze3z83_1568;

					BgL_zc3anonymousza33459ze3z83_1568 =
						make_fx_procedure(BGl_zc3anonymousza33459ze3z83zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33459ze3z83_1568,
						(int) (((long) 0)), BgL_modulez00_28);
					PROCEDURE_SET(BgL_zc3anonymousza33459ze3z83_1568,
						(int) (((long) 1)), BgL_rz00_974);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3anonymousza33459ze3z83_1568, BNIL);
				}
				return CELL_REF(BgL_rz00_974);
			}
		}
	}



/* _get-declared-global-variables */
	obj_t BGl__getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t
		BgL_envz00_1569, obj_t BgL_modulez00_1570)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 280 */
			return
				BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
				(BgL_modulez00_1570);
		}
	}



/* <anonymous:3459> */
	obj_t BGl_zc3anonymousza33459ze3z83zzbackend_cplibz00(obj_t BgL_envz00_1571,
		obj_t BgL_vz00_1574)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 283 */
			{	/* BackEnd/cplib.scm 284 */
				obj_t BgL_modulez00_1572;
				obj_t BgL_rz00_1573;

				BgL_modulez00_1572 = PROCEDURE_REF(BgL_envz00_1571, (int) (((long) 0)));
				BgL_rz00_1573 = PROCEDURE_REF(BgL_envz00_1571, (int) (((long) 1)));
				{
					obj_t BgL_vz00_977;

					BgL_vz00_977 = BgL_vz00_1574;
					{	/* BackEnd/cplib.scm 284 */
						bool_t BgL_testz00_1989;

						{	/* BackEnd/cplib.scm 284 */
							bool_t BgL_testz00_1990;

							{	/* BackEnd/cplib.scm 284 */
								obj_t BgL_auxz00_1991;

								{	/* BackEnd/cplib.scm 284 */
									BgL_globalz00_bglt BgL_obj1452z00_1525;

									BgL_obj1452z00_1525 = (BgL_globalz00_bglt) (BgL_vz00_977);
									BgL_auxz00_1991 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1525))->
										BgL_modulez00);
								}
								BgL_testz00_1990 = (BgL_auxz00_1991 == BgL_modulez00_1572);
							}
							if (BgL_testz00_1990)
								{	/* BackEnd/cplib.scm 285 */
									bool_t BgL_testz00_1995;

									{	/* BackEnd/cplib.scm 285 */
										BgL_valuez00_bglt BgL_arg3468z00_987;

										{	/* BackEnd/cplib.scm 285 */
											BgL_variablez00_bglt BgL_obj1387z00_1526;

											BgL_obj1387z00_1526 =
												(BgL_variablez00_bglt) (BgL_vz00_977);
											BgL_arg3468z00_987 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1526))->
												BgL_valuez00);
										}
										{	/* BackEnd/cplib.scm 285 */
											obj_t BgL_obj1794z00_1527;

											BgL_obj1794z00_1527 = (obj_t) (BgL_arg3468z00_987);
											BgL_testz00_1995 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1794z00_1527,
												BGl_cfunz00zzast_varz00);
										}
									}
									if (BgL_testz00_1995)
										{	/* BackEnd/cplib.scm 285 */
											BgL_testz00_1989 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/cplib.scm 286 */
											bool_t BgL_testz00_2000;

											{	/* BackEnd/cplib.scm 286 */
												BgL_valuez00_bglt BgL_arg3467z00_986;

												{	/* BackEnd/cplib.scm 286 */
													BgL_variablez00_bglt BgL_obj1387z00_1528;

													BgL_obj1387z00_1528 =
														(BgL_variablez00_bglt) (BgL_vz00_977);
													BgL_arg3467z00_986 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1387z00_1528))->BgL_valuez00);
												}
												{	/* BackEnd/cplib.scm 286 */
													obj_t BgL_obj1729z00_1529;

													BgL_obj1729z00_1529 = (obj_t) (BgL_arg3467z00_986);
													BgL_testz00_2000 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1529,
														BGl_sfunz00zzast_varz00);
												}
											}
											if (BgL_testz00_2000)
												{	/* BackEnd/cplib.scm 286 */
													BgL_testz00_1989 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 287 */
													bool_t BgL_testz00_2005;

													{	/* BackEnd/cplib.scm 287 */
														obj_t BgL_auxz00_2006;

														{	/* BackEnd/cplib.scm 287 */
															BgL_variablez00_bglt BgL_obj1379z00_1530;

															BgL_obj1379z00_1530 =
																(BgL_variablez00_bglt) (BgL_vz00_977);
															BgL_auxz00_2006 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1379z00_1530))->BgL_idz00);
														}
														BgL_testz00_2005 =
															(BgL_auxz00_2006 == CNST_TABLE_REF(((long) 5)));
													}
													if (BgL_testz00_2005)
														{	/* BackEnd/cplib.scm 287 */
															BgL_testz00_1989 = ((bool_t) 0);
														}
													else
														{	/* BackEnd/cplib.scm 287 */
															BgL_testz00_1989 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* BackEnd/cplib.scm 284 */
									BgL_testz00_1989 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_1989)
							{	/* BackEnd/cplib.scm 288 */
								obj_t BgL_auxz00_1575;

								BgL_auxz00_1575 =
									MAKE_PAIR(BgL_vz00_977, CELL_REF(BgL_rz00_1573));
								return CELL_SET(BgL_rz00_1573, BgL_auxz00_1575);
							}
						else
							{	/* BackEnd/cplib.scm 284 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* get-global-variables-to-be-initialized */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t BgL_modulez00_29)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 294 */
			{	/* BackEnd/cplib.scm 296 */
				obj_t BgL_rz00_990;

				BgL_rz00_990 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 298 */
					obj_t BgL_zc3anonymousza33472ze3z83_1576;

					BgL_zc3anonymousza33472ze3z83_1576 =
						make_fx_procedure(BGl_zc3anonymousza33472ze3z83zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_1576,
						(int) (((long) 0)), BgL_modulez00_29);
					PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_1576,
						(int) (((long) 1)), BgL_rz00_990);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3anonymousza33472ze3z83_1576, BNIL);
				}
				return CELL_REF(BgL_rz00_990);
			}
		}
	}



/* _get-global-variables-to-be-initialized */
	obj_t
		BGl__getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t BgL_envz00_1577, obj_t BgL_modulez00_1578)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 294 */
			return
				BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
				(BgL_modulez00_1578);
		}
	}



/* <anonymous:3472> */
	obj_t BGl_zc3anonymousza33472ze3z83zzbackend_cplibz00(obj_t BgL_envz00_1579,
		obj_t BgL_globalz00_1582)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 297 */
			{	/* BackEnd/cplib.scm 298 */
				obj_t BgL_modulez00_1580;
				obj_t BgL_rz00_1581;

				BgL_modulez00_1580 = PROCEDURE_REF(BgL_envz00_1579, (int) (((long) 0)));
				BgL_rz00_1581 = PROCEDURE_REF(BgL_envz00_1579, (int) (((long) 1)));
				{
					obj_t BgL_globalz00_993;

					BgL_globalz00_993 = BgL_globalz00_1582;
					{	/* BackEnd/cplib.scm 298 */
						bool_t BgL_testz00_2025;

						{	/* BackEnd/cplib.scm 298 */
							bool_t BgL_testz00_2026;

							{	/* BackEnd/cplib.scm 298 */
								obj_t BgL_auxz00_2027;

								{	/* BackEnd/cplib.scm 298 */
									BgL_globalz00_bglt BgL_obj1452z00_1531;

									BgL_obj1452z00_1531 =
										(BgL_globalz00_bglt) (BgL_globalz00_993);
									BgL_auxz00_2027 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1531))->
										BgL_modulez00);
								}
								BgL_testz00_2026 = (BgL_auxz00_2027 == BgL_modulez00_1580);
							}
							if (BgL_testz00_2026)
								{	/* BackEnd/cplib.scm 298 */
									if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
											(BgL_globalz00_bglt) (BgL_globalz00_993)))
										{	/* BackEnd/cplib.scm 301 */
											BgL_valuez00_bglt BgL_arg3476z00_998;

											{	/* BackEnd/cplib.scm 301 */
												BgL_variablez00_bglt BgL_obj1387z00_1532;

												BgL_obj1387z00_1532 =
													(BgL_variablez00_bglt) (BgL_globalz00_993);
												BgL_arg3476z00_998 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1532))->
													BgL_valuez00);
											}
											{	/* BackEnd/cplib.scm 301 */
												obj_t BgL_obj1824z00_1533;

												BgL_obj1824z00_1533 = (obj_t) (BgL_arg3476z00_998);
												BgL_testz00_2025 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1824z00_1533,
													BGl_scnstz00zzast_varz00);
											}
										}
									else
										{	/* BackEnd/cplib.scm 300 */
											BgL_testz00_2025 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/cplib.scm 298 */
									BgL_testz00_2025 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2025)
							{	/* BackEnd/cplib.scm 302 */
								obj_t BgL_auxz00_1583;

								BgL_auxz00_1583 =
									MAKE_PAIR(BgL_globalz00_993, CELL_REF(BgL_rz00_1581));
								return CELL_SET(BgL_rz00_1581, BgL_auxz00_1583);
							}
						else
							{	/* BackEnd/cplib.scm 298 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 110472871),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 198447312),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					105506684), BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					139755433), BSTRING_TO_STRING(BGl_string3547z00zzbackend_cplibz00));
		}
	}

#ifdef __cplusplus
}
#endif
