/*===========================================================================*/
/*   (Cc/indent.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cc/indent.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzcc_indentz00 = BUNSPEC;
	BGL_IMPORT bool_t fexists(char *);
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcc_indentz00();
	extern obj_t BGl_za2indentza2z00zzengine_paramz00;
	static obj_t BGl__indentz00zzcc_indentz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_systemz00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_indentz00zzcc_indentz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcc_indentz00();
	static obj_t BGl_methodzd2initzd2zzcc_indentz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indentzd2envzd2zzcc_indentz00,
		BgL_bgl__indentza700za7za7cc_i1358za7, BGl__indentz00zzcc_indentz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1347z00zzcc_indentz00,
		BgL_bgl_string1347za700za7za7c1359za7, ")", 1);
	      DEFINE_STRING(BGl_string1348z00zzcc_indentz00,
		BgL_bgl_string1348za700za7za7c1360za7, "   . indent (", 13);
	      DEFINE_STRING(BGl_string1350z00zzcc_indentz00,
		BgL_bgl_string1350za700za7za7c1361za7, ".c > ", 5);
	      DEFINE_STRING(BGl_string1349z00zzcc_indentz00,
		BgL_bgl_string1349za700za7za7c1362za7, ".cc ", 4);
	      DEFINE_STRING(BGl_string1351z00zzcc_indentz00,
		BgL_bgl_string1351za700za7za7c1363za7, " ", 1);
	      DEFINE_STRING(BGl_string1352z00zzcc_indentz00,
		BgL_bgl_string1352za700za7za7c1364za7, "      [", 7);
	      DEFINE_STRING(BGl_string1353z00zzcc_indentz00,
		BgL_bgl_string1353za700za7za7c1365za7, "Non nul value returned -- ", 26);
	      DEFINE_STRING(BGl_string1354z00zzcc_indentz00,
		BgL_bgl_string1354za700za7za7c1366za7, ".cc", 3);
	      DEFINE_STRING(BGl_string1355z00zzcc_indentz00,
		BgL_bgl_string1355za700za7za7c1367za7, ".c", 2);
	      DEFINE_STRING(BGl_string1356z00zzcc_indentz00,
		BgL_bgl_string1356za700za7za7c1368za7, "        mv ", 11);
	      DEFINE_STRING(BGl_string1357z00zzcc_indentz00,
		BgL_bgl_string1357za700za7za7c1369za7, "cc_indent", 9);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long
		BgL_checksumz00_89, char *BgL_fromz00_90)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcc_indentz00))
				{
					BGl_requirezd2initializa7ationz75zzcc_indentz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcc_indentz00();
					BGl_importedzd2moduleszd2initz00zzcc_indentz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcc_indentz00()
	{
		AN_OBJECT;
		{	/* Cc/indent.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "cc_indent");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cc_indent");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cc_indent");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cc_indent");
			return BUNSPEC;
		}
	}



/* indent */
	BGL_EXPORTED_DEF obj_t BGl_indentz00zzcc_indentz00(obj_t BgL_namez00_1)
	{
		AN_OBJECT;
		{	/* Cc/indent.scm 23 */
			{	/* Cc/indent.scm 24 */
				bool_t BgL_testz00_100;

				if (STRINGP(BgL_namez00_1))
					{	/* Cc/indent.scm 24 */
						if (STRINGP(BGl_za2indentza2z00zzengine_paramz00))
							{	/* Cc/indent.scm 25 */
								BgL_testz00_100 =
									(STRING_LENGTH(BGl_za2indentza2z00zzengine_paramz00) >
									((long) 0));
							}
						else
							{	/* Cc/indent.scm 25 */
								BgL_testz00_100 = ((bool_t) 0);
							}
					}
				else
					{	/* Cc/indent.scm 24 */
						BgL_testz00_100 = ((bool_t) 0);
					}
				if (BgL_testz00_100)
					{	/* Cc/indent.scm 24 */
						{	/* Cc/indent.scm 28 */
							obj_t BgL_arg1304z00_30;

							BgL_arg1304z00_30 =
								BGl_basenamez00zz__osz00(BGl_za2indentza2z00zzengine_paramz00);
							{	/* Cc/indent.scm 28 */
								obj_t BgL_list1306z00_32;

								{	/* Cc/indent.scm 28 */
									obj_t BgL_arg1307z00_33;

									{	/* Cc/indent.scm 28 */
										obj_t BgL_arg1310z00_34;

										{	/* Cc/indent.scm 28 */
											obj_t BgL_arg1311z00_35;

											BgL_arg1311z00_35 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg1310z00_34 =
												MAKE_PAIR(BGl_string1347z00zzcc_indentz00,
												BgL_arg1311z00_35);
										}
										BgL_arg1307z00_33 =
											MAKE_PAIR(BgL_arg1304z00_30, BgL_arg1310z00_34);
									}
									BgL_list1306z00_32 =
										MAKE_PAIR(BGl_string1348z00zzcc_indentz00,
										BgL_arg1307z00_33);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
									BgL_list1306z00_32);
						}}
						{	/* Cc/indent.scm 29 */
							obj_t BgL_cmdz00_36;

							{	/* Cc/indent.scm 29 */
								obj_t BgL_list1334z00_60;

								{	/* Cc/indent.scm 29 */
									obj_t BgL_arg1335z00_61;

									{	/* Cc/indent.scm 29 */
										obj_t BgL_arg1337z00_63;

										{	/* Cc/indent.scm 29 */
											obj_t BgL_arg1338z00_64;

											{	/* Cc/indent.scm 29 */
												obj_t BgL_arg1341z00_66;

												{	/* Cc/indent.scm 29 */
													obj_t BgL_arg1342z00_67;

													BgL_arg1342z00_67 =
														MAKE_PAIR(BGl_string1349z00zzcc_indentz00, BNIL);
													BgL_arg1341z00_66 =
														MAKE_PAIR(BgL_namez00_1, BgL_arg1342z00_67);
												}
												BgL_arg1338z00_64 =
													MAKE_PAIR(BGl_string1350z00zzcc_indentz00,
													BgL_arg1341z00_66);
											}
											BgL_arg1337z00_63 =
												MAKE_PAIR(BgL_namez00_1, BgL_arg1338z00_64);
										}
										BgL_arg1335z00_61 =
											MAKE_PAIR(BGl_string1351z00zzcc_indentz00,
											BgL_arg1337z00_63);
									}
									BgL_list1334z00_60 =
										MAKE_PAIR(BGl_za2indentza2z00zzengine_paramz00,
										BgL_arg1335z00_61);
								}
								BgL_cmdz00_36 =
									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
									(BgL_list1334z00_60);
							}
							{	/* Cc/indent.scm 32 */
								obj_t BgL_list1312z00_37;

								{	/* Cc/indent.scm 32 */
									obj_t BgL_arg1314z00_39;

									{	/* Cc/indent.scm 32 */
										obj_t BgL_arg1315z00_40;

										{	/* Cc/indent.scm 32 */
											obj_t BgL_arg1317z00_41;

											BgL_arg1317z00_41 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg1315z00_40 =
												MAKE_PAIR(BCHAR(((unsigned char) ']')),
												BgL_arg1317z00_41);
										}
										BgL_arg1314z00_39 =
											MAKE_PAIR(BgL_cmdz00_36, BgL_arg1315z00_40);
									}
									BgL_list1312z00_37 =
										MAKE_PAIR(BGl_string1352z00zzcc_indentz00,
										BgL_arg1314z00_39);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
									BgL_list1312z00_37);
							}
							{	/* Cc/indent.scm 33 */
								obj_t BgL_resz00_42;

								{	/* Cc/indent.scm 33 */
									obj_t BgL_list1324z00_48;

									BgL_list1324z00_48 = MAKE_PAIR(BgL_cmdz00_36, BNIL);
									BgL_resz00_42 = BGl_systemz00zz__osz00(BgL_list1324z00_48);
								}
								if (((long) CINT(BgL_resz00_42) == ((long) 0)))
									{	/* Cc/indent.scm 34 */
										BFALSE;
									}
								else
									{	/* Cc/indent.scm 35 */
										obj_t BgL_list1319z00_44;

										{	/* Cc/indent.scm 35 */
											obj_t BgL_arg1320z00_45;

											{	/* Cc/indent.scm 35 */
												obj_t BgL_arg1323z00_47;

												BgL_arg1323z00_47 = MAKE_PAIR(BgL_resz00_42, BNIL);
												BgL_arg1320z00_45 =
													MAKE_PAIR(BGl_string1353z00zzcc_indentz00,
													BgL_arg1323z00_47);
											}
											BgL_list1319z00_44 =
												MAKE_PAIR(BGl_za2indentza2z00zzengine_paramz00,
												BgL_arg1320z00_45);
										}
										BGl_warningz00zz__errorz00(BgL_list1319z00_44);
									}
							}
							{	/* Cc/indent.scm 36 */
								bool_t BgL_testz00_139;

								{	/* Cc/indent.scm 36 */
									obj_t BgL_arg1333z00_59;

									BgL_arg1333z00_59 =
										string_append(BgL_namez00_1,
										BGl_string1354z00zzcc_indentz00);
									BgL_testz00_139 =
										fexists(BSTRING_TO_STRING(BgL_arg1333z00_59));
								}
								if (BgL_testz00_139)
									{	/* Cc/indent.scm 37 */
										obj_t BgL_snamez00_50;
										obj_t BgL_dnamez00_51;

										BgL_snamez00_50 =
											string_append(BgL_namez00_1,
											BGl_string1354z00zzcc_indentz00);
										BgL_dnamez00_51 =
											string_append(BgL_namez00_1,
											BGl_string1355z00zzcc_indentz00);
										{	/* Cc/indent.scm 39 */
											obj_t BgL_list1326z00_52;

											{	/* Cc/indent.scm 39 */
												obj_t BgL_arg1328z00_54;

												{	/* Cc/indent.scm 39 */
													obj_t BgL_arg1329z00_55;

													{	/* Cc/indent.scm 39 */
														obj_t BgL_arg1331z00_57;

														{	/* Cc/indent.scm 39 */
															obj_t BgL_arg1332z00_58;

															BgL_arg1332z00_58 =
																MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
															BgL_arg1331z00_57 =
																MAKE_PAIR(BgL_dnamez00_51, BgL_arg1332z00_58);
														}
														BgL_arg1329z00_55 =
															MAKE_PAIR(BGl_string1351z00zzcc_indentz00,
															BgL_arg1331z00_57);
													}
													BgL_arg1328z00_54 =
														MAKE_PAIR(BgL_snamez00_50, BgL_arg1329z00_55);
												}
												BgL_list1326z00_52 =
													MAKE_PAIR(BGl_string1356z00zzcc_indentz00,
													BgL_arg1328z00_54);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list1326z00_52);
										}
										{	/* Cc/indent.scm 40 */
											char *BgL_string1z00_80;
											char *BgL_string2z00_81;

											BgL_string1z00_80 = BSTRING_TO_STRING(BgL_snamez00_50);
											BgL_string2z00_81 = BSTRING_TO_STRING(BgL_dnamez00_51);
											{	/* Cc/indent.scm 40 */
												bool_t BgL_testz00_155;

												{	/* Cc/indent.scm 40 */
													int BgL_arg1572z00_83;

													BgL_arg1572z00_83 =
														rename(BgL_string1z00_80, BgL_string2z00_81);
													BgL_testz00_155 =
														(BINT(BgL_arg1572z00_83) == BINT(((long) 0)));
												}
												if (BgL_testz00_155)
													{	/* Cc/indent.scm 40 */
														return BTRUE;
													}
												else
													{	/* Cc/indent.scm 40 */
														return BFALSE;
													}
											}
										}
									}
								else
									{	/* Cc/indent.scm 36 */
										return BFALSE;
									}
							}
						}
					}
				else
					{	/* Cc/indent.scm 24 */
						return BFALSE;
					}
			}
		}
	}



/* _indent */
	obj_t BGl__indentz00zzcc_indentz00(obj_t BgL_envz00_87, obj_t BgL_namez00_88)
	{
		AN_OBJECT;
		{	/* Cc/indent.scm 23 */
			return BGl_indentz00zzcc_indentz00(BgL_namez00_88);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcc_indentz00()
	{
		AN_OBJECT;
		{	/* Cc/indent.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcc_indentz00()
	{
		AN_OBJECT;
		{	/* Cc/indent.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1357z00zzcc_indentz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1357z00zzcc_indentz00));
		}
	}

#ifdef __cplusplus
}
#endif
