/*===========================================================================*/
/*   (Cfa/procedure.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/procedure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	static obj_t BGl_zc3anonymousza34676ze3z83zzcfa_procedurez00(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34703ze3z83zzcfa_procedurez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34695ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_nodezd2setupz12zd2prezd2make4495zc0zzcfa_procedurez00(obj_t,
		obj_t);
	static obj_t BGl_cfaz12zd2procedurezd2refzd2a4503zc0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_procedurez00();
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	extern obj_t
		BGl_wideningzd2procedurezd2setz12zd2appzc0zzcfa_info2z00
		(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00();
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	static obj_t BGl__disablezd2Xzd2Tz124722z12zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt,
		obj_t);
	static obj_t
		BGl_cfaz12zd2procedurezd2setz12zd24505zd2zzcfa_procedurez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34509ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t
		BGl_wideningzd2makezd2procedurezd2appzd2zzcfa_info2z00(BgL_approxz00_bglt,
		obj_t, long, bool_t, bool_t, bool_t, BgL_variablez00_bglt, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_procedurez00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_procedurez00 = BUNSPEC;
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	static obj_t BGl_cfaz12zd2makezd2procedurezd24501zc0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_nodezd2setupz12zd2prezd2proc4497zc0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_nodezd2setupz12zd2prezd2proc4499zc0zzcfa_procedurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_wideningzd2procedurezd2refzd2appzd2zzcfa_info2z00(BgL_approxz00_bglt);
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	BGL_EXPORTED_DECL obj_t
		BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt);
	static obj_t BGl_loosezd2allocz12zd2makezd2pr4507zc0zzcfa_procedurez00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34666ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_wideningzd2prezd2clozd2envzd2zzcfa_infoz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00();
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string4728z00zzcfa_procedurez00,
		BgL_bgl_string4728za700za7za7c4732za7, "cfa_procedure", 13);
	      DEFINE_STRING(BGl_string4729z00zzcfa_procedurez00,
		BgL_bgl_string4729za700za7za7c4733za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_disablezd2Xzd2Tz12zd2envzc0zzcfa_procedurez00,
		BgL_bgl__disableza7d2xza7d2t4734z00,
		BGl__disablezd2Xzd2Tz124722z12zzcfa_procedurez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long
		BgL_checksumz00_1950, char *BgL_fromz00_1951)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_procedurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_procedurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00();
					BGl_cnstzd2initzd2zzcfa_procedurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_procedurez00();
					BGl_methodzd2initzd2zzcfa_procedurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_procedure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_cportz00_1942;

				BgL_cportz00_1942 =
					bgl_open_input_string(BGl_string4729z00zzcfa_procedurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1943;

					BgL_iz00_1943 = ((long) 0);
				BgL_loopz00_1944:
					if ((BgL_iz00_1943 == ((long) -1)))
						{	/* Cfa/procedure.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/procedure.scm 15 */
							{	/* Cfa/procedure.scm 15 */
								obj_t BgL_arg4731z00_1946;

								{	/* Cfa/procedure.scm 15 */

									{	/* Cfa/procedure.scm 15 */
										obj_t BgL_locationz00_1948;

										BgL_locationz00_1948 = BBOOL(((bool_t) 0));
										{	/* Cfa/procedure.scm 15 */

											BgL_arg4731z00_1946 =
												BGl_readz00zz__readerz00(BgL_cportz00_1942,
												BgL_locationz00_1948);
										}
									}
								}
								{	/* Cfa/procedure.scm 15 */
									int BgL_auxz00_1967;

									BgL_auxz00_1967 = (int) (BgL_iz00_1943);
									CNST_TABLE_SET(BgL_auxz00_1967, BgL_arg4731z00_1946);
							}}
							{	/* Cfa/procedure.scm 15 */
								int BgL_auxz00_1949;

								BgL_auxz00_1949 = (int) ((BgL_iz00_1943 - ((long) 1)));
								{
									long BgL_iz00_1972;

									BgL_iz00_1972 = (long) (BgL_auxz00_1949);
									BgL_iz00_1943 = BgL_iz00_1972;
									goto BgL_loopz00_1944;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			return BUNSPEC;
		}
	}



/* disable-X-T! */
	BGL_EXPORTED_DEF obj_t
		BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt
		BgL_approxz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 36 */
			return
				BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(make_fx_procedure
				(BGl_zc3anonymousza34509ze3z83zzcfa_procedurez00, (int) (((long) 1)),
					(int) (((long) 0))), BgL_approxz00_1);
		}
	}



/* _disable-X-T!4722 */
	obj_t BGl__disablezd2Xzd2Tz124722z12zzcfa_procedurez00(obj_t BgL_envz00_1892,
		obj_t BgL_approxz00_1893)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 36 */
			return
				BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
				(BgL_approxz00_bglt) (BgL_approxz00_1893));
		}
	}



/* <anonymous:4509> */
	obj_t BGl_zc3anonymousza34509ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1894,
		obj_t BgL_appz00_1895)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 37 */
			{
				obj_t BgL_appz00_981;

				BgL_appz00_981 = BgL_appz00_1895;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_981,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/procedure.scm 42 */
						BgL_makezd2procedurezd2appz00_bglt BgL_obj4084z00_1714;
						bool_t BgL_val4083z00_1715;

						BgL_obj4084z00_1714 =
							(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_981);
						BgL_val4083z00_1715 = ((bool_t) 0);
						{
							obj_t BgL_auxz00_1983;

							{	/* Cfa/procedure.scm 42 */
								BgL_objectz00_bglt BgL_auxz00_1984;

								BgL_auxz00_1984 = (BgL_objectz00_bglt) (BgL_obj4084z00_1714);
								BgL_auxz00_1983 = BGL_OBJECT_WIDENING(BgL_auxz00_1984);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_1983))->
									BgL_xzd2tzf3z21) = ((bool_t) BgL_val4083z00_1715), BUNSPEC);
						}
					}
				else
					{	/* Cfa/procedure.scm 41 */
						return BFALSE;
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_nodezd2setupz12zd2prezd2make4495zc0_1906;

				BgL_nodezd2setupz12zd2prezd2make4495zc0_1906 =
					make_fx_procedure
					(BGl_nodezd2setupz12zd2prezd2make4495zc0zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00,
					BgL_nodezd2setupz12zd2prezd2make4495zc0_1906);
			}
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_nodezd2setupz12zd2prezd2proc4497zc0_1905;

				BgL_nodezd2setupz12zd2prezd2proc4497zc0_1905 =
					make_fx_procedure
					(BGl_nodezd2setupz12zd2prezd2proc4497zc0zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00,
					BgL_nodezd2setupz12zd2prezd2proc4497zc0_1905);
			}
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_nodezd2setupz12zd2prezd2proc4499zc0_1904;

				BgL_nodezd2setupz12zd2prezd2proc4499zc0_1904 =
					make_fx_procedure
					(BGl_nodezd2setupz12zd2prezd2proc4499zc0zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00,
					BgL_nodezd2setupz12zd2prezd2proc4499zc0_1904);
			}
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_cfaz12zd2makezd2procedurezd24501zc0_1903;

				BgL_cfaz12zd2makezd2procedurezd24501zc0_1903 =
					make_fx_procedure
					(BGl_cfaz12zd2makezd2procedurezd24501zc0zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00,
					BgL_cfaz12zd2makezd2procedurezd24501zc0_1903);
			}
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_cfaz12zd2procedurezd2refzd2a4503zc0_1902;

				BgL_cfaz12zd2procedurezd2refzd2a4503zc0_1902 =
					make_fx_procedure
					(BGl_cfaz12zd2procedurezd2refzd2a4503zc0zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_procedurezd2refzd2appz00zzcfa_info2z00,
					BgL_cfaz12zd2procedurezd2refzd2a4503zc0_1902);
			}
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_cfaz12zd2procedurezd2setz12zd24505zd2_1899;

				BgL_cfaz12zd2procedurezd2setz12zd24505zd2_1899 =
					make_fx_procedure
					(BGl_cfaz12zd2procedurezd2setz12zd24505zd2zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
					BgL_cfaz12zd2procedurezd2setz12zd24505zd2_1899);
			}
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_loosezd2allocz12zd2makezd2pr4507zc0_1896;

				BgL_loosezd2allocz12zd2makezd2pr4507zc0_1896 =
					make_fx_procedure
					(BGl_loosezd2allocz12zd2makezd2pr4507zc0zzcfa_procedurez00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00,
					BgL_loosezd2allocz12zd2makezd2pr4507zc0_1896);
			}
		}
	}



/* loose-alloc!-make-pr4507 */
	obj_t BGl_loosezd2allocz12zd2makezd2pr4507zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1909, obj_t BgL_allocz00_1910)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 243 */
			{
				BgL_makezd2procedurezd2appz00_bglt BgL_allocz00_1701;

				BgL_allocz00_1701 =
					(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1910);
				{	/* Cfa/procedure.scm 247 */
					bool_t BgL_testz00_2016;

					{	/* Cfa/procedure.scm 247 */
						long BgL_n2z00_1884;

						BgL_n2z00_1884 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/procedure.scm 247 */
							long BgL_auxz00_2018;

							{
								obj_t BgL_auxz00_2019;

								{	/* Cfa/procedure.scm 247 */
									BgL_objectz00_bglt BgL_auxz00_2020;

									BgL_auxz00_2020 = (BgL_objectz00_bglt) (BgL_allocz00_1701);
									BgL_auxz00_2019 = BGL_OBJECT_WIDENING(BgL_auxz00_2020);
								}
								BgL_auxz00_2018 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_2019))->BgL_lostzd2stampzd2);
							}
							BgL_testz00_2016 = (BgL_auxz00_2018 == BgL_n2z00_1884);
					}}
					if (BgL_testz00_2016)
						{	/* Cfa/procedure.scm 247 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/procedure.scm 247 */
							{	/* Cfa/procedure.scm 251 */
								long BgL_val4080z00_1886;

								BgL_val4080z00_1886 =
									(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
								{
									obj_t BgL_auxz00_2026;

									{	/* Cfa/procedure.scm 251 */
										BgL_objectz00_bglt BgL_auxz00_2027;

										BgL_auxz00_2027 = (BgL_objectz00_bglt) (BgL_allocz00_1701);
										BgL_auxz00_2026 = BGL_OBJECT_WIDENING(BgL_auxz00_2027);
									}
									((((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_2026))->BgL_lostzd2stampzd2) =
										((long) BgL_val4080z00_1886), BUNSPEC);
							}}
							{	/* Cfa/procedure.scm 252 */
								obj_t BgL_calleez00_1706;

								{	/* Cfa/procedure.scm 252 */
									obj_t BgL_pairz00_1888;

									{	/* Cfa/procedure.scm 252 */
										BgL_appz00_bglt BgL_obj2026z00_1887;

										BgL_obj2026z00_1887 = (BgL_appz00_bglt) (BgL_allocz00_1701);
										BgL_pairz00_1888 =
											(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1887))->
											BgL_argsz00);
									}
									BgL_calleez00_1706 = CAR(BgL_pairz00_1888);
								}
								{	/* Cfa/procedure.scm 252 */
									BgL_variablez00_bglt BgL_vz00_1707;

									{	/* Cfa/procedure.scm 253 */
										BgL_varz00_bglt BgL_obj1929z00_1889;

										BgL_obj1929z00_1889 =
											(BgL_varz00_bglt) (BgL_calleez00_1706);
										BgL_vz00_1707 =
											(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1889))->
											BgL_variablez00);
									}
									{	/* Cfa/procedure.scm 253 */
										BgL_valuez00_bglt BgL_funz00_1708;

										BgL_funz00_1708 =
											(((BgL_variablez00_bglt) CREF(BgL_vz00_1707))->
											BgL_valuez00);
										{	/* Cfa/procedure.scm 254 */

											return
												BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00
												(BgL_funz00_1708, (obj_t) (BgL_vz00_1707));
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* cfa!-procedure-set!-4505 */
	obj_t BGl_cfaz12zd2procedurezd2setz12zd24505zd2zzcfa_procedurez00(obj_t
		BgL_envz00_1911, obj_t BgL_nodez00_1912)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 189 */
			{
				BgL_procedurezd2setz12zd2appz12_bglt BgL_nodez00_1659;

				{	/* Cfa/procedure.scm 190 */
					BgL_approxz00_bglt BgL_auxz00_2040;

					BgL_nodez00_1659 =
						(BgL_procedurezd2setz12zd2appz12_bglt) (BgL_nodez00_1912);
					{	/* Cfa/procedure.scm 191 */
						obj_t BgL_arg4690z00_1663;

						{	/* Cfa/procedure.scm 191 */
							obj_t BgL_pairz00_1843;

							{	/* Cfa/procedure.scm 191 */
								BgL_appz00_bglt BgL_obj2026z00_1842;

								BgL_obj2026z00_1842 = (BgL_appz00_bglt) (BgL_nodez00_1659);
								BgL_pairz00_1843 =
									(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1842))->BgL_argsz00);
							}
							BgL_arg4690z00_1663 = CAR(CDR(BgL_pairz00_1843));
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg4690z00_1663));
					}
					{	/* Cfa/procedure.scm 192 */
						BgL_approxz00_bglt BgL_proczd2approxzd2_1665;
						obj_t BgL_offsetz00_1666;
						BgL_approxz00_bglt BgL_valzd2approxzd2_1667;

						{	/* Cfa/procedure.scm 192 */
							obj_t BgL_arg4710z00_1693;

							{	/* Cfa/procedure.scm 192 */
								obj_t BgL_pairz00_1848;

								{	/* Cfa/procedure.scm 192 */
									BgL_appz00_bglt BgL_obj2026z00_1847;

									BgL_obj2026z00_1847 = (BgL_appz00_bglt) (BgL_nodez00_1659);
									BgL_pairz00_1848 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1847))->
										BgL_argsz00);
								}
								BgL_arg4710z00_1693 = CAR(BgL_pairz00_1848);
							}
							BgL_proczd2approxzd2_1665 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4710z00_1693));
						}
						{	/* Cfa/procedure.scm 193 */
							obj_t BgL_arg4712z00_1695;

							{	/* Cfa/procedure.scm 193 */
								obj_t BgL_pairz00_1850;

								{	/* Cfa/procedure.scm 193 */
									BgL_appz00_bglt BgL_obj2026z00_1849;

									BgL_obj2026z00_1849 = (BgL_appz00_bglt) (BgL_nodez00_1659);
									BgL_pairz00_1850 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1849))->
										BgL_argsz00);
								}
								BgL_arg4712z00_1695 = CAR(CDR(BgL_pairz00_1850));
							}
							BgL_offsetz00_1666 =
								BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
								(BgL_nodez00_bglt) (BgL_arg4712z00_1695));
						}
						{	/* Cfa/procedure.scm 194 */
							obj_t BgL_arg4714z00_1697;

							{	/* Cfa/procedure.scm 194 */
								obj_t BgL_pairz00_1855;

								{	/* Cfa/procedure.scm 194 */
									BgL_appz00_bglt BgL_obj2026z00_1854;

									BgL_obj2026z00_1854 = (BgL_appz00_bglt) (BgL_nodez00_1659);
									BgL_pairz00_1855 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1854))->
										BgL_argsz00);
								}
								BgL_arg4714z00_1697 = CAR(CDR(CDR(BgL_pairz00_1855)));
							}
							BgL_valzd2approxzd2_1667 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4714z00_1697));
						}
						if (
							(((BgL_approxz00_bglt) CREF(BgL_proczd2approxzd2_1665))->
								BgL_topzf3zf3))
							{	/* Cfa/procedure.scm 201 */
								BgL_approxz00_bglt BgL_auxz00_2067;

								BgL_auxz00_2067 =
									BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_1667,
									CNST_TABLE_REF(((long) 0)));
								(obj_t) (BgL_auxz00_2067);
							}
						else
							{	/* Cfa/procedure.scm 199 */
								if (INTEGERP(BgL_offsetz00_1666))
									{	/* Cfa/procedure.scm 206 */
										obj_t BgL_zc3anonymousza34695ze3z83_1897;

										BgL_zc3anonymousza34695ze3z83_1897 =
											make_fx_procedure
											(BGl_zc3anonymousza34695ze3z83zzcfa_procedurez00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza34695ze3z83_1897,
											(int) (((long) 0)), BgL_offsetz00_1666);
										PROCEDURE_SET(BgL_zc3anonymousza34695ze3z83_1897,
											(int) (((long) 1)), (obj_t) (BgL_valzd2approxzd2_1667));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3anonymousza34695ze3z83_1897,
											BgL_proczd2approxzd2_1665);
									}
								else
									{	/* Cfa/procedure.scm 219 */
										obj_t BgL_zc3anonymousza34703ze3z83_1898;

										BgL_zc3anonymousza34703ze3z83_1898 =
											make_fx_procedure
											(BGl_zc3anonymousza34703ze3z83zzcfa_procedurez00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza34703ze3z83_1898,
											(int) (((long) 0)), (obj_t) (BgL_valzd2approxzd2_1667));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3anonymousza34703ze3z83_1898,
											BgL_proczd2approxzd2_1665);
							}}
						{
							obj_t BgL_auxz00_2089;

							{	/* Cfa/procedure.scm 233 */
								BgL_objectz00_bglt BgL_auxz00_2090;

								BgL_auxz00_2090 = (BgL_objectz00_bglt) (BgL_nodez00_1659);
								BgL_auxz00_2089 = BGL_OBJECT_WIDENING(BgL_auxz00_2090);
							}
							BgL_auxz00_2040 =
								(((BgL_procedurezd2setz12zd2appz12_bglt)
									CREF(BgL_auxz00_2089))->BgL_approxz00);
					}}
					return (obj_t) (BgL_auxz00_2040);
				}
			}
		}
	}



/* <anonymous:4695> */
	obj_t BGl_zc3anonymousza34695ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1913,
		obj_t BgL_appz00_1916)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 205 */
			{	/* Cfa/procedure.scm 206 */
				obj_t BgL_offsetz00_1914;
				obj_t BgL_valzd2approxzd2_1915;

				BgL_offsetz00_1914 = PROCEDURE_REF(BgL_envz00_1913, (int) (((long) 0)));
				BgL_valzd2approxzd2_1915 =
					PROCEDURE_REF(BgL_envz00_1913, (int) (((long) 1)));
				{
					obj_t BgL_appz00_1671;

					BgL_appz00_1671 = BgL_appz00_1916;
					{	/* Cfa/procedure.scm 206 */
						bool_t BgL_testz00_2100;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1671,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 209 */
								int BgL_arg4700z00_1677;

								{	/* Cfa/procedure.scm 209 */
									obj_t BgL_arg4701z00_1678;

									{	/* Cfa/procedure.scm 209 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4076z00_1864;

										BgL_obj4076z00_1864 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1671);
										{
											obj_t BgL_auxz00_2104;

											{	/* Cfa/procedure.scm 209 */
												BgL_objectz00_bglt BgL_auxz00_2105;

												BgL_auxz00_2105 =
													(BgL_objectz00_bglt) (BgL_obj4076z00_1864);
												BgL_auxz00_2104 = BGL_OBJECT_WIDENING(BgL_auxz00_2105);
											}
											BgL_arg4701z00_1678 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2104))->BgL_valueszd2approxzd2);
									}}
									BgL_arg4700z00_1677 = VECTOR_LENGTH(BgL_arg4701z00_1678);
								}
								BgL_testz00_2100 =
									(
									(long) CINT(BgL_offsetz00_1914) <
									(long) (BgL_arg4700z00_1677));
							}
						else
							{	/* Cfa/procedure.scm 206 */
								BgL_testz00_2100 = ((bool_t) 0);
							}
						if (BgL_testz00_2100)
							{	/* Cfa/procedure.scm 211 */
								obj_t BgL_arg4697z00_1674;

								{	/* Cfa/procedure.scm 211 */
									obj_t BgL_arg4698z00_1675;

									{	/* Cfa/procedure.scm 211 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4076z00_1868;

										BgL_obj4076z00_1868 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1671);
										{
											obj_t BgL_auxz00_2114;

											{	/* Cfa/procedure.scm 211 */
												BgL_objectz00_bglt BgL_auxz00_2115;

												BgL_auxz00_2115 =
													(BgL_objectz00_bglt) (BgL_obj4076z00_1868);
												BgL_auxz00_2114 = BGL_OBJECT_WIDENING(BgL_auxz00_2115);
											}
											BgL_arg4698z00_1675 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2114))->BgL_valueszd2approxzd2);
										}
									}
									BgL_arg4697z00_1674 =
										VECTOR_REF(BgL_arg4698z00_1675, CINT(BgL_offsetz00_1914));
								}
								{	/* Cfa/procedure.scm 210 */
									BgL_approxz00_bglt BgL_auxz00_2121;

									BgL_auxz00_2121 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(
										(BgL_approxz00_bglt) (BgL_arg4697z00_1674),
										(BgL_approxz00_bglt) (BgL_valzd2approxzd2_1915));
									return (obj_t) (BgL_auxz00_2121);
								}
							}
						else
							{	/* Cfa/procedure.scm 206 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* <anonymous:4703> */
	obj_t BGl_zc3anonymousza34703ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1917,
		obj_t BgL_appz00_1919)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 218 */
			{	/* Cfa/procedure.scm 219 */
				obj_t BgL_valzd2approxzd2_1918;

				BgL_valzd2approxzd2_1918 =
					PROCEDURE_REF(BgL_envz00_1917, (int) (((long) 0)));
				{
					obj_t BgL_appz00_1681;

					{	/* Cfa/procedure.scm 219 */
						bool_t BgL_auxz00_2128;

						BgL_appz00_1681 = BgL_appz00_1919;
						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1681,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 220 */
								int BgL_lenz00_1684;

								{	/* Cfa/procedure.scm 221 */
									obj_t BgL_arg4709z00_1691;

									{	/* Cfa/procedure.scm 221 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4076z00_1872;

										BgL_obj4076z00_1872 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1681);
										{
											obj_t BgL_auxz00_2132;

											{	/* Cfa/procedure.scm 221 */
												BgL_objectz00_bglt BgL_auxz00_2133;

												BgL_auxz00_2133 =
													(BgL_objectz00_bglt) (BgL_obj4076z00_1872);
												BgL_auxz00_2132 = BGL_OBJECT_WIDENING(BgL_auxz00_2133);
											}
											BgL_arg4709z00_1691 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2132))->BgL_valueszd2approxzd2);
									}}
									BgL_lenz00_1684 = VECTOR_LENGTH(BgL_arg4709z00_1691);
								}
								{
									long BgL_iz00_1685;

									BgL_iz00_1685 = ((long) 0);
								BgL_loopz00_1686:
									if ((BgL_iz00_1685 < (long) (BgL_lenz00_1684)))
										{	/* Cfa/procedure.scm 223 */
											{	/* Cfa/procedure.scm 227 */
												obj_t BgL_arg4706z00_1688;

												{	/* Cfa/procedure.scm 227 */
													obj_t BgL_arg4707z00_1689;

													{	/* Cfa/procedure.scm 227 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4076z00_1876;
														BgL_obj4076z00_1876 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_1681);
														{
															obj_t BgL_auxz00_2142;

															{	/* Cfa/procedure.scm 227 */
																BgL_objectz00_bglt BgL_auxz00_2143;

																BgL_auxz00_2143 =
																	(BgL_objectz00_bglt) (BgL_obj4076z00_1876);
																BgL_auxz00_2142 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2143);
															}
															BgL_arg4707z00_1689 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2142))->
																BgL_valueszd2approxzd2);
													}}
													BgL_arg4706z00_1688 =
														VECTOR_REF(BgL_arg4707z00_1689,
														(int) (BgL_iz00_1685));
												}
												BGl_unionzd2approxz12zc0zzcfa_approxz00(
													(BgL_approxz00_bglt) (BgL_arg4706z00_1688),
													(BgL_approxz00_bglt) (BgL_valzd2approxzd2_1918));
											}
											{
												long BgL_iz00_2152;

												BgL_iz00_2152 = (BgL_iz00_1685 + ((long) 1));
												BgL_iz00_1685 = BgL_iz00_2152;
												goto BgL_loopz00_1686;
											}
										}
									else
										{	/* Cfa/procedure.scm 223 */
											BgL_auxz00_2128 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/procedure.scm 219 */
								BgL_auxz00_2128 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2128);
					}
				}
			}
		}
	}



/* cfa!-procedure-ref-a4503 */
	obj_t BGl_cfaz12zd2procedurezd2refzd2a4503zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1920, obj_t BgL_nodez00_1921)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 141 */
			{
				BgL_procedurezd2refzd2appz00_bglt BgL_nodez00_1616;

				{	/* Cfa/procedure.scm 142 */
					BgL_approxz00_bglt BgL_auxz00_2155;

					BgL_nodez00_1616 =
						(BgL_procedurezd2refzd2appz00_bglt) (BgL_nodez00_1921);
					{	/* Cfa/procedure.scm 143 */
						obj_t BgL_arg4660z00_1620;

						{	/* Cfa/procedure.scm 143 */
							obj_t BgL_pairz00_1806;

							{	/* Cfa/procedure.scm 143 */
								BgL_appz00_bglt BgL_obj2026z00_1805;

								BgL_obj2026z00_1805 = (BgL_appz00_bglt) (BgL_nodez00_1616);
								BgL_pairz00_1806 =
									(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1805))->BgL_argsz00);
							}
							BgL_arg4660z00_1620 = CAR(CDR(BgL_pairz00_1806));
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg4660z00_1620));
					}
					{	/* Cfa/procedure.scm 144 */
						BgL_approxz00_bglt BgL_proczd2approxzd2_1622;
						obj_t BgL_offsetz00_1623;

						{	/* Cfa/procedure.scm 144 */
							obj_t BgL_arg4685z00_1653;

							{	/* Cfa/procedure.scm 144 */
								obj_t BgL_pairz00_1811;

								{	/* Cfa/procedure.scm 144 */
									BgL_appz00_bglt BgL_obj2026z00_1810;

									BgL_obj2026z00_1810 = (BgL_appz00_bglt) (BgL_nodez00_1616);
									BgL_pairz00_1811 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1810))->
										BgL_argsz00);
								}
								BgL_arg4685z00_1653 = CAR(BgL_pairz00_1811);
							}
							BgL_proczd2approxzd2_1622 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4685z00_1653));
						}
						{	/* Cfa/procedure.scm 145 */
							obj_t BgL_arg4687z00_1655;

							{	/* Cfa/procedure.scm 145 */
								obj_t BgL_pairz00_1813;

								{	/* Cfa/procedure.scm 145 */
									BgL_appz00_bglt BgL_obj2026z00_1812;

									BgL_obj2026z00_1812 = (BgL_appz00_bglt) (BgL_nodez00_1616);
									BgL_pairz00_1813 =
										(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1812))->
										BgL_argsz00);
								}
								BgL_arg4687z00_1655 = CAR(CDR(BgL_pairz00_1813));
							}
							BgL_offsetz00_1623 =
								BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
								(BgL_nodez00_bglt) (BgL_arg4687z00_1655));
						}
						if (
							(((BgL_approxz00_bglt) CREF(BgL_proczd2approxzd2_1622))->
								BgL_topzf3zf3))
							{	/* Cfa/procedure.scm 150 */
								BgL_approxz00_bglt BgL_arg4663z00_1625;

								{
									obj_t BgL_auxz00_2175;

									{	/* Cfa/procedure.scm 150 */
										BgL_objectz00_bglt BgL_auxz00_2176;

										BgL_auxz00_2176 = (BgL_objectz00_bglt) (BgL_nodez00_1616);
										BgL_auxz00_2175 = BGL_OBJECT_WIDENING(BgL_auxz00_2176);
									}
									BgL_arg4663z00_1625 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_2175))->BgL_approxz00);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg4663z00_1625);
							}
						else
							{	/* Cfa/procedure.scm 149 */
								BFALSE;
							}
						if (INTEGERP(BgL_offsetz00_1623))
							{	/* Cfa/procedure.scm 155 */
								obj_t BgL_zc3anonymousza34666ze3z83_1900;

								BgL_zc3anonymousza34666ze3z83_1900 =
									make_fx_procedure
									(BGl_zc3anonymousza34666ze3z83zzcfa_procedurez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza34666ze3z83_1900,
									(int) (((long) 0)), BgL_offsetz00_1623);
								PROCEDURE_SET(BgL_zc3anonymousza34666ze3z83_1900,
									(int) (((long) 1)), (obj_t) (BgL_nodez00_1616));
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3anonymousza34666ze3z83_1900,
									BgL_proczd2approxzd2_1622);
							}
						else
							{	/* Cfa/procedure.scm 170 */
								obj_t BgL_zc3anonymousza34676ze3z83_1901;

								BgL_zc3anonymousza34676ze3z83_1901 =
									make_fx_procedure
									(BGl_zc3anonymousza34676ze3z83zzcfa_procedurez00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza34676ze3z83_1901,
									(int) (((long) 0)), (obj_t) (BgL_nodez00_1616));
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3anonymousza34676ze3z83_1901,
									BgL_proczd2approxzd2_1622);
							}
						{
							obj_t BgL_auxz00_2199;

							{	/* Cfa/procedure.scm 184 */
								BgL_objectz00_bglt BgL_auxz00_2200;

								BgL_auxz00_2200 = (BgL_objectz00_bglt) (BgL_nodez00_1616);
								BgL_auxz00_2199 = BGL_OBJECT_WIDENING(BgL_auxz00_2200);
							}
							BgL_auxz00_2155 =
								(((BgL_procedurezd2refzd2appz00_bglt) CREF(BgL_auxz00_2199))->
								BgL_approxz00);
					}}
					return (obj_t) (BgL_auxz00_2155);
				}
			}
		}
	}



/* <anonymous:4666> */
	obj_t BGl_zc3anonymousza34666ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1922,
		obj_t BgL_appz00_1925)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 154 */
			{	/* Cfa/procedure.scm 155 */
				obj_t BgL_offsetz00_1923;
				obj_t BgL_instance4485z00_1924;

				BgL_offsetz00_1923 = PROCEDURE_REF(BgL_envz00_1922, (int) (((long) 0)));
				BgL_instance4485z00_1924 =
					PROCEDURE_REF(BgL_envz00_1922, (int) (((long) 1)));
				{
					obj_t BgL_appz00_1628;

					BgL_appz00_1628 = BgL_appz00_1925;
					{	/* Cfa/procedure.scm 155 */
						bool_t BgL_testz00_2210;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1628,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 158 */
								int BgL_arg4673z00_1636;

								{	/* Cfa/procedure.scm 158 */
									obj_t BgL_arg4674z00_1637;

									{	/* Cfa/procedure.scm 158 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4076z00_1821;

										BgL_obj4076z00_1821 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1628);
										{
											obj_t BgL_auxz00_2214;

											{	/* Cfa/procedure.scm 158 */
												BgL_objectz00_bglt BgL_auxz00_2215;

												BgL_auxz00_2215 =
													(BgL_objectz00_bglt) (BgL_obj4076z00_1821);
												BgL_auxz00_2214 = BGL_OBJECT_WIDENING(BgL_auxz00_2215);
											}
											BgL_arg4674z00_1637 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2214))->BgL_valueszd2approxzd2);
									}}
									BgL_arg4673z00_1636 = VECTOR_LENGTH(BgL_arg4674z00_1637);
								}
								BgL_testz00_2210 =
									(
									(long) CINT(BgL_offsetz00_1923) <
									(long) (BgL_arg4673z00_1636));
							}
						else
							{	/* Cfa/procedure.scm 155 */
								BgL_testz00_2210 = ((bool_t) 0);
							}
						if (BgL_testz00_2210)
							{	/* Cfa/procedure.scm 159 */
								BgL_approxz00_bglt BgL_arg4668z00_1631;
								obj_t BgL_arg4669z00_1632;

								{	/* Cfa/procedure.scm 159 */
									BgL_procedurezd2refzd2appz00_bglt BgL_obj4126z00_1825;

									BgL_obj4126z00_1825 =
										(BgL_procedurezd2refzd2appz00_bglt)
										(BgL_instance4485z00_1924);
									{
										obj_t BgL_auxz00_2224;

										{	/* Cfa/procedure.scm 159 */
											BgL_objectz00_bglt BgL_auxz00_2225;

											BgL_auxz00_2225 =
												(BgL_objectz00_bglt) (BgL_obj4126z00_1825);
											BgL_auxz00_2224 = BGL_OBJECT_WIDENING(BgL_auxz00_2225);
										}
										BgL_arg4668z00_1631 =
											(((BgL_procedurezd2refzd2appz00_bglt)
												CREF(BgL_auxz00_2224))->BgL_approxz00);
									}
								}
								{	/* Cfa/procedure.scm 161 */
									obj_t BgL_arg4670z00_1633;

									{	/* Cfa/procedure.scm 161 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4076z00_1826;

										BgL_obj4076z00_1826 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1628);
										{
											obj_t BgL_auxz00_2230;

											{	/* Cfa/procedure.scm 161 */
												BgL_objectz00_bglt BgL_auxz00_2231;

												BgL_auxz00_2231 =
													(BgL_objectz00_bglt) (BgL_obj4076z00_1826);
												BgL_auxz00_2230 = BGL_OBJECT_WIDENING(BgL_auxz00_2231);
											}
											BgL_arg4670z00_1633 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2230))->BgL_valueszd2approxzd2);
										}
									}
									BgL_arg4669z00_1632 =
										VECTOR_REF(BgL_arg4670z00_1633, CINT(BgL_offsetz00_1923));
								}
								{	/* Cfa/procedure.scm 159 */
									BgL_approxz00_bglt BgL_auxz00_2237;

									BgL_auxz00_2237 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4668z00_1631,
										(BgL_approxz00_bglt) (BgL_arg4669z00_1632));
									return (obj_t) (BgL_auxz00_2237);
								}
							}
						else
							{	/* Cfa/procedure.scm 165 */
								BgL_approxz00_bglt BgL_arg4671z00_1634;

								{	/* Cfa/procedure.scm 165 */
									BgL_procedurezd2refzd2appz00_bglt BgL_obj4126z00_1829;

									BgL_obj4126z00_1829 =
										(BgL_procedurezd2refzd2appz00_bglt)
										(BgL_instance4485z00_1924);
									{
										obj_t BgL_auxz00_2242;

										{	/* Cfa/procedure.scm 165 */
											BgL_objectz00_bglt BgL_auxz00_2243;

											BgL_auxz00_2243 =
												(BgL_objectz00_bglt) (BgL_obj4126z00_1829);
											BgL_auxz00_2242 = BGL_OBJECT_WIDENING(BgL_auxz00_2243);
										}
										BgL_arg4671z00_1634 =
											(((BgL_procedurezd2refzd2appz00_bglt)
												CREF(BgL_auxz00_2242))->BgL_approxz00);
									}
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg4671z00_1634);
							}
					}
				}
			}
		}
	}



/* <anonymous:4676> */
	obj_t BGl_zc3anonymousza34676ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1926,
		obj_t BgL_appz00_1928)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 169 */
			{	/* Cfa/procedure.scm 170 */
				obj_t BgL_instance4485z00_1927;

				BgL_instance4485z00_1927 =
					PROCEDURE_REF(BgL_envz00_1926, (int) (((long) 0)));
				{
					obj_t BgL_appz00_1640;

					{	/* Cfa/procedure.scm 170 */
						bool_t BgL_auxz00_2250;

						BgL_appz00_1640 = BgL_appz00_1928;
						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1640,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 171 */
								int BgL_lenz00_1643;

								{	/* Cfa/procedure.scm 172 */
									obj_t BgL_arg4684z00_1651;

									{	/* Cfa/procedure.scm 172 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4076z00_1831;

										BgL_obj4076z00_1831 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1640);
										{
											obj_t BgL_auxz00_2254;

											{	/* Cfa/procedure.scm 172 */
												BgL_objectz00_bglt BgL_auxz00_2255;

												BgL_auxz00_2255 =
													(BgL_objectz00_bglt) (BgL_obj4076z00_1831);
												BgL_auxz00_2254 = BGL_OBJECT_WIDENING(BgL_auxz00_2255);
											}
											BgL_arg4684z00_1651 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2254))->BgL_valueszd2approxzd2);
									}}
									BgL_lenz00_1643 = VECTOR_LENGTH(BgL_arg4684z00_1651);
								}
								{
									long BgL_iz00_1644;

									BgL_iz00_1644 = ((long) 0);
								BgL_loopz00_1645:
									if ((BgL_iz00_1644 < (long) (BgL_lenz00_1643)))
										{	/* Cfa/procedure.scm 174 */
											{	/* Cfa/procedure.scm 176 */
												BgL_approxz00_bglt BgL_arg4679z00_1647;
												obj_t BgL_arg4680z00_1648;

												{	/* Cfa/procedure.scm 176 */
													BgL_procedurezd2refzd2appz00_bglt BgL_obj4126z00_1835;

													BgL_obj4126z00_1835 =
														(BgL_procedurezd2refzd2appz00_bglt)
														(BgL_instance4485z00_1927);
													{
														obj_t BgL_auxz00_2264;

														{	/* Cfa/procedure.scm 176 */
															BgL_objectz00_bglt BgL_auxz00_2265;

															BgL_auxz00_2265 =
																(BgL_objectz00_bglt) (BgL_obj4126z00_1835);
															BgL_auxz00_2264 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2265);
														}
														BgL_arg4679z00_1647 =
															(((BgL_procedurezd2refzd2appz00_bglt)
																CREF(BgL_auxz00_2264))->BgL_approxz00);
												}}
												{	/* Cfa/procedure.scm 179 */
													obj_t BgL_arg4682z00_1649;

													{	/* Cfa/procedure.scm 179 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4076z00_1836;
														BgL_obj4076z00_1836 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_1640);
														{
															obj_t BgL_auxz00_2270;

															{	/* Cfa/procedure.scm 179 */
																BgL_objectz00_bglt BgL_auxz00_2271;

																BgL_auxz00_2271 =
																	(BgL_objectz00_bglt) (BgL_obj4076z00_1836);
																BgL_auxz00_2270 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2271);
															}
															BgL_arg4682z00_1649 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2270))->
																BgL_valueszd2approxzd2);
													}}
													BgL_arg4680z00_1648 =
														VECTOR_REF(BgL_arg4682z00_1649,
														(int) (BgL_iz00_1644));
												}
												BGl_unionzd2approxz12zc0zzcfa_approxz00
													(BgL_arg4679z00_1647,
													(BgL_approxz00_bglt) (BgL_arg4680z00_1648));
											}
											{
												long BgL_iz00_2279;

												BgL_iz00_2279 = (BgL_iz00_1644 + ((long) 1));
												BgL_iz00_1644 = BgL_iz00_2279;
												goto BgL_loopz00_1645;
											}
										}
									else
										{	/* Cfa/procedure.scm 174 */
											BgL_auxz00_2250 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/procedure.scm 170 */
								BgL_auxz00_2250 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2250);
					}
				}
			}
		}
	}



/* cfa!-make-procedure-4501 */
	obj_t BGl_cfaz12zd2makezd2procedurezd24501zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1929, obj_t BgL_nodez00_1930)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 120 */
			{
				BgL_makezd2procedurezd2appz00_bglt BgL_nodez00_1595;

				{	/* Cfa/procedure.scm 121 */
					BgL_approxz00_bglt BgL_auxz00_2282;

					BgL_nodez00_1595 =
						(BgL_makezd2procedurezd2appz00_bglt) (BgL_nodez00_1930);
					{	/* Cfa/procedure.scm 124 */
						obj_t BgL_procz00_1599;

						{	/* Cfa/procedure.scm 124 */
							obj_t BgL_pairz00_1792;

							{	/* Cfa/procedure.scm 124 */
								BgL_appz00_bglt BgL_obj2026z00_1791;

								BgL_obj2026z00_1791 = (BgL_appz00_bglt) (BgL_nodez00_1595);
								BgL_pairz00_1792 =
									(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1791))->BgL_argsz00);
							}
							BgL_procz00_1599 = CAR(BgL_pairz00_1792);
						}
						{	/* Cfa/procedure.scm 124 */
							BgL_valuez00_bglt BgL_funz00_1600;

							{	/* Cfa/procedure.scm 125 */
								BgL_variablez00_bglt BgL_obj1387z00_1794;

								{	/* Cfa/procedure.scm 125 */
									BgL_varz00_bglt BgL_obj1929z00_1793;

									BgL_obj1929z00_1793 = (BgL_varz00_bglt) (BgL_procz00_1599);
									BgL_obj1387z00_1794 =
										(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1793))->
										BgL_variablez00);
								}
								BgL_funz00_1600 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1794))->
									BgL_valuez00);
							}
							{	/* Cfa/procedure.scm 125 */
								obj_t BgL_envz00_1601;

								{	/* Cfa/procedure.scm 126 */
									obj_t BgL_pairz00_1796;

									{	/* Cfa/procedure.scm 126 */
										BgL_sfunz00_bglt BgL_obj1654z00_1795;

										BgL_obj1654z00_1795 = (BgL_sfunz00_bglt) (BgL_funz00_1600);
										BgL_pairz00_1796 =
											(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1795))->
											BgL_argsz00);
									}
									BgL_envz00_1601 = CAR(BgL_pairz00_1796);
								}
								{	/* Cfa/procedure.scm 126 */

									{	/* Cfa/procedure.scm 133 */
										BgL_approxz00_bglt BgL_arg4650z00_1602;
										BgL_approxz00_bglt BgL_arg4651z00_1603;

										{	/* Cfa/procedure.scm 133 */
											BgL_svarzf2cinfozf2_bglt BgL_obj3282z00_1798;

											{	/* Cfa/procedure.scm 133 */
												BgL_variablez00_bglt BgL_obj1387z00_1797;

												BgL_obj1387z00_1797 =
													(BgL_variablez00_bglt) (BgL_envz00_1601);
												{	/* Cfa/procedure.scm 133 */
													BgL_valuez00_bglt BgL_auxz00_2293;

													BgL_auxz00_2293 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1387z00_1797))->BgL_valuez00);
													BgL_obj3282z00_1798 =
														(BgL_svarzf2cinfozf2_bglt) (BgL_auxz00_2293);
												}
											}
											{
												obj_t BgL_auxz00_2296;

												{	/* Cfa/procedure.scm 133 */
													BgL_objectz00_bglt BgL_auxz00_2297;

													BgL_auxz00_2297 =
														(BgL_objectz00_bglt) (BgL_obj3282z00_1798);
													BgL_auxz00_2296 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2297);
												}
												BgL_arg4650z00_1602 =
													(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_2296))->
													BgL_approxz00);
											}
										}
										{
											obj_t BgL_auxz00_2301;

											{	/* Cfa/procedure.scm 133 */
												BgL_objectz00_bglt BgL_auxz00_2302;

												BgL_auxz00_2302 =
													(BgL_objectz00_bglt) (BgL_nodez00_1595);
												BgL_auxz00_2301 = BGL_OBJECT_WIDENING(BgL_auxz00_2302);
											}
											BgL_arg4651z00_1603 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2301))->BgL_approxz00);
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4650z00_1602,
											BgL_arg4651z00_1603);
									}
								}
							}
						}
					}
					{	/* Cfa/procedure.scm 135 */
						obj_t BgL_g4493z00_1608;

						{	/* Cfa/procedure.scm 135 */
							BgL_appz00_bglt BgL_obj2026z00_1800;

							BgL_obj2026z00_1800 = (BgL_appz00_bglt) (BgL_nodez00_1595);
							BgL_g4493z00_1608 =
								(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1800))->BgL_argsz00);
						}
						{
							obj_t BgL_l4491z00_1609;

							BgL_l4491z00_1609 = BgL_g4493z00_1608;
						BgL_forzd2each4492zd2_1610:
							if (PAIRP(BgL_l4491z00_1609))
								{	/* Cfa/procedure.scm 135 */
									{	/* Cfa/procedure.scm 135 */
										obj_t BgL_arg4657z00_1612;

										BgL_arg4657z00_1612 = CAR(BgL_l4491z00_1609);
										BGl_cfaz12z12zzcfa_cfaz00(
											(BgL_nodez00_bglt) (BgL_arg4657z00_1612));
									}
									{
										obj_t BgL_l4491z00_2314;

										BgL_l4491z00_2314 = CDR(BgL_l4491z00_1609);
										BgL_l4491z00_1609 = BgL_l4491z00_2314;
										goto BgL_forzd2each4492zd2_1610;
									}
								}
							else
								{	/* Cfa/procedure.scm 135 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2316;

						{	/* Cfa/procedure.scm 136 */
							BgL_objectz00_bglt BgL_auxz00_2317;

							BgL_auxz00_2317 = (BgL_objectz00_bglt) (BgL_nodez00_1595);
							BgL_auxz00_2316 = BGL_OBJECT_WIDENING(BgL_auxz00_2317);
						}
						BgL_auxz00_2282 =
							(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2316))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_2282);
				}
			}
		}
	}



/* node-setup!-pre-proc4499 */
	obj_t BGl_nodezd2setupz12zd2prezd2proc4499zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1931, obj_t BgL_nodez00_1932)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 109 */
			{
				BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_nodez00_1579;

				{	/* Cfa/procedure.scm 110 */
					BgL_appz00_bglt BgL_auxz00_2323;

					BgL_nodez00_1579 =
						(BgL_prezd2procedurezd2setz12zd2appzc0_bglt) (BgL_nodez00_1932);
					BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
						(BgL_nodez00_bglt) (BgL_nodez00_1579));
					{	/* Cfa/procedure.scm 112 */
						obj_t BgL_arg4642z00_1583;

						{	/* Cfa/procedure.scm 112 */
							BgL_appz00_bglt BgL_obj2026z00_1778;

							BgL_obj2026z00_1778 = (BgL_appz00_bglt) (BgL_nodez00_1579);
							BgL_arg4642z00_1583 =
								(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1778))->BgL_argsz00);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4642z00_1583);
					}
					{	/* Cfa/procedure.scm 113 */
						BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_nodez00_1584;

						{	/* Cfa/procedure.scm 113 */
							long BgL_arg4646z00_1590;

							{	/* Cfa/procedure.scm 113 */
								obj_t BgL_arg4647z00_1591;

								{	/* Cfa/procedure.scm 113 */
									obj_t BgL_arg4648z00_1592;

									{	/* Cfa/procedure.scm 113 */
										BgL_objectz00_bglt BgL_objectz00_1779;

										BgL_objectz00_1779 =
											(BgL_objectz00_bglt) (BgL_nodez00_1579);
										{	/* Cfa/procedure.scm 113 */
											long BgL_arg2252z00_1780;

											{	/* Cfa/procedure.scm 113 */
												long BgL_arg2253z00_1781;

												BgL_arg2253z00_1781 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1779);
												BgL_arg2252z00_1780 =
													(BgL_arg2253z00_1781 - OBJECT_TYPE);
											}
											BgL_arg4648z00_1592 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2252z00_1780));
									}}
									BgL_arg4647z00_1591 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg4648z00_1592);
								}
								BgL_arg4646z00_1590 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg4647z00_1591);
							}
							{	/* Cfa/procedure.scm 113 */
								BgL_objectz00_bglt BgL_objz00_1787;

								BgL_objz00_1787 = (BgL_objectz00_bglt) (BgL_nodez00_1579);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1787, BgL_arg4646z00_1590);
						}}
						{	/* Cfa/procedure.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2338;

							BgL_auxz00_2338 = (BgL_objectz00_bglt) (BgL_nodez00_1579);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2338, BFALSE);
						}
						BgL_nodez00_1584 = BgL_nodez00_1579;
						{	/* Cfa/procedure.scm 114 */
							BgL_appz00_bglt BgL_obj4482z00_1585;

							BgL_obj4482z00_1585 =
								((BgL_appz00_bglt) (BgL_appz00_bglt) (BgL_nodez00_1584));
							{	/* Cfa/procedure.scm 115 */
								obj_t BgL_arg4643z00_1586;

								{	/* Cfa/procedure.scm 115 */
									BgL_approxz00_bglt BgL_arg4644z00_1587;

									BgL_arg4644z00_1587 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00));
									BgL_arg4643z00_1586 =
										BGl_wideningzd2procedurezd2setz12zd2appzc0zzcfa_info2z00
										(BgL_arg4644z00_1587);
								}
								{	/* Cfa/procedure.scm 114 */
									BgL_objectz00_bglt BgL_auxz00_2346;

									BgL_auxz00_2346 = (BgL_objectz00_bglt) (BgL_obj4482z00_1585);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2346, BgL_arg4643z00_1586);
							}}
							{	/* Cfa/procedure.scm 114 */
								long BgL_arg4645z00_1588;

								BgL_arg4645z00_1588 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
								{	/* Cfa/procedure.scm 114 */
									BgL_objectz00_bglt BgL_objz00_1789;

									BgL_objz00_1789 = (BgL_objectz00_bglt) (BgL_obj4482z00_1585);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1789,
										BgL_arg4645z00_1588);
							}}
							BgL_auxz00_2323 = BgL_obj4482z00_1585;
					}}
					return (obj_t) (BgL_auxz00_2323);
				}
			}
		}
	}



/* node-setup!-pre-proc4497 */
	obj_t BGl_nodezd2setupz12zd2prezd2proc4497zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1933, obj_t BgL_nodez00_1934)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 98 */
			{
				BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_nodez00_1563;

				{	/* Cfa/procedure.scm 99 */
					BgL_appz00_bglt BgL_auxz00_2354;

					BgL_nodez00_1563 =
						(BgL_prezd2procedurezd2refzd2appzd2_bglt) (BgL_nodez00_1934);
					BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
						(BgL_nodez00_bglt) (BgL_nodez00_1563));
					{	/* Cfa/procedure.scm 101 */
						obj_t BgL_arg4634z00_1567;

						{	/* Cfa/procedure.scm 101 */
							BgL_appz00_bglt BgL_obj2026z00_1765;

							BgL_obj2026z00_1765 = (BgL_appz00_bglt) (BgL_nodez00_1563);
							BgL_arg4634z00_1567 =
								(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1765))->BgL_argsz00);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4634z00_1567);
					}
					{	/* Cfa/procedure.scm 102 */
						BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_nodez00_1568;

						{	/* Cfa/procedure.scm 102 */
							long BgL_arg4638z00_1574;

							{	/* Cfa/procedure.scm 102 */
								obj_t BgL_arg4639z00_1575;

								{	/* Cfa/procedure.scm 102 */
									obj_t BgL_arg4640z00_1576;

									{	/* Cfa/procedure.scm 102 */
										BgL_objectz00_bglt BgL_objectz00_1766;

										BgL_objectz00_1766 =
											(BgL_objectz00_bglt) (BgL_nodez00_1563);
										{	/* Cfa/procedure.scm 102 */
											long BgL_arg2252z00_1767;

											{	/* Cfa/procedure.scm 102 */
												long BgL_arg2253z00_1768;

												BgL_arg2253z00_1768 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1766);
												BgL_arg2252z00_1767 =
													(BgL_arg2253z00_1768 - OBJECT_TYPE);
											}
											BgL_arg4640z00_1576 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2252z00_1767));
									}}
									BgL_arg4639z00_1575 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg4640z00_1576);
								}
								BgL_arg4638z00_1574 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg4639z00_1575);
							}
							{	/* Cfa/procedure.scm 102 */
								BgL_objectz00_bglt BgL_objz00_1774;

								BgL_objz00_1774 = (BgL_objectz00_bglt) (BgL_nodez00_1563);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1774, BgL_arg4638z00_1574);
						}}
						{	/* Cfa/procedure.scm 102 */
							BgL_objectz00_bglt BgL_auxz00_2369;

							BgL_auxz00_2369 = (BgL_objectz00_bglt) (BgL_nodez00_1563);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2369, BFALSE);
						}
						BgL_nodez00_1568 = BgL_nodez00_1563;
						{	/* Cfa/procedure.scm 103 */
							BgL_appz00_bglt BgL_obj4478z00_1569;

							BgL_obj4478z00_1569 =
								((BgL_appz00_bglt) (BgL_appz00_bglt) (BgL_nodez00_1568));
							{	/* Cfa/procedure.scm 104 */
								obj_t BgL_arg4635z00_1570;

								{	/* Cfa/procedure.scm 104 */
									BgL_approxz00_bglt BgL_arg4636z00_1571;

									BgL_arg4636z00_1571 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
									BgL_arg4635z00_1570 =
										BGl_wideningzd2procedurezd2refzd2appzd2zzcfa_info2z00
										(BgL_arg4636z00_1571);
								}
								{	/* Cfa/procedure.scm 103 */
									BgL_objectz00_bglt BgL_auxz00_2377;

									BgL_auxz00_2377 = (BgL_objectz00_bglt) (BgL_obj4478z00_1569);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2377, BgL_arg4635z00_1570);
							}}
							{	/* Cfa/procedure.scm 103 */
								long BgL_arg4637z00_1572;

								BgL_arg4637z00_1572 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_procedurezd2refzd2appz00zzcfa_info2z00);
								{	/* Cfa/procedure.scm 103 */
									BgL_objectz00_bglt BgL_objz00_1776;

									BgL_objz00_1776 = (BgL_objectz00_bglt) (BgL_obj4478z00_1569);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1776,
										BgL_arg4637z00_1572);
							}}
							BgL_auxz00_2354 = BgL_obj4478z00_1569;
					}}
					return (obj_t) (BgL_auxz00_2354);
				}
			}
		}
	}



/* node-setup!-pre-make4495 */
	obj_t BGl_nodezd2setupz12zd2prezd2make4495zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1935, obj_t BgL_nodez00_1936)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 48 */
			{
				BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_nodez00_1511;

				BgL_nodez00_1511 =
					(BgL_prezd2makezd2procedurezd2appzd2_bglt) (BgL_nodez00_1936);
				{

					{
						obj_t BgL_lenz00_1551;

						BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
							(BgL_nodez00_bglt) (BgL_nodez00_1511));
						{	/* Cfa/procedure.scm 59 */
							obj_t BgL_arg4603z00_1516;

							{	/* Cfa/procedure.scm 59 */
								BgL_appz00_bglt BgL_obj2026z00_1716;

								BgL_obj2026z00_1716 = (BgL_appz00_bglt) (BgL_nodez00_1511);
								BgL_arg4603z00_1516 =
									(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1716))->BgL_argsz00);
							}
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4603z00_1516);
						}
						{	/* Cfa/procedure.scm 60 */
							BgL_variablez00_bglt BgL_ownerz00_1517;

							{
								obj_t BgL_auxz00_2390;

								{	/* Cfa/procedure.scm 60 */
									BgL_objectz00_bglt BgL_auxz00_2391;

									BgL_auxz00_2391 = (BgL_objectz00_bglt) (BgL_nodez00_1511);
									BgL_auxz00_2390 = BGL_OBJECT_WIDENING(BgL_auxz00_2391);
								}
								BgL_ownerz00_1517 =
									(((BgL_prezd2makezd2procedurezd2appzd2_bglt)
										CREF(BgL_auxz00_2390))->BgL_ownerz00);
							}
							{	/* Cfa/procedure.scm 60 */
								BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_nodez00_1518;

								{	/* Cfa/procedure.scm 61 */
									long BgL_arg4625z00_1548;

									{	/* Cfa/procedure.scm 61 */
										obj_t BgL_arg4626z00_1549;

										{	/* Cfa/procedure.scm 61 */
											obj_t BgL_arg4627z00_1550;

											{	/* Cfa/procedure.scm 61 */
												BgL_objectz00_bglt BgL_objectz00_1718;

												BgL_objectz00_1718 =
													(BgL_objectz00_bglt) (BgL_nodez00_1511);
												{	/* Cfa/procedure.scm 61 */
													long BgL_arg2252z00_1719;

													{	/* Cfa/procedure.scm 61 */
														long BgL_arg2253z00_1720;

														BgL_arg2253z00_1720 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1718);
														BgL_arg2252z00_1719 =
															(BgL_arg2253z00_1720 - OBJECT_TYPE);
													}
													BgL_arg4627z00_1550 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg2252z00_1719));
											}}
											BgL_arg4626z00_1549 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg4627z00_1550);
										}
										BgL_arg4625z00_1548 =
											BGl_classzd2numzd2zz__objectz00(BgL_arg4626z00_1549);
									}
									{	/* Cfa/procedure.scm 61 */
										BgL_objectz00_bglt BgL_objz00_1726;

										BgL_objz00_1726 = (BgL_objectz00_bglt) (BgL_nodez00_1511);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1726,
											BgL_arg4625z00_1548);
								}}
								{	/* Cfa/procedure.scm 61 */
									BgL_objectz00_bglt BgL_auxz00_2404;

									BgL_auxz00_2404 = (BgL_objectz00_bglt) (BgL_nodez00_1511);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2404, BFALSE);
								}
								BgL_nodez00_1518 = BgL_nodez00_1511;
								{	/* Cfa/procedure.scm 61 */

									{	/* Cfa/procedure.scm 62 */
										obj_t BgL_proczd2siza7ez75_1519;
										obj_t BgL_procz00_1520;

										{	/* Cfa/procedure.scm 62 */
											obj_t BgL_arg4622z00_1544;

											{	/* Cfa/procedure.scm 62 */
												obj_t BgL_pairz00_1729;

												{	/* Cfa/procedure.scm 62 */
													BgL_appz00_bglt BgL_obj2026z00_1728;

													BgL_obj2026z00_1728 =
														(BgL_appz00_bglt) (BgL_nodez00_1511);
													BgL_pairz00_1729 =
														(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1728))->
														BgL_argsz00);
												}
												BgL_arg4622z00_1544 = CAR(CDR(CDR(BgL_pairz00_1729)));
											}
											BgL_proczd2siza7ez75_1519 =
												BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
												(BgL_nodez00_bglt) (BgL_arg4622z00_1544));
										}
										{	/* Cfa/procedure.scm 63 */
											obj_t BgL_pairz00_1736;

											{	/* Cfa/procedure.scm 63 */
												BgL_appz00_bglt BgL_obj2026z00_1735;

												BgL_obj2026z00_1735 =
													(BgL_appz00_bglt) (BgL_nodez00_1511);
												BgL_pairz00_1736 =
													(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1735))->
													BgL_argsz00);
											}
											BgL_procz00_1520 = CAR(BgL_pairz00_1736);
										}
										{	/* Cfa/procedure.scm 64 */
											bool_t BgL_testz00_2417;

											if (INTEGERP(BgL_proczd2siza7ez75_1519))
												{	/* Cfa/procedure.scm 64 */
													if (BGl_iszd2azf3z21zz__objectz00(BgL_procz00_1520,
															BGl_varz00zzast_nodez00))
														{	/* Cfa/procedure.scm 66 */
															BgL_valuez00_bglt BgL_arg4620z00_1542;

															{	/* Cfa/procedure.scm 66 */
																BgL_variablez00_bglt BgL_obj1387z00_1740;

																{	/* Cfa/procedure.scm 66 */
																	BgL_varz00_bglt BgL_obj1929z00_1739;

																	BgL_obj1929z00_1739 =
																		(BgL_varz00_bglt) (BgL_procz00_1520);
																	BgL_obj1387z00_1740 =
																		(((BgL_varz00_bglt)
																			CREF(BgL_obj1929z00_1739))->
																		BgL_variablez00);
																}
																BgL_arg4620z00_1542 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_1740))->BgL_valuez00);
															}
															{	/* Cfa/procedure.scm 66 */
																obj_t BgL_obj1631z00_1741;

																BgL_obj1631z00_1741 =
																	(obj_t) (BgL_arg4620z00_1542);
																BgL_testz00_2417 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj1631z00_1741, BGl_funz00zzast_varz00);
															}
														}
													else
														{	/* Cfa/procedure.scm 65 */
															BgL_testz00_2417 = ((bool_t) 0);
														}
												}
											else
												{	/* Cfa/procedure.scm 64 */
													BgL_testz00_2417 = ((bool_t) 0);
												}
											if (BgL_testz00_2417)
												{	/* Cfa/procedure.scm 67 */
													BgL_appz00_bglt BgL_nodez00_1522;

													{	/* Cfa/procedure.scm 67 */
														BgL_appz00_bglt BgL_obj4473z00_1533;

														BgL_obj4473z00_1533 =
															((BgL_appz00_bglt)
															(BgL_appz00_bglt) (BgL_nodez00_1518));
														{	/* Cfa/procedure.scm 69 */
															obj_t BgL_arg4612z00_1534;

															{	/* Cfa/procedure.scm 67 */
																obj_t BgL_auxz00_2429;

																BgL_lenz00_1551 = BgL_proczd2siza7ez75_1519;
																{	/* Cfa/procedure.scm 50 */
																	obj_t BgL_resz00_1553;

																	BgL_resz00_1553 =
																		make_vector(CINT(BgL_lenz00_1551), BUNSPEC);
																	{
																		long BgL_iz00_1554;

																		BgL_iz00_1554 = ((long) 0);
																	BgL_loopz00_1555:
																		if (
																			(BgL_iz00_1554 ==
																				(long) CINT(BgL_lenz00_1551)))
																			{	/* Cfa/procedure.scm 52 */
																				BgL_auxz00_2429 = BgL_resz00_1553;
																			}
																		else
																			{	/* Cfa/procedure.scm 52 */
																				{	/* Cfa/procedure.scm 55 */
																					BgL_approxz00_bglt
																						BgL_arg4630z00_1557;
																					BgL_arg4630z00_1557 =
																						BGl_makezd2typezd2approxz00zzcfa_approxz00
																						((BgL_typez00_bglt)
																						(BGl_za2objza2z00zztype_cachez00));
																					{	/* Cfa/procedure.scm 55 */
																						obj_t BgL_vectorz00_1759;
																						int BgL_kz00_1760;
																						obj_t BgL_objz00_1761;

																						BgL_vectorz00_1759 =
																							BgL_resz00_1553;
																						BgL_kz00_1760 =
																							(int) (BgL_iz00_1554);
																						BgL_objz00_1761 =
																							(obj_t) (BgL_arg4630z00_1557);
																						VECTOR_SET(BgL_vectorz00_1759,
																							BgL_kz00_1760, BgL_objz00_1761);
																				}}
																				{
																					long BgL_iz00_2441;

																					BgL_iz00_2441 =
																						(BgL_iz00_1554 + ((long) 1));
																					BgL_iz00_1554 = BgL_iz00_2441;
																					goto BgL_loopz00_1555;
																				}
																			}
																	}
																}
																BgL_arg4612z00_1534 =
																	BGl_wideningzd2makezd2procedurezd2appzd2zzcfa_info2z00
																	(BGl_makezd2emptyzd2approxz00zzcfa_approxz00
																	(), BgL_auxz00_2429, ((long) -1),
																	((bool_t) 1), ((bool_t) 0), ((bool_t) 0),
																	BgL_ownerz00_1517, BNIL);
															}
															{	/* Cfa/procedure.scm 67 */
																BgL_objectz00_bglt BgL_auxz00_2444;

																BgL_auxz00_2444 =
																	(BgL_objectz00_bglt) (BgL_obj4473z00_1533);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2444,
																	BgL_arg4612z00_1534);
														}}
														{	/* Cfa/procedure.scm 67 */
															long BgL_arg4617z00_1539;

															BgL_arg4617z00_1539 =
																BGl_classzd2numzd2zz__objectz00
																(BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															{	/* Cfa/procedure.scm 67 */
																BgL_objectz00_bglt BgL_objz00_1742;

																BgL_objz00_1742 =
																	(BgL_objectz00_bglt) (BgL_obj4473z00_1533);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1742,
																	BgL_arg4617z00_1539);
														}}
														BgL_nodez00_1522 = BgL_obj4473z00_1533;
													}
													{	/* Cfa/procedure.scm 76 */
														BgL_approxz00_bglt BgL_arg4605z00_1523;

														BgL_arg4605z00_1523 =
															BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00
															((BgL_typez00_bglt)
															(BGl_za2procedureza2z00zztype_cachez00),
															(BgL_nodez00_bglt) (BgL_nodez00_1522));
														{	/* Cfa/procedure.scm 75 */
															BgL_makezd2procedurezd2appz00_bglt
																BgL_obj4075z00_1744;
															BgL_approxz00_bglt BgL_val4074z00_1745;

															BgL_obj4075z00_1744 =
																(BgL_makezd2procedurezd2appz00_bglt)
																(BgL_nodez00_1522);
															BgL_val4074z00_1745 = BgL_arg4605z00_1523;
															{
																obj_t BgL_auxz00_2454;

																{	/* Cfa/procedure.scm 75 */
																	BgL_objectz00_bglt BgL_auxz00_2455;

																	BgL_auxz00_2455 =
																		(BgL_objectz00_bglt) (BgL_obj4075z00_1744);
																	BgL_auxz00_2454 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2455);
																}
																((((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_2454))->BgL_approxz00) =
																	((BgL_approxz00_bglt) BgL_val4074z00_1745),
																	BUNSPEC);
													}}}
													{	/* Cfa/procedure.scm 81 */
														obj_t BgL_cloz00_1524;

														{	/* Cfa/procedure.scm 81 */
															obj_t BgL_pairz00_1749;

															{	/* Cfa/procedure.scm 81 */
																BgL_sfunz00_bglt BgL_obj1654z00_1748;

																{	/* Cfa/procedure.scm 83 */
																	BgL_valuez00_bglt BgL_auxz00_2459;

																	{	/* Cfa/procedure.scm 82 */
																		BgL_variablez00_bglt BgL_obj1387z00_1747;

																		{	/* Cfa/procedure.scm 83 */
																			BgL_varz00_bglt BgL_obj1929z00_1746;

																			BgL_obj1929z00_1746 =
																				(BgL_varz00_bglt) (BgL_procz00_1520);
																			BgL_obj1387z00_1747 =
																				(((BgL_varz00_bglt)
																					CREF(BgL_obj1929z00_1746))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_2459 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_obj1387z00_1747))->
																			BgL_valuez00);
																	}
																	BgL_obj1654z00_1748 =
																		(BgL_sfunz00_bglt) (BgL_auxz00_2459);
																}
																BgL_pairz00_1749 =
																	(((BgL_sfunz00_bglt)
																		CREF(BgL_obj1654z00_1748))->BgL_argsz00);
															}
															BgL_cloz00_1524 = CAR(BgL_pairz00_1749);
														}
														{	/* Cfa/procedure.scm 81 */
															BgL_valuez00_bglt BgL_vcloz00_1525;

															{	/* Cfa/procedure.scm 84 */
																BgL_variablez00_bglt BgL_obj1387z00_1750;

																BgL_obj1387z00_1750 =
																	(BgL_variablez00_bglt) (BgL_cloz00_1524);
																BgL_vcloz00_1525 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_1750))->BgL_valuez00);
															}
															{	/* Cfa/procedure.scm 84 */

																{	/* Cfa/procedure.scm 85 */
																	bool_t BgL_testz00_2468;

																	{	/* Cfa/procedure.scm 85 */
																		obj_t BgL_obj3281z00_1751;

																		BgL_obj3281z00_1751 =
																			(obj_t) (BgL_vcloz00_1525);
																		BgL_testz00_2468 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj3281z00_1751,
																			BGl_svarzf2Cinfozf2zzcfa_infoz00);
																	}
																	if (BgL_testz00_2468)
																		{	/* Cfa/procedure.scm 85 */
																			{	/* Cfa/procedure.scm 89 */
																				BgL_svarzf2cinfozf2_bglt
																					BgL_obj3285z00_1752;
																				bool_t BgL_val3284z00_1753;

																				BgL_obj3285z00_1752 =
																					(BgL_svarzf2cinfozf2_bglt)
																					(BgL_vcloz00_1525);
																				BgL_val3284z00_1753 = ((bool_t) 1);
																				{
																					obj_t BgL_auxz00_2472;

																					{	/* Cfa/procedure.scm 89 */
																						BgL_objectz00_bglt BgL_auxz00_2473;

																						BgL_auxz00_2473 =
																							(BgL_objectz00_bglt)
																							(BgL_obj3285z00_1752);
																						BgL_auxz00_2472 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_2473);
																					}
																					return
																						((((BgL_svarzf2cinfozf2_bglt)
																								CREF(BgL_auxz00_2472))->
																							BgL_clozd2envzf3z21) =
																						((bool_t) BgL_val3284z00_1753),
																						BUNSPEC);
																				}
																			}
																		}
																	else
																		{	/* Cfa/procedure.scm 90 */
																			BgL_svarz00_bglt BgL_obj4474z00_1527;

																			BgL_obj4474z00_1527 =
																				((BgL_svarz00_bglt)
																				(BgL_svarz00_bglt) (BgL_vcloz00_1525));
																			{	/* Cfa/procedure.scm 90 */
																				obj_t BgL_arg4607z00_1528;

																				BgL_arg4607z00_1528 =
																					BGl_wideningzd2prezd2clozd2envzd2zzcfa_infoz00
																					();
																				{	/* Cfa/procedure.scm 90 */
																					BgL_objectz00_bglt BgL_auxz00_2480;

																					BgL_auxz00_2480 =
																						(BgL_objectz00_bglt)
																						(BgL_obj4474z00_1527);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_2480,
																						BgL_arg4607z00_1528);
																				}
																			}
																			{	/* Cfa/procedure.scm 90 */
																				long BgL_arg4608z00_1529;

																				BgL_arg4608z00_1529 =
																					BGl_classzd2numzd2zz__objectz00
																					(BGl_prezd2clozd2envz00zzcfa_infoz00);
																				{	/* Cfa/procedure.scm 90 */
																					BgL_objectz00_bglt BgL_objz00_1754;

																					BgL_objz00_1754 =
																						(BgL_objectz00_bglt)
																						(BgL_obj4474z00_1527);
																					BGL_OBJECT_CLASS_NUM_SET
																						(BgL_objz00_1754,
																						BgL_arg4608z00_1529);
																			}}
																			return (obj_t) (BgL_obj4474z00_1527);
																		}
																}
															}
														}
													}
												}
											else
												{	/* Cfa/procedure.scm 64 */
													{	/* Cfa/procedure.scm 48 */
														obj_t BgL_nextzd2method4494zd2_1561;

														BgL_nextzd2method4494zd2_1561 =
															BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
															(BgL_objectz00_bglt) (BgL_nodez00_1511),
															BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
															BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
														if (PROCEDUREP(BgL_nextzd2method4494zd2_1561))
															{	/* Cfa/procedure.scm 48 */
																return
																	PROCEDURE_ENTRY(BgL_nextzd2method4494zd2_1561)
																	(BgL_nextzd2method4494zd2_1561,
																	(obj_t) (BgL_nodez00_1511), BEOA);
															}
														else
															{	/* Cfa/procedure.scm 48 */
																return
																	BGl_nodezd2setupz12zc0zzcfa_setupz00(
																	(BgL_nodez00_bglt) (BgL_nodez00_1511));
															}
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 416995938),
				BSTRING_TO_STRING(BGl_string4728z00zzcfa_procedurez00));
		}
	}

#ifdef __cplusplus
}
#endif
