/*===========================================================================*/
/*   (Cfa/set.scm)                                                           */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/set.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	static obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl__setzd2forzd2each4673z00zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	static obj_t BGl__setzd2ze3vectorz31zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl__setzd2lengthzd2zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t make_string(long, unsigned char);
	static obj_t BGl_toplevelzd2initzd2zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t, obj_t);
	static long BGl_maxzd2largezd2siza7eza7zzcfa_setz00;
	BGL_EXPORTED_DECL bool_t BGl_setzf3zf3zzcfa_setz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_setz00 = BUNSPEC;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl__makezd2setz12zc0zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00();
	static obj_t BGl__declarezd2setz124672zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl__setzd2ze3listz31zzcfa_setz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl__setzf3zf3zzcfa_setz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
	static obj_t BGl__setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2lengthzd2envz00zzcfa_setz00,
		BgL_bgl__setza7d2lengthza7d24684z00, BGl__setzd2lengthzd2zzcfa_setz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2ze3vectorzd2envze3zzcfa_setz00,
		BgL_bgl__setza7d2za7e3vector4685z00, BGl__setzd2ze3vectorz31zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2setz12zd2envz12zzcfa_setz00,
		BgL_bgl__declareza7d2setza714686z00,
		BGl__declarezd2setz124672zc0zzcfa_setz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4674z00zzcfa_setz00,
		BgL_bgl_string4674za700za7za7c4687za7, "define-set!", 11);
	      DEFINE_STRING(BGl_string4675z00zzcfa_setz00,
		BgL_bgl_string4675za700za7za7c4688za7, "Too many element in set", 23);
	      DEFINE_STRING(BGl_string4676z00zzcfa_setz00,
		BgL_bgl_string4676za700za7za7c4689za7, "make-set", 8);
	      DEFINE_STRING(BGl_string4677z00zzcfa_setz00,
		BgL_bgl_string4677za700za7za7c4690za7, "Not a meta-set", 14);
	      DEFINE_STRING(BGl_string4678z00zzcfa_setz00,
		BgL_bgl_string4678za700za7za7c4691za7, "set-union!", 10);
	      DEFINE_STRING(BGl_string4680z00zzcfa_setz00,
		BgL_bgl_string4680za700za7za7c4692za7, "cfa_set", 7);
	      DEFINE_STRING(BGl_string4679z00zzcfa_setz00,
		BgL_bgl_string4679za700za7za7c4693za7, "Incompatible sets", 17);
	      DEFINE_STRING(BGl_string4681z00zzcfa_setz00,
		BgL_bgl_string4681za700za7za7c4694za7, "large-set meta-set ", 19);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setz12zd2envz12zzcfa_setz00,
		BgL_bgl__makeza7d2setza712za7c4695za7, BGl__makezd2setz12zc0zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2forzd2eachzd2envzd2zzcfa_setz00,
		BgL_bgl__setza7d2forza7d2eac4696z00,
		BGl__setzd2forzd2each4673z00zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2ze3listzd2envze3zzcfa_setz00,
		BgL_bgl__setza7d2za7e3listza734697za7, BGl__setzd2ze3listz31zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2extendz12zd2envz12zzcfa_setz00,
		BgL_bgl__setza7d2extendza7124698z00, BGl__setzd2extendz12zc0zzcfa_setz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzf3zd2envz21zzcfa_setz00,
		BgL_bgl__setza7f3za7f3za7za7cfa_4699z00, BGl__setzf3zf3zzcfa_setz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2unionz12zd2envz12zzcfa_setz00,
		BgL_bgl__setza7d2unionza712za74700za7, va_generic_entry,
		BGl__setzd2unionz12zc0zzcfa_setz00, BUNSPEC, -2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long
		BgL_checksumz00_2058, char *BgL_fromz00_2059)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_setz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
					BGl_cnstzd2initzd2zzcfa_setz00();
					BGl_importedzd2moduleszd2initz00zzcfa_setz00();
					BGl_toplevelzd2initzd2zzcfa_setz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_set");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			{	/* Cfa/set.scm 15 */
				obj_t BgL_cportz00_2050;

				BgL_cportz00_2050 =
					bgl_open_input_string(BGl_string4681z00zzcfa_setz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2051;

					BgL_iz00_2051 = ((long) 1);
				BgL_loopz00_2052:
					if ((BgL_iz00_2051 == ((long) -1)))
						{	/* Cfa/set.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/set.scm 15 */
							{	/* Cfa/set.scm 15 */
								obj_t BgL_arg4683z00_2054;

								{	/* Cfa/set.scm 15 */

									{	/* Cfa/set.scm 15 */
										obj_t BgL_locationz00_2056;

										BgL_locationz00_2056 = BBOOL(((bool_t) 0));
										{	/* Cfa/set.scm 15 */

											BgL_arg4683z00_2054 =
												BGl_readz00zz__readerz00(BgL_cportz00_2050,
												BgL_locationz00_2056);
										}
									}
								}
								{	/* Cfa/set.scm 15 */
									int BgL_auxz00_2075;

									BgL_auxz00_2075 = (int) (BgL_iz00_2051);
									CNST_TABLE_SET(BgL_auxz00_2075, BgL_arg4683z00_2054);
							}}
							{	/* Cfa/set.scm 15 */
								int BgL_auxz00_2057;

								BgL_auxz00_2057 = (int) ((BgL_iz00_2051 - ((long) 1)));
								{
									long BgL_iz00_2080;

									BgL_iz00_2080 = (long) (BgL_auxz00_2057);
									BgL_iz00_2051 = BgL_iz00_2080;
									goto BgL_loopz00_2052;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			return (BGl_maxzd2largezd2siza7eza7zzcfa_setz00 =
				((long) 10000), BUNSPEC);
		}
	}



/* declare-set! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t
		BgL_tablez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 49 */
			{	/* Cfa/set.scm 50 */
				int BgL_cardinalz00_1028;

				BgL_cardinalz00_1028 = VECTOR_LENGTH(BgL_tablez00_21);
				{	/* Cfa/set.scm 50 */
					long BgL_quotientz00_1029;

					{	/* Cfa/set.scm 51 */
						long BgL_auxz00_2083;

						BgL_auxz00_2083 = (long) (BgL_cardinalz00_1028);
						BgL_quotientz00_1029 = (BgL_auxz00_2083 / ((long) 8));
					}
					{	/* Cfa/set.scm 51 */
						long BgL_remainderz00_1030;

						{	/* Cfa/set.scm 52 */
							long BgL_auxz00_2086;

							BgL_auxz00_2086 = (long) (BgL_cardinalz00_1028);
							BgL_remainderz00_1030 = (BgL_auxz00_2086 % ((long) 8));
						}
						{	/* Cfa/set.scm 52 */
							long BgL_siza7eza7_1031;

							if ((BgL_remainderz00_1030 == ((long) 0)))
								{	/* Cfa/set.scm 54 */
									BgL_siza7eza7_1031 = (BgL_quotientz00_1029 + ((long) 1));
								}
							else
								{	/* Cfa/set.scm 54 */
									BgL_siza7eza7_1031 = (BgL_quotientz00_1029 + ((long) 2));
								}
							{	/* Cfa/set.scm 53 */

								if (
									((long) (BgL_cardinalz00_1028) >=
										BGl_maxzd2largezd2siza7eza7zzcfa_setz00))
									{	/* Cfa/set.scm 59 */
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string4674z00zzcfa_setz00,
											BGl_string4675z00zzcfa_setz00,
											BGl_shapez00zztools_shapez00(BgL_tablez00_21));
									}
								else
									{
										long BgL_iz00_1036;
										long BgL_quotientz00_1037;
										long BgL_maskz00_1038;

										BgL_iz00_1036 = ((long) 0);
										BgL_quotientz00_1037 = ((long) 0);
										BgL_maskz00_1038 = ((long) 1);
									BgL_loopz00_1039:
										if ((BgL_iz00_1036 == (long) (BgL_cardinalz00_1028)))
											{	/* Cfa/set.scm 69 */
												obj_t BgL_newz00_1764;

												BgL_newz00_1764 =
													create_struct(CNST_TABLE_REF(((long) 0)),
													(int) (((long) 2)));
												{	/* Cfa/set.scm 69 */
													obj_t BgL_auxz00_2106;
													int BgL_auxz00_2104;

													BgL_auxz00_2106 = BINT(BgL_siza7eza7_1031);
													BgL_auxz00_2104 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_1764, BgL_auxz00_2104,
														BgL_auxz00_2106);
												}
												{	/* Cfa/set.scm 69 */
													int BgL_auxz00_2109;

													BgL_auxz00_2109 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_1764, BgL_auxz00_2109,
														BgL_tablez00_21);
												}
												return BgL_newz00_1764;
											}
										else
											{	/* Cfa/set.scm 68 */
												if ((BgL_maskz00_1038 == ((long) 256)))
													{
														long BgL_maskz00_2116;
														long BgL_quotientz00_2114;

														BgL_quotientz00_2114 =
															(BgL_quotientz00_1037 + ((long) 1));
														BgL_maskz00_2116 = ((long) 1);
														BgL_maskz00_1038 = BgL_maskz00_2116;
														BgL_quotientz00_1037 = BgL_quotientz00_2114;
														goto BgL_loopz00_1039;
													}
												else
													{	/* Cfa/set.scm 70 */
														{	/* Cfa/set.scm 73 */
															obj_t BgL_arg4497z00_1044;
															obj_t BgL_arg4498z00_1045;

															BgL_arg4497z00_1044 =
																VECTOR_REF(BgL_tablez00_21,
																(int) (BgL_iz00_1036));
															BgL_arg4498z00_1045 =
																MAKE_PAIR(BINT(BgL_quotientz00_1037),
																BINT(BgL_maskz00_1038));
															{	/* Cfa/set.scm 73 */
																BgL_nodezf2effectzf2_bglt BgL_nodez00_1781;

																BgL_nodez00_1781 =
																	(BgL_nodezf2effectzf2_bglt)
																	(BgL_arg4497z00_1044);
																((((BgL_nodezf2effectzf2_bglt)
																			CREF(BgL_nodez00_1781))->BgL_keyz00) =
																	((obj_t) BgL_arg4498z00_1045), BUNSPEC);
														}}
														{
															long BgL_maskz00_2126;
															long BgL_iz00_2124;

															BgL_iz00_2124 = (BgL_iz00_1036 + ((long) 1));
															BgL_maskz00_2126 =
																(BgL_maskz00_1038 * ((long) 2));
															BgL_maskz00_1038 = BgL_maskz00_2126;
															BgL_iz00_1036 = BgL_iz00_2124;
															goto BgL_loopz00_1039;
														}
													}
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* _declare-set!4672 */
	obj_t BGl__declarezd2setz124672zc0zzcfa_setz00(obj_t BgL_envz00_2027,
		obj_t BgL_tablez00_2028)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 49 */
			return BGl_declarezd2setz12zc0zzcfa_setz00(BgL_tablez00_2028);
		}
	}



/* make-set! */
	BGL_EXPORTED_DEF obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t
		BgL_metazd2setzd2_22)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 79 */
			{	/* Cfa/set.scm 81 */
				bool_t BgL_testz00_2129;

				if (STRUCTP(BgL_metazd2setzd2_22))
					{	/* Cfa/set.scm 81 */
						BgL_testz00_2129 =
							(STRUCT_KEY(BgL_metazd2setzd2_22) == CNST_TABLE_REF(((long) 0)));
					}
				else
					{	/* Cfa/set.scm 81 */
						BgL_testz00_2129 = ((bool_t) 0);
					}
				if (BgL_testz00_2129)
					{	/* Cfa/set.scm 84 */
						obj_t BgL_arg4504z00_1050;

						{	/* Cfa/set.scm 84 */
							obj_t BgL_arg4505z00_1051;

							BgL_arg4505z00_1051 =
								STRUCT_REF(BgL_metazd2setzd2_22, (int) (((long) 1)));
							{	/* Cfa/set.scm 84 */
								obj_t BgL_list4506z00_1052;

								BgL_list4506z00_1052 =
									MAKE_PAIR(BCHAR(((unsigned char) '\000')), BNIL);
								{	/* Cfa/set.scm 84 */
									obj_t BgL_res4669z00_1805;

									{	/* Cfa/set.scm 84 */
										long BgL_kz00_1799;

										BgL_kz00_1799 = (long) CINT(BgL_arg4505z00_1051);
										{	/* Cfa/set.scm 84 */
											obj_t BgL_arg1689z00_1802;

											BgL_arg1689z00_1802 = CAR(BgL_list4506z00_1052);
											BgL_res4669z00_1805 =
												make_string(BgL_kz00_1799, CCHAR(BgL_arg1689z00_1802));
									}}
									BgL_arg4504z00_1050 = BgL_res4669z00_1805;
						}}}
						{	/* Cfa/set.scm 84 */
							obj_t BgL_newz00_1808;

							BgL_newz00_1808 =
								create_struct(CNST_TABLE_REF(((long) 1)), (int) (((long) 2)));
							{	/* Cfa/set.scm 84 */
								int BgL_auxz00_2146;

								BgL_auxz00_2146 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_1808, BgL_auxz00_2146,
									BgL_metazd2setzd2_22);
							}
							{	/* Cfa/set.scm 84 */
								int BgL_auxz00_2149;

								BgL_auxz00_2149 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_1808, BgL_auxz00_2149,
									BgL_arg4504z00_1050);
							}
							return BgL_newz00_1808;
						}
					}
				else
					{	/* Cfa/set.scm 81 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string4676z00zzcfa_setz00, BGl_string4677z00zzcfa_setz00,
							BGl_shapez00zztools_shapez00(BgL_metazd2setzd2_22));
					}
			}
		}
	}



/* _make-set! */
	obj_t BGl__makezd2setz12zc0zzcfa_setz00(obj_t BgL_envz00_2029,
		obj_t BgL_metazd2setzd2_2030)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 79 */
			return BGl_makezd2setz12zc0zzcfa_setz00(BgL_metazd2setzd2_2030);
		}
	}



/* set? */
	BGL_EXPORTED_DEF bool_t BGl_setzf3zf3zzcfa_setz00(obj_t BgL_objz00_23)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 90 */
			if (STRUCTP(BgL_objz00_23))
				{	/* Cfa/set.scm 91 */
					return (STRUCT_KEY(BgL_objz00_23) == CNST_TABLE_REF(((long) 1)));
				}
			else
				{	/* Cfa/set.scm 91 */
					return ((bool_t) 0);
				}
		}
	}



/* _set? */
	obj_t BGl__setzf3zf3zzcfa_setz00(obj_t BgL_envz00_2031, obj_t BgL_objz00_2032)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 90 */
			return BBOOL(BGl_setzf3zf3zzcfa_setz00(BgL_objz00_2032));
		}
	}



/* set-extend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t BgL_setz00_24,
		obj_t BgL_objz00_25)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 96 */
			{	/* Cfa/set.scm 97 */
				obj_t BgL_keyz00_1056;

				{	/* Cfa/set.scm 97 */
					BgL_nodezf2effectzf2_bglt BgL_nodez00_1826;

					BgL_nodez00_1826 = (BgL_nodezf2effectzf2_bglt) (BgL_objz00_25);
					BgL_keyz00_1056 =
						(((BgL_nodezf2effectzf2_bglt) CREF(BgL_nodez00_1826))->BgL_keyz00);
				}
				{	/* Cfa/set.scm 97 */
					obj_t BgL_thezd2setzd2_1057;

					BgL_thezd2setzd2_1057 = STRUCT_REF(BgL_setz00_24, (int) (((long) 0)));
					{	/* Cfa/set.scm 98 */
						obj_t BgL_quotientz00_1058;

						BgL_quotientz00_1058 = CAR(BgL_keyz00_1056);
						{	/* Cfa/set.scm 99 */
							obj_t BgL_maskz00_1059;

							BgL_maskz00_1059 = CDR(BgL_keyz00_1056);
							{	/* Cfa/set.scm 100 */

								{	/* Cfa/set.scm 101 */
									unsigned char BgL_auxz00_2170;
									long BgL_auxz00_2168;

									BgL_auxz00_2170 =
										(
										((long) CINT(BgL_maskz00_1059)) |
										STRING_REF(BgL_thezd2setzd2_1057,
											(long) CINT(BgL_quotientz00_1058)));
									BgL_auxz00_2168 = (long) CINT(BgL_quotientz00_1058);
									STRING_SET(BgL_thezd2setzd2_1057, BgL_auxz00_2168,
										BgL_auxz00_2170);
								}
								return BUNSPEC;
							}
						}
					}
				}
			}
		}
	}



/* _set-extend! */
	obj_t BGl__setzd2extendz12zc0zzcfa_setz00(obj_t BgL_envz00_2033,
		obj_t BgL_setz00_2034, obj_t BgL_objz00_2035)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 96 */
			return
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_2034, BgL_objz00_2035);
		}
	}



/* set-union-2! */
	obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t BgL_dstz00_28,
		obj_t BgL_srcz00_29)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 123 */
			{

				{	/* Cfa/set.scm 140 */
					bool_t BgL_testz00_2178;

					if (STRUCTP(BgL_srcz00_29))
						{	/* Cfa/set.scm 140 */
							BgL_testz00_2178 =
								(STRUCT_KEY(BgL_srcz00_29) == CNST_TABLE_REF(((long) 1)));
						}
					else
						{	/* Cfa/set.scm 140 */
							BgL_testz00_2178 = ((bool_t) 0);
						}
					if (BgL_testz00_2178)
						{	/* Cfa/set.scm 140 */
							if (
								(STRING_LENGTH(STRUCT_REF(BgL_dstz00_28,
											(int) (((long) 0)))) ==
									STRING_LENGTH(STRUCT_REF(BgL_srcz00_29, (int) (((long) 0))))))
								{	/* Cfa/set.scm 145 */
									bool_t BgL_auxz00_2192;

									{	/* Cfa/set.scm 125 */
										obj_t BgL_thezd2dstzd2_1085;
										obj_t BgL_thezd2srczd2_1086;

										BgL_thezd2dstzd2_1085 =
											STRUCT_REF(BgL_dstz00_28, (int) (((long) 0)));
										BgL_thezd2srczd2_1086 =
											STRUCT_REF(BgL_srcz00_29, (int) (((long) 0)));
										{	/* Cfa/set.scm 127 */
											long BgL_g4466z00_1087;

											BgL_g4466z00_1087 =
												(
												(long) CINT(STRUCT_REF(STRUCT_REF(BgL_dstz00_28,
															(int) (((long) 1))),
														(int) (((long) 1)))) - ((long) 1));
											{
												long BgL_iz00_1088;
												bool_t BgL_resz00_1089;

												BgL_iz00_1088 = BgL_g4466z00_1087;
												BgL_resz00_1089 = ((bool_t) 0);
											BgL_loopz00_1090:
												if ((BgL_iz00_1088 == ((long) -1)))
													{	/* Cfa/set.scm 130 */
														BgL_auxz00_2192 = BgL_resz00_1089;
													}
												else
													{	/* Cfa/set.scm 132 */
														unsigned char BgL_oldz00_1092;
														unsigned char BgL_newz00_1093;

														BgL_oldz00_1092 =
															STRING_REF(BgL_thezd2dstzd2_1085, BgL_iz00_1088);
														BgL_newz00_1093 =
															(STRING_REF(BgL_thezd2dstzd2_1085,
																BgL_iz00_1088) |
															STRING_REF(BgL_thezd2srczd2_1086, BgL_iz00_1088));
														if ((BgL_newz00_1093 == BgL_oldz00_1092))
															{
																long BgL_iz00_2211;

																BgL_iz00_2211 = (BgL_iz00_1088 - ((long) 1));
																BgL_iz00_1088 = BgL_iz00_2211;
																goto BgL_loopz00_1090;
															}
														else
															{	/* Cfa/set.scm 135 */
																STRING_SET(BgL_thezd2dstzd2_1085, BgL_iz00_1088,
																	BgL_newz00_1093);
																{
																	bool_t BgL_resz00_2216;
																	long BgL_iz00_2214;

																	BgL_iz00_2214 = (BgL_iz00_1088 - ((long) 1));
																	BgL_resz00_2216 = ((bool_t) 1);
																	BgL_resz00_1089 = BgL_resz00_2216;
																	BgL_iz00_1088 = BgL_iz00_2214;
																	goto BgL_loopz00_1090;
																}
															}
													}
											}
										}
									}
									return BBOOL(BgL_auxz00_2192);
								}
							else
								{	/* Cfa/set.scm 142 */
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string4678z00zzcfa_setz00,
										BGl_string4679z00zzcfa_setz00,
										BGl_shapez00zztools_shapez00(BgL_srcz00_29));
								}
						}
					else
						{	/* Cfa/set.scm 140 */
							return
								BGl_internalzd2errorzd2zztools_errorz00
								(BGl_string4678z00zzcfa_setz00, BGl_string4679z00zzcfa_setz00,
								BGl_shapez00zztools_shapez00(BgL_srcz00_29));
						}
				}
			}
		}
	}



/* set-union! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t BgL_dstz00_30,
		obj_t BgL_srcza2za2_31)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 153 */
			if (NULLP(BgL_srcza2za2_31))
				{	/* Cfa/set.scm 155 */
					return BgL_dstz00_30;
				}
			else
				{	/* Cfa/set.scm 155 */
					if (NULLP(CDR(BgL_srcza2za2_31)))
						{	/* Cfa/set.scm 157 */
							return
								BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_30,
								CAR(BgL_srcza2za2_31));
						}
					else
						{
							obj_t BgL_srcza2za2_1106;
							obj_t BgL_resz00_1107;

							BgL_srcza2za2_1106 = BgL_srcza2za2_31;
							BgL_resz00_1107 = BFALSE;
						BgL_loopz00_1108:
							if (NULLP(BgL_srcza2za2_1106))
								{	/* Cfa/set.scm 162 */
									return BgL_resz00_1107;
								}
							else
								{	/* Cfa/set.scm 164 */
									obj_t BgL_arg4543z00_1110;
									obj_t BgL_arg4544z00_1111;

									BgL_arg4543z00_1110 = CDR(BgL_srcza2za2_1106);
									{	/* Cfa/set.scm 165 */
										obj_t BgL__ortest_4467z00_1112;

										BgL__ortest_4467z00_1112 =
											BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_30,
											CAR(BgL_srcza2za2_1106));
										if (CBOOL(BgL__ortest_4467z00_1112))
											{	/* Cfa/set.scm 165 */
												BgL_arg4544z00_1111 = BgL__ortest_4467z00_1112;
											}
										else
											{	/* Cfa/set.scm 165 */
												BgL_arg4544z00_1111 = BgL_resz00_1107;
											}
									}
									{
										obj_t BgL_resz00_2237;
										obj_t BgL_srcza2za2_2236;

										BgL_srcza2za2_2236 = BgL_arg4543z00_1110;
										BgL_resz00_2237 = BgL_arg4544z00_1111;
										BgL_resz00_1107 = BgL_resz00_2237;
										BgL_srcza2za2_1106 = BgL_srcza2za2_2236;
										goto BgL_loopz00_1108;
									}
								}
						}
				}
		}
	}



/* _set-union! */
	obj_t BGl__setzd2unionz12zc0zzcfa_setz00(obj_t BgL_envz00_2036,
		obj_t BgL_dstz00_2037, obj_t BgL_srcza2za2_2038)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 153 */
			return
				BGl_setzd2unionz12zc0zzcfa_setz00(BgL_dstz00_2037, BgL_srcza2za2_2038);
		}
	}



/* set-for-each */
	BGL_EXPORTED_DEF obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t
		BgL_procz00_32, obj_t BgL_setz00_33)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 170 */
			{

				{	/* Cfa/set.scm 172 */
					obj_t BgL_metaz00_1117;

					BgL_metaz00_1117 = STRUCT_REF(BgL_setz00_33, (int) (((long) 1)));
					{	/* Cfa/set.scm 172 */
						obj_t BgL_tablez00_1118;

						BgL_tablez00_1118 =
							STRUCT_REF(BgL_metaz00_1117, (int) (((long) 0)));
						{	/* Cfa/set.scm 173 */

							{	/* Cfa/set.scm 174 */
								long BgL_g4468z00_1119;

								{	/* Cfa/set.scm 174 */
									int BgL_arg4554z00_1128;

									BgL_arg4554z00_1128 = VECTOR_LENGTH(BgL_tablez00_1118);
									BgL_g4468z00_1119 =
										((long) (BgL_arg4554z00_1128) - ((long) 1));
								}
								{
									long BgL_iz00_1120;

									BgL_iz00_1120 = BgL_g4468z00_1119;
								BgL_loopz00_1121:
									if ((BgL_iz00_1120 == ((long) -1)))
										{	/* Cfa/set.scm 176 */
											return BUNSPEC;
										}
									else
										{	/* Cfa/set.scm 178 */
											bool_t BgL_testz00_2248;

											{	/* Cfa/set.scm 178 */
												obj_t BgL_arg4553z00_1127;

												BgL_arg4553z00_1127 =
													VECTOR_REF(BgL_tablez00_1118, (int) (BgL_iz00_1120));
												{	/* Cfa/set.scm 178 */
													obj_t BgL_keyz00_1935;

													{	/* Cfa/set.scm 178 */
														BgL_nodezf2effectzf2_bglt BgL_nodez00_1943;

														BgL_nodez00_1943 =
															(BgL_nodezf2effectzf2_bglt) (BgL_arg4553z00_1127);
														BgL_keyz00_1935 =
															(((BgL_nodezf2effectzf2_bglt)
																CREF(BgL_nodez00_1943))->BgL_keyz00);
													}
													{	/* Cfa/set.scm 178 */

														{	/* Cfa/set.scm 178 */
															long BgL_auxz00_2253;

															{	/* Cfa/set.scm 178 */
																long BgL_auxz00_2257;
																long BgL_auxz00_2254;

																{	/* Cfa/set.scm 178 */
																	unsigned char BgL_auxz00_2258;

																	{	/* Cfa/set.scm 178 */
																		obj_t BgL_stringz00_1950;

																		BgL_stringz00_1950 =
																			STRUCT_REF(BgL_setz00_33,
																			(int) (((long) 0)));
																		{	/* Cfa/set.scm 178 */
																			long BgL_auxz00_2261;

																			{	/* Cfa/set.scm 178 */
																				obj_t BgL_pairz00_1948;

																				BgL_pairz00_1948 = BgL_keyz00_1935;
																				BgL_auxz00_2261 =
																					(long) CINT(CAR(BgL_pairz00_1948));
																			}
																			BgL_auxz00_2258 =
																				STRING_REF(BgL_stringz00_1950,
																				BgL_auxz00_2261);
																	}}
																	BgL_auxz00_2257 = (BgL_auxz00_2258);
																}
																{	/* Cfa/set.scm 178 */
																	obj_t BgL_pairz00_1949;

																	BgL_pairz00_1949 = BgL_keyz00_1935;
																	BgL_auxz00_2254 =
																		(long) CINT(CDR(BgL_pairz00_1949));
																}
																BgL_auxz00_2253 =
																	(BgL_auxz00_2254 & BgL_auxz00_2257);
															}
															BgL_testz00_2248 = (BgL_auxz00_2253 > ((long) 0));
											}}}}
											if (BgL_testz00_2248)
												{	/* Cfa/set.scm 178 */
													{	/* Cfa/set.scm 179 */
														obj_t BgL_arg4550z00_1124;

														BgL_arg4550z00_1124 =
															VECTOR_REF(BgL_tablez00_1118,
															(int) (BgL_iz00_1120));
														PROCEDURE_ENTRY(BgL_procz00_32) (BgL_procz00_32,
															BgL_arg4550z00_1124, BEOA);
													}
													{
														long BgL_iz00_2272;

														BgL_iz00_2272 = (BgL_iz00_1120 - ((long) 1));
														BgL_iz00_1120 = BgL_iz00_2272;
														goto BgL_loopz00_1121;
													}
												}
											else
												{
													long BgL_iz00_2274;

													BgL_iz00_2274 = (BgL_iz00_1120 - ((long) 1));
													BgL_iz00_1120 = BgL_iz00_2274;
													goto BgL_loopz00_1121;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* _set-for-each4673 */
	obj_t BGl__setzd2forzd2each4673z00zzcfa_setz00(obj_t BgL_envz00_2039,
		obj_t BgL_procz00_2040, obj_t BgL_setz00_2041)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 170 */
			return
				BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_2040, BgL_setz00_2041);
		}
	}



/* set-length */
	BGL_EXPORTED_DEF obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t BgL_setz00_34)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 188 */
			{

				{	/* Cfa/set.scm 204 */
					long BgL_auxz00_2277;

					{	/* Cfa/set.scm 190 */
						obj_t BgL_thezd2setzd2_1133;

						BgL_thezd2setzd2_1133 =
							STRUCT_REF(BgL_setz00_34, (int) (((long) 0)));
						{	/* Cfa/set.scm 190 */
							long BgL_thezd2lenzd2_1134;

							BgL_thezd2lenzd2_1134 = STRING_LENGTH(BgL_thezd2setzd2_1133);
							{	/* Cfa/set.scm 191 */

								{
									long BgL_offsetz00_1135;
									long BgL_numz00_1136;

									BgL_offsetz00_1135 = ((long) 0);
									BgL_numz00_1136 = ((long) 0);
								BgL_loopz00_1137:
									if ((BgL_offsetz00_1135 == BgL_thezd2lenzd2_1134))
										{	/* Cfa/set.scm 194 */
											BgL_auxz00_2277 = BgL_numz00_1136;
										}
									else
										{
											long BgL_charz00_1140;
											long BgL_numz00_1141;

											BgL_charz00_1140 =
												(STRING_REF(BgL_thezd2setzd2_1133, BgL_offsetz00_1135));
											BgL_numz00_1141 = BgL_numz00_1136;
										BgL_liipz00_1142:
											if ((BgL_charz00_1140 == ((long) 0)))
												{
													long BgL_numz00_2287;
													long BgL_offsetz00_2285;

													BgL_offsetz00_2285 =
														(((long) 1) + BgL_offsetz00_1135);
													BgL_numz00_2287 = BgL_numz00_1141;
													BgL_numz00_1136 = BgL_numz00_2287;
													BgL_offsetz00_1135 = BgL_offsetz00_2285;
													goto BgL_loopz00_1137;
												}
											else
												{
													long BgL_numz00_2291;
													long BgL_charz00_2288;

													BgL_charz00_2288 =
														(BgL_charz00_1140 >> (int) (((long) 1)));
													BgL_numz00_2291 =
														(BgL_numz00_1141 + (BgL_charz00_1140 & ((long) 1)));
													BgL_numz00_1141 = BgL_numz00_2291;
													BgL_charz00_1140 = BgL_charz00_2288;
													goto BgL_liipz00_1142;
												}
										}
								}
							}
						}
					}
					return BINT(BgL_auxz00_2277);
				}
			}
		}
	}



/* _set-length */
	obj_t BGl__setzd2lengthzd2zzcfa_setz00(obj_t BgL_envz00_2042,
		obj_t BgL_setz00_2043)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 188 */
			return BGl_setzd2lengthzd2zzcfa_setz00(BgL_setz00_2043);
		}
	}



/* set->list */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t BgL_setz00_35)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 209 */
			{	/* Cfa/set.scm 210 */
				obj_t BgL_metaz00_1150;

				BgL_metaz00_1150 = STRUCT_REF(BgL_setz00_35, (int) (((long) 1)));
				{	/* Cfa/set.scm 211 */
					obj_t BgL_tablez00_1151;

					BgL_tablez00_1151 = STRUCT_REF(BgL_metaz00_1150, (int) (((long) 0)));
					{	/* Cfa/set.scm 211 */
						int BgL_siza7eza7_1152;

						BgL_siza7eza7_1152 = VECTOR_LENGTH(BgL_tablez00_1151);
						{	/* Cfa/set.scm 212 */

							{
								long BgL_iz00_1154;
								obj_t BgL_lz00_1155;

								BgL_iz00_1154 = ((long) 0);
								BgL_lz00_1155 = BNIL;
							BgL_loopz00_1156:
								if ((BgL_iz00_1154 == (long) (BgL_siza7eza7_1152)))
									{	/* Cfa/set.scm 216 */
										return BgL_lz00_1155;
									}
								else
									{	/* Cfa/set.scm 218 */
										bool_t BgL_testz00_2306;

										{	/* Cfa/set.scm 218 */
											obj_t BgL_arg4571z00_1163;

											BgL_arg4571z00_1163 =
												VECTOR_REF(BgL_tablez00_1151, (int) (BgL_iz00_1154));
											{	/* Cfa/set.scm 218 */
												obj_t BgL_keyz00_1995;

												{	/* Cfa/set.scm 218 */
													BgL_nodezf2effectzf2_bglt BgL_nodez00_2003;

													BgL_nodez00_2003 =
														(BgL_nodezf2effectzf2_bglt) (BgL_arg4571z00_1163);
													BgL_keyz00_1995 =
														(((BgL_nodezf2effectzf2_bglt)
															CREF(BgL_nodez00_2003))->BgL_keyz00);
												}
												{	/* Cfa/set.scm 218 */

													{	/* Cfa/set.scm 218 */
														long BgL_auxz00_2311;

														{	/* Cfa/set.scm 218 */
															long BgL_auxz00_2315;
															long BgL_auxz00_2312;

															{	/* Cfa/set.scm 218 */
																unsigned char BgL_auxz00_2316;

																{	/* Cfa/set.scm 218 */
																	obj_t BgL_stringz00_2010;

																	BgL_stringz00_2010 =
																		STRUCT_REF(BgL_setz00_35,
																		(int) (((long) 0)));
																	{	/* Cfa/set.scm 218 */
																		long BgL_auxz00_2319;

																		{	/* Cfa/set.scm 218 */
																			obj_t BgL_pairz00_2008;

																			BgL_pairz00_2008 = BgL_keyz00_1995;
																			BgL_auxz00_2319 =
																				(long) CINT(CAR(BgL_pairz00_2008));
																		}
																		BgL_auxz00_2316 =
																			STRING_REF(BgL_stringz00_2010,
																			BgL_auxz00_2319);
																}}
																BgL_auxz00_2315 = (BgL_auxz00_2316);
															}
															{	/* Cfa/set.scm 218 */
																obj_t BgL_pairz00_2009;

																BgL_pairz00_2009 = BgL_keyz00_1995;
																BgL_auxz00_2312 =
																	(long) CINT(CDR(BgL_pairz00_2009));
															}
															BgL_auxz00_2311 =
																(BgL_auxz00_2312 & BgL_auxz00_2315);
														}
														BgL_testz00_2306 = (BgL_auxz00_2311 > ((long) 0));
										}}}}
										if (BgL_testz00_2306)
											{	/* Cfa/set.scm 219 */
												long BgL_arg4566z00_1159;
												obj_t BgL_arg4568z00_1160;

												BgL_arg4566z00_1159 = (BgL_iz00_1154 + ((long) 1));
												BgL_arg4568z00_1160 =
													MAKE_PAIR(VECTOR_REF(BgL_tablez00_1151,
														(int) (BgL_iz00_1154)), BgL_lz00_1155);
												{
													obj_t BgL_lz00_2331;
													long BgL_iz00_2330;

													BgL_iz00_2330 = BgL_arg4566z00_1159;
													BgL_lz00_2331 = BgL_arg4568z00_1160;
													BgL_lz00_1155 = BgL_lz00_2331;
													BgL_iz00_1154 = BgL_iz00_2330;
													goto BgL_loopz00_1156;
												}
											}
										else
											{
												long BgL_iz00_2332;

												BgL_iz00_2332 = (BgL_iz00_1154 + ((long) 1));
												BgL_iz00_1154 = BgL_iz00_2332;
												goto BgL_loopz00_1156;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* _set->list */
	obj_t BGl__setzd2ze3listz31zzcfa_setz00(obj_t BgL_envz00_2044,
		obj_t BgL_setz00_2045)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 209 */
			return BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_2045);
		}
	}



/* set->vector */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t BgL_setz00_36)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 226 */
			return
				BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
				(BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_36));
		}
	}



/* _set->vector */
	obj_t BGl__setzd2ze3vectorz31zzcfa_setz00(obj_t BgL_envz00_2046,
		obj_t BgL_setz00_2047)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 226 */
			return BGl_setzd2ze3vectorz31zzcfa_setz00(BgL_setz00_2047);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4680z00zzcfa_setz00));
		}
	}

#ifdef __cplusplus
}
#endif
