/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t BGl_coercez12zd2funcall3106zc0zzcoerce_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[18];


	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;
	   
		 
		DEFINE_STRING(BGl_string3307z00zzcoerce_funcallz00,
		BgL_bgl_string3307za700za7za7c3312za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string3308z00zzcoerce_funcallz00,
		BgL_bgl_string3308za700za7za7c3313za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string3309z00zzcoerce_funcallz00,
		BgL_bgl_string3309za700za7za7c3314za7,
		"correct-arity? if let ::int len fun (light elight) dummy __eoa__ _ quote failure error/location __error @ begin location bdb ",
		125);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_1428, char *BgL_fromz00_1429)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1420;

				BgL_cportz00_1420 =
					bgl_open_input_string(BGl_string3309z00zzcoerce_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1421;

					BgL_iz00_1421 = ((long) 17);
				BgL_loopz00_1422:
					if ((BgL_iz00_1421 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg3311z00_1424;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1426;

										BgL_locationz00_1426 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg3311z00_1424 =
												BGl_readz00zz__readerz00(BgL_cportz00_1420,
												BgL_locationz00_1426);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_auxz00_1448;

									BgL_auxz00_1448 = (int) (BgL_iz00_1421);
									CNST_TABLE_SET(BgL_auxz00_1448, BgL_arg3311z00_1424);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1427;

								BgL_auxz00_1427 = (int) ((BgL_iz00_1421 - ((long) 1)));
								{
									long BgL_iz00_1453;

									BgL_iz00_1453 = (long) (BgL_auxz00_1427);
									BgL_iz00_1421 = BgL_iz00_1453;
									goto BgL_loopz00_1422;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_18, obj_t BgL_errorzd2msgzd2_19, obj_t BgL_locz00_20,
		obj_t BgL_callerz00_21, obj_t BgL_toz00_22)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 85 */
			{	/* Coerce/funcall.scm 86 */
				obj_t BgL_utz00_819;

				BgL_utz00_819 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
				BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE;
				{	/* Coerce/funcall.scm 88 */
					BgL_nodez00_bglt BgL_nodez00_820;

					{	/* Coerce/funcall.scm 90 */
						BgL_nodez00_bglt BgL_arg3116z00_821;

						{	/* Coerce/funcall.scm 90 */
							obj_t BgL_arg3117z00_822;

							{	/* Coerce/funcall.scm 90 */
								bool_t BgL_testz00_1455;

								{	/* Coerce/funcall.scm 90 */
									bool_t BgL_testz00_1456;

									if (
										((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00)
											> ((long) 0)))
										{	/* Coerce/funcall.scm 90 */
											BgL_testz00_1456 = ((bool_t) 1);
										}
									else
										{	/* Coerce/funcall.scm 90 */
											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													> ((long) 0)))
												{	/* Coerce/funcall.scm 92 */
													obj_t BgL_arg3178z00_881;
													obj_t BgL_arg3179z00_882;

													BgL_arg3178z00_881 = CNST_TABLE_REF(((long) 0));
													{	/* Coerce/funcall.scm 94 */
														obj_t BgL_arg3180z00_883;

														BgL_arg3180z00_883 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														{	/* Coerce/funcall.scm 93 */
															BgL_backendz00_bglt BgL_obj1352z00_1362;

															BgL_obj1352z00_1362 =
																(BgL_backendz00_bglt) (BgL_arg3180z00_883);
															BgL_arg3179z00_882 =
																(((BgL_backendz00_bglt)
																	CREF(BgL_obj1352z00_1362))->
																BgL_debugzd2supportzd2);
													}}
													BgL_testz00_1456 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3178z00_881, BgL_arg3179z00_882));
												}
											else
												{	/* Coerce/funcall.scm 91 */
													BgL_testz00_1456 = ((bool_t) 0);
												}
										}
									if (BgL_testz00_1456)
										{	/* Coerce/funcall.scm 90 */
											if (STRUCTP(BgL_locz00_20))
												{	/* Coerce/funcall.scm 95 */
													BgL_testz00_1455 =
														(STRUCT_KEY(BgL_locz00_20) ==
														CNST_TABLE_REF(((long) 1)));
												}
											else
												{	/* Coerce/funcall.scm 95 */
													BgL_testz00_1455 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/funcall.scm 90 */
											BgL_testz00_1455 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_1455)
									{	/* Coerce/funcall.scm 96 */
										obj_t BgL_arg3119z00_824;
										obj_t BgL_arg3120z00_825;

										BgL_arg3119z00_824 = CNST_TABLE_REF(((long) 2));
										{	/* Coerce/funcall.scm 97 */
											obj_t BgL_arg3121z00_826;
											obj_t BgL_arg3122z00_827;

											{	/* Coerce/funcall.scm 97 */
												obj_t BgL_arg3126z00_831;
												obj_t BgL_arg3127z00_832;

												{	/* Coerce/funcall.scm 97 */
													obj_t BgL_arg3128z00_833;
													obj_t BgL_arg3129z00_834;

													BgL_arg3128z00_833 = CNST_TABLE_REF(((long) 3));
													{	/* Coerce/funcall.scm 97 */
														obj_t BgL_list3130z00_835;

														{	/* Coerce/funcall.scm 97 */
															obj_t BgL_arg3131z00_836;
															obj_t BgL_arg3132z00_837;

															BgL_arg3131z00_836 = CNST_TABLE_REF(((long) 4));
															BgL_arg3132z00_837 = MAKE_PAIR(BNIL, BNIL);
															BgL_list3130z00_835 =
																MAKE_PAIR(BgL_arg3131z00_836,
																BgL_arg3132z00_837);
														}
														BgL_arg3129z00_834 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(CNST_TABLE_REF(((long) 5)), BgL_list3130z00_835);
													}
													BgL_arg3126z00_831 =
														MAKE_PAIR(BgL_arg3128z00_833, BgL_arg3129z00_834);
												}
												{	/* Coerce/funcall.scm 99 */
													obj_t BgL_arg3133z00_838;
													obj_t BgL_arg3134z00_839;
													obj_t BgL_arg3135z00_840;

													{	/* Coerce/funcall.scm 99 */
														obj_t BgL_arg3142z00_847;

														BgL_arg3142z00_847 =
															SYMBOL_TO_STRING
															(BGl_currentzd2functionzd2zztools_errorz00());
														BgL_arg3133z00_838 =
															string_append(BgL_arg3142z00_847,
															BGl_string3307z00zzcoerce_funcallz00);
													}
													BgL_arg3134z00_839 =
														BGl_locationzd2fullzd2fnamez00zztools_locationz00
														(BgL_locz00_20);
													BgL_arg3135z00_840 =
														STRUCT_REF(BgL_locz00_20, (int) (((long) 1)));
													{	/* Coerce/funcall.scm 97 */
														obj_t BgL_list3137z00_842;

														{	/* Coerce/funcall.scm 97 */
															obj_t BgL_arg3138z00_843;

															{	/* Coerce/funcall.scm 97 */
																obj_t BgL_arg3139z00_844;

																{	/* Coerce/funcall.scm 97 */
																	obj_t BgL_arg3140z00_845;

																	{	/* Coerce/funcall.scm 97 */
																		obj_t BgL_arg3141z00_846;

																		BgL_arg3141z00_846 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg3140z00_845 =
																			MAKE_PAIR(BgL_arg3135z00_840,
																			BgL_arg3141z00_846);
																	}
																	BgL_arg3139z00_844 =
																		MAKE_PAIR(BgL_arg3134z00_839,
																		BgL_arg3140z00_845);
																}
																BgL_arg3138z00_843 =
																	MAKE_PAIR(
																	(obj_t) (BgL_funz00_18), BgL_arg3139z00_844);
															}
															BgL_list3137z00_842 =
																MAKE_PAIR(BgL_errorzd2msgzd2_19,
																BgL_arg3138z00_843);
														}
														BgL_arg3127z00_832 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3133z00_838, BgL_list3137z00_842);
												}}
												BgL_arg3121z00_826 =
													MAKE_PAIR(BgL_arg3126z00_831, BgL_arg3127z00_832);
											}
											{	/* Coerce/funcall.scm 105 */
												obj_t BgL_arg3145z00_850;
												obj_t BgL_arg3146z00_851;

												BgL_arg3145z00_850 = CNST_TABLE_REF(((long) 6));
												{	/* Coerce/funcall.scm 105 */
													obj_t BgL_arg3147z00_852;
													obj_t BgL_arg3148z00_853;
													obj_t BgL_arg3149z00_854;

													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_arg3154z00_859;
														obj_t BgL_arg3155z00_860;

														BgL_arg3154z00_859 = CNST_TABLE_REF(((long) 7));
														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_list3156z00_861;

															BgL_list3156z00_861 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3155z00_860 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 8)),
																BgL_list3156z00_861);
														}
														BgL_arg3147z00_852 =
															MAKE_PAIR(BgL_arg3154z00_859, BgL_arg3155z00_860);
													}
													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_arg3157z00_862;
														obj_t BgL_arg3158z00_863;

														BgL_arg3157z00_862 = CNST_TABLE_REF(((long) 7));
														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_list3159z00_864;

															BgL_list3159z00_864 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3158z00_863 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 8)),
																BgL_list3159z00_864);
														}
														BgL_arg3148z00_853 =
															MAKE_PAIR(BgL_arg3157z00_862, BgL_arg3158z00_863);
													}
													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_arg3160z00_865;
														obj_t BgL_arg3161z00_866;

														BgL_arg3160z00_865 = CNST_TABLE_REF(((long) 7));
														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_list3162z00_867;

															BgL_list3162z00_867 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3161z00_866 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 8)),
																BgL_list3162z00_867);
														}
														BgL_arg3149z00_854 =
															MAKE_PAIR(BgL_arg3160z00_865, BgL_arg3161z00_866);
													}
													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_list3151z00_856;

														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_arg3152z00_857;

															{	/* Coerce/funcall.scm 105 */
																obj_t BgL_arg3153z00_858;

																BgL_arg3153z00_858 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3152z00_857 =
																	MAKE_PAIR(BgL_arg3149z00_854,
																	BgL_arg3153z00_858);
															}
															BgL_list3151z00_856 =
																MAKE_PAIR(BgL_arg3148z00_853,
																BgL_arg3152z00_857);
														}
														BgL_arg3146z00_851 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3147z00_852, BgL_list3151z00_856);
												}}
												BgL_arg3122z00_827 =
													MAKE_PAIR(BgL_arg3145z00_850, BgL_arg3146z00_851);
											}
											{	/* Coerce/funcall.scm 96 */
												obj_t BgL_list3124z00_829;

												{	/* Coerce/funcall.scm 96 */
													obj_t BgL_arg3125z00_830;

													BgL_arg3125z00_830 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3124z00_829 =
														MAKE_PAIR(BgL_arg3122z00_827, BgL_arg3125z00_830);
												}
												BgL_arg3120z00_825 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3121z00_826, BgL_list3124z00_829);
										}}
										BgL_arg3117z00_822 =
											MAKE_PAIR(BgL_arg3119z00_824, BgL_arg3120z00_825);
									}
								else
									{	/* Coerce/funcall.scm 106 */
										obj_t BgL_arg3163z00_868;
										obj_t BgL_arg3164z00_869;

										BgL_arg3163z00_868 = CNST_TABLE_REF(((long) 6));
										{	/* Coerce/funcall.scm 107 */
											obj_t BgL_arg3165z00_870;

											{	/* Coerce/funcall.scm 107 */
												obj_t BgL_arg3171z00_875;

												BgL_arg3171z00_875 =
													SYMBOL_TO_STRING
													(BGl_currentzd2functionzd2zztools_errorz00());
												BgL_arg3165z00_870 =
													string_append(BgL_arg3171z00_875,
													BGl_string3307z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 106 */
												obj_t BgL_list3167z00_872;

												{	/* Coerce/funcall.scm 106 */
													obj_t BgL_arg3169z00_873;

													{	/* Coerce/funcall.scm 106 */
														obj_t BgL_arg3170z00_874;

														BgL_arg3170z00_874 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3169z00_873 =
															MAKE_PAIR(
															(obj_t) (BgL_funz00_18), BgL_arg3170z00_874);
													}
													BgL_list3167z00_872 =
														MAKE_PAIR(BgL_errorzd2msgzd2_19,
														BgL_arg3169z00_873);
												}
												BgL_arg3164z00_869 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3165z00_870, BgL_list3167z00_872);
										}}
										BgL_arg3117z00_822 =
											MAKE_PAIR(BgL_arg3163z00_868, BgL_arg3164z00_869);
							}}
							BgL_arg3116z00_821 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3117z00_822, BgL_locz00_20);
						}
						BgL_nodez00_820 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg3116z00_821,
							BgL_callerz00_21, (BgL_typez00_bglt) (BgL_toz00_22));
					}
					BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_utz00_819;
					return BgL_nodez00_820;
				}
			}
		}
	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_23, obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 120 */
			if (NULLP((((BgL_funcallz00_bglt) CREF(BgL_nodez00_23))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 123 */
					obj_t BgL_arg3182z00_885;

					{	/* Coerce/funcall.scm 123 */
						BgL_nodez00_bglt BgL_arg3183z00_886;

						{	/* Coerce/funcall.scm 123 */
							obj_t BgL_arg3185z00_888;
							obj_t BgL_arg3186z00_889;

							BgL_arg3185z00_888 = CNST_TABLE_REF(((long) 9));
							{	/* Coerce/funcall.scm 124 */
								BgL_nodez00_bglt BgL_obj1951z00_1377;

								BgL_obj1951z00_1377 = (BgL_nodez00_bglt) (BgL_nodez00_23);
								BgL_arg3186z00_889 =
									(((BgL_nodez00_bglt) CREF(BgL_obj1951z00_1377))->BgL_locz00);
							}
							BgL_arg3183z00_886 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3185z00_888, BgL_arg3186z00_889);
						}
						{	/* Coerce/funcall.scm 122 */
							obj_t BgL_list3184z00_887;

							BgL_list3184z00_887 =
								MAKE_PAIR((obj_t) (BgL_arg3183z00_886), BNIL);
							BgL_arg3182z00_885 = BgL_list3184z00_887;
					}}
					return
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_23))->BgL_argsz00) =
						((obj_t) BgL_arg3182z00_885), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 125 */
					obj_t BgL_g3103z00_890;
					obj_t BgL_g3104z00_891;

					BgL_g3103z00_890 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_23))->BgL_argsz00);
					BgL_g3104z00_891 = CNST_TABLE_REF(((long) 10));
					{
						obj_t BgL_actualsz00_892;
						obj_t BgL_prevz00_893;

						BgL_actualsz00_892 = BgL_g3103z00_890;
						BgL_prevz00_893 = BgL_g3104z00_891;
					BgL_loopz00_894:
						if (NULLP(BgL_actualsz00_892))
							{	/* Coerce/funcall.scm 129 */
								obj_t BgL_arg3188z00_896;

								{	/* Coerce/funcall.scm 129 */
									BgL_nodez00_bglt BgL_arg3189z00_897;

									{	/* Coerce/funcall.scm 129 */
										obj_t BgL_arg3191z00_899;
										obj_t BgL_arg3192z00_900;

										BgL_arg3191z00_899 = CNST_TABLE_REF(((long) 9));
										{	/* Coerce/funcall.scm 130 */
											BgL_nodez00_bglt BgL_obj1951z00_1384;

											BgL_obj1951z00_1384 = (BgL_nodez00_bglt) (BgL_nodez00_23);
											BgL_arg3192z00_900 =
												(((BgL_nodez00_bglt) CREF(BgL_obj1951z00_1384))->
												BgL_locz00);
										}
										BgL_arg3189z00_897 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg3191z00_899, BgL_arg3192z00_900);
									}
									{	/* Coerce/funcall.scm 128 */
										obj_t BgL_list3190z00_898;

										BgL_list3190z00_898 =
											MAKE_PAIR((obj_t) (BgL_arg3189z00_897), BNIL);
										BgL_arg3188z00_896 = BgL_list3190z00_898;
								}}
								return SET_CDR(BgL_prevz00_893, BgL_arg3188z00_896);
							}
						else
							{	/* Coerce/funcall.scm 127 */
								{	/* Coerce/funcall.scm 132 */
									BgL_nodez00_bglt BgL_arg3193z00_901;

									{	/* Coerce/funcall.scm 132 */
										obj_t BgL_arg3194z00_902;

										BgL_arg3194z00_902 = CAR(BgL_actualsz00_892);
										BgL_arg3193z00_901 =
											BGl_coercez12z12zzcoerce_coercez00(
											(BgL_nodez00_bglt) (BgL_arg3194z00_902), BgL_callerz00_24,
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
									}
									{	/* Coerce/funcall.scm 132 */
										obj_t BgL_pairz00_1390;
										obj_t BgL_objz00_1391;

										BgL_pairz00_1390 = BgL_actualsz00_892;
										BgL_objz00_1391 = (obj_t) (BgL_arg3193z00_901);
										SET_CAR(BgL_pairz00_1390, BgL_objz00_1391);
									}
								}
								{
									obj_t BgL_prevz00_1563;
									obj_t BgL_actualsz00_1561;

									BgL_actualsz00_1561 = CDR(BgL_actualsz00_892);
									BgL_prevz00_1563 = BgL_actualsz00_892;
									BgL_prevz00_893 = BgL_prevz00_1563;
									BgL_actualsz00_892 = BgL_actualsz00_1561;
									goto BgL_loopz00_894;
								}
							}
					}
				}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_coercez12zd2funcall3106zc0_1410;

				BgL_coercez12zd2funcall3106zc0_1410 =
					make_fx_procedure(BGl_coercez12zd2funcall3106zc0zzcoerce_funcallz00,
					(int) (((long) 3)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_coercez12zd2envzc0zzcoerce_coercez00,
					BGl_funcallz00zzast_nodez00, BgL_coercez12zd2funcall3106zc0_1410);
			}
		}
	}



/* coerce!-funcall3106 */
	obj_t BGl_coercez12zd2funcall3106zc0zzcoerce_funcallz00(obj_t BgL_envz00_1411,
		obj_t BgL_nodez00_1412, obj_t BgL_callerz00_1413, obj_t BgL_toz00_1414)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 36 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1276;
				obj_t BgL_callerz00_1277;
				obj_t BgL_toz00_1278;

				BgL_nodez00_1276 = (BgL_funcallz00_bglt) (BgL_nodez00_1412);
				BgL_callerz00_1277 = BgL_callerz00_1413;
				BgL_toz00_1278 = BgL_toz00_1414;
				{	/* Coerce/funcall.scm 38 */
					obj_t BgL_errorzd2msgzd2_1281;
					obj_t BgL_strengthz00_1282;

					{	/* Coerce/funcall.scm 38 */
						obj_t BgL_arg3291z00_1334;
						obj_t BgL_arg3292z00_1335;

						BgL_arg3291z00_1334 = CNST_TABLE_REF(((long) 7));
						BgL_arg3292z00_1335 =
							BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1276));
						{	/* Coerce/funcall.scm 38 */
							obj_t BgL_list3293z00_1336;

							{	/* Coerce/funcall.scm 38 */
								obj_t BgL_arg3294z00_1337;

								BgL_arg3294z00_1337 = MAKE_PAIR(BgL_arg3292z00_1335, BNIL);
								BgL_list3293z00_1336 =
									MAKE_PAIR(BgL_arg3291z00_1334, BgL_arg3294z00_1337);
							}
							BgL_errorzd2msgzd2_1281 = BgL_list3293z00_1336;
					}}
					BgL_strengthz00_1282 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1276))->BgL_strengthz00);
					BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1276,
						BgL_callerz00_1277, BgL_toz00_1278);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BgL_strengthz00_1282, CNST_TABLE_REF(((long) 11)))))
						{	/* Coerce/funcall.scm 43 */
							BgL_nodez00_bglt BgL_auxz00_1579;

							BgL_auxz00_1579 =
								BGl_convertz12z12zzcoerce_convertz00(
								(BgL_nodez00_bglt) (BgL_nodez00_1276),
								(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
								(BgL_typez00_bglt) (BgL_toz00_1278));
							return (obj_t) (BgL_auxz00_1579);
						}
					else
						{	/* Coerce/funcall.scm 45 */
							BgL_nodez00_bglt BgL_czd2funzd2_1284;

							{	/* Coerce/funcall.scm 45 */
								BgL_nodez00_bglt BgL_arg3290z00_1333;

								BgL_arg3290z00_1333 =
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1276))->BgL_funz00);
								BgL_czd2funzd2_1284 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3290z00_1333,
									BgL_callerz00_1277,
									(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00));
							}
							if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
								{	/* Coerce/funcall.scm 47 */
									((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1276))->
											BgL_funz00) =
										((BgL_nodez00_bglt) BgL_czd2funzd2_1284), BUNSPEC);
									{	/* Coerce/funcall.scm 50 */
										BgL_nodez00_bglt BgL_auxz00_1591;

										BgL_auxz00_1591 =
											BGl_convertz12z12zzcoerce_convertz00(
											(BgL_nodez00_bglt) (BgL_nodez00_1276),
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
											(BgL_typez00_bglt) (BgL_toz00_1278));
										return (obj_t) (BgL_auxz00_1591);
									}
								}
							else
								{	/* Coerce/funcall.scm 51 */
									BgL_localz00_bglt BgL_funz00_1285;

									BgL_funz00_1285 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 12)),
										(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00));
									{	/* Coerce/funcall.scm 51 */
										obj_t BgL_locz00_1286;

										{	/* Coerce/funcall.scm 52 */
											BgL_nodez00_bglt BgL_obj1951z00_1399;

											BgL_obj1951z00_1399 =
												(BgL_nodez00_bglt) (BgL_nodez00_1276);
											BgL_locz00_1286 =
												(((BgL_nodez00_bglt) CREF(BgL_obj1951z00_1399))->
												BgL_locz00);
										}
										{	/* Coerce/funcall.scm 52 */
											BgL_atomz00_bglt BgL_lenz00_1287;

											{	/* Coerce/funcall.scm 56 */
												long BgL_arg3286z00_1329;

												BgL_arg3286z00_1329 =
													(bgl_list_length(
														(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1276))->
															BgL_argsz00)) - ((long) 2));
												BgL_lenz00_1287 =
													BGl_makezd2atomzd2zzast_nodez00(BgL_locz00_1286,
													(BgL_typez00_bglt) (BGl_za2intza2z00zztype_cachez00),
													BINT(BgL_arg3286z00_1329));
											}
											{	/* Coerce/funcall.scm 53 */
												obj_t BgL_azd2lenzd2_1288;

												BgL_azd2lenzd2_1288 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												{	/* Coerce/funcall.scm 58 */
													obj_t BgL_azd2tlenzd2_1289;

													{	/* Coerce/funcall.scm 60 */
														obj_t BgL_arg3279z00_1322;

														{	/* Coerce/funcall.scm 60 */
															obj_t BgL_arg3280z00_1323;

															{	/* Coerce/funcall.scm 60 */
																obj_t BgL_arg3281z00_1324;
																obj_t BgL_arg3282z00_1325;

																BgL_arg3281z00_1324 =
																	SYMBOL_TO_STRING(BgL_azd2lenzd2_1288);
																{	/* Coerce/funcall.scm 60 */
																	obj_t BgL_symbolz00_1404;

																	BgL_symbolz00_1404 =
																		CNST_TABLE_REF(((long) 14));
																	BgL_arg3282z00_1325 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1404);
																}
																{	/* Coerce/funcall.scm 60 */
																	obj_t BgL_list3283z00_1326;

																	{	/* Coerce/funcall.scm 60 */
																		obj_t BgL_arg3284z00_1327;

																		BgL_arg3284z00_1327 =
																			MAKE_PAIR(BgL_arg3282z00_1325, BNIL);
																		BgL_list3283z00_1326 =
																			MAKE_PAIR(BgL_arg3281z00_1324,
																			BgL_arg3284z00_1327);
																	}
																	BgL_arg3280z00_1323 =
																		BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																		(BgL_list3283z00_1326);
															}}
															BgL_arg3279z00_1322 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3280z00_1323));
														}
														BgL_azd2tlenzd2_1289 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg3279z00_1322);
													}
													{	/* Coerce/funcall.scm 59 */
														BgL_letzd2varzd2_bglt BgL_lnodez00_1290;

														{	/* Coerce/funcall.scm 61 */
															obj_t BgL_arg3250z00_1293;
															BgL_nodez00_bglt BgL_arg3251z00_1294;

															{	/* Coerce/funcall.scm 64 */
																obj_t BgL_arg3252z00_1295;

																BgL_arg3252z00_1295 =
																	MAKE_PAIR(
																	(obj_t) (BgL_funz00_1285),
																	(obj_t) (BgL_czd2funzd2_1284));
																{	/* Coerce/funcall.scm 64 */
																	obj_t BgL_list3253z00_1296;

																	BgL_list3253z00_1296 =
																		MAKE_PAIR(BgL_arg3252z00_1295, BNIL);
																	BgL_arg3250z00_1293 = BgL_list3253z00_1296;
															}}
															{	/* Coerce/funcall.scm 66 */
																obj_t BgL_arg3254z00_1297;

																{	/* Coerce/funcall.scm 66 */
																	obj_t BgL_arg3255z00_1298;
																	obj_t BgL_arg3256z00_1299;

																	BgL_arg3255z00_1298 =
																		CNST_TABLE_REF(((long) 15));
																	{	/* Coerce/funcall.scm 66 */
																		obj_t BgL_arg3257z00_1300;
																		obj_t BgL_arg3258z00_1301;

																		{	/* Coerce/funcall.scm 66 */
																			obj_t BgL_arg3262z00_1305;

																			{	/* Coerce/funcall.scm 66 */
																				obj_t BgL_arg3264z00_1307;

																				{	/* Coerce/funcall.scm 66 */
																					obj_t BgL_list3265z00_1308;

																					BgL_list3265z00_1308 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3264z00_1307 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						((obj_t) (BgL_lenz00_1287),
																						BgL_list3265z00_1308);
																				}
																				BgL_arg3262z00_1305 =
																					MAKE_PAIR(BgL_azd2tlenzd2_1289,
																					BgL_arg3264z00_1307);
																			}
																			BgL_arg3257z00_1300 =
																				MAKE_PAIR(BgL_arg3262z00_1305, BNIL);
																		}
																		{	/* Coerce/funcall.scm 67 */
																			obj_t BgL_arg3266z00_1309;
																			obj_t BgL_arg3267z00_1310;

																			BgL_arg3266z00_1309 =
																				CNST_TABLE_REF(((long) 16));
																			{	/* Coerce/funcall.scm 67 */
																				obj_t BgL_arg3268z00_1311;
																				BgL_nodez00_bglt BgL_arg3269z00_1312;
																				BgL_nodez00_bglt BgL_arg3270z00_1313;

																				{	/* Coerce/funcall.scm 67 */
																					obj_t BgL_arg3275z00_1318;
																					obj_t BgL_arg3276z00_1319;

																					BgL_arg3275z00_1318 =
																						CNST_TABLE_REF(((long) 17));
																					{	/* Coerce/funcall.scm 67 */
																						obj_t BgL_list3277z00_1320;

																						{	/* Coerce/funcall.scm 67 */
																							obj_t BgL_arg3278z00_1321;

																							BgL_arg3278z00_1321 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list3277z00_1320 =
																								MAKE_PAIR(BgL_azd2lenzd2_1288,
																								BgL_arg3278z00_1321);
																						}
																						BgL_arg3276z00_1319 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							((obj_t) (BgL_funz00_1285),
																							BgL_list3277z00_1320);
																					}
																					BgL_arg3268z00_1311 =
																						MAKE_PAIR(BgL_arg3275z00_1318,
																						BgL_arg3276z00_1319);
																				}
																				BgL_arg3269z00_1312 =
																					BGl_convertz12z12zzcoerce_convertz00(
																					(BgL_nodez00_bglt) (BgL_nodez00_1276),
																					(BgL_typez00_bglt)
																					(BGl_za2objza2z00zztype_cachez00),
																					(BgL_typez00_bglt) (BgL_toz00_1278));
																				BgL_arg3270z00_1313 =
																					BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																					(BgL_funz00_1285,
																					BgL_errorzd2msgzd2_1281,
																					BgL_locz00_1286, BgL_callerz00_1277,
																					BgL_toz00_1278);
																				{	/* Coerce/funcall.scm 67 */
																					obj_t BgL_list3272z00_1315;

																					{	/* Coerce/funcall.scm 67 */
																						obj_t BgL_arg3273z00_1316;

																						{	/* Coerce/funcall.scm 67 */
																							obj_t BgL_arg3274z00_1317;

																							BgL_arg3274z00_1317 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg3273z00_1316 =
																								MAKE_PAIR(
																								(obj_t) (BgL_arg3270z00_1313),
																								BgL_arg3274z00_1317);
																						}
																						BgL_list3272z00_1315 =
																							MAKE_PAIR(
																							(obj_t) (BgL_arg3269z00_1312),
																							BgL_arg3273z00_1316);
																					}
																					BgL_arg3267z00_1310 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg3268z00_1311,
																						BgL_list3272z00_1315);
																			}}
																			BgL_arg3258z00_1301 =
																				MAKE_PAIR(BgL_arg3266z00_1309,
																				BgL_arg3267z00_1310);
																		}
																		{	/* Coerce/funcall.scm 66 */
																			obj_t BgL_list3260z00_1303;

																			{	/* Coerce/funcall.scm 66 */
																				obj_t BgL_arg3261z00_1304;

																				BgL_arg3261z00_1304 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list3260z00_1303 =
																					MAKE_PAIR(BgL_arg3258z00_1301,
																					BgL_arg3261z00_1304);
																			}
																			BgL_arg3256z00_1299 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg3257z00_1300,
																				BgL_list3260z00_1303);
																	}}
																	BgL_arg3254z00_1297 =
																		MAKE_PAIR(BgL_arg3255z00_1298,
																		BgL_arg3256z00_1299);
																}
																BgL_arg3251z00_1294 =
																	BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_arg3254z00_1297, BgL_locz00_1286);
															}
															BgL_lnodez00_1290 =
																BGl_makezd2letzd2varz00zzast_nodez00
																(BgL_locz00_1286,
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00), BUNSPEC,
																BINT(((long) -1)), BgL_arg3250z00_1293,
																BgL_arg3251z00_1294, ((bool_t) 1));
														}
														{	/* Coerce/funcall.scm 61 */

															{	/* Coerce/funcall.scm 76 */
																BgL_varz00_bglt BgL_arg3248z00_1291;

																BgL_arg3248z00_1291 =
																	BGl_makezd2varzd2zzast_nodez00
																	(BgL_locz00_1286,
																	(BgL_typez00_bglt)
																	(BGl_za2objza2z00zztype_cachez00),
																	(BgL_variablez00_bglt) (BgL_funz00_1285));
																{	/* Coerce/funcall.scm 76 */
																	BgL_funcallz00_bglt BgL_obj2169z00_1408;
																	BgL_nodez00_bglt BgL_val2168z00_1409;

																	BgL_obj2169z00_1408 = BgL_nodez00_1276;
																	BgL_val2168z00_1409 =
																		(BgL_nodez00_bglt) (BgL_arg3248z00_1291);
																	((((BgL_funcallz00_bglt)
																				CREF(BgL_obj2169z00_1408))->
																			BgL_funz00) =
																		((BgL_nodez00_bglt) BgL_val2168z00_1409),
																		BUNSPEC);
															}}
															return (obj_t) (BgL_lnodez00_1290);
														}
													}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 387636515),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 65424842),
				BSTRING_TO_STRING(BGl_string3308z00zzcoerce_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
