/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/spread.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl__spreadzd2sidezd2effectz12z12zzeffect_spreadz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl__spreadzd2sidezd2effectz12zd23064zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23068zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23070zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23072zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23074zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23077zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23080zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23082zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23084zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23086zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23088zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23100zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23091zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23102zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23093zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23104zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23095zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23106zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_spreadzd2sidezd2effectz12zd23097zc0zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
		BgL_bgl__spreadza7d2sideza7d3304z00,
		BGl__spreadzd2sidezd2effectz12z12zzeffect_spreadz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_spreadzd2sidezd2effectz12zd23064zd2envz12zzeffect_spreadz00,
		BgL_bgl__spreadza7d2sideza7d3305z00,
		BGl__spreadzd2sidezd2effectz12zd23064zc0zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3300z00zzeffect_spreadz00,
		BgL_bgl_string3300za700za7za7e3306za7, "effect_spread", 13);
	      DEFINE_STRING(BGl_string3301z00zzeffect_spreadz00,
		BgL_bgl_string3301za700za7za7e3307za7, "read ", 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long
		BgL_checksumz00_2105, char *BgL_fromz00_2106)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_spreadz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_cnstzd2initzd2zzeffect_spreadz00();
					BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_methodzd2initzd2zzeffect_spreadz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_spread");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			{	/* Effect/spread.scm 15 */
				obj_t BgL_cportz00_2096;

				BgL_cportz00_2096 =
					bgl_open_input_string(BGl_string3301z00zzeffect_spreadz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2097;

					BgL_iz00_2097 = ((long) 0);
				BgL_loopz00_2098:
					if ((BgL_iz00_2097 == ((long) -1)))
						{	/* Effect/spread.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/spread.scm 15 */
							{	/* Effect/spread.scm 15 */
								obj_t BgL_arg3303z00_2100;

								{	/* Effect/spread.scm 15 */

									{	/* Effect/spread.scm 15 */
										obj_t BgL_locationz00_2102;

										BgL_locationz00_2102 = BBOOL(((bool_t) 0));
										{	/* Effect/spread.scm 15 */

											BgL_arg3303z00_2100 =
												BGl_readz00zz__readerz00(BgL_cportz00_2096,
												BgL_locationz00_2102);
										}
									}
								}
								{	/* Effect/spread.scm 15 */
									int BgL_auxz00_2122;

									BgL_auxz00_2122 = (int) (BgL_iz00_2097);
									CNST_TABLE_SET(BgL_auxz00_2122, BgL_arg3303z00_2100);
							}}
							{	/* Effect/spread.scm 15 */
								int BgL_auxz00_2103;

								BgL_auxz00_2103 = (int) ((BgL_iz00_2097 - ((long) 1)));
								{
									long BgL_iz00_2127;

									BgL_iz00_2127 = (long) (BgL_auxz00_2103);
									BgL_iz00_2097 = BgL_iz00_2127;
									goto BgL_loopz00_2098;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* spread-side-effect*! */
	bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t
		BgL_nodeza2za2_21)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 201 */
			{
				obj_t BgL_nodeza2za2_726;
				bool_t BgL_resz00_727;

				BgL_nodeza2za2_726 = BgL_nodeza2za2_21;
				BgL_resz00_727 = ((bool_t) 0);
			BgL_loopz00_728:
				if (NULLP(BgL_nodeza2za2_726))
					{	/* Effect/spread.scm 204 */
						return BgL_resz00_727;
					}
				else
					{	/* Effect/spread.scm 206 */
						obj_t BgL_arg3108z00_730;
						bool_t BgL_arg3109z00_731;

						BgL_arg3108z00_730 = CDR(BgL_nodeza2za2_726);
						{	/* Effect/spread.scm 206 */
							bool_t BgL__ortest_3059z00_732;

							{	/* Effect/spread.scm 206 */
								obj_t BgL_arg3110z00_733;

								BgL_arg3110z00_733 = CAR(BgL_nodeza2za2_726);
								{	/* Effect/spread.scm 206 */
									bool_t BgL_res3228z00_1318;

									{	/* Effect/spread.scm 206 */
										BgL_nodez00_bglt BgL_nodez00_1292;

										BgL_nodez00_1292 = (BgL_nodez00_bglt) (BgL_arg3110z00_733);
										{	/* Effect/spread.scm 206 */
											obj_t BgL_method3065z00_1293;

											{	/* Effect/spread.scm 206 */
												BgL_objectz00_bglt BgL_objz00_1294;

												BgL_objz00_1294 =
													(BgL_objectz00_bglt) (BgL_nodez00_1292);
												{	/* Effect/spread.scm 206 */
													long BgL_objzd2classzd2numz00_1295;

													BgL_objzd2classzd2numz00_1295 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1294);
													{	/* Effect/spread.scm 206 */
														obj_t BgL_arg2249z00_1296;

														BgL_arg2249z00_1296 =
															PROCEDURE_REF
															(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
															(int) (((long) 1)));
														{	/* Effect/spread.scm 206 */
															obj_t BgL_arrayz00_1298;
															int BgL_offsetz00_1299;

															BgL_arrayz00_1298 = BgL_arg2249z00_1296;
															BgL_offsetz00_1299 =
																(int) (BgL_objzd2classzd2numz00_1295);
															{	/* Effect/spread.scm 206 */
																long BgL_offsetz00_1300;

																BgL_offsetz00_1300 =
																	((long) (BgL_offsetz00_1299) - OBJECT_TYPE);
																{	/* Effect/spread.scm 206 */
																	long BgL_modz00_1301;

																	{	/* Effect/spread.scm 206 */
																		int BgL_arg2251z00_1302;

																		BgL_arg2251z00_1302 = (int) (((long) 8));
																		{	/* Effect/spread.scm 206 */
																			long BgL_auxz00_2142;

																			BgL_auxz00_2142 =
																				(long) (BgL_arg2251z00_1302);
																			BgL_modz00_1301 =
																				(BgL_offsetz00_1300 / BgL_auxz00_2142);
																	}}
																	{	/* Effect/spread.scm 206 */
																		long BgL_restz00_1303;

																		{	/* Effect/spread.scm 206 */
																			int BgL_arg2250z00_1304;

																			BgL_arg2250z00_1304 = (int) (((long) 8));
																			{	/* Effect/spread.scm 206 */
																				long BgL_auxz00_2146;

																				BgL_auxz00_2146 =
																					(long) (BgL_arg2250z00_1304);
																				BgL_restz00_1303 =
																					(BgL_offsetz00_1300 %
																					BgL_auxz00_2146);
																		}}
																		{	/* Effect/spread.scm 206 */

																			BgL_method3065z00_1293 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1298,
																					(int) (BgL_modz00_1301)),
																				(int) (BgL_restz00_1303));
											}}}}}}}}
											BgL_res3228z00_1318 =
												CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1293)
												(BgL_method3065z00_1293, (obj_t) (BgL_nodez00_1292),
													BEOA));
									}}
									BgL__ortest_3059z00_732 = BgL_res3228z00_1318;
							}}
							if (BgL__ortest_3059z00_732)
								{	/* Effect/spread.scm 206 */
									BgL_arg3109z00_731 = BgL__ortest_3059z00_732;
								}
							else
								{	/* Effect/spread.scm 206 */
									BgL_arg3109z00_731 = BgL_resz00_727;
								}
						}
						{
							bool_t BgL_resz00_2159;
							obj_t BgL_nodeza2za2_2158;

							BgL_nodeza2za2_2158 = BgL_arg3108z00_730;
							BgL_resz00_2159 = BgL_arg3109z00_731;
							BgL_resz00_727 = BgL_resz00_2159;
							BgL_nodeza2za2_726 = BgL_nodeza2za2_2158;
							goto BgL_loopz00_728;
						}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_spreadzd2sidezd2effectz12zd23064zd2envz12zzeffect_spreadz00);
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23068zc0_2057;

				BgL_spreadzd2sidezd2effectz12zd23068zc0_2057 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23068zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_varz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23068zc0_2057);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23070zc0_2056;

				BgL_spreadzd2sidezd2effectz12zd23070zc0_2056 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23070zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_sequencez00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23070zc0_2056);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23072zc0_2055;

				BgL_spreadzd2sidezd2effectz12zd23072zc0_2055 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23072zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_appz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23072zc0_2055);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23074zc0_2054;

				BgL_spreadzd2sidezd2effectz12zd23074zc0_2054 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23074zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_appzd2lyzd2zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23074zc0_2054);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23077zc0_2053;

				BgL_spreadzd2sidezd2effectz12zd23077zc0_2053 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23077zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_funcallz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23077zc0_2053);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23080zc0_2052;

				BgL_spreadzd2sidezd2effectz12zd23080zc0_2052 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23080zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_externz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23080zc0_2052);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23082zc0_2051;

				BgL_spreadzd2sidezd2effectz12zd23082zc0_2051 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23082zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_castz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23082zc0_2051);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23084zc0_2050;

				BgL_spreadzd2sidezd2effectz12zd23084zc0_2050 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23084zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_setqz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23084zc0_2050);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23086zc0_2049;

				BgL_spreadzd2sidezd2effectz12zd23086zc0_2049 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23086zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_conditionalz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23086zc0_2049);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23088zc0_2048;

				BgL_spreadzd2sidezd2effectz12zd23088zc0_2048 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23088zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_failz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23088zc0_2048);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23091zc0_2047;

				BgL_spreadzd2sidezd2effectz12zd23091zc0_2047 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23091zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_selectz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23091zc0_2047);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23093zc0_2046;

				BgL_spreadzd2sidezd2effectz12zd23093zc0_2046 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23093zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_letzd2funzd2zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23093zc0_2046);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23095zc0_2045;

				BgL_spreadzd2sidezd2effectz12zd23095zc0_2045 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23095zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_letzd2varzd2zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23095zc0_2045);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23097zc0_2044;

				BgL_spreadzd2sidezd2effectz12zd23097zc0_2044 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23097zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_setzd2exzd2itz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23097zc0_2044);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23100zc0_2043;

				BgL_spreadzd2sidezd2effectz12zd23100zc0_2043 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23100zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_jumpzd2exzd2itz00zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23100zc0_2043);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23102zc0_2042;

				BgL_spreadzd2sidezd2effectz12zd23102zc0_2042 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23102zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_makezd2boxzd2zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23102zc0_2042);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23104zc0_2041;

				BgL_spreadzd2sidezd2effectz12zd23104zc0_2041 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23104zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_boxzd2setz12zc0zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23104zc0_2041);
			}
			{	/* Effect/spread.scm 15 */
				obj_t BgL_spreadzd2sidezd2effectz12zd23106zc0_2040;

				BgL_spreadzd2sidezd2effectz12zd23106zc0_2040 =
					make_fx_procedure
					(BGl_spreadzd2sidezd2effectz12zd23106zc0zzeffect_spreadz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
					BGl_boxzd2refzd2zzast_nodez00,
					BgL_spreadzd2sidezd2effectz12zd23106zc0_2040);
			}
		}
	}



/* spread-side-effect!-3106 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23106zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2058, obj_t BgL_nodez00_2059)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 194 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1281;

				{	/* Effect/spread.scm 195 */
					bool_t BgL_auxz00_2233;

					BgL_nodez00_1281 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2059);
					{	/* Effect/spread.scm 195 */
						BgL_varz00_bglt BgL_arg3224z00_1984;

						BgL_arg3224z00_1984 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1281))->BgL_varz00);
						{	/* Effect/spread.scm 195 */
							bool_t BgL_res3297z00_2012;

							{	/* Effect/spread.scm 195 */
								BgL_nodez00_bglt BgL_nodez00_1986;

								BgL_nodez00_1986 = (BgL_nodez00_bglt) (BgL_arg3224z00_1984);
								{	/* Effect/spread.scm 195 */
									obj_t BgL_method3065z00_1987;

									{	/* Effect/spread.scm 195 */
										BgL_objectz00_bglt BgL_objz00_1988;

										BgL_objz00_1988 = (BgL_objectz00_bglt) (BgL_nodez00_1986);
										{	/* Effect/spread.scm 195 */
											long BgL_objzd2classzd2numz00_1989;

											BgL_objzd2classzd2numz00_1989 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1988);
											{	/* Effect/spread.scm 195 */
												obj_t BgL_arg2249z00_1990;

												BgL_arg2249z00_1990 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 195 */
													obj_t BgL_arrayz00_1992;
													int BgL_offsetz00_1993;

													BgL_arrayz00_1992 = BgL_arg2249z00_1990;
													BgL_offsetz00_1993 =
														(int) (BgL_objzd2classzd2numz00_1989);
													{	/* Effect/spread.scm 195 */
														long BgL_offsetz00_1994;

														BgL_offsetz00_1994 =
															((long) (BgL_offsetz00_1993) - OBJECT_TYPE);
														{	/* Effect/spread.scm 195 */
															long BgL_modz00_1995;

															{	/* Effect/spread.scm 195 */
																int BgL_arg2251z00_1996;

																BgL_arg2251z00_1996 = (int) (((long) 8));
																{	/* Effect/spread.scm 195 */
																	long BgL_auxz00_2244;

																	BgL_auxz00_2244 =
																		(long) (BgL_arg2251z00_1996);
																	BgL_modz00_1995 =
																		(BgL_offsetz00_1994 / BgL_auxz00_2244);
															}}
															{	/* Effect/spread.scm 195 */
																long BgL_restz00_1997;

																{	/* Effect/spread.scm 195 */
																	int BgL_arg2250z00_1998;

																	BgL_arg2250z00_1998 = (int) (((long) 8));
																	{	/* Effect/spread.scm 195 */
																		long BgL_auxz00_2248;

																		BgL_auxz00_2248 =
																			(long) (BgL_arg2250z00_1998);
																		BgL_restz00_1997 =
																			(BgL_offsetz00_1994 % BgL_auxz00_2248);
																}}
																{	/* Effect/spread.scm 195 */

																	BgL_method3065z00_1987 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1992,
																			(int) (BgL_modz00_1995)),
																		(int) (BgL_restz00_1997));
									}}}}}}}}
									BgL_res3297z00_2012 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1987)
										(BgL_method3065z00_1987, (obj_t) (BgL_nodez00_1986), BEOA));
							}}
							BgL_auxz00_2233 = BgL_res3297z00_2012;
					}}
					return BBOOL(BgL_auxz00_2233);
				}
			}
		}
	}



/* spread-side-effect!-3104 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23104zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2060, obj_t BgL_nodez00_2061)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 182 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1274;

				{	/* Effect/spread.scm 183 */
					bool_t BgL_auxz00_2261;

					BgL_nodez00_1274 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2061);
					{	/* Effect/spread.scm 183 */
						BgL_nodez00_bglt BgL_arg3222z00_1954;

						BgL_arg3222z00_1954 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1274))->
							BgL_valuez00);
						{	/* Effect/spread.scm 183 */
							bool_t BgL_res3294z00_1982;

							{	/* Effect/spread.scm 183 */
								obj_t BgL_method3065z00_1957;

								{	/* Effect/spread.scm 183 */
									BgL_objectz00_bglt BgL_objz00_1958;

									BgL_objz00_1958 = (BgL_objectz00_bglt) (BgL_arg3222z00_1954);
									{	/* Effect/spread.scm 183 */
										long BgL_objzd2classzd2numz00_1959;

										BgL_objzd2classzd2numz00_1959 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1958);
										{	/* Effect/spread.scm 183 */
											obj_t BgL_arg2249z00_1960;

											BgL_arg2249z00_1960 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 183 */
												obj_t BgL_arrayz00_1962;
												int BgL_offsetz00_1963;

												BgL_arrayz00_1962 = BgL_arg2249z00_1960;
												BgL_offsetz00_1963 =
													(int) (BgL_objzd2classzd2numz00_1959);
												{	/* Effect/spread.scm 183 */
													long BgL_offsetz00_1964;

													BgL_offsetz00_1964 =
														((long) (BgL_offsetz00_1963) - OBJECT_TYPE);
													{	/* Effect/spread.scm 183 */
														long BgL_modz00_1965;

														{	/* Effect/spread.scm 183 */
															int BgL_arg2251z00_1966;

															BgL_arg2251z00_1966 = (int) (((long) 8));
															{	/* Effect/spread.scm 183 */
																long BgL_auxz00_2271;

																BgL_auxz00_2271 = (long) (BgL_arg2251z00_1966);
																BgL_modz00_1965 =
																	(BgL_offsetz00_1964 / BgL_auxz00_2271);
														}}
														{	/* Effect/spread.scm 183 */
															long BgL_restz00_1967;

															{	/* Effect/spread.scm 183 */
																int BgL_arg2250z00_1968;

																BgL_arg2250z00_1968 = (int) (((long) 8));
																{	/* Effect/spread.scm 183 */
																	long BgL_auxz00_2275;

																	BgL_auxz00_2275 =
																		(long) (BgL_arg2250z00_1968);
																	BgL_restz00_1967 =
																		(BgL_offsetz00_1964 % BgL_auxz00_2275);
															}}
															{	/* Effect/spread.scm 183 */

																BgL_method3065z00_1957 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1962,
																		(int) (BgL_modz00_1965)),
																	(int) (BgL_restz00_1967));
								}}}}}}}}
								BgL_res3294z00_1982 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1957)
									(BgL_method3065z00_1957, (obj_t) (BgL_arg3222z00_1954),
										BEOA));
							} BgL_res3294z00_1982;
					}}
					BgL_auxz00_2261 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2261);
				}
			}
		}
	}



/* spread-side-effect!-3102 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23102zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2062, obj_t BgL_nodez00_2063)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 173 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1266;

				{	/* Effect/spread.scm 174 */
					bool_t BgL_auxz00_2288;

					BgL_nodez00_1266 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2063);
					{	/* Effect/spread.scm 175 */
						bool_t BgL_resz00_1270;

						{	/* Effect/spread.scm 175 */
							BgL_nodez00_bglt BgL_arg3220z00_1271;

							BgL_arg3220z00_1271 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1266))->
								BgL_valuez00);
							{	/* Effect/spread.scm 175 */
								bool_t BgL_res3291z00_1950;

								{	/* Effect/spread.scm 175 */
									obj_t BgL_method3065z00_1925;

									{	/* Effect/spread.scm 175 */
										BgL_objectz00_bglt BgL_objz00_1926;

										BgL_objz00_1926 =
											(BgL_objectz00_bglt) (BgL_arg3220z00_1271);
										{	/* Effect/spread.scm 175 */
											long BgL_objzd2classzd2numz00_1927;

											BgL_objzd2classzd2numz00_1927 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1926);
											{	/* Effect/spread.scm 175 */
												obj_t BgL_arg2249z00_1928;

												BgL_arg2249z00_1928 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 175 */
													obj_t BgL_arrayz00_1930;
													int BgL_offsetz00_1931;

													BgL_arrayz00_1930 = BgL_arg2249z00_1928;
													BgL_offsetz00_1931 =
														(int) (BgL_objzd2classzd2numz00_1927);
													{	/* Effect/spread.scm 175 */
														long BgL_offsetz00_1932;

														BgL_offsetz00_1932 =
															((long) (BgL_offsetz00_1931) - OBJECT_TYPE);
														{	/* Effect/spread.scm 175 */
															long BgL_modz00_1933;

															{	/* Effect/spread.scm 175 */
																int BgL_arg2251z00_1934;

																BgL_arg2251z00_1934 = (int) (((long) 8));
																{	/* Effect/spread.scm 175 */
																	long BgL_auxz00_2298;

																	BgL_auxz00_2298 =
																		(long) (BgL_arg2251z00_1934);
																	BgL_modz00_1933 =
																		(BgL_offsetz00_1932 / BgL_auxz00_2298);
															}}
															{	/* Effect/spread.scm 175 */
																long BgL_restz00_1935;

																{	/* Effect/spread.scm 175 */
																	int BgL_arg2250z00_1936;

																	BgL_arg2250z00_1936 = (int) (((long) 8));
																	{	/* Effect/spread.scm 175 */
																		long BgL_auxz00_2302;

																		BgL_auxz00_2302 =
																			(long) (BgL_arg2250z00_1936);
																		BgL_restz00_1935 =
																			(BgL_offsetz00_1932 % BgL_auxz00_2302);
																}}
																{	/* Effect/spread.scm 175 */

																	BgL_method3065z00_1925 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1930,
																			(int) (BgL_modz00_1933)),
																		(int) (BgL_restz00_1935));
									}}}}}}}}
									BgL_res3291z00_1950 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1925)
										(BgL_method3065z00_1925, (obj_t) (BgL_arg3220z00_1271),
											BEOA));
								}
								BgL_resz00_1270 = BgL_res3291z00_1950;
						}}
						{	/* Effect/spread.scm 176 */
							BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1951;
							obj_t BgL_val1884z00_1952;

							BgL_obj1885z00_1951 =
								(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1266);
							BgL_val1884z00_1952 = BBOOL(BgL_resz00_1270);
							((((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1885z00_1951))->
									BgL_sidezd2effectzf3z21) =
								((obj_t) BgL_val1884z00_1952), BUNSPEC);
						}
						BgL_auxz00_2288 = BgL_resz00_1270;
					}
					return BBOOL(BgL_auxz00_2288);
				}
			}
		}
	}



/* spread-side-effect!-3100 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23100zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2064, obj_t BgL_nodez00_2065)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 164 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1258;

				{	/* Effect/spread.scm 165 */
					bool_t BgL_auxz00_2318;

					BgL_nodez00_1258 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2065);
					{	/* Effect/spread.scm 166 */
						BgL_nodez00_bglt BgL_arg3217z00_1262;

						BgL_arg3217z00_1262 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1258))->
							BgL_exitz00);
						{	/* Effect/spread.scm 166 */
							bool_t BgL_res3285z00_1894;

							{	/* Effect/spread.scm 166 */
								obj_t BgL_method3065z00_1869;

								{	/* Effect/spread.scm 166 */
									BgL_objectz00_bglt BgL_objz00_1870;

									BgL_objz00_1870 = (BgL_objectz00_bglt) (BgL_arg3217z00_1262);
									{	/* Effect/spread.scm 166 */
										long BgL_objzd2classzd2numz00_1871;

										BgL_objzd2classzd2numz00_1871 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1870);
										{	/* Effect/spread.scm 166 */
											obj_t BgL_arg2249z00_1872;

											BgL_arg2249z00_1872 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 166 */
												obj_t BgL_arrayz00_1874;
												int BgL_offsetz00_1875;

												BgL_arrayz00_1874 = BgL_arg2249z00_1872;
												BgL_offsetz00_1875 =
													(int) (BgL_objzd2classzd2numz00_1871);
												{	/* Effect/spread.scm 166 */
													long BgL_offsetz00_1876;

													BgL_offsetz00_1876 =
														((long) (BgL_offsetz00_1875) - OBJECT_TYPE);
													{	/* Effect/spread.scm 166 */
														long BgL_modz00_1877;

														{	/* Effect/spread.scm 166 */
															int BgL_arg2251z00_1878;

															BgL_arg2251z00_1878 = (int) (((long) 8));
															{	/* Effect/spread.scm 166 */
																long BgL_auxz00_2328;

																BgL_auxz00_2328 = (long) (BgL_arg2251z00_1878);
																BgL_modz00_1877 =
																	(BgL_offsetz00_1876 / BgL_auxz00_2328);
														}}
														{	/* Effect/spread.scm 166 */
															long BgL_restz00_1879;

															{	/* Effect/spread.scm 166 */
																int BgL_arg2250z00_1880;

																BgL_arg2250z00_1880 = (int) (((long) 8));
																{	/* Effect/spread.scm 166 */
																	long BgL_auxz00_2332;

																	BgL_auxz00_2332 =
																		(long) (BgL_arg2250z00_1880);
																	BgL_restz00_1879 =
																		(BgL_offsetz00_1876 % BgL_auxz00_2332);
															}}
															{	/* Effect/spread.scm 166 */

																BgL_method3065z00_1869 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1874,
																		(int) (BgL_modz00_1877)),
																	(int) (BgL_restz00_1879));
								}}}}}}}}
								BgL_res3285z00_1894 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1869)
									(BgL_method3065z00_1869, (obj_t) (BgL_arg3217z00_1262),
										BEOA));
							} BgL_res3285z00_1894;
					}}
					{	/* Effect/spread.scm 167 */
						BgL_nodez00_bglt BgL_arg3218z00_1263;

						BgL_arg3218z00_1263 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1258))->
							BgL_valuez00);
						{	/* Effect/spread.scm 167 */
							bool_t BgL_res3288z00_1922;

							{	/* Effect/spread.scm 167 */
								obj_t BgL_method3065z00_1897;

								{	/* Effect/spread.scm 167 */
									BgL_objectz00_bglt BgL_objz00_1898;

									BgL_objz00_1898 = (BgL_objectz00_bglt) (BgL_arg3218z00_1263);
									{	/* Effect/spread.scm 167 */
										long BgL_objzd2classzd2numz00_1899;

										BgL_objzd2classzd2numz00_1899 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1898);
										{	/* Effect/spread.scm 167 */
											obj_t BgL_arg2249z00_1900;

											BgL_arg2249z00_1900 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 167 */
												obj_t BgL_arrayz00_1902;
												int BgL_offsetz00_1903;

												BgL_arrayz00_1902 = BgL_arg2249z00_1900;
												BgL_offsetz00_1903 =
													(int) (BgL_objzd2classzd2numz00_1899);
												{	/* Effect/spread.scm 167 */
													long BgL_offsetz00_1904;

													BgL_offsetz00_1904 =
														((long) (BgL_offsetz00_1903) - OBJECT_TYPE);
													{	/* Effect/spread.scm 167 */
														long BgL_modz00_1905;

														{	/* Effect/spread.scm 167 */
															int BgL_arg2251z00_1906;

															BgL_arg2251z00_1906 = (int) (((long) 8));
															{	/* Effect/spread.scm 167 */
																long BgL_auxz00_2352;

																BgL_auxz00_2352 = (long) (BgL_arg2251z00_1906);
																BgL_modz00_1905 =
																	(BgL_offsetz00_1904 / BgL_auxz00_2352);
														}}
														{	/* Effect/spread.scm 167 */
															long BgL_restz00_1907;

															{	/* Effect/spread.scm 167 */
																int BgL_arg2250z00_1908;

																BgL_arg2250z00_1908 = (int) (((long) 8));
																{	/* Effect/spread.scm 167 */
																	long BgL_auxz00_2356;

																	BgL_auxz00_2356 =
																		(long) (BgL_arg2250z00_1908);
																	BgL_restz00_1907 =
																		(BgL_offsetz00_1904 % BgL_auxz00_2356);
															}}
															{	/* Effect/spread.scm 167 */

																BgL_method3065z00_1897 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1902,
																		(int) (BgL_modz00_1905)),
																	(int) (BgL_restz00_1907));
								}}}}}}}}
								BgL_res3288z00_1922 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1897)
									(BgL_method3065z00_1897, (obj_t) (BgL_arg3218z00_1263),
										BEOA));
							} BgL_res3288z00_1922;
					}}
					BgL_auxz00_2318 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2318);
				}
			}
		}
	}



/* spread-side-effect!-3097 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23097zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2066, obj_t BgL_nodez00_2067)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 157 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1251;

				{	/* Effect/spread.scm 158 */
					bool_t BgL_auxz00_2369;

					BgL_nodez00_1251 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2067);
					{	/* Effect/spread.scm 158 */
						BgL_nodez00_bglt BgL_arg3215z00_1838;

						BgL_arg3215z00_1838 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1251))->
							BgL_bodyz00);
						{	/* Effect/spread.scm 158 */
							bool_t BgL_res3282z00_1866;

							{	/* Effect/spread.scm 158 */
								obj_t BgL_method3065z00_1841;

								{	/* Effect/spread.scm 158 */
									BgL_objectz00_bglt BgL_objz00_1842;

									BgL_objz00_1842 = (BgL_objectz00_bglt) (BgL_arg3215z00_1838);
									{	/* Effect/spread.scm 158 */
										long BgL_objzd2classzd2numz00_1843;

										BgL_objzd2classzd2numz00_1843 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1842);
										{	/* Effect/spread.scm 158 */
											obj_t BgL_arg2249z00_1844;

											BgL_arg2249z00_1844 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 158 */
												obj_t BgL_arrayz00_1846;
												int BgL_offsetz00_1847;

												BgL_arrayz00_1846 = BgL_arg2249z00_1844;
												BgL_offsetz00_1847 =
													(int) (BgL_objzd2classzd2numz00_1843);
												{	/* Effect/spread.scm 158 */
													long BgL_offsetz00_1848;

													BgL_offsetz00_1848 =
														((long) (BgL_offsetz00_1847) - OBJECT_TYPE);
													{	/* Effect/spread.scm 158 */
														long BgL_modz00_1849;

														{	/* Effect/spread.scm 158 */
															int BgL_arg2251z00_1850;

															BgL_arg2251z00_1850 = (int) (((long) 8));
															{	/* Effect/spread.scm 158 */
																long BgL_auxz00_2379;

																BgL_auxz00_2379 = (long) (BgL_arg2251z00_1850);
																BgL_modz00_1849 =
																	(BgL_offsetz00_1848 / BgL_auxz00_2379);
														}}
														{	/* Effect/spread.scm 158 */
															long BgL_restz00_1851;

															{	/* Effect/spread.scm 158 */
																int BgL_arg2250z00_1852;

																BgL_arg2250z00_1852 = (int) (((long) 8));
																{	/* Effect/spread.scm 158 */
																	long BgL_auxz00_2383;

																	BgL_auxz00_2383 =
																		(long) (BgL_arg2250z00_1852);
																	BgL_restz00_1851 =
																		(BgL_offsetz00_1848 % BgL_auxz00_2383);
															}}
															{	/* Effect/spread.scm 158 */

																BgL_method3065z00_1841 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1846,
																		(int) (BgL_modz00_1849)),
																	(int) (BgL_restz00_1851));
								}}}}}}}}
								BgL_res3282z00_1866 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1841)
									(BgL_method3065z00_1841, (obj_t) (BgL_arg3215z00_1838),
										BEOA));
							}
							BgL_auxz00_2369 = BgL_res3282z00_1866;
					}}
					return BBOOL(BgL_auxz00_2369);
				}
			}
		}
	}



/* spread-side-effect!-3095 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23095zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2068, obj_t BgL_nodez00_2069)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 143 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1233;

				{	/* Effect/spread.scm 144 */
					bool_t BgL_auxz00_2396;

					BgL_nodez00_1233 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2069);
					{	/* Effect/spread.scm 145 */
						bool_t BgL_g3047z00_1237;

						{	/* Effect/spread.scm 146 */
							BgL_nodez00_bglt BgL_arg3212z00_1248;

							BgL_arg3212z00_1248 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1233))->BgL_bodyz00);
							{	/* Effect/spread.scm 146 */
								bool_t BgL_res3276z00_1802;

								{	/* Effect/spread.scm 146 */
									obj_t BgL_method3065z00_1777;

									{	/* Effect/spread.scm 146 */
										BgL_objectz00_bglt BgL_objz00_1778;

										BgL_objz00_1778 =
											(BgL_objectz00_bglt) (BgL_arg3212z00_1248);
										{	/* Effect/spread.scm 146 */
											long BgL_objzd2classzd2numz00_1779;

											BgL_objzd2classzd2numz00_1779 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1778);
											{	/* Effect/spread.scm 146 */
												obj_t BgL_arg2249z00_1780;

												BgL_arg2249z00_1780 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 146 */
													obj_t BgL_arrayz00_1782;
													int BgL_offsetz00_1783;

													BgL_arrayz00_1782 = BgL_arg2249z00_1780;
													BgL_offsetz00_1783 =
														(int) (BgL_objzd2classzd2numz00_1779);
													{	/* Effect/spread.scm 146 */
														long BgL_offsetz00_1784;

														BgL_offsetz00_1784 =
															((long) (BgL_offsetz00_1783) - OBJECT_TYPE);
														{	/* Effect/spread.scm 146 */
															long BgL_modz00_1785;

															{	/* Effect/spread.scm 146 */
																int BgL_arg2251z00_1786;

																BgL_arg2251z00_1786 = (int) (((long) 8));
																{	/* Effect/spread.scm 146 */
																	long BgL_auxz00_2406;

																	BgL_auxz00_2406 =
																		(long) (BgL_arg2251z00_1786);
																	BgL_modz00_1785 =
																		(BgL_offsetz00_1784 / BgL_auxz00_2406);
															}}
															{	/* Effect/spread.scm 146 */
																long BgL_restz00_1787;

																{	/* Effect/spread.scm 146 */
																	int BgL_arg2250z00_1788;

																	BgL_arg2250z00_1788 = (int) (((long) 8));
																	{	/* Effect/spread.scm 146 */
																		long BgL_auxz00_2410;

																		BgL_auxz00_2410 =
																			(long) (BgL_arg2250z00_1788);
																		BgL_restz00_1787 =
																			(BgL_offsetz00_1784 % BgL_auxz00_2410);
																}}
																{	/* Effect/spread.scm 146 */

																	BgL_method3065z00_1777 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1782,
																			(int) (BgL_modz00_1785)),
																		(int) (BgL_restz00_1787));
									}}}}}}}}
									BgL_res3276z00_1802 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1777)
										(BgL_method3065z00_1777, (obj_t) (BgL_arg3212z00_1248),
											BEOA));
								}
								BgL_g3047z00_1237 = BgL_res3276z00_1802;
						}}
						{
							obj_t BgL_bdgsz00_1238;
							bool_t BgL_resz00_1239;

							{	/* Effect/spread.scm 145 */
								obj_t BgL_arg3206z00_1241;

								BgL_arg3206z00_1241 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1233))->
									BgL_bindingsz00);
								BgL_bdgsz00_1238 = BgL_arg3206z00_1241;
								BgL_resz00_1239 = BgL_g3047z00_1237;
							BgL_loopz00_1240:
								if (NULLP(BgL_bdgsz00_1238))
									{	/* Effect/spread.scm 147 */
										{	/* Effect/spread.scm 149 */
											BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1805;
											obj_t BgL_val1884z00_1806;

											BgL_obj1885z00_1805 =
												(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1233);
											BgL_val1884z00_1806 = BBOOL(BgL_resz00_1239);
											((((BgL_nodezf2effectzf2_bglt)
														CREF(BgL_obj1885z00_1805))->
													BgL_sidezd2effectzf3z21) =
												((obj_t) BgL_val1884z00_1806), BUNSPEC);
										}
										BgL_auxz00_2396 = BgL_resz00_1239;
									}
								else
									{	/* Effect/spread.scm 151 */
										obj_t BgL_arg3208z00_1243;
										bool_t BgL_arg3209z00_1244;

										BgL_arg3208z00_1243 = CDR(BgL_bdgsz00_1238);
										{	/* Effect/spread.scm 152 */
											bool_t BgL__ortest_3048z00_1245;

											{	/* Effect/spread.scm 152 */
												obj_t BgL_arg3210z00_1246;

												BgL_arg3210z00_1246 = CDR(CAR(BgL_bdgsz00_1238));
												{	/* Effect/spread.scm 152 */
													bool_t BgL_res3279z00_1836;

													{	/* Effect/spread.scm 152 */
														BgL_nodez00_bglt BgL_nodez00_1810;

														BgL_nodez00_1810 =
															(BgL_nodez00_bglt) (BgL_arg3210z00_1246);
														{	/* Effect/spread.scm 152 */
															obj_t BgL_method3065z00_1811;

															{	/* Effect/spread.scm 152 */
																BgL_objectz00_bglt BgL_objz00_1812;

																BgL_objz00_1812 =
																	(BgL_objectz00_bglt) (BgL_nodez00_1810);
																{	/* Effect/spread.scm 152 */
																	long BgL_objzd2classzd2numz00_1813;

																	BgL_objzd2classzd2numz00_1813 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_1812);
																	{	/* Effect/spread.scm 152 */
																		obj_t BgL_arg2249z00_1814;

																		BgL_arg2249z00_1814 =
																			PROCEDURE_REF
																			(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
																			(int) (((long) 1)));
																		{	/* Effect/spread.scm 152 */
																			obj_t BgL_arrayz00_1816;
																			int BgL_offsetz00_1817;

																			BgL_arrayz00_1816 = BgL_arg2249z00_1814;
																			BgL_offsetz00_1817 =
																				(int) (BgL_objzd2classzd2numz00_1813);
																			{	/* Effect/spread.scm 152 */
																				long BgL_offsetz00_1818;

																				BgL_offsetz00_1818 =
																					(
																					(long) (BgL_offsetz00_1817) -
																					OBJECT_TYPE);
																				{	/* Effect/spread.scm 152 */
																					long BgL_modz00_1819;

																					{	/* Effect/spread.scm 152 */
																						int BgL_arg2251z00_1820;

																						BgL_arg2251z00_1820 =
																							(int) (((long) 8));
																						{	/* Effect/spread.scm 152 */
																							long BgL_auxz00_2439;

																							BgL_auxz00_2439 =
																								(long) (BgL_arg2251z00_1820);
																							BgL_modz00_1819 =
																								(BgL_offsetz00_1818 /
																								BgL_auxz00_2439);
																					}}
																					{	/* Effect/spread.scm 152 */
																						long BgL_restz00_1821;

																						{	/* Effect/spread.scm 152 */
																							int BgL_arg2250z00_1822;

																							BgL_arg2250z00_1822 =
																								(int) (((long) 8));
																							{	/* Effect/spread.scm 152 */
																								long BgL_auxz00_2443;

																								BgL_auxz00_2443 =
																									(long) (BgL_arg2250z00_1822);
																								BgL_restz00_1821 =
																									(BgL_offsetz00_1818 %
																									BgL_auxz00_2443);
																						}}
																						{	/* Effect/spread.scm 152 */

																							BgL_method3065z00_1811 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_1816,
																									(int) (BgL_modz00_1819)),
																								(int) (BgL_restz00_1821));
															}}}}}}}}
															BgL_res3279z00_1836 =
																CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1811)
																(BgL_method3065z00_1811,
																	(obj_t) (BgL_nodez00_1810), BEOA));
													}}
													BgL__ortest_3048z00_1245 = BgL_res3279z00_1836;
											}}
											if (BgL__ortest_3048z00_1245)
												{	/* Effect/spread.scm 152 */
													BgL_arg3209z00_1244 = BgL__ortest_3048z00_1245;
												}
											else
												{	/* Effect/spread.scm 152 */
													BgL_arg3209z00_1244 = BgL_resz00_1239;
												}
										}
										{
											bool_t BgL_resz00_2456;
											obj_t BgL_bdgsz00_2455;

											BgL_bdgsz00_2455 = BgL_arg3208z00_1243;
											BgL_resz00_2456 = BgL_arg3209z00_1244;
											BgL_resz00_1239 = BgL_resz00_2456;
											BgL_bdgsz00_1238 = BgL_bdgsz00_2455;
											goto BgL_loopz00_1240;
										}
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2396);
				}
			}
		}
	}



/* spread-side-effect!-3093 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23093zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2070, obj_t BgL_nodez00_2071)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 131 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1217;

				{	/* Effect/spread.scm 132 */
					bool_t BgL_auxz00_2459;

					BgL_nodez00_1217 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2071);
					{	/* Effect/spread.scm 133 */
						obj_t BgL_g3063z00_1221;

						BgL_g3063z00_1221 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1217))->BgL_localsz00);
						{
							obj_t BgL_l3060z00_1222;

							BgL_l3060z00_1222 = BgL_g3063z00_1221;
						BgL_forzd2each3062zd2_1223:
							if (PAIRP(BgL_l3060z00_1222))
								{	/* Effect/spread.scm 133 */
									{	/* Effect/spread.scm 134 */
										obj_t BgL_localz00_1225;

										BgL_localz00_1225 = CAR(BgL_l3060z00_1222);
										{	/* Effect/spread.scm 134 */
											obj_t BgL_arg3200z00_1226;

											{	/* Effect/spread.scm 134 */
												BgL_sfunz00_bglt BgL_obj1658z00_1716;

												{	/* Effect/spread.scm 134 */
													BgL_variablez00_bglt BgL_obj1387z00_1715;

													BgL_obj1387z00_1715 =
														(BgL_variablez00_bglt) (BgL_localz00_1225);
													{	/* Effect/spread.scm 134 */
														BgL_valuez00_bglt BgL_auxz00_2465;

														BgL_auxz00_2465 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1387z00_1715))->BgL_valuez00);
														BgL_obj1658z00_1716 =
															(BgL_sfunz00_bglt) (BgL_auxz00_2465);
													}
												}
												BgL_arg3200z00_1226 =
													(((BgL_sfunz00_bglt) CREF(BgL_obj1658z00_1716))->
													BgL_bodyz00);
											}
											{	/* Effect/spread.scm 134 */
												bool_t BgL_res3270z00_1743;

												{	/* Effect/spread.scm 134 */
													BgL_nodez00_bglt BgL_nodez00_1717;

													BgL_nodez00_1717 =
														(BgL_nodez00_bglt) (BgL_arg3200z00_1226);
													{	/* Effect/spread.scm 134 */
														obj_t BgL_method3065z00_1718;

														{	/* Effect/spread.scm 134 */
															BgL_objectz00_bglt BgL_objz00_1719;

															BgL_objz00_1719 =
																(BgL_objectz00_bglt) (BgL_nodez00_1717);
															{	/* Effect/spread.scm 134 */
																long BgL_objzd2classzd2numz00_1720;

																BgL_objzd2classzd2numz00_1720 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_1719);
																{	/* Effect/spread.scm 134 */
																	obj_t BgL_arg2249z00_1721;

																	BgL_arg2249z00_1721 =
																		PROCEDURE_REF
																		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
																		(int) (((long) 1)));
																	{	/* Effect/spread.scm 134 */
																		obj_t BgL_arrayz00_1723;
																		int BgL_offsetz00_1724;

																		BgL_arrayz00_1723 = BgL_arg2249z00_1721;
																		BgL_offsetz00_1724 =
																			(int) (BgL_objzd2classzd2numz00_1720);
																		{	/* Effect/spread.scm 134 */
																			long BgL_offsetz00_1725;

																			BgL_offsetz00_1725 =
																				(
																				(long) (BgL_offsetz00_1724) -
																				OBJECT_TYPE);
																			{	/* Effect/spread.scm 134 */
																				long BgL_modz00_1726;

																				{	/* Effect/spread.scm 134 */
																					int BgL_arg2251z00_1727;

																					BgL_arg2251z00_1727 =
																						(int) (((long) 8));
																					{	/* Effect/spread.scm 134 */
																						long BgL_auxz00_2478;

																						BgL_auxz00_2478 =
																							(long) (BgL_arg2251z00_1727);
																						BgL_modz00_1726 =
																							(BgL_offsetz00_1725 /
																							BgL_auxz00_2478);
																				}}
																				{	/* Effect/spread.scm 134 */
																					long BgL_restz00_1728;

																					{	/* Effect/spread.scm 134 */
																						int BgL_arg2250z00_1729;

																						BgL_arg2250z00_1729 =
																							(int) (((long) 8));
																						{	/* Effect/spread.scm 134 */
																							long BgL_auxz00_2482;

																							BgL_auxz00_2482 =
																								(long) (BgL_arg2250z00_1729);
																							BgL_restz00_1728 =
																								(BgL_offsetz00_1725 %
																								BgL_auxz00_2482);
																					}}
																					{	/* Effect/spread.scm 134 */

																						BgL_method3065z00_1718 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_1723,
																								(int) (BgL_modz00_1726)),
																							(int) (BgL_restz00_1728));
														}}}}}}}}
														BgL_res3270z00_1743 =
															CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1718)
															(BgL_method3065z00_1718,
																(obj_t) (BgL_nodez00_1717), BEOA));
												}} BgL_res3270z00_1743;
									}}}
									{
										obj_t BgL_l3060z00_2493;

										BgL_l3060z00_2493 = CDR(BgL_l3060z00_1222);
										BgL_l3060z00_1222 = BgL_l3060z00_2493;
										goto BgL_forzd2each3062zd2_1223;
									}
								}
							else
								{	/* Effect/spread.scm 133 */
									((bool_t) 1);
								}
						}
					}
					{	/* Effect/spread.scm 136 */
						bool_t BgL_resz00_1229;

						{	/* Effect/spread.scm 136 */
							BgL_nodez00_bglt BgL_arg3203z00_1230;

							BgL_arg3203z00_1230 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1217))->BgL_bodyz00);
							{	/* Effect/spread.scm 136 */
								bool_t BgL_res3273z00_1772;

								{	/* Effect/spread.scm 136 */
									obj_t BgL_method3065z00_1747;

									{	/* Effect/spread.scm 136 */
										BgL_objectz00_bglt BgL_objz00_1748;

										BgL_objz00_1748 =
											(BgL_objectz00_bglt) (BgL_arg3203z00_1230);
										{	/* Effect/spread.scm 136 */
											long BgL_objzd2classzd2numz00_1749;

											BgL_objzd2classzd2numz00_1749 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1748);
											{	/* Effect/spread.scm 136 */
												obj_t BgL_arg2249z00_1750;

												BgL_arg2249z00_1750 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 136 */
													obj_t BgL_arrayz00_1752;
													int BgL_offsetz00_1753;

													BgL_arrayz00_1752 = BgL_arg2249z00_1750;
													BgL_offsetz00_1753 =
														(int) (BgL_objzd2classzd2numz00_1749);
													{	/* Effect/spread.scm 136 */
														long BgL_offsetz00_1754;

														BgL_offsetz00_1754 =
															((long) (BgL_offsetz00_1753) - OBJECT_TYPE);
														{	/* Effect/spread.scm 136 */
															long BgL_modz00_1755;

															{	/* Effect/spread.scm 136 */
																int BgL_arg2251z00_1756;

																BgL_arg2251z00_1756 = (int) (((long) 8));
																{	/* Effect/spread.scm 136 */
																	long BgL_auxz00_2504;

																	BgL_auxz00_2504 =
																		(long) (BgL_arg2251z00_1756);
																	BgL_modz00_1755 =
																		(BgL_offsetz00_1754 / BgL_auxz00_2504);
															}}
															{	/* Effect/spread.scm 136 */
																long BgL_restz00_1757;

																{	/* Effect/spread.scm 136 */
																	int BgL_arg2250z00_1758;

																	BgL_arg2250z00_1758 = (int) (((long) 8));
																	{	/* Effect/spread.scm 136 */
																		long BgL_auxz00_2508;

																		BgL_auxz00_2508 =
																			(long) (BgL_arg2250z00_1758);
																		BgL_restz00_1757 =
																			(BgL_offsetz00_1754 % BgL_auxz00_2508);
																}}
																{	/* Effect/spread.scm 136 */

																	BgL_method3065z00_1747 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1752,
																			(int) (BgL_modz00_1755)),
																		(int) (BgL_restz00_1757));
									}}}}}}}}
									BgL_res3273z00_1772 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1747)
										(BgL_method3065z00_1747, (obj_t) (BgL_arg3203z00_1230),
											BEOA));
								}
								BgL_resz00_1229 = BgL_res3273z00_1772;
						}}
						{	/* Effect/spread.scm 137 */
							BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1773;
							obj_t BgL_val1884z00_1774;

							BgL_obj1885z00_1773 =
								(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1217);
							BgL_val1884z00_1774 = BBOOL(BgL_resz00_1229);
							((((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1885z00_1773))->
									BgL_sidezd2effectzf3z21) =
								((obj_t) BgL_val1884z00_1774), BUNSPEC);
						}
						BgL_auxz00_2459 = BgL_resz00_1229;
					}
					return BBOOL(BgL_auxz00_2459);
				}
			}
		}
	}



/* spread-side-effect!-3091 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23091zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2072, obj_t BgL_nodez00_2073)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 117 */
			{
				BgL_selectz00_bglt BgL_nodez00_1199;

				{	/* Effect/spread.scm 118 */
					bool_t BgL_auxz00_2524;

					BgL_nodez00_1199 = (BgL_selectz00_bglt) (BgL_nodez00_2073);
					{	/* Effect/spread.scm 119 */
						bool_t BgL_g3041z00_1203;

						{	/* Effect/spread.scm 120 */
							BgL_nodez00_bglt BgL_arg3197z00_1214;

							BgL_arg3197z00_1214 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1199))->BgL_testz00);
							{	/* Effect/spread.scm 120 */
								bool_t BgL_res3264z00_1677;

								{	/* Effect/spread.scm 120 */
									obj_t BgL_method3065z00_1652;

									{	/* Effect/spread.scm 120 */
										BgL_objectz00_bglt BgL_objz00_1653;

										BgL_objz00_1653 =
											(BgL_objectz00_bglt) (BgL_arg3197z00_1214);
										{	/* Effect/spread.scm 120 */
											long BgL_objzd2classzd2numz00_1654;

											BgL_objzd2classzd2numz00_1654 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1653);
											{	/* Effect/spread.scm 120 */
												obj_t BgL_arg2249z00_1655;

												BgL_arg2249z00_1655 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 120 */
													obj_t BgL_arrayz00_1657;
													int BgL_offsetz00_1658;

													BgL_arrayz00_1657 = BgL_arg2249z00_1655;
													BgL_offsetz00_1658 =
														(int) (BgL_objzd2classzd2numz00_1654);
													{	/* Effect/spread.scm 120 */
														long BgL_offsetz00_1659;

														BgL_offsetz00_1659 =
															((long) (BgL_offsetz00_1658) - OBJECT_TYPE);
														{	/* Effect/spread.scm 120 */
															long BgL_modz00_1660;

															{	/* Effect/spread.scm 120 */
																int BgL_arg2251z00_1661;

																BgL_arg2251z00_1661 = (int) (((long) 8));
																{	/* Effect/spread.scm 120 */
																	long BgL_auxz00_2534;

																	BgL_auxz00_2534 =
																		(long) (BgL_arg2251z00_1661);
																	BgL_modz00_1660 =
																		(BgL_offsetz00_1659 / BgL_auxz00_2534);
															}}
															{	/* Effect/spread.scm 120 */
																long BgL_restz00_1662;

																{	/* Effect/spread.scm 120 */
																	int BgL_arg2250z00_1663;

																	BgL_arg2250z00_1663 = (int) (((long) 8));
																	{	/* Effect/spread.scm 120 */
																		long BgL_auxz00_2538;

																		BgL_auxz00_2538 =
																			(long) (BgL_arg2250z00_1663);
																		BgL_restz00_1662 =
																			(BgL_offsetz00_1659 % BgL_auxz00_2538);
																}}
																{	/* Effect/spread.scm 120 */

																	BgL_method3065z00_1652 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1657,
																			(int) (BgL_modz00_1660)),
																		(int) (BgL_restz00_1662));
									}}}}}}}}
									BgL_res3264z00_1677 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1652)
										(BgL_method3065z00_1652, (obj_t) (BgL_arg3197z00_1214),
											BEOA));
								}
								BgL_g3041z00_1203 = BgL_res3264z00_1677;
						}}
						{
							obj_t BgL_clausesz00_1204;
							bool_t BgL_resz00_1205;

							{	/* Effect/spread.scm 119 */
								obj_t BgL_arg3191z00_1207;

								BgL_arg3191z00_1207 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1199))->
									BgL_clausesz00);
								BgL_clausesz00_1204 = BgL_arg3191z00_1207;
								BgL_resz00_1205 = BgL_g3041z00_1203;
							BgL_loopz00_1206:
								if (NULLP(BgL_clausesz00_1204))
									{	/* Effect/spread.scm 121 */
										{	/* Effect/spread.scm 123 */
											BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1680;
											obj_t BgL_val1884z00_1681;

											BgL_obj1885z00_1680 =
												(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1199);
											BgL_val1884z00_1681 = BBOOL(BgL_resz00_1205);
											((((BgL_nodezf2effectzf2_bglt)
														CREF(BgL_obj1885z00_1680))->
													BgL_sidezd2effectzf3z21) =
												((obj_t) BgL_val1884z00_1681), BUNSPEC);
										}
										BgL_auxz00_2524 = BgL_resz00_1205;
									}
								else
									{	/* Effect/spread.scm 125 */
										obj_t BgL_arg3193z00_1209;
										bool_t BgL_arg3194z00_1210;

										BgL_arg3193z00_1209 = CDR(BgL_clausesz00_1204);
										{	/* Effect/spread.scm 126 */
											bool_t BgL__ortest_3042z00_1211;

											{	/* Effect/spread.scm 126 */
												obj_t BgL_arg3195z00_1212;

												BgL_arg3195z00_1212 = CDR(CAR(BgL_clausesz00_1204));
												{	/* Effect/spread.scm 126 */
													bool_t BgL_res3267z00_1711;

													{	/* Effect/spread.scm 126 */
														BgL_nodez00_bglt BgL_nodez00_1685;

														BgL_nodez00_1685 =
															(BgL_nodez00_bglt) (BgL_arg3195z00_1212);
														{	/* Effect/spread.scm 126 */
															obj_t BgL_method3065z00_1686;

															{	/* Effect/spread.scm 126 */
																BgL_objectz00_bglt BgL_objz00_1687;

																BgL_objz00_1687 =
																	(BgL_objectz00_bglt) (BgL_nodez00_1685);
																{	/* Effect/spread.scm 126 */
																	long BgL_objzd2classzd2numz00_1688;

																	BgL_objzd2classzd2numz00_1688 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_1687);
																	{	/* Effect/spread.scm 126 */
																		obj_t BgL_arg2249z00_1689;

																		BgL_arg2249z00_1689 =
																			PROCEDURE_REF
																			(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
																			(int) (((long) 1)));
																		{	/* Effect/spread.scm 126 */
																			obj_t BgL_arrayz00_1691;
																			int BgL_offsetz00_1692;

																			BgL_arrayz00_1691 = BgL_arg2249z00_1689;
																			BgL_offsetz00_1692 =
																				(int) (BgL_objzd2classzd2numz00_1688);
																			{	/* Effect/spread.scm 126 */
																				long BgL_offsetz00_1693;

																				BgL_offsetz00_1693 =
																					(
																					(long) (BgL_offsetz00_1692) -
																					OBJECT_TYPE);
																				{	/* Effect/spread.scm 126 */
																					long BgL_modz00_1694;

																					{	/* Effect/spread.scm 126 */
																						int BgL_arg2251z00_1695;

																						BgL_arg2251z00_1695 =
																							(int) (((long) 8));
																						{	/* Effect/spread.scm 126 */
																							long BgL_auxz00_2567;

																							BgL_auxz00_2567 =
																								(long) (BgL_arg2251z00_1695);
																							BgL_modz00_1694 =
																								(BgL_offsetz00_1693 /
																								BgL_auxz00_2567);
																					}}
																					{	/* Effect/spread.scm 126 */
																						long BgL_restz00_1696;

																						{	/* Effect/spread.scm 126 */
																							int BgL_arg2250z00_1697;

																							BgL_arg2250z00_1697 =
																								(int) (((long) 8));
																							{	/* Effect/spread.scm 126 */
																								long BgL_auxz00_2571;

																								BgL_auxz00_2571 =
																									(long) (BgL_arg2250z00_1697);
																								BgL_restz00_1696 =
																									(BgL_offsetz00_1693 %
																									BgL_auxz00_2571);
																						}}
																						{	/* Effect/spread.scm 126 */

																							BgL_method3065z00_1686 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_1691,
																									(int) (BgL_modz00_1694)),
																								(int) (BgL_restz00_1696));
															}}}}}}}}
															BgL_res3267z00_1711 =
																CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1686)
																(BgL_method3065z00_1686,
																	(obj_t) (BgL_nodez00_1685), BEOA));
													}}
													BgL__ortest_3042z00_1211 = BgL_res3267z00_1711;
											}}
											if (BgL__ortest_3042z00_1211)
												{	/* Effect/spread.scm 126 */
													BgL_arg3194z00_1210 = BgL__ortest_3042z00_1211;
												}
											else
												{	/* Effect/spread.scm 126 */
													BgL_arg3194z00_1210 = BgL_resz00_1205;
												}
										}
										{
											bool_t BgL_resz00_2584;
											obj_t BgL_clausesz00_2583;

											BgL_clausesz00_2583 = BgL_arg3193z00_1209;
											BgL_resz00_2584 = BgL_arg3194z00_1210;
											BgL_resz00_1205 = BgL_resz00_2584;
											BgL_clausesz00_1204 = BgL_clausesz00_2583;
											goto BgL_loopz00_1206;
										}
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2524);
				}
			}
		}
	}



/* spread-side-effect!-3088 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23088zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2074, obj_t BgL_nodez00_2075)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 107 */
			{
				BgL_failz00_bglt BgL_nodez00_1187;

				{	/* Effect/spread.scm 108 */
					bool_t BgL_auxz00_2587;

					BgL_nodez00_1187 = (BgL_failz00_bglt) (BgL_nodez00_2075);
					{	/* Effect/spread.scm 109 */
						bool_t BgL_reszd2proczd2_1191;

						{	/* Effect/spread.scm 109 */
							BgL_nodez00_bglt BgL_arg3189z00_1196;

							BgL_arg3189z00_1196 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1187))->BgL_procz00);
							{	/* Effect/spread.scm 109 */
								bool_t BgL_res3255z00_1593;

								{	/* Effect/spread.scm 109 */
									obj_t BgL_method3065z00_1568;

									{	/* Effect/spread.scm 109 */
										BgL_objectz00_bglt BgL_objz00_1569;

										BgL_objz00_1569 =
											(BgL_objectz00_bglt) (BgL_arg3189z00_1196);
										{	/* Effect/spread.scm 109 */
											long BgL_objzd2classzd2numz00_1570;

											BgL_objzd2classzd2numz00_1570 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1569);
											{	/* Effect/spread.scm 109 */
												obj_t BgL_arg2249z00_1571;

												BgL_arg2249z00_1571 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 109 */
													obj_t BgL_arrayz00_1573;
													int BgL_offsetz00_1574;

													BgL_arrayz00_1573 = BgL_arg2249z00_1571;
													BgL_offsetz00_1574 =
														(int) (BgL_objzd2classzd2numz00_1570);
													{	/* Effect/spread.scm 109 */
														long BgL_offsetz00_1575;

														BgL_offsetz00_1575 =
															((long) (BgL_offsetz00_1574) - OBJECT_TYPE);
														{	/* Effect/spread.scm 109 */
															long BgL_modz00_1576;

															{	/* Effect/spread.scm 109 */
																int BgL_arg2251z00_1577;

																BgL_arg2251z00_1577 = (int) (((long) 8));
																{	/* Effect/spread.scm 109 */
																	long BgL_auxz00_2597;

																	BgL_auxz00_2597 =
																		(long) (BgL_arg2251z00_1577);
																	BgL_modz00_1576 =
																		(BgL_offsetz00_1575 / BgL_auxz00_2597);
															}}
															{	/* Effect/spread.scm 109 */
																long BgL_restz00_1578;

																{	/* Effect/spread.scm 109 */
																	int BgL_arg2250z00_1579;

																	BgL_arg2250z00_1579 = (int) (((long) 8));
																	{	/* Effect/spread.scm 109 */
																		long BgL_auxz00_2601;

																		BgL_auxz00_2601 =
																			(long) (BgL_arg2250z00_1579);
																		BgL_restz00_1578 =
																			(BgL_offsetz00_1575 % BgL_auxz00_2601);
																}}
																{	/* Effect/spread.scm 109 */

																	BgL_method3065z00_1568 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1573,
																			(int) (BgL_modz00_1576)),
																		(int) (BgL_restz00_1578));
									}}}}}}}}
									BgL_res3255z00_1593 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1568)
										(BgL_method3065z00_1568, (obj_t) (BgL_arg3189z00_1196),
											BEOA));
								}
								BgL_reszd2proczd2_1191 = BgL_res3255z00_1593;
						}}
						{	/* Effect/spread.scm 109 */
							bool_t BgL_reszd2msgzd2_1192;

							{	/* Effect/spread.scm 110 */
								BgL_nodez00_bglt BgL_arg3188z00_1195;

								BgL_arg3188z00_1195 =
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1187))->BgL_msgz00);
								{	/* Effect/spread.scm 110 */
									bool_t BgL_res3258z00_1621;

									{	/* Effect/spread.scm 110 */
										obj_t BgL_method3065z00_1596;

										{	/* Effect/spread.scm 110 */
											BgL_objectz00_bglt BgL_objz00_1597;

											BgL_objz00_1597 =
												(BgL_objectz00_bglt) (BgL_arg3188z00_1195);
											{	/* Effect/spread.scm 110 */
												long BgL_objzd2classzd2numz00_1598;

												BgL_objzd2classzd2numz00_1598 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1597);
												{	/* Effect/spread.scm 110 */
													obj_t BgL_arg2249z00_1599;

													BgL_arg2249z00_1599 =
														PROCEDURE_REF
														(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
														(int) (((long) 1)));
													{	/* Effect/spread.scm 110 */
														obj_t BgL_arrayz00_1601;
														int BgL_offsetz00_1602;

														BgL_arrayz00_1601 = BgL_arg2249z00_1599;
														BgL_offsetz00_1602 =
															(int) (BgL_objzd2classzd2numz00_1598);
														{	/* Effect/spread.scm 110 */
															long BgL_offsetz00_1603;

															BgL_offsetz00_1603 =
																((long) (BgL_offsetz00_1602) - OBJECT_TYPE);
															{	/* Effect/spread.scm 110 */
																long BgL_modz00_1604;

																{	/* Effect/spread.scm 110 */
																	int BgL_arg2251z00_1605;

																	BgL_arg2251z00_1605 = (int) (((long) 8));
																	{	/* Effect/spread.scm 110 */
																		long BgL_auxz00_2621;

																		BgL_auxz00_2621 =
																			(long) (BgL_arg2251z00_1605);
																		BgL_modz00_1604 =
																			(BgL_offsetz00_1603 / BgL_auxz00_2621);
																}}
																{	/* Effect/spread.scm 110 */
																	long BgL_restz00_1606;

																	{	/* Effect/spread.scm 110 */
																		int BgL_arg2250z00_1607;

																		BgL_arg2250z00_1607 = (int) (((long) 8));
																		{	/* Effect/spread.scm 110 */
																			long BgL_auxz00_2625;

																			BgL_auxz00_2625 =
																				(long) (BgL_arg2250z00_1607);
																			BgL_restz00_1606 =
																				(BgL_offsetz00_1603 % BgL_auxz00_2625);
																	}}
																	{	/* Effect/spread.scm 110 */

																		BgL_method3065z00_1596 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1601,
																				(int) (BgL_modz00_1604)),
																			(int) (BgL_restz00_1606));
										}}}}}}}}
										BgL_res3258z00_1621 =
											CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1596)
											(BgL_method3065z00_1596, (obj_t) (BgL_arg3188z00_1195),
												BEOA));
									}
									BgL_reszd2msgzd2_1192 = BgL_res3258z00_1621;
							}}
							{	/* Effect/spread.scm 110 */
								bool_t BgL_reszd2objzd2_1193;

								{	/* Effect/spread.scm 111 */
									BgL_nodez00_bglt BgL_arg3187z00_1194;

									BgL_arg3187z00_1194 =
										(((BgL_failz00_bglt) CREF(BgL_nodez00_1187))->BgL_objz00);
									{	/* Effect/spread.scm 111 */
										bool_t BgL_res3261z00_1649;

										{	/* Effect/spread.scm 111 */
											obj_t BgL_method3065z00_1624;

											{	/* Effect/spread.scm 111 */
												BgL_objectz00_bglt BgL_objz00_1625;

												BgL_objz00_1625 =
													(BgL_objectz00_bglt) (BgL_arg3187z00_1194);
												{	/* Effect/spread.scm 111 */
													long BgL_objzd2classzd2numz00_1626;

													BgL_objzd2classzd2numz00_1626 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1625);
													{	/* Effect/spread.scm 111 */
														obj_t BgL_arg2249z00_1627;

														BgL_arg2249z00_1627 =
															PROCEDURE_REF
															(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
															(int) (((long) 1)));
														{	/* Effect/spread.scm 111 */
															obj_t BgL_arrayz00_1629;
															int BgL_offsetz00_1630;

															BgL_arrayz00_1629 = BgL_arg2249z00_1627;
															BgL_offsetz00_1630 =
																(int) (BgL_objzd2classzd2numz00_1626);
															{	/* Effect/spread.scm 111 */
																long BgL_offsetz00_1631;

																BgL_offsetz00_1631 =
																	((long) (BgL_offsetz00_1630) - OBJECT_TYPE);
																{	/* Effect/spread.scm 111 */
																	long BgL_modz00_1632;

																	{	/* Effect/spread.scm 111 */
																		int BgL_arg2251z00_1633;

																		BgL_arg2251z00_1633 = (int) (((long) 8));
																		{	/* Effect/spread.scm 111 */
																			long BgL_auxz00_2645;

																			BgL_auxz00_2645 =
																				(long) (BgL_arg2251z00_1633);
																			BgL_modz00_1632 =
																				(BgL_offsetz00_1631 / BgL_auxz00_2645);
																	}}
																	{	/* Effect/spread.scm 111 */
																		long BgL_restz00_1634;

																		{	/* Effect/spread.scm 111 */
																			int BgL_arg2250z00_1635;

																			BgL_arg2250z00_1635 = (int) (((long) 8));
																			{	/* Effect/spread.scm 111 */
																				long BgL_auxz00_2649;

																				BgL_auxz00_2649 =
																					(long) (BgL_arg2250z00_1635);
																				BgL_restz00_1634 =
																					(BgL_offsetz00_1631 %
																					BgL_auxz00_2649);
																		}}
																		{	/* Effect/spread.scm 111 */

																			BgL_method3065z00_1624 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1629,
																					(int) (BgL_modz00_1632)),
																				(int) (BgL_restz00_1634));
											}}}}}}}}
											BgL_res3261z00_1649 =
												CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1624)
												(BgL_method3065z00_1624, (obj_t) (BgL_arg3187z00_1194),
													BEOA));
										}
										BgL_reszd2objzd2_1193 = BgL_res3261z00_1649;
								}}
								{	/* Effect/spread.scm 111 */

									BgL_auxz00_2587 = ((bool_t) 1);
					}}}}
					return BBOOL(BgL_auxz00_2587);
				}
			}
		}
	}



/* spread-side-effect!-3086 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23086zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2076, obj_t BgL_nodez00_2077)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 95 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1172;

				{	/* Effect/spread.scm 96 */
					bool_t BgL_auxz00_2662;

					BgL_nodez00_1172 = (BgL_conditionalz00_bglt) (BgL_nodez00_2077);
					{	/* Effect/spread.scm 97 */
						bool_t BgL_reszd2testzd2_1176;

						{	/* Effect/spread.scm 97 */
							BgL_nodez00_bglt BgL_arg3185z00_1184;

							BgL_arg3185z00_1184 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1172))->
								BgL_testz00);
							{	/* Effect/spread.scm 97 */
								bool_t BgL_res3246z00_1507;

								{	/* Effect/spread.scm 97 */
									obj_t BgL_method3065z00_1482;

									{	/* Effect/spread.scm 97 */
										BgL_objectz00_bglt BgL_objz00_1483;

										BgL_objz00_1483 =
											(BgL_objectz00_bglt) (BgL_arg3185z00_1184);
										{	/* Effect/spread.scm 97 */
											long BgL_objzd2classzd2numz00_1484;

											BgL_objzd2classzd2numz00_1484 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1483);
											{	/* Effect/spread.scm 97 */
												obj_t BgL_arg2249z00_1485;

												BgL_arg2249z00_1485 =
													PROCEDURE_REF
													(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
													(int) (((long) 1)));
												{	/* Effect/spread.scm 97 */
													obj_t BgL_arrayz00_1487;
													int BgL_offsetz00_1488;

													BgL_arrayz00_1487 = BgL_arg2249z00_1485;
													BgL_offsetz00_1488 =
														(int) (BgL_objzd2classzd2numz00_1484);
													{	/* Effect/spread.scm 97 */
														long BgL_offsetz00_1489;

														BgL_offsetz00_1489 =
															((long) (BgL_offsetz00_1488) - OBJECT_TYPE);
														{	/* Effect/spread.scm 97 */
															long BgL_modz00_1490;

															{	/* Effect/spread.scm 97 */
																int BgL_arg2251z00_1491;

																BgL_arg2251z00_1491 = (int) (((long) 8));
																{	/* Effect/spread.scm 97 */
																	long BgL_auxz00_2672;

																	BgL_auxz00_2672 =
																		(long) (BgL_arg2251z00_1491);
																	BgL_modz00_1490 =
																		(BgL_offsetz00_1489 / BgL_auxz00_2672);
															}}
															{	/* Effect/spread.scm 97 */
																long BgL_restz00_1492;

																{	/* Effect/spread.scm 97 */
																	int BgL_arg2250z00_1493;

																	BgL_arg2250z00_1493 = (int) (((long) 8));
																	{	/* Effect/spread.scm 97 */
																		long BgL_auxz00_2676;

																		BgL_auxz00_2676 =
																			(long) (BgL_arg2250z00_1493);
																		BgL_restz00_1492 =
																			(BgL_offsetz00_1489 % BgL_auxz00_2676);
																}}
																{	/* Effect/spread.scm 97 */

																	BgL_method3065z00_1482 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1487,
																			(int) (BgL_modz00_1490)),
																		(int) (BgL_restz00_1492));
									}}}}}}}}
									BgL_res3246z00_1507 =
										CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1482)
										(BgL_method3065z00_1482, (obj_t) (BgL_arg3185z00_1184),
											BEOA));
								}
								BgL_reszd2testzd2_1176 = BgL_res3246z00_1507;
						}}
						{	/* Effect/spread.scm 97 */
							bool_t BgL_reszd2truezd2_1177;

							{	/* Effect/spread.scm 98 */
								BgL_nodez00_bglt BgL_arg3184z00_1183;

								BgL_arg3184z00_1183 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1172))->
									BgL_truez00);
								{	/* Effect/spread.scm 98 */
									bool_t BgL_res3249z00_1535;

									{	/* Effect/spread.scm 98 */
										obj_t BgL_method3065z00_1510;

										{	/* Effect/spread.scm 98 */
											BgL_objectz00_bglt BgL_objz00_1511;

											BgL_objz00_1511 =
												(BgL_objectz00_bglt) (BgL_arg3184z00_1183);
											{	/* Effect/spread.scm 98 */
												long BgL_objzd2classzd2numz00_1512;

												BgL_objzd2classzd2numz00_1512 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1511);
												{	/* Effect/spread.scm 98 */
													obj_t BgL_arg2249z00_1513;

													BgL_arg2249z00_1513 =
														PROCEDURE_REF
														(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
														(int) (((long) 1)));
													{	/* Effect/spread.scm 98 */
														obj_t BgL_arrayz00_1515;
														int BgL_offsetz00_1516;

														BgL_arrayz00_1515 = BgL_arg2249z00_1513;
														BgL_offsetz00_1516 =
															(int) (BgL_objzd2classzd2numz00_1512);
														{	/* Effect/spread.scm 98 */
															long BgL_offsetz00_1517;

															BgL_offsetz00_1517 =
																((long) (BgL_offsetz00_1516) - OBJECT_TYPE);
															{	/* Effect/spread.scm 98 */
																long BgL_modz00_1518;

																{	/* Effect/spread.scm 98 */
																	int BgL_arg2251z00_1519;

																	BgL_arg2251z00_1519 = (int) (((long) 8));
																	{	/* Effect/spread.scm 98 */
																		long BgL_auxz00_2696;

																		BgL_auxz00_2696 =
																			(long) (BgL_arg2251z00_1519);
																		BgL_modz00_1518 =
																			(BgL_offsetz00_1517 / BgL_auxz00_2696);
																}}
																{	/* Effect/spread.scm 98 */
																	long BgL_restz00_1520;

																	{	/* Effect/spread.scm 98 */
																		int BgL_arg2250z00_1521;

																		BgL_arg2250z00_1521 = (int) (((long) 8));
																		{	/* Effect/spread.scm 98 */
																			long BgL_auxz00_2700;

																			BgL_auxz00_2700 =
																				(long) (BgL_arg2250z00_1521);
																			BgL_restz00_1520 =
																				(BgL_offsetz00_1517 % BgL_auxz00_2700);
																	}}
																	{	/* Effect/spread.scm 98 */

																		BgL_method3065z00_1510 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1515,
																				(int) (BgL_modz00_1518)),
																			(int) (BgL_restz00_1520));
										}}}}}}}}
										BgL_res3249z00_1535 =
											CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1510)
											(BgL_method3065z00_1510, (obj_t) (BgL_arg3184z00_1183),
												BEOA));
									}
									BgL_reszd2truezd2_1177 = BgL_res3249z00_1535;
							}}
							{	/* Effect/spread.scm 98 */
								bool_t BgL_reszd2falsezd2_1178;

								{	/* Effect/spread.scm 99 */
									BgL_nodez00_bglt BgL_arg3183z00_1182;

									BgL_arg3183z00_1182 =
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1172))->
										BgL_falsez00);
									{	/* Effect/spread.scm 99 */
										bool_t BgL_res3252z00_1563;

										{	/* Effect/spread.scm 99 */
											obj_t BgL_method3065z00_1538;

											{	/* Effect/spread.scm 99 */
												BgL_objectz00_bglt BgL_objz00_1539;

												BgL_objz00_1539 =
													(BgL_objectz00_bglt) (BgL_arg3183z00_1182);
												{	/* Effect/spread.scm 99 */
													long BgL_objzd2classzd2numz00_1540;

													BgL_objzd2classzd2numz00_1540 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1539);
													{	/* Effect/spread.scm 99 */
														obj_t BgL_arg2249z00_1541;

														BgL_arg2249z00_1541 =
															PROCEDURE_REF
															(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
															(int) (((long) 1)));
														{	/* Effect/spread.scm 99 */
															obj_t BgL_arrayz00_1543;
															int BgL_offsetz00_1544;

															BgL_arrayz00_1543 = BgL_arg2249z00_1541;
															BgL_offsetz00_1544 =
																(int) (BgL_objzd2classzd2numz00_1540);
															{	/* Effect/spread.scm 99 */
																long BgL_offsetz00_1545;

																BgL_offsetz00_1545 =
																	((long) (BgL_offsetz00_1544) - OBJECT_TYPE);
																{	/* Effect/spread.scm 99 */
																	long BgL_modz00_1546;

																	{	/* Effect/spread.scm 99 */
																		int BgL_arg2251z00_1547;

																		BgL_arg2251z00_1547 = (int) (((long) 8));
																		{	/* Effect/spread.scm 99 */
																			long BgL_auxz00_2720;

																			BgL_auxz00_2720 =
																				(long) (BgL_arg2251z00_1547);
																			BgL_modz00_1546 =
																				(BgL_offsetz00_1545 / BgL_auxz00_2720);
																	}}
																	{	/* Effect/spread.scm 99 */
																		long BgL_restz00_1548;

																		{	/* Effect/spread.scm 99 */
																			int BgL_arg2250z00_1549;

																			BgL_arg2250z00_1549 = (int) (((long) 8));
																			{	/* Effect/spread.scm 99 */
																				long BgL_auxz00_2724;

																				BgL_auxz00_2724 =
																					(long) (BgL_arg2250z00_1549);
																				BgL_restz00_1548 =
																					(BgL_offsetz00_1545 %
																					BgL_auxz00_2724);
																		}}
																		{	/* Effect/spread.scm 99 */

																			BgL_method3065z00_1538 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1543,
																					(int) (BgL_modz00_1546)),
																				(int) (BgL_restz00_1548));
											}}}}}}}}
											BgL_res3252z00_1563 =
												CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1538)
												(BgL_method3065z00_1538, (obj_t) (BgL_arg3183z00_1182),
													BEOA));
										}
										BgL_reszd2falsezd2_1178 = BgL_res3252z00_1563;
								}}
								{	/* Effect/spread.scm 99 */
									bool_t BgL_resz00_1179;

									if (BgL_reszd2testzd2_1176)
										{	/* Effect/spread.scm 100 */
											BgL_resz00_1179 = BgL_reszd2testzd2_1176;
										}
									else
										{	/* Effect/spread.scm 100 */
											if (BgL_reszd2truezd2_1177)
												{	/* Effect/spread.scm 100 */
													BgL_resz00_1179 = BgL_reszd2truezd2_1177;
												}
											else
												{	/* Effect/spread.scm 100 */
													BgL_resz00_1179 = BgL_reszd2falsezd2_1178;
												}
										}
									{	/* Effect/spread.scm 100 */

										{	/* Effect/spread.scm 101 */
											BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1564;
											obj_t BgL_val1884z00_1565;

											BgL_obj1885z00_1564 =
												(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1172);
											BgL_val1884z00_1565 = BBOOL(BgL_resz00_1179);
											((((BgL_nodezf2effectzf2_bglt)
														CREF(BgL_obj1885z00_1564))->
													BgL_sidezd2effectzf3z21) =
												((obj_t) BgL_val1884z00_1565), BUNSPEC);
										}
										BgL_auxz00_2662 = BgL_resz00_1179;
									}
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_2662);
				}
			}
		}
	}



/* spread-side-effect!-3084 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23084zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2078, obj_t BgL_nodez00_2079)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 87 */
			{
				BgL_setqz00_bglt BgL_nodez00_1165;

				{	/* Effect/spread.scm 88 */
					bool_t BgL_auxz00_2742;

					BgL_nodez00_1165 = (BgL_setqz00_bglt) (BgL_nodez00_2079);
					{	/* Effect/spread.scm 88 */
						BgL_nodez00_bglt BgL_arg3181z00_1451;

						BgL_arg3181z00_1451 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1165))->BgL_valuez00);
						{	/* Effect/spread.scm 88 */
							bool_t BgL_res3243z00_1479;

							{	/* Effect/spread.scm 88 */
								obj_t BgL_method3065z00_1454;

								{	/* Effect/spread.scm 88 */
									BgL_objectz00_bglt BgL_objz00_1455;

									BgL_objz00_1455 = (BgL_objectz00_bglt) (BgL_arg3181z00_1451);
									{	/* Effect/spread.scm 88 */
										long BgL_objzd2classzd2numz00_1456;

										BgL_objzd2classzd2numz00_1456 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1455);
										{	/* Effect/spread.scm 88 */
											obj_t BgL_arg2249z00_1457;

											BgL_arg2249z00_1457 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 88 */
												obj_t BgL_arrayz00_1459;
												int BgL_offsetz00_1460;

												BgL_arrayz00_1459 = BgL_arg2249z00_1457;
												BgL_offsetz00_1460 =
													(int) (BgL_objzd2classzd2numz00_1456);
												{	/* Effect/spread.scm 88 */
													long BgL_offsetz00_1461;

													BgL_offsetz00_1461 =
														((long) (BgL_offsetz00_1460) - OBJECT_TYPE);
													{	/* Effect/spread.scm 88 */
														long BgL_modz00_1462;

														{	/* Effect/spread.scm 88 */
															int BgL_arg2251z00_1463;

															BgL_arg2251z00_1463 = (int) (((long) 8));
															{	/* Effect/spread.scm 88 */
																long BgL_auxz00_2752;

																BgL_auxz00_2752 = (long) (BgL_arg2251z00_1463);
																BgL_modz00_1462 =
																	(BgL_offsetz00_1461 / BgL_auxz00_2752);
														}}
														{	/* Effect/spread.scm 88 */
															long BgL_restz00_1464;

															{	/* Effect/spread.scm 88 */
																int BgL_arg2250z00_1465;

																BgL_arg2250z00_1465 = (int) (((long) 8));
																{	/* Effect/spread.scm 88 */
																	long BgL_auxz00_2756;

																	BgL_auxz00_2756 =
																		(long) (BgL_arg2250z00_1465);
																	BgL_restz00_1464 =
																		(BgL_offsetz00_1461 % BgL_auxz00_2756);
															}}
															{	/* Effect/spread.scm 88 */

																BgL_method3065z00_1454 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1459,
																		(int) (BgL_modz00_1462)),
																	(int) (BgL_restz00_1464));
								}}}}}}}}
								BgL_res3243z00_1479 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1454)
									(BgL_method3065z00_1454, (obj_t) (BgL_arg3181z00_1451),
										BEOA));
							} BgL_res3243z00_1479;
					}}
					BgL_auxz00_2742 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2742);
				}
			}
		}
	}



/* spread-side-effect!-3082 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23082zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2080, obj_t BgL_nodez00_2081)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 80 */
			{
				BgL_castz00_bglt BgL_nodez00_1158;

				{	/* Effect/spread.scm 81 */
					bool_t BgL_auxz00_2769;

					BgL_nodez00_1158 = (BgL_castz00_bglt) (BgL_nodez00_2081);
					{	/* Effect/spread.scm 81 */
						BgL_nodez00_bglt BgL_arg3179z00_1421;

						BgL_arg3179z00_1421 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1158))->BgL_argz00);
						{	/* Effect/spread.scm 81 */
							bool_t BgL_res3240z00_1449;

							{	/* Effect/spread.scm 81 */
								obj_t BgL_method3065z00_1424;

								{	/* Effect/spread.scm 81 */
									BgL_objectz00_bglt BgL_objz00_1425;

									BgL_objz00_1425 = (BgL_objectz00_bglt) (BgL_arg3179z00_1421);
									{	/* Effect/spread.scm 81 */
										long BgL_objzd2classzd2numz00_1426;

										BgL_objzd2classzd2numz00_1426 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1425);
										{	/* Effect/spread.scm 81 */
											obj_t BgL_arg2249z00_1427;

											BgL_arg2249z00_1427 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 81 */
												obj_t BgL_arrayz00_1429;
												int BgL_offsetz00_1430;

												BgL_arrayz00_1429 = BgL_arg2249z00_1427;
												BgL_offsetz00_1430 =
													(int) (BgL_objzd2classzd2numz00_1426);
												{	/* Effect/spread.scm 81 */
													long BgL_offsetz00_1431;

													BgL_offsetz00_1431 =
														((long) (BgL_offsetz00_1430) - OBJECT_TYPE);
													{	/* Effect/spread.scm 81 */
														long BgL_modz00_1432;

														{	/* Effect/spread.scm 81 */
															int BgL_arg2251z00_1433;

															BgL_arg2251z00_1433 = (int) (((long) 8));
															{	/* Effect/spread.scm 81 */
																long BgL_auxz00_2779;

																BgL_auxz00_2779 = (long) (BgL_arg2251z00_1433);
																BgL_modz00_1432 =
																	(BgL_offsetz00_1431 / BgL_auxz00_2779);
														}}
														{	/* Effect/spread.scm 81 */
															long BgL_restz00_1434;

															{	/* Effect/spread.scm 81 */
																int BgL_arg2250z00_1435;

																BgL_arg2250z00_1435 = (int) (((long) 8));
																{	/* Effect/spread.scm 81 */
																	long BgL_auxz00_2783;

																	BgL_auxz00_2783 =
																		(long) (BgL_arg2250z00_1435);
																	BgL_restz00_1434 =
																		(BgL_offsetz00_1431 % BgL_auxz00_2783);
															}}
															{	/* Effect/spread.scm 81 */

																BgL_method3065z00_1424 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1429,
																		(int) (BgL_modz00_1432)),
																	(int) (BgL_restz00_1434));
								}}}}}}}}
								BgL_res3240z00_1449 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1424)
									(BgL_method3065z00_1424, (obj_t) (BgL_arg3179z00_1421),
										BEOA));
							}
							BgL_auxz00_2769 = BgL_res3240z00_1449;
					}}
					return BBOOL(BgL_auxz00_2769);
				}
			}
		}
	}



/* spread-side-effect!-3080 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23080zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2082, obj_t BgL_nodez00_2083)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 71 */
			{
				BgL_externz00_bglt BgL_nodez00_1149;

				BgL_nodez00_1149 = (BgL_externz00_bglt) (BgL_nodez00_2083);
				{	/* Effect/spread.scm 73 */
					obj_t BgL_resz00_1153;

					{	/* Effect/spread.scm 73 */
						bool_t BgL__ortest_3028z00_1154;

						{	/* Effect/spread.scm 73 */
							obj_t BgL_arg3177z00_1155;

							BgL_arg3177z00_1155 =
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1149))->BgL_exprza2za2);
							BgL__ortest_3028z00_1154 =
								BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
								(BgL_arg3177z00_1155);
						}
						if (BgL__ortest_3028z00_1154)
							{	/* Effect/spread.scm 73 */
								BgL_resz00_1153 = BBOOL(BgL__ortest_3028z00_1154);
							}
						else
							{	/* Effect/spread.scm 73 */
								BgL_nodezf2effectzf2_bglt BgL_obj1883z00_1417;

								BgL_obj1883z00_1417 =
									(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1149);
								BgL_resz00_1153 =
									(((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1883z00_1417))->
									BgL_sidezd2effectzf3z21);
							}
					}
					{	/* Effect/spread.scm 74 */
						BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1418;
						obj_t BgL_val1884z00_1419;

						BgL_obj1885z00_1418 =
							(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1149);
						BgL_val1884z00_1419 = BgL_resz00_1153;
						((((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1885z00_1418))->
								BgL_sidezd2effectzf3z21) =
							((obj_t) BgL_val1884z00_1419), BUNSPEC);
					}
					return BgL_resz00_1153;
				}
			}
		}
	}



/* spread-side-effect!-3077 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23077zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2084, obj_t BgL_nodez00_2085)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 62 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1141;

				{	/* Effect/spread.scm 63 */
					bool_t BgL_auxz00_2805;

					BgL_nodez00_1141 = (BgL_funcallz00_bglt) (BgL_nodez00_2085);
					{	/* Effect/spread.scm 64 */
						BgL_nodez00_bglt BgL_arg3172z00_1145;

						BgL_arg3172z00_1145 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1141))->BgL_funz00);
						{	/* Effect/spread.scm 64 */
							bool_t BgL_res3237z00_1414;

							{	/* Effect/spread.scm 64 */
								obj_t BgL_method3065z00_1389;

								{	/* Effect/spread.scm 64 */
									BgL_objectz00_bglt BgL_objz00_1390;

									BgL_objz00_1390 = (BgL_objectz00_bglt) (BgL_arg3172z00_1145);
									{	/* Effect/spread.scm 64 */
										long BgL_objzd2classzd2numz00_1391;

										BgL_objzd2classzd2numz00_1391 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1390);
										{	/* Effect/spread.scm 64 */
											obj_t BgL_arg2249z00_1392;

											BgL_arg2249z00_1392 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 64 */
												obj_t BgL_arrayz00_1394;
												int BgL_offsetz00_1395;

												BgL_arrayz00_1394 = BgL_arg2249z00_1392;
												BgL_offsetz00_1395 =
													(int) (BgL_objzd2classzd2numz00_1391);
												{	/* Effect/spread.scm 64 */
													long BgL_offsetz00_1396;

													BgL_offsetz00_1396 =
														((long) (BgL_offsetz00_1395) - OBJECT_TYPE);
													{	/* Effect/spread.scm 64 */
														long BgL_modz00_1397;

														{	/* Effect/spread.scm 64 */
															int BgL_arg2251z00_1398;

															BgL_arg2251z00_1398 = (int) (((long) 8));
															{	/* Effect/spread.scm 64 */
																long BgL_auxz00_2815;

																BgL_auxz00_2815 = (long) (BgL_arg2251z00_1398);
																BgL_modz00_1397 =
																	(BgL_offsetz00_1396 / BgL_auxz00_2815);
														}}
														{	/* Effect/spread.scm 64 */
															long BgL_restz00_1399;

															{	/* Effect/spread.scm 64 */
																int BgL_arg2250z00_1400;

																BgL_arg2250z00_1400 = (int) (((long) 8));
																{	/* Effect/spread.scm 64 */
																	long BgL_auxz00_2819;

																	BgL_auxz00_2819 =
																		(long) (BgL_arg2250z00_1400);
																	BgL_restz00_1399 =
																		(BgL_offsetz00_1396 % BgL_auxz00_2819);
															}}
															{	/* Effect/spread.scm 64 */

																BgL_method3065z00_1389 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1394,
																		(int) (BgL_modz00_1397)),
																	(int) (BgL_restz00_1399));
								}}}}}}}}
								BgL_res3237z00_1414 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1389)
									(BgL_method3065z00_1389, (obj_t) (BgL_arg3172z00_1145),
										BEOA));
							} BgL_res3237z00_1414;
					}}
					{	/* Effect/spread.scm 65 */
						obj_t BgL_arg3175z00_1146;

						BgL_arg3175z00_1146 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1141))->BgL_argsz00);
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
							(BgL_arg3175z00_1146);
					}
					BgL_auxz00_2805 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2805);
				}
			}
		}
	}



/* spread-side-effect!-3074 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23074zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2086, obj_t BgL_nodez00_2087)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 53 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1133;

				{	/* Effect/spread.scm 54 */
					bool_t BgL_auxz00_2834;

					BgL_nodez00_1133 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2087);
					{	/* Effect/spread.scm 55 */
						BgL_nodez00_bglt BgL_arg3169z00_1137;

						BgL_arg3169z00_1137 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1133))->BgL_funz00);
						{	/* Effect/spread.scm 55 */
							bool_t BgL_res3231z00_1358;

							{	/* Effect/spread.scm 55 */
								obj_t BgL_method3065z00_1333;

								{	/* Effect/spread.scm 55 */
									BgL_objectz00_bglt BgL_objz00_1334;

									BgL_objz00_1334 = (BgL_objectz00_bglt) (BgL_arg3169z00_1137);
									{	/* Effect/spread.scm 55 */
										long BgL_objzd2classzd2numz00_1335;

										BgL_objzd2classzd2numz00_1335 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1334);
										{	/* Effect/spread.scm 55 */
											obj_t BgL_arg2249z00_1336;

											BgL_arg2249z00_1336 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 55 */
												obj_t BgL_arrayz00_1338;
												int BgL_offsetz00_1339;

												BgL_arrayz00_1338 = BgL_arg2249z00_1336;
												BgL_offsetz00_1339 =
													(int) (BgL_objzd2classzd2numz00_1335);
												{	/* Effect/spread.scm 55 */
													long BgL_offsetz00_1340;

													BgL_offsetz00_1340 =
														((long) (BgL_offsetz00_1339) - OBJECT_TYPE);
													{	/* Effect/spread.scm 55 */
														long BgL_modz00_1341;

														{	/* Effect/spread.scm 55 */
															int BgL_arg2251z00_1342;

															BgL_arg2251z00_1342 = (int) (((long) 8));
															{	/* Effect/spread.scm 55 */
																long BgL_auxz00_2844;

																BgL_auxz00_2844 = (long) (BgL_arg2251z00_1342);
																BgL_modz00_1341 =
																	(BgL_offsetz00_1340 / BgL_auxz00_2844);
														}}
														{	/* Effect/spread.scm 55 */
															long BgL_restz00_1343;

															{	/* Effect/spread.scm 55 */
																int BgL_arg2250z00_1344;

																BgL_arg2250z00_1344 = (int) (((long) 8));
																{	/* Effect/spread.scm 55 */
																	long BgL_auxz00_2848;

																	BgL_auxz00_2848 =
																		(long) (BgL_arg2250z00_1344);
																	BgL_restz00_1343 =
																		(BgL_offsetz00_1340 % BgL_auxz00_2848);
															}}
															{	/* Effect/spread.scm 55 */

																BgL_method3065z00_1333 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1338,
																		(int) (BgL_modz00_1341)),
																	(int) (BgL_restz00_1343));
								}}}}}}}}
								BgL_res3231z00_1358 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1333)
									(BgL_method3065z00_1333, (obj_t) (BgL_arg3169z00_1137),
										BEOA));
							} BgL_res3231z00_1358;
					}}
					{	/* Effect/spread.scm 56 */
						BgL_nodez00_bglt BgL_arg3170z00_1138;

						BgL_arg3170z00_1138 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1133))->BgL_argz00);
						{	/* Effect/spread.scm 56 */
							bool_t BgL_res3234z00_1386;

							{	/* Effect/spread.scm 56 */
								obj_t BgL_method3065z00_1361;

								{	/* Effect/spread.scm 56 */
									BgL_objectz00_bglt BgL_objz00_1362;

									BgL_objz00_1362 = (BgL_objectz00_bglt) (BgL_arg3170z00_1138);
									{	/* Effect/spread.scm 56 */
										long BgL_objzd2classzd2numz00_1363;

										BgL_objzd2classzd2numz00_1363 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1362);
										{	/* Effect/spread.scm 56 */
											obj_t BgL_arg2249z00_1364;

											BgL_arg2249z00_1364 =
												PROCEDURE_REF
												(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
												(int) (((long) 1)));
											{	/* Effect/spread.scm 56 */
												obj_t BgL_arrayz00_1366;
												int BgL_offsetz00_1367;

												BgL_arrayz00_1366 = BgL_arg2249z00_1364;
												BgL_offsetz00_1367 =
													(int) (BgL_objzd2classzd2numz00_1363);
												{	/* Effect/spread.scm 56 */
													long BgL_offsetz00_1368;

													BgL_offsetz00_1368 =
														((long) (BgL_offsetz00_1367) - OBJECT_TYPE);
													{	/* Effect/spread.scm 56 */
														long BgL_modz00_1369;

														{	/* Effect/spread.scm 56 */
															int BgL_arg2251z00_1370;

															BgL_arg2251z00_1370 = (int) (((long) 8));
															{	/* Effect/spread.scm 56 */
																long BgL_auxz00_2868;

																BgL_auxz00_2868 = (long) (BgL_arg2251z00_1370);
																BgL_modz00_1369 =
																	(BgL_offsetz00_1368 / BgL_auxz00_2868);
														}}
														{	/* Effect/spread.scm 56 */
															long BgL_restz00_1371;

															{	/* Effect/spread.scm 56 */
																int BgL_arg2250z00_1372;

																BgL_arg2250z00_1372 = (int) (((long) 8));
																{	/* Effect/spread.scm 56 */
																	long BgL_auxz00_2872;

																	BgL_auxz00_2872 =
																		(long) (BgL_arg2250z00_1372);
																	BgL_restz00_1371 =
																		(BgL_offsetz00_1368 % BgL_auxz00_2872);
															}}
															{	/* Effect/spread.scm 56 */

																BgL_method3065z00_1361 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1366,
																		(int) (BgL_modz00_1369)),
																	(int) (BgL_restz00_1371));
								}}}}}}}}
								BgL_res3234z00_1386 =
									CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_1361)
									(BgL_method3065z00_1361, (obj_t) (BgL_arg3170z00_1138),
										BEOA));
							} BgL_res3234z00_1386;
					}}
					BgL_auxz00_2834 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2834);
				}
			}
		}
	}



/* spread-side-effect!-3072 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23072zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2088, obj_t BgL_nodez00_2089)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 43 */
			{
				BgL_appz00_bglt BgL_nodez00_1121;

				BgL_nodez00_1121 = (BgL_appz00_bglt) (BgL_nodez00_2089);
				{	/* Effect/spread.scm 45 */
					obj_t BgL_resz00_1125;

					{	/* Effect/spread.scm 45 */
						bool_t BgL__ortest_3021z00_1126;

						{	/* Effect/spread.scm 45 */
							obj_t BgL_arg3167z00_1130;

							BgL_arg3167z00_1130 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1121))->BgL_argsz00);
							BgL__ortest_3021z00_1126 =
								BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
								(BgL_arg3167z00_1130);
						}
						if (BgL__ortest_3021z00_1126)
							{	/* Effect/spread.scm 45 */
								BgL_resz00_1125 = BBOOL(BgL__ortest_3021z00_1126);
							}
						else
							{	/* Effect/spread.scm 46 */
								BgL_funz00_bglt BgL_obj1589z00_1328;

								{	/* Effect/spread.scm 46 */
									BgL_valuez00_bglt BgL_auxz00_2889;

									{	/* Effect/spread.scm 46 */
										BgL_variablez00_bglt BgL_arg3165z00_1128;

										{	/* Effect/spread.scm 46 */
											BgL_varz00_bglt BgL_obj1929z00_1326;

											BgL_obj1929z00_1326 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1121))->
												BgL_funz00);
											BgL_arg3165z00_1128 =
												(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1326))->
												BgL_variablez00);
										}
										BgL_auxz00_2889 =
											(((BgL_variablez00_bglt) CREF(BgL_arg3165z00_1128))->
											BgL_valuez00);
									}
									BgL_obj1589z00_1328 = (BgL_funz00_bglt) (BgL_auxz00_2889);
								}
								BgL_resz00_1125 =
									(((BgL_funz00_bglt) CREF(BgL_obj1589z00_1328))->
									BgL_sidezd2effectzf3z21);
							}
					}
					{	/* Effect/spread.scm 47 */
						BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1329;
						obj_t BgL_val1884z00_1330;

						BgL_obj1885z00_1329 =
							(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1121);
						BgL_val1884z00_1330 = BgL_resz00_1125;
						((((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1885z00_1329))->
								BgL_sidezd2effectzf3z21) =
							((obj_t) BgL_val1884z00_1330), BUNSPEC);
					}
					return BgL_resz00_1125;
				}
			}
		}
	}



/* spread-side-effect!-3070 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23070zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2090, obj_t BgL_nodez00_2091)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 35 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1114;

				{	/* Effect/spread.scm 36 */
					bool_t BgL_auxz00_2898;

					BgL_nodez00_1114 = (BgL_sequencez00_bglt) (BgL_nodez00_2091);
					{	/* Effect/spread.scm 36 */
						bool_t BgL_resz00_1117;

						{	/* Effect/spread.scm 36 */
							obj_t BgL_arg3162z00_1118;

							BgL_arg3162z00_1118 =
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1114))->BgL_nodesz00);
							BgL_resz00_1117 =
								BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
								(BgL_arg3162z00_1118);
						}
						{	/* Effect/spread.scm 37 */
							BgL_nodezf2effectzf2_bglt BgL_obj1885z00_1322;
							obj_t BgL_val1884z00_1323;

							BgL_obj1885z00_1322 =
								(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1114);
							BgL_val1884z00_1323 = BBOOL(BgL_resz00_1117);
							((((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1885z00_1322))->
									BgL_sidezd2effectzf3z21) =
								((obj_t) BgL_val1884z00_1323), BUNSPEC);
						}
						BgL_auxz00_2898 = BgL_resz00_1117;
					}
					return BBOOL(BgL_auxz00_2898);
				}
			}
		}
	}



/* spread-side-effect!-3068 */
	obj_t BGl_spreadzd2sidezd2effectz12zd23068zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2092, obj_t BgL_nodez00_2093)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 29 */
			{
				BgL_varz00_bglt BgL_nodez00_1105;

				{	/* Effect/spread.scm 30 */
					bool_t BgL_auxz00_2906;

					BgL_nodez00_1105 = (BgL_varz00_bglt) (BgL_nodez00_2093);
					{	/* Effect/spread.scm 30 */
						bool_t BgL_testz00_2907;

						{	/* Effect/spread.scm 30 */
							obj_t BgL_auxz00_2908;

							{	/* Effect/spread.scm 30 */
								BgL_variablez00_bglt BgL_obj1390z00_1320;

								BgL_obj1390z00_1320 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1105))->BgL_variablez00);
								BgL_auxz00_2908 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1390z00_1320))->
									BgL_accessz00);
							}
							BgL_testz00_2907 =
								(BgL_auxz00_2908 == CNST_TABLE_REF(((long) 0)));
						}
						if (BgL_testz00_2907)
							{	/* Effect/spread.scm 30 */
								BgL_auxz00_2906 = ((bool_t) 0);
							}
						else
							{	/* Effect/spread.scm 30 */
								BgL_auxz00_2906 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_2906);
				}
			}
		}
	}



/* spread-side-effect! */
	BGL_EXPORTED_DEF bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt
		BgL_nodez00_1)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			{	/* Effect/spread.scm 23 */
				obj_t BgL_method3065z00_2013;

				{	/* Effect/spread.scm 23 */
					BgL_objectz00_bglt BgL_objz00_2014;

					BgL_objz00_2014 = (BgL_objectz00_bglt) (BgL_nodez00_1);
					{	/* Effect/spread.scm 23 */
						long BgL_objzd2classzd2numz00_2015;

						BgL_objzd2classzd2numz00_2015 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2014);
						{	/* Effect/spread.scm 23 */
							obj_t BgL_arg2249z00_2016;

							BgL_arg2249z00_2016 =
								PROCEDURE_REF
								(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
								(int) (((long) 1)));
							{	/* Effect/spread.scm 23 */
								obj_t BgL_arrayz00_2018;
								int BgL_offsetz00_2019;

								BgL_arrayz00_2018 = BgL_arg2249z00_2016;
								BgL_offsetz00_2019 = (int) (BgL_objzd2classzd2numz00_2015);
								{	/* Effect/spread.scm 23 */
									long BgL_offsetz00_2020;

									BgL_offsetz00_2020 =
										((long) (BgL_offsetz00_2019) - OBJECT_TYPE);
									{	/* Effect/spread.scm 23 */
										long BgL_modz00_2021;

										{	/* Effect/spread.scm 23 */
											int BgL_arg2251z00_2022;

											BgL_arg2251z00_2022 = (int) (((long) 8));
											{	/* Effect/spread.scm 23 */
												long BgL_auxz00_2923;

												BgL_auxz00_2923 = (long) (BgL_arg2251z00_2022);
												BgL_modz00_2021 =
													(BgL_offsetz00_2020 / BgL_auxz00_2923);
										}}
										{	/* Effect/spread.scm 23 */
											long BgL_restz00_2023;

											{	/* Effect/spread.scm 23 */
												int BgL_arg2250z00_2024;

												BgL_arg2250z00_2024 = (int) (((long) 8));
												{	/* Effect/spread.scm 23 */
													long BgL_auxz00_2927;

													BgL_auxz00_2927 = (long) (BgL_arg2250z00_2024);
													BgL_restz00_2023 =
														(BgL_offsetz00_2020 % BgL_auxz00_2927);
											}}
											{	/* Effect/spread.scm 23 */

												BgL_method3065z00_2013 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2018,
														(int) (BgL_modz00_2021)), (int) (BgL_restz00_2023));
				}}}}}}}}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method3065z00_2013) (BgL_method3065z00_2013,
						(obj_t) (BgL_nodez00_1), BEOA));
			}
		}
	}



/* _spread-side-effect! */
	obj_t BGl__spreadzd2sidezd2effectz12z12zzeffect_spreadz00(obj_t
		BgL_envz00_2038, obj_t BgL_nodez00_2039)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(BgL_nodez00_bglt) (BgL_nodez00_2039)));
		}
	}



/* _spread-side-effect!-3064 */
	obj_t BGl__spreadzd2sidezd2effectz12zd23064zc0zzeffect_spreadz00(obj_t
		BgL_envz00_2094, obj_t BgL_nodez00_2095)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BBOOL(((bool_t) 0));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3300z00zzeffect_spreadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3300z00zzeffect_spreadz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3300z00zzeffect_spreadz00));
		}
	}

#ifdef __cplusplus
}
#endif
