/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl_zc3anonymousza32369ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	static obj_t BGl_zc3anonymousza32269ze3z83zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_zc3exitza32262ze3z83zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_zc3anonymousza32276ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32283ze3z83zzengine_heapz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_zc3anonymousza32299ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t BGl__dumpzd2heapszd2zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string2430z00zzengine_heapz00,
		BgL_bgl_string2430za700za7za7e2447za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string2429z00zzengine_heapz00,
		BgL_bgl_string2429za700za7za7e2448za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string2431z00zzengine_heapz00,
		BgL_bgl_string2431za700za7za7e2449za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string2432z00zzengine_heapz00,
		BgL_bgl_string2432za700za7za7e2450za7, "\"", 1);
	      DEFINE_STRING(BGl_string2433z00zzengine_heapz00,
		BgL_bgl_string2433za700za7za7e2451za7, " (variables", 11);
	      DEFINE_STRING(BGl_string2434z00zzengine_heapz00,
		BgL_bgl_string2434za700za7za7e2452za7, " )\n", 3);
	      DEFINE_STRING(BGl_string2435z00zzengine_heapz00,
		BgL_bgl_string2435za700za7za7e2453za7, " (types", 7);
	      DEFINE_STRING(BGl_string2436z00zzengine_heapz00,
		BgL_bgl_string2436za700za7za7e2454za7, " )", 2);
	      DEFINE_STRING(BGl_string2437z00zzengine_heapz00,
		BgL_bgl_string2437za700za7za7e2455za7, " (includes", 10);
	      DEFINE_STRING(BGl_string2438z00zzengine_heapz00,
		BgL_bgl_string2438za700za7za7e2456za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2440z00zzengine_heapz00,
		BgL_bgl_string2440za700za7za7e2457za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string2439z00zzengine_heapz00,
		BgL_bgl_string2439za700za7za7e2458za7, "   ", 3);
	      DEFINE_STRING(BGl_string2441z00zzengine_heapz00,
		BgL_bgl_string2441za700za7za7e2459za7, "", 0);
	      DEFINE_STRING(BGl_string2442z00zzengine_heapz00,
		BgL_bgl_string2442za700za7za7e2460za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string2443z00zzengine_heapz00,
		BgL_bgl_string2443za700za7za7e2461za7,
		"type super class jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl__dumpza7d2heapsza7d22462z00, BGl__dumpzd2heapszd2zzengine_heapz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_961, char *BgL_fromz00_962)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_953;

				BgL_cportz00_953 =
					bgl_open_input_string(BGl_string2443z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_954;

					BgL_iz00_954 = ((long) 13);
				BgL_loopz00_955:
					if ((BgL_iz00_954 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg2446z00_957;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_959;

										BgL_locationz00_959 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg2446z00_957 =
												BGl_readz00zz__readerz00(BgL_cportz00_953,
												BgL_locationz00_959);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_985;

									BgL_auxz00_985 = (int) (BgL_iz00_954);
									CNST_TABLE_SET(BgL_auxz00_985, BgL_arg2446z00_957);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_960;

								BgL_auxz00_960 = (int) ((BgL_iz00_954 - ((long) 1)));
								{
									long BgL_iz00_990;

									BgL_iz00_990 = (long) (BgL_auxz00_960);
									BgL_iz00_954 = BgL_iz00_990;
									goto BgL_loopz00_955;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_1)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l2225z00_451;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_995;

					BgL_l2225z00_451 = BgL_namesz00_1;
				BgL_forzd2each2226zd2_452:
					if (PAIRP(BgL_l2225z00_451))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l2225z00_451));
							{
								obj_t BgL_l2225z00_1000;

								BgL_l2225z00_1000 = CDR(BgL_l2225z00_451);
								BgL_l2225z00_451 = BgL_l2225z00_1000;
								goto BgL_forzd2each2226zd2_452;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_995 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_995);
				}
			}
		}
	}



/* _dump-heaps */
	obj_t BGl__dumpzd2heapszd2zzengine_heapz00(obj_t BgL_envz00_927,
		obj_t BgL_namesz00_928)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_928);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_2)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_456;

				BgL_fnamez00_456 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_2,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_456))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_458;

						BgL_portz00_458 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_456);
						if (BINARY_PORTP(BgL_portz00_458))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_val2219z00_460;

								BgL_val2219z00_460 =
									BGl_zc3exitza32262ze3z83zzengine_heapz00(BgL_heapz00_2,
									BgL_portz00_458);
								close_binary_port(BgL_portz00_458);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2219z00_460)))
									{	/* Engine/heap.scm 113 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2219z00_460), CDR(BgL_val2219z00_460));
									}
								else
									{	/* Engine/heap.scm 113 */
										return BgL_val2219z00_460;
									}
							}
						else
							{	/* Engine/heap.scm 50 */
								obj_t BgL_arg2294z00_527;
								obj_t BgL_arg2295z00_528;

								BgL_arg2294z00_527 = CNST_TABLE_REF(((long) 0));
								{	/* Engine/heap.scm 51 */
									obj_t BgL_list2296z00_529;

									BgL_list2296z00_529 = MAKE_PAIR(BgL_fnamez00_456, BNIL);
									BgL_arg2295z00_528 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2429z00zzengine_heapz00, BgL_list2296z00_529);
								}
								return
									BGl_errorz00zz__errorz00(BgL_arg2294z00_527,
									BgL_arg2295z00_528, BGl_za2libzd2dirza2zd2zzengine_paramz00);
							}
					}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_530;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list2297z00_531;

							BgL_list2297z00_531 = MAKE_PAIR(BgL_heapz00_2, BNIL);
							BgL_mz00_530 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2429z00zzengine_heapz00, BgL_list2297z00_531);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_530,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* <exit:2262> */
	obj_t BGl_zc3exitza32262ze3z83zzengine_heapz00(obj_t BgL_heapz00_951,
		obj_t BgL_portz00_950)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 113 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2220z00_465;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2220z00_465))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2220z00_465 = (void *) jmpbuf;
						{	/* Engine/heap.scm 113 */

							PUSH_EXIT(BgL_an_exit2220z00_465, ((long) 0));
							{	/* Engine/heap.scm 54 */
								obj_t BgL_val2221z00_466;

								{	/* Engine/heap.scm 54 */
									obj_t BgL_envsz00_467;

									BgL_envsz00_467 = input_obj(BgL_portz00_950);
									{	/* Engine/heap.scm 54 */
										obj_t BgL__z00_468;

										{	/* Engine/heap.scm 55 */
											bool_t BgL_testz00_1030;

											{	/* Engine/heap.scm 55 */
												bool_t BgL_testz00_1031;

												{	/* Engine/heap.scm 55 */
													obj_t BgL_v2227z00_526;

													BgL_v2227z00_526 = create_vector((int) (((long) 1)));
													VECTOR_SET(BgL_v2227z00_526,
														(int) (((long) 0)), BgL_envsz00_467);
													BgL_testz00_1031 = ((bool_t) 1);
												}
												if (BgL_testz00_1031)
													{	/* Engine/heap.scm 56 */
														bool_t BgL__ortest_2222z00_521;

														{	/* Engine/heap.scm 56 */
															int BgL_arg2292z00_524;

															BgL_arg2292z00_524 =
																VECTOR_LENGTH(BgL_envsz00_467);
															BgL__ortest_2222z00_521 =
																((long) (BgL_arg2292z00_524) == ((long) 5));
														}
														if (BgL__ortest_2222z00_521)
															{	/* Engine/heap.scm 56 */
																BgL_testz00_1030 = BgL__ortest_2222z00_521;
															}
														else
															{	/* Engine/heap.scm 57 */
																int BgL_arg2290z00_522;

																BgL_arg2290z00_522 =
																	VECTOR_LENGTH(BgL_envsz00_467);
																BgL_testz00_1030 =
																	((long) (BgL_arg2290z00_522) == ((long) 6));
													}}
												else
													{	/* Engine/heap.scm 55 */
														BgL_testz00_1030 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_1030)
												{	/* Engine/heap.scm 55 */
													BgL__z00_468 = BFALSE;
												}
											else
												{	/* Engine/heap.scm 55 */
													BgL__z00_468 =
														BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
														BGl_string2430z00zzengine_heapz00, BgL_heapz00_951);
										}}
										{	/* Engine/heap.scm 55 */
											obj_t BgL_targetz00_469;

											BgL_targetz00_469 =
												VECTOR_REF(BgL_envsz00_467, (int) (((long) 0)));
											{	/* Engine/heap.scm 59 */
												obj_t BgL_versionz00_470;

												BgL_versionz00_470 =
													VECTOR_REF(BgL_envsz00_467, (int) (((long) 1)));
												{	/* Engine/heap.scm 60 */
													obj_t BgL_specificz00_471;

													BgL_specificz00_471 =
														VECTOR_REF(BgL_envsz00_467, (int) (((long) 2)));
													{	/* Engine/heap.scm 61 */
														obj_t BgL_genvz00_472;

														BgL_genvz00_472 =
															VECTOR_REF(BgL_envsz00_467, (int) (((long) 3)));
														{	/* Engine/heap.scm 62 */
															obj_t BgL_tenvz00_473;

															BgL_tenvz00_473 =
																VECTOR_REF(BgL_envsz00_467, (int) (((long) 4)));
															{	/* Engine/heap.scm 63 */
																obj_t BgL_includesz00_474;

																{	/* Engine/heap.scm 64 */
																	bool_t BgL_testz00_1055;

																	{	/* Engine/heap.scm 64 */
																		int BgL_arg2286z00_517;

																		BgL_arg2286z00_517 =
																			VECTOR_LENGTH(BgL_envsz00_467);
																		BgL_testz00_1055 =
																			(
																			(long) (BgL_arg2286z00_517) ==
																			((long) 6));
																	}
																	if (BgL_testz00_1055)
																		{	/* Engine/heap.scm 64 */
																			BgL_includesz00_474 =
																				VECTOR_REF(BgL_envsz00_467,
																				(int) (((long) 5)));
																		}
																	else
																		{	/* Engine/heap.scm 64 */
																			BgL_includesz00_474 = BNIL;
																		}
																}
																{	/* Engine/heap.scm 64 */

																	{	/* Engine/heap.scm 76 */
																		bool_t BgL_testz00_1061;

																		{	/* Engine/heap.scm 76 */
																			int BgL_arg2264z00_476;

																			BgL_arg2264z00_476 =
																				VECTOR_LENGTH(BgL_envsz00_467);
																			BgL_testz00_1061 =
																				(
																				(long) (BgL_arg2264z00_476) ==
																				((long) 6));
																		}
																		if (BgL_testz00_1061)
																			{	/* Engine/heap.scm 76 */
																				BGl_addzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_472);
																			}
																		else
																			{	/* Engine/heap.scm 76 */
																				BGl_setzd2tenvz12zc0zztype_envz00
																					(BgL_tenvz00_473);
																				BGl_setzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_472);
																			}
																	}
																	{	/* Engine/heap.scm 85 */
																		bool_t BgL_testz00_1068;

																		{	/* Engine/heap.scm 85 */
																			obj_t BgL_arg2274z00_488;

																			BgL_arg2274z00_488 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			{	/* Engine/heap.scm 85 */
																				BgL_backendz00_bglt BgL_obj1329z00_846;

																				BgL_obj1329z00_846 =
																					(BgL_backendz00_bglt)
																					(BgL_arg2274z00_488);
																				BgL_testz00_1068 =
																					(((BgL_backendz00_bglt)
																						CREF(BgL_obj1329z00_846))->
																					BgL_qualifiedzd2typeszd2);
																			}
																		}
																		if (BgL_testz00_1068)
																			{	/* Engine/heap.scm 85 */
																				BGl_forzd2eachzd2globalz12z12zzast_envz00
																					(make_fx_procedure
																					(BGl_zc3anonymousza32269ze3z83zzengine_heapz00,
																						(int) (((long) 1)),
																						(int) (((long) 0))), BNIL);
																			}
																		else
																			{	/* Engine/heap.scm 85 */
																				BFALSE;
																			}
																	}
																	BGl_hashtablezd2forzd2eachz00zz__hashz00
																		(BgL_genvz00_472,
																		make_fx_procedure
																		(BGl_zc3anonymousza32276ze3z83zzengine_heapz00,
																			(int) (((long) 2)), (int) (((long) 0))));
																	{	/* Engine/heap.scm 99 */
																		obj_t BgL_arg2281z00_502;

																		BgL_arg2281z00_502 =
																			BGL_CURRENT_ERROR_PORT();
																		{	/* Engine/heap.scm 101 */
																			obj_t BgL_zc3anonymousza32283ze3z83_929;

																			BgL_zc3anonymousza32283ze3z83_929 =
																				make_fx_procedure
																				(BGl_zc3anonymousza32283ze3z83zzengine_heapz00,
																				(int) (((long) 0)), (int) (((long) 4)));
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32283ze3z83_929,
																				(int) (((long) 0)), BgL_heapz00_951);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32283ze3z83_929,
																				(int) (((long) 1)), BgL_genvz00_472);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32283ze3z83_929,
																				(int) (((long) 2)), BgL_tenvz00_473);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32283ze3z83_929,
																				(int) (((long) 3)),
																				BgL_includesz00_474);
																			BgL_val2221z00_466 =
																				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																				(BgL_arg2281z00_502,
																				BgL_zc3anonymousza32283ze3z83_929);
								}}}}}}}}}}}
								POP_EXIT();
								return BgL_val2221z00_466;
							}
						}
					}
			}
		}
	}



/* <anonymous:2283> */
	obj_t BGl_zc3anonymousza32283ze3z83zzengine_heapz00(obj_t BgL_envz00_932)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_933;
				obj_t BgL_genvz00_934;
				obj_t BgL_tenvz00_935;
				obj_t BgL_includesz00_936;

				BgL_heapz00_933 = PROCEDURE_REF(BgL_envz00_932, (int) (((long) 0)));
				BgL_genvz00_934 = PROCEDURE_REF(BgL_envz00_932, (int) (((long) 1)));
				BgL_tenvz00_935 = PROCEDURE_REF(BgL_envz00_932, (int) (((long) 2)));
				BgL_includesz00_936 = PROCEDURE_REF(BgL_envz00_932, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port2231z00_505;

						BgL_port2231z00_505 = BGL_CURRENT_OUTPUT_PORT();
						bgl_display_string(BGl_string2431z00zzengine_heapz00,
							BgL_port2231z00_505);
						bgl_display_obj(BgL_heapz00_933, BgL_port2231z00_505);
						bgl_display_string(BGl_string2432z00zzengine_heapz00,
							BgL_port2231z00_505);
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2231z00_505);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port2232z00_506;

						BgL_port2232z00_506 = BGL_CURRENT_OUTPUT_PORT();
						bgl_display_string(BGl_string2433z00zzengine_heapz00,
							BgL_port2232z00_506);
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2232z00_506);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_934);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port2233z00_507;

						BgL_port2233z00_507 = BGL_CURRENT_OUTPUT_PORT();
						bgl_display_string(BGl_string2434z00zzengine_heapz00,
							BgL_port2233z00_507);
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2233z00_507);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port2234z00_508;

						BgL_port2234z00_508 = BGL_CURRENT_OUTPUT_PORT();
						bgl_display_string(BGl_string2435z00zzengine_heapz00,
							BgL_port2234z00_508);
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2234z00_508);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_935);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port2235z00_509;

						BgL_port2235z00_509 = BGL_CURRENT_OUTPUT_PORT();
						bgl_display_string(BGl_string2436z00zzengine_heapz00,
							BgL_port2235z00_509);
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2235z00_509);
					}
					if (PAIRP(BgL_includesz00_936))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port2236z00_511;

								BgL_port2236z00_511 = BGL_CURRENT_OUTPUT_PORT();
								bgl_display_string(BGl_string2437z00zzengine_heapz00,
									BgL_port2236z00_511);
								BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2236z00_511);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port2237z00_512;

								BgL_port2237z00_512 = BGL_CURRENT_OUTPUT_PORT();
								bgl_display_obj(BgL_includesz00_936, BgL_port2237z00_512);
								BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2237z00_512);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port2238z00_513;

								BgL_port2238z00_513 = BGL_CURRENT_OUTPUT_PORT();
								bgl_display_string(BGl_string2436z00zzengine_heapz00,
									BgL_port2238z00_513);
								BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port2238z00_513);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port2239z00_514;

						BgL_port2239z00_514 = BGL_CURRENT_OUTPUT_PORT();
						bgl_display_string(BGl_string2438z00zzengine_heapz00,
							BgL_port2239z00_514);
						return BGL_DISPLAY_CHAR(((unsigned char) '\n'),
							BgL_port2239z00_514);
		}}}}
	}



/* <anonymous:2276> */
	obj_t BGl_zc3anonymousza32276ze3z83zzengine_heapz00(obj_t BgL_envz00_937,
		obj_t BgL_kz00_938, obj_t BgL_bucketz00_939)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_490;
				obj_t BgL_bucketz00_491;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1135;

					BgL_kz00_490 = BgL_kz00_938;
					BgL_bucketz00_491 = BgL_bucketz00_939;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g2230z00_493;

						BgL_g2230z00_493 = CDR(BgL_bucketz00_491);
						{
							obj_t BgL_l2228z00_494;

							BgL_l2228z00_494 = BgL_g2230z00_493;
						BgL_forzd2each2229zd2_495:
							if (PAIRP(BgL_l2228z00_494))
								{	/* Engine/heap.scm 96 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_497;

										BgL_newz00_497 = CAR(BgL_l2228z00_494);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg2278z00_498;

											{	/* Engine/heap.scm 97 */
												BgL_globalz00_bglt BgL_obj1452z00_852;

												BgL_obj1452z00_852 =
													(BgL_globalz00_bglt) (BgL_newz00_497);
												BgL_arg2278z00_498 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_852))->
													BgL_modulez00);
											}
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list2279z00_499;

												BgL_list2279z00_499 =
													MAKE_PAIR(BgL_arg2278z00_498, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list2279z00_499);
											}
										}
									}
									{
										obj_t BgL_l2228z00_1144;

										BgL_l2228z00_1144 = CDR(BgL_l2228z00_494);
										BgL_l2228z00_494 = BgL_l2228z00_1144;
										goto BgL_forzd2each2229zd2_495;
									}
								}
							else
								{	/* Engine/heap.scm 96 */
									BgL_auxz00_1135 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1135);
				}
			}
		}
	}



/* <anonymous:2269> */
	obj_t BGl_zc3anonymousza32269ze3z83zzengine_heapz00(obj_t BgL_envz00_940,
		obj_t BgL_newz00_941)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_481;

				BgL_newz00_481 = BgL_newz00_941;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg2270z00_483;
					obj_t BgL_arg2271z00_484;
					obj_t BgL_arg2272z00_485;

					{	/* Engine/heap.scm 89 */
						BgL_globalz00_bglt BgL_obj1452z00_847;

						BgL_obj1452z00_847 = (BgL_globalz00_bglt) (BgL_newz00_481);
						BgL_arg2270z00_483 =
							(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_847))->BgL_modulez00);
					}
					{	/* Engine/heap.scm 90 */
						BgL_globalz00_bglt BgL_obj1473z00_848;

						BgL_obj1473z00_848 = (BgL_globalz00_bglt) (BgL_newz00_481);
						BgL_arg2271z00_484 =
							(((BgL_globalz00_bglt) CREF(BgL_obj1473z00_848))->
							BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2272z00_485 = BGl_shapez00zztools_shapez00(BgL_newz00_481);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list2273z00_486;

						BgL_list2273z00_486 = MAKE_PAIR(BgL_arg2272z00_485, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2270z00_483,
							BgL_arg2271z00_484, BgL_list2273z00_486);
					}
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_3,
				make_fx_procedure(BGl_zc3anonymousza32299ze3z83zzengine_heapz00,
					(int) (((long) 2)), (int) (((long) 0))));
		}
	}



/* <anonymous:2299> */
	obj_t BGl_zc3anonymousza32299ze3z83zzengine_heapz00(obj_t BgL_envz00_943,
		obj_t BgL_kz00_944, obj_t BgL_bucketz00_945)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_534;
				obj_t BgL_bucketz00_535;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1158;

					BgL_kz00_534 = BgL_kz00_944;
					BgL_bucketz00_535 = BgL_bucketz00_945;
					{
						obj_t BgL_newz00_544;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g2243z00_537;

							BgL_g2243z00_537 = CDR(BgL_bucketz00_535);
							{
								obj_t BgL_l2241z00_538;

								BgL_l2241z00_538 = BgL_g2243z00_537;
							BgL_forzd2each2242zd2_539:
								if (PAIRP(BgL_l2241z00_538))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_544 = CAR(BgL_l2241z00_538);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_546;

											{	/* Engine/heap.scm 123 */
												BgL_globalz00_bglt BgL_obj1452z00_889;

												BgL_obj1452z00_889 =
													(BgL_globalz00_bglt) (BgL_newz00_544);
												BgL_modulez00_546 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_889))->
													BgL_modulez00);
											}
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_547;

												{	/* Engine/heap.scm 124 */
													BgL_variablez00_bglt BgL_obj1377z00_890;

													BgL_obj1377z00_890 =
														(BgL_variablez00_bglt) (BgL_newz00_544);
													BgL_idz00_547 =
														(((BgL_variablez00_bglt) CREF(BgL_obj1377z00_890))->
														BgL_idz00);
												}
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_548;

													BgL_qtz00_548 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_546);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_549;

														{	/* Engine/heap.scm 126 */
															BgL_globalz00_bglt BgL_obj1473z00_891;

															BgL_obj1473z00_891 =
																(BgL_globalz00_bglt) (BgL_newz00_544);
															BgL_jtz00_549 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_obj1473z00_891))->
																BgL_jvmzd2typezd2namez00);
														}
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_550;

															{	/* Engine/heap.scm 127 */
																BgL_variablez00_bglt BgL_obj1386z00_892;

																BgL_obj1386z00_892 =
																	(BgL_variablez00_bglt) (BgL_newz00_544);
																BgL_valz00_550 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1386z00_892))->BgL_valuez00);
															}
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_551;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1171;

																	{	/* Engine/heap.scm 129 */
																		obj_t BgL_obj1729z00_893;

																		BgL_obj1729z00_893 =
																			(obj_t) (BgL_valz00_550);
																		BgL_testz00_1171 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj1729z00_893,
																			BGl_sfunz00zzast_varz00);
																	}
																	if (BgL_testz00_1171)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_551 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1175;

																			{	/* Engine/heap.scm 130 */
																				obj_t BgL_obj1794z00_894;

																				BgL_obj1794z00_894 =
																					(obj_t) (BgL_valz00_550);
																				BgL_testz00_1175 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1794z00_894,
																					BGl_cfunz00zzast_varz00);
																			}
																			if (BgL_testz00_1175)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_551 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_551 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port2240z00_552;

																		BgL_port2240z00_552 =
																			BGL_CURRENT_OUTPUT_PORT();
																		bgl_display_string
																			(BGl_string2439z00zzengine_heapz00,
																			BgL_port2240z00_552);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg2304z00_553;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg2305z00_554;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg2306z00_555;
																					obj_t BgL_arg2308z00_557;
																					obj_t BgL_arg2310z00_559;
																					obj_t BgL_arg2312z00_561;
																					obj_t BgL_arg2314z00_563;
																					obj_t BgL_arg2315z00_564;
																					obj_t BgL_arg2316z00_565;
																					obj_t BgL_arg2318z00_567;

																					BgL_arg2306z00_555 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_544);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg2333z00_582;
																						obj_t BgL_arg2334z00_583;

																						BgL_arg2333z00_582 =
																							CNST_TABLE_REF(((long) 4));
																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_list2335z00_584;

																							BgL_list2335z00_584 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2334z00_583 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_547,
																								BgL_list2335z00_584);
																						}
																						BgL_arg2308z00_557 =
																							MAKE_PAIR(BgL_arg2333z00_582,
																							BgL_arg2334z00_583);
																					}
																					{	/* Engine/heap.scm 137 */
																						obj_t BgL_arg2336z00_585;
																						obj_t BgL_arg2337z00_586;

																						BgL_arg2336z00_585 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Engine/heap.scm 137 */
																							obj_t BgL_list2338z00_587;

																							BgL_list2338z00_587 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2337z00_586 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_modulez00_546,
																								BgL_list2338z00_587);
																						}
																						BgL_arg2310z00_559 =
																							MAKE_PAIR(BgL_arg2336z00_585,
																							BgL_arg2337z00_586);
																					}
																					{	/* Engine/heap.scm 139 */
																						obj_t BgL_arg2340z00_588;
																						obj_t BgL_arg2341z00_589;

																						BgL_arg2340z00_588 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Engine/heap.scm 139 */
																							obj_t BgL_arg2342z00_590;

																							{	/* Engine/heap.scm 139 */
																								BgL_variablez00_bglt
																									BgL_obj1378z00_897;
																								BgL_obj1378z00_897 =
																									(BgL_variablez00_bglt)
																									(BgL_newz00_544);
																								BgL_arg2342z00_590 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1378z00_897))->
																									BgL_namez00);
																							}
																							{	/* Engine/heap.scm 139 */
																								obj_t BgL_list2344z00_592;

																								BgL_list2344z00_592 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2341z00_589 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2342z00_590,
																									BgL_list2344z00_592);
																						}}
																						BgL_arg2312z00_561 =
																							MAKE_PAIR(BgL_arg2340z00_588,
																							BgL_arg2341z00_589);
																					}
																					{	/* Engine/heap.scm 141 */
																						obj_t BgL_arg2346z00_593;
																						obj_t BgL_arg2347z00_594;

																						BgL_arg2346z00_593 =
																							CNST_TABLE_REF(((long) 7));
																						{	/* Engine/heap.scm 141 */
																							obj_t BgL_list2348z00_595;

																							BgL_list2348z00_595 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2347z00_594 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_qtz00_548,
																								BgL_list2348z00_595);
																						}
																						BgL_arg2314z00_563 =
																							MAKE_PAIR(BgL_arg2346z00_593,
																							BgL_arg2347z00_594);
																					}
																					{	/* Engine/heap.scm 142 */
																						bool_t BgL_testz00_1201;

																						{	/* Engine/heap.scm 142 */
																							bool_t BgL_testz00_1202;

																							{	/* Engine/heap.scm 142 */
																								obj_t BgL_obj1729z00_898;

																								BgL_obj1729z00_898 =
																									(obj_t) (BgL_valz00_550);
																								BgL_testz00_1202 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1729z00_898,
																									BGl_sfunz00zzast_varz00);
																							}
																							if (BgL_testz00_1202)
																								{	/* Engine/heap.scm 142 */
																									obj_t BgL_auxz00_1205;

																									{	/* Engine/heap.scm 142 */
																										BgL_sfunz00_bglt
																											BgL_obj1661z00_899;
																										BgL_obj1661z00_899 =
																											(BgL_sfunz00_bglt)
																											(BgL_valz00_550);
																										BgL_auxz00_1205 =
																											(((BgL_sfunz00_bglt)
																												CREF
																												(BgL_obj1661z00_899))->
																											BgL_classz00);
																									}
																									BgL_testz00_1201 =
																										(BgL_auxz00_1205 ==
																										CNST_TABLE_REF(((long) 8)));
																								}
																							else
																								{	/* Engine/heap.scm 142 */
																									BgL_testz00_1201 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_1201)
																							{	/* Engine/heap.scm 142 */
																								BgL_arg2315z00_564 =
																									BGl_string2440z00zzengine_heapz00;
																							}
																						else
																							{	/* Engine/heap.scm 142 */
																								BgL_arg2315z00_564 =
																									BGl_string2441z00zzengine_heapz00;
																							}
																					}
																					{	/* Engine/heap.scm 145 */
																						bool_t BgL_testz00_1210;

																						{	/* Engine/heap.scm 145 */
																							bool_t BgL_testz00_1211;

																							{	/* Engine/heap.scm 145 */
																								obj_t BgL_obj1729z00_900;

																								BgL_obj1729z00_900 =
																									(obj_t) (BgL_valz00_550);
																								BgL_testz00_1211 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1729z00_900,
																									BGl_sfunz00zzast_varz00);
																							}
																							if (BgL_testz00_1211)
																								{	/* Engine/heap.scm 145 */
																									obj_t BgL_auxz00_1214;

																									{	/* Engine/heap.scm 145 */
																										BgL_sfunz00_bglt
																											BgL_obj1661z00_901;
																										BgL_obj1661z00_901 =
																											(BgL_sfunz00_bglt)
																											(BgL_valz00_550);
																										BgL_auxz00_1214 =
																											(((BgL_sfunz00_bglt)
																												CREF
																												(BgL_obj1661z00_901))->
																											BgL_classz00);
																									}
																									BgL_testz00_1210 =
																										(BgL_auxz00_1214 ==
																										CNST_TABLE_REF(((long) 8)));
																								}
																							else
																								{	/* Engine/heap.scm 145 */
																									BgL_testz00_1210 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_1210)
																							{	/* Engine/heap.scm 146 */
																								obj_t BgL_arg2354z00_601;
																								obj_t BgL_arg2355z00_602;

																								BgL_arg2354z00_601 =
																									CNST_TABLE_REF(((long) 9));
																								{	/* Engine/heap.scm 146 */
																									obj_t BgL_arg2356z00_603;

																									{	/* Engine/heap.scm 146 */
																										obj_t BgL_arg2359z00_606;

																										{	/* Engine/heap.scm 146 */
																											BgL_sfunz00_bglt
																												BgL_obj1658z00_902;
																											BgL_obj1658z00_902 =
																												(BgL_sfunz00_bglt)
																												(BgL_valz00_550);
																											BgL_arg2359z00_606 =
																												(((BgL_sfunz00_bglt)
																													CREF
																													(BgL_obj1658z00_902))->
																												BgL_bodyz00);
																										}
																										BgL_arg2356z00_603 =
																											BGl_shapez00zztools_shapez00
																											(BgL_arg2359z00_606);
																									}
																									{	/* Engine/heap.scm 146 */
																										obj_t BgL_list2358z00_605;

																										BgL_list2358z00_605 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2355z00_602 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2356z00_603,
																											BgL_list2358z00_605);
																								}}
																								BgL_arg2316z00_565 =
																									MAKE_PAIR(BgL_arg2354z00_601,
																									BgL_arg2355z00_602);
																							}
																						else
																							{	/* Engine/heap.scm 145 */
																								BgL_arg2316z00_565 =
																									BGl_string2441z00zzengine_heapz00;
																							}
																					}
																					{	/* Engine/heap.scm 149 */
																						obj_t BgL_arg2363z00_610;
																						obj_t BgL_arg2364z00_611;

																						BgL_arg2363z00_610 =
																							CNST_TABLE_REF(((long) 10));
																						{	/* Engine/heap.scm 149 */
																							obj_t BgL_list2365z00_612;

																							BgL_list2365z00_612 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2364z00_611 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_jtz00_549,
																								BgL_list2365z00_612);
																						}
																						BgL_arg2318z00_567 =
																							MAKE_PAIR(BgL_arg2363z00_610,
																							BgL_arg2364z00_611);
																					}
																					{	/* Engine/heap.scm 132 */
																						obj_t BgL_list2320z00_569;

																						{	/* Engine/heap.scm 132 */
																							obj_t BgL_arg2321z00_570;

																							{	/* Engine/heap.scm 132 */
																								obj_t BgL_arg2322z00_571;

																								{	/* Engine/heap.scm 132 */
																									obj_t BgL_arg2323z00_572;

																									{	/* Engine/heap.scm 132 */
																										obj_t BgL_arg2324z00_573;

																										{	/* Engine/heap.scm 132 */
																											obj_t BgL_arg2325z00_574;

																											{	/* Engine/heap.scm 132 */
																												obj_t
																													BgL_arg2326z00_575;
																												{	/* Engine/heap.scm 132 */
																													obj_t
																														BgL_arg2327z00_576;
																													{	/* Engine/heap.scm 132 */
																														obj_t
																															BgL_arg2328z00_577;
																														{	/* Engine/heap.scm 132 */
																															obj_t
																																BgL_arg2329z00_578;
																															{	/* Engine/heap.scm 132 */
																																obj_t
																																	BgL_arg2330z00_579;
																																{	/* Engine/heap.scm 132 */
																																	obj_t
																																		BgL_arg2331z00_580;
																																	{	/* Engine/heap.scm 132 */
																																		obj_t
																																			BgL_arg2332z00_581;
																																		BgL_arg2332z00_581
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2331z00_580
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2318z00_567,
																																			BgL_arg2332z00_581);
																																	}
																																	BgL_arg2330z00_579
																																		=
																																		MAKE_PAIR
																																		(BGl_string2440z00zzengine_heapz00,
																																		BgL_arg2331z00_580);
																																}
																																BgL_arg2329z00_578
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2316z00_565,
																																	BgL_arg2330z00_579);
																															}
																															BgL_arg2328z00_577
																																=
																																MAKE_PAIR
																																(BgL_arg2315z00_564,
																																BgL_arg2329z00_578);
																														}
																														BgL_arg2327z00_576 =
																															MAKE_PAIR
																															(BgL_arg2314z00_563,
																															BgL_arg2328z00_577);
																													}
																													BgL_arg2326z00_575 =
																														MAKE_PAIR
																														(BGl_string2440z00zzengine_heapz00,
																														BgL_arg2327z00_576);
																												}
																												BgL_arg2325z00_574 =
																													MAKE_PAIR
																													(BgL_arg2312z00_561,
																													BgL_arg2326z00_575);
																											}
																											BgL_arg2324z00_573 =
																												MAKE_PAIR
																												(BGl_string2440z00zzengine_heapz00,
																												BgL_arg2325z00_574);
																										}
																										BgL_arg2323z00_572 =
																											MAKE_PAIR
																											(BgL_arg2310z00_559,
																											BgL_arg2324z00_573);
																									}
																									BgL_arg2322z00_571 =
																										MAKE_PAIR
																										(BGl_string2440z00zzengine_heapz00,
																										BgL_arg2323z00_572);
																								}
																								BgL_arg2321z00_570 =
																									MAKE_PAIR(BgL_arg2308z00_557,
																									BgL_arg2322z00_571);
																							}
																							BgL_list2320z00_569 =
																								MAKE_PAIR
																								(BGl_string2440z00zzengine_heapz00,
																								BgL_arg2321z00_570);
																						}
																						BgL_arg2305z00_554 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2306z00_555,
																							BgL_list2320z00_569);
																				}}
																				BgL_arg2304z00_553 =
																					MAKE_PAIR(BgL_kindz00_551,
																					BgL_arg2305z00_554);
																			}
																			bgl_display_obj(BgL_arg2304z00_553,
																				BgL_port2240z00_552);
																		}
																		BGL_DISPLAY_CHAR(((unsigned char) '\n'),
																			BgL_port2240z00_552);
										}}}}}}}}
										{
											obj_t BgL_l2241z00_1248;

											BgL_l2241z00_1248 = CDR(BgL_l2241z00_538);
											BgL_l2241z00_538 = BgL_l2241z00_1248;
											goto BgL_forzd2each2242zd2_539;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1158 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1158);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_4,
				make_fx_procedure(BGl_zc3anonymousza32369ze3z83zzengine_heapz00,
					(int) (((long) 2)), (int) (((long) 0))));
		}
	}



/* <anonymous:2369> */
	obj_t BGl_zc3anonymousza32369ze3z83zzengine_heapz00(obj_t BgL_envz00_947,
		obj_t BgL_kz00_948, obj_t BgL_newz00_949)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_617;
				obj_t BgL_newz00_618;

				BgL_kz00_617 = BgL_kz00_948;
				BgL_newz00_618 = BgL_newz00_949;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_620;

					{	/* Engine/heap.scm 160 */
						BgL_typez00_bglt BgL_obj1865z00_904;

						BgL_obj1865z00_904 = (BgL_typez00_bglt) (BgL_newz00_618);
						BgL_idz00_620 =
							(((BgL_typez00_bglt) CREF(BgL_obj1865z00_904))->BgL_idz00);
					}
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_621;

						{	/* Engine/heap.scm 161 */
							BgL_typez00_bglt BgL_obj1866z00_905;

							BgL_obj1866z00_905 = (BgL_typez00_bglt) (BgL_newz00_618);
							BgL_namez00_621 =
								(((BgL_typez00_bglt) CREF(BgL_obj1866z00_905))->BgL_namez00);
						}
						{	/* Engine/heap.scm 161 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_618,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 164 */
									obj_t BgL_port2250z00_624;

									BgL_port2250z00_624 = BGL_CURRENT_OUTPUT_PORT();
									bgl_display_string(BGl_string2439z00zzengine_heapz00,
										BgL_port2250z00_624);
									{	/* Engine/heap.scm 165 */
										obj_t BgL_arg2372z00_625;

										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg2373z00_626;
											obj_t BgL_arg2374z00_627;

											BgL_arg2373z00_626 = CNST_TABLE_REF(((long) 11));
											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg2375z00_628;
												obj_t BgL_arg2376z00_629;
												obj_t BgL_arg2378z00_630;

												BgL_arg2375z00_628 =
													BGl_shapez00zztools_shapez00(BgL_newz00_618);
												{	/* Engine/heap.scm 166 */
													obj_t BgL_arg2381z00_633;
													obj_t BgL_arg2382z00_634;

													BgL_arg2381z00_633 = CNST_TABLE_REF(((long) 12));
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg2384z00_635;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg2389z00_638;

															{	/* Engine/heap.scm 166 */
																BgL_tclassz00_bglt BgL_obj2000z00_909;

																BgL_obj2000z00_909 =
																	(BgL_tclassz00_bglt) (BgL_newz00_618);
																{
																	obj_t BgL_auxz00_1267;

																	{	/* Engine/heap.scm 166 */
																		BgL_objectz00_bglt BgL_auxz00_1268;

																		BgL_auxz00_1268 =
																			(BgL_objectz00_bglt) (BgL_obj2000z00_909);
																		BgL_auxz00_1267 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1268);
																	}
																	BgL_arg2389z00_638 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1267))->
																		BgL_itszd2superzd2);
															}}
															BgL_arg2384z00_635 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2389z00_638);
														}
														{	/* Engine/heap.scm 166 */
															obj_t BgL_list2386z00_637;

															BgL_list2386z00_637 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2382z00_634 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2384z00_635, BgL_list2386z00_637);
													}}
													BgL_arg2376z00_629 =
														MAKE_PAIR(BgL_arg2381z00_633, BgL_arg2382z00_634);
												}
												{	/* Engine/heap.scm 167 */
													obj_t BgL_arg2390z00_639;

													{	/* Engine/heap.scm 167 */
														obj_t BgL_l2244z00_641;

														{	/* Engine/heap.scm 167 */
															BgL_tclassz00_bglt BgL_obj2003z00_910;

															BgL_obj2003z00_910 =
																(BgL_tclassz00_bglt) (BgL_newz00_618);
															{
																obj_t BgL_auxz00_1277;

																{	/* Engine/heap.scm 167 */
																	BgL_objectz00_bglt BgL_auxz00_1278;

																	BgL_auxz00_1278 =
																		(BgL_objectz00_bglt) (BgL_obj2003z00_910);
																	BgL_auxz00_1277 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1278);
																}
																BgL_l2244z00_641 =
																	(((BgL_tclassz00_bglt)
																		CREF(BgL_auxz00_1277))->BgL_slotsz00);
														}}
														if (NULLP(BgL_l2244z00_641))
															{	/* Engine/heap.scm 167 */
																BgL_arg2390z00_639 = BNIL;
															}
														else
															{	/* Engine/heap.scm 167 */
																obj_t BgL_head2246z00_643;

																BgL_head2246z00_643 =
																	MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
																		(BgL_l2244z00_641)), BNIL);
																{	/* Engine/heap.scm 167 */
																	obj_t BgL_g2249z00_644;

																	BgL_g2249z00_644 = CDR(BgL_l2244z00_641);
																	{
																		obj_t BgL_l2244z00_645;
																		obj_t BgL_tail2247z00_646;

																		BgL_l2244z00_645 = BgL_g2249z00_644;
																		BgL_tail2247z00_646 = BgL_head2246z00_643;
																	BgL_map2245z00_647:
																		if (NULLP(BgL_l2244z00_645))
																			{	/* Engine/heap.scm 167 */
																				BgL_arg2390z00_639 =
																					BgL_head2246z00_643;
																			}
																		else
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_newtail2248z00_649;

																				BgL_newtail2248z00_649 =
																					MAKE_PAIR(BGl_shapez00zztools_shapez00
																					(CAR(BgL_l2244z00_645)), BNIL);
																				SET_CDR(BgL_tail2247z00_646,
																					BgL_newtail2248z00_649);
																				{
																					obj_t BgL_tail2247z00_1296;
																					obj_t BgL_l2244z00_1294;

																					BgL_l2244z00_1294 =
																						CDR(BgL_l2244z00_645);
																					BgL_tail2247z00_1296 =
																						BgL_newtail2248z00_649;
																					BgL_tail2247z00_646 =
																						BgL_tail2247z00_1296;
																					BgL_l2244z00_645 = BgL_l2244z00_1294;
																					goto BgL_map2245z00_647;
																				}
																			}
																	}
																}
															}
													}
													BgL_arg2378z00_630 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2390z00_639, BNIL);
												}
												{	/* Engine/heap.scm 165 */
													obj_t BgL_list2379z00_631;

													{	/* Engine/heap.scm 165 */
														obj_t BgL_arg2380z00_632;

														BgL_arg2380z00_632 =
															MAKE_PAIR(BgL_arg2378z00_630, BNIL);
														BgL_list2379z00_631 =
															MAKE_PAIR(BgL_arg2376z00_629, BgL_arg2380z00_632);
													}
													BgL_arg2374z00_627 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2375z00_628, BgL_list2379z00_631);
												}
											}
											BgL_arg2372z00_625 =
												MAKE_PAIR(BgL_arg2373z00_626, BgL_arg2374z00_627);
										}
										bgl_display_obj(BgL_arg2372z00_625, BgL_port2250z00_624);
									}
									return
										BGL_DISPLAY_CHAR(((unsigned char) '\n'),
										BgL_port2250z00_624);
								}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port2251z00_657;

									BgL_port2251z00_657 = BGL_CURRENT_OUTPUT_PORT();
									bgl_display_string(BGl_string2439z00zzengine_heapz00,
										BgL_port2251z00_657);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg2401z00_658;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg2402z00_659;
											obj_t BgL_arg2403z00_660;

											BgL_arg2402z00_659 = CNST_TABLE_REF(((long) 13));
											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg2404z00_661;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg2408z00_665;
													obj_t BgL_arg2409z00_666;

													BgL_arg2408z00_665 = CNST_TABLE_REF(((long) 6));
													{	/* Engine/heap.scm 168 */
														obj_t BgL_list2410z00_667;

														BgL_list2410z00_667 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2409z00_666 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_namez00_621, BgL_list2410z00_667);
													}
													BgL_arg2404z00_661 =
														MAKE_PAIR(BgL_arg2408z00_665, BgL_arg2409z00_666);
												}
												{	/* Engine/heap.scm 168 */
													obj_t BgL_list2406z00_663;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg2407z00_664;

														BgL_arg2407z00_664 = MAKE_PAIR(BNIL, BNIL);
														BgL_list2406z00_663 =
															MAKE_PAIR(BgL_arg2404z00_661, BgL_arg2407z00_664);
													}
													BgL_arg2403z00_660 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_idz00_620, BgL_list2406z00_663);
											}}
											BgL_arg2401z00_658 =
												MAKE_PAIR(BgL_arg2402z00_659, BgL_arg2403z00_660);
										}
										bgl_display_obj(BgL_arg2401z00_658, BgL_port2251z00_657);
									}
									return
										BGL_DISPLAY_CHAR(((unsigned char) '\n'),
										BgL_port2251z00_657);
		}}}}}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 307873065),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 284127067),
				BSTRING_TO_STRING(BGl_string2442z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
