/*===========================================================================*/
/*   (Expand/lambda.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/lambda.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl__expandzd2lambdazd2zzexpand_lambdaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00();
	static obj_t BGl_zc3anonymousza31335ze3z83zzexpand_lambdaz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
		BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
	static obj_t BGl_zc3anonymousza31344ze3z83zzexpand_lambdaz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t,
		obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_emapz00zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_zc3anonymousza31360ze3z83zzexpand_lambdaz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00();
	static obj_t BGl_zc3anonymousza31364ze3z83zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl__expandzd2argszd2zzexpand_lambdaz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_zc3anonymousza31377ze3z83zzexpand_lambdaz00(obj_t);
	static obj_t BGl_zc3anonymousza31380ze3z83zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t);
	static obj_t BGl_loopz00zzexpand_lambdaz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl__internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
	static obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_lambdaz00();
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string1462z00zzexpand_lambdaz00,
		BgL_bgl_string1462za700za7za7e1471za7, "expand", 6);
	      DEFINE_STRING(BGl_string1463z00zzexpand_lambdaz00,
		BgL_bgl_string1463za700za7za7e1472za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1464z00zzexpand_lambdaz00,
		BgL_bgl_string1464za700za7za7e1473za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string1465z00zzexpand_lambdaz00,
		BgL_bgl_string1465za700za7za7e1474za7, "Illegal `begin' form", 20);
	      DEFINE_STRING(BGl_string1466z00zzexpand_lambdaz00,
		BgL_bgl_string1466za700za7za7e1475za7, "expand_lambda", 13);
	      DEFINE_STRING(BGl_string1467z00zzexpand_lambdaz00,
		BgL_bgl_string1467za700za7za7e1476za7, "letrec define begin _ ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2argszd2envz00zzexpand_lambdaz00,
		BgL_bgl__expandza7d2argsza7d1477z00,
		BGl__expandzd2argszd2zzexpand_lambdaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2lambdazd2envz00zzexpand_lambdaz00,
		BgL_bgl__expandza7d2lambda1478za7,
		BGl__expandzd2lambdazd2zzexpand_lambdaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internalzd2beginzd2expanderzd2envzd2zzexpand_lambdaz00,
		BgL_bgl__internalza7d2begi1479za7,
		BGl__internalzd2beginzd2expanderz00zzexpand_lambdaz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long
		BgL_checksumz00_370, char *BgL_fromz00_371)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_lambdaz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
					BGl_cnstzd2initzd2zzexpand_lambdaz00();
					BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
					BGl_toplevelzd2initzd2zzexpand_lambdaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_lambda");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_lambda");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_lambda");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_lambda");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			{	/* Expand/lambda.scm 15 */
				obj_t BgL_cportz00_358;

				BgL_cportz00_358 =
					bgl_open_input_string(BGl_string1467z00zzexpand_lambdaz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_359;

					BgL_iz00_359 = ((long) 3);
				BgL_loopz00_360:
					if ((BgL_iz00_359 == ((long) -1)))
						{	/* Expand/lambda.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/lambda.scm 15 */
							{	/* Expand/lambda.scm 15 */
								obj_t BgL_arg1470z00_362;

								{	/* Expand/lambda.scm 15 */

									{	/* Expand/lambda.scm 15 */
										obj_t BgL_locationz00_364;

										BgL_locationz00_364 = BBOOL(((bool_t) 0));
										{	/* Expand/lambda.scm 15 */

											BgL_arg1470z00_362 =
												BGl_readz00zz__readerz00(BgL_cportz00_358,
												BgL_locationz00_364);
										}
									}
								}
								{	/* Expand/lambda.scm 15 */
									int BgL_auxz00_389;

									BgL_auxz00_389 = (int) (BgL_iz00_359);
									CNST_TABLE_SET(BgL_auxz00_389, BgL_arg1470z00_362);
							}}
							{	/* Expand/lambda.scm 15 */
								int BgL_auxz00_365;

								BgL_auxz00_365 = (int) ((BgL_iz00_359 - ((long) 1)));
								{
									long BgL_iz00_394;

									BgL_iz00_394 = (long) (BgL_auxz00_365);
									BgL_iz00_359 = BgL_iz00_394;
									goto BgL_loopz00_360;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return (BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
				BFALSE, BUNSPEC);
		}
	}



/* expand-args */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t
		BgL_argsz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 37 */
			return BGl_loopz00zzexpand_lambdaz00(BgL_ez00_2, BgL_argsz00_1);
		}
	}



/* loop */
	obj_t BGl_loopz00zzexpand_lambdaz00(obj_t BgL_ez00_357, obj_t BgL_argsz00_34)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 38 */
			if (NULLP(BgL_argsz00_34))
				{	/* Expand/lambda.scm 40 */
					return BNIL;
				}
			else
				{	/* Expand/lambda.scm 40 */
					if (SYMBOLP(BgL_argsz00_34))
						{	/* Expand/lambda.scm 42 */
							return BgL_argsz00_34;
						}
					else
						{	/* Expand/lambda.scm 42 */
							if (PAIRP(BgL_argsz00_34))
								{	/* Expand/lambda.scm 46 */
									bool_t BgL_testz00_403;

									{	/* Expand/lambda.scm 46 */
										bool_t BgL_testz00_404;

										{	/* Expand/lambda.scm 46 */
											obj_t BgL_auxz00_405;

											BgL_auxz00_405 = CAR(BgL_argsz00_34);
											BgL_testz00_404 = PAIRP(BgL_auxz00_405);
										}
										if (BgL_testz00_404)
											{	/* Expand/lambda.scm 47 */
												bool_t BgL_testz00_408;

												{	/* Expand/lambda.scm 47 */
													obj_t BgL_auxz00_409;

													BgL_auxz00_409 = CDR(CAR(BgL_argsz00_34));
													BgL_testz00_408 = PAIRP(BgL_auxz00_409);
												}
												if (BgL_testz00_408)
													{	/* Expand/lambda.scm 48 */
														obj_t BgL_auxz00_413;

														{	/* Expand/lambda.scm 48 */
															obj_t BgL_pairz00_256;

															BgL_pairz00_256 = CAR(BgL_argsz00_34);
															BgL_auxz00_413 = CDR(CDR(BgL_pairz00_256));
														}
														BgL_testz00_403 = NULLP(BgL_auxz00_413);
													}
												else
													{	/* Expand/lambda.scm 47 */
														BgL_testz00_403 = ((bool_t) 0);
													}
											}
										else
											{	/* Expand/lambda.scm 46 */
												BgL_testz00_403 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_403)
										{	/* Expand/lambda.scm 51 */
											obj_t BgL_arg1302z00_40;
											obj_t BgL_arg1303z00_41;

											{	/* Expand/lambda.scm 51 */
												obj_t BgL_arg1304z00_42;
												obj_t BgL_arg1305z00_43;

												BgL_arg1304z00_42 = CAR(CAR(BgL_argsz00_34));
												{	/* Expand/lambda.scm 51 */
													obj_t BgL_arg1311z00_47;

													{	/* Expand/lambda.scm 51 */
														obj_t BgL_pairz00_264;

														BgL_pairz00_264 = CAR(BgL_argsz00_34);
														BgL_arg1311z00_47 = CAR(CDR(BgL_pairz00_264));
													}
													BgL_arg1305z00_43 =
														PROCEDURE_ENTRY(BgL_ez00_357) (BgL_ez00_357,
														BgL_arg1311z00_47, BgL_ez00_357, BEOA);
												}
												{	/* Expand/lambda.scm 51 */
													obj_t BgL_list1306z00_44;

													{	/* Expand/lambda.scm 51 */
														obj_t BgL_arg1307z00_45;

														BgL_arg1307z00_45 =
															MAKE_PAIR(BgL_arg1305z00_43, BNIL);
														BgL_list1306z00_44 =
															MAKE_PAIR(BgL_arg1304z00_42, BgL_arg1307z00_45);
													}
													BgL_arg1302z00_40 = BgL_list1306z00_44;
												}
											}
											BgL_arg1303z00_41 =
												BGl_loopz00zzexpand_lambdaz00(BgL_ez00_357,
												CDR(BgL_argsz00_34));
											return MAKE_PAIR(BgL_arg1302z00_40, BgL_arg1303z00_41);
										}
									else
										{	/* Expand/lambda.scm 46 */
											return
												MAKE_PAIR(CAR(BgL_argsz00_34),
												BGl_loopz00zzexpand_lambdaz00(BgL_ez00_357,
													CDR(BgL_argsz00_34)));
										}
								}
							else
								{	/* Expand/lambda.scm 44 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string1462z00zzexpand_lambdaz00,
										BGl_string1463z00zzexpand_lambdaz00, BgL_argsz00_34);
								}
						}
				}
		}
	}



/* _expand-args */
	obj_t BGl__expandzd2argszd2zzexpand_lambdaz00(obj_t BgL_envz00_322,
		obj_t BgL_argsz00_323, obj_t BgL_ez00_324)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 37 */
			return BGl_loopz00zzexpand_lambdaz00(BgL_ez00_324, BgL_argsz00_323);
		}
	}



/* expand-lambda */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 57 */
			{	/* Expand/lambda.scm 58 */
				obj_t BgL_oldzd2internalzd2_60;

				BgL_oldzd2internalzd2_60 =
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
				BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
				{	/* Expand/lambda.scm 60 */
					obj_t BgL_resz00_61;

					{
						obj_t BgL_lamz00_62;
						obj_t BgL_argsz00_63;
						obj_t BgL_bodyz00_64;

						if (PAIRP(BgL_xz00_3))
							{	/* Expand/lambda.scm 60 */
								obj_t BgL_cdrzd21197zd2_69;

								BgL_cdrzd21197zd2_69 = CDR(BgL_xz00_3);
								if (PAIRP(BgL_cdrzd21197zd2_69))
									{	/* Expand/lambda.scm 60 */
										obj_t BgL_cdrzd21202zd2_71;

										BgL_cdrzd21202zd2_71 = CDR(BgL_cdrzd21197zd2_69);
										if (NULLP(BgL_cdrzd21202zd2_71))
											{	/* Expand/lambda.scm 60 */
											BgL_tagzd21188zd2_66:
												BgL_resz00_61 =
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1464z00zzexpand_lambdaz00, BgL_xz00_3);
											}
										else
											{	/* Expand/lambda.scm 60 */
												BgL_lamz00_62 = CAR(BgL_xz00_3);
												BgL_argsz00_63 = CAR(BgL_cdrzd21197zd2_69);
												BgL_bodyz00_64 = BgL_cdrzd21202zd2_71;
												{	/* Expand/lambda.scm 62 */
													obj_t BgL_arg1331z00_75;
													obj_t BgL_arg1332z00_76;
													obj_t BgL_arg1333z00_77;

													BgL_arg1331z00_75 =
														BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_63);
													BgL_arg1332z00_76 = CNST_TABLE_REF(((long) 0));
													BgL_arg1333z00_77 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_xz00_3);
													{	/* Expand/lambda.scm 66 */
														obj_t BgL_zc3anonymousza31335ze3z83_325;

														BgL_zc3anonymousza31335ze3z83_325 =
															make_fx_procedure
															(BGl_zc3anonymousza31335ze3z83zzexpand_lambdaz00,
															(int) (((long) 0)), (int) (((long) 4)));
														PROCEDURE_SET(BgL_zc3anonymousza31335ze3z83_325,
															(int) (((long) 0)), BgL_ez00_4);
														PROCEDURE_SET(BgL_zc3anonymousza31335ze3z83_325,
															(int) (((long) 1)), BgL_argsz00_63);
														PROCEDURE_SET(BgL_zc3anonymousza31335ze3z83_325,
															(int) (((long) 2)), BgL_bodyz00_64);
														PROCEDURE_SET(BgL_zc3anonymousza31335ze3z83_325,
															(int) (((long) 3)), BgL_lamz00_62);
														BgL_resz00_61 =
															BGl_withzd2lexicalzd2zzexpand_epsz00
															(BgL_arg1331z00_75, BgL_arg1332z00_76,
															BgL_arg1333z00_77,
															BgL_zc3anonymousza31335ze3z83_325);
									}}}}
								else
									{	/* Expand/lambda.scm 60 */
										goto BgL_tagzd21188zd2_66;
									}
							}
						else
							{	/* Expand/lambda.scm 60 */
								goto BgL_tagzd21188zd2_66;
							}
					}
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
						BgL_oldzd2internalzd2_60;
					return BGl_replacez12z12zztools_miscz00(BgL_xz00_3, BgL_resz00_61);
				}
			}
		}
	}



/* _expand-lambda */
	obj_t BGl__expandzd2lambdazd2zzexpand_lambdaz00(obj_t BgL_envz00_326,
		obj_t BgL_xz00_327, obj_t BgL_ez00_328)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 57 */
			return
				BGl_expandzd2lambdazd2zzexpand_lambdaz00(BgL_xz00_327, BgL_ez00_328);
		}
	}



/* <anonymous:1335> */
	obj_t BGl_zc3anonymousza31335ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_329)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 65 */
			{	/* Expand/lambda.scm 66 */
				obj_t BgL_ez00_330;
				obj_t BgL_argsz00_331;
				obj_t BgL_bodyz00_332;
				obj_t BgL_lamz00_333;

				BgL_ez00_330 = PROCEDURE_REF(BgL_envz00_329, (int) (((long) 0)));
				BgL_argsz00_331 = PROCEDURE_REF(BgL_envz00_329, (int) (((long) 1)));
				BgL_bodyz00_332 = PROCEDURE_REF(BgL_envz00_329, (int) (((long) 2)));
				BgL_lamz00_333 = PROCEDURE_REF(BgL_envz00_329, (int) (((long) 3)));
				{

					{	/* Expand/lambda.scm 66 */
						obj_t BgL_ez00_80;

						BgL_ez00_80 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
							(BgL_ez00_330);
						{	/* Expand/lambda.scm 67 */
							obj_t BgL_arg1336z00_81;

							{	/* Expand/lambda.scm 67 */
								obj_t BgL_arg1337z00_82;
								obj_t BgL_arg1338z00_83;

								BgL_arg1337z00_82 =
									BGl_loopz00zzexpand_lambdaz00(BgL_ez00_80, BgL_argsz00_331);
								{	/* Expand/lambda.scm 68 */
									obj_t BgL_arg1343z00_87;

									BgL_arg1343z00_87 =
										BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_332);
									BgL_arg1338z00_83 =
										PROCEDURE_ENTRY(BgL_ez00_80) (BgL_ez00_80,
										BgL_arg1343z00_87, BgL_ez00_80, BEOA);
								}
								{	/* Expand/lambda.scm 67 */
									obj_t BgL_list1341z00_85;

									{	/* Expand/lambda.scm 67 */
										obj_t BgL_arg1342z00_86;

										BgL_arg1342z00_86 = MAKE_PAIR(BNIL, BNIL);
										BgL_list1341z00_85 =
											MAKE_PAIR(BgL_arg1338z00_83, BgL_arg1342z00_86);
									}
									BgL_arg1336z00_81 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1337z00_82, BgL_list1341z00_85);
							}}
							return MAKE_PAIR(BgL_lamz00_333, BgL_arg1336z00_81);
						}
					}
				}
			}
		}
	}



/* internal-begin-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t
		BgL_oldzd2expanderzd2_5)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 77 */
			{	/* Expand/lambda.scm 78 */
				obj_t BgL_zc3anonymousza31344ze3z83_338;

				BgL_zc3anonymousza31344ze3z83_338 =
					make_fx_procedure(BGl_zc3anonymousza31344ze3z83zzexpand_lambdaz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31344ze3z83_338,
					(int) (((long) 0)), BgL_oldzd2expanderzd2_5);
				return BgL_zc3anonymousza31344ze3z83_338;
			}
		}
	}



/* _internal-begin-expander */
	obj_t BGl__internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t
		BgL_envz00_339, obj_t BgL_oldzd2expanderzd2_340)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 77 */
			return
				BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
				(BgL_oldzd2expanderzd2_340);
		}
	}



/* <anonymous:1344> */
	obj_t BGl_zc3anonymousza31344ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_341,
		obj_t BgL_exprz00_343, obj_t BgL_expanderz00_344)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 78 */
			{	/* Expand/lambda.scm 78 */
				obj_t BgL_oldzd2expanderzd2_342;

				BgL_oldzd2expanderzd2_342 =
					PROCEDURE_REF(BgL_envz00_341, (int) (((long) 0)));
				{
					obj_t BgL_exprz00_89;
					obj_t BgL_expanderz00_90;

					BgL_exprz00_89 = BgL_exprz00_343;
					BgL_expanderz00_90 = BgL_expanderz00_344;
					{
						obj_t BgL_restz00_93;

						if (PAIRP(BgL_exprz00_89))
							{	/* Expand/lambda.scm 78 */
								if ((CAR(BgL_exprz00_89) == CNST_TABLE_REF(((long) 1))))
									{	/* Expand/lambda.scm 78 */
										if (NULLP(CDR(BgL_exprz00_89)))
											{	/* Expand/lambda.scm 78 */
												return BUNSPEC;
											}
										else
											{	/* Expand/lambda.scm 78 */
												BgL_restz00_93 = CDR(BgL_exprz00_89);
												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
													(BgL_restz00_93))
													{	/* Expand/lambda.scm 86 */
														obj_t BgL_arg1356z00_105;
														obj_t BgL_arg1357z00_106;
														obj_t BgL_arg1358z00_107;

														BgL_arg1356z00_105 =
															BGl_beginzd2bindingszd2zzexpand_lambdaz00
															(BgL_restz00_93);
														BgL_arg1357z00_106 = CNST_TABLE_REF(((long) 0));
														BgL_arg1358z00_107 =
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_exprz00_89);
														{	/* Expand/lambda.scm 91 */
															obj_t BgL_zc3anonymousza31360ze3z83_335;

															BgL_zc3anonymousza31360ze3z83_335 =
																make_fx_procedure
																(BGl_zc3anonymousza31360ze3z83zzexpand_lambdaz00,
																(int) (((long) 0)), (int) (((long) 2)));
															PROCEDURE_SET(BgL_zc3anonymousza31360ze3z83_335,
																(int) (((long) 0)), BgL_oldzd2expanderzd2_342);
															PROCEDURE_SET(BgL_zc3anonymousza31360ze3z83_335,
																(int) (((long) 1)), BgL_restz00_93);
															return
																BGl_withzd2lexicalzd2zzexpand_epsz00
																(BgL_arg1356z00_105, BgL_arg1357z00_106,
																BgL_arg1358z00_107,
																BgL_zc3anonymousza31360ze3z83_335);
														}
													}
												else
													{	/* Expand/lambda.scm 83 */
														return
															BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long)
																	1)), BGl_string1465z00zzexpand_lambdaz00,
															BgL_exprz00_89);
									}}}
								else
									{	/* Expand/lambda.scm 78 */
									BgL_tagzd21208zd2_95:
										{	/* Expand/lambda.scm 93 */
											obj_t BgL_nexprz00_116;

											BgL_nexprz00_116 =
												PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_342)
												(BgL_oldzd2expanderzd2_342, BgL_exprz00_89,
												BgL_oldzd2expanderzd2_342, BEOA);
											{
												obj_t BgL_restz00_118;

												if (PAIRP(BgL_nexprz00_116))
													{	/* Expand/lambda.scm 94 */
														if (
															(CAR(BgL_nexprz00_116) ==
																CNST_TABLE_REF(((long) 1))))
															{	/* Expand/lambda.scm 94 */
																if (NULLP(CDR(BgL_nexprz00_116)))
																	{	/* Expand/lambda.scm 94 */
																		return BUNSPEC;
																	}
																else
																	{	/* Expand/lambda.scm 94 */
																		BgL_restz00_118 = CDR(BgL_nexprz00_116);
																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_restz00_118))
																			{	/* Expand/lambda.scm 101 */
																				obj_t BgL_arg1373z00_130;
																				obj_t BgL_arg1374z00_131;
																				obj_t BgL_arg1375z00_132;

																				BgL_arg1373z00_130 =
																					BGl_beginzd2bindingszd2zzexpand_lambdaz00
																					(BgL_restz00_118);
																				BgL_arg1374z00_131 =
																					CNST_TABLE_REF(((long) 0));
																				BgL_arg1375z00_132 =
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_exprz00_89);
																				{	/* Expand/lambda.scm 106 */
																					obj_t
																						BgL_zc3anonymousza31377ze3z83_337;
																					BgL_zc3anonymousza31377ze3z83_337 =
																						make_fx_procedure
																						(BGl_zc3anonymousza31377ze3z83zzexpand_lambdaz00,
																						(int) (((long) 0)),
																						(int) (((long) 2)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31377ze3z83_337,
																						(int) (((long) 0)),
																						BgL_oldzd2expanderzd2_342);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31377ze3z83_337,
																						(int) (((long) 1)),
																						BgL_restz00_118);
																					return
																						BGl_withzd2lexicalzd2zzexpand_epsz00
																						(BgL_arg1373z00_130,
																						BgL_arg1374z00_131,
																						BgL_arg1375z00_132,
																						BgL_zc3anonymousza31377ze3z83_337);
																				}
																			}
																		else
																			{	/* Expand/lambda.scm 98 */
																				return
																					BGl_errorz00zz__errorz00
																					(CNST_TABLE_REF(((long) 1)),
																					BGl_string1465z00zzexpand_lambdaz00,
																					BgL_exprz00_89);
															}}}
														else
															{	/* Expand/lambda.scm 94 */
																return BgL_nexprz00_116;
															}
													}
												else
													{	/* Expand/lambda.scm 94 */
														return BgL_nexprz00_116;
													}
											}
										}
									}
							}
						else
							{	/* Expand/lambda.scm 78 */
								goto BgL_tagzd21208zd2_95;
							}
					}
				}
			}
		}
	}



/* <anonymous:1377> */
	obj_t BGl_zc3anonymousza31377ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_345)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 104 */
			{	/* Expand/lambda.scm 106 */
				obj_t BgL_oldzd2expanderzd2_346;
				obj_t BgL_restz00_347;

				BgL_oldzd2expanderzd2_346 =
					PROCEDURE_REF(BgL_envz00_345, (int) (((long) 0)));
				BgL_restz00_347 = PROCEDURE_REF(BgL_envz00_345, (int) (((long) 1)));
				{

					{	/* Expand/lambda.scm 106 */
						obj_t BgL_arg1378z00_135;

						{	/* Expand/lambda.scm 106 */
							obj_t BgL_zc3anonymousza31380ze3z83_336;

							BgL_zc3anonymousza31380ze3z83_336 =
								make_fx_procedure
								(BGl_zc3anonymousza31380ze3z83zzexpand_lambdaz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31380ze3z83_336,
								(int) (((long) 0)), BgL_oldzd2expanderzd2_346);
							BgL_arg1378z00_135 =
								BGl_emapz00zztools_prognz00(BgL_zc3anonymousza31380ze3z83_336,
								BgL_restz00_347);
						}
						return
							BGl_lambdazd2defineszd2zzexpand_lambdaz00(BgL_arg1378z00_135);
					}
				}
			}
		}
	}



/* <anonymous:1380> */
	obj_t BGl_zc3anonymousza31380ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_348,
		obj_t BgL_xz00_350)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 106 */
			{	/* Expand/lambda.scm 106 */
				obj_t BgL_oldzd2expanderzd2_349;

				BgL_oldzd2expanderzd2_349 =
					PROCEDURE_REF(BgL_envz00_348, (int) (((long) 0)));
				{
					obj_t BgL_xz00_137;

					BgL_xz00_137 = BgL_xz00_350;
					return
						PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_349)
						(BgL_oldzd2expanderzd2_349, BgL_xz00_137, BgL_oldzd2expanderzd2_349,
						BEOA);
				}
			}
		}
	}



/* <anonymous:1360> */
	obj_t BGl_zc3anonymousza31360ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_351)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 89 */
			{	/* Expand/lambda.scm 91 */
				obj_t BgL_oldzd2expanderzd2_352;
				obj_t BgL_restz00_353;

				BgL_oldzd2expanderzd2_352 =
					PROCEDURE_REF(BgL_envz00_351, (int) (((long) 0)));
				BgL_restz00_353 = PROCEDURE_REF(BgL_envz00_351, (int) (((long) 1)));
				{

					{	/* Expand/lambda.scm 91 */
						obj_t BgL_arg1362z00_110;

						{	/* Expand/lambda.scm 91 */
							obj_t BgL_zc3anonymousza31364ze3z83_334;

							BgL_zc3anonymousza31364ze3z83_334 =
								make_fx_procedure
								(BGl_zc3anonymousza31364ze3z83zzexpand_lambdaz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31364ze3z83_334,
								(int) (((long) 0)), BgL_oldzd2expanderzd2_352);
							BgL_arg1362z00_110 =
								BGl_emapz00zztools_prognz00(BgL_zc3anonymousza31364ze3z83_334,
								BgL_restz00_353);
						}
						return
							BGl_lambdazd2defineszd2zzexpand_lambdaz00(BgL_arg1362z00_110);
					}
				}
			}
		}
	}



/* <anonymous:1364> */
	obj_t BGl_zc3anonymousza31364ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_354,
		obj_t BgL_xz00_356)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 91 */
			{	/* Expand/lambda.scm 91 */
				obj_t BgL_oldzd2expanderzd2_355;

				BgL_oldzd2expanderzd2_355 =
					PROCEDURE_REF(BgL_envz00_354, (int) (((long) 0)));
				{
					obj_t BgL_xz00_112;

					BgL_xz00_112 = BgL_xz00_356;
					return
						PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_355)
						(BgL_oldzd2expanderzd2_355, BgL_xz00_112, BgL_oldzd2expanderzd2_355,
						BEOA);
				}
			}
		}
	}



/* begin-bindings */
	obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_7)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 131 */
			{
				obj_t BgL_oldformsz00_169;
				obj_t BgL_varsz00_170;

				BgL_oldformsz00_169 = BgL_bodyz00_7;
				BgL_varsz00_170 = BNIL;
			BgL_loopz00_171:
				if (PAIRP(BgL_oldformsz00_169))
					{	/* Expand/lambda.scm 137 */
						obj_t BgL_formz00_173;

						BgL_formz00_173 = CAR(BgL_oldformsz00_169);
						{
							obj_t BgL_varz00_176;
							obj_t BgL_varz00_174;

							if (PAIRP(BgL_formz00_173))
								{	/* Expand/lambda.scm 138 */
									obj_t BgL_cdrzd21261zd2_181;

									BgL_cdrzd21261zd2_181 = CDR(BgL_formz00_173);
									if ((CAR(BgL_formz00_173) == CNST_TABLE_REF(((long) 2))))
										{	/* Expand/lambda.scm 138 */
											if (PAIRP(BgL_cdrzd21261zd2_181))
												{	/* Expand/lambda.scm 138 */
													obj_t BgL_carzd21263zd2_184;

													BgL_carzd21263zd2_184 = CAR(BgL_cdrzd21261zd2_181);
													if (PAIRP(BgL_carzd21263zd2_184))
														{	/* Expand/lambda.scm 138 */
															BgL_varz00_174 = CAR(BgL_carzd21263zd2_184);
															{	/* Expand/lambda.scm 140 */
																obj_t BgL_arg1410z00_191;
																obj_t BgL_arg1411z00_192;

																BgL_arg1410z00_191 = CDR(BgL_oldformsz00_169);
																BgL_arg1411z00_192 =
																	MAKE_PAIR(BgL_varz00_174, BgL_varsz00_170);
																{
																	obj_t BgL_varsz00_589;
																	obj_t BgL_oldformsz00_588;

																	BgL_oldformsz00_588 = BgL_arg1410z00_191;
																	BgL_varsz00_589 = BgL_arg1411z00_192;
																	BgL_varsz00_170 = BgL_varsz00_589;
																	BgL_oldformsz00_169 = BgL_oldformsz00_588;
																	goto BgL_loopz00_171;
																}
															}
														}
													else
														{	/* Expand/lambda.scm 138 */
															BgL_varz00_176 = CAR(BgL_cdrzd21261zd2_181);
															{	/* Expand/lambda.scm 142 */
																obj_t BgL_arg1412z00_193;
																obj_t BgL_arg1413z00_194;

																BgL_arg1412z00_193 = CDR(BgL_oldformsz00_169);
																BgL_arg1413z00_194 =
																	MAKE_PAIR(BgL_varz00_176, BgL_varsz00_170);
																{
																	obj_t BgL_varsz00_594;
																	obj_t BgL_oldformsz00_593;

																	BgL_oldformsz00_593 = BgL_arg1412z00_193;
																	BgL_varsz00_594 = BgL_arg1413z00_194;
																	BgL_varsz00_170 = BgL_varsz00_594;
																	BgL_oldformsz00_169 = BgL_oldformsz00_593;
																	goto BgL_loopz00_171;
																}
															}
														}
												}
											else
												{	/* Expand/lambda.scm 138 */
												BgL_tagzd21256zd2_178:
													{
														obj_t BgL_oldformsz00_596;

														BgL_oldformsz00_596 = CDR(BgL_oldformsz00_169);
														BgL_oldformsz00_169 = BgL_oldformsz00_596;
														goto BgL_loopz00_171;
													}
												}
										}
									else
										{	/* Expand/lambda.scm 138 */
											goto BgL_tagzd21256zd2_178;
										}
								}
							else
								{	/* Expand/lambda.scm 138 */
									goto BgL_tagzd21256zd2_178;
								}
						}
					}
				else
					{	/* Expand/lambda.scm 136 */
						return BgL_varsz00_170;
					}
			}
		}
	}



/* lambda-defines */
	obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 150 */
			{
				obj_t BgL_oldformsz00_199;
				obj_t BgL_newformsz00_200;
				obj_t BgL_varsz00_201;
				obj_t BgL_declsz00_202;

				BgL_oldformsz00_199 = BgL_bodyz00_8;
				BgL_newformsz00_200 = BNIL;
				BgL_varsz00_201 = BNIL;
				BgL_declsz00_202 = BNIL;
			BgL_loopz00_203:
				if (PAIRP(BgL_oldformsz00_199))
					{	/* Expand/lambda.scm 156 */
						obj_t BgL_formz00_205;

						BgL_formz00_205 = CAR(BgL_oldformsz00_199);
						{
							obj_t BgL_bodyz00_209;
							obj_t BgL_varz00_206;
							obj_t BgL_valz00_207;

							if (PAIRP(BgL_formz00_205))
								{	/* Expand/lambda.scm 157 */
									obj_t BgL_cdrzd21293zd2_214;

									BgL_cdrzd21293zd2_214 = CDR(BgL_formz00_205);
									if ((CAR(BgL_formz00_205) == CNST_TABLE_REF(((long) 2))))
										{	/* Expand/lambda.scm 157 */
											if (PAIRP(BgL_cdrzd21293zd2_214))
												{	/* Expand/lambda.scm 157 */
													obj_t BgL_cdrzd21297zd2_217;

													BgL_cdrzd21297zd2_217 = CDR(BgL_cdrzd21293zd2_214);
													if (PAIRP(BgL_cdrzd21297zd2_217))
														{	/* Expand/lambda.scm 157 */
															if (NULLP(CDR(BgL_cdrzd21297zd2_217)))
																{	/* Expand/lambda.scm 157 */
																	BgL_varz00_206 = CAR(BgL_cdrzd21293zd2_214);
																	BgL_valz00_207 = CAR(BgL_cdrzd21297zd2_217);
																	{	/* Expand/lambda.scm 159 */
																		obj_t BgL_arg1436z00_229;
																		obj_t BgL_arg1439z00_230;
																		obj_t BgL_arg1441z00_231;

																		BgL_arg1436z00_229 =
																			CDR(BgL_oldformsz00_199);
																		BgL_arg1439z00_230 =
																			MAKE_PAIR(BgL_varz00_206,
																			BgL_varsz00_201);
																		{	/* Expand/lambda.scm 162 */
																			obj_t BgL_arg1443z00_232;

																			{	/* Expand/lambda.scm 162 */
																				obj_t BgL_arg1446z00_233;

																				{	/* Expand/lambda.scm 162 */
																					obj_t BgL_list1447z00_234;

																					BgL_list1447z00_234 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg1446z00_233 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_valz00_207,
																						BgL_list1447z00_234);
																				}
																				BgL_arg1443z00_232 =
																					MAKE_PAIR(BgL_varz00_206,
																					BgL_arg1446z00_233);
																			}
																			BgL_arg1441z00_231 =
																				MAKE_PAIR(BgL_arg1443z00_232,
																				BgL_declsz00_202);
																		}
																		{
																			obj_t BgL_declsz00_624;
																			obj_t BgL_varsz00_623;
																			obj_t BgL_oldformsz00_622;

																			BgL_oldformsz00_622 = BgL_arg1436z00_229;
																			BgL_varsz00_623 = BgL_arg1439z00_230;
																			BgL_declsz00_624 = BgL_arg1441z00_231;
																			BgL_declsz00_202 = BgL_declsz00_624;
																			BgL_varsz00_201 = BgL_varsz00_623;
																			BgL_oldformsz00_199 = BgL_oldformsz00_622;
																			goto BgL_loopz00_203;
																		}
																	}
																}
															else
																{	/* Expand/lambda.scm 157 */
																BgL_tagzd21285zd2_211:
																	{	/* Expand/lambda.scm 169 */
																		obj_t BgL_arg1450z00_237;
																		obj_t BgL_arg1451z00_238;

																		BgL_arg1450z00_237 =
																			CDR(BgL_oldformsz00_199);
																		BgL_arg1451z00_238 =
																			MAKE_PAIR(BgL_formz00_205,
																			BgL_newformsz00_200);
																		{
																			obj_t BgL_newformsz00_630;
																			obj_t BgL_oldformsz00_629;

																			BgL_oldformsz00_629 = BgL_arg1450z00_237;
																			BgL_newformsz00_630 = BgL_arg1451z00_238;
																			BgL_newformsz00_200 = BgL_newformsz00_630;
																			BgL_oldformsz00_199 = BgL_oldformsz00_629;
																			goto BgL_loopz00_203;
																		}
																	}
																}
														}
													else
														{	/* Expand/lambda.scm 157 */
															goto BgL_tagzd21285zd2_211;
														}
												}
											else
												{	/* Expand/lambda.scm 157 */
													goto BgL_tagzd21285zd2_211;
												}
										}
									else
										{	/* Expand/lambda.scm 157 */
											if ((CAR(BgL_formz00_205) == CNST_TABLE_REF(((long) 1))))
												{	/* Expand/lambda.scm 157 */
													BgL_bodyz00_209 = BgL_cdrzd21293zd2_214;
													{
														obj_t BgL_oldformsz00_635;

														BgL_oldformsz00_635 =
															bgl_append2(BgL_bodyz00_209,
															CDR(BgL_oldformsz00_199));
														BgL_oldformsz00_199 = BgL_oldformsz00_635;
														goto BgL_loopz00_203;
													}
												}
											else
												{	/* Expand/lambda.scm 157 */
													goto BgL_tagzd21285zd2_211;
												}
										}
								}
							else
								{	/* Expand/lambda.scm 157 */
									goto BgL_tagzd21285zd2_211;
								}
						}
					}
				else
					{	/* Expand/lambda.scm 155 */
						if (NULLP(BgL_varsz00_201))
							{	/* Expand/lambda.scm 174 */
								return BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_8);
							}
						else
							{	/* Expand/lambda.scm 175 */
								obj_t BgL_arg1453z00_240;
								obj_t BgL_arg1455z00_241;

								BgL_arg1453z00_240 = CNST_TABLE_REF(((long) 3));
								{	/* Expand/lambda.scm 175 */
									obj_t BgL_arg1456z00_242;

									BgL_arg1456z00_242 =
										BGl_expandzd2prognzd2zz__prognz00(bgl_reverse
										(BgL_newformsz00_200));
									{	/* Expand/lambda.scm 175 */
										obj_t BgL_list1458z00_244;

										{	/* Expand/lambda.scm 175 */
											obj_t BgL_arg1459z00_245;

											BgL_arg1459z00_245 = MAKE_PAIR(BNIL, BNIL);
											BgL_list1458z00_244 =
												MAKE_PAIR(BgL_arg1456z00_242, BgL_arg1459z00_245);
										}
										BgL_arg1455z00_241 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_declsz00_202, BgL_list1458z00_244);
								}}
								return MAKE_PAIR(BgL_arg1453z00_240, BgL_arg1455z00_241);
							}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1466z00zzexpand_lambdaz00));
		}
	}

#ifdef __cplusplus
}
#endif
