/*===========================================================================*/
/*   (Expand/let.scm)                                                        */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/let.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern bool_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
	static obj_t BGl__expandzd2letzd2zzexpand_letz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2letza2z70zzexpand_letz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_letz00 = BUNSPEC;
	static obj_t BGl__expandzd2letreczd2zzexpand_letz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_zc3anonymousza31613ze3z83zzexpand_letz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_letz00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2letreczd2zzexpand_letz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
	BGL_EXPORTED_DECL obj_t BGl_expandzd2letzd2zzexpand_letz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_letz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__expandzd2letza2z70zzexpand_letz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31504ze3z83zzexpand_letz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_letz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_zc3anonymousza31652ze3z83zzexpand_letz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl__expandzd2labelszd2zzexpand_letz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31546ze3z83zzexpand_letz00(obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2labelszd2zzexpand_letz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_letz00();
	static obj_t BGl_zc3anonymousza31427ze3z83zzexpand_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_letz00();
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2letzd2envz00zzexpand_letz00,
		BgL_bgl__expandza7d2letza7d21892z00, BGl__expandzd2letzd2zzexpand_letz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2letreczd2envz00zzexpand_letz00,
		BgL_bgl__expandza7d2letrec1893za7, BGl__expandzd2letreczd2zzexpand_letz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2letza2zd2envza2zzexpand_letz00,
		BgL_bgl__expandza7d2letza7a21894z00, BGl__expandzd2letza2z70zzexpand_letz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1880z00zzexpand_letz00,
		BgL_bgl_string1880za700za7za7e1895za7, "Illegal `let*' form", 19);
	      DEFINE_STRING(BGl_string1881z00zzexpand_letz00,
		BgL_bgl_string1881za700za7za7e1896za7, "Illegal `let' binding", 21);
	      DEFINE_STRING(BGl_string1882z00zzexpand_letz00,
		BgL_bgl_string1882za700za7za7e1897za7, "Illegal `named let' binding", 27);
	      DEFINE_STRING(BGl_string1883z00zzexpand_letz00,
		BgL_bgl_string1883za700za7za7e1898za7, "Illegal `let' form", 18);
	      DEFINE_STRING(BGl_string1884z00zzexpand_letz00,
		BgL_bgl_string1884za700za7za7e1899za7, "Illegal `letrec' binding", 24);
	      DEFINE_STRING(BGl_string1885z00zzexpand_letz00,
		BgL_bgl_string1885za700za7za7e1900za7, "Illegal `letrec' form", 21);
	      DEFINE_STRING(BGl_string1886z00zzexpand_letz00,
		BgL_bgl_string1886za700za7za7e1901za7, "Illegal `labels' binding", 24);
	      DEFINE_STRING(BGl_string1887z00zzexpand_letz00,
		BgL_bgl_string1887za700za7za7e1902za7, "Illegal `labels' form", 21);
	      DEFINE_STRING(BGl_string1888z00zzexpand_letz00,
		BgL_bgl_string1888za700za7za7e1903za7, "expand_let", 10);
	      DEFINE_STRING(BGl_string1889z00zzexpand_letz00,
		BgL_bgl_string1889za700za7za7e1904za7, "letrec labels _ let* let ", 25);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2labelszd2envz00zzexpand_letz00,
		BgL_bgl__expandza7d2labels1905za7, BGl__expandzd2labelszd2zzexpand_letz00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_letz00(long
		BgL_checksumz00_1035, char *BgL_fromz00_1036)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_letz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_letz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_letz00();
					BGl_cnstzd2initzd2zzexpand_letz00();
					BGl_importedzd2moduleszd2initz00zzexpand_letz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_letz00()
	{
		AN_OBJECT;
		{	/* Expand/let.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_let");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "expand_let");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_let");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_let");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"expand_let");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_let");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_letz00()
	{
		AN_OBJECT;
		{	/* Expand/let.scm 15 */
			{	/* Expand/let.scm 15 */
				obj_t BgL_cportz00_1027;

				BgL_cportz00_1027 =
					bgl_open_input_string(BGl_string1889z00zzexpand_letz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1028;

					BgL_iz00_1028 = ((long) 4);
				BgL_loopz00_1029:
					if ((BgL_iz00_1028 == ((long) -1)))
						{	/* Expand/let.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/let.scm 15 */
							{	/* Expand/let.scm 15 */
								obj_t BgL_arg1891z00_1031;

								{	/* Expand/let.scm 15 */

									{	/* Expand/let.scm 15 */
										obj_t BgL_locationz00_1033;

										BgL_locationz00_1033 = BBOOL(((bool_t) 0));
										{	/* Expand/let.scm 15 */

											BgL_arg1891z00_1031 =
												BGl_readz00zz__readerz00(BgL_cportz00_1027,
												BgL_locationz00_1033);
										}
									}
								}
								{	/* Expand/let.scm 15 */
									int BgL_auxz00_1055;

									BgL_auxz00_1055 = (int) (BgL_iz00_1028);
									CNST_TABLE_SET(BgL_auxz00_1055, BgL_arg1891z00_1031);
							}}
							{	/* Expand/let.scm 15 */
								int BgL_auxz00_1034;

								BgL_auxz00_1034 = (int) ((BgL_iz00_1028 - ((long) 1)));
								{
									long BgL_iz00_1060;

									BgL_iz00_1060 = (long) (BgL_auxz00_1034);
									BgL_iz00_1028 = BgL_iz00_1060;
									goto BgL_loopz00_1029;
								}
							}
						}
				}
			}
		}
	}



/* expand-let* */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2letza2z70zzexpand_letz00(obj_t BgL_xz00_1,
		obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 31 */
			{	/* Expand/let.scm 32 */
				obj_t BgL_oldzd2internalzd2_34;

				BgL_oldzd2internalzd2_34 =
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
				BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
				{	/* Expand/let.scm 34 */
					obj_t BgL_ez00_35;

					BgL_ez00_35 =
						BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(BgL_ez00_2);
					{	/* Expand/let.scm 34 */
						obj_t BgL_resz00_36;

						{
							obj_t BgL_bindingsz00_39;
							obj_t BgL_bodyz00_40;
							obj_t BgL_bodyz00_37;

							if (PAIRP(BgL_xz00_1))
								{	/* Expand/let.scm 35 */
									obj_t BgL_cdrzd2937zd2_45;

									BgL_cdrzd2937zd2_45 = CDR(BgL_xz00_1);
									if (PAIRP(BgL_cdrzd2937zd2_45))
										{	/* Expand/let.scm 35 */
											obj_t BgL_cdrzd2940zd2_47;

											BgL_cdrzd2940zd2_47 = CDR(BgL_cdrzd2937zd2_45);
											if (NULLP(CAR(BgL_cdrzd2937zd2_45)))
												{	/* Expand/let.scm 35 */
													if (NULLP(BgL_cdrzd2940zd2_47))
														{	/* Expand/let.scm 35 */
														BgL_tagzd2931zd2_42:
															BgL_resz00_36 =
																BGl_errorz00zz__errorz00(BFALSE,
																BGl_string1880z00zzexpand_letz00, BgL_xz00_1);
														}
													else
														{	/* Expand/let.scm 35 */
															BgL_bodyz00_37 = BgL_cdrzd2940zd2_47;
															{	/* Expand/let.scm 37 */
																obj_t BgL_arg1343z00_56;

																{	/* Expand/let.scm 37 */
																	obj_t BgL_arg1344z00_57;
																	obj_t BgL_arg1345z00_58;

																	BgL_arg1344z00_57 =
																		CNST_TABLE_REF(((long) 0));
																	{	/* Expand/let.scm 37 */
																		obj_t BgL_arg1347z00_60;

																		{	/* Expand/let.scm 37 */
																			obj_t BgL_arg1351z00_64;

																			BgL_arg1351z00_64 =
																				BGl_expandzd2prognzd2zz__prognz00
																				(BgL_bodyz00_37);
																			BgL_arg1347z00_60 =
																				PROCEDURE_ENTRY(BgL_ez00_35)
																				(BgL_ez00_35, BgL_arg1351z00_64,
																				BgL_ez00_35, BEOA);
																		}
																		{	/* Expand/let.scm 37 */
																			obj_t BgL_list1349z00_62;

																			{	/* Expand/let.scm 37 */
																				obj_t BgL_arg1350z00_63;

																				BgL_arg1350z00_63 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list1349z00_62 =
																					MAKE_PAIR(BgL_arg1347z00_60,
																					BgL_arg1350z00_63);
																			}
																			BgL_arg1345z00_58 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BNIL, BgL_list1349z00_62);
																	}}
																	BgL_arg1343z00_56 =
																		MAKE_PAIR(BgL_arg1344z00_57,
																		BgL_arg1345z00_58);
																}
																BgL_resz00_36 =
																	BGl_replacez12z12zztools_miscz00(BgL_xz00_1,
																	BgL_arg1343z00_56);
												}}}
											else
												{	/* Expand/let.scm 35 */
													obj_t BgL_carzd2955zd2_51;
													obj_t BgL_cdrzd2956zd2_52;

													BgL_carzd2955zd2_51 = CAR(BgL_cdrzd2937zd2_45);
													BgL_cdrzd2956zd2_52 = CDR(BgL_cdrzd2937zd2_45);
													if (PAIRP(BgL_carzd2955zd2_51))
														{	/* Expand/let.scm 35 */
															if (NULLP(BgL_cdrzd2956zd2_52))
																{	/* Expand/let.scm 35 */
																	goto BgL_tagzd2931zd2_42;
																}
															else
																{	/* Expand/let.scm 35 */
																	BgL_bindingsz00_39 = BgL_carzd2955zd2_51;
																	BgL_bodyz00_40 = BgL_cdrzd2956zd2_52;
																	{	/* Expand/let.scm 39 */
																		obj_t BgL_slz00_65;
																		obj_t BgL_bz00_66;

																		{	/* Expand/let.scm 39 */
																			obj_t BgL_arg1359z00_72;
																			obj_t BgL_arg1360z00_73;
																			obj_t BgL_arg1362z00_74;

																			BgL_arg1359z00_72 =
																				CNST_TABLE_REF(((long) 1));
																			BgL_arg1360z00_73 =
																				MAKE_PAIR(CDR(BgL_bindingsz00_39),
																				BgL_bodyz00_40);
																			BgL_arg1362z00_74 =
																				BGl_findzd2locationzd2zztools_locationz00
																				(CAR(BgL_bindingsz00_39));
																			{	/* Expand/let.scm 39 */
																				obj_t BgL_res1877z00_645;

																				BgL_res1877z00_645 =
																					MAKE_EXTENDED_PAIR(BgL_arg1359z00_72,
																					BgL_arg1360z00_73, BgL_arg1362z00_74);
																				BgL_slz00_65 = BgL_res1877z00_645;
																		}}
																		{	/* Expand/let.scm 42 */
																			obj_t BgL_arg1365z00_77;

																			BgL_arg1365z00_77 =
																				MAKE_PAIR(CAR(BgL_bindingsz00_39),
																				BNIL);
																			BgL_bz00_66 =
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1365z00_77, BgL_bindingsz00_39);
																		}
																		{	/* Expand/let.scm 43 */
																			obj_t BgL_arg1354z00_67;

																			{	/* Expand/let.scm 43 */
																				obj_t BgL_arg1355z00_68;
																				obj_t BgL_arg1356z00_69;

																				BgL_arg1355z00_68 =
																					CNST_TABLE_REF(((long) 0));
																				{	/* Expand/let.scm 43 */
																					obj_t BgL_list1357z00_70;

																					{	/* Expand/let.scm 43 */
																						obj_t BgL_arg1358z00_71;

																						BgL_arg1358z00_71 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list1357z00_70 =
																							MAKE_PAIR(BgL_slz00_65,
																							BgL_arg1358z00_71);
																					}
																					BgL_arg1356z00_69 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_bz00_66, BgL_list1357z00_70);
																				}
																				BgL_arg1354z00_67 =
																					MAKE_PAIR(BgL_arg1355z00_68,
																					BgL_arg1356z00_69);
																			}
																			BgL_resz00_36 =
																				PROCEDURE_ENTRY(BgL_ez00_35)
																				(BgL_ez00_35, BgL_arg1354z00_67,
																				BgL_ez00_35, BEOA);
														}}}}
													else
														{	/* Expand/let.scm 35 */
															goto BgL_tagzd2931zd2_42;
														}
												}
										}
									else
										{	/* Expand/let.scm 35 */
											goto BgL_tagzd2931zd2_42;
										}
								}
							else
								{	/* Expand/let.scm 35 */
									goto BgL_tagzd2931zd2_42;
								}
						}
						{	/* Expand/let.scm 35 */

							BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
								BgL_oldzd2internalzd2_34;
							return BGl_replacez12z12zztools_miscz00(BgL_xz00_1,
								BgL_resz00_36);
						}
					}
				}
			}
		}
	}



/* _expand-let* */
	obj_t BGl__expandzd2letza2z70zzexpand_letz00(obj_t BgL_envz00_990,
		obj_t BgL_xz00_991, obj_t BgL_ez00_992)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 31 */
			return BGl_expandzd2letza2z70zzexpand_letz00(BgL_xz00_991, BgL_ez00_992);
		}
	}



/* expand-let */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2letzd2zzexpand_letz00(obj_t BgL_xz00_3,
		obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 52 */
			{
				obj_t BgL_ez00_219;
				obj_t BgL_loopz00_220;
				obj_t BgL_bindingsz00_221;
				obj_t BgL_bodyz00_222;
				obj_t BgL_ez00_155;
				obj_t BgL_bindingsz00_156;
				obj_t BgL_bodyz00_157;

				{	/* Expand/let.scm 82 */
					obj_t BgL_oldzd2internalzd2_82;

					BgL_oldzd2internalzd2_82 =
						BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
					{	/* Expand/let.scm 84 */
						obj_t BgL_ez00_83;

						BgL_ez00_83 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(BgL_ez00_4);
						{	/* Expand/let.scm 84 */
							obj_t BgL_resz00_84;

							{
								obj_t BgL_bodyz00_85;

								if (PAIRP(BgL_xz00_3))
									{	/* Expand/let.scm 85 */
										obj_t BgL_cdrzd21003zd2_97;

										BgL_cdrzd21003zd2_97 = CDR(BgL_xz00_3);
										if (PAIRP(BgL_cdrzd21003zd2_97))
											{	/* Expand/let.scm 85 */
												obj_t BgL_cdrzd21006zd2_99;

												BgL_cdrzd21006zd2_99 = CDR(BgL_cdrzd21003zd2_97);
												if (NULLP(CAR(BgL_cdrzd21003zd2_97)))
													{	/* Expand/let.scm 85 */
														if (NULLP(BgL_cdrzd21006zd2_99))
															{	/* Expand/let.scm 85 */
																obj_t BgL_carzd21020zd2_103;
																obj_t BgL_cdrzd21021zd2_104;

																BgL_carzd21020zd2_103 =
																	CAR(BgL_cdrzd21003zd2_97);
																BgL_cdrzd21021zd2_104 =
																	CDR(BgL_cdrzd21003zd2_97);
																if (SYMBOLP(BgL_carzd21020zd2_103))
																	{	/* Expand/let.scm 85 */
																		if (PAIRP(BgL_cdrzd21021zd2_104))
																			{	/* Expand/let.scm 85 */
																				obj_t BgL_carzd21027zd2_107;
																				obj_t BgL_cdrzd21028zd2_108;

																				BgL_carzd21027zd2_107 =
																					CAR(BgL_cdrzd21021zd2_104);
																				BgL_cdrzd21028zd2_108 =
																					CDR(BgL_cdrzd21021zd2_104);
																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21027zd2_107))
																					{	/* Expand/let.scm 85 */
																						if (NULLP(BgL_cdrzd21028zd2_108))
																							{	/* Expand/let.scm 85 */
																								obj_t BgL_carzd21042zd2_112;

																								BgL_carzd21042zd2_112 =
																									CAR(BgL_cdrzd21003zd2_97);
																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21042zd2_112))
																									{	/* Expand/let.scm 85 */
																										BgL_ez00_155 = BgL_ez00_83;
																										BgL_bindingsz00_156 =
																											BgL_carzd21042zd2_112;
																										BgL_bodyz00_157 =
																											CDR(BgL_cdrzd21003zd2_97);
																									BgL_zc3anonymousza31403ze3z83_158:
																										{	/* Expand/let.scm 71 */
																											obj_t BgL_varsz00_159;

																											if (NULLP
																												(BgL_bindingsz00_156))
																												{	/* Expand/let.scm 71 */
																													BgL_varsz00_159 =
																														BNIL;
																												}
																											else
																												{	/* Expand/let.scm 71 */
																													obj_t
																														BgL_head1288z00_191;
																													BgL_head1288z00_191 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													{
																														obj_t
																															BgL_l1286z00_192;
																														obj_t
																															BgL_tail1289z00_193;
																														BgL_l1286z00_192 =
																															BgL_bindingsz00_156;
																														BgL_tail1289z00_193
																															=
																															BgL_head1288z00_191;
																													BgL_map1287z00_194:
																														if (NULLP
																															(BgL_l1286z00_192))
																															{	/* Expand/let.scm 71 */
																																BgL_varsz00_159
																																	=
																																	CDR
																																	(BgL_head1288z00_191);
																															}
																														else
																															{	/* Expand/let.scm 71 */
																																obj_t
																																	BgL_newtail1290z00_196;
																																{	/* Expand/let.scm 71 */
																																	obj_t
																																		BgL_arg1434z00_198;
																																	{	/* Expand/let.scm 71 */
																																		obj_t
																																			BgL_xz00_200;
																																		BgL_xz00_200
																																			=
																																			CAR
																																			(BgL_l1286z00_192);
																																		{
																																			obj_t
																																				BgL_valz00_201;
																																			if (PAIRP
																																				(BgL_xz00_200))
																																				{	/* Expand/let.scm 72 */
																																					obj_t
																																						BgL_cdrzd2988zd2_207;
																																					BgL_cdrzd2988zd2_207
																																						=
																																						CDR
																																						(BgL_xz00_200);
																																					if (PAIRP(BgL_cdrzd2988zd2_207))
																																						{	/* Expand/let.scm 72 */
																																							if (NULLP(CDR(BgL_cdrzd2988zd2_207)))
																																								{	/* Expand/let.scm 72 */
																																									BgL_valz00_201
																																										=
																																										CAR
																																										(BgL_cdrzd2988zd2_207);
																																									{	/* Expand/let.scm 73 */
																																										obj_t
																																											BgL_arg1446z00_215;
																																										obj_t
																																											BgL_arg1447z00_216;
																																										BgL_arg1446z00_215
																																											=
																																											CDR
																																											(BgL_xz00_200);
																																										BgL_arg1447z00_216
																																											=
																																											PROCEDURE_ENTRY
																																											(BgL_ez00_155)
																																											(BgL_ez00_155,
																																											BgL_valz00_201,
																																											BgL_ez00_155,
																																											BEOA);
																																										SET_CAR
																																											(BgL_arg1446z00_215,
																																											BgL_arg1447z00_216);
																																									}
																																									BgL_arg1434z00_198
																																										=
																																										BgL_xz00_200;
																																								}
																																							else
																																								{	/* Expand/let.scm 72 */
																																									if (SYMBOLP(BgL_xz00_200))
																																										{	/* Expand/let.scm 72 */
																																										BgL_tagzd2982zd2_203:
																																											{	/* Expand/let.scm 74 */
																																												obj_t
																																													BgL_list1448z00_217;
																																												{	/* Expand/let.scm 74 */
																																													obj_t
																																														BgL_arg1449z00_218;
																																													BgL_arg1449z00_218
																																														=
																																														MAKE_PAIR
																																														(BUNSPEC,
																																														BNIL);
																																													BgL_list1448z00_217
																																														=
																																														MAKE_PAIR
																																														(BgL_xz00_200,
																																														BgL_arg1449z00_218);
																																												}
																																												BgL_arg1434z00_198
																																													=
																																													BgL_list1448z00_217;
																																											}
																																										}
																																									else
																																										{	/* Expand/let.scm 72 */
																																										BgL_tagzd2983zd2_204:
																																											BgL_arg1434z00_198
																																												=
																																												BGl_errorz00zz__errorz00
																																												(BFALSE,
																																												BGl_string1881z00zzexpand_letz00,
																																												BgL_xz00_200);
																																										}
																																								}
																																						}
																																					else
																																						{	/* Expand/let.scm 72 */
																																							if (SYMBOLP(BgL_xz00_200))
																																								{	/* Expand/let.scm 72 */
																																									goto
																																										BgL_tagzd2982zd2_203;
																																								}
																																							else
																																								{	/* Expand/let.scm 72 */
																																									goto
																																										BgL_tagzd2983zd2_204;
																																								}
																																						}
																																				}
																																			else
																																				{	/* Expand/let.scm 72 */
																																					if (SYMBOLP(BgL_xz00_200))
																																						{	/* Expand/let.scm 72 */
																																							goto
																																								BgL_tagzd2982zd2_203;
																																						}
																																					else
																																						{	/* Expand/let.scm 72 */
																																							goto
																																								BgL_tagzd2983zd2_204;
																																						}
																																				}
																																		}
																																	}
																																	BgL_newtail1290z00_196
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1434z00_198,
																																		BNIL);
																																}
																																SET_CDR
																																	(BgL_tail1289z00_193,
																																	BgL_newtail1290z00_196);
																																{
																																	obj_t
																																		BgL_tail1289z00_1168;
																																	obj_t
																																		BgL_l1286z00_1166;
																																	BgL_l1286z00_1166
																																		=
																																		CDR
																																		(BgL_l1286z00_192);
																																	BgL_tail1289z00_1168
																																		=
																																		BgL_newtail1290z00_196;
																																	BgL_tail1289z00_193
																																		=
																																		BgL_tail1289z00_1168;
																																	BgL_l1286z00_192
																																		=
																																		BgL_l1286z00_1166;
																																	goto
																																		BgL_map1287z00_194;
																																}
																															}
																													}
																												}
																											{	/* Expand/let.scm 77 */
																												obj_t
																													BgL_arg1404z00_160;
																												obj_t
																													BgL_arg1405z00_161;
																												BgL_arg1404z00_160 =
																													CNST_TABLE_REF(((long)
																														0));
																												{	/* Expand/let.scm 78 */
																													obj_t
																														BgL_arg1406z00_162;
																													{	/* Expand/let.scm 78 */
																														obj_t
																															BgL_arg1410z00_166;
																														obj_t
																															BgL_arg1411z00_167;
																														obj_t
																															BgL_arg1412z00_168;
																														if (NULLP
																															(BgL_varsz00_159))
																															{	/* Expand/let.scm 78 */
																																BgL_arg1410z00_166
																																	= BNIL;
																															}
																														else
																															{	/* Expand/let.scm 78 */
																																obj_t
																																	BgL_head1294z00_172;
																																BgL_head1294z00_172
																																	=
																																	MAKE_PAIR(CAR
																																	(CAR
																																		(BgL_varsz00_159)),
																																	BNIL);
																																{	/* Expand/let.scm 78 */
																																	obj_t
																																		BgL_g1297z00_173;
																																	BgL_g1297z00_173
																																		=
																																		CDR
																																		(BgL_varsz00_159);
																																	{
																																		obj_t
																																			BgL_l1291z00_174;
																																		obj_t
																																			BgL_tail1295z00_175;
																																		BgL_l1291z00_174
																																			=
																																			BgL_g1297z00_173;
																																		BgL_tail1295z00_175
																																			=
																																			BgL_head1294z00_172;
																																	BgL_map1293z00_176:
																																		if (NULLP
																																			(BgL_l1291z00_174))
																																			{	/* Expand/let.scm 78 */
																																				BgL_arg1410z00_166
																																					=
																																					BgL_head1294z00_172;
																																			}
																																		else
																																			{	/* Expand/let.scm 78 */
																																				obj_t
																																					BgL_newtail1296z00_178;
																																				BgL_newtail1296z00_178
																																					=
																																					MAKE_PAIR
																																					(CAR
																																					(CAR
																																						(BgL_l1291z00_174)),
																																					BNIL);
																																				SET_CDR
																																					(BgL_tail1295z00_175,
																																					BgL_newtail1296z00_178);
																																				{
																																					obj_t
																																						BgL_tail1295z00_1184;
																																					obj_t
																																						BgL_l1291z00_1182;
																																					BgL_l1291z00_1182
																																						=
																																						CDR
																																						(BgL_l1291z00_174);
																																					BgL_tail1295z00_1184
																																						=
																																						BgL_newtail1296z00_178;
																																					BgL_tail1295z00_175
																																						=
																																						BgL_tail1295z00_1184;
																																					BgL_l1291z00_174
																																						=
																																						BgL_l1291z00_1182;
																																					goto
																																						BgL_map1293z00_176;
																																				}
																																			}
																																	}
																																}
																															}
																														BgL_arg1411z00_167 =
																															CNST_TABLE_REF((
																																(long) 2));
																														BgL_arg1412z00_168 =
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_xz00_3);
																														{	/* Expand/let.scm 81 */
																															obj_t
																																BgL_zc3anonymousza31427ze3z83_994;
																															BgL_zc3anonymousza31427ze3z83_994
																																=
																																make_fx_procedure
																																(BGl_zc3anonymousza31427ze3z83zzexpand_letz00,
																																(int) (((long)
																																		0)),
																																(int) (((long)
																																		2)));
																															PROCEDURE_SET
																																(BgL_zc3anonymousza31427ze3z83_994,
																																(int) (((long)
																																		0)),
																																BgL_bodyz00_157);
																															PROCEDURE_SET
																																(BgL_zc3anonymousza31427ze3z83_994,
																																(int) (((long)
																																		1)),
																																BgL_ez00_155);
																															BgL_arg1406z00_162
																																=
																																BGl_withzd2lexicalzd2zzexpand_epsz00
																																(BgL_arg1410z00_166,
																																BgL_arg1411z00_167,
																																BgL_arg1412z00_168,
																																BgL_zc3anonymousza31427ze3z83_994);
																													}}
																													{	/* Expand/let.scm 77 */
																														obj_t
																															BgL_list1408z00_164;
																														{	/* Expand/let.scm 77 */
																															obj_t
																																BgL_arg1409z00_165;
																															BgL_arg1409z00_165
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1408z00_164
																																=
																																MAKE_PAIR
																																(BgL_arg1406z00_162,
																																BgL_arg1409z00_165);
																														}
																														BgL_arg1405z00_161 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_varsz00_159,
																															BgL_list1408z00_164);
																												}}
																												BgL_resz00_84 =
																													MAKE_PAIR
																													(BgL_arg1404z00_160,
																													BgL_arg1405z00_161);
																									}}}
																								else
																									{	/* Expand/let.scm 85 */
																									BgL_tagzd2996zd2_94:
																										BgL_resz00_84 =
																											BGl_errorz00zz__errorz00
																											(BFALSE,
																											BGl_string1883z00zzexpand_letz00,
																											BgL_xz00_3);
																									}
																							}
																						else
																							{	/* Expand/let.scm 85 */
																								BgL_ez00_219 = BgL_ez00_83;
																								BgL_loopz00_220 =
																									BgL_carzd21020zd2_103;
																								BgL_bindingsz00_221 =
																									BgL_carzd21027zd2_107;
																								BgL_bodyz00_222 =
																									BgL_cdrzd21028zd2_108;
																							BgL_zc3anonymousza31450ze3z83_223:
																								{	/* Expand/let.scm 54 */
																									obj_t BgL_varsz00_224;

																									if (NULLP
																										(BgL_bindingsz00_221))
																										{	/* Expand/let.scm 54 */
																											BgL_varsz00_224 = BNIL;
																										}
																									else
																										{	/* Expand/let.scm 54 */
																											obj_t BgL_head1300z00_295;

																											BgL_head1300z00_295 =
																												MAKE_PAIR(BNIL, BNIL);
																											{
																												obj_t BgL_l1298z00_296;
																												obj_t
																													BgL_tail1301z00_297;
																												BgL_l1298z00_296 =
																													BgL_bindingsz00_221;
																												BgL_tail1301z00_297 =
																													BgL_head1300z00_295;
																											BgL_map1299z00_298:
																												if (NULLP
																													(BgL_l1298z00_296))
																													{	/* Expand/let.scm 54 */
																														BgL_varsz00_224 =
																															CDR
																															(BgL_head1300z00_295);
																													}
																												else
																													{	/* Expand/let.scm 54 */
																														obj_t
																															BgL_newtail1302z00_300;
																														{	/* Expand/let.scm 54 */
																															obj_t
																																BgL_arg1510z00_302;
																															{	/* Expand/let.scm 54 */
																																obj_t
																																	BgL_xz00_304;
																																BgL_xz00_304 =
																																	CAR
																																	(BgL_l1298z00_296);
																																{
																																	obj_t
																																		BgL_valz00_305;
																																	if (PAIRP
																																		(BgL_xz00_304))
																																		{	/* Expand/let.scm 55 */
																																			obj_t
																																				BgL_cdrzd2976zd2_310;
																																			BgL_cdrzd2976zd2_310
																																				=
																																				CDR
																																				(BgL_xz00_304);
																																			if (PAIRP
																																				(BgL_cdrzd2976zd2_310))
																																				{	/* Expand/let.scm 55 */
																																					if (NULLP(CDR(BgL_cdrzd2976zd2_310)))
																																						{	/* Expand/let.scm 55 */
																																							BgL_valz00_305
																																								=
																																								CAR
																																								(BgL_cdrzd2976zd2_310);
																																							if (PAIRP(BgL_valz00_305))
																																								{	/* Expand/let.scm 58 */
																																									obj_t
																																										BgL_arg1520z00_316;
																																									{	/* Expand/let.scm 58 */

																																										{	/* Expand/let.scm 58 */

																																											BgL_arg1520z00_316
																																												=
																																												BGl_gensymz00zz__r4_symbols_6_4z00
																																												(BFALSE);
																																										}
																																									}
																																									BgL_arg1510z00_302
																																										=
																																										MAKE_PAIR
																																										(BTRUE,
																																										BgL_arg1520z00_316);
																																								}
																																							else
																																								{	/* Expand/let.scm 59 */
																																									obj_t
																																										BgL_arg1521z00_318;
																																									{	/* Expand/let.scm 59 */
																																										obj_t
																																											BgL_pairz00_760;
																																										BgL_pairz00_760
																																											=
																																											BgL_xz00_304;
																																										BgL_arg1521z00_318
																																											=
																																											CAR
																																											(CDR
																																											(BgL_pairz00_760));
																																									}
																																									BgL_arg1510z00_302
																																										=
																																										MAKE_PAIR
																																										(BFALSE,
																																										BgL_arg1521z00_318);
																																								}
																																						}
																																					else
																																						{	/* Expand/let.scm 55 */
																																						BgL_tagzd2971zd2_307:
																																							BgL_arg1510z00_302
																																								=
																																								BGl_errorz00zz__errorz00
																																								(BFALSE,
																																								BGl_string1882z00zzexpand_letz00,
																																								BgL_xz00_304);
																																						}
																																				}
																																			else
																																				{	/* Expand/let.scm 55 */
																																					goto
																																						BgL_tagzd2971zd2_307;
																																				}
																																		}
																																	else
																																		{	/* Expand/let.scm 55 */
																																			goto
																																				BgL_tagzd2971zd2_307;
																																		}
																																}
																															}
																															BgL_newtail1302z00_300
																																=
																																MAKE_PAIR
																																(BgL_arg1510z00_302,
																																BNIL);
																														}
																														SET_CDR
																															(BgL_tail1301z00_297,
																															BgL_newtail1302z00_300);
																														{
																															obj_t
																																BgL_tail1301z00_1229;
																															obj_t
																																BgL_l1298z00_1227;
																															BgL_l1298z00_1227
																																=
																																CDR
																																(BgL_l1298z00_296);
																															BgL_tail1301z00_1229
																																=
																																BgL_newtail1302z00_300;
																															BgL_tail1301z00_297
																																=
																																BgL_tail1301z00_1229;
																															BgL_l1298z00_296 =
																																BgL_l1298z00_1227;
																															goto
																																BgL_map1299z00_298;
																														}
																													}
																											}
																										}
																									{	/* Expand/let.scm 54 */
																										obj_t BgL_auxz00_225;

																										{	/* Expand/let.scm 64 */
																											obj_t
																												BgL_zc3anonymousza31504ze3z83_993;
																											BgL_zc3anonymousza31504ze3z83_993
																												=
																												make_fx_procedure
																												(BGl_zc3anonymousza31504ze3z83zzexpand_letz00,
																												(int) (((long) 2)),
																												(int) (((long) 0)));
																											{	/* Expand/let.scm 63 */
																												obj_t
																													BgL_list1502z00_284;
																												{	/* Expand/let.scm 63 */
																													obj_t
																														BgL_arg1503z00_285;
																													BgL_arg1503z00_285 =
																														MAKE_PAIR
																														(BgL_bindingsz00_221,
																														BNIL);
																													BgL_list1502z00_284 =
																														MAKE_PAIR
																														(BgL_varsz00_224,
																														BgL_arg1503z00_285);
																												}
																												BgL_auxz00_225 =
																													BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																													(BgL_zc3anonymousza31504ze3z83_993,
																													BgL_list1502z00_284);
																										}}
																										{	/* Expand/let.scm 63 */
																											obj_t BgL_recz00_226;

																											{	/* Expand/let.scm 66 */
																												obj_t
																													BgL_arg1456z00_233;
																												obj_t
																													BgL_arg1457z00_234;
																												BgL_arg1456z00_233 =
																													CNST_TABLE_REF(((long)
																														3));
																												{	/* Expand/let.scm 66 */
																													obj_t
																														BgL_arg1458z00_235;
																													obj_t
																														BgL_arg1459z00_236;
																													{	/* Expand/let.scm 66 */
																														obj_t
																															BgL_arg1463z00_240;
																														{	/* Expand/let.scm 66 */
																															obj_t
																																BgL_arg1465z00_242;
																															{	/* Expand/let.scm 66 */
																																obj_t
																																	BgL_arg1466z00_243;
																																obj_t
																																	BgL_arg1467z00_244;
																																if (NULLP
																																	(BgL_bindingsz00_221))
																																	{	/* Expand/let.scm 66 */
																																		BgL_arg1466z00_243
																																			= BNIL;
																																	}
																																else
																																	{	/* Expand/let.scm 66 */
																																		obj_t
																																			BgL_head1305z00_250;
																																		BgL_head1305z00_250
																																			=
																																			MAKE_PAIR
																																			(CAR(CAR
																																				(BgL_bindingsz00_221)),
																																			BNIL);
																																		{	/* Expand/let.scm 66 */
																																			obj_t
																																				BgL_g1308z00_251;
																																			BgL_g1308z00_251
																																				=
																																				CDR
																																				(BgL_bindingsz00_221);
																																			{
																																				obj_t
																																					BgL_l1303z00_252;
																																				obj_t
																																					BgL_tail1306z00_253;
																																				BgL_l1303z00_252
																																					=
																																					BgL_g1308z00_251;
																																				BgL_tail1306z00_253
																																					=
																																					BgL_head1305z00_250;
																																			BgL_map1304z00_254:
																																				if (NULLP(BgL_l1303z00_252))
																																					{	/* Expand/let.scm 66 */
																																						BgL_arg1466z00_243
																																							=
																																							BgL_head1305z00_250;
																																					}
																																				else
																																					{	/* Expand/let.scm 66 */
																																						obj_t
																																							BgL_newtail1307z00_256;
																																						BgL_newtail1307z00_256
																																							=
																																							MAKE_PAIR
																																							(CAR
																																							(CAR
																																								(BgL_l1303z00_252)),
																																							BNIL);
																																						SET_CDR
																																							(BgL_tail1306z00_253,
																																							BgL_newtail1307z00_256);
																																						{
																																							obj_t
																																								BgL_tail1306z00_1251;
																																							obj_t
																																								BgL_l1303z00_1249;
																																							BgL_l1303z00_1249
																																								=
																																								CDR
																																								(BgL_l1303z00_252);
																																							BgL_tail1306z00_1251
																																								=
																																								BgL_newtail1307z00_256;
																																							BgL_tail1306z00_253
																																								=
																																								BgL_tail1306z00_1251;
																																							BgL_l1303z00_252
																																								=
																																								BgL_l1303z00_1249;
																																							goto
																																								BgL_map1304z00_254;
																																						}
																																					}
																																			}
																																		}
																																	}
																																BgL_arg1467z00_244
																																	=
																																	BGl_expandzd2prognzd2zz__prognz00
																																	(BgL_bodyz00_222);
																																{	/* Expand/let.scm 66 */
																																	obj_t
																																		BgL_list1469z00_246;
																																	{	/* Expand/let.scm 66 */
																																		obj_t
																																			BgL_arg1470z00_247;
																																		BgL_arg1470z00_247
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list1469z00_246
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1467z00_244,
																																			BgL_arg1470z00_247);
																																	}
																																	BgL_arg1465z00_242
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg1466z00_243,
																																		BgL_list1469z00_246);
																																}
																															}
																															BgL_arg1463z00_240
																																=
																																MAKE_PAIR
																																(BgL_loopz00_220,
																																BgL_arg1465z00_242);
																														}
																														BgL_arg1458z00_235 =
																															MAKE_PAIR
																															(BgL_arg1463z00_240,
																															BNIL);
																													}
																													{	/* Expand/let.scm 67 */
																														obj_t
																															BgL_arg1484z00_264;
																														{	/* Expand/let.scm 67 */
																															obj_t
																																BgL_arg1488z00_265;
																															if (NULLP
																																(BgL_varsz00_224))
																																{	/* Expand/let.scm 67 */
																																	BgL_arg1488z00_265
																																		= BNIL;
																																}
																															else
																																{	/* Expand/let.scm 67 */
																																	obj_t
																																		BgL_head1311z00_269;
																																	BgL_head1311z00_269
																																		=
																																		MAKE_PAIR
																																		(CDR(CAR
																																			(BgL_varsz00_224)),
																																		BNIL);
																																	{	/* Expand/let.scm 67 */
																																		obj_t
																																			BgL_g1314z00_270;
																																		BgL_g1314z00_270
																																			=
																																			CDR
																																			(BgL_varsz00_224);
																																		{
																																			obj_t
																																				BgL_l1309z00_271;
																																			obj_t
																																				BgL_tail1312z00_272;
																																			BgL_l1309z00_271
																																				=
																																				BgL_g1314z00_270;
																																			BgL_tail1312z00_272
																																				=
																																				BgL_head1311z00_269;
																																		BgL_map1310z00_273:
																																			if (NULLP
																																				(BgL_l1309z00_271))
																																				{	/* Expand/let.scm 67 */
																																					BgL_arg1488z00_265
																																						=
																																						BgL_head1311z00_269;
																																				}
																																			else
																																				{	/* Expand/let.scm 67 */
																																					obj_t
																																						BgL_newtail1313z00_275;
																																					BgL_newtail1313z00_275
																																						=
																																						MAKE_PAIR
																																						(CDR
																																						(CAR
																																							(BgL_l1309z00_271)),
																																						BNIL);
																																					SET_CDR
																																						(BgL_tail1312z00_272,
																																						BgL_newtail1313z00_275);
																																					{
																																						obj_t
																																							BgL_tail1312z00_1272;
																																						obj_t
																																							BgL_l1309z00_1270;
																																						BgL_l1309z00_1270
																																							=
																																							CDR
																																							(BgL_l1309z00_271);
																																						BgL_tail1312z00_1272
																																							=
																																							BgL_newtail1313z00_275;
																																						BgL_tail1312z00_272
																																							=
																																							BgL_tail1312z00_1272;
																																						BgL_l1309z00_271
																																							=
																																							BgL_l1309z00_1270;
																																						goto
																																							BgL_map1310z00_273;
																																					}
																																				}
																																		}
																																	}
																																}
																															BgL_arg1484z00_264
																																=
																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg1488z00_265,
																																BNIL);
																														}
																														BgL_arg1459z00_236 =
																															MAKE_PAIR
																															(BgL_loopz00_220,
																															BgL_arg1484z00_264);
																													}
																													{	/* Expand/let.scm 66 */
																														obj_t
																															BgL_list1461z00_238;
																														{	/* Expand/let.scm 66 */
																															obj_t
																																BgL_arg1462z00_239;
																															BgL_arg1462z00_239
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1461z00_238
																																=
																																MAKE_PAIR
																																(BgL_arg1459z00_236,
																																BgL_arg1462z00_239);
																														}
																														BgL_arg1457z00_234 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1458z00_235,
																															BgL_list1461z00_238);
																													}
																												}
																												BgL_recz00_226 =
																													MAKE_PAIR
																													(BgL_arg1456z00_233,
																													BgL_arg1457z00_234);
																											}
																											{	/* Expand/let.scm 66 */
																												obj_t BgL_expz00_227;

																												if (PAIRP
																													(BgL_auxz00_225))
																													{	/* Expand/let.scm 68 */
																														obj_t
																															BgL_arg1452z00_229;
																														obj_t
																															BgL_arg1453z00_230;
																														BgL_arg1452z00_229 =
																															CNST_TABLE_REF((
																																(long) 0));
																														{	/* Expand/let.scm 68 */
																															obj_t
																																BgL_list1454z00_231;
																															{	/* Expand/let.scm 68 */
																																obj_t
																																	BgL_arg1455z00_232;
																																BgL_arg1455z00_232
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_list1454z00_231
																																	=
																																	MAKE_PAIR
																																	(BgL_recz00_226,
																																	BgL_arg1455z00_232);
																															}
																															BgL_arg1453z00_230
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_auxz00_225,
																																BgL_list1454z00_231);
																														}
																														BgL_expz00_227 =
																															MAKE_PAIR
																															(BgL_arg1452z00_229,
																															BgL_arg1453z00_230);
																													}
																												else
																													{	/* Expand/let.scm 68 */
																														BgL_expz00_227 =
																															BgL_recz00_226;
																													}
																												{	/* Expand/let.scm 68 */

																													BgL_resz00_84 =
																														PROCEDURE_ENTRY
																														(BgL_ez00_219)
																														(BgL_ez00_219,
																														BgL_expz00_227,
																														BgL_ez00_219, BEOA);
																												}
																											}
																										}
																									}
																								}
																							}
																					}
																				else
																					{	/* Expand/let.scm 85 */
																						obj_t BgL_carzd21057zd2_116;

																						BgL_carzd21057zd2_116 =
																							CAR(BgL_cdrzd21003zd2_97);
																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21057zd2_116))
																							{
																								obj_t BgL_bodyz00_1293;
																								obj_t BgL_bindingsz00_1292;
																								obj_t BgL_ez00_1291;

																								BgL_ez00_1291 = BgL_ez00_83;
																								BgL_bindingsz00_1292 =
																									BgL_carzd21057zd2_116;
																								BgL_bodyz00_1293 =
																									CDR(BgL_cdrzd21003zd2_97);
																								BgL_bodyz00_157 =
																									BgL_bodyz00_1293;
																								BgL_bindingsz00_156 =
																									BgL_bindingsz00_1292;
																								BgL_ez00_155 = BgL_ez00_1291;
																								goto
																									BgL_zc3anonymousza31403ze3z83_158;
																							}
																						else
																							{	/* Expand/let.scm 85 */
																								goto BgL_tagzd2996zd2_94;
																							}
																					}
																			}
																		else
																			{	/* Expand/let.scm 85 */
																				goto BgL_tagzd2996zd2_94;
																			}
																	}
																else
																	{	/* Expand/let.scm 85 */
																		goto BgL_tagzd2996zd2_94;
																	}
															}
														else
															{	/* Expand/let.scm 85 */
																BgL_bodyz00_85 = BgL_cdrzd21006zd2_99;
																{	/* Expand/let.scm 88 */
																	obj_t BgL_arg1395z00_147;
																	obj_t BgL_arg1396z00_148;

																	BgL_arg1395z00_147 =
																		CNST_TABLE_REF(((long) 0));
																	{	/* Expand/let.scm 88 */
																		obj_t BgL_arg1398z00_150;

																		{	/* Expand/let.scm 88 */
																			obj_t BgL_arg1402z00_154;

																			BgL_arg1402z00_154 =
																				BGl_expandzd2prognzd2zz__prognz00
																				(BgL_bodyz00_85);
																			BgL_arg1398z00_150 =
																				PROCEDURE_ENTRY(BgL_ez00_83)
																				(BgL_ez00_83, BgL_arg1402z00_154,
																				BgL_ez00_83, BEOA);
																		}
																		{	/* Expand/let.scm 88 */
																			obj_t BgL_list1400z00_152;

																			{	/* Expand/let.scm 88 */
																				obj_t BgL_arg1401z00_153;

																				BgL_arg1401z00_153 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list1400z00_152 =
																					MAKE_PAIR(BgL_arg1398z00_150,
																					BgL_arg1401z00_153);
																			}
																			BgL_arg1396z00_148 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BNIL, BgL_list1400z00_152);
																	}}
																	BgL_resz00_84 =
																		MAKE_PAIR(BgL_arg1395z00_147,
																		BgL_arg1396z00_148);
													}}}
												else
													{	/* Expand/let.scm 85 */
														obj_t BgL_carzd21083zd2_120;
														obj_t BgL_cdrzd21084zd2_121;

														BgL_carzd21083zd2_120 = CAR(BgL_cdrzd21003zd2_97);
														BgL_cdrzd21084zd2_121 = CDR(BgL_cdrzd21003zd2_97);
														if (SYMBOLP(BgL_carzd21083zd2_120))
															{	/* Expand/let.scm 85 */
																if (PAIRP(BgL_cdrzd21084zd2_121))
																	{	/* Expand/let.scm 85 */
																		obj_t BgL_carzd21090zd2_124;
																		obj_t BgL_cdrzd21091zd2_125;

																		BgL_carzd21090zd2_124 =
																			CAR(BgL_cdrzd21084zd2_121);
																		BgL_cdrzd21091zd2_125 =
																			CDR(BgL_cdrzd21084zd2_121);
																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21090zd2_124))
																			{	/* Expand/let.scm 85 */
																				if (NULLP(BgL_cdrzd21091zd2_125))
																					{	/* Expand/let.scm 85 */
																						obj_t BgL_carzd21107zd2_129;

																						BgL_carzd21107zd2_129 =
																							CAR(BgL_cdrzd21003zd2_97);
																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21107zd2_129))
																							{
																								obj_t BgL_bodyz00_1320;
																								obj_t BgL_bindingsz00_1319;
																								obj_t BgL_ez00_1318;

																								BgL_ez00_1318 = BgL_ez00_83;
																								BgL_bindingsz00_1319 =
																									BgL_carzd21107zd2_129;
																								BgL_bodyz00_1320 =
																									CDR(BgL_cdrzd21003zd2_97);
																								BgL_bodyz00_157 =
																									BgL_bodyz00_1320;
																								BgL_bindingsz00_156 =
																									BgL_bindingsz00_1319;
																								BgL_ez00_155 = BgL_ez00_1318;
																								goto
																									BgL_zc3anonymousza31403ze3z83_158;
																							}
																						else
																							{	/* Expand/let.scm 85 */
																								goto BgL_tagzd2996zd2_94;
																							}
																					}
																				else
																					{
																						obj_t BgL_bodyz00_1325;
																						obj_t BgL_bindingsz00_1324;
																						obj_t BgL_loopz00_1323;
																						obj_t BgL_ez00_1322;

																						BgL_ez00_1322 = BgL_ez00_83;
																						BgL_loopz00_1323 =
																							BgL_carzd21083zd2_120;
																						BgL_bindingsz00_1324 =
																							BgL_carzd21090zd2_124;
																						BgL_bodyz00_1325 =
																							BgL_cdrzd21091zd2_125;
																						BgL_bodyz00_222 = BgL_bodyz00_1325;
																						BgL_bindingsz00_221 =
																							BgL_bindingsz00_1324;
																						BgL_loopz00_220 = BgL_loopz00_1323;
																						BgL_ez00_219 = BgL_ez00_1322;
																						goto
																							BgL_zc3anonymousza31450ze3z83_223;
																					}
																			}
																		else
																			{	/* Expand/let.scm 85 */
																				obj_t BgL_carzd21126zd2_133;

																				BgL_carzd21126zd2_133 =
																					CAR(BgL_cdrzd21003zd2_97);
																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21126zd2_133))
																					{
																						obj_t BgL_bodyz00_1331;
																						obj_t BgL_bindingsz00_1330;
																						obj_t BgL_ez00_1329;

																						BgL_ez00_1329 = BgL_ez00_83;
																						BgL_bindingsz00_1330 =
																							BgL_carzd21126zd2_133;
																						BgL_bodyz00_1331 =
																							CDR(BgL_cdrzd21003zd2_97);
																						BgL_bodyz00_157 = BgL_bodyz00_1331;
																						BgL_bindingsz00_156 =
																							BgL_bindingsz00_1330;
																						BgL_ez00_155 = BgL_ez00_1329;
																						goto
																							BgL_zc3anonymousza31403ze3z83_158;
																					}
																				else
																					{	/* Expand/let.scm 85 */
																						goto BgL_tagzd2996zd2_94;
																					}
																			}
																	}
																else
																	{	/* Expand/let.scm 85 */
																		obj_t BgL_carzd21145zd2_137;
																		obj_t BgL_cdrzd21146zd2_138;

																		BgL_carzd21145zd2_137 =
																			CAR(BgL_cdrzd21003zd2_97);
																		BgL_cdrzd21146zd2_138 =
																			CDR(BgL_cdrzd21003zd2_97);
																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd21145zd2_137))
																			{	/* Expand/let.scm 85 */
																				if (NULLP(BgL_cdrzd21146zd2_138))
																					{	/* Expand/let.scm 85 */
																						goto BgL_tagzd2996zd2_94;
																					}
																				else
																					{
																						obj_t BgL_bodyz00_1341;
																						obj_t BgL_bindingsz00_1340;
																						obj_t BgL_ez00_1339;

																						BgL_ez00_1339 = BgL_ez00_83;
																						BgL_bindingsz00_1340 =
																							BgL_carzd21145zd2_137;
																						BgL_bodyz00_1341 =
																							BgL_cdrzd21146zd2_138;
																						BgL_bodyz00_157 = BgL_bodyz00_1341;
																						BgL_bindingsz00_156 =
																							BgL_bindingsz00_1340;
																						BgL_ez00_155 = BgL_ez00_1339;
																						goto
																							BgL_zc3anonymousza31403ze3z83_158;
																					}
																			}
																		else
																			{	/* Expand/let.scm 85 */
																				goto BgL_tagzd2996zd2_94;
																			}
																	}
															}
														else
															{	/* Expand/let.scm 85 */
																obj_t BgL_carzd21162zd2_142;
																obj_t BgL_cdrzd21163zd2_143;

																BgL_carzd21162zd2_142 =
																	CAR(BgL_cdrzd21003zd2_97);
																BgL_cdrzd21163zd2_143 =
																	CDR(BgL_cdrzd21003zd2_97);
																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
																	(BgL_carzd21162zd2_142))
																	{	/* Expand/let.scm 85 */
																		if (NULLP(BgL_cdrzd21163zd2_143))
																			{	/* Expand/let.scm 85 */
																				goto BgL_tagzd2996zd2_94;
																			}
																		else
																			{
																				obj_t BgL_bodyz00_1350;
																				obj_t BgL_bindingsz00_1349;
																				obj_t BgL_ez00_1348;

																				BgL_ez00_1348 = BgL_ez00_83;
																				BgL_bindingsz00_1349 =
																					BgL_carzd21162zd2_142;
																				BgL_bodyz00_1350 =
																					BgL_cdrzd21163zd2_143;
																				BgL_bodyz00_157 = BgL_bodyz00_1350;
																				BgL_bindingsz00_156 =
																					BgL_bindingsz00_1349;
																				BgL_ez00_155 = BgL_ez00_1348;
																				goto BgL_zc3anonymousza31403ze3z83_158;
																			}
																	}
																else
																	{	/* Expand/let.scm 85 */
																		goto BgL_tagzd2996zd2_94;
																	}
															}
													}
											}
										else
											{	/* Expand/let.scm 85 */
												goto BgL_tagzd2996zd2_94;
											}
									}
								else
									{	/* Expand/let.scm 85 */
										goto BgL_tagzd2996zd2_94;
									}
							}
							{	/* Expand/let.scm 85 */

								BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
									BgL_oldzd2internalzd2_82;
								return BGl_replacez12z12zztools_miscz00(BgL_xz00_3,
									BgL_resz00_84);
							}
						}
					}
				}
			}
		}
	}



/* _expand-let */
	obj_t BGl__expandzd2letzd2zzexpand_letz00(obj_t BgL_envz00_995,
		obj_t BgL_xz00_996, obj_t BgL_ez00_997)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 52 */
			return BGl_expandzd2letzd2zzexpand_letz00(BgL_xz00_996, BgL_ez00_997);
		}
	}



/* <anonymous:1504> */
	obj_t BGl_zc3anonymousza31504ze3z83zzexpand_letz00(obj_t BgL_envz00_998,
		obj_t BgL_xz00_999, obj_t BgL_yz00_1000)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 63 */
			{
				obj_t BgL_xz00_286;
				obj_t BgL_yz00_287;

				BgL_xz00_286 = BgL_xz00_999;
				BgL_yz00_287 = BgL_yz00_1000;
				{	/* Expand/let.scm 64 */
					obj_t BgL__andtest_1285z00_289;

					BgL__andtest_1285z00_289 = CAR(BgL_xz00_286);
					if (CBOOL(BgL__andtest_1285z00_289))
						{	/* Expand/let.scm 64 */
							return MAKE_PAIR(CDR(BgL_xz00_286), CDR(BgL_yz00_287));
						}
					else
						{	/* Expand/let.scm 64 */
							return BFALSE;
						}
				}
			}
		}
	}



/* <anonymous:1427> */
	obj_t BGl_zc3anonymousza31427ze3z83zzexpand_letz00(obj_t BgL_envz00_1001)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 81 */
			{	/* Expand/let.scm 81 */
				obj_t BgL_bodyz00_1002;
				obj_t BgL_ez00_1003;

				BgL_bodyz00_1002 = PROCEDURE_REF(BgL_envz00_1001, (int) (((long) 0)));
				BgL_ez00_1003 = PROCEDURE_REF(BgL_envz00_1001, (int) (((long) 1)));
				{

					{	/* Expand/let.scm 81 */
						obj_t BgL_arg1430z00_187;

						BgL_arg1430z00_187 =
							BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_1002);
						return
							PROCEDURE_ENTRY(BgL_ez00_1003) (BgL_ez00_1003, BgL_arg1430z00_187,
							BgL_ez00_1003, BEOA);
					}
				}
			}
		}
	}



/* expand-letrec */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2letreczd2zzexpand_letz00(obj_t BgL_xz00_5,
		obj_t BgL_ez00_6)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 103 */
			{
				obj_t BgL_ez00_344;
				obj_t BgL_bindingsz00_345;
				obj_t BgL_bodyz00_346;

				{	/* Expand/let.scm 117 */
					obj_t BgL_oldzd2internalzd2_322;

					BgL_oldzd2internalzd2_322 =
						BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
					{	/* Expand/let.scm 119 */
						obj_t BgL_ez00_323;

						BgL_ez00_323 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(BgL_ez00_6);
						{	/* Expand/let.scm 119 */
							obj_t BgL_resz00_324;

							{

								if (PAIRP(BgL_xz00_5))
									{	/* Expand/let.scm 120 */
										obj_t BgL_cdrzd21209zd2_333;

										BgL_cdrzd21209zd2_333 = CDR(BgL_xz00_5);
										if (PAIRP(BgL_cdrzd21209zd2_333))
											{	/* Expand/let.scm 120 */
												obj_t BgL_cdrzd21212zd2_335;

												BgL_cdrzd21212zd2_335 = CDR(BgL_cdrzd21209zd2_333);
												if (NULLP(CAR(BgL_cdrzd21209zd2_333)))
													{	/* Expand/let.scm 120 */
														if (NULLP(BgL_cdrzd21212zd2_335))
															{	/* Expand/let.scm 120 */
															BgL_tagzd21203zd2_330:
																BgL_resz00_324 =
																	BGl_errorz00zz__errorz00(BFALSE,
																	BGl_string1885z00zzexpand_letz00, BgL_xz00_5);
															}
														else
															{	/* Expand/let.scm 120 */
																{	/* Expand/let.scm 120 */
																	obj_t BgL_pairz00_809;
																	obj_t BgL_objz00_810;

																	BgL_pairz00_809 = BgL_xz00_5;
																	BgL_objz00_810 = CNST_TABLE_REF(((long) 0));
																	SET_CAR(BgL_pairz00_809, BgL_objz00_810);
																}
																BgL_resz00_324 =
																	PROCEDURE_ENTRY(BgL_ez00_323) (BgL_ez00_323,
																	BgL_xz00_5, BgL_ez00_323, BEOA);
													}}
												else
													{	/* Expand/let.scm 120 */
														obj_t BgL_carzd21227zd2_339;
														obj_t BgL_cdrzd21228zd2_340;

														BgL_carzd21227zd2_339 = CAR(BgL_cdrzd21209zd2_333);
														BgL_cdrzd21228zd2_340 = CDR(BgL_cdrzd21209zd2_333);
														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
															(BgL_carzd21227zd2_339))
															{	/* Expand/let.scm 120 */
																if (NULLP(BgL_cdrzd21228zd2_340))
																	{	/* Expand/let.scm 120 */
																		goto BgL_tagzd21203zd2_330;
																	}
																else
																	{	/* Expand/let.scm 120 */
																		BgL_ez00_344 = BgL_ez00_323;
																		BgL_bindingsz00_345 = BgL_carzd21227zd2_339;
																		BgL_bodyz00_346 = BgL_cdrzd21228zd2_340;
																		{	/* Expand/let.scm 105 */
																			obj_t BgL_varsz00_348;

																			if (NULLP(BgL_bindingsz00_345))
																				{	/* Expand/let.scm 105 */
																					BgL_varsz00_348 = BNIL;
																				}
																			else
																				{	/* Expand/let.scm 105 */
																					obj_t BgL_head1317z00_380;

																					BgL_head1317z00_380 =
																						MAKE_PAIR(BNIL, BNIL);
																					{
																						obj_t BgL_l1315z00_381;
																						obj_t BgL_tail1318z00_382;

																						BgL_l1315z00_381 =
																							BgL_bindingsz00_345;
																						BgL_tail1318z00_382 =
																							BgL_head1317z00_380;
																					BgL_map1316z00_383:
																						if (NULLP(BgL_l1315z00_381))
																							{	/* Expand/let.scm 105 */
																								BgL_varsz00_348 =
																									CDR(BgL_head1317z00_380);
																							}
																						else
																							{	/* Expand/let.scm 105 */
																								obj_t BgL_newtail1319z00_385;

																								{	/* Expand/let.scm 105 */
																									obj_t BgL_arg1559z00_387;

																									{	/* Expand/let.scm 105 */
																										obj_t BgL_xz00_389;

																										BgL_xz00_389 =
																											CAR(BgL_l1315z00_381);
																										{
																											obj_t BgL_valz00_390;

																											if (PAIRP(BgL_xz00_389))
																												{	/* Expand/let.scm 106 */
																													obj_t
																														BgL_cdrzd21196zd2_396;
																													BgL_cdrzd21196zd2_396
																														= CDR(BgL_xz00_389);
																													if (PAIRP
																														(BgL_cdrzd21196zd2_396))
																														{	/* Expand/let.scm 106 */
																															if (NULLP(CDR
																																	(BgL_cdrzd21196zd2_396)))
																																{	/* Expand/let.scm 106 */
																																	BgL_valz00_390
																																		=
																																		CAR
																																		(BgL_cdrzd21196zd2_396);
																																	{	/* Expand/let.scm 107 */
																																		obj_t
																																			BgL_arg1581z00_404;
																																		obj_t
																																			BgL_arg1582z00_405;
																																		BgL_arg1581z00_404
																																			=
																																			CDR
																																			(BgL_xz00_389);
																																		BgL_arg1582z00_405
																																			=
																																			PROCEDURE_ENTRY
																																			(BgL_ez00_344)
																																			(BgL_ez00_344,
																																			BgL_valz00_390,
																																			BgL_ez00_344,
																																			BEOA);
																																		SET_CAR
																																			(BgL_arg1581z00_404,
																																			BgL_arg1582z00_405);
																																	}
																																	BgL_arg1559z00_387
																																		=
																																		BgL_xz00_389;
																																}
																															else
																																{	/* Expand/let.scm 106 */
																																	if (SYMBOLP
																																		(BgL_xz00_389))
																																		{	/* Expand/let.scm 106 */
																																		BgL_tagzd21190zd2_392:
																																			{	/* Expand/let.scm 108 */
																																				obj_t
																																					BgL_list1583z00_406;
																																				{	/* Expand/let.scm 108 */
																																					obj_t
																																						BgL_arg1593z00_407;
																																					BgL_arg1593z00_407
																																						=
																																						MAKE_PAIR
																																						(BUNSPEC,
																																						BNIL);
																																					BgL_list1583z00_406
																																						=
																																						MAKE_PAIR
																																						(BgL_xz00_389,
																																						BgL_arg1593z00_407);
																																				}
																																				BgL_arg1559z00_387
																																					=
																																					BgL_list1583z00_406;
																																			}
																																		}
																																	else
																																		{	/* Expand/let.scm 106 */
																																		BgL_tagzd21191zd2_393:
																																			BgL_arg1559z00_387
																																				=
																																				BGl_errorz00zz__errorz00
																																				(BFALSE,
																																				BGl_string1884z00zzexpand_letz00,
																																				BgL_xz00_389);
																																		}
																																}
																														}
																													else
																														{	/* Expand/let.scm 106 */
																															if (SYMBOLP
																																(BgL_xz00_389))
																																{	/* Expand/let.scm 106 */
																																	goto
																																		BgL_tagzd21190zd2_392;
																																}
																															else
																																{	/* Expand/let.scm 106 */
																																	goto
																																		BgL_tagzd21191zd2_393;
																																}
																														}
																												}
																											else
																												{	/* Expand/let.scm 106 */
																													if (SYMBOLP
																														(BgL_xz00_389))
																														{	/* Expand/let.scm 106 */
																															goto
																																BgL_tagzd21190zd2_392;
																														}
																													else
																														{	/* Expand/let.scm 106 */
																															goto
																																BgL_tagzd21191zd2_393;
																														}
																												}
																										}
																									}
																									BgL_newtail1319z00_385 =
																										MAKE_PAIR
																										(BgL_arg1559z00_387, BNIL);
																								}
																								SET_CDR(BgL_tail1318z00_382,
																									BgL_newtail1319z00_385);
																								{
																									obj_t BgL_tail1318z00_1422;
																									obj_t BgL_l1315z00_1420;

																									BgL_l1315z00_1420 =
																										CDR(BgL_l1315z00_381);
																									BgL_tail1318z00_1422 =
																										BgL_newtail1319z00_385;
																									BgL_tail1318z00_382 =
																										BgL_tail1318z00_1422;
																									BgL_l1315z00_381 =
																										BgL_l1315z00_1420;
																									goto BgL_map1316z00_383;
																								}
																							}
																					}
																				}
																			{	/* Expand/let.scm 111 */
																				obj_t BgL_arg1531z00_349;
																				obj_t BgL_arg1532z00_350;
																				obj_t BgL_arg1533z00_351;

																				if (NULLP(BgL_varsz00_348))
																					{	/* Expand/let.scm 111 */
																						BgL_arg1531z00_349 = BNIL;
																					}
																				else
																					{	/* Expand/let.scm 111 */
																						obj_t BgL_head1322z00_355;

																						BgL_head1322z00_355 =
																							MAKE_PAIR(CAR(CAR
																								(BgL_varsz00_348)), BNIL);
																						{	/* Expand/let.scm 111 */
																							obj_t BgL_g1325z00_356;

																							BgL_g1325z00_356 =
																								CDR(BgL_varsz00_348);
																							{
																								obj_t BgL_l1320z00_357;
																								obj_t BgL_tail1323z00_358;

																								BgL_l1320z00_357 =
																									BgL_g1325z00_356;
																								BgL_tail1323z00_358 =
																									BgL_head1322z00_355;
																							BgL_map1321z00_359:
																								if (NULLP(BgL_l1320z00_357))
																									{	/* Expand/let.scm 111 */
																										BgL_arg1531z00_349 =
																											BgL_head1322z00_355;
																									}
																								else
																									{	/* Expand/let.scm 111 */
																										obj_t
																											BgL_newtail1324z00_361;
																										BgL_newtail1324z00_361 =
																											MAKE_PAIR(CAR(CAR
																												(BgL_l1320z00_357)),
																											BNIL);
																										SET_CDR(BgL_tail1323z00_358,
																											BgL_newtail1324z00_361);
																										{
																											obj_t
																												BgL_tail1323z00_1437;
																											obj_t BgL_l1320z00_1435;

																											BgL_l1320z00_1435 =
																												CDR(BgL_l1320z00_357);
																											BgL_tail1323z00_1437 =
																												BgL_newtail1324z00_361;
																											BgL_tail1323z00_358 =
																												BgL_tail1323z00_1437;
																											BgL_l1320z00_357 =
																												BgL_l1320z00_1435;
																											goto BgL_map1321z00_359;
																										}
																									}
																							}
																						}
																					}
																				BgL_arg1532z00_350 =
																					CNST_TABLE_REF(((long) 2));
																				BgL_arg1533z00_351 =
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_xz00_5);
																				{	/* Expand/let.scm 115 */
																					obj_t
																						BgL_zc3anonymousza31546ze3z83_1004;
																					BgL_zc3anonymousza31546ze3z83_1004 =
																						make_fx_procedure
																						(BGl_zc3anonymousza31546ze3z83zzexpand_letz00,
																						(int) (((long) 0)),
																						(int) (((long) 3)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31546ze3z83_1004,
																						(int) (((long) 0)),
																						BgL_bodyz00_346);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31546ze3z83_1004,
																						(int) (((long) 1)), BgL_ez00_344);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31546ze3z83_1004,
																						(int) (((long) 2)),
																						BgL_varsz00_348);
																					BgL_resz00_324 =
																						BGl_withzd2lexicalzd2zzexpand_epsz00
																						(BgL_arg1531z00_349,
																						BgL_arg1532z00_350,
																						BgL_arg1533z00_351,
																						BgL_zc3anonymousza31546ze3z83_1004);
															}}}}}
														else
															{	/* Expand/let.scm 120 */
																goto BgL_tagzd21203zd2_330;
															}
													}
											}
										else
											{	/* Expand/let.scm 120 */
												goto BgL_tagzd21203zd2_330;
											}
									}
								else
									{	/* Expand/let.scm 120 */
										goto BgL_tagzd21203zd2_330;
									}
							}
							{	/* Expand/let.scm 120 */

								BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
									BgL_oldzd2internalzd2_322;
								return BGl_replacez12z12zztools_miscz00(BgL_xz00_5,
									BgL_resz00_324);
							}
						}
					}
				}
			}
		}
	}



/* _expand-letrec */
	obj_t BGl__expandzd2letreczd2zzexpand_letz00(obj_t BgL_envz00_1005,
		obj_t BgL_xz00_1006, obj_t BgL_ez00_1007)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 103 */
			return
				BGl_expandzd2letreczd2zzexpand_letz00(BgL_xz00_1006, BgL_ez00_1007);
		}
	}



/* <anonymous:1546> */
	obj_t BGl_zc3anonymousza31546ze3z83zzexpand_letz00(obj_t BgL_envz00_1008)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 114 */
			{	/* Expand/let.scm 115 */
				obj_t BgL_bodyz00_1009;
				obj_t BgL_ez00_1010;
				obj_t BgL_varsz00_1011;

				BgL_bodyz00_1009 = PROCEDURE_REF(BgL_envz00_1008, (int) (((long) 0)));
				BgL_ez00_1010 = PROCEDURE_REF(BgL_envz00_1008, (int) (((long) 1)));
				BgL_varsz00_1011 = PROCEDURE_REF(BgL_envz00_1008, (int) (((long) 2)));
				{

					{	/* Expand/let.scm 115 */
						obj_t BgL_arg1547z00_370;
						obj_t BgL_arg1548z00_371;

						BgL_arg1547z00_370 = CNST_TABLE_REF(((long) 4));
						{	/* Expand/let.scm 116 */
							obj_t BgL_arg1549z00_372;

							{	/* Expand/let.scm 116 */
								obj_t BgL_arg1554z00_376;

								BgL_arg1554z00_376 =
									BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_1009);
								BgL_arg1549z00_372 =
									PROCEDURE_ENTRY(BgL_ez00_1010) (BgL_ez00_1010,
									BgL_arg1554z00_376, BgL_ez00_1010, BEOA);
							}
							{	/* Expand/let.scm 115 */
								obj_t BgL_list1551z00_374;

								{	/* Expand/let.scm 115 */
									obj_t BgL_arg1553z00_375;

									BgL_arg1553z00_375 = MAKE_PAIR(BNIL, BNIL);
									BgL_list1551z00_374 =
										MAKE_PAIR(BgL_arg1549z00_372, BgL_arg1553z00_375);
								}
								BgL_arg1548z00_371 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_varsz00_1011,
									BgL_list1551z00_374);
						}}
						return MAKE_PAIR(BgL_arg1547z00_370, BgL_arg1548z00_371);
					}
				}
			}
		}
	}



/* expand-labels */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2labelszd2zzexpand_letz00(obj_t BgL_xz00_7,
		obj_t BgL_ez00_8)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 134 */
			{
				obj_t BgL_ez00_432;
				obj_t BgL_bindingsz00_433;
				obj_t BgL_bodyz00_434;

				{	/* Expand/let.scm 169 */
					obj_t BgL_oldzd2internalzd2_410;

					BgL_oldzd2internalzd2_410 =
						BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
					{	/* Expand/let.scm 171 */
						obj_t BgL_ez00_411;

						BgL_ez00_411 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(BgL_ez00_8);
						{	/* Expand/let.scm 171 */
							obj_t BgL_resz00_412;

							{

								if (PAIRP(BgL_xz00_7))
									{	/* Expand/let.scm 172 */
										obj_t BgL_cdrzd21397zd2_421;

										BgL_cdrzd21397zd2_421 = CDR(BgL_xz00_7);
										if (PAIRP(BgL_cdrzd21397zd2_421))
											{	/* Expand/let.scm 172 */
												obj_t BgL_cdrzd21400zd2_423;

												BgL_cdrzd21400zd2_423 = CDR(BgL_cdrzd21397zd2_421);
												if (NULLP(CAR(BgL_cdrzd21397zd2_421)))
													{	/* Expand/let.scm 172 */
														if (NULLP(BgL_cdrzd21400zd2_423))
															{	/* Expand/let.scm 172 */
															BgL_tagzd21391zd2_418:
																BgL_resz00_412 =
																	BGl_errorz00zz__errorz00(BFALSE,
																	BGl_string1887z00zzexpand_letz00, BgL_xz00_7);
															}
														else
															{	/* Expand/let.scm 172 */
																{	/* Expand/let.scm 172 */
																	obj_t BgL_pairz00_866;
																	obj_t BgL_objz00_867;

																	BgL_pairz00_866 = BgL_xz00_7;
																	BgL_objz00_867 = CNST_TABLE_REF(((long) 0));
																	SET_CAR(BgL_pairz00_866, BgL_objz00_867);
																}
																BgL_resz00_412 =
																	PROCEDURE_ENTRY(BgL_ez00_411) (BgL_ez00_411,
																	BgL_xz00_7, BgL_ez00_411, BEOA);
													}}
												else
													{	/* Expand/let.scm 172 */
														obj_t BgL_carzd21415zd2_427;
														obj_t BgL_cdrzd21416zd2_428;

														BgL_carzd21415zd2_427 = CAR(BgL_cdrzd21397zd2_421);
														BgL_cdrzd21416zd2_428 = CDR(BgL_cdrzd21397zd2_421);
														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
															(BgL_carzd21415zd2_427))
															{	/* Expand/let.scm 172 */
																if (NULLP(BgL_cdrzd21416zd2_428))
																	{	/* Expand/let.scm 172 */
																		goto BgL_tagzd21391zd2_418;
																	}
																else
																	{	/* Expand/let.scm 172 */
																		BgL_ez00_432 = BgL_ez00_411;
																		BgL_bindingsz00_433 = BgL_carzd21415zd2_427;
																		BgL_bodyz00_434 = BgL_cdrzd21416zd2_428;
																		{	/* Expand/let.scm 136 */
																			obj_t BgL_varsz00_436;

																			if (NULLP(BgL_bindingsz00_433))
																				{	/* Expand/let.scm 136 */
																					BgL_varsz00_436 = BNIL;
																				}
																			else
																				{	/* Expand/let.scm 136 */
																					obj_t BgL_head1328z00_489;

																					BgL_head1328z00_489 =
																						MAKE_PAIR(BNIL, BNIL);
																					{
																						obj_t BgL_l1326z00_490;
																						obj_t BgL_tail1329z00_491;

																						BgL_l1326z00_490 =
																							BgL_bindingsz00_433;
																						BgL_tail1329z00_491 =
																							BgL_head1328z00_489;
																					BgL_map1327z00_492:
																						if (NULLP(BgL_l1326z00_490))
																							{	/* Expand/let.scm 136 */
																								BgL_varsz00_436 =
																									CDR(BgL_head1328z00_489);
																							}
																						else
																							{	/* Expand/let.scm 136 */
																								obj_t BgL_newtail1330z00_494;

																								{	/* Expand/let.scm 136 */
																									obj_t BgL_arg1670z00_496;

																									{	/* Expand/let.scm 136 */
																										obj_t BgL_xz00_498;

																										BgL_xz00_498 =
																											CAR(BgL_l1326z00_490);
																										{

																											if (PAIRP(BgL_xz00_498))
																												{	/* Expand/let.scm 137 */
																													obj_t
																														BgL_cdrzd21255zd2_510;
																													BgL_cdrzd21255zd2_510
																														= CDR(BgL_xz00_498);
																													{	/* Expand/let.scm 137 */
																														obj_t BgL_idz00_511;

																														BgL_idz00_511 =
																															CAR(BgL_xz00_498);
																														if (PAIRP
																															(BgL_cdrzd21255zd2_510))
																															{	/* Expand/let.scm 137 */
																																if (NULLP(CAR
																																		(BgL_cdrzd21255zd2_510)))
																																	{	/* Expand/let.scm 137 */
																																		BgL_arg1670z00_496
																																			=
																																			BgL_idz00_511;
																																	}
																																else
																																	{	/* Expand/let.scm 137 */
																																		bool_t
																																			BgL_testz00_1505;
																																		{	/* Expand/let.scm 137 */
																																			obj_t
																																				BgL_auxz00_1506;
																																			BgL_auxz00_1506
																																				=
																																				CAR
																																				(BgL_cdrzd21255zd2_510);
																																			BgL_testz00_1505
																																				=
																																				SYMBOLP
																																				(BgL_auxz00_1506);
																																		}
																																		if (BgL_testz00_1505)
																																			{	/* Expand/let.scm 137 */
																																				BgL_arg1670z00_496
																																					=
																																					BgL_idz00_511;
																																			}
																																		else
																																			{	/* Expand/let.scm 137 */
																																				obj_t
																																					BgL_idz00_516;
																																				BgL_idz00_516
																																					=
																																					CAR
																																					(BgL_xz00_498);
																																				{
																																					obj_t
																																						BgL_gzd21282zd2_571;
																																					obj_t
																																						BgL_gzd21277zd2_521;
																																					BgL_gzd21277zd2_521
																																						=
																																						CAR
																																						(CDR
																																						(BgL_xz00_498));
																																					if (PAIRP(BgL_gzd21277zd2_521))
																																						{	/* Expand/let.scm 137 */
																																							obj_t
																																								BgL_carzd21279zd2_524;
																																							BgL_carzd21279zd2_524
																																								=
																																								CAR
																																								(BgL_gzd21277zd2_521);
																																							{

																																								if (BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_carzd21279zd2_524))
																																									{	/* Expand/let.scm 137 */
																																									BgL_kapzd21281zd2_525:
																																										BgL_gzd21282zd2_571
																																											=
																																											CDR
																																											(BgL_gzd21277zd2_521);
																																									BgL_zc3anonymousza31802ze3z83_572:
																																										if (NULLP(BgL_gzd21282zd2_571))
																																											{	/* Expand/let.scm 137 */
																																												BgL_arg1670z00_496
																																													=
																																													BgL_idz00_516;
																																											}
																																										else
																																											{	/* Expand/let.scm 137 */
																																												if (PAIRP(BgL_gzd21282zd2_571))
																																													{	/* Expand/let.scm 137 */
																																														obj_t
																																															BgL_carzd21284zd2_575;
																																														BgL_carzd21284zd2_575
																																															=
																																															CAR
																																															(BgL_gzd21282zd2_571);
																																														{

																																															if (BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_carzd21284zd2_575))
																																																{	/* Expand/let.scm 137 */
																																																BgL_kapzd21286zd2_576:
																																																	{
																																																		obj_t
																																																			BgL_gzd21282zd2_1522;
																																																		BgL_gzd21282zd2_1522
																																																			=
																																																			CDR
																																																			(BgL_gzd21282zd2_571);
																																																		BgL_gzd21282zd2_571
																																																			=
																																																			BgL_gzd21282zd2_1522;
																																																		goto
																																																			BgL_zc3anonymousza31802ze3z83_572;
																																																	}
																																																}
																																															else
																																																{	/* Expand/let.scm 137 */
																																																	if (SYMBOLP(BgL_carzd21284zd2_575))
																																																		{	/* Expand/let.scm 137 */
																																																			goto
																																																				BgL_kapzd21286zd2_576;
																																																		}
																																																	else
																																																		{	/* Expand/let.scm 137 */
																																																			obj_t
																																																				BgL_idz00_579;
																																																			BgL_idz00_579
																																																				=
																																																				CAR
																																																				(BgL_xz00_498);
																																																			{
																																																				obj_t
																																																					BgL_gzd21300zd2_591;
																																																				obj_t
																																																					BgL_gzd21296zd2_584;
																																																				BgL_gzd21296zd2_584
																																																					=
																																																					CAR
																																																					(CDR
																																																					(BgL_xz00_498));
																																																				if (SYMBOLP(BgL_gzd21296zd2_584))
																																																					{	/* Expand/let.scm 137 */
																																																						BgL_arg1670z00_496
																																																							=
																																																							BgL_idz00_579;
																																																					}
																																																				else
																																																					{	/* Expand/let.scm 137 */
																																																						if (PAIRP(BgL_gzd21296zd2_584))
																																																							{	/* Expand/let.scm 137 */
																																																								bool_t
																																																									BgL_testz00_1531;
																																																								{	/* Expand/let.scm 137 */
																																																									obj_t
																																																										BgL_auxz00_1532;
																																																									BgL_auxz00_1532
																																																										=
																																																										CAR
																																																										(BgL_gzd21296zd2_584);
																																																									BgL_testz00_1531
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_1532);
																																																								}
																																																								if (BgL_testz00_1531)
																																																									{	/* Expand/let.scm 137 */
																																																										BgL_gzd21300zd2_591
																																																											=
																																																											CDR
																																																											(BgL_gzd21296zd2_584);
																																																									BgL_zc3anonymousza31820ze3z83_592:
																																																										if (SYMBOLP(BgL_gzd21300zd2_591))
																																																											{	/* Expand/let.scm 137 */
																																																												BgL_arg1670z00_496
																																																													=
																																																													BgL_idz00_579;
																																																											}
																																																										else
																																																											{	/* Expand/let.scm 137 */
																																																												if (PAIRP(BgL_gzd21300zd2_591))
																																																													{	/* Expand/let.scm 137 */
																																																														bool_t
																																																															BgL_testz00_1539;
																																																														{	/* Expand/let.scm 137 */
																																																															obj_t
																																																																BgL_auxz00_1540;
																																																															BgL_auxz00_1540
																																																																=
																																																																CAR
																																																																(BgL_gzd21300zd2_591);
																																																															BgL_testz00_1539
																																																																=
																																																																SYMBOLP
																																																																(BgL_auxz00_1540);
																																																														}
																																																														if (BgL_testz00_1539)
																																																															{
																																																																obj_t
																																																																	BgL_gzd21300zd2_1543;
																																																																BgL_gzd21300zd2_1543
																																																																	=
																																																																	CDR
																																																																	(BgL_gzd21300zd2_591);
																																																																BgL_gzd21300zd2_591
																																																																	=
																																																																	BgL_gzd21300zd2_1543;
																																																																goto
																																																																	BgL_zc3anonymousza31820ze3z83_592;
																																																															}
																																																														else
																																																															{	/* Expand/let.scm 137 */
																																																															BgL_tagzd21246zd2_507:
																																																																BgL_arg1670z00_496
																																																																	=
																																																																	BGl_errorz00zz__errorz00
																																																																	(BFALSE,
																																																																	BGl_string1886z00zzexpand_letz00,
																																																																	BgL_xz00_498);
																																																															}
																																																													}
																																																												else
																																																													{	/* Expand/let.scm 137 */
																																																														goto
																																																															BgL_tagzd21246zd2_507;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Expand/let.scm 137 */
																																																										goto
																																																											BgL_tagzd21246zd2_507;
																																																									}
																																																							}
																																																						else
																																																							{	/* Expand/let.scm 137 */
																																																								goto
																																																									BgL_tagzd21246zd2_507;
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																												else
																																													{	/* Expand/let.scm 137 */
																																														obj_t
																																															BgL_idz00_601;
																																														BgL_idz00_601
																																															=
																																															CAR
																																															(BgL_xz00_498);
																																														{
																																															obj_t
																																																BgL_gzd21317zd2_613;
																																															obj_t
																																																BgL_gzd21313zd2_606;
																																															BgL_gzd21313zd2_606
																																																=
																																																CAR
																																																(CDR
																																																(BgL_xz00_498));
																																															if (SYMBOLP(BgL_gzd21313zd2_606))
																																																{	/* Expand/let.scm 137 */
																																																	BgL_arg1670z00_496
																																																		=
																																																		BgL_idz00_601;
																																																}
																																															else
																																																{	/* Expand/let.scm 137 */
																																																	if (PAIRP(BgL_gzd21313zd2_606))
																																																		{	/* Expand/let.scm 137 */
																																																			bool_t
																																																				BgL_testz00_1554;
																																																			{	/* Expand/let.scm 137 */
																																																				obj_t
																																																					BgL_auxz00_1555;
																																																				BgL_auxz00_1555
																																																					=
																																																					CAR
																																																					(BgL_gzd21313zd2_606);
																																																				BgL_testz00_1554
																																																					=
																																																					SYMBOLP
																																																					(BgL_auxz00_1555);
																																																			}
																																																			if (BgL_testz00_1554)
																																																				{	/* Expand/let.scm 137 */
																																																					BgL_gzd21317zd2_613
																																																						=
																																																						CDR
																																																						(BgL_gzd21313zd2_606);
																																																				BgL_zc3anonymousza31847ze3z83_614:
																																																					if (SYMBOLP(BgL_gzd21317zd2_613))
																																																						{	/* Expand/let.scm 137 */
																																																							BgL_arg1670z00_496
																																																								=
																																																								BgL_idz00_601;
																																																						}
																																																					else
																																																						{	/* Expand/let.scm 137 */
																																																							if (PAIRP(BgL_gzd21317zd2_613))
																																																								{	/* Expand/let.scm 137 */
																																																									bool_t
																																																										BgL_testz00_1562;
																																																									{	/* Expand/let.scm 137 */
																																																										obj_t
																																																											BgL_auxz00_1563;
																																																										BgL_auxz00_1563
																																																											=
																																																											CAR
																																																											(BgL_gzd21317zd2_613);
																																																										BgL_testz00_1562
																																																											=
																																																											SYMBOLP
																																																											(BgL_auxz00_1563);
																																																									}
																																																									if (BgL_testz00_1562)
																																																										{
																																																											obj_t
																																																												BgL_gzd21317zd2_1566;
																																																											BgL_gzd21317zd2_1566
																																																												=
																																																												CDR
																																																												(BgL_gzd21317zd2_613);
																																																											BgL_gzd21317zd2_613
																																																												=
																																																												BgL_gzd21317zd2_1566;
																																																											goto
																																																												BgL_zc3anonymousza31847ze3z83_614;
																																																										}
																																																									else
																																																										{	/* Expand/let.scm 137 */
																																																											goto
																																																												BgL_tagzd21246zd2_507;
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/let.scm 137 */
																																																									goto
																																																										BgL_tagzd21246zd2_507;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/let.scm 137 */
																																																					goto
																																																						BgL_tagzd21246zd2_507;
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/let.scm 137 */
																																																			goto
																																																				BgL_tagzd21246zd2_507;
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Expand/let.scm 137 */
																																										if (SYMBOLP(BgL_carzd21279zd2_524))
																																											{	/* Expand/let.scm 137 */
																																												goto
																																													BgL_kapzd21281zd2_525;
																																											}
																																										else
																																											{	/* Expand/let.scm 137 */
																																												obj_t
																																													BgL_idz00_528;
																																												BgL_idz00_528
																																													=
																																													CAR
																																													(BgL_xz00_498);
																																												{
																																													obj_t
																																														BgL_gzd21334zd2_540;
																																													obj_t
																																														BgL_gzd21330zd2_533;
																																													BgL_gzd21330zd2_533
																																														=
																																														CAR
																																														(CDR
																																														(BgL_xz00_498));
																																													if (SYMBOLP(BgL_gzd21330zd2_533))
																																														{	/* Expand/let.scm 137 */
																																															BgL_arg1670z00_496
																																																=
																																																BgL_idz00_528;
																																														}
																																													else
																																														{	/* Expand/let.scm 137 */
																																															if (PAIRP(BgL_gzd21330zd2_533))
																																																{	/* Expand/let.scm 137 */
																																																	bool_t
																																																		BgL_testz00_1579;
																																																	{	/* Expand/let.scm 137 */
																																																		obj_t
																																																			BgL_auxz00_1580;
																																																		BgL_auxz00_1580
																																																			=
																																																			CAR
																																																			(BgL_gzd21330zd2_533);
																																																		BgL_testz00_1579
																																																			=
																																																			SYMBOLP
																																																			(BgL_auxz00_1580);
																																																	}
																																																	if (BgL_testz00_1579)
																																																		{	/* Expand/let.scm 137 */
																																																			BgL_gzd21334zd2_540
																																																				=
																																																				CDR
																																																				(BgL_gzd21330zd2_533);
																																																		BgL_zc3anonymousza31704ze3z83_541:
																																																			if (SYMBOLP(BgL_gzd21334zd2_540))
																																																				{	/* Expand/let.scm 137 */
																																																					BgL_arg1670z00_496
																																																						=
																																																						BgL_idz00_528;
																																																				}
																																																			else
																																																				{	/* Expand/let.scm 137 */
																																																					if (PAIRP(BgL_gzd21334zd2_540))
																																																						{	/* Expand/let.scm 137 */
																																																							bool_t
																																																								BgL_testz00_1587;
																																																							{	/* Expand/let.scm 137 */
																																																								obj_t
																																																									BgL_auxz00_1588;
																																																								BgL_auxz00_1588
																																																									=
																																																									CAR
																																																									(BgL_gzd21334zd2_540);
																																																								BgL_testz00_1587
																																																									=
																																																									SYMBOLP
																																																									(BgL_auxz00_1588);
																																																							}
																																																							if (BgL_testz00_1587)
																																																								{
																																																									obj_t
																																																										BgL_gzd21334zd2_1591;
																																																									BgL_gzd21334zd2_1591
																																																										=
																																																										CDR
																																																										(BgL_gzd21334zd2_540);
																																																									BgL_gzd21334zd2_540
																																																										=
																																																										BgL_gzd21334zd2_1591;
																																																									goto
																																																										BgL_zc3anonymousza31704ze3z83_541;
																																																								}
																																																							else
																																																								{	/* Expand/let.scm 137 */
																																																									goto
																																																										BgL_tagzd21246zd2_507;
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/let.scm 137 */
																																																							goto
																																																								BgL_tagzd21246zd2_507;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/let.scm 137 */
																																																			goto
																																																				BgL_tagzd21246zd2_507;
																																																		}
																																																}
																																															else
																																																{	/* Expand/let.scm 137 */
																																																	goto
																																																		BgL_tagzd21246zd2_507;
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Expand/let.scm 137 */
																																							obj_t
																																								BgL_idz00_550;
																																							BgL_idz00_550
																																								=
																																								CAR
																																								(BgL_xz00_498);
																																							{
																																								obj_t
																																									BgL_gzd21351zd2_562;
																																								obj_t
																																									BgL_gzd21347zd2_555;
																																								BgL_gzd21347zd2_555
																																									=
																																									CAR
																																									(CDR
																																									(BgL_xz00_498));
																																								if (SYMBOLP(BgL_gzd21347zd2_555))
																																									{	/* Expand/let.scm 137 */
																																										BgL_arg1670z00_496
																																											=
																																											BgL_idz00_550;
																																									}
																																								else
																																									{	/* Expand/let.scm 137 */
																																										if (PAIRP(BgL_gzd21347zd2_555))
																																											{	/* Expand/let.scm 137 */
																																												bool_t
																																													BgL_testz00_1601;
																																												{	/* Expand/let.scm 137 */
																																													obj_t
																																														BgL_auxz00_1602;
																																													BgL_auxz00_1602
																																														=
																																														CAR
																																														(BgL_gzd21347zd2_555);
																																													BgL_testz00_1601
																																														=
																																														SYMBOLP
																																														(BgL_auxz00_1602);
																																												}
																																												if (BgL_testz00_1601)
																																													{	/* Expand/let.scm 137 */
																																														BgL_gzd21351zd2_562
																																															=
																																															CDR
																																															(BgL_gzd21347zd2_555);
																																													BgL_zc3anonymousza31792ze3z83_563:
																																														if (SYMBOLP(BgL_gzd21351zd2_562))
																																															{	/* Expand/let.scm 137 */
																																																BgL_arg1670z00_496
																																																	=
																																																	BgL_idz00_550;
																																															}
																																														else
																																															{	/* Expand/let.scm 137 */
																																																if (PAIRP(BgL_gzd21351zd2_562))
																																																	{	/* Expand/let.scm 137 */
																																																		bool_t
																																																			BgL_testz00_1609;
																																																		{	/* Expand/let.scm 137 */
																																																			obj_t
																																																				BgL_auxz00_1610;
																																																			BgL_auxz00_1610
																																																				=
																																																				CAR
																																																				(BgL_gzd21351zd2_562);
																																																			BgL_testz00_1609
																																																				=
																																																				SYMBOLP
																																																				(BgL_auxz00_1610);
																																																		}
																																																		if (BgL_testz00_1609)
																																																			{
																																																				obj_t
																																																					BgL_gzd21351zd2_1613;
																																																				BgL_gzd21351zd2_1613
																																																					=
																																																					CDR
																																																					(BgL_gzd21351zd2_562);
																																																				BgL_gzd21351zd2_562
																																																					=
																																																					BgL_gzd21351zd2_1613;
																																																				goto
																																																					BgL_zc3anonymousza31792ze3z83_563;
																																																			}
																																																		else
																																																			{	/* Expand/let.scm 137 */
																																																				goto
																																																					BgL_tagzd21246zd2_507;
																																																			}
																																																	}
																																																else
																																																	{	/* Expand/let.scm 137 */
																																																		goto
																																																			BgL_tagzd21246zd2_507;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Expand/let.scm 137 */
																																														goto
																																															BgL_tagzd21246zd2_507;
																																													}
																																											}
																																										else
																																											{	/* Expand/let.scm 137 */
																																												goto
																																													BgL_tagzd21246zd2_507;
																																											}
																																									}
																																							}
																																						}
																																				}
																																			}
																																	}
																															}
																														else
																															{	/* Expand/let.scm 137 */
																																goto
																																	BgL_tagzd21246zd2_507;
																															}
																													}
																												}
																											else
																												{	/* Expand/let.scm 137 */
																													goto
																														BgL_tagzd21246zd2_507;
																												}
																										}
																									}
																									BgL_newtail1330z00_494 =
																										MAKE_PAIR
																										(BgL_arg1670z00_496, BNIL);
																								}
																								SET_CDR(BgL_tail1329z00_491,
																									BgL_newtail1330z00_494);
																								{
																									obj_t BgL_tail1329z00_1624;
																									obj_t BgL_l1326z00_1622;

																									BgL_l1326z00_1622 =
																										CDR(BgL_l1326z00_490);
																									BgL_tail1329z00_1624 =
																										BgL_newtail1330z00_494;
																									BgL_tail1329z00_491 =
																										BgL_tail1329z00_1624;
																									BgL_l1326z00_490 =
																										BgL_l1326z00_1622;
																									goto BgL_map1327z00_492;
																								}
																							}
																					}
																				}
																			{	/* Expand/let.scm 151 */
																				obj_t BgL_arg1603z00_437;
																				obj_t BgL_arg1609z00_438;

																				BgL_arg1603z00_437 =
																					CNST_TABLE_REF(((long) 2));
																				BgL_arg1609z00_438 =
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_xz00_7);
																				{	/* Expand/let.scm 154 */
																					obj_t
																						BgL_zc3anonymousza31613ze3z83_1013;
																					BgL_zc3anonymousza31613ze3z83_1013 =
																						make_fx_procedure
																						(BGl_zc3anonymousza31613ze3z83zzexpand_letz00,
																						(int) (((long) 0)),
																						(int) (((long) 3)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31613ze3z83_1013,
																						(int) (((long) 0)),
																						BgL_bindingsz00_433);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31613ze3z83_1013,
																						(int) (((long) 1)), BgL_ez00_432);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31613ze3z83_1013,
																						(int) (((long) 2)),
																						BgL_bodyz00_434);
																					BgL_resz00_412 =
																						BGl_withzd2lexicalzd2zzexpand_epsz00
																						(BgL_varsz00_436,
																						BgL_arg1603z00_437,
																						BgL_arg1609z00_438,
																						BgL_zc3anonymousza31613ze3z83_1013);
															}}}}}
														else
															{	/* Expand/let.scm 172 */
																goto BgL_tagzd21391zd2_418;
															}
													}
											}
										else
											{	/* Expand/let.scm 172 */
												goto BgL_tagzd21391zd2_418;
											}
									}
								else
									{	/* Expand/let.scm 172 */
										goto BgL_tagzd21391zd2_418;
									}
							}
							{	/* Expand/let.scm 172 */

								BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
									BgL_oldzd2internalzd2_410;
								return BGl_replacez12z12zztools_miscz00(BgL_xz00_7,
									BgL_resz00_412);
							}
						}
					}
				}
			}
		}
	}



/* _expand-labels */
	obj_t BGl__expandzd2labelszd2zzexpand_letz00(obj_t BgL_envz00_1014,
		obj_t BgL_xz00_1015, obj_t BgL_ez00_1016)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 134 */
			return
				BGl_expandzd2labelszd2zzexpand_letz00(BgL_xz00_1015, BgL_ez00_1016);
		}
	}



/* <anonymous:1613> */
	obj_t BGl_zc3anonymousza31613ze3z83zzexpand_letz00(obj_t BgL_envz00_1017)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 153 */
			{	/* Expand/let.scm 154 */
				obj_t BgL_bindingsz00_1018;
				obj_t BgL_ez00_1019;
				obj_t BgL_bodyz00_1020;

				BgL_bindingsz00_1018 =
					PROCEDURE_REF(BgL_envz00_1017, (int) (((long) 0)));
				BgL_ez00_1019 = PROCEDURE_REF(BgL_envz00_1017, (int) (((long) 1)));
				BgL_bodyz00_1020 = PROCEDURE_REF(BgL_envz00_1017, (int) (((long) 2)));
				{

					{	/* Expand/let.scm 154 */
						obj_t BgL_newz00_441;

						if (NULLP(BgL_bindingsz00_1018))
							{	/* Expand/let.scm 154 */
								BgL_newz00_441 = BNIL;
							}
						else
							{	/* Expand/let.scm 154 */
								obj_t BgL_head1333z00_451;

								BgL_head1333z00_451 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1331z00_452;
									obj_t BgL_tail1334z00_453;

									BgL_l1331z00_452 = BgL_bindingsz00_1018;
									BgL_tail1334z00_453 = BgL_head1333z00_451;
								BgL_map1332z00_454:
									if (NULLP(BgL_l1331z00_452))
										{	/* Expand/let.scm 154 */
											BgL_newz00_441 = CDR(BgL_head1333z00_451);
										}
									else
										{	/* Expand/let.scm 154 */
											obj_t BgL_newtail1335z00_456;

											{	/* Expand/let.scm 154 */
												obj_t BgL_arg1637z00_458;

												{	/* Expand/let.scm 154 */
													obj_t BgL_xz00_460;

													BgL_xz00_460 = CAR(BgL_l1331z00_452);
													{
														obj_t BgL_namez00_461;
														obj_t BgL_argsz00_462;
														obj_t BgL_lbodyz00_463;

														if (PAIRP(BgL_xz00_460))
															{	/* Expand/let.scm 155 */
																obj_t BgL_cdrzd21380zd2_468;

																BgL_cdrzd21380zd2_468 = CDR(BgL_xz00_460);
																if (PAIRP(BgL_cdrzd21380zd2_468))
																	{	/* Expand/let.scm 155 */
																		obj_t BgL_cdrzd21385zd2_470;

																		BgL_cdrzd21385zd2_470 =
																			CDR(BgL_cdrzd21380zd2_468);
																		if (NULLP(BgL_cdrzd21385zd2_470))
																			{	/* Expand/let.scm 155 */
																			BgL_tagzd21371zd2_465:
																				BgL_arg1637z00_458 =
																					BGl_errorz00zz__errorz00(BFALSE,
																					BGl_string1886z00zzexpand_letz00,
																					BgL_xz00_460);
																			}
																		else
																			{	/* Expand/let.scm 155 */
																				BgL_namez00_461 = CAR(BgL_xz00_460);
																				BgL_argsz00_462 =
																					CAR(BgL_cdrzd21380zd2_468);
																				BgL_lbodyz00_463 =
																					BgL_cdrzd21385zd2_470;
																				{	/* Expand/let.scm 158 */
																					obj_t BgL_arg1647z00_474;
																					obj_t BgL_arg1648z00_475;
																					obj_t BgL_arg1649z00_476;

																					BgL_arg1647z00_474 =
																						BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
																						(BgL_argsz00_462);
																					BgL_arg1648z00_475 =
																						CNST_TABLE_REF(((long) 2));
																					BgL_arg1649z00_476 =
																						BGl_findzd2locationzd2zztools_locationz00
																						(BgL_xz00_460);
																					{	/* Expand/let.scm 162 */
																						obj_t
																							BgL_zc3anonymousza31652ze3z83_1012;
																						BgL_zc3anonymousza31652ze3z83_1012 =
																							make_fx_procedure
																							(BGl_zc3anonymousza31652ze3z83zzexpand_letz00,
																							(int) (((long) 0)),
																							(int) (((long) 5)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza31652ze3z83_1012,
																							(int) (((long) 0)),
																							BgL_lbodyz00_463);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza31652ze3z83_1012,
																							(int) (((long) 1)),
																							BgL_ez00_1019);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza31652ze3z83_1012,
																							(int) (((long) 2)),
																							BgL_argsz00_462);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza31652ze3z83_1012,
																							(int) (((long) 3)),
																							BgL_namez00_461);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza31652ze3z83_1012,
																							(int) (((long) 4)), BgL_xz00_460);
																						BgL_arg1637z00_458 =
																							BGl_withzd2lexicalzd2zzexpand_epsz00
																							(BgL_arg1647z00_474,
																							BgL_arg1648z00_475,
																							BgL_arg1649z00_476,
																							BgL_zc3anonymousza31652ze3z83_1012);
																	}}}}
																else
																	{	/* Expand/let.scm 155 */
																		goto BgL_tagzd21371zd2_465;
																	}
															}
														else
															{	/* Expand/let.scm 155 */
																goto BgL_tagzd21371zd2_465;
															}
													}
												}
												BgL_newtail1335z00_456 =
													MAKE_PAIR(BgL_arg1637z00_458, BNIL);
											}
											SET_CDR(BgL_tail1334z00_453, BgL_newtail1335z00_456);
											{
												obj_t BgL_tail1334z00_1684;
												obj_t BgL_l1331z00_1682;

												BgL_l1331z00_1682 = CDR(BgL_l1331z00_452);
												BgL_tail1334z00_1684 = BgL_newtail1335z00_456;
												BgL_tail1334z00_453 = BgL_tail1334z00_1684;
												BgL_l1331z00_452 = BgL_l1331z00_1682;
												goto BgL_map1332z00_454;
											}
										}
								}
							}
						{	/* Expand/let.scm 168 */
							obj_t BgL_arg1617z00_442;
							obj_t BgL_arg1618z00_443;

							BgL_arg1617z00_442 = CNST_TABLE_REF(((long) 3));
							{	/* Expand/let.scm 168 */
								obj_t BgL_arg1619z00_444;

								{	/* Expand/let.scm 168 */
									obj_t BgL_arg1628z00_448;

									BgL_arg1628z00_448 =
										BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_1020);
									BgL_arg1619z00_444 =
										PROCEDURE_ENTRY(BgL_ez00_1019) (BgL_ez00_1019,
										BgL_arg1628z00_448, BgL_ez00_1019, BEOA);
								}
								{	/* Expand/let.scm 168 */
									obj_t BgL_list1621z00_446;

									{	/* Expand/let.scm 168 */
										obj_t BgL_arg1625z00_447;

										BgL_arg1625z00_447 = MAKE_PAIR(BNIL, BNIL);
										BgL_list1621z00_446 =
											MAKE_PAIR(BgL_arg1619z00_444, BgL_arg1625z00_447);
									}
									BgL_arg1618z00_443 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_newz00_441,
										BgL_list1621z00_446);
							}}
							return MAKE_PAIR(BgL_arg1617z00_442, BgL_arg1618z00_443);
						}
					}
				}
			}
		}
	}



/* <anonymous:1652> */
	obj_t BGl_zc3anonymousza31652ze3z83zzexpand_letz00(obj_t BgL_envz00_1021)
	{
		AN_OBJECT;
		{	/* Expand/let.scm 161 */
			{	/* Expand/let.scm 162 */
				obj_t BgL_lbodyz00_1022;
				obj_t BgL_ez00_1023;
				obj_t BgL_argsz00_1024;
				obj_t BgL_namez00_1025;
				obj_t BgL_xz00_1026;

				BgL_lbodyz00_1022 = PROCEDURE_REF(BgL_envz00_1021, (int) (((long) 0)));
				BgL_ez00_1023 = PROCEDURE_REF(BgL_envz00_1021, (int) (((long) 1)));
				BgL_argsz00_1024 = PROCEDURE_REF(BgL_envz00_1021, (int) (((long) 2)));
				BgL_namez00_1025 = PROCEDURE_REF(BgL_envz00_1021, (int) (((long) 3)));
				BgL_xz00_1026 = PROCEDURE_REF(BgL_envz00_1021, (int) (((long) 4)));
				{

					{	/* Expand/let.scm 162 */
						obj_t BgL_bodyz00_479;

						{	/* Expand/let.scm 162 */
							obj_t BgL_arg1665z00_484;

							BgL_arg1665z00_484 =
								BGl_expandzd2prognzd2zz__prognz00(BgL_lbodyz00_1022);
							BgL_bodyz00_479 =
								PROCEDURE_ENTRY(BgL_ez00_1023) (BgL_ez00_1023,
								BgL_arg1665z00_484, BgL_ez00_1023, BEOA);
						}
						{	/* Expand/let.scm 162 */
							obj_t BgL_bz00_480;

							{	/* Expand/let.scm 163 */
								obj_t BgL_arg1653z00_481;

								{	/* Expand/let.scm 163 */
									obj_t BgL_list1654z00_482;

									{	/* Expand/let.scm 163 */
										obj_t BgL_arg1661z00_483;

										BgL_arg1661z00_483 = MAKE_PAIR(BNIL, BNIL);
										BgL_list1654z00_482 =
											MAKE_PAIR(BgL_bodyz00_479, BgL_arg1661z00_483);
									}
									BgL_arg1653z00_481 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_argsz00_1024, BgL_list1654z00_482);
								}
								BgL_bz00_480 = MAKE_PAIR(BgL_namez00_1025, BgL_arg1653z00_481);
							}
							{	/* Expand/let.scm 163 */

								return
									BGl_epairifyz00zztools_miscz00(BgL_bz00_480, BgL_xz00_1026);
							}
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_letz00()
	{
		AN_OBJECT;
		{	/* Expand/let.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_letz00()
	{
		AN_OBJECT;
		{	/* Expand/let.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long) 245373811),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
			return
				BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 315458190),
				BSTRING_TO_STRING(BGl_string1888z00zzexpand_letz00));
		}
	}

#ifdef __cplusplus
}
#endif
