/*===========================================================================*/
/*   (Foreign/cptr.scm)                                                      */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/cptr.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_caliasz00_bgl
	{
		bool_t BgL_arrayzf3zf3;
	}                *BgL_caliasz00_bglt;

	typedef struct BgL_cenumz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		obj_t BgL_literalsz00;
	}               *BgL_cenumz00_bglt;

	typedef struct BgL_copaquez00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
	}                 *BgL_copaquez00_bglt;

	typedef struct BgL_cfunctionz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		long BgL_arityz00;
		struct BgL_typez00_bgl *BgL_typezd2reszd2;
		obj_t BgL_typezd2argszd2;
	}                   *BgL_cfunctionz00_bglt;

	typedef struct BgL_cptrz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_typez00_bgl *BgL_pointzd2tozd2;
		bool_t BgL_arrayzf3zf3;
	}              *BgL_cptrz00_bglt;

	typedef struct BgL_cstructz00_bgl
	{
		bool_t BgL_structzf3zf3;
		obj_t BgL_fieldsz00;
		obj_t BgL_cstructza2za2;
	}                 *BgL_cstructz00_bglt;

	typedef struct BgL_cstructza2za2_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_cstructz00_bgl *BgL_cstructz00;
	}                    *BgL_cstructza2za2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzforeign_cpointerz00 = BUNSPEC;
	extern obj_t
		BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_makezd2definezd2inlinez00zzforeign_libraryz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzforeign_cpointerz00();
	static obj_t BGl_makezd2ctypezd2accessesz121880z12zzforeign_cpointerz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_cpointerz00();
	extern obj_t BGl_cptrz00zzforeign_ctypez00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_caliasz00zzforeign_ctypez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_cpointerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzforeign_cpointerz00();
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cstructz00zzforeign_ctypez00;
	extern obj_t BGl_makezd2protozd2inlinez00zzforeign_libraryz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cpointerz00();
	static obj_t BGl_methodzd2initzd2zzforeign_cpointerz00();
	static obj_t __cnst[37];


	   
		 
		DEFINE_STRING(BGl_string2515z00zzforeign_cpointerz00,
		BgL_bgl_string2515za700za7za7f2537za7, "cobj_to_foreign", 15);
	      DEFINE_STRING(BGl_string2516z00zzforeign_cpointerz00,
		BgL_bgl_string2516za700za7za7f2538za7, "(", 1);
	      DEFINE_STRING(BGl_string2517z00zzforeign_cpointerz00,
		BgL_bgl_string2517za700za7za7f2539za7, ")FOREIGN_TO_COBJ", 16);
	      DEFINE_STRING(BGl_string2518z00zzforeign_cpointerz00,
		BgL_bgl_string2518za700za7za7f2540za7, "($1 == (", 8);
	      DEFINE_STRING(BGl_string2520z00zzforeign_cpointerz00,
		BgL_bgl_string2520za700za7za7f2541za7, "((", 2);
	      DEFINE_STRING(BGl_string2519z00zzforeign_cpointerz00,
		BgL_bgl_string2519za700za7za7f2542za7, ")0L)", 4);
	      DEFINE_STRING(BGl_string2521z00zzforeign_cpointerz00,
		BgL_bgl_string2521za700za7za7f2543za7, " ))", 3);
	      DEFINE_STRING(BGl_string2522z00zzforeign_cpointerz00,
		BgL_bgl_string2522za700za7za7f2544za7, "sizeof( ", 8);
	      DEFINE_STRING(BGl_string2523z00zzforeign_cpointerz00,
		BgL_bgl_string2523za700za7za7f2545za7, ")GC_MALLOC( ", 12);
	      DEFINE_STRING(BGl_string2524z00zzforeign_cpointerz00,
		BgL_bgl_string2524za700za7za7f2546za7, " * $1 )", 7);
	      DEFINE_STRING(BGl_string2525z00zzforeign_cpointerz00,
		BgL_bgl_string2525za700za7za7f2547za7, " )", 2);
	      DEFINE_STRING(BGl_string2526z00zzforeign_cpointerz00,
		BgL_bgl_string2526za700za7za7f2548za7, "&(((", 4);
	      DEFINE_STRING(BGl_string2527z00zzforeign_cpointerz00,
		BgL_bgl_string2527za700za7za7f2549za7, ")($1))[ $2 ])", 13);
	      DEFINE_STRING(BGl_string2528z00zzforeign_cpointerz00,
		BgL_bgl_string2528za700za7za7f2550za7, ")($1))[ $2 ]", 12);
	      DEFINE_STRING(BGl_string2530z00zzforeign_cpointerz00,
		BgL_bgl_string2530za700za7za7f2551za7, ")($1))[ $2 ] = *($3), BUNSPEC)",
		30);
	      DEFINE_STRING(BGl_string2529z00zzforeign_cpointerz00,
		BgL_bgl_string2529za700za7za7f2552za7, "(((", 3);
	      DEFINE_STRING(BGl_string2531z00zzforeign_cpointerz00,
		BgL_bgl_string2531za700za7za7f2553za7, ")($1))[ $2 ] = $3, BUNSPEC)", 27);
	      DEFINE_STRING(BGl_string2532z00zzforeign_cpointerz00,
		BgL_bgl_string2532za700za7za7f2554za7, "foreign_cpointer", 16);
	      DEFINE_STRING(BGl_string2533z00zzforeign_cpointerz00,
		BgL_bgl_string2533za700za7za7f2555za7,
		"predicate-of static foreign -null? pragma v ::obj i i::long * -set! -ref len len::long free-pragma make- |free-pragma::| make-null- free-pragma::bool -null?::bool (free-pragma::bool \"($1 == $2)\" o1 o2) o2 o1 ?::bool = quote foreign-id eq? o foreign? if o::obj symbol macro ::bool ? -> ",
		285);
	extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzforeign_cpointerz00(long
		BgL_checksumz00_659, char *BgL_fromz00_660)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_cpointerz00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_cpointerz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzforeign_cpointerz00();
					BGl_cnstzd2initzd2zzforeign_cpointerz00();
					BGl_importedzd2moduleszd2initz00zzforeign_cpointerz00();
					BGl_methodzd2initzd2zzforeign_cpointerz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cpointerz00()
	{
		AN_OBJECT;
		{	/* Foreign/cptr.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"foreign_cpointer");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_cpointer");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_cpointer");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"foreign_cpointer");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"foreign_cpointer");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzforeign_cpointerz00()
	{
		AN_OBJECT;
		{	/* Foreign/cptr.scm 15 */
			{	/* Foreign/cptr.scm 15 */
				obj_t BgL_cportz00_651;

				BgL_cportz00_651 =
					bgl_open_input_string(BGl_string2533z00zzforeign_cpointerz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_652;

					BgL_iz00_652 = ((long) 36);
				BgL_loopz00_653:
					if ((BgL_iz00_652 == ((long) -1)))
						{	/* Foreign/cptr.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Foreign/cptr.scm 15 */
							{	/* Foreign/cptr.scm 15 */
								obj_t BgL_arg2536z00_655;

								{	/* Foreign/cptr.scm 15 */

									{	/* Foreign/cptr.scm 15 */
										obj_t BgL_locationz00_657;

										BgL_locationz00_657 = BBOOL(((bool_t) 0));
										{	/* Foreign/cptr.scm 15 */

											BgL_arg2536z00_655 =
												BGl_readz00zz__readerz00(BgL_cportz00_651,
												BgL_locationz00_657);
										}
									}
								}
								{	/* Foreign/cptr.scm 15 */
									int BgL_auxz00_679;

									BgL_auxz00_679 = (int) (BgL_iz00_652);
									CNST_TABLE_SET(BgL_auxz00_679, BgL_arg2536z00_655);
							}}
							{	/* Foreign/cptr.scm 15 */
								int BgL_auxz00_658;

								BgL_auxz00_658 = (int) ((BgL_iz00_652 - ((long) 1)));
								{
									long BgL_iz00_684;

									BgL_iz00_684 = (long) (BgL_auxz00_658);
									BgL_iz00_652 = BgL_iz00_684;
									goto BgL_loopz00_653;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_cpointerz00()
	{
		AN_OBJECT;
		{	/* Foreign/cptr.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_cpointerz00()
	{
		AN_OBJECT;
		{	/* Foreign/cptr.scm 15 */
			{	/* Foreign/cptr.scm 15 */
				obj_t BgL_makezd2ctypezd2accessesz121880z12_642;

				BgL_makezd2ctypezd2accessesz121880z12_642 =
					make_fx_procedure
					(BGl_makezd2ctypezd2accessesz121880z12zzforeign_cpointerz00,
					(int) (((long) 3)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
					BGl_cptrz00zzforeign_ctypez00,
					BgL_makezd2ctypezd2accessesz121880z12_642);
			}
		}
	}



/* make-ctype-accesses!1880 */
	obj_t BGl_makezd2ctypezd2accessesz121880z12zzforeign_cpointerz00(obj_t
		BgL_envz00_643, obj_t BgL_whatz00_644, obj_t BgL_whoz00_645,
		obj_t BgL_locz00_646)
	{
		AN_OBJECT;
		{	/* Foreign/cptr.scm 31 */
			{
				BgL_cptrz00_bglt BgL_whatz00_197;
				BgL_typez00_bglt BgL_whoz00_198;
				obj_t BgL_locz00_199;

				BgL_whatz00_197 = (BgL_cptrz00_bglt) (BgL_whatz00_644);
				BgL_whoz00_198 = (BgL_typez00_bglt) (BgL_whoz00_645);
				BgL_locz00_199 = BgL_locz00_646;
				{	/* Foreign/cptr.scm 34 */
					BgL_typez00_bglt BgL_btypez00_202;

					{
						obj_t BgL_auxz00_690;

						{	/* Foreign/cptr.scm 34 */
							BgL_objectz00_bglt BgL_auxz00_691;

							BgL_auxz00_691 = (BgL_objectz00_bglt) (BgL_whatz00_197);
							BgL_auxz00_690 = BGL_OBJECT_WIDENING(BgL_auxz00_691);
						}
						BgL_btypez00_202 =
							(((BgL_cptrz00_bglt) CREF(BgL_auxz00_690))->BgL_btypez00);
					}
					{	/* Foreign/cptr.scm 34 */
						obj_t BgL_idz00_203;

						BgL_idz00_203 =
							(((BgL_typez00_bglt) CREF(BgL_whoz00_198))->BgL_idz00);
						{	/* Foreign/cptr.scm 35 */
							obj_t BgL_widz00_204;

							{	/* Foreign/cptr.scm 36 */
								BgL_typez00_bglt BgL_obj1286z00_579;

								BgL_obj1286z00_579 = (BgL_typez00_bglt) (BgL_whatz00_197);
								BgL_widz00_204 =
									(((BgL_typez00_bglt) CREF(BgL_obj1286z00_579))->BgL_idz00);
							}
							{	/* Foreign/cptr.scm 36 */
								obj_t BgL_bidz00_205;

								BgL_bidz00_205 =
									(((BgL_typez00_bglt) CREF(BgL_btypez00_202))->BgL_idz00);
								{	/* Foreign/cptr.scm 37 */
									obj_t BgL_idzd2ze3bidz31_206;

									{	/* Foreign/cptr.scm 38 */
										obj_t BgL_list2505z00_571;

										{	/* Foreign/cptr.scm 38 */
											obj_t BgL_arg2507z00_572;

											{	/* Foreign/cptr.scm 38 */
												obj_t BgL_arg2508z00_573;
												obj_t BgL_arg2509z00_574;

												BgL_arg2508z00_573 = CNST_TABLE_REF(((long) 0));
												BgL_arg2509z00_574 = MAKE_PAIR(BgL_bidz00_205, BNIL);
												BgL_arg2507z00_572 =
													MAKE_PAIR(BgL_arg2508z00_573, BgL_arg2509z00_574);
											}
											BgL_list2505z00_571 =
												MAKE_PAIR(BgL_idz00_203, BgL_arg2507z00_572);
										}
										BgL_idzd2ze3bidz31_206 =
											BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
											(BgL_list2505z00_571);
									}
									{	/* Foreign/cptr.scm 38 */
										obj_t BgL_bidzd2ze3idz31_207;

										{	/* Foreign/cptr.scm 39 */
											obj_t BgL_list2500z00_567;

											{	/* Foreign/cptr.scm 39 */
												obj_t BgL_arg2501z00_568;

												{	/* Foreign/cptr.scm 39 */
													obj_t BgL_arg2502z00_569;
													obj_t BgL_arg2504z00_570;

													BgL_arg2502z00_569 = CNST_TABLE_REF(((long) 0));
													BgL_arg2504z00_570 = MAKE_PAIR(BgL_idz00_203, BNIL);
													BgL_arg2501z00_568 =
														MAKE_PAIR(BgL_arg2502z00_569, BgL_arg2504z00_570);
												}
												BgL_list2500z00_567 =
													MAKE_PAIR(BgL_bidz00_205, BgL_arg2501z00_568);
											}
											BgL_bidzd2ze3idz31_207 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2500z00_567);
										}
										{	/* Foreign/cptr.scm 39 */
											obj_t BgL_bidzf3zf3_208;

											{	/* Foreign/cptr.scm 40 */
												obj_t BgL_arg2495z00_562;

												{	/* Foreign/cptr.scm 40 */
													obj_t BgL_arg2496z00_563;
													obj_t BgL_arg2497z00_564;

													BgL_arg2496z00_563 = SYMBOL_TO_STRING(BgL_idz00_203);
													{	/* Foreign/cptr.scm 40 */
														obj_t BgL_symbolz00_582;

														BgL_symbolz00_582 = CNST_TABLE_REF(((long) 1));
														BgL_arg2497z00_564 =
															SYMBOL_TO_STRING(BgL_symbolz00_582);
													}
													{	/* Foreign/cptr.scm 40 */
														obj_t BgL_list2498z00_565;

														{	/* Foreign/cptr.scm 40 */
															obj_t BgL_arg2499z00_566;

															BgL_arg2499z00_566 =
																MAKE_PAIR(BgL_arg2497z00_564, BNIL);
															BgL_list2498z00_565 =
																MAKE_PAIR(BgL_arg2496z00_563,
																BgL_arg2499z00_566);
														}
														BgL_arg2495z00_562 =
															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
															(BgL_list2498z00_565);
												}}
												BgL_bidzf3zf3_208 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg2495z00_562));
											}
											{	/* Foreign/cptr.scm 40 */
												obj_t BgL_bidzf3zd2boolz21_209;

												{	/* Foreign/cptr.scm 41 */
													obj_t BgL_arg2490z00_557;

													{	/* Foreign/cptr.scm 41 */
														obj_t BgL_arg2491z00_558;
														obj_t BgL_arg2492z00_559;

														BgL_arg2491z00_558 =
															SYMBOL_TO_STRING(BgL_bidzf3zf3_208);
														{	/* Foreign/cptr.scm 41 */
															obj_t BgL_symbolz00_585;

															BgL_symbolz00_585 = CNST_TABLE_REF(((long) 2));
															BgL_arg2492z00_559 =
																SYMBOL_TO_STRING(BgL_symbolz00_585);
														}
														{	/* Foreign/cptr.scm 41 */
															obj_t BgL_list2493z00_560;

															{	/* Foreign/cptr.scm 41 */
																obj_t BgL_arg2494z00_561;

																BgL_arg2494z00_561 =
																	MAKE_PAIR(BgL_arg2492z00_559, BNIL);
																BgL_list2493z00_560 =
																	MAKE_PAIR(BgL_arg2491z00_558,
																	BgL_arg2494z00_561);
															}
															BgL_arg2490z00_557 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list2493z00_560);
													}}
													BgL_bidzf3zd2boolz21_209 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg2490z00_557));
												}
												{	/* Foreign/cptr.scm 41 */
													obj_t BgL_namez00_210;

													BgL_namez00_210 =
														(((BgL_typez00_bglt) CREF(BgL_whoz00_198))->
														BgL_namez00);
													{	/* Foreign/cptr.scm 42 */
														obj_t BgL_namezd2sanszd2z42z42_211;

														BgL_namezd2sanszd2z42z42_211 =
															BGl_stringzd2sanszd2z42z42zztype_toolsz00
															(BgL_namez00_210);
														{	/* Foreign/cptr.scm 43 */
															BgL_typez00_bglt BgL_pointzd2tozd2_212;

															{
																obj_t BgL_auxz00_727;

																{	/* Foreign/cptr.scm 44 */
																	BgL_objectz00_bglt BgL_auxz00_728;

																	BgL_auxz00_728 =
																		(BgL_objectz00_bglt) (BgL_whatz00_197);
																	BgL_auxz00_727 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_728);
																}
																BgL_pointzd2tozd2_212 =
																	(((BgL_cptrz00_bglt) CREF(BgL_auxz00_727))->
																	BgL_pointzd2tozd2);
															}
															{	/* Foreign/cptr.scm 44 */
																obj_t BgL_pointzd2tozd2idz00_213;

																BgL_pointzd2tozd2idz00_213 =
																	(((BgL_typez00_bglt)
																		CREF(BgL_pointzd2tozd2_212))->BgL_idz00);
																{	/* Foreign/cptr.scm 45 */
																	obj_t BgL_pointzd2tozd2namez00_214;

																	BgL_pointzd2tozd2namez00_214 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_pointzd2tozd2_212))->
																		BgL_namez00);
																	{	/* Foreign/cptr.scm 46 */
																		obj_t
																			BgL_pointzd2tozd2namezd2sanszd2z42z42_215;
																		BgL_pointzd2tozd2namezd2sanszd2z42z42_215 =
																			BGl_stringzd2sanszd2z42z42zztype_toolsz00
																			(BgL_pointzd2tozd2namez00_214);
																		{	/* Foreign/cptr.scm 47 */

																			{

																				{	/* Foreign/cptr.scm 150 */
																					obj_t BgL_arg1927z00_224;
																					obj_t BgL_arg1934z00_225;
																					obj_t BgL_arg1937z00_226;
																					obj_t BgL_arg1938z00_227;
																					obj_t BgL_arg1942z00_228;
																					obj_t BgL_arg1947z00_229;

																					{	/* Foreign/cptr.scm 150 */
																						obj_t BgL_list1973z00_237;

																						{	/* Foreign/cptr.scm 150 */
																							obj_t BgL_arg1985z00_238;
																							obj_t BgL_arg1992z00_239;

																							BgL_arg1985z00_238 =
																								CNST_TABLE_REF(((long) 12));
																							{	/* Foreign/cptr.scm 150 */
																								obj_t BgL_arg1998z00_240;

																								BgL_arg1998z00_240 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 1)), BNIL);
																								BgL_arg1992z00_239 =
																									MAKE_PAIR(BgL_idz00_203,
																									BgL_arg1998z00_240);
																							}
																							BgL_list1973z00_237 =
																								MAKE_PAIR(BgL_arg1985z00_238,
																								BgL_arg1992z00_239);
																						}
																						BgL_arg1927z00_224 =
																							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																							(BgL_list1973z00_237);
																					}
																					{	/* Foreign/cptr.scm 151 */
																						obj_t BgL_arg2011z00_241;

																						{	/* Foreign/cptr.scm 151 */
																							obj_t BgL_arg2012z00_242;
																							obj_t BgL_arg2025z00_243;

																							{	/* Foreign/cptr.scm 151 */
																								obj_t BgL_symbolz00_591;

																								BgL_symbolz00_591 =
																									CNST_TABLE_REF(((long) 19));
																								BgL_arg2012z00_242 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_591);
																							}
																							BgL_arg2025z00_243 =
																								SYMBOL_TO_STRING(BgL_idz00_203);
																							{	/* Foreign/cptr.scm 151 */
																								obj_t BgL_list2026z00_244;

																								{	/* Foreign/cptr.scm 151 */
																									obj_t BgL_arg2032z00_245;

																									BgL_arg2032z00_245 =
																										MAKE_PAIR
																										(BgL_arg2025z00_243, BNIL);
																									BgL_list2026z00_244 =
																										MAKE_PAIR
																										(BgL_arg2012z00_242,
																										BgL_arg2032z00_245);
																								}
																								BgL_arg2011z00_241 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2026z00_244);
																						}}
																						BgL_arg1934z00_225 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2011z00_241));
																					}
																					{	/* Foreign/cptr.scm 152 */
																						obj_t BgL_arg2045z00_246;

																						{	/* Foreign/cptr.scm 152 */
																							obj_t BgL_arg2051z00_247;
																							obj_t BgL_arg2058z00_248;

																							BgL_arg2051z00_247 =
																								SYMBOL_TO_STRING(BgL_idz00_203);
																							{	/* Foreign/cptr.scm 152 */
																								obj_t BgL_symbolz00_595;

																								BgL_symbolz00_595 =
																									CNST_TABLE_REF(((long) 33));
																								BgL_arg2058z00_248 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_595);
																							}
																							{	/* Foreign/cptr.scm 152 */
																								obj_t BgL_list2059z00_249;

																								{	/* Foreign/cptr.scm 152 */
																									obj_t BgL_arg2064z00_250;

																									BgL_arg2064z00_250 =
																										MAKE_PAIR
																										(BgL_arg2058z00_248, BNIL);
																									BgL_list2059z00_249 =
																										MAKE_PAIR
																										(BgL_arg2051z00_247,
																										BgL_arg2064z00_250);
																								}
																								BgL_arg2045z00_246 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2059z00_249);
																						}}
																						BgL_arg1937z00_226 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2045z00_246));
																					}
																					{	/* Foreign/cptr.scm 153 */
																						obj_t BgL_arg2071z00_251;

																						{	/* Foreign/cptr.scm 153 */
																							obj_t BgL_arg2077z00_252;
																							obj_t BgL_arg2084z00_253;

																							{	/* Foreign/cptr.scm 153 */
																								obj_t BgL_symbolz00_597;

																								BgL_symbolz00_597 =
																									CNST_TABLE_REF(((long) 21));
																								BgL_arg2077z00_252 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_597);
																							}
																							BgL_arg2084z00_253 =
																								SYMBOL_TO_STRING(BgL_idz00_203);
																							{	/* Foreign/cptr.scm 153 */
																								obj_t BgL_list2085z00_254;

																								{	/* Foreign/cptr.scm 153 */
																									obj_t BgL_arg2091z00_255;

																									BgL_arg2091z00_255 =
																										MAKE_PAIR
																										(BgL_arg2084z00_253, BNIL);
																									BgL_list2085z00_254 =
																										MAKE_PAIR
																										(BgL_arg2077z00_252,
																										BgL_arg2091z00_255);
																								}
																								BgL_arg2071z00_251 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2085z00_254);
																						}}
																						BgL_arg1938z00_227 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2071z00_251));
																					}
																					{	/* Foreign/cptr.scm 154 */
																						obj_t BgL_arg2098z00_256;

																						{	/* Foreign/cptr.scm 154 */
																							obj_t BgL_arg2104z00_257;
																							obj_t BgL_arg2117z00_258;

																							BgL_arg2104z00_257 =
																								SYMBOL_TO_STRING(BgL_idz00_203);
																							{	/* Foreign/cptr.scm 154 */
																								obj_t BgL_symbolz00_601;

																								BgL_symbolz00_601 =
																									CNST_TABLE_REF(((long) 25));
																								BgL_arg2117z00_258 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_601);
																							}
																							{	/* Foreign/cptr.scm 154 */
																								obj_t BgL_list2118z00_259;

																								{	/* Foreign/cptr.scm 154 */
																									obj_t BgL_arg2123z00_260;

																									BgL_arg2123z00_260 =
																										MAKE_PAIR
																										(BgL_arg2117z00_258, BNIL);
																									BgL_list2118z00_259 =
																										MAKE_PAIR
																										(BgL_arg2104z00_257,
																										BgL_arg2123z00_260);
																								}
																								BgL_arg2098z00_256 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2118z00_259);
																						}}
																						BgL_arg1942z00_228 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2098z00_256));
																					}
																					{	/* Foreign/cptr.scm 155 */
																						obj_t BgL_arg2128z00_261;

																						{	/* Foreign/cptr.scm 155 */
																							obj_t BgL_arg2131z00_262;
																							obj_t BgL_arg2133z00_263;

																							BgL_arg2131z00_262 =
																								SYMBOL_TO_STRING(BgL_idz00_203);
																							{	/* Foreign/cptr.scm 155 */
																								obj_t BgL_symbolz00_604;

																								BgL_symbolz00_604 =
																									CNST_TABLE_REF(((long) 26));
																								BgL_arg2133z00_263 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_604);
																							}
																							{	/* Foreign/cptr.scm 155 */
																								obj_t BgL_list2134z00_264;

																								{	/* Foreign/cptr.scm 155 */
																									obj_t BgL_arg2139z00_265;

																									BgL_arg2139z00_265 =
																										MAKE_PAIR
																										(BgL_arg2133z00_263, BNIL);
																									BgL_list2134z00_264 =
																										MAKE_PAIR
																										(BgL_arg2131z00_262,
																										BgL_arg2139z00_265);
																								}
																								BgL_arg2128z00_261 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2134z00_264);
																						}}
																						BgL_arg1947z00_229 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2128z00_261));
																					}
																					{	/* Foreign/cptr.scm 148 */
																						obj_t BgL_list1948z00_230;

																						{	/* Foreign/cptr.scm 148 */
																							obj_t BgL_arg1951z00_231;

																							{	/* Foreign/cptr.scm 148 */
																								obj_t BgL_arg1956z00_232;

																								{	/* Foreign/cptr.scm 148 */
																									obj_t BgL_arg1957z00_233;

																									{	/* Foreign/cptr.scm 148 */
																										obj_t BgL_arg1959z00_234;

																										{	/* Foreign/cptr.scm 148 */
																											obj_t BgL_arg1966z00_235;

																											{	/* Foreign/cptr.scm 148 */
																												obj_t
																													BgL_arg1972z00_236;
																												BgL_arg1972z00_236 =
																													MAKE_PAIR
																													(BgL_arg1947z00_229,
																													BNIL);
																												BgL_arg1966z00_235 =
																													MAKE_PAIR
																													(BgL_arg1942z00_228,
																													BgL_arg1972z00_236);
																											}
																											BgL_arg1959z00_234 =
																												MAKE_PAIR
																												(BgL_arg1938z00_227,
																												BgL_arg1966z00_235);
																										}
																										BgL_arg1957z00_233 =
																											MAKE_PAIR
																											(BgL_arg1937z00_226,
																											BgL_arg1959z00_234);
																									}
																									BgL_arg1956z00_232 =
																										MAKE_PAIR
																										(BgL_arg1934z00_225,
																										BgL_arg1957z00_233);
																								}
																								BgL_arg1951z00_231 =
																									MAKE_PAIR(BgL_arg1927z00_224,
																									BgL_arg1956z00_232);
																							}
																							BgL_list1948z00_230 =
																								MAKE_PAIR(BgL_bidzf3zf3_208,
																								BgL_arg1951z00_231);
																						}
																						BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																							(BgL_list1948z00_230);
																				}}
																				{	/* Foreign/cptr.scm 158 */
																					obj_t BgL_arg2143z00_266;

																					{	/* Foreign/cptr.scm 158 */
																						obj_t BgL_arg2150z00_267;
																						obj_t BgL_arg2151z00_268;

																						BgL_arg2150z00_267 =
																							CNST_TABLE_REF(((long) 34));
																						{	/* Foreign/cptr.scm 158 */
																							obj_t BgL_arg2152z00_269;
																							obj_t BgL_arg2153z00_270;

																							{	/* Foreign/cptr.scm 53 */
																								obj_t BgL_arg2478z00_537;
																								obj_t BgL_arg2479z00_538;

																								BgL_arg2478z00_537 =
																									CNST_TABLE_REF(((long) 3));
																								{	/* Foreign/cptr.scm 53 */
																									obj_t BgL_arg2480z00_539;

																									{	/* Foreign/cptr.scm 53 */
																										obj_t BgL_arg2487z00_546;
																										obj_t BgL_arg2488z00_547;

																										BgL_arg2487z00_546 =
																											CNST_TABLE_REF(((long)
																												4));
																										{	/* Foreign/cptr.scm 53 */
																											obj_t BgL_list2489z00_548;

																											BgL_list2489z00_548 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2488z00_547 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_idz00_203,
																												BgL_list2489z00_548);
																										}
																										BgL_arg2480z00_539 =
																											MAKE_PAIR
																											(BgL_arg2487z00_546,
																											BgL_arg2488z00_547);
																									}
																									{	/* Foreign/cptr.scm 53 */
																										obj_t BgL_list2483z00_542;

																										{	/* Foreign/cptr.scm 53 */
																											obj_t BgL_arg2484z00_543;

																											{	/* Foreign/cptr.scm 53 */
																												obj_t
																													BgL_arg2485z00_544;
																												{	/* Foreign/cptr.scm 53 */
																													obj_t
																														BgL_arg2486z00_545;
																													BgL_arg2486z00_545 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2485z00_544 =
																														MAKE_PAIR
																														(BGl_string2515z00zzforeign_cpointerz00,
																														BgL_arg2486z00_545);
																												}
																												BgL_arg2484z00_543 =
																													MAKE_PAIR
																													(BgL_arg2480z00_539,
																													BgL_arg2485z00_544);
																											}
																											BgL_list2483z00_542 =
																												MAKE_PAIR
																												(BgL_idzd2ze3bidz31_206,
																												BgL_arg2484z00_543);
																										}
																										BgL_arg2479z00_538 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_bidz00_205,
																											BgL_list2483z00_542);
																								}}
																								BgL_arg2152z00_269 =
																									MAKE_PAIR(BgL_arg2478z00_537,
																									BgL_arg2479z00_538);
																							}
																							{	/* Foreign/cptr.scm 56 */
																								obj_t BgL_mnamez00_527;

																								BgL_mnamez00_527 =
																									string_append_3
																									(BGl_string2516z00zzforeign_cpointerz00,
																									BgL_namezd2sanszd2z42z42_211,
																									BGl_string2517z00zzforeign_cpointerz00);
																								{	/* Foreign/cptr.scm 57 */
																									obj_t BgL_arg2468z00_528;
																									obj_t BgL_arg2470z00_529;

																									BgL_arg2468z00_528 =
																										CNST_TABLE_REF(((long) 3));
																									{	/* Foreign/cptr.scm 57 */
																										obj_t BgL_arg2471z00_530;

																										BgL_arg2471z00_530 =
																											MAKE_PAIR(BgL_bidz00_205,
																											BNIL);
																										{	/* Foreign/cptr.scm 57 */
																											obj_t BgL_list2473z00_532;

																											{	/* Foreign/cptr.scm 57 */
																												obj_t
																													BgL_arg2474z00_533;
																												{	/* Foreign/cptr.scm 57 */
																													obj_t
																														BgL_arg2475z00_534;
																													{	/* Foreign/cptr.scm 57 */
																														obj_t
																															BgL_arg2476z00_535;
																														BgL_arg2476z00_535 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2475z00_534 =
																															MAKE_PAIR
																															(BgL_mnamez00_527,
																															BgL_arg2476z00_535);
																													}
																													BgL_arg2474z00_533 =
																														MAKE_PAIR
																														(BgL_arg2471z00_530,
																														BgL_arg2475z00_534);
																												}
																												BgL_list2473z00_532 =
																													MAKE_PAIR
																													(BgL_bidzd2ze3idz31_207,
																													BgL_arg2474z00_533);
																											}
																											BgL_arg2470z00_529 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_idz00_203,
																												BgL_list2473z00_532);
																									}}
																									BgL_arg2153z00_270 =
																										MAKE_PAIR
																										(BgL_arg2468z00_528,
																										BgL_arg2470z00_529);
																							}}
																							{	/* Foreign/cptr.scm 158 */
																								obj_t BgL_list2155z00_272;

																								{	/* Foreign/cptr.scm 158 */
																									obj_t BgL_arg2156z00_273;

																									BgL_arg2156z00_273 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2155z00_272 =
																										MAKE_PAIR
																										(BgL_arg2153z00_270,
																										BgL_arg2156z00_273);
																								}
																								BgL_arg2151z00_268 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2152z00_269,
																									BgL_list2155z00_272);
																						}}
																						BgL_arg2143z00_266 =
																							MAKE_PAIR(BgL_arg2150z00_267,
																							BgL_arg2151z00_268);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg2143z00_266);
																				}
																				{	/* Foreign/cptr.scm 160 */
																					obj_t BgL_arg2157z00_274;

																					{	/* Foreign/cptr.scm 160 */
																						obj_t BgL_arg2158z00_275;
																						obj_t BgL_arg2162z00_276;

																						BgL_arg2158z00_275 =
																							CNST_TABLE_REF(((long) 35));
																						{	/* Foreign/cptr.scm 161 */
																							obj_t BgL_arg2163z00_277;

																							{	/* Foreign/cptr.scm 161 */
																								obj_t BgL_arg2166z00_280;

																								{	/* Foreign/cptr.scm 161 */
																									obj_t BgL_arg2167z00_281;

																									{	/* Foreign/cptr.scm 161 */
																										obj_t BgL_list2168z00_282;

																										BgL_list2168z00_282 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2167z00_281 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(CNST_TABLE_REF(((long)
																													30)),
																											BgL_list2168z00_282);
																									}
																									BgL_arg2166z00_280 =
																										MAKE_PAIR
																										(BgL_bidzf3zd2boolz21_209,
																										BgL_arg2167z00_281);
																								}
																								BgL_arg2163z00_277 =
																									BGl_makezd2protozd2inlinez00zzforeign_libraryz00
																									(BgL_arg2166z00_280);
																							}
																							{	/* Foreign/cptr.scm 160 */
																								obj_t BgL_list2165z00_279;

																								BgL_list2165z00_279 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2162z00_276 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2163z00_277,
																									BgL_list2165z00_279);
																						}}
																						BgL_arg2157z00_274 =
																							MAKE_PAIR(BgL_arg2158z00_275,
																							BgL_arg2162z00_276);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg2157z00_274);
																				}
																				{	/* Foreign/cptr.scm 162 */
																					obj_t BgL_arg2170z00_283;

																					{	/* Foreign/cptr.scm 162 */
																						obj_t BgL_arg2180z00_284;
																						obj_t BgL_arg2182z00_285;

																						BgL_arg2180z00_284 =
																							CNST_TABLE_REF(((long) 32));
																						{	/* Foreign/cptr.scm 162 */
																							obj_t BgL_arg2183z00_286;

																							{	/* Foreign/cptr.scm 162 */
																								obj_t BgL_arg2186z00_289;

																								{	/* Foreign/cptr.scm 162 */
																									obj_t BgL_arg2187z00_290;

																									{	/* Foreign/cptr.scm 162 */
																										obj_t BgL_arg2191z00_293;
																										obj_t BgL_arg2193z00_294;

																										BgL_arg2191z00_293 =
																											CNST_TABLE_REF(((long)
																												36));
																										{	/* Foreign/cptr.scm 162 */
																											obj_t BgL_list2194z00_295;

																											BgL_list2194z00_295 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2193z00_294 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_widz00_204,
																												BgL_list2194z00_295);
																										}
																										BgL_arg2187z00_290 =
																											MAKE_PAIR
																											(BgL_arg2191z00_293,
																											BgL_arg2193z00_294);
																									}
																									{	/* Foreign/cptr.scm 162 */
																										obj_t BgL_list2190z00_292;

																										BgL_list2190z00_292 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2186z00_289 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2187z00_290,
																											BgL_list2190z00_292);
																								}}
																								BgL_arg2183z00_286 =
																									MAKE_PAIR(BgL_bidzf3zf3_208,
																									BgL_arg2186z00_289);
																							}
																							{	/* Foreign/cptr.scm 162 */
																								obj_t BgL_list2185z00_288;

																								BgL_list2185z00_288 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2182z00_285 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2183z00_286,
																									BgL_list2185z00_288);
																						}}
																						BgL_arg2170z00_283 =
																							MAKE_PAIR(BgL_arg2180z00_284,
																							BgL_arg2182z00_285);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg2170z00_283);
																				}
																				{	/* Foreign/cptr.scm 164 */
																					obj_t BgL_arg2197z00_296;
																					obj_t BgL_arg2198z00_297;

																					{

																						{	/* Foreign/cptr.scm 103 */
																							bool_t BgL_testz00_837;

																							{	/* Foreign/cptr.scm 103 */
																								bool_t BgL_testz00_838;

																								{	/* Foreign/cptr.scm 103 */
																									bool_t BgL_testz00_839;

																									{
																										obj_t BgL_auxz00_840;

																										{	/* Foreign/cptr.scm 103 */
																											BgL_objectz00_bglt
																												BgL_auxz00_841;
																											BgL_auxz00_841 =
																												(BgL_objectz00_bglt)
																												(BgL_whatz00_197);
																											BgL_auxz00_840 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_841);
																										}
																										BgL_testz00_839 =
																											(((BgL_cptrz00_bglt)
																												CREF(BgL_auxz00_840))->
																											BgL_arrayzf3zf3);
																									}
																									if (BgL_testz00_839)
																										{	/* Foreign/cptr.scm 103 */
																											BgL_testz00_838 =
																												(
																												(obj_t) (BgL_whoz00_198)
																												==
																												(obj_t)
																												(BgL_whatz00_197));
																										}
																									else
																										{	/* Foreign/cptr.scm 103 */
																											BgL_testz00_838 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_testz00_838)
																									{	/* Foreign/cptr.scm 103 */
																										BgL_testz00_837 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Foreign/cptr.scm 104 */
																										bool_t BgL_testz00_848;

																										{	/* Foreign/cptr.scm 104 */
																											obj_t BgL_obj1395z00_624;

																											BgL_obj1395z00_624 =
																												(obj_t)
																												(BgL_whoz00_198);
																											BgL_testz00_848 =
																												BGl_iszd2azf3z21zz__objectz00
																												(BgL_obj1395z00_624,
																												BGl_caliasz00zzforeign_ctypez00);
																										}
																										if (BgL_testz00_848)
																											{	/* Foreign/cptr.scm 104 */
																												BgL_caliasz00_bglt
																													BgL_obj1396z00_625;
																												BgL_obj1396z00_625 =
																													(BgL_caliasz00_bglt)
																													(BgL_whoz00_198);
																												{
																													obj_t BgL_auxz00_852;

																													{	/* Foreign/cptr.scm 104 */
																														BgL_objectz00_bglt
																															BgL_auxz00_853;
																														BgL_auxz00_853 =
																															(BgL_objectz00_bglt)
																															(BgL_obj1396z00_625);
																														BgL_auxz00_852 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_853);
																													}
																													BgL_testz00_837 =
																														(((BgL_caliasz00_bglt) CREF(BgL_auxz00_852))->BgL_arrayzf3zf3);
																												}
																											}
																										else
																											{	/* Foreign/cptr.scm 104 */
																												BgL_testz00_837 =
																													((bool_t) 0);
																											}
																									}
																							}
																							if (BgL_testz00_837)
																								{	/* Foreign/cptr.scm 103 */
																									{	/* Foreign/cptr.scm 99 */
																										obj_t BgL_arg2319z00_384;
																										obj_t BgL_arg2320z00_385;

																										{	/* Foreign/cptr.scm 99 */
																											obj_t BgL_arg2321z00_386;

																											{	/* Foreign/cptr.scm 99 */
																												obj_t
																													BgL_arg2323z00_388;
																												{	/* Foreign/cptr.scm 99 */
																													obj_t
																														BgL_arg2324z00_389;
																													{	/* Foreign/cptr.scm 99 */
																														obj_t
																															BgL_arg2325z00_390;
																														obj_t
																															BgL_arg2326z00_391;
																														{	/* Foreign/cptr.scm 99 */
																															obj_t
																																BgL_symbolz00_626;
																															BgL_symbolz00_626
																																=
																																CNST_TABLE_REF((
																																	(long) 21));
																															BgL_arg2325z00_390
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_626);
																														}
																														BgL_arg2326z00_391 =
																															SYMBOL_TO_STRING
																															(BgL_idz00_203);
																														{	/* Foreign/cptr.scm 99 */
																															obj_t
																																BgL_list2327z00_392;
																															{	/* Foreign/cptr.scm 99 */
																																obj_t
																																	BgL_arg2328z00_393;
																																BgL_arg2328z00_393
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2326z00_391,
																																	BNIL);
																																BgL_list2327z00_392
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2325z00_390,
																																	BgL_arg2328z00_393);
																															}
																															BgL_arg2324z00_389
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2327z00_392);
																													}}
																													BgL_arg2323z00_388 =
																														string_to_symbol
																														(BSTRING_TO_STRING
																														(BgL_arg2324z00_389));
																												}
																												BgL_arg2321z00_386 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_arg2323z00_388,
																													BgL_idz00_203);
																											}
																											BgL_arg2319z00_384 =
																												MAKE_PAIR
																												(BgL_arg2321z00_386,
																												BNIL);
																										}
																										{	/* Foreign/cptr.scm 100 */
																											obj_t BgL_arg2329z00_394;
																											obj_t BgL_arg2330z00_395;

																											BgL_arg2329z00_394 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(CNST_TABLE_REF(((long)
																														22)),
																												BgL_idz00_203);
																											{	/* Foreign/cptr.scm 101 */
																												obj_t
																													BgL_arg2331z00_396;
																												{	/* Foreign/cptr.scm 101 */
																													obj_t
																														BgL_arg2337z00_402;
																													BgL_arg2337z00_402 =
																														(((BgL_typez00_bglt)
																															CREF
																															(BgL_whoz00_198))->
																														BgL_siza7eza7);
																													{	/* Foreign/cptr.scm 101 */
																														obj_t
																															BgL_list2339z00_404;
																														{	/* Foreign/cptr.scm 101 */
																															obj_t
																																BgL_arg2340z00_405;
																															{	/* Foreign/cptr.scm 101 */
																																obj_t
																																	BgL_arg2341z00_406;
																																{	/* Foreign/cptr.scm 101 */
																																	obj_t
																																		BgL_arg2342z00_407;
																																	{	/* Foreign/cptr.scm 101 */
																																		obj_t
																																			BgL_arg2343z00_408;
																																		{	/* Foreign/cptr.scm 101 */
																																			obj_t
																																				BgL_arg2344z00_409;
																																			BgL_arg2344z00_409
																																				=
																																				MAKE_PAIR
																																				(BGl_string2521z00zzforeign_cpointerz00,
																																				BNIL);
																																			BgL_arg2343z00_408
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2337z00_402,
																																				BgL_arg2344z00_409);
																																		}
																																		BgL_arg2342z00_407
																																			=
																																			MAKE_PAIR
																																			(BGl_string2522z00zzforeign_cpointerz00,
																																			BgL_arg2343z00_408);
																																	}
																																	BgL_arg2341z00_406
																																		=
																																		MAKE_PAIR
																																		(BGl_string2523z00zzforeign_cpointerz00,
																																		BgL_arg2342z00_407);
																																}
																																BgL_arg2340z00_405
																																	=
																																	MAKE_PAIR
																																	(BgL_namezd2sanszd2z42z42_211,
																																	BgL_arg2341z00_406);
																															}
																															BgL_list2339z00_404
																																=
																																MAKE_PAIR
																																(BGl_string2516z00zzforeign_cpointerz00,
																																BgL_arg2340z00_405);
																														}
																														BgL_arg2331z00_396 =
																															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																															(BgL_list2339z00_404);
																												}}
																												{	/* Foreign/cptr.scm 100 */
																													obj_t
																														BgL_list2333z00_398;
																													BgL_list2333z00_398 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2330z00_395 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2331z00_396,
																														BgL_list2333z00_398);
																											}}
																											BgL_arg2320z00_385 =
																												MAKE_PAIR
																												(BgL_arg2329z00_394,
																												BgL_arg2330z00_395);
																										}
																										BgL_arg2197z00_296 =
																											BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																											(BgL_arg2319z00_384,
																											BgL_arg2320z00_385);
																								}}
																							else
																								{	/* Foreign/cptr.scm 103 */
																									{	/* Foreign/cptr.scm 91 */
																										obj_t BgL_arg2346z00_411;
																										obj_t BgL_arg2347z00_412;

																										{	/* Foreign/cptr.scm 91 */
																											obj_t BgL_arg2348z00_413;
																											obj_t BgL_arg2349z00_414;

																											{	/* Foreign/cptr.scm 91 */
																												obj_t
																													BgL_arg2350z00_415;
																												{	/* Foreign/cptr.scm 91 */
																													obj_t
																														BgL_arg2351z00_416;
																													{	/* Foreign/cptr.scm 91 */
																														obj_t
																															BgL_arg2352z00_417;
																														obj_t
																															BgL_arg2353z00_418;
																														{	/* Foreign/cptr.scm 91 */
																															obj_t
																																BgL_symbolz00_630;
																															BgL_symbolz00_630
																																=
																																CNST_TABLE_REF((
																																	(long) 21));
																															BgL_arg2352z00_417
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_630);
																														}
																														BgL_arg2353z00_418 =
																															SYMBOL_TO_STRING
																															(BgL_idz00_203);
																														{	/* Foreign/cptr.scm 91 */
																															obj_t
																																BgL_list2354z00_419;
																															{	/* Foreign/cptr.scm 91 */
																																obj_t
																																	BgL_arg2355z00_420;
																																BgL_arg2355z00_420
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2353z00_418,
																																	BNIL);
																																BgL_list2354z00_419
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2352z00_417,
																																	BgL_arg2355z00_420);
																															}
																															BgL_arg2351z00_416
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2354z00_419);
																													}}
																													BgL_arg2350z00_415 =
																														string_to_symbol
																														(BSTRING_TO_STRING
																														(BgL_arg2351z00_416));
																												}
																												BgL_arg2348z00_413 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_arg2350z00_415,
																													BgL_idz00_203);
																											}
																											{	/* Foreign/cptr.scm 91 */
																												obj_t
																													BgL_list2356z00_421;
																												BgL_list2356z00_421 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2349z00_414 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 23)),
																													BgL_list2356z00_421);
																											}
																											BgL_arg2346z00_411 =
																												MAKE_PAIR
																												(BgL_arg2348z00_413,
																												BgL_arg2349z00_414);
																										}
																										{	/* Foreign/cptr.scm 92 */
																											obj_t BgL_arg2357z00_422;
																											obj_t BgL_arg2358z00_423;

																											BgL_arg2357z00_422 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(CNST_TABLE_REF(((long)
																														22)),
																												BgL_idz00_203);
																											{	/* Foreign/cptr.scm 93 */
																												obj_t
																													BgL_arg2359z00_424;
																												obj_t
																													BgL_arg2360z00_425;
																												{	/* Foreign/cptr.scm 93 */
																													obj_t
																														BgL_list2364z00_429;
																													{	/* Foreign/cptr.scm 93 */
																														obj_t
																															BgL_arg2366z00_431;
																														{	/* Foreign/cptr.scm 93 */
																															obj_t
																																BgL_arg2368z00_432;
																															{	/* Foreign/cptr.scm 93 */
																																obj_t
																																	BgL_arg2370z00_434;
																																{	/* Foreign/cptr.scm 93 */
																																	obj_t
																																		BgL_arg2373z00_436;
																																	{	/* Foreign/cptr.scm 93 */
																																		obj_t
																																			BgL_arg2374z00_437;
																																		{	/* Foreign/cptr.scm 93 */
																																			obj_t
																																				BgL_arg2376z00_439;
																																			BgL_arg2376z00_439
																																				=
																																				MAKE_PAIR
																																				(BGl_string2524z00zzforeign_cpointerz00,
																																				BNIL);
																																			BgL_arg2374z00_437
																																				=
																																				MAKE_PAIR
																																				(BGl_string2525z00zzforeign_cpointerz00,
																																				BgL_arg2376z00_439);
																																		}
																																		BgL_arg2373z00_436
																																			=
																																			MAKE_PAIR
																																			(BgL_pointzd2tozd2namezd2sanszd2z42z42_215,
																																			BgL_arg2374z00_437);
																																	}
																																	BgL_arg2370z00_434
																																		=
																																		MAKE_PAIR
																																		(BGl_string2522z00zzforeign_cpointerz00,
																																		BgL_arg2373z00_436);
																																}
																																BgL_arg2368z00_432
																																	=
																																	MAKE_PAIR
																																	(BGl_string2523z00zzforeign_cpointerz00,
																																	BgL_arg2370z00_434);
																															}
																															BgL_arg2366z00_431
																																=
																																MAKE_PAIR
																																(BgL_namezd2sanszd2z42z42_211,
																																BgL_arg2368z00_432);
																														}
																														BgL_list2364z00_429
																															=
																															MAKE_PAIR
																															(BGl_string2516z00zzforeign_cpointerz00,
																															BgL_arg2366z00_431);
																													}
																													BgL_arg2359z00_424 =
																														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																														(BgL_list2364z00_429);
																												}
																												BgL_arg2360z00_425 =
																													CNST_TABLE_REF(((long)
																														24));
																												{	/* Foreign/cptr.scm 92 */
																													obj_t
																														BgL_list2362z00_427;
																													{	/* Foreign/cptr.scm 92 */
																														obj_t
																															BgL_arg2363z00_428;
																														BgL_arg2363z00_428 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2362z00_427
																															=
																															MAKE_PAIR
																															(BgL_arg2360z00_425,
																															BgL_arg2363z00_428);
																													}
																													BgL_arg2358z00_423 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2359z00_424,
																														BgL_list2362z00_427);
																											}}
																											BgL_arg2347z00_412 =
																												MAKE_PAIR
																												(BgL_arg2357z00_422,
																												BgL_arg2358z00_423);
																										}
																										BgL_arg2197z00_296 =
																											BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																											(BgL_arg2346z00_411,
																											BgL_arg2347z00_412);
																					}}}}
																					{	/* Foreign/cptr.scm 165 */
																						obj_t BgL_arg2199z00_298;
																						obj_t BgL_arg2200z00_299;
																						obj_t BgL_arg2201z00_300;
																						obj_t BgL_arg2208z00_301;
																						obj_t BgL_arg2214z00_302;

																						{	/* Foreign/cptr.scm 68 */
																							obj_t BgL_arg2423z00_484;
																							obj_t BgL_arg2424z00_485;

																							{	/* Foreign/cptr.scm 68 */
																								obj_t BgL_arg2425z00_486;
																								obj_t BgL_arg2426z00_487;

																								{	/* Foreign/cptr.scm 68 */
																									obj_t BgL_list2427z00_488;

																									{	/* Foreign/cptr.scm 68 */
																										obj_t BgL_arg2428z00_489;
																										obj_t BgL_arg2429z00_490;

																										BgL_arg2428z00_489 =
																											CNST_TABLE_REF(((long)
																												12));
																										{	/* Foreign/cptr.scm 68 */
																											obj_t BgL_arg2430z00_491;

																											BgL_arg2430z00_491 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 13)), BNIL);
																											BgL_arg2429z00_490 =
																												MAKE_PAIR(BgL_idz00_203,
																												BgL_arg2430z00_491);
																										}
																										BgL_list2427z00_488 =
																											MAKE_PAIR
																											(BgL_arg2428z00_489,
																											BgL_arg2429z00_490);
																									}
																									BgL_arg2425z00_486 =
																										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																										(BgL_list2427z00_488);
																								}
																								{	/* Foreign/cptr.scm 69 */
																									obj_t BgL_arg2431z00_492;
																									obj_t BgL_arg2432z00_493;

																									BgL_arg2431z00_492 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(CNST_TABLE_REF(((long)
																												14)), BgL_idz00_203);
																									BgL_arg2432z00_493 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(CNST_TABLE_REF(((long)
																												15)), BgL_idz00_203);
																									{	/* Foreign/cptr.scm 68 */
																										obj_t BgL_list2434z00_495;

																										{	/* Foreign/cptr.scm 68 */
																											obj_t BgL_arg2435z00_496;

																											BgL_arg2435z00_496 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2434z00_495 =
																												MAKE_PAIR
																												(BgL_arg2432z00_493,
																												BgL_arg2435z00_496);
																										}
																										BgL_arg2426z00_487 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2431z00_492,
																											BgL_list2434z00_495);
																								}}
																								BgL_arg2423z00_484 =
																									MAKE_PAIR(BgL_arg2425z00_486,
																									BgL_arg2426z00_487);
																							}
																							BgL_arg2424z00_485 =
																								CNST_TABLE_REF(((long) 16));
																							BgL_arg2199z00_298 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2423z00_484,
																								BgL_arg2424z00_485);
																						}
																						{	/* Foreign/cptr.scm 75 */
																							obj_t BgL_arg2401z00_464;
																							obj_t BgL_arg2402z00_465;

																							{	/* Foreign/cptr.scm 75 */
																								obj_t BgL_arg2403z00_466;
																								obj_t BgL_arg2404z00_467;

																								{	/* Foreign/cptr.scm 75 */
																									obj_t BgL_arg2405z00_468;

																									{	/* Foreign/cptr.scm 75 */
																										obj_t BgL_arg2406z00_469;
																										obj_t BgL_arg2407z00_470;

																										BgL_arg2406z00_469 =
																											SYMBOL_TO_STRING
																											(BgL_idz00_203);
																										{	/* Foreign/cptr.scm 75 */
																											obj_t BgL_symbolz00_640;

																											BgL_symbolz00_640 =
																												CNST_TABLE_REF(((long)
																													17));
																											BgL_arg2407z00_470 =
																												SYMBOL_TO_STRING
																												(BgL_symbolz00_640);
																										}
																										{	/* Foreign/cptr.scm 75 */
																											obj_t BgL_list2408z00_471;

																											{	/* Foreign/cptr.scm 75 */
																												obj_t
																													BgL_arg2409z00_472;
																												BgL_arg2409z00_472 =
																													MAKE_PAIR
																													(BgL_arg2407z00_470,
																													BNIL);
																												BgL_list2408z00_471 =
																													MAKE_PAIR
																													(BgL_arg2406z00_469,
																													BgL_arg2409z00_472);
																											}
																											BgL_arg2405z00_468 =
																												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																												(BgL_list2408z00_471);
																									}}
																									BgL_arg2403z00_466 =
																										string_to_symbol
																										(BSTRING_TO_STRING
																										(BgL_arg2405z00_468));
																								}
																								{	/* Foreign/cptr.scm 76 */
																									obj_t BgL_arg2411z00_473;

																									BgL_arg2411z00_473 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(CNST_TABLE_REF(((long) 8)),
																										BgL_idz00_203);
																									{	/* Foreign/cptr.scm 75 */
																										obj_t BgL_list2413z00_475;

																										BgL_list2413z00_475 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2404z00_467 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2411z00_473,
																											BgL_list2413z00_475);
																								}}
																								BgL_arg2401z00_464 =
																									MAKE_PAIR(BgL_arg2403z00_466,
																									BgL_arg2404z00_467);
																							}
																							{	/* Foreign/cptr.scm 77 */
																								obj_t BgL_arg2414z00_476;
																								obj_t BgL_arg2415z00_477;

																								BgL_arg2414z00_476 =
																									CNST_TABLE_REF(((long) 18));
																								{	/* Foreign/cptr.scm 78 */
																									obj_t BgL_arg2417z00_478;
																									obj_t BgL_arg2418z00_479;

																									BgL_arg2417z00_478 =
																										string_append_3
																										(BGl_string2518z00zzforeign_cpointerz00,
																										BgL_namezd2sanszd2z42z42_211,
																										BGl_string2519z00zzforeign_cpointerz00);
																									BgL_arg2418z00_479 =
																										CNST_TABLE_REF(((long) 8));
																									{	/* Foreign/cptr.scm 77 */
																										obj_t BgL_list2420z00_481;

																										{	/* Foreign/cptr.scm 77 */
																											obj_t BgL_arg2421z00_482;

																											BgL_arg2421z00_482 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2420z00_481 =
																												MAKE_PAIR
																												(BgL_arg2418z00_479,
																												BgL_arg2421z00_482);
																										}
																										BgL_arg2415z00_477 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2417z00_478,
																											BgL_list2420z00_481);
																								}}
																								BgL_arg2402z00_465 =
																									MAKE_PAIR(BgL_arg2414z00_476,
																									BgL_arg2415z00_477);
																							}
																							BgL_arg2200z00_299 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2401z00_464,
																								BgL_arg2402z00_465);
																						}
																						{	/* Foreign/cptr.scm 83 */
																							obj_t BgL_arg2378z00_443;
																							obj_t BgL_arg2379z00_444;

																							{	/* Foreign/cptr.scm 83 */
																								obj_t BgL_arg2380z00_445;

																								{	/* Foreign/cptr.scm 83 */
																									obj_t BgL_arg2382z00_447;

																									{	/* Foreign/cptr.scm 83 */
																										obj_t BgL_arg2384z00_448;

																										{	/* Foreign/cptr.scm 83 */
																											obj_t BgL_arg2385z00_449;
																											obj_t BgL_arg2386z00_450;

																											{	/* Foreign/cptr.scm 83 */
																												obj_t BgL_symbolz00_633;

																												BgL_symbolz00_633 =
																													CNST_TABLE_REF(((long)
																														19));
																												BgL_arg2385z00_449 =
																													SYMBOL_TO_STRING
																													(BgL_symbolz00_633);
																											}
																											BgL_arg2386z00_450 =
																												SYMBOL_TO_STRING
																												(BgL_idz00_203);
																											{	/* Foreign/cptr.scm 83 */
																												obj_t
																													BgL_list2387z00_451;
																												{	/* Foreign/cptr.scm 83 */
																													obj_t
																														BgL_arg2389z00_452;
																													BgL_arg2389z00_452 =
																														MAKE_PAIR
																														(BgL_arg2386z00_450,
																														BNIL);
																													BgL_list2387z00_451 =
																														MAKE_PAIR
																														(BgL_arg2385z00_449,
																														BgL_arg2389z00_452);
																												}
																												BgL_arg2384z00_448 =
																													BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																													(BgL_list2387z00_451);
																										}}
																										BgL_arg2382z00_447 =
																											string_to_symbol
																											(BSTRING_TO_STRING
																											(BgL_arg2384z00_448));
																									}
																									BgL_arg2380z00_445 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_arg2382z00_447,
																										BgL_idz00_203);
																								}
																								BgL_arg2378z00_443 =
																									MAKE_PAIR(BgL_arg2380z00_445,
																									BNIL);
																							}
																							{	/* Foreign/cptr.scm 84 */
																								obj_t BgL_arg2390z00_453;
																								obj_t BgL_arg2391z00_454;

																								{	/* Foreign/cptr.scm 84 */
																									obj_t BgL_arg2392z00_455;

																									{	/* Foreign/cptr.scm 84 */
																										obj_t BgL_arg2393z00_456;
																										obj_t BgL_arg2394z00_457;

																										{	/* Foreign/cptr.scm 84 */
																											obj_t BgL_symbolz00_636;

																											BgL_symbolz00_636 =
																												CNST_TABLE_REF(((long)
																													20));
																											BgL_arg2393z00_456 =
																												SYMBOL_TO_STRING
																												(BgL_symbolz00_636);
																										}
																										BgL_arg2394z00_457 =
																											SYMBOL_TO_STRING
																											(BgL_idz00_203);
																										{	/* Foreign/cptr.scm 84 */
																											obj_t BgL_list2395z00_458;

																											{	/* Foreign/cptr.scm 84 */
																												obj_t
																													BgL_arg2396z00_459;
																												BgL_arg2396z00_459 =
																													MAKE_PAIR
																													(BgL_arg2394z00_457,
																													BNIL);
																												BgL_list2395z00_458 =
																													MAKE_PAIR
																													(BgL_arg2393z00_456,
																													BgL_arg2396z00_459);
																											}
																											BgL_arg2392z00_455 =
																												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																												(BgL_list2395z00_458);
																									}}
																									BgL_arg2390z00_453 =
																										string_to_symbol
																										(BSTRING_TO_STRING
																										(BgL_arg2392z00_455));
																								}
																								{	/* Foreign/cptr.scm 85 */
																									obj_t BgL_arg2397z00_460;

																									BgL_arg2397z00_460 =
																										string_append_3
																										(BGl_string2520z00zzforeign_cpointerz00,
																										BgL_namezd2sanszd2z42z42_211,
																										BGl_string2519z00zzforeign_cpointerz00);
																									{	/* Foreign/cptr.scm 84 */
																										obj_t BgL_list2399z00_462;

																										BgL_list2399z00_462 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2391z00_454 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2397z00_460,
																											BgL_list2399z00_462);
																								}}
																								BgL_arg2379z00_444 =
																									MAKE_PAIR(BgL_arg2390z00_453,
																									BgL_arg2391z00_454);
																							}
																							BgL_arg2201z00_300 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2378z00_443,
																								BgL_arg2379z00_444);
																						}
																						{	/* Foreign/cptr.scm 61 */
																							obj_t BgL_arg2437z00_498;
																							obj_t BgL_arg2438z00_499;

																							{	/* Foreign/cptr.scm 61 */
																								obj_t BgL_arg2439z00_500;

																								{	/* Foreign/cptr.scm 61 */
																									obj_t BgL_list2440z00_501;

																									BgL_list2440z00_501 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2439z00_500 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(CNST_TABLE_REF(((long) 5)),
																										BgL_list2440z00_501);
																								}
																								BgL_arg2437z00_498 =
																									MAKE_PAIR
																									(BgL_bidzf3zd2boolz21_209,
																									BgL_arg2439z00_500);
																							}
																							{	/* Foreign/cptr.scm 62 */
																								obj_t BgL_arg2441z00_502;
																								obj_t BgL_arg2442z00_503;

																								BgL_arg2441z00_502 =
																									CNST_TABLE_REF(((long) 6));
																								{	/* Foreign/cptr.scm 62 */
																									obj_t BgL_arg2443z00_504;
																									obj_t BgL_arg2444z00_505;

																									{	/* Foreign/cptr.scm 62 */
																										obj_t BgL_arg2450z00_510;
																										obj_t BgL_arg2451z00_511;

																										BgL_arg2450z00_510 =
																											CNST_TABLE_REF(((long)
																												7));
																										{	/* Foreign/cptr.scm 62 */
																											obj_t BgL_list2452z00_512;

																											BgL_list2452z00_512 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2451z00_511 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														8)),
																												BgL_list2452z00_512);
																										}
																										BgL_arg2443z00_504 =
																											MAKE_PAIR
																											(BgL_arg2450z00_510,
																											BgL_arg2451z00_511);
																									}
																									{	/* Foreign/cptr.scm 63 */
																										obj_t BgL_arg2453z00_513;
																										obj_t BgL_arg2454z00_514;

																										BgL_arg2453z00_513 =
																											CNST_TABLE_REF(((long)
																												9));
																										{	/* Foreign/cptr.scm 63 */
																											obj_t BgL_arg2456z00_515;
																											obj_t BgL_arg2457z00_516;

																											{	/* Foreign/cptr.scm 63 */
																												obj_t
																													BgL_arg2461z00_520;
																												obj_t
																													BgL_arg2462z00_521;
																												BgL_arg2461z00_520 =
																													CNST_TABLE_REF(((long)
																														10));
																												{	/* Foreign/cptr.scm 63 */
																													obj_t
																														BgL_list2463z00_522;
																													BgL_list2463z00_522 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2462z00_521 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(CNST_TABLE_REF((
																																(long) 8)),
																														BgL_list2463z00_522);
																												}
																												BgL_arg2456z00_515 =
																													MAKE_PAIR
																													(BgL_arg2461z00_520,
																													BgL_arg2462z00_521);
																											}
																											{	/* Foreign/cptr.scm 63 */
																												obj_t
																													BgL_arg2464z00_523;
																												obj_t
																													BgL_arg2465z00_524;
																												BgL_arg2464z00_523 =
																													CNST_TABLE_REF(((long)
																														11));
																												{	/* Foreign/cptr.scm 63 */
																													obj_t
																														BgL_list2466z00_525;
																													BgL_list2466z00_525 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2465z00_524 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_bidz00_205,
																														BgL_list2466z00_525);
																												}
																												BgL_arg2457z00_516 =
																													MAKE_PAIR
																													(BgL_arg2464z00_523,
																													BgL_arg2465z00_524);
																											}
																											{	/* Foreign/cptr.scm 63 */
																												obj_t
																													BgL_list2459z00_518;
																												{	/* Foreign/cptr.scm 63 */
																													obj_t
																														BgL_arg2460z00_519;
																													BgL_arg2460z00_519 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2459z00_518 =
																														MAKE_PAIR
																														(BgL_arg2457z00_516,
																														BgL_arg2460z00_519);
																												}
																												BgL_arg2454z00_514 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2456z00_515,
																													BgL_list2459z00_518);
																										}}
																										BgL_arg2444z00_505 =
																											MAKE_PAIR
																											(BgL_arg2453z00_513,
																											BgL_arg2454z00_514);
																									}
																									{	/* Foreign/cptr.scm 62 */
																										obj_t BgL_list2447z00_507;

																										{	/* Foreign/cptr.scm 62 */
																											obj_t BgL_arg2448z00_508;

																											{	/* Foreign/cptr.scm 62 */
																												obj_t
																													BgL_arg2449z00_509;
																												BgL_arg2449z00_509 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2448z00_508 =
																													MAKE_PAIR(BFALSE,
																													BgL_arg2449z00_509);
																											}
																											BgL_list2447z00_507 =
																												MAKE_PAIR
																												(BgL_arg2444z00_505,
																												BgL_arg2448z00_508);
																										}
																										BgL_arg2442z00_503 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2443z00_504,
																											BgL_list2447z00_507);
																								}}
																								BgL_arg2438z00_499 =
																									MAKE_PAIR(BgL_arg2441z00_502,
																									BgL_arg2442z00_503);
																							}
																							BgL_arg2208z00_301 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2437z00_498,
																								BgL_arg2438z00_499);
																						}
																						{	/* Foreign/cptr.scm 110 */
																							obj_t BgL_refzd2idzd2_308;
																							obj_t BgL_setzd2idzd2_309;
																							obj_t BgL_refzd2typezd2idz00_310;
																							obj_t BgL_refzd2fmtzd2_311;
																							obj_t BgL_setzd2fmtzd2_312;

																							{	/* Foreign/cptr.scm 110 */
																								obj_t BgL_arg2296z00_358;

																								{	/* Foreign/cptr.scm 110 */
																									obj_t BgL_arg2297z00_359;
																									obj_t BgL_arg2298z00_360;

																									BgL_arg2297z00_359 =
																										SYMBOL_TO_STRING
																										(BgL_idz00_203);
																									{	/* Foreign/cptr.scm 110 */
																										obj_t BgL_symbolz00_607;

																										BgL_symbolz00_607 =
																											CNST_TABLE_REF(((long)
																												25));
																										BgL_arg2298z00_360 =
																											SYMBOL_TO_STRING
																											(BgL_symbolz00_607);
																									}
																									{	/* Foreign/cptr.scm 110 */
																										obj_t BgL_list2299z00_361;

																										{	/* Foreign/cptr.scm 110 */
																											obj_t BgL_arg2300z00_362;

																											BgL_arg2300z00_362 =
																												MAKE_PAIR
																												(BgL_arg2298z00_360,
																												BNIL);
																											BgL_list2299z00_361 =
																												MAKE_PAIR
																												(BgL_arg2297z00_359,
																												BgL_arg2300z00_362);
																										}
																										BgL_arg2296z00_358 =
																											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																											(BgL_list2299z00_361);
																								}}
																								BgL_refzd2idzd2_308 =
																									string_to_symbol
																									(BSTRING_TO_STRING
																									(BgL_arg2296z00_358));
																							}
																							{	/* Foreign/cptr.scm 111 */
																								obj_t BgL_arg2301z00_363;

																								{	/* Foreign/cptr.scm 111 */
																									obj_t BgL_arg2302z00_364;
																									obj_t BgL_arg2303z00_365;

																									BgL_arg2302z00_364 =
																										SYMBOL_TO_STRING
																										(BgL_idz00_203);
																									{	/* Foreign/cptr.scm 111 */
																										obj_t BgL_symbolz00_610;

																										BgL_symbolz00_610 =
																											CNST_TABLE_REF(((long)
																												26));
																										BgL_arg2303z00_365 =
																											SYMBOL_TO_STRING
																											(BgL_symbolz00_610);
																									}
																									{	/* Foreign/cptr.scm 111 */
																										obj_t BgL_list2304z00_366;

																										{	/* Foreign/cptr.scm 111 */
																											obj_t BgL_arg2305z00_367;

																											BgL_arg2305z00_367 =
																												MAKE_PAIR
																												(BgL_arg2303z00_365,
																												BNIL);
																											BgL_list2304z00_366 =
																												MAKE_PAIR
																												(BgL_arg2302z00_364,
																												BgL_arg2305z00_367);
																										}
																										BgL_arg2301z00_363 =
																											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																											(BgL_list2304z00_366);
																								}}
																								BgL_setzd2idzd2_309 =
																									string_to_symbol
																									(BSTRING_TO_STRING
																									(BgL_arg2301z00_363));
																							}
																							{	/* Foreign/cptr.scm 112 */
																								bool_t BgL_testz00_1016;

																								{	/* Foreign/cptr.scm 112 */
																									obj_t BgL_obj1740z00_612;

																									BgL_obj1740z00_612 =
																										(obj_t)
																										(BgL_pointzd2tozd2_212);
																									BgL_testz00_1016 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1740z00_612,
																										BGl_cstructz00zzforeign_ctypez00);
																								}
																								if (BgL_testz00_1016)
																									{	/* Foreign/cptr.scm 113 */
																										obj_t BgL_arg2307z00_369;

																										{	/* Foreign/cptr.scm 113 */
																											obj_t BgL_arg2308z00_370;
																											obj_t BgL_arg2309z00_371;

																											BgL_arg2308z00_370 =
																												SYMBOL_TO_STRING
																												(BgL_pointzd2tozd2idz00_213);
																											{	/* Foreign/cptr.scm 113 */
																												obj_t BgL_symbolz00_614;

																												BgL_symbolz00_614 =
																													CNST_TABLE_REF(((long)
																														27));
																												BgL_arg2309z00_371 =
																													SYMBOL_TO_STRING
																													(BgL_symbolz00_614);
																											}
																											{	/* Foreign/cptr.scm 113 */
																												obj_t
																													BgL_list2310z00_372;
																												{	/* Foreign/cptr.scm 113 */
																													obj_t
																														BgL_arg2311z00_373;
																													BgL_arg2311z00_373 =
																														MAKE_PAIR
																														(BgL_arg2309z00_371,
																														BNIL);
																													BgL_list2310z00_372 =
																														MAKE_PAIR
																														(BgL_arg2308z00_370,
																														BgL_arg2311z00_373);
																												}
																												BgL_arg2307z00_369 =
																													BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																													(BgL_list2310z00_372);
																										}}
																										BgL_refzd2typezd2idz00_310 =
																											string_to_symbol
																											(BSTRING_TO_STRING
																											(BgL_arg2307z00_369));
																									}
																								else
																									{	/* Foreign/cptr.scm 112 */
																										BgL_refzd2typezd2idz00_310 =
																											BgL_pointzd2tozd2idz00_213;
																									}
																							}
																							{	/* Foreign/cptr.scm 115 */
																								bool_t BgL_testz00_1027;

																								{	/* Foreign/cptr.scm 115 */
																									obj_t BgL_obj1740z00_616;

																									BgL_obj1740z00_616 =
																										(obj_t)
																										(BgL_pointzd2tozd2_212);
																									BgL_testz00_1027 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1740z00_616,
																										BGl_cstructz00zzforeign_ctypez00);
																								}
																								if (BgL_testz00_1027)
																									{	/* Foreign/cptr.scm 115 */
																										BgL_refzd2fmtzd2_311 =
																											string_append_3
																											(BGl_string2526z00zzforeign_cpointerz00,
																											BgL_namezd2sanszd2z42z42_211,
																											BGl_string2527z00zzforeign_cpointerz00);
																									}
																								else
																									{	/* Foreign/cptr.scm 115 */
																										BgL_refzd2fmtzd2_311 =
																											string_append_3
																											(BGl_string2520z00zzforeign_cpointerz00,
																											BgL_namezd2sanszd2z42z42_211,
																											BGl_string2528z00zzforeign_cpointerz00);
																									}
																							}
																							{	/* Foreign/cptr.scm 120 */
																								bool_t BgL_testz00_1032;

																								{	/* Foreign/cptr.scm 120 */
																									obj_t BgL_obj1740z00_617;

																									BgL_obj1740z00_617 =
																										(obj_t)
																										(BgL_pointzd2tozd2_212);
																									BgL_testz00_1032 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1740z00_617,
																										BGl_cstructz00zzforeign_ctypez00);
																								}
																								if (BgL_testz00_1032)
																									{	/* Foreign/cptr.scm 120 */
																										BgL_setzd2fmtzd2_312 =
																											string_append_3
																											(BGl_string2529z00zzforeign_cpointerz00,
																											BgL_namezd2sanszd2z42z42_211,
																											BGl_string2530z00zzforeign_cpointerz00);
																									}
																								else
																									{	/* Foreign/cptr.scm 120 */
																										BgL_setzd2fmtzd2_312 =
																											string_append_3
																											(BGl_string2529z00zzforeign_cpointerz00,
																											BgL_namezd2sanszd2z42z42_211,
																											BGl_string2531z00zzforeign_cpointerz00);
																									}
																							}
																							{	/* Foreign/cptr.scm 129 */
																								obj_t BgL_arg2236z00_313;
																								obj_t BgL_arg2248z00_314;

																								{	/* Foreign/cptr.scm 129 */
																									obj_t BgL_arg2255z00_317;
																									obj_t BgL_arg2256z00_318;

																									{	/* Foreign/cptr.scm 129 */
																										obj_t BgL_arg2257z00_319;
																										obj_t BgL_arg2258z00_320;

																										BgL_arg2257z00_319 =
																											BGl_makezd2typedzd2identz00zzast_identz00
																											(BgL_refzd2idzd2_308,
																											BgL_refzd2typezd2idz00_310);
																										{	/* Foreign/cptr.scm 130 */
																											obj_t BgL_arg2259z00_321;
																											obj_t BgL_arg2260z00_322;

																											BgL_arg2259z00_321 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(CNST_TABLE_REF(((long)
																														8)), BgL_idz00_203);
																											BgL_arg2260z00_322 =
																												CNST_TABLE_REF(((long)
																													28));
																											{	/* Foreign/cptr.scm 129 */
																												obj_t
																													BgL_list2262z00_324;
																												{	/* Foreign/cptr.scm 129 */
																													obj_t
																														BgL_arg2263z00_325;
																													BgL_arg2263z00_325 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2262z00_324 =
																														MAKE_PAIR
																														(BgL_arg2260z00_322,
																														BgL_arg2263z00_325);
																												}
																												BgL_arg2258z00_320 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2259z00_321,
																													BgL_list2262z00_324);
																										}}
																										BgL_arg2255z00_317 =
																											MAKE_PAIR
																											(BgL_arg2257z00_319,
																											BgL_arg2258z00_320);
																									}
																									{	/* Foreign/cptr.scm 132 */
																										obj_t BgL_arg2264z00_326;
																										obj_t BgL_arg2265z00_327;

																										BgL_arg2264z00_326 =
																											BGl_makezd2typedzd2identz00zzast_identz00
																											(CNST_TABLE_REF(((long)
																													22)),
																											BgL_refzd2typezd2idz00_310);
																										{	/* Foreign/cptr.scm 132 */
																											obj_t BgL_list2266z00_328;

																											{	/* Foreign/cptr.scm 132 */
																												obj_t
																													BgL_arg2267z00_329;
																												obj_t
																													BgL_arg2268z00_330;
																												BgL_arg2267z00_329 =
																													CNST_TABLE_REF(((long)
																														8));
																												{	/* Foreign/cptr.scm 132 */
																													obj_t
																														BgL_arg2269z00_331;
																													obj_t
																														BgL_arg2270z00_332;
																													BgL_arg2269z00_331 =
																														CNST_TABLE_REF((
																															(long) 29));
																													BgL_arg2270z00_332 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2268z00_330 =
																														MAKE_PAIR
																														(BgL_arg2269z00_331,
																														BgL_arg2270z00_332);
																												}
																												BgL_list2266z00_328 =
																													MAKE_PAIR
																													(BgL_arg2267z00_329,
																													BgL_arg2268z00_330);
																											}
																											BgL_arg2265z00_327 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_refzd2fmtzd2_311,
																												BgL_list2266z00_328);
																										}
																										BgL_arg2256z00_318 =
																											MAKE_PAIR
																											(BgL_arg2264z00_326,
																											BgL_arg2265z00_327);
																									}
																									BgL_arg2236z00_313 =
																										BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																										(BgL_arg2255z00_317,
																										BgL_arg2256z00_318);
																								}
																								{	/* Foreign/cptr.scm 137 */
																									obj_t BgL_arg2271z00_333;
																									obj_t BgL_arg2272z00_334;

																									{	/* Foreign/cptr.scm 137 */
																										obj_t BgL_arg2273z00_335;
																										obj_t BgL_arg2274z00_336;

																										{	/* Foreign/cptr.scm 137 */
																											obj_t BgL_arg2275z00_337;

																											{	/* Foreign/cptr.scm 137 */
																												obj_t
																													BgL_arg2276z00_338;
																												obj_t
																													BgL_arg2277z00_339;
																												BgL_arg2276z00_338 =
																													SYMBOL_TO_STRING
																													(BgL_setzd2idzd2_309);
																												{	/* Foreign/cptr.scm 137 */
																													obj_t
																														BgL_symbolz00_619;
																													BgL_symbolz00_619 =
																														CNST_TABLE_REF((
																															(long) 30));
																													BgL_arg2277z00_339 =
																														SYMBOL_TO_STRING
																														(BgL_symbolz00_619);
																												}
																												{	/* Foreign/cptr.scm 137 */
																													obj_t
																														BgL_list2278z00_340;
																													{	/* Foreign/cptr.scm 137 */
																														obj_t
																															BgL_arg2279z00_341;
																														BgL_arg2279z00_341 =
																															MAKE_PAIR
																															(BgL_arg2277z00_339,
																															BNIL);
																														BgL_list2278z00_340
																															=
																															MAKE_PAIR
																															(BgL_arg2276z00_338,
																															BgL_arg2279z00_341);
																													}
																													BgL_arg2275z00_337 =
																														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																														(BgL_list2278z00_340);
																											}}
																											BgL_arg2273z00_335 =
																												string_to_symbol
																												(BSTRING_TO_STRING
																												(BgL_arg2275z00_337));
																										}
																										{	/* Foreign/cptr.scm 138 */
																											obj_t BgL_arg2280z00_342;
																											obj_t BgL_arg2281z00_343;
																											obj_t BgL_arg2282z00_344;

																											BgL_arg2280z00_342 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(CNST_TABLE_REF(((long)
																														8)), BgL_idz00_203);
																											BgL_arg2281z00_343 =
																												CNST_TABLE_REF(((long)
																													28));
																											BgL_arg2282z00_344 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(CNST_TABLE_REF(((long)
																														31)),
																												BgL_refzd2typezd2idz00_310);
																											{	/* Foreign/cptr.scm 137 */
																												obj_t
																													BgL_list2284z00_346;
																												{	/* Foreign/cptr.scm 137 */
																													obj_t
																														BgL_arg2285z00_347;
																													{	/* Foreign/cptr.scm 137 */
																														obj_t
																															BgL_arg2286z00_348;
																														BgL_arg2286z00_348 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2285z00_347 =
																															MAKE_PAIR
																															(BgL_arg2282z00_344,
																															BgL_arg2286z00_348);
																													}
																													BgL_list2284z00_346 =
																														MAKE_PAIR
																														(BgL_arg2281z00_343,
																														BgL_arg2285z00_347);
																												}
																												BgL_arg2274z00_336 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2280z00_342,
																													BgL_list2284z00_346);
																										}}
																										BgL_arg2271z00_333 =
																											MAKE_PAIR
																											(BgL_arg2273z00_335,
																											BgL_arg2274z00_336);
																									}
																									{	/* Foreign/cptr.scm 141 */
																										obj_t BgL_arg2287z00_349;
																										obj_t BgL_arg2288z00_350;

																										BgL_arg2287z00_349 =
																											CNST_TABLE_REF(((long)
																												32));
																										{	/* Foreign/cptr.scm 141 */
																											obj_t BgL_list2289z00_351;

																											{	/* Foreign/cptr.scm 141 */
																												obj_t
																													BgL_arg2290z00_352;
																												obj_t
																													BgL_arg2291z00_353;
																												BgL_arg2290z00_352 =
																													CNST_TABLE_REF(((long)
																														8));
																												{	/* Foreign/cptr.scm 141 */
																													obj_t
																														BgL_arg2292z00_354;
																													obj_t
																														BgL_arg2293z00_355;
																													BgL_arg2292z00_354 =
																														CNST_TABLE_REF((
																															(long) 29));
																													{	/* Foreign/cptr.scm 141 */
																														obj_t
																															BgL_arg2294z00_356;
																														obj_t
																															BgL_arg2295z00_357;
																														BgL_arg2294z00_356 =
																															CNST_TABLE_REF((
																																(long) 31));
																														BgL_arg2295z00_357 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2293z00_355 =
																															MAKE_PAIR
																															(BgL_arg2294z00_356,
																															BgL_arg2295z00_357);
																													}
																													BgL_arg2291z00_353 =
																														MAKE_PAIR
																														(BgL_arg2292z00_354,
																														BgL_arg2293z00_355);
																												}
																												BgL_list2289z00_351 =
																													MAKE_PAIR
																													(BgL_arg2290z00_352,
																													BgL_arg2291z00_353);
																											}
																											BgL_arg2288z00_350 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_setzd2fmtzd2_312,
																												BgL_list2289z00_351);
																										}
																										BgL_arg2272z00_334 =
																											MAKE_PAIR
																											(BgL_arg2287z00_349,
																											BgL_arg2288z00_350);
																									}
																									BgL_arg2248z00_314 =
																										BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																										(BgL_arg2271z00_333,
																										BgL_arg2272z00_334);
																								}
																								{	/* Foreign/cptr.scm 127 */
																									obj_t BgL_list2249z00_315;

																									{	/* Foreign/cptr.scm 127 */
																										obj_t BgL_arg2254z00_316;

																										BgL_arg2254z00_316 =
																											MAKE_PAIR
																											(BgL_arg2248z00_314,
																											BNIL);
																										BgL_list2249z00_315 =
																											MAKE_PAIR
																											(BgL_arg2236z00_313,
																											BgL_arg2254z00_316);
																									}
																									BgL_arg2214z00_302 =
																										BgL_list2249z00_315;
																						}}}
																						{	/* Foreign/cptr.scm 164 */
																							obj_t BgL_list2215z00_303;

																							{	/* Foreign/cptr.scm 164 */
																								obj_t BgL_arg2221z00_304;

																								{	/* Foreign/cptr.scm 164 */
																									obj_t BgL_arg2227z00_305;

																									{	/* Foreign/cptr.scm 164 */
																										obj_t BgL_arg2234z00_306;

																										BgL_arg2234z00_306 =
																											MAKE_PAIR
																											(BgL_arg2214z00_302,
																											BNIL);
																										BgL_arg2227z00_305 =
																											MAKE_PAIR
																											(BgL_arg2208z00_301,
																											BgL_arg2234z00_306);
																									}
																									BgL_arg2221z00_304 =
																										MAKE_PAIR
																										(BgL_arg2201z00_300,
																										BgL_arg2227z00_305);
																								}
																								BgL_list2215z00_303 =
																									MAKE_PAIR(BgL_arg2200z00_299,
																									BgL_arg2221z00_304);
																							}
																							BgL_arg2198z00_297 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2199z00_298,
																								BgL_list2215z00_303);
																					}}
																					return
																						MAKE_PAIR(BgL_arg2197z00_296,
																						BgL_arg2198z00_297);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_cpointerz00()
	{
		AN_OBJECT;
		{	/* Foreign/cptr.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 178768066),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 477377954),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 477408199),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2532z00zzforeign_cpointerz00));
		}
	}

#ifdef __cplusplus
}
#endif
