/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/simple.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_simplez00();
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
	static obj_t BGl__inlinezd2appzd2simple3242z00zzinline_simplez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00,
		BgL_bgl__inlineza7d2appza7d23250z00,
		BGl__inlinezd2appzd2simple3242z00zzinline_simplez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3243z00zzinline_simplez00,
		BgL_bgl_string3243za700za7za7i3251za7, " (", 2);
	      DEFINE_STRING(BGl_string3244z00zzinline_simplez00,
		BgL_bgl_string3244za700za7za7i3252za7, " --> ", 5);
	      DEFINE_STRING(BGl_string3245z00zzinline_simplez00,
		BgL_bgl_string3245za700za7za7i3253za7, "         ", 9);
	      DEFINE_STRING(BGl_string3246z00zzinline_simplez00,
		BgL_bgl_string3246za700za7za7i3254za7, "inline_simple", 13);
	      DEFINE_STRING(BGl_string3247z00zzinline_simplez00,
		BgL_bgl_string3247za700za7za7i3255za7, "res (sifun sgfun) read ", 23);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long
		BgL_checksumz00_1271, char *BgL_fromz00_1272)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_simplez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
					BGl_cnstzd2initzd2zzinline_simplez00();
					BGl_importedzd2moduleszd2initz00zzinline_simplez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"inline_simple");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			{	/* Inline/simple.scm 15 */
				obj_t BgL_cportz00_1263;

				BgL_cportz00_1263 =
					bgl_open_input_string(BGl_string3247z00zzinline_simplez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1264;

					BgL_iz00_1264 = ((long) 2);
				BgL_loopz00_1265:
					if ((BgL_iz00_1264 == ((long) -1)))
						{	/* Inline/simple.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/simple.scm 15 */
							{	/* Inline/simple.scm 15 */
								obj_t BgL_arg3249z00_1267;

								{	/* Inline/simple.scm 15 */

									{	/* Inline/simple.scm 15 */
										obj_t BgL_locationz00_1269;

										BgL_locationz00_1269 = BBOOL(((bool_t) 0));
										{	/* Inline/simple.scm 15 */

											BgL_arg3249z00_1267 =
												BGl_readz00zz__readerz00(BgL_cportz00_1263,
												BgL_locationz00_1269);
										}
									}
								}
								{	/* Inline/simple.scm 15 */
									int BgL_auxz00_1290;

									BgL_auxz00_1290 = (int) (BgL_iz00_1264);
									CNST_TABLE_SET(BgL_auxz00_1290, BgL_arg3249z00_1267);
							}}
							{	/* Inline/simple.scm 15 */
								int BgL_auxz00_1270;

								BgL_auxz00_1270 = (int) ((BgL_iz00_1264 - ((long) 1)));
								{
									long BgL_iz00_1295;

									BgL_iz00_1295 = (long) (BgL_auxz00_1270);
									BgL_iz00_1264 = BgL_iz00_1295;
									goto BgL_loopz00_1265;
								}
							}
						}
				}
			}
		}
	}



/* inline-app-simple */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt
		BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3,
		obj_t BgL_msgz00_4)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 42 */
			{	/* Inline/simple.scm 45 */
				BgL_variablez00_bglt BgL_calleez00_717;

				{	/* Inline/simple.scm 45 */
					BgL_varz00_bglt BgL_obj1929z00_1202;

					{	/* Inline/simple.scm 45 */
						BgL_appz00_bglt BgL_obj2023z00_1201;

						BgL_obj2023z00_1201 = (BgL_appz00_bglt) (BgL_nodez00_1);
						BgL_obj1929z00_1202 =
							(((BgL_appz00_bglt) CREF(BgL_obj2023z00_1201))->BgL_funz00);
					}
					BgL_calleez00_717 =
						(((BgL_varz00_bglt) CREF(BgL_obj1929z00_1202))->BgL_variablez00);
				}
				{	/* Inline/simple.scm 45 */
					BgL_valuez00_bglt BgL_sfunz00_718;

					BgL_sfunz00_718 =
						(((BgL_variablez00_bglt) CREF(BgL_calleez00_717))->BgL_valuez00);
					{	/* Inline/simple.scm 46 */
						obj_t BgL_formalsz00_719;

						{	/* Inline/simple.scm 47 */
							BgL_sfunz00_bglt BgL_obj1654z00_1204;

							BgL_obj1654z00_1204 = (BgL_sfunz00_bglt) (BgL_sfunz00_718);
							BgL_formalsz00_719 =
								(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_1204))->BgL_argsz00);
						}
						{	/* Inline/simple.scm 47 */
							obj_t BgL_actualsz00_720;

							{	/* Inline/simple.scm 48 */
								BgL_appz00_bglt BgL_obj2026z00_1205;

								BgL_obj2026z00_1205 = (BgL_appz00_bglt) (BgL_nodez00_1);
								BgL_actualsz00_720 =
									(((BgL_appz00_bglt) CREF(BgL_obj2026z00_1205))->BgL_argsz00);
							}
							{	/* Inline/simple.scm 48 */
								obj_t BgL_reductorsz00_721;

								if (NULLP(BgL_formalsz00_719))
									{	/* Inline/simple.scm 49 */
										BgL_reductorsz00_721 = BNIL;
									}
								else
									{	/* Inline/simple.scm 49 */
										obj_t BgL_head3112z00_798;

										BgL_head3112z00_798 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_ll3110z00_799;
											obj_t BgL_ll3111z00_800;
											obj_t BgL_tail3113z00_801;

											BgL_ll3110z00_799 = BgL_formalsz00_719;
											BgL_ll3111z00_800 = BgL_actualsz00_720;
											BgL_tail3113z00_801 = BgL_head3112z00_798;
										BgL_map3116z00_802:
											if (NULLP(BgL_ll3110z00_799))
												{	/* Inline/simple.scm 49 */
													BgL_reductorsz00_721 = CDR(BgL_head3112z00_798);
												}
											else
												{	/* Inline/simple.scm 49 */
													obj_t BgL_newtail3114z00_804;

													{	/* Inline/simple.scm 49 */
														obj_t BgL_arg3177z00_807;

														{	/* Inline/simple.scm 49 */
															obj_t BgL_fz00_809;
															obj_t BgL_az00_810;

															BgL_fz00_809 = CAR(BgL_ll3110z00_799);
															BgL_az00_810 = CAR(BgL_ll3111z00_800);
															{	/* Inline/simple.scm 50 */
																bool_t BgL_testz00_1313;

																if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_810,
																		BGl_closurez00zzast_nodez00))
																	{	/* Inline/simple.scm 51 */
																		bool_t BgL_testz00_1316;

																		{	/* Inline/simple.scm 51 */
																			obj_t BgL_auxz00_1317;

																			{	/* Inline/simple.scm 51 */
																				BgL_variablez00_bglt
																					BgL_obj1390z00_1214;
																				BgL_obj1390z00_1214 =
																					(BgL_variablez00_bglt) (BgL_fz00_809);
																				BgL_auxz00_1317 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_obj1390z00_1214))->
																					BgL_accessz00);
																			}
																			BgL_testz00_1316 =
																				(BgL_auxz00_1317 ==
																				CNST_TABLE_REF(((long) 0)));
																		}
																		if (BgL_testz00_1316)
																			{	/* Inline/simple.scm 52 */
																				bool_t BgL__ortest_3101z00_818;

																				{	/* Inline/simple.scm 52 */
																					BgL_typez00_bglt BgL_arg3186z00_822;

																					{	/* Inline/simple.scm 52 */
																						BgL_variablez00_bglt
																							BgL_obj1384z00_1215;
																						BgL_obj1384z00_1215 =
																							(BgL_variablez00_bglt)
																							(BgL_fz00_809);
																						BgL_arg3186z00_822 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1384z00_1215))->
																							BgL_typez00);
																					}
																					BgL__ortest_3101z00_818 =
																						(
																						(obj_t) (BgL_arg3186z00_822) ==
																						BGl_za2procedureza2z00zztype_cachez00);
																				}
																				if (BgL__ortest_3101z00_818)
																					{	/* Inline/simple.scm 52 */
																						BgL_testz00_1313 =
																							BgL__ortest_3101z00_818;
																					}
																				else
																					{	/* Inline/simple.scm 53 */
																						bool_t BgL__ortest_3102z00_819;

																						{	/* Inline/simple.scm 53 */
																							BgL_typez00_bglt
																								BgL_arg3185z00_821;
																							{	/* Inline/simple.scm 53 */
																								BgL_variablez00_bglt
																									BgL_obj1384z00_1216;
																								BgL_obj1384z00_1216 =
																									(BgL_variablez00_bglt)
																									(BgL_fz00_809);
																								BgL_arg3185z00_821 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1384z00_1216))->
																									BgL_typez00);
																							}
																							BgL__ortest_3102z00_819 =
																								(
																								(obj_t) (BgL_arg3185z00_821) ==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL__ortest_3102z00_819)
																							{	/* Inline/simple.scm 53 */
																								BgL_testz00_1313 =
																									BgL__ortest_3102z00_819;
																							}
																						else
																							{	/* Inline/simple.scm 54 */
																								BgL_typez00_bglt
																									BgL_arg3184z00_820;
																								{	/* Inline/simple.scm 54 */
																									BgL_variablez00_bglt
																										BgL_obj1384z00_1217;
																									BgL_obj1384z00_1217 =
																										(BgL_variablez00_bglt)
																										(BgL_fz00_809);
																									BgL_arg3184z00_820 =
																										(((BgL_variablez00_bglt)
																											CREF
																											(BgL_obj1384z00_1217))->
																										BgL_typez00);
																								}
																								BgL_testz00_1313 =
																									(
																									(obj_t) (BgL_arg3184z00_820)
																									==
																									BGl_za2objza2z00zztype_cachez00);
																							}
																					}
																			}
																		else
																			{	/* Inline/simple.scm 51 */
																				BgL_testz00_1313 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Inline/simple.scm 50 */
																		BgL_testz00_1313 = ((bool_t) 0);
																	}
																if (BgL_testz00_1313)
																	{	/* Inline/simple.scm 59 */
																		BgL_varz00_bglt BgL_obj1929z00_1218;

																		BgL_obj1929z00_1218 =
																			(BgL_varz00_bglt) (BgL_az00_810);
																		{	/* Inline/simple.scm 59 */
																			BgL_variablez00_bglt BgL_auxz00_1337;

																			BgL_auxz00_1337 =
																				(((BgL_varz00_bglt)
																					CREF(BgL_obj1929z00_1218))->
																				BgL_variablez00);
																			BgL_arg3177z00_807 =
																				(obj_t) (BgL_auxz00_1337);
																		}
																	}
																else
																	{	/* Inline/simple.scm 62 */
																		BgL_svarz00_bglt BgL_arg3180z00_812;

																		{	/* Inline/simple.scm 62 */
																			BgL_svarz00_bglt
																				BgL_duplicated3103z00_813;
																			{	/* Inline/simple.scm 62 */
																				BgL_variablez00_bglt
																					BgL_obj1387z00_1219;
																				BgL_obj1387z00_1219 =
																					(BgL_variablez00_bglt) (BgL_fz00_809);
																				{	/* Inline/simple.scm 62 */
																					BgL_valuez00_bglt BgL_auxz00_1341;

																					BgL_auxz00_1341 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1387z00_1219))->
																						BgL_valuez00);
																					BgL_duplicated3103z00_813 =
																						(BgL_svarz00_bglt)
																						(BgL_auxz00_1341);
																				}
																			}
																			{	/* Inline/simple.scm 62 */
																				BgL_svarz00_bglt BgL_new3104z00_814;

																				{	/* Inline/simple.scm 62 */
																					obj_t BgL_arg3181z00_815;

																					BgL_arg3181z00_815 =
																						(((BgL_svarz00_bglt)
																							CREF(BgL_duplicated3103z00_813))->
																						BgL_locz00);
																					BgL_new3104z00_814 =
																						BGl_makezd2svarzd2zzast_varz00
																						(BgL_arg3181z00_815);
																				}
																				{	/* Inline/simple.scm 62 */

																					BgL_arg3180z00_812 =
																						BgL_new3104z00_814;
																				}
																			}
																		}
																		{	/* Inline/simple.scm 60 */
																			BgL_localz00_bglt BgL_auxz00_1346;

																			BgL_auxz00_1346 =
																				BGl_clonezd2localzd2zzast_localz00(
																				(BgL_localz00_bglt) (BgL_fz00_809),
																				(BgL_valuez00_bglt)
																				(BgL_arg3180z00_812));
																			BgL_arg3177z00_807 =
																				(obj_t) (BgL_auxz00_1346);
																		}
																	}
															}
														}
														BgL_newtail3114z00_804 =
															MAKE_PAIR(BgL_arg3177z00_807, BNIL);
													}
													SET_CDR(BgL_tail3113z00_801, BgL_newtail3114z00_804);
													{
														obj_t BgL_tail3113z00_1357;
														obj_t BgL_ll3111z00_1355;
														obj_t BgL_ll3110z00_1353;

														BgL_ll3110z00_1353 = CDR(BgL_ll3110z00_799);
														BgL_ll3111z00_1355 = CDR(BgL_ll3111z00_800);
														BgL_tail3113z00_1357 = BgL_newtail3114z00_804;
														BgL_tail3113z00_801 = BgL_tail3113z00_1357;
														BgL_ll3111z00_800 = BgL_ll3111z00_1355;
														BgL_ll3110z00_799 = BgL_ll3110z00_1353;
														goto BgL_map3116z00_802;
													}
												}
										}
									}
								{	/* Inline/simple.scm 49 */
									obj_t BgL_bindingsz00_722;

									{
										obj_t BgL_reductorsz00_776;
										obj_t BgL_actualsz00_777;
										obj_t BgL_resz00_778;

										BgL_reductorsz00_776 = BgL_reductorsz00_721;
										BgL_actualsz00_777 = BgL_actualsz00_720;
										BgL_resz00_778 = BNIL;
									BgL_loopz00_779:
										if (NULLP(BgL_actualsz00_777))
											{	/* Inline/simple.scm 69 */
												BgL_bindingsz00_722 = bgl_reverse_bang(BgL_resz00_778);
											}
										else
											{	/* Inline/simple.scm 71 */
												bool_t BgL_testz00_1361;

												{	/* Inline/simple.scm 71 */
													bool_t BgL_testz00_1362;

													{	/* Inline/simple.scm 71 */
														obj_t BgL_arg3172z00_794;

														BgL_arg3172z00_794 = CAR(BgL_actualsz00_777);
														BgL_testz00_1362 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3172z00_794,
															BGl_closurez00zzast_nodez00);
													}
													if (BgL_testz00_1362)
														{	/* Inline/simple.scm 72 */
															obj_t BgL_auxz00_1365;

															{	/* Inline/simple.scm 72 */
																BgL_variablez00_bglt BgL_auxz00_1367;

																{	/* Inline/simple.scm 73 */
																	BgL_varz00_bglt BgL_obj1929z00_1232;

																	{	/* Inline/simple.scm 73 */
																		obj_t BgL_pairz00_1231;

																		BgL_pairz00_1231 = BgL_actualsz00_777;
																		{	/* Inline/simple.scm 73 */
																			obj_t BgL_auxz00_1368;

																			BgL_auxz00_1368 = CAR(BgL_pairz00_1231);
																			BgL_obj1929z00_1232 =
																				(BgL_varz00_bglt) (BgL_auxz00_1368);
																		}
																	}
																	BgL_auxz00_1367 =
																		(((BgL_varz00_bglt)
																			CREF(BgL_obj1929z00_1232))->
																		BgL_variablez00);
																}
																BgL_auxz00_1365 = (obj_t) (BgL_auxz00_1367);
															}
															BgL_testz00_1361 =
																(CAR(BgL_reductorsz00_776) == BgL_auxz00_1365);
														}
													else
														{	/* Inline/simple.scm 71 */
															BgL_testz00_1361 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1361)
													{
														obj_t BgL_actualsz00_1376;
														obj_t BgL_reductorsz00_1374;

														BgL_reductorsz00_1374 = CDR(BgL_reductorsz00_776);
														BgL_actualsz00_1376 = CDR(BgL_actualsz00_777);
														BgL_actualsz00_777 = BgL_actualsz00_1376;
														BgL_reductorsz00_776 = BgL_reductorsz00_1374;
														goto BgL_loopz00_779;
													}
												else
													{	/* Inline/simple.scm 78 */
														obj_t BgL_arg3162z00_784;
														obj_t BgL_arg3163z00_785;
														obj_t BgL_arg3164z00_786;

														BgL_arg3162z00_784 = CDR(BgL_reductorsz00_776);
														BgL_arg3163z00_785 = CDR(BgL_actualsz00_777);
														{	/* Inline/simple.scm 80 */
															obj_t BgL_arg3165z00_787;

															BgL_arg3165z00_787 =
																MAKE_PAIR(CAR(BgL_reductorsz00_776),
																CAR(BgL_actualsz00_777));
															BgL_arg3164z00_786 =
																MAKE_PAIR(BgL_arg3165z00_787, BgL_resz00_778);
														}
														{
															obj_t BgL_resz00_1386;
															obj_t BgL_actualsz00_1385;
															obj_t BgL_reductorsz00_1384;

															BgL_reductorsz00_1384 = BgL_arg3162z00_784;
															BgL_actualsz00_1385 = BgL_arg3163z00_785;
															BgL_resz00_1386 = BgL_arg3164z00_786;
															BgL_resz00_778 = BgL_resz00_1386;
															BgL_actualsz00_777 = BgL_actualsz00_1385;
															BgL_reductorsz00_776 = BgL_reductorsz00_1384;
															goto BgL_loopz00_779;
														}
													}
											}
									}
									{	/* Inline/simple.scm 65 */
										obj_t BgL_bodyz00_723;

										{	/* Inline/simple.scm 83 */
											bool_t BgL_testz00_1387;

											{	/* Inline/simple.scm 83 */
												obj_t BgL_obj3045z00_1239;

												BgL_obj3045z00_1239 = (obj_t) (BgL_sfunz00_718);
												BgL_testz00_1387 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj3045z00_1239,
													BGl_isfunz00zzinline_inlinez00);
											}
											if (BgL_testz00_1387)
												{	/* Inline/simple.scm 84 */
													BgL_isfunz00_bglt BgL_obj3046z00_1240;

													BgL_obj3046z00_1240 =
														(BgL_isfunz00_bglt) (BgL_sfunz00_718);
													{	/* Inline/simple.scm 84 */
														BgL_nodez00_bglt BgL_auxz00_1391;

														{
															obj_t BgL_auxz00_1392;

															{	/* Inline/simple.scm 84 */
																BgL_objectz00_bglt BgL_auxz00_1393;

																BgL_auxz00_1393 =
																	(BgL_objectz00_bglt) (BgL_obj3046z00_1240);
																BgL_auxz00_1392 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1393);
															}
															BgL_auxz00_1391 =
																(((BgL_isfunz00_bglt) CREF(BgL_auxz00_1392))->
																BgL_originalzd2bodyzd2);
														}
														BgL_bodyz00_723 = (obj_t) (BgL_auxz00_1391);
													}
												}
											else
												{	/* Inline/simple.scm 85 */
													BgL_sfunz00_bglt BgL_obj1658z00_1241;

													BgL_obj1658z00_1241 =
														(BgL_sfunz00_bglt) (BgL_sfunz00_718);
													BgL_bodyz00_723 =
														(((BgL_sfunz00_bglt) CREF(BgL_obj1658z00_1241))->
														BgL_bodyz00);
												}
										}
										{	/* Inline/simple.scm 86 */
											obj_t BgL_newzd2kfactorzd2_725;

											BgL_newzd2kfactorzd2_725 =
												PROCEDURE_ENTRY
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
												BINT(BgL_kfactorz00_2), BEOA);
											{	/* Inline/simple.scm 87 */
												obj_t BgL_locz00_726;

												BgL_locz00_726 =
													(((BgL_nodez00_bglt) CREF(BgL_nodez00_1))->
													BgL_locz00);
												{	/* Inline/simple.scm 88 */
													BgL_typez00_bglt BgL_typez00_727;

													BgL_typez00_727 =
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_717))->
														BgL_typez00);
													{	/* Inline/simple.scm 89 */

														{	/* Inline/simple.scm 91 */
															bool_t BgL_testz00_1405;

															{	/* Inline/simple.scm 91 */
																obj_t BgL_auxz00_1406;

																{	/* Inline/simple.scm 91 */
																	obj_t BgL_auxz00_1407;

																	{	/* Inline/simple.scm 91 */
																		BgL_sfunz00_bglt BgL_obj1661z00_1245;

																		BgL_obj1661z00_1245 =
																			(BgL_sfunz00_bglt) (BgL_sfunz00_718);
																		BgL_auxz00_1407 =
																			(((BgL_sfunz00_bglt)
																				CREF(BgL_obj1661z00_1245))->
																			BgL_classz00);
																	}
																	BgL_auxz00_1406 =
																		BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_1407,
																		CNST_TABLE_REF(((long) 1)));
																}
																BgL_testz00_1405 = CBOOL(BgL_auxz00_1406);
															}
															if (BgL_testz00_1405)
																{	/* Inline/simple.scm 91 */
																	BFALSE;
																}
															else
																{	/* Inline/simple.scm 91 */
																	if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT((
																					(long) 3)),
																			BGl_za2verboseza2z00zzengine_paramz00))
																		{	/* Inline/simple.scm 92 */
																			obj_t BgL_arg3123z00_732;
																			obj_t BgL_arg3125z00_734;

																			BgL_arg3123z00_732 =
																				BGl_shapez00zztools_shapez00(
																				(obj_t) (BgL_calleez00_717));
																			BgL_arg3125z00_734 =
																				BGl_currentzd2functionzd2zztools_errorz00
																				();
																			{	/* Inline/simple.scm 92 */
																				obj_t BgL_list3127z00_736;

																				{	/* Inline/simple.scm 92 */
																					obj_t BgL_arg3128z00_737;

																					{	/* Inline/simple.scm 92 */
																						obj_t BgL_arg3129z00_738;

																						{	/* Inline/simple.scm 92 */
																							obj_t BgL_arg3130z00_739;

																							{	/* Inline/simple.scm 92 */
																								obj_t BgL_arg3131z00_740;

																								{	/* Inline/simple.scm 92 */
																									obj_t BgL_arg3132z00_741;

																									{	/* Inline/simple.scm 92 */
																										obj_t BgL_arg3133z00_742;

																										{	/* Inline/simple.scm 92 */
																											obj_t BgL_arg3134z00_743;

																											BgL_arg3134z00_743 =
																												MAKE_PAIR(BCHAR((
																														(unsigned char)
																														'\n')), BNIL);
																											BgL_arg3133z00_742 =
																												MAKE_PAIR(BCHAR((
																														(unsigned char)
																														')')),
																												BgL_arg3134z00_743);
																										}
																										BgL_arg3132z00_741 =
																											MAKE_PAIR(BgL_msgz00_4,
																											BgL_arg3133z00_742);
																									}
																									BgL_arg3131z00_740 =
																										MAKE_PAIR
																										(BGl_string3243z00zzinline_simplez00,
																										BgL_arg3132z00_741);
																								}
																								BgL_arg3130z00_739 =
																									MAKE_PAIR(BgL_arg3125z00_734,
																									BgL_arg3131z00_740);
																							}
																							BgL_arg3129z00_738 =
																								MAKE_PAIR
																								(BGl_string3244z00zzinline_simplez00,
																								BgL_arg3130z00_739);
																						}
																						BgL_arg3128z00_737 =
																							MAKE_PAIR(BgL_arg3123z00_732,
																							BgL_arg3129z00_738);
																					}
																					BgL_list3127z00_736 =
																						MAKE_PAIR
																						(BGl_string3245z00zzinline_simplez00,
																						BgL_arg3128z00_737);
																				}
																				BGl_verbosez00zztools_speekz00(BINT((
																							(long) 3)), BgL_list3127z00_736);
																		}}
																	else
																		{	/* Inline/simple.scm 92 */
																			BUNSPEC;
																		}
																}
														}
														{	/* Inline/simple.scm 103 */
															BgL_nodez00_bglt BgL_alphazd2bodyzd2_746;

															BgL_alphazd2bodyzd2_746 =
																BGl_alphatiza7eza7zzast_alphatiza7eza7
																(BgL_formalsz00_719, BgL_reductorsz00_721,
																BgL_locz00_726,
																(BgL_nodez00_bglt) (BgL_bodyz00_723));
															BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
																(BgL_alphazd2bodyzd2_746);
															{	/* Inline/simple.scm 107 */
																BgL_letzd2varzd2_bglt BgL_inlinezd2bodyzd2_747;

																{	/* Inline/simple.scm 110 */
																	bool_t BgL_arg3153z00_770;
																	BgL_nodez00_bglt BgL_arg3155z00_772;

																	BgL_arg3153z00_770 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00
																		(BgL_alphazd2bodyzd2_746);
																	{	/* Inline/simple.scm 114 */
																		obj_t BgL_arg3156z00_773;

																		BgL_arg3156z00_773 =
																			MAKE_PAIR(
																			(obj_t) (BgL_calleez00_717),
																			BgL_stackz00_3);
																		BgL_arg3155z00_772 =
																			BGl_inlinezd2nodezd2zzinline_inlinez00
																			(BgL_alphazd2bodyzd2_746,
																			(long) CINT(BgL_newzd2kfactorzd2_725),
																			BgL_arg3156z00_773);
																	}
																	BgL_inlinezd2bodyzd2_747 =
																		BGl_makezd2letzd2varz00zzast_nodez00
																		(BgL_locz00_726, BgL_typez00_727,
																		BBOOL(BgL_arg3153z00_770),
																		BINT(((long) -1)), BgL_bindingsz00_722,
																		BgL_arg3155z00_772, ((bool_t) 1));
																}
																{
																	obj_t BgL_ll3117z00_748;
																	obj_t BgL_ll3118z00_749;

																	BgL_ll3117z00_748 = BgL_reductorsz00_721;
																	BgL_ll3118z00_749 = BgL_formalsz00_719;
																BgL_forzd2each3119zd2_750:
																	if (NULLP(BgL_ll3117z00_748))
																		{	/* Inline/simple.scm 115 */
																			((bool_t) 1);
																		}
																	else
																		{	/* Inline/simple.scm 115 */
																			{	/* Inline/simple.scm 116 */
																				obj_t BgL_reductorz00_752;
																				obj_t BgL_formalz00_753;

																				BgL_reductorz00_752 =
																					CAR(BgL_ll3117z00_748);
																				BgL_formalz00_753 =
																					CAR(BgL_ll3118z00_749);
																				if (BGl_iszd2azf3z21zz__objectz00
																					(BgL_reductorz00_752,
																						BGl_localz00zzast_varz00))
																					{	/* Inline/simple.scm 117 */
																						bool_t BgL_arg3139z00_755;

																						{	/* Inline/simple.scm 117 */
																							BgL_localz00_bglt
																								BgL_obj1550z00_1250;
																							BgL_obj1550z00_1250 =
																								(BgL_localz00_bglt)
																								(BgL_formalz00_753);
																							BgL_arg3139z00_755 =
																								(((BgL_localz00_bglt)
																									CREF(BgL_obj1550z00_1250))->
																								BgL_userzf3zf3);
																						}
																						{	/* Inline/simple.scm 117 */
																							BgL_localz00_bglt
																								BgL_obj1552z00_1251;
																							bool_t BgL_val1551z00_1252;

																							BgL_obj1552z00_1251 =
																								(BgL_localz00_bglt)
																								(BgL_reductorz00_752);
																							BgL_val1551z00_1252 =
																								BgL_arg3139z00_755;
																							((((BgL_localz00_bglt)
																										CREF(BgL_obj1552z00_1251))->
																									BgL_userzf3zf3) =
																								((bool_t) BgL_val1551z00_1252),
																								BUNSPEC);
																						}
																					}
																				else
																					{	/* Inline/simple.scm 116 */
																						BFALSE;
																					}
																			}
																			{
																				obj_t BgL_ll3118z00_1454;
																				obj_t BgL_ll3117z00_1452;

																				BgL_ll3117z00_1452 =
																					CDR(BgL_ll3117z00_748);
																				BgL_ll3118z00_1454 =
																					CDR(BgL_ll3118z00_749);
																				BgL_ll3118z00_749 = BgL_ll3118z00_1454;
																				BgL_ll3117z00_748 = BgL_ll3117z00_1452;
																				goto BgL_forzd2each3119zd2_750;
																			}
																		}
																}
																{	/* Inline/simple.scm 124 */
																	bool_t BgL_testz00_1456;

																	if (
																		((obj_t) (BgL_typez00_727) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Inline/simple.scm 124 */
																			BgL_testz00_1456 = ((bool_t) 1);
																		}
																	else
																		{	/* Inline/simple.scm 124 */
																			if (
																				((obj_t) (BgL_typez00_727) ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* Inline/simple.scm 125 */
																					BgL_testz00_1456 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/simple.scm 126 */
																					obj_t BgL_auxz00_1463;

																					{	/* Inline/simple.scm 126 */
																						BgL_typez00_bglt BgL_auxz00_1465;

																						BgL_auxz00_1465 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_alphazd2bodyzd2_746))->
																							BgL_typez00);
																						BgL_auxz00_1463 =
																							(obj_t) (BgL_auxz00_1465);
																					}
																					BgL_testz00_1456 =
																						(
																						(obj_t) (BgL_typez00_727) ==
																						BgL_auxz00_1463);
																				}
																		}
																	if (BgL_testz00_1456)
																		{	/* Inline/simple.scm 124 */
																			return
																				(BgL_nodez00_bglt)
																				(BgL_inlinezd2bodyzd2_747);
																		}
																	else
																		{	/* Inline/simple.scm 128 */
																			BgL_localz00_bglt BgL_varz00_759;

																			BgL_varz00_759 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BGl_gensymz00zz__r4_symbols_6_4z00
																				(CNST_TABLE_REF(((long) 2))),
																				BgL_typez00_727);
																			{	/* Inline/simple.scm 132 */
																				bool_t BgL_arg3143z00_760;
																				obj_t BgL_arg3145z00_762;
																				BgL_varz00_bglt BgL_arg3146z00_763;

																				BgL_arg3143z00_760 =
																					BGl_sidezd2effectzf3z21zzeffect_effectz00
																					((BgL_nodez00_bglt)
																					(BgL_inlinezd2bodyzd2_747));
																				{	/* Inline/simple.scm 133 */
																					obj_t BgL_arg3147z00_764;

																					BgL_arg3147z00_764 =
																						MAKE_PAIR(
																						(obj_t) (BgL_varz00_759),
																						(obj_t) (BgL_inlinezd2bodyzd2_747));
																					{	/* Inline/simple.scm 133 */
																						obj_t BgL_list3148z00_765;

																						BgL_list3148z00_765 =
																							MAKE_PAIR(BgL_arg3147z00_764,
																							BNIL);
																						BgL_arg3145z00_762 =
																							BgL_list3148z00_765;
																				}}
																				BgL_arg3146z00_763 =
																					BGl_makezd2varzd2zzast_nodez00
																					(BgL_locz00_726, BgL_typez00_727,
																					(BgL_variablez00_bglt)
																					(BgL_varz00_759));
																				{	/* Inline/simple.scm 129 */
																					BgL_letzd2varzd2_bglt BgL_auxz00_1481;

																					BgL_auxz00_1481 =
																						BGl_makezd2letzd2varz00zzast_nodez00
																						(BgL_locz00_726, BgL_typez00_727,
																						BBOOL(BgL_arg3143z00_760),
																						BINT(((long) -1)),
																						BgL_arg3145z00_762,
																						(BgL_nodez00_bglt)
																						(BgL_arg3146z00_763), ((bool_t) 1));
																					return (BgL_nodez00_bglt)
																						(BgL_auxz00_1481);
																				}
																			}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _inline-app-simple3242 */
	obj_t BGl__inlinezd2appzd2simple3242z00zzinline_simplez00(obj_t
		BgL_envz00_1258, obj_t BgL_nodez00_1259, obj_t BgL_kfactorz00_1260,
		obj_t BgL_stackz00_1261, obj_t BgL_msgz00_1262)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 42 */
			{	/* Inline/simple.scm 137 */
				BgL_nodez00_bglt BgL_auxz00_1487;

				BgL_auxz00_1487 =
					BGl_inlinezd2appzd2simplez00zzinline_simplez00(
					(BgL_nodez00_bglt) (BgL_nodez00_1259),
					(long) CINT(BgL_kfactorz00_1260), BgL_stackz00_1261, BgL_msgz00_1262);
				return (obj_t) (BgL_auxz00_1487);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 61601340),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 405067005),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 509694479),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 470955713),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 476444243),
				BSTRING_TO_STRING(BGl_string3246z00zzinline_simplez00));
		}
	}

#ifdef __cplusplus
}
#endif
