/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/loc2glo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
		= BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt);
	extern bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	extern BgL_svarzf2iinfozf2_bglt
		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, bool_t,
		bool_t);
	static obj_t BGl__thezd2globalzd2zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31,
		BgL_bgl__localza7d2za7e3glob3435z00,
		BGl__localzd2ze3globalz31zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31,
		BgL_bgl__theza7d2globalza7d23436z00,
		BGl__thezd2globalzd2zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3430z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string3430za700za7za7i3437za7, "'", 1);
	      DEFINE_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string3431za700za7za7i3438za7, "integrate_local->global", 23);
	      DEFINE_STRING(BGl_string3432z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string3432za700za7za7i3439za7, "now a-integrated-body sfun ", 27);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long
		BgL_checksumz00_1448, char *BgL_fromz00_1449)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
					BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_local->global");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			{	/* Integrate/loc2glo.scm 15 */
				obj_t BgL_cportz00_1440;

				BgL_cportz00_1440 =
					bgl_open_input_string
					(BGl_string3432z00zzintegrate_localzd2ze3globalz31,
					(int) (((long) 0)));
				{
					long BgL_iz00_1441;

					BgL_iz00_1441 = ((long) 2);
				BgL_loopz00_1442:
					if ((BgL_iz00_1441 == ((long) -1)))
						{	/* Integrate/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/loc2glo.scm 15 */
							{	/* Integrate/loc2glo.scm 15 */
								obj_t BgL_arg3434z00_1444;

								{	/* Integrate/loc2glo.scm 15 */

									{	/* Integrate/loc2glo.scm 15 */
										obj_t BgL_locationz00_1446;

										BgL_locationz00_1446 = BBOOL(((bool_t) 0));
										{	/* Integrate/loc2glo.scm 15 */

											BgL_arg3434z00_1444 =
												BGl_readz00zz__readerz00(BgL_cportz00_1440,
												BgL_locationz00_1446);
										}
									}
								}
								{	/* Integrate/loc2glo.scm 15 */
									int BgL_auxz00_1467;

									BgL_auxz00_1467 = (int) (BgL_iz00_1441);
									CNST_TABLE_SET(BgL_auxz00_1467, BgL_arg3434z00_1444);
							}}
							{	/* Integrate/loc2glo.scm 15 */
								int BgL_auxz00_1447;

								BgL_auxz00_1447 = (int) ((BgL_iz00_1441 - ((long) 1)));
								{
									long BgL_iz00_1472;

									BgL_iz00_1472 = (long) (BgL_auxz00_1447);
									BgL_iz00_1441 = BgL_iz00_1472;
									goto BgL_loopz00_1442;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return (BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 =
				string_to_symbol(BSTRING_TO_STRING
					(BGl_string3430z00zzintegrate_localzd2ze3globalz31)), BUNSPEC);
		}
	}



/* local->global */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_1)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 35 */
			{	/* Integrate/loc2glo.scm 38 */
				obj_t BgL_globalz00_828;

				BgL_globalz00_828 =
					BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_1);
				{	/* Integrate/loc2glo.scm 38 */
					obj_t BgL_kapturedz00_829;

					{	/* Integrate/loc2glo.scm 39 */
						BgL_sfunzf2iinfozf2_bglt BgL_obj3232z00_1343;

						{	/* Integrate/loc2glo.scm 39 */
							BgL_variablez00_bglt BgL_obj1407z00_1342;

							BgL_obj1407z00_1342 = (BgL_variablez00_bglt) (BgL_localz00_1);
							{	/* Integrate/loc2glo.scm 39 */
								BgL_valuez00_bglt BgL_auxz00_1478;

								BgL_auxz00_1478 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1342))->
									BgL_valuez00);
								BgL_obj3232z00_1343 =
									(BgL_sfunzf2iinfozf2_bglt) (BgL_auxz00_1478);
							}
						}
						{
							obj_t BgL_auxz00_1481;

							{	/* Integrate/loc2glo.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_1482;

								BgL_auxz00_1482 = (BgL_objectz00_bglt) (BgL_obj3232z00_1343);
								BgL_auxz00_1481 = BGL_OBJECT_WIDENING(BgL_auxz00_1482);
							}
							BgL_kapturedz00_829 =
								(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1481))->
								BgL_kapturedz00);
						}
					}
					{	/* Integrate/loc2glo.scm 39 */
						obj_t BgL_addzd2argszd2_830;

						if (NULLP(BgL_kapturedz00_829))
							{	/* Integrate/loc2glo.scm 40 */
								BgL_addzd2argszd2_830 = BNIL;
							}
						else
							{	/* Integrate/loc2glo.scm 40 */
								obj_t BgL_head3294z00_891;

								BgL_head3294z00_891 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3292z00_892;
									obj_t BgL_tail3295z00_893;

									BgL_l3292z00_892 = BgL_kapturedz00_829;
									BgL_tail3295z00_893 = BgL_head3294z00_891;
								BgL_map3293z00_894:
									if (NULLP(BgL_l3292z00_892))
										{	/* Integrate/loc2glo.scm 40 */
											BgL_addzd2argszd2_830 = CDR(BgL_head3294z00_891);
										}
									else
										{	/* Integrate/loc2glo.scm 40 */
											obj_t BgL_newtail3296z00_896;

											{	/* Integrate/loc2glo.scm 40 */
												BgL_localz00_bglt BgL_arg3353z00_898;

												{	/* Integrate/loc2glo.scm 40 */
													obj_t BgL_oldz00_900;

													BgL_oldz00_900 = CAR(BgL_l3292z00_892);
													{	/* Integrate/loc2glo.scm 42 */
														BgL_svarzf2iinfozf2_bglt BgL_arg3355z00_901;

														{	/* Integrate/loc2glo.scm 42 */
															BgL_svarzf2iinfozf2_bglt
																BgL_duplicated3287z00_902;
															{	/* Integrate/loc2glo.scm 43 */
																BgL_variablez00_bglt BgL_obj1407z00_1350;

																BgL_obj1407z00_1350 =
																	(BgL_variablez00_bglt) (BgL_oldz00_900);
																{	/* Integrate/loc2glo.scm 43 */
																	BgL_valuez00_bglt BgL_auxz00_1494;

																	BgL_auxz00_1494 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1407z00_1350))->BgL_valuez00);
																	BgL_duplicated3287z00_902 =
																		(BgL_svarzf2iinfozf2_bglt)
																		(BgL_auxz00_1494);
																}
															}
															{	/* Integrate/loc2glo.scm 42 */
																BgL_svarzf2iinfozf2_bglt BgL_new3288z00_903;

																{	/* Integrate/loc2glo.scm 42 */
																	obj_t BgL_arg3356z00_904;
																	obj_t BgL_arg3357z00_905;
																	obj_t BgL_arg3358z00_906;
																	bool_t BgL_arg3359z00_907;
																	bool_t BgL_arg3360z00_908;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_svarz00_bglt BgL_obj1816z00_1351;

																		BgL_obj1816z00_1351 =
																			(BgL_svarz00_bglt)
																			(BgL_duplicated3287z00_902);
																		BgL_arg3356z00_904 =
																			(((BgL_svarz00_bglt)
																				CREF(BgL_obj1816z00_1351))->BgL_locz00);
																	}
																	{
																		obj_t BgL_auxz00_1499;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_auxz00_1500;

																			BgL_auxz00_1500 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3287z00_902);
																			BgL_auxz00_1499 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1500);
																		}
																		BgL_arg3357z00_905 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1499))->
																			BgL_fzd2markzd2);
																	}
																	{
																		obj_t BgL_auxz00_1504;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_auxz00_1505;

																			BgL_auxz00_1505 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3287z00_902);
																			BgL_auxz00_1504 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1505);
																		}
																		BgL_arg3358z00_906 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1504))->
																			BgL_uzd2markzd2);
																	}
																	{
																		obj_t BgL_auxz00_1509;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_auxz00_1510;

																			BgL_auxz00_1510 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3287z00_902);
																			BgL_auxz00_1509 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1510);
																		}
																		BgL_arg3359z00_907 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1509))->
																			BgL_kapturedzf3zf3);
																	}
																	{
																		obj_t BgL_auxz00_1514;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_auxz00_1515;

																			BgL_auxz00_1515 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3287z00_902);
																			BgL_auxz00_1514 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1515);
																		}
																		BgL_arg3360z00_908 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1514))->
																			BgL_celledzf3zf3);
																	}
																	BgL_new3288z00_903 =
																		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00
																		(BgL_arg3356z00_904, BgL_arg3357z00_905,
																		BgL_arg3358z00_906, BgL_arg3359z00_907,
																		BgL_arg3360z00_908);
																}
																{	/* Integrate/loc2glo.scm 42 */

																	BgL_arg3355z00_901 = BgL_new3288z00_903;
																}
															}
														}
														BgL_arg3353z00_898 =
															BGl_clonezd2localzd2zzast_localz00(
															(BgL_localz00_bglt) (BgL_oldz00_900),
															(BgL_valuez00_bglt) (BgL_arg3355z00_901));
													}
												}
												{	/* Integrate/loc2glo.scm 40 */
													obj_t BgL_obj1z00_1356;

													BgL_obj1z00_1356 = (obj_t) (BgL_arg3353z00_898);
													BgL_newtail3296z00_896 =
														MAKE_PAIR(BgL_obj1z00_1356, BNIL);
												}
											}
											SET_CDR(BgL_tail3295z00_893, BgL_newtail3296z00_896);
											{
												obj_t BgL_tail3295z00_1528;
												obj_t BgL_l3292z00_1526;

												BgL_l3292z00_1526 = CDR(BgL_l3292z00_892);
												BgL_tail3295z00_1528 = BgL_newtail3296z00_896;
												BgL_tail3295z00_893 = BgL_tail3295z00_1528;
												BgL_l3292z00_892 = BgL_l3292z00_1526;
												goto BgL_map3293z00_894;
											}
										}
								}
							}
						{	/* Integrate/loc2glo.scm 40 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_831;

							{	/* Integrate/loc2glo.scm 45 */
								BgL_variablez00_bglt BgL_obj1407z00_1361;

								BgL_obj1407z00_1361 = (BgL_variablez00_bglt) (BgL_localz00_1);
								BgL_oldzd2funzd2_831 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1361))->
									BgL_valuez00);
							}
							{	/* Integrate/loc2glo.scm 45 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_832;

								{	/* Integrate/loc2glo.scm 46 */
									BgL_sfunz00_bglt BgL_duplicated3289z00_866;

									BgL_duplicated3289z00_866 =
										(BgL_sfunz00_bglt) (BgL_oldzd2funzd2_831);
									{	/* Integrate/loc2glo.scm 47 */
										BgL_sfunz00_bglt BgL_new3290z00_867;

										{	/* Integrate/loc2glo.scm 47 */
											obj_t BgL_arg3327z00_868;
											obj_t BgL_arg3328z00_869;
											obj_t BgL_arg3329z00_870;
											obj_t BgL_arg3331z00_871;
											bool_t BgL_arg3332z00_872;
											obj_t BgL_arg3333z00_873;
											obj_t BgL_arg3334z00_874;
											obj_t BgL_arg3335z00_875;
											obj_t BgL_arg3336z00_876;
											obj_t BgL_arg3337z00_877;
											obj_t BgL_arg3338z00_878;
											obj_t BgL_arg3339z00_879;
											obj_t BgL_arg3340z00_880;
											obj_t BgL_arg3341z00_881;
											obj_t BgL_arg3343z00_882;
											obj_t BgL_arg3344z00_883;
											obj_t BgL_arg3345z00_884;

											{	/* Integrate/loc2glo.scm 47 */
												long BgL_arg3346z00_885;
												long BgL_arg3347z00_886;

												{	/* Integrate/loc2glo.scm 47 */
													BgL_funz00_bglt BgL_obj1610z00_1362;

													BgL_obj1610z00_1362 =
														(BgL_funz00_bglt) (BgL_oldzd2funzd2_831);
													BgL_arg3346z00_885 =
														(((BgL_funz00_bglt) CREF(BgL_obj1610z00_1362))->
														BgL_arityz00);
												}
												BgL_arg3347z00_886 =
													bgl_list_length(BgL_addzd2argszd2_830);
												BgL_arg3327z00_868 =
													BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg3346z00_885), BINT(BgL_arg3347z00_886));
											}
											{	/* Integrate/loc2glo.scm 46 */
												BgL_funz00_bglt BgL_obj1611z00_1363;

												BgL_obj1611z00_1363 =
													(BgL_funz00_bglt) (BgL_duplicated3289z00_866);
												BgL_arg3328z00_869 =
													(((BgL_funz00_bglt) CREF(BgL_obj1611z00_1363))->
													BgL_sidezd2effectzf3z21);
											}
											{	/* Integrate/loc2glo.scm 46 */
												BgL_funz00_bglt BgL_obj1614z00_1364;

												BgL_obj1614z00_1364 =
													(BgL_funz00_bglt) (BgL_duplicated3289z00_866);
												BgL_arg3329z00_870 =
													(((BgL_funz00_bglt) CREF(BgL_obj1614z00_1364))->
													BgL_predicatezd2ofzd2);
											}
											{	/* Integrate/loc2glo.scm 46 */
												BgL_funz00_bglt BgL_obj1617z00_1365;

												BgL_obj1617z00_1365 =
													(BgL_funz00_bglt) (BgL_duplicated3289z00_866);
												BgL_arg3331z00_871 =
													(((BgL_funz00_bglt) CREF(BgL_obj1617z00_1365))->
													BgL_stackzd2allocatorzd2);
											}
											{	/* Integrate/loc2glo.scm 46 */
												BgL_funz00_bglt BgL_obj1620z00_1366;

												BgL_obj1620z00_1366 =
													(BgL_funz00_bglt) (BgL_duplicated3289z00_866);
												BgL_arg3332z00_872 =
													(((BgL_funz00_bglt) CREF(BgL_obj1620z00_1366))->
													BgL_topzf3zf3);
											}
											{	/* Integrate/loc2glo.scm 46 */
												BgL_funz00_bglt BgL_obj1623z00_1367;

												BgL_obj1623z00_1367 =
													(BgL_funz00_bglt) (BgL_duplicated3289z00_866);
												BgL_arg3333z00_873 =
													(((BgL_funz00_bglt) CREF(BgL_obj1623z00_1367))->
													BgL_thezd2closurezd2);
											}
											{	/* Integrate/loc2glo.scm 46 */
												BgL_funz00_bglt BgL_obj1626z00_1368;

												BgL_obj1626z00_1368 =
													(BgL_funz00_bglt) (BgL_duplicated3289z00_866);
												BgL_arg3334z00_874 =
													(((BgL_funz00_bglt) CREF(BgL_obj1626z00_1368))->
													BgL_effectz00);
											}
											BgL_arg3335z00_875 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_propertyz00);
											BgL_arg3336z00_876 =
												bgl_append2(bgl_reverse(BgL_addzd2argszd2_830),
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
													BgL_argsz00));
											BgL_arg3337z00_877 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_argszd2namezd2);
											BgL_arg3338z00_878 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_bodyz00);
											BgL_arg3339z00_879 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_classz00);
											BgL_arg3340z00_880 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_dssslzd2keywordszd2);
											BgL_arg3341z00_881 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_locz00);
											BgL_arg3343z00_882 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_optionalsz00);
											BgL_arg3344z00_883 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_keysz00);
											BgL_arg3345z00_884 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3289z00_866))->
												BgL_thezd2closurezd2globalz00);
											BgL_new3290z00_867 =
												BGl_makezd2sfunzd2zzast_varz00((long)
												CINT(BgL_arg3327z00_868), BgL_arg3328z00_869,
												BgL_arg3329z00_870, BgL_arg3331z00_871,
												BgL_arg3332z00_872, BgL_arg3333z00_873,
												BgL_arg3334z00_874, BgL_arg3335z00_875,
												BgL_arg3336z00_876, BgL_arg3337z00_877,
												BgL_arg3338z00_878, BgL_arg3339z00_879,
												BgL_arg3340z00_880, BgL_arg3341z00_881,
												BgL_arg3343z00_882, BgL_arg3344z00_883,
												BgL_arg3345z00_884);
										}
										{	/* Integrate/loc2glo.scm 46 */

											BgL_newzd2funzd2_832 = BgL_new3290z00_867;
								}}}
								{	/* Integrate/loc2glo.scm 46 */

									{	/* Integrate/loc2glo.scm 51 */
										BgL_typez00_bglt BgL_arg3308z00_833;

										{	/* Integrate/loc2glo.scm 51 */
											BgL_variablez00_bglt BgL_obj1404z00_1379;

											BgL_obj1404z00_1379 =
												(BgL_variablez00_bglt) (BgL_localz00_1);
											BgL_arg3308z00_833 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1404z00_1379))->
												BgL_typez00);
										}
										{	/* Integrate/loc2glo.scm 51 */
											BgL_variablez00_bglt BgL_obj1406z00_1380;
											BgL_typez00_bglt BgL_val1405z00_1381;

											BgL_obj1406z00_1380 =
												(BgL_variablez00_bglt) (BgL_globalz00_828);
											BgL_val1405z00_1381 = BgL_arg3308z00_833;
											((((BgL_variablez00_bglt) CREF(BgL_obj1406z00_1380))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1405z00_1381), BUNSPEC);
									}}
									{	/* Integrate/loc2glo.scm 52 */
										obj_t BgL_g3299z00_834;

										BgL_g3299z00_834 =
											(((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_832))->
											BgL_argsz00);
										{
											obj_t BgL_l3297z00_835;

											BgL_l3297z00_835 = BgL_g3299z00_834;
										BgL_forzd2each3298zd2_836:
											if (PAIRP(BgL_l3297z00_835))
												{	/* Integrate/loc2glo.scm 52 */
													{	/* Integrate/loc2glo.scm 53 */
														obj_t BgL_lz00_838;

														BgL_lz00_838 = CAR(BgL_l3297z00_835);
														if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																(BgL_localz00_bglt) (BgL_lz00_838)))
															{	/* Integrate/loc2glo.scm 54 */
																BgL_variablez00_bglt BgL_obj1406z00_1385;
																BgL_typez00_bglt BgL_val1405z00_1386;

																BgL_obj1406z00_1385 =
																	(BgL_variablez00_bglt) (BgL_lz00_838);
																BgL_val1405z00_1386 =
																	(BgL_typez00_bglt)
																	(BGl_za2objza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			CREF(BgL_obj1406z00_1385))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_val1405z00_1386),
																	BUNSPEC);
															}
														else
															{	/* Integrate/loc2glo.scm 53 */
																BFALSE;
															}
													}
													{
														obj_t BgL_l3297z00_1578;

														BgL_l3297z00_1578 = CDR(BgL_l3297z00_835);
														BgL_l3297z00_835 = BgL_l3297z00_1578;
														goto BgL_forzd2each3298zd2_836;
													}
												}
											else
												{	/* Integrate/loc2glo.scm 52 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/loc2glo.scm 57 */
										obj_t BgL_arg3312z00_841;

										{	/* Integrate/loc2glo.scm 57 */
											obj_t BgL_arg3313z00_842;
											obj_t BgL_arg3314z00_843;

											{	/* Integrate/loc2glo.scm 57 */
												BgL_sfunz00_bglt BgL_obj1680z00_1388;

												BgL_obj1680z00_1388 =
													(BgL_sfunz00_bglt) (BgL_oldzd2funzd2_831);
												BgL_arg3313z00_842 =
													(((BgL_sfunz00_bglt) CREF(BgL_obj1680z00_1388))->
													BgL_bodyz00);
											}
											if (NULLP(BgL_kapturedz00_829))
												{	/* Integrate/loc2glo.scm 59 */
													BgL_arg3314z00_843 = BNIL;
												}
											else
												{	/* Integrate/loc2glo.scm 59 */
													obj_t BgL_head3302z00_847;

													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_arg3323z00_862;

														BgL_arg3323z00_862 =
															MAKE_PAIR(CAR(BgL_kapturedz00_829),
															CAR(BgL_addzd2argszd2_830));
														BgL_head3302z00_847 =
															MAKE_PAIR(BgL_arg3323z00_862, BNIL);
													}
													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_g3306z00_848;
														obj_t BgL_g3307z00_849;

														BgL_g3306z00_848 = CDR(BgL_kapturedz00_829);
														BgL_g3307z00_849 = CDR(BgL_addzd2argszd2_830);
														{
															obj_t BgL_ll3300z00_850;
															obj_t BgL_ll3301z00_851;
															obj_t BgL_tail3303z00_852;

															BgL_ll3300z00_850 = BgL_g3306z00_848;
															BgL_ll3301z00_851 = BgL_g3307z00_849;
															BgL_tail3303z00_852 = BgL_head3302z00_847;
														BgL_map3305z00_853:
															if (NULLP(BgL_ll3300z00_850))
																{	/* Integrate/loc2glo.scm 59 */
																	BgL_arg3314z00_843 = BgL_head3302z00_847;
																}
															else
																{	/* Integrate/loc2glo.scm 59 */
																	obj_t BgL_newtail3304z00_855;

																	{	/* Integrate/loc2glo.scm 59 */
																		obj_t BgL_arg3319z00_858;

																		BgL_arg3319z00_858 =
																			MAKE_PAIR(CAR(BgL_ll3300z00_850),
																			CAR(BgL_ll3301z00_851));
																		BgL_newtail3304z00_855 =
																			MAKE_PAIR(BgL_arg3319z00_858, BNIL);
																	}
																	SET_CDR(BgL_tail3303z00_852,
																		BgL_newtail3304z00_855);
																	{
																		obj_t BgL_tail3303z00_1601;
																		obj_t BgL_ll3301z00_1599;
																		obj_t BgL_ll3300z00_1597;

																		BgL_ll3300z00_1597 = CDR(BgL_ll3300z00_850);
																		BgL_ll3301z00_1599 = CDR(BgL_ll3301z00_851);
																		BgL_tail3303z00_1601 =
																			BgL_newtail3304z00_855;
																		BgL_tail3303z00_852 = BgL_tail3303z00_1601;
																		BgL_ll3301z00_851 = BgL_ll3301z00_1599;
																		BgL_ll3300z00_850 = BgL_ll3300z00_1597;
																		goto BgL_map3305z00_853;
																	}
																}
														}
													}
												}
											BgL_arg3312z00_841 =
												BGl_globaliza7ez12zb5zzintegrate_nodez00(
												(BgL_nodez00_bglt) (BgL_arg3313z00_842),
												(BgL_variablez00_bglt) (BgL_localz00_1),
												BgL_arg3314z00_843);
										}
										((((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_832))->
												BgL_bodyz00) = ((obj_t) BgL_arg3312z00_841), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 60 */
										BgL_variablez00_bglt BgL_obj1409z00_1411;
										BgL_valuez00_bglt BgL_val1408z00_1412;

										BgL_obj1409z00_1411 =
											(BgL_variablez00_bglt) (BgL_globalz00_828);
										BgL_val1408z00_1412 =
											(BgL_valuez00_bglt) (BgL_newzd2funzd2_832);
										((((BgL_variablez00_bglt) CREF(BgL_obj1409z00_1411))->
												BgL_valuez00) =
											((BgL_valuez00_bglt) BgL_val1408z00_1412), BUNSPEC);
									}
									return BgL_globalz00_828;
								}
							}
						}
					}
				}
			}
		}
	}



/* _local->global */
	obj_t BGl__localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_1436, obj_t BgL_localz00_1437)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 35 */
			return
				BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
				(BgL_localz00_bglt) (BgL_localz00_1437));
		}
	}



/* local-id->global-id */
	obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt BgL_localz00_2)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 73 */
			{	/* Integrate/loc2glo.scm 75 */
				obj_t BgL_g3291z00_911;

				{	/* Integrate/loc2glo.scm 75 */
					BgL_variablez00_bglt BgL_obj1399z00_1414;

					BgL_obj1399z00_1414 = (BgL_variablez00_bglt) (BgL_localz00_2);
					BgL_g3291z00_911 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1399z00_1414))->BgL_idz00);
				}
				{
					obj_t BgL_idz00_912;

					BgL_idz00_912 = BgL_g3291z00_911;
				BgL_loopz00_913:
					{	/* Integrate/loc2glo.scm 76 */
						bool_t BgL_testz00_1613;

						{	/* Integrate/loc2glo.scm 76 */
							obj_t BgL_arg3369z00_921;

							BgL_arg3369z00_921 =
								BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_912,
								BGl_za2moduleza2z00zzmodule_modulez00);
							BgL_testz00_1613 =
								BGl_iszd2azf3z21zz__objectz00(BgL_arg3369z00_921,
								BGl_globalz00zzast_varz00);
						}
						if (BgL_testz00_1613)
							{	/* Integrate/loc2glo.scm 77 */
								obj_t BgL_arg3363z00_915;

								{	/* Integrate/loc2glo.scm 77 */
									obj_t BgL_arg3364z00_916;

									{	/* Integrate/loc2glo.scm 77 */
										obj_t BgL_arg3365z00_917;
										obj_t BgL_arg3366z00_918;

										BgL_arg3365z00_917 = SYMBOL_TO_STRING(BgL_idz00_912);
										BgL_arg3366z00_918 =
											SYMBOL_TO_STRING
											(BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31);
										{	/* Integrate/loc2glo.scm 77 */
											obj_t BgL_list3367z00_919;

											{	/* Integrate/loc2glo.scm 77 */
												obj_t BgL_arg3368z00_920;

												BgL_arg3368z00_920 =
													MAKE_PAIR(BgL_arg3366z00_918, BNIL);
												BgL_list3367z00_919 =
													MAKE_PAIR(BgL_arg3365z00_917, BgL_arg3368z00_920);
											}
											BgL_arg3364z00_916 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list3367z00_919);
										}
									}
									BgL_arg3363z00_915 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg3364z00_916));
								}
								{
									obj_t BgL_idz00_1623;

									BgL_idz00_1623 = BgL_arg3363z00_915;
									BgL_idz00_912 = BgL_idz00_1623;
									goto BgL_loopz00_913;
								}
							}
						else
							{	/* Integrate/loc2glo.scm 76 */
								return BgL_idz00_912;
							}
					}
				}
			}
		}
	}



/* the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 83 */
			{	/* Integrate/loc2glo.scm 84 */
				BgL_valuez00_bglt BgL_valuez00_922;

				{	/* Integrate/loc2glo.scm 84 */
					BgL_variablez00_bglt BgL_obj1407z00_1419;

					BgL_obj1407z00_1419 = (BgL_variablez00_bglt) (BgL_localz00_3);
					BgL_valuez00_922 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1419))->BgL_valuez00);
				}
				{	/* Integrate/loc2glo.scm 85 */
					bool_t BgL_testz00_1626;

					{	/* Integrate/loc2glo.scm 85 */
						obj_t BgL_arg3377z00_931;

						{	/* Integrate/loc2glo.scm 85 */
							BgL_sfunzf2iinfozf2_bglt BgL_obj3229z00_1420;

							BgL_obj3229z00_1420 =
								(BgL_sfunzf2iinfozf2_bglt) (BgL_valuez00_922);
							{
								obj_t BgL_auxz00_1628;

								{	/* Integrate/loc2glo.scm 85 */
									BgL_objectz00_bglt BgL_auxz00_1629;

									BgL_auxz00_1629 = (BgL_objectz00_bglt) (BgL_obj3229z00_1420);
									BgL_auxz00_1628 = BGL_OBJECT_WIDENING(BgL_auxz00_1629);
								}
								BgL_arg3377z00_931 =
									(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1628))->
									BgL_globalz00);
							}
						}
						BgL_testz00_1626 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3377z00_931,
							BGl_globalz00zzast_varz00);
					}
					if (BgL_testz00_1626)
						{	/* Integrate/loc2glo.scm 86 */
							BgL_sfunzf2iinfozf2_bglt BgL_obj3229z00_1422;

							BgL_obj3229z00_1422 =
								(BgL_sfunzf2iinfozf2_bglt) (BgL_valuez00_922);
							{
								obj_t BgL_auxz00_1635;

								{	/* Integrate/loc2glo.scm 86 */
									BgL_objectz00_bglt BgL_auxz00_1636;

									BgL_auxz00_1636 = (BgL_objectz00_bglt) (BgL_obj3229z00_1422);
									BgL_auxz00_1635 = BGL_OBJECT_WIDENING(BgL_auxz00_1636);
								}
								return
									(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1635))->
									BgL_globalz00);
							}
						}
					else
						{	/* Integrate/loc2glo.scm 87 */
							obj_t BgL_idz00_924;

							BgL_idz00_924 =
								BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
								(BgL_localz00_3);
							{	/* Integrate/loc2glo.scm 87 */
								BgL_globalz00_bglt BgL_globalz00_925;

								BgL_globalz00_925 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_idz00_924, BNIL, BNIL,
									BGl_za2moduleza2z00zzmodule_modulez00,
									CNST_TABLE_REF(((long) 0)), CNST_TABLE_REF(((long) 1)),
									CNST_TABLE_REF(((long) 2)), BUNSPEC);
								{	/* Integrate/loc2glo.scm 88 */

									{	/* Integrate/loc2glo.scm 101 */
										BgL_valuez00_bglt BgL_arg3371z00_926;
										obj_t BgL_arg3373z00_927;

										{	/* Integrate/loc2glo.scm 101 */
											BgL_variablez00_bglt BgL_obj1407z00_1423;

											BgL_obj1407z00_1423 =
												(BgL_variablez00_bglt) (BgL_globalz00_925);
											BgL_arg3371z00_926 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1423))->
												BgL_valuez00);
										}
										{	/* Integrate/loc2glo.scm 101 */
											BgL_sfunz00_bglt BgL_obj1689z00_1424;

											BgL_obj1689z00_1424 =
												(BgL_sfunz00_bglt) (BgL_valuez00_922);
											BgL_arg3373z00_927 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1689z00_1424))->
												BgL_locz00);
										}
										{	/* Integrate/loc2glo.scm 101 */
											BgL_sfunz00_bglt BgL_obj1691z00_1425;
											obj_t BgL_val1690z00_1426;

											BgL_obj1691z00_1425 =
												(BgL_sfunz00_bglt) (BgL_arg3371z00_926);
											BgL_val1690z00_1426 = BgL_arg3373z00_927;
											((((BgL_sfunz00_bglt) CREF(BgL_obj1691z00_1425))->
													BgL_locz00) = ((obj_t) BgL_val1690z00_1426), BUNSPEC);
									}}
									if (
										(((BgL_localz00_bglt) CREF(BgL_localz00_3))->
											BgL_userzf3zf3))
										{	/* Integrate/loc2glo.scm 103 */
											BFALSE;
										}
									else
										{	/* Integrate/loc2glo.scm 103 */
											((((BgL_globalz00_bglt) CREF(BgL_globalz00_925))->
													BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
									{	/* Integrate/loc2glo.scm 105 */
										BgL_sfunzf2iinfozf2_bglt BgL_obj3231z00_1430;
										obj_t BgL_val3230z00_1431;

										BgL_obj3231z00_1430 =
											(BgL_sfunzf2iinfozf2_bglt) (BgL_valuez00_922);
										BgL_val3230z00_1431 = (obj_t) (BgL_globalz00_925);
										{
											obj_t BgL_auxz00_1656;

											{	/* Integrate/loc2glo.scm 105 */
												BgL_objectz00_bglt BgL_auxz00_1657;

												BgL_auxz00_1657 =
													(BgL_objectz00_bglt) (BgL_obj3231z00_1430);
												BgL_auxz00_1656 = BGL_OBJECT_WIDENING(BgL_auxz00_1657);
											}
											((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1656))->
													BgL_globalz00) =
												((obj_t) BgL_val3230z00_1431), BUNSPEC);
										}
									}
									{	/* Integrate/loc2glo.scm 106 */
										BgL_valuez00_bglt BgL_arg3375z00_929;
										obj_t BgL_arg3376z00_930;

										{	/* Integrate/loc2glo.scm 106 */
											BgL_variablez00_bglt BgL_obj1407z00_1432;

											BgL_obj1407z00_1432 =
												(BgL_variablez00_bglt) (BgL_globalz00_925);
											BgL_arg3375z00_929 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_1432))->
												BgL_valuez00);
										}
										{	/* Integrate/loc2glo.scm 107 */
											BgL_funz00_bglt BgL_obj1611z00_1433;

											BgL_obj1611z00_1433 =
												(BgL_funz00_bglt) (BgL_valuez00_922);
											BgL_arg3376z00_930 =
												(((BgL_funz00_bglt) CREF(BgL_obj1611z00_1433))->
												BgL_sidezd2effectzf3z21);
										}
										{	/* Integrate/loc2glo.scm 106 */
											BgL_funz00_bglt BgL_obj1613z00_1434;
											obj_t BgL_val1612z00_1435;

											BgL_obj1613z00_1434 =
												(BgL_funz00_bglt) (BgL_arg3375z00_929);
											BgL_val1612z00_1435 = BgL_arg3376z00_930;
											((((BgL_funz00_bglt) CREF(BgL_obj1613z00_1434))->
													BgL_sidezd2effectzf3z21) =
												((obj_t) BgL_val1612z00_1435), BUNSPEC);
										}
									}
									return (obj_t) (BgL_globalz00_925);
								}
							}
						}
				}
			}
		}
	}



/* _the-global */
	obj_t BGl__thezd2globalzd2zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_1438, obj_t BgL_localz00_1439)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 83 */
			return
				BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
				(BgL_localz00_bglt) (BgL_localz00_1439));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 189731515),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 421929044),
				BSTRING_TO_STRING(BGl_string3431z00zzintegrate_localzd2ze3globalz31));
		}
	}

#ifdef __cplusplus
}
#endif
