/*===========================================================================*/
/*   (Jas/wide.scm)                                                          */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Jas/wide.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_codez00;
		obj_t BgL_vectz00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_basicz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_codez00;
		obj_t BgL_vectz00;
	}               *BgL_basicz00_bglt;

	typedef struct BgL_vectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_codez00;
		obj_t BgL_vectz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_vectz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_codez00;
		obj_t BgL_vectz00;
		struct BgL_typez00_bgl *BgL_tretz00;
		obj_t BgL_targsz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_classez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_codez00;
		obj_t BgL_vectz00;
		obj_t BgL_flagsz00;
		obj_t BgL_namez00;
		obj_t BgL_poolz00;
	}                *BgL_classez00_bglt;

	typedef struct BgL_fieldzd2orzd2methodz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_flagsz00;
		obj_t BgL_namez00;
		obj_t BgL_ownerz00;
		obj_t BgL_usertypez00;
		obj_t BgL_typez00;
		obj_t BgL_pnamez00;
		obj_t BgL_descriptorz00;
		obj_t BgL_poolz00;
		obj_t BgL_attributesz00;
	}                             *BgL_fieldzd2orzd2methodz00_bglt;

	typedef struct BgL_fieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_flagsz00;
		obj_t BgL_namez00;
		obj_t BgL_ownerz00;
		obj_t BgL_usertypez00;
		obj_t BgL_typez00;
		obj_t BgL_pnamez00;
		obj_t BgL_descriptorz00;
		obj_t BgL_poolz00;
		obj_t BgL_attributesz00;
	}               *BgL_fieldz00_bglt;

	typedef struct BgL_methodz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_flagsz00;
		obj_t BgL_namez00;
		obj_t BgL_ownerz00;
		obj_t BgL_usertypez00;
		obj_t BgL_typez00;
		obj_t BgL_pnamez00;
		obj_t BgL_descriptorz00;
		obj_t BgL_poolz00;
		obj_t BgL_attributesz00;
	}                *BgL_methodz00_bglt;

	typedef struct BgL_attributez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_typez00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_infoz00;
	}                   *BgL_attributez00_bglt;

	typedef struct BgL_classfilez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_globalsz00;
		obj_t BgL_poolz00;
		obj_t BgL_poolzd2siza7ez75;
		obj_t BgL_pooledzd2nameszd2;
		obj_t BgL_flagsz00;
		obj_t BgL_mez00;
		obj_t BgL_superz00;
		obj_t BgL_interfacesz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_attributesz00;
	}                   *BgL_classfilez00_bglt;


	static obj_t BGl_widez00zzjas_widez00(obj_t, obj_t, obj_t);
	extern int BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	extern int
		BGl_poolzd2interfacezd2methodz00zzjas_classfilez00(BgL_classfilez00_bglt,
		BgL_methodz00_bglt);
	extern obj_t BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_u2z00zzjas_libz00(int);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzjas_widez00 = BUNSPEC;
	extern int
		BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(BgL_classfilez00_bglt,
		BgL_typez00_bglt);
	extern int BGl_poolzd2floatzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		float);
	extern int BGl_poolzd2stringzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		obj_t);
	extern int BGl_poolzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		BgL_fieldz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzjas_widez00();
	extern int BGl_poolzd2methodzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		BgL_methodz00_bglt);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzjas_widez00();
	BGL_EXPORTED_DEF obj_t BGl_resolvezd2widezd2zzjas_widez00 = BUNSPEC;
	extern int BGl_typezd2siza7ez75zzjas_classfilez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_absz00zz__r4_numbers_6_5z00(obj_t);
	extern int BGl_poolzd2llongzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		BGL_LONGLONG_T);
	extern int BGl_poolzd2doublezd2zzjas_classfilez00(BgL_classfilez00_bglt,
		double);
	extern int BGl_poolzd2longzd2zzjas_classfilez00(BgL_classfilez00_bglt, long);
	extern int BGl_poolzd2intzd2zzjas_classfilez00(BgL_classfilez00_bglt, int);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern int BGl_poolzd2elongzd2zzjas_classfilez00(BgL_classfilez00_bglt, long);
	static obj_t BGl_zc3anonymousza31701ze3z83zzjas_widez00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzjas_widez00();
	static obj_t BGl_methodzd2initzd2zzjas_widez00();
	extern int BGl_poolzd2classzd2zzjas_classfilez00(BgL_classfilez00_bglt,
		BgL_classez00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2263z00zzjas_widez00,
		BgL_bgl_string2263za700za7za7j2268za7, "bad immediate value", 19);
	      DEFINE_STRING(BGl_string2264z00zzjas_widez00,
		BgL_bgl_string2264za700za7za7j2269za7, "too much locals", 15);
	      DEFINE_STRING(BGl_string2265z00zzjas_widez00,
		BgL_bgl_string2265za700za7za7j2270za7, "too large increment in iinc", 27);
	      DEFINE_STRING(BGl_string2266z00zzjas_widez00,
		BgL_bgl_string2266za700za7za7j2271za7, "bad localvar args", 17);
	      DEFINE_STRING(BGl_string2267z00zzjas_widez00,
		BgL_bgl_string2267za700za7za7j2272za7, "jas_wide", 8);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long
		BgL_checksumz00_600, char *BgL_fromz00_601)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzjas_widez00))
				{
					BGl_requirezd2initializa7ationz75zzjas_widez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzjas_widez00();
					BGl_importedzd2moduleszd2initz00zzjas_widez00();
					BGl_toplevelzd2initzd2zzjas_widez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzjas_widez00()
	{
		AN_OBJECT;
		{	/* Jas/wide.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"jas_wide");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"jas_wide");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "jas_wide");
			return BUNSPEC;
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzjas_widez00()
	{
		AN_OBJECT;
		{	/* Jas/wide.scm 1 */
			return (BGl_resolvezd2widezd2zzjas_widez00 =
				make_fx_procedure(BGl_zc3anonymousza31701ze3z83zzjas_widez00,
					(int) (((long) 2)), (int) (((long) 0))), BUNSPEC);
		}
	}



/* <anonymous:1701> */
	obj_t BGl_zc3anonymousza31701ze3z83zzjas_widez00(obj_t BgL_envz00_597,
		obj_t BgL_classfilez00_598, obj_t BgL_codez00_599)
	{
		AN_OBJECT;
		{	/* Jas/wide.scm 8 */
			{
				obj_t BgL_classfilez00_207;
				obj_t BgL_codez00_208;

				BgL_classfilez00_207 = BgL_classfilez00_598;
				BgL_codez00_208 = BgL_codez00_599;
				if (NULLP(BgL_codez00_208))
					{	/* Jas/wide.scm 9 */
						return BNIL;
					}
				else
					{	/* Jas/wide.scm 9 */
						obj_t BgL_head1692z00_212;

						BgL_head1692z00_212 = MAKE_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1690z00_213;
							obj_t BgL_tail1693z00_214;

							BgL_l1690z00_213 = BgL_codez00_208;
							BgL_tail1693z00_214 = BgL_head1692z00_212;
						BgL_map1691z00_215:
							if (NULLP(BgL_l1690z00_213))
								{	/* Jas/wide.scm 9 */
									return CDR(BgL_head1692z00_212);
								}
							else
								{	/* Jas/wide.scm 9 */
									obj_t BgL_newtail1694z00_217;

									{	/* Jas/wide.scm 9 */
										obj_t BgL_arg1710z00_219;

										{	/* Jas/wide.scm 9 */
											obj_t BgL_xz00_221;

											BgL_xz00_221 = CAR(BgL_l1690z00_213);
											if (PAIRP(BgL_xz00_221))
												{	/* Jas/wide.scm 9 */
													BgL_arg1710z00_219 =
														BGl_widez00zzjas_widez00(BgL_classfilez00_207,
														CAR(BgL_xz00_221), CDR(BgL_xz00_221));
												}
											else
												{	/* Jas/wide.scm 9 */
													BgL_arg1710z00_219 = BgL_xz00_221;
												}
										}
										BgL_newtail1694z00_217 =
											MAKE_PAIR(BgL_arg1710z00_219, BNIL);
									}
									SET_CDR(BgL_tail1693z00_214, BgL_newtail1694z00_217);
									{
										obj_t BgL_tail1693z00_630;
										obj_t BgL_l1690z00_628;

										BgL_l1690z00_628 = CDR(BgL_l1690z00_213);
										BgL_tail1693z00_630 = BgL_newtail1694z00_217;
										BgL_tail1693z00_214 = BgL_tail1693z00_630;
										BgL_l1690z00_213 = BgL_l1690z00_628;
										goto BgL_map1691z00_215;
									}
								}
						}
					}
			}
		}
	}



/* wide */
	obj_t BGl_widez00zzjas_widez00(obj_t BgL_classfilez00_1, obj_t BgL_copz00_2,
		obj_t BgL_argsz00_3)
	{
		AN_OBJECT;
		{	/* Jas/wide.scm 12 */
			if (INTEGERP(BgL_copz00_2))
				{	/* Jas/wide.scm 13 */
					switch ((long) CINT(BgL_copz00_2))
						{
						case ((long) 17):

							{	/* Jas/wide.scm 15 */
								obj_t BgL_arg1770z00_228;

								{	/* Jas/wide.scm 15 */
									obj_t BgL_arg1791z00_229;

									BgL_arg1791z00_229 = CAR(BgL_argsz00_3);
									BgL_arg1770z00_228 =
										BGl_u2z00zzjas_libz00(CINT(BgL_arg1791z00_229));
								}
								return MAKE_PAIR(BgL_copz00_2, BgL_arg1770z00_228);
							}
							break;
						case ((long) 18):

							{	/* Jas/wide.scm 17 */
								obj_t BgL_vz00_230;

								BgL_vz00_230 = CAR(BgL_argsz00_3);
								{
									int BgL_nz00_238;

									if (INTEGERP(BgL_vz00_230))
										{	/* Jas/wide.scm 19 */
											int BgL_arg1800z00_233;

											BgL_arg1800z00_233 =
												BGl_poolzd2intzd2zzjas_classfilez00(
												(BgL_classfilez00_bglt) (BgL_classfilez00_1),
												CINT(BgL_vz00_230));
											BgL_nz00_238 = BgL_arg1800z00_233;
										BgL_zc3anonymousza31809ze3z83_239:
											if (((long) (BgL_nz00_238) < ((long) 256)))
												{	/* Jas/wide.scm 18 */
													obj_t BgL_list1811z00_241;

													{	/* Jas/wide.scm 18 */
														obj_t BgL_arg1819z00_243;

														BgL_arg1819z00_243 =
															MAKE_PAIR(BINT(BgL_nz00_238), BNIL);
														BgL_list1811z00_241 =
															MAKE_PAIR(BINT(((long) 18)), BgL_arg1819z00_243);
													}
													return BgL_list1811z00_241;
												}
											else
												{	/* Jas/wide.scm 18 */
													return
														MAKE_PAIR(BINT(((long) 19)),
														BGl_u2z00zzjas_libz00(BgL_nz00_238));
										}}
									else
										{	/* Jas/wide.scm 19 */
											if (REALP(BgL_vz00_230))
												{	/* Jas/wide.scm 20 */
													int BgL_arg1805z00_235;

													BgL_arg1805z00_235 =
														BGl_poolzd2floatzd2zzjas_classfilez00(
														(BgL_classfilez00_bglt) (BgL_classfilez00_1),
														REAL_TO_FLOAT(BgL_vz00_230));
													{
														int BgL_nz00_658;

														BgL_nz00_658 = BgL_arg1805z00_235;
														BgL_nz00_238 = BgL_nz00_658;
														goto BgL_zc3anonymousza31809ze3z83_239;
													}
												}
											else
												{	/* Jas/wide.scm 20 */
													if (STRINGP(BgL_vz00_230))
														{	/* Jas/wide.scm 21 */
															int BgL_arg1808z00_237;

															BgL_arg1808z00_237 =
																BGl_poolzd2stringzd2zzjas_classfilez00(
																(BgL_classfilez00_bglt) (BgL_classfilez00_1),
																BgL_vz00_230);
															{
																int BgL_nz00_663;

																BgL_nz00_663 = BgL_arg1808z00_237;
																BgL_nz00_238 = BgL_nz00_663;
																goto BgL_zc3anonymousza31809ze3z83_239;
															}
														}
													else
														{	/* Jas/wide.scm 21 */
															return
																BGl_jaszd2errorzd2zzjas_classfilez00(
																(BgL_classfilez00_bglt) (BgL_classfilez00_1),
																BGl_string2263z00zzjas_widez00, BgL_vz00_230);
														}
												}
										}
								}
							}
							break;
						case ((long) 20):

							{	/* Jas/wide.scm 24 */
								obj_t BgL_vz00_247;

								BgL_vz00_247 = CAR(BgL_argsz00_3);
								if (INTEGERP(BgL_vz00_247))
									{	/* Jas/wide.scm 25 */
										obj_t BgL_arg1826z00_250;

										{	/* Jas/wide.scm 25 */
											int BgL_arg1827z00_251;

											BgL_arg1827z00_251 =
												BGl_poolzd2longzd2zzjas_classfilez00(
												(BgL_classfilez00_bglt) (BgL_classfilez00_1),
												(long) CINT(BgL_vz00_247));
											BgL_arg1826z00_250 =
												BGl_u2z00zzjas_libz00(BgL_arg1827z00_251);
										}
										return MAKE_PAIR(BINT(((long) 20)), BgL_arg1826z00_250);
									}
								else
									{	/* Jas/wide.scm 25 */
										if (REALP(BgL_vz00_247))
											{	/* Jas/wide.scm 26 */
												obj_t BgL_arg1834z00_254;

												{	/* Jas/wide.scm 26 */
													int BgL_arg1840z00_255;

													BgL_arg1840z00_255 =
														BGl_poolzd2doublezd2zzjas_classfilez00(
														(BgL_classfilez00_bglt) (BgL_classfilez00_1),
														REAL_TO_DOUBLE(BgL_vz00_247));
													BgL_arg1834z00_254 =
														BGl_u2z00zzjas_libz00(BgL_arg1840z00_255);
												}
												return MAKE_PAIR(BINT(((long) 20)), BgL_arg1834z00_254);
											}
										else
											{	/* Jas/wide.scm 26 */
												if (ELONGP(BgL_vz00_247))
													{	/* Jas/wide.scm 27 */
														obj_t BgL_arg1849z00_258;

														{	/* Jas/wide.scm 27 */
															int BgL_arg1853z00_259;

															BgL_arg1853z00_259 =
																BGl_poolzd2elongzd2zzjas_classfilez00(
																(BgL_classfilez00_bglt) (BgL_classfilez00_1),
																BELONG_TO_LONG(BgL_vz00_247));
															BgL_arg1849z00_258 =
																BGl_u2z00zzjas_libz00(BgL_arg1853z00_259);
														}
														return
															MAKE_PAIR(BINT(((long) 20)), BgL_arg1849z00_258);
													}
												else
													{	/* Jas/wide.scm 27 */
														if (LLONGP(BgL_vz00_247))
															{	/* Jas/wide.scm 28 */
																obj_t BgL_arg1863z00_262;

																{	/* Jas/wide.scm 28 */
																	int BgL_arg1869z00_263;

																	BgL_arg1869z00_263 =
																		BGl_poolzd2llongzd2zzjas_classfilez00(
																		(BgL_classfilez00_bglt)
																		(BgL_classfilez00_1),
																		BLLONG_TO_LLONG(BgL_vz00_247));
																	BgL_arg1863z00_262 =
																		BGl_u2z00zzjas_libz00(BgL_arg1869z00_263);
																}
																return
																	MAKE_PAIR(BINT(((long) 20)),
																	BgL_arg1863z00_262);
															}
														else
															{	/* Jas/wide.scm 28 */
																return
																	BGl_jaszd2errorzd2zzjas_classfilez00(
																	(BgL_classfilez00_bglt) (BgL_classfilez00_1),
																	BGl_string2263z00zzjas_widez00, BgL_vz00_247);
															}
													}
											}
									}
							}
							break;
						case ((long) 21):
						case ((long) 22):
						case ((long) 23):
						case ((long) 24):
						case ((long) 25):
						case ((long) 54):
						case ((long) 55):
						case ((long) 56):
						case ((long) 57):
						case ((long) 58):

							{	/* Jas/wide.scm 31 */
								obj_t BgL_indexz00_264;

								BgL_indexz00_264 = CAR(BgL_argsz00_3);
								{	/* Jas/wide.scm 31 */
									long BgL_basez00_265;

									if (((long) CINT(BgL_copz00_2) > ((long) 50)))
										{	/* Jas/wide.scm 32 */
											BgL_basez00_265 = ((long) 54);
										}
									else
										{	/* Jas/wide.scm 32 */
											BgL_basez00_265 = ((long) 21);
										}
									{	/* Jas/wide.scm 32 */
										long BgL_ismallz00_266;

										BgL_ismallz00_266 =
											(
											(BgL_basez00_265 + ((long) 5)) +
											(((long) CINT(BgL_copz00_2) -
													BgL_basez00_265) * ((long) 4)));
										{	/* Jas/wide.scm 33 */

											if (((long) CINT(BgL_indexz00_264) < ((long) 4)))
												{	/* Jas/wide.scm 34 */
													obj_t BgL_arg1876z00_268;

													BgL_arg1876z00_268 =
														BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
														(BgL_ismallz00_266), BgL_indexz00_264);
													{	/* Jas/wide.scm 34 */
														obj_t BgL_list1877z00_269;

														BgL_list1877z00_269 =
															MAKE_PAIR(BgL_arg1876z00_268, BNIL);
														return BgL_list1877z00_269;
													}
												}
											else
												{	/* Jas/wide.scm 34 */
													if (((long) CINT(BgL_indexz00_264) < ((long) 256)))
														{	/* Jas/wide.scm 35 */
															obj_t BgL_list1879z00_271;

															{	/* Jas/wide.scm 35 */
																obj_t BgL_arg1883z00_272;

																BgL_arg1883z00_272 =
																	MAKE_PAIR(BgL_indexz00_264, BNIL);
																BgL_list1879z00_271 =
																	MAKE_PAIR(BgL_copz00_2, BgL_arg1883z00_272);
															}
															return BgL_list1879z00_271;
														}
													else
														{	/* Jas/wide.scm 35 */
															if (
																((long) CINT(BgL_indexz00_264) <
																	((long) 65536)))
																{	/* Jas/wide.scm 36 */
																	obj_t BgL_arg1891z00_275;

																	{	/* Jas/wide.scm 36 */
																		obj_t BgL_arg1904z00_276;

																		BgL_arg1904z00_276 =
																			BGl_u2z00zzjas_libz00(CINT
																			(BgL_indexz00_264));
																		{	/* Jas/wide.scm 36 */
																			obj_t BgL_list1905z00_277;

																			BgL_list1905z00_277 =
																				MAKE_PAIR(BgL_arg1904z00_276, BNIL);
																			BgL_arg1891z00_275 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_copz00_2, BgL_list1905z00_277);
																	}}
																	return
																		MAKE_PAIR(BINT(((long) 196)),
																		BgL_arg1891z00_275);
																}
															else
																{	/* Jas/wide.scm 36 */
																	return
																		BGl_jaszd2errorzd2zzjas_classfilez00(
																		(BgL_classfilez00_bglt)
																		(BgL_classfilez00_1),
																		BGl_string2264z00zzjas_widez00,
																		BgL_indexz00_264);
																}
														}
												}
										}
									}
								}
							}
							break;
						case ((long) 132):

							{	/* Jas/wide.scm 40 */
								obj_t BgL_indexz00_283;
								obj_t BgL_nz00_284;

								BgL_indexz00_283 = CAR(BgL_argsz00_3);
								{	/* Jas/wide.scm 40 */
									obj_t BgL_pairz00_524;

									BgL_pairz00_524 = BgL_argsz00_3;
									BgL_nz00_284 = CAR(CDR(BgL_pairz00_524));
								}
								{	/* Jas/wide.scm 42 */
									bool_t BgL_testz00_735;

									if (((long) CINT(BgL_indexz00_283) < ((long) 256)))
										{	/* Jas/wide.scm 42 */
											if (((long) CINT(BgL_nz00_284) > ((long) -129)))
												{	/* Jas/wide.scm 42 */
													BgL_testz00_735 =
														((long) CINT(BgL_nz00_284) < ((long) 128));
												}
											else
												{	/* Jas/wide.scm 42 */
													BgL_testz00_735 = ((bool_t) 0);
												}
										}
									else
										{	/* Jas/wide.scm 42 */
											BgL_testz00_735 = ((bool_t) 0);
										}
									if (BgL_testz00_735)
										{	/* Jas/wide.scm 43 */
											obj_t BgL_list1925z00_286;

											{	/* Jas/wide.scm 43 */
												obj_t BgL_arg1934z00_288;

												{	/* Jas/wide.scm 43 */
													obj_t BgL_arg1937z00_289;

													BgL_arg1937z00_289 = MAKE_PAIR(BgL_nz00_284, BNIL);
													BgL_arg1934z00_288 =
														MAKE_PAIR(BgL_indexz00_283, BgL_arg1937z00_289);
												}
												BgL_list1925z00_286 =
													MAKE_PAIR(BINT(((long) 132)), BgL_arg1934z00_288);
											}
											return BgL_list1925z00_286;
										}
									else
										{	/* Jas/wide.scm 42 */
											if (((long) CINT(BgL_indexz00_283) >= ((long) 65536)))
												{	/* Jas/wide.scm 44 */
													return
														BGl_jaszd2errorzd2zzjas_classfilez00(
														(BgL_classfilez00_bglt) (BgL_classfilez00_1),
														BGl_string2264z00zzjas_widez00, BgL_indexz00_283);
												}
											else
												{	/* Jas/wide.scm 44 */
													if (
														((long)
															CINT(BGl_absz00zz__r4_numbers_6_5z00
																(BgL_nz00_284)) >= ((long) 32768)))
														{	/* Jas/wide.scm 46 */
															return
																BGl_jaszd2errorzd2zzjas_classfilez00(
																(BgL_classfilez00_bglt) (BgL_classfilez00_1),
																BGl_string2265z00zzjas_widez00, BgL_nz00_284);
														}
													else
														{	/* Jas/wide.scm 48 */
															obj_t BgL_arg1947z00_293;

															{	/* Jas/wide.scm 48 */
																obj_t BgL_arg1951z00_295;
																obj_t BgL_arg1956z00_296;

																BgL_arg1951z00_295 =
																	BGl_u2z00zzjas_libz00(CINT(BgL_indexz00_283));
																BgL_arg1956z00_296 =
																	BGl_u2z00zzjas_libz00(CINT(BgL_nz00_284));
																{	/* Jas/wide.scm 48 */
																	obj_t BgL_list1957z00_297;

																	{	/* Jas/wide.scm 48 */
																		obj_t BgL_arg1959z00_298;

																		BgL_arg1959z00_298 =
																			MAKE_PAIR(BgL_arg1956z00_296, BNIL);
																		BgL_list1957z00_297 =
																			MAKE_PAIR(BgL_arg1951z00_295,
																			BgL_arg1959z00_298);
																	}
																	BgL_arg1947z00_293 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BINT(((long) 132)), BgL_list1957z00_297);
															}}
															return
																MAKE_PAIR(BINT(((long) 196)),
																BgL_arg1947z00_293);
							}}}}} break;
						case ((long) 169):

							{	/* Jas/wide.scm 50 */
								obj_t BgL_indexz00_303;

								BgL_indexz00_303 = CAR(BgL_argsz00_3);
								if (((long) CINT(BgL_indexz00_303) < ((long) 256)))
									{	/* Jas/wide.scm 51 */
										obj_t BgL_list1976z00_305;

										{	/* Jas/wide.scm 51 */
											obj_t BgL_arg1992z00_307;

											BgL_arg1992z00_307 = MAKE_PAIR(BgL_indexz00_303, BNIL);
											BgL_list1976z00_305 =
												MAKE_PAIR(BINT(((long) 169)), BgL_arg1992z00_307);
										}
										return BgL_list1976z00_305;
									}
								else
									{	/* Jas/wide.scm 51 */
										if (((long) CINT(BgL_indexz00_303) < ((long) 65536)))
											{	/* Jas/wide.scm 52 */
												obj_t BgL_arg2011z00_310;

												{	/* Jas/wide.scm 52 */
													obj_t BgL_arg2025z00_312;

													BgL_arg2025z00_312 =
														BGl_u2z00zzjas_libz00(CINT(BgL_indexz00_303));
													{	/* Jas/wide.scm 52 */
														obj_t BgL_list2026z00_313;

														BgL_list2026z00_313 =
															MAKE_PAIR(BgL_arg2025z00_312, BNIL);
														BgL_arg2011z00_310 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BINT((
																	(long) 169)), BgL_list2026z00_313);
												}}
												return
													MAKE_PAIR(BINT(((long) 196)), BgL_arg2011z00_310);
											}
										else
											{	/* Jas/wide.scm 52 */
												return
													BGl_jaszd2errorzd2zzjas_classfilez00(
													(BgL_classfilez00_bglt) (BgL_classfilez00_1),
													BGl_string2264z00zzjas_widez00, BgL_indexz00_303);
											}
									}
							}
							break;
						case ((long) 178):
						case ((long) 179):
						case ((long) 180):
						case ((long) 181):

							{	/* Jas/wide.scm 56 */
								obj_t BgL_arg2032z00_314;

								{	/* Jas/wide.scm 56 */
									int BgL_arg2045z00_315;

									{	/* Jas/wide.scm 56 */
										obj_t BgL_arg2051z00_316;

										BgL_arg2051z00_316 = CAR(BgL_argsz00_3);
										BgL_arg2045z00_315 =
											BGl_poolzd2fieldzd2zzjas_classfilez00(
											(BgL_classfilez00_bglt) (BgL_classfilez00_1),
											(BgL_fieldz00_bglt) (BgL_arg2051z00_316));
									}
									BgL_arg2032z00_314 =
										BGl_u2z00zzjas_libz00(BgL_arg2045z00_315);
								}
								return MAKE_PAIR(BgL_copz00_2, BgL_arg2032z00_314);
							}
							break;
						case ((long) 182):
						case ((long) 183):
						case ((long) 184):

							{	/* Jas/wide.scm 58 */
								obj_t BgL_arg2058z00_317;

								{	/* Jas/wide.scm 58 */
									int BgL_arg2064z00_318;

									{	/* Jas/wide.scm 58 */
										obj_t BgL_arg2071z00_319;

										BgL_arg2071z00_319 = CAR(BgL_argsz00_3);
										BgL_arg2064z00_318 =
											BGl_poolzd2methodzd2zzjas_classfilez00(
											(BgL_classfilez00_bglt) (BgL_classfilez00_1),
											(BgL_methodz00_bglt) (BgL_arg2071z00_319));
									}
									BgL_arg2058z00_317 =
										BGl_u2z00zzjas_libz00(BgL_arg2064z00_318);
								}
								return MAKE_PAIR(BgL_copz00_2, BgL_arg2058z00_317);
							}
							break;
						case ((long) 185):

							{	/* Jas/wide.scm 60 */
								obj_t BgL_mz00_320;

								BgL_mz00_320 = CAR(BgL_argsz00_3);
								{	/* Jas/wide.scm 61 */
									obj_t BgL_instance1688z00_321;

									{	/* Jas/wide.scm 61 */
										BgL_fieldzd2orzd2methodz00_bglt BgL_obj1419z00_550;

										BgL_obj1419z00_550 =
											(BgL_fieldzd2orzd2methodz00_bglt) (BgL_mz00_320);
										BgL_instance1688z00_321 =
											(((BgL_fieldzd2orzd2methodz00_bglt)
												CREF(BgL_obj1419z00_550))->BgL_typez00);
									}
									{	/* Jas/wide.scm 62 */
										obj_t BgL_arg2077z00_322;

										{	/* Jas/wide.scm 62 */
											obj_t BgL_arg2084z00_323;
											obj_t BgL_arg2085z00_324;

											{	/* Jas/wide.scm 62 */
												int BgL_arg2091z00_325;

												BgL_arg2091z00_325 =
													BGl_poolzd2interfacezd2methodz00zzjas_classfilez00(
													(BgL_classfilez00_bglt) (BgL_classfilez00_1),
													(BgL_methodz00_bglt) (BgL_mz00_320));
												BgL_arg2084z00_323 =
													BGl_u2z00zzjas_libz00(BgL_arg2091z00_325);
											}
											{	/* Jas/wide.scm 63 */
												long BgL_arg2098z00_326;

												{	/* Jas/wide.scm 63 */
													obj_t BgL_arg2128z00_331;

													{	/* Jas/wide.scm 63 */
														obj_t BgL_runner2153z00_348;

														{	/* Jas/wide.scm 63 */
															obj_t BgL_l1695z00_332;

															{	/* Jas/wide.scm 63 */
																BgL_funz00_bglt BgL_obj1352z00_551;

																BgL_obj1352z00_551 =
																	(BgL_funz00_bglt) (BgL_instance1688z00_321);
																BgL_l1695z00_332 =
																	(((BgL_funz00_bglt)
																		CREF(BgL_obj1352z00_551))->BgL_targsz00);
															}
															if (NULLP(BgL_l1695z00_332))
																{	/* Jas/wide.scm 63 */
																	BgL_runner2153z00_348 = BNIL;
																}
															else
																{	/* Jas/wide.scm 63 */
																	obj_t BgL_head1697z00_334;

																	{	/* Jas/wide.scm 63 */
																		int BgL_arg2150z00_345;

																		{	/* Jas/wide.scm 63 */
																			obj_t BgL_arg2152z00_347;

																			BgL_arg2152z00_347 =
																				CAR(BgL_l1695z00_332);
																			BgL_arg2150z00_345 =
																				BGl_typezd2siza7ez75zzjas_classfilez00(
																				(BgL_typez00_bglt)
																				(BgL_arg2152z00_347));
																		}
																		BgL_head1697z00_334 =
																			MAKE_PAIR(BINT(BgL_arg2150z00_345), BNIL);
																	}
																	{	/* Jas/wide.scm 63 */
																		obj_t BgL_g1700z00_335;

																		BgL_g1700z00_335 = CDR(BgL_l1695z00_332);
																		{
																			obj_t BgL_l1695z00_336;
																			obj_t BgL_tail1698z00_337;

																			BgL_l1695z00_336 = BgL_g1700z00_335;
																			BgL_tail1698z00_337 = BgL_head1697z00_334;
																		BgL_map1696z00_338:
																			if (NULLP(BgL_l1695z00_336))
																				{	/* Jas/wide.scm 63 */
																					BgL_runner2153z00_348 =
																						BgL_head1697z00_334;
																				}
																			else
																				{	/* Jas/wide.scm 63 */
																					obj_t BgL_newtail1699z00_340;

																					{	/* Jas/wide.scm 63 */
																						int BgL_arg2133z00_342;

																						{	/* Jas/wide.scm 63 */
																							obj_t BgL_arg2143z00_344;

																							BgL_arg2143z00_344 =
																								CAR(BgL_l1695z00_336);
																							BgL_arg2133z00_342 =
																								BGl_typezd2siza7ez75zzjas_classfilez00
																								((BgL_typez00_bglt)
																								(BgL_arg2143z00_344));
																						}
																						BgL_newtail1699z00_340 =
																							MAKE_PAIR(BINT
																							(BgL_arg2133z00_342), BNIL);
																					}
																					SET_CDR(BgL_tail1698z00_337,
																						BgL_newtail1699z00_340);
																					{
																						obj_t BgL_tail1698z00_827;
																						obj_t BgL_l1695z00_825;

																						BgL_l1695z00_825 =
																							CDR(BgL_l1695z00_336);
																						BgL_tail1698z00_827 =
																							BgL_newtail1699z00_340;
																						BgL_tail1698z00_337 =
																							BgL_tail1698z00_827;
																						BgL_l1695z00_336 = BgL_l1695z00_825;
																						goto BgL_map1696z00_338;
																					}
																				}
																		}
																	}
																}
														}
														BgL_arg2128z00_331 =
															BGl_zb2zb2zz__r4_numbers_6_5z00
															(BgL_runner2153z00_348);
													}
													BgL_arg2098z00_326 =
														(((long) 1) + (long) CINT(BgL_arg2128z00_331));
												}
												{	/* Jas/wide.scm 63 */
													obj_t BgL_list2105z00_328;

													{	/* Jas/wide.scm 63 */
														obj_t BgL_arg2117z00_329;

														BgL_arg2117z00_329 =
															MAKE_PAIR(BINT(((long) 0)), BNIL);
														BgL_list2105z00_328 =
															MAKE_PAIR(BINT(BgL_arg2098z00_326),
															BgL_arg2117z00_329);
													}
													BgL_arg2085z00_324 = BgL_list2105z00_328;
											}}
											BgL_arg2077z00_322 =
												bgl_append2(BgL_arg2084z00_323, BgL_arg2085z00_324);
										}
										return MAKE_PAIR(BgL_copz00_2, BgL_arg2077z00_322);
									}
								}
							}
							break;
						case ((long) 187):

							{	/* Jas/wide.scm 66 */
								obj_t BgL_arg2154z00_349;

								{	/* Jas/wide.scm 66 */
									int BgL_arg2155z00_350;

									{	/* Jas/wide.scm 66 */
										obj_t BgL_arg2156z00_351;

										BgL_arg2156z00_351 = CAR(BgL_argsz00_3);
										BgL_arg2155z00_350 =
											BGl_poolzd2classzd2zzjas_classfilez00(
											(BgL_classfilez00_bglt) (BgL_classfilez00_1),
											(BgL_classez00_bglt) (BgL_arg2156z00_351));
									}
									BgL_arg2154z00_349 =
										BGl_u2z00zzjas_libz00(BgL_arg2155z00_350);
								}
								return MAKE_PAIR(BgL_copz00_2, BgL_arg2154z00_349);
							}
							break;
						case ((long) 189):
						case ((long) 192):
						case ((long) 193):

							{	/* Jas/wide.scm 68 */
								obj_t BgL_arg2157z00_352;

								{	/* Jas/wide.scm 68 */
									int BgL_arg2158z00_353;

									{	/* Jas/wide.scm 68 */
										obj_t BgL_arg2162z00_354;

										BgL_arg2162z00_354 = CAR(BgL_argsz00_3);
										BgL_arg2158z00_353 =
											BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(
											(BgL_classfilez00_bglt) (BgL_classfilez00_1),
											(BgL_typez00_bglt) (BgL_arg2162z00_354));
									}
									BgL_arg2157z00_352 =
										BGl_u2z00zzjas_libz00(BgL_arg2158z00_353);
								}
								return MAKE_PAIR(BgL_copz00_2, BgL_arg2157z00_352);
							}
							break;
						case ((long) 197):

							{	/* Jas/wide.scm 70 */
								obj_t BgL_arg2163z00_355;

								{	/* Jas/wide.scm 70 */
									obj_t BgL_arg2164z00_356;
									obj_t BgL_arg2165z00_357;

									{	/* Jas/wide.scm 70 */
										int BgL_arg2166z00_358;

										{	/* Jas/wide.scm 70 */
											obj_t BgL_arg2167z00_359;

											BgL_arg2167z00_359 = CAR(BgL_argsz00_3);
											BgL_arg2166z00_358 =
												BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(
												(BgL_classfilez00_bglt) (BgL_classfilez00_1),
												(BgL_typez00_bglt) (BgL_arg2167z00_359));
										}
										BgL_arg2164z00_356 =
											BGl_u2z00zzjas_libz00(BgL_arg2166z00_358);
									}
									{	/* Jas/wide.scm 71 */
										obj_t BgL_arg2170z00_360;

										{	/* Jas/wide.scm 71 */
											obj_t BgL_pairz00_571;

											BgL_pairz00_571 = BgL_argsz00_3;
											BgL_arg2170z00_360 = CAR(CDR(BgL_pairz00_571));
										}
										{	/* Jas/wide.scm 71 */
											obj_t BgL_list2171z00_361;

											BgL_list2171z00_361 = MAKE_PAIR(BgL_arg2170z00_360, BNIL);
											BgL_arg2165z00_357 = BgL_list2171z00_361;
									}}
									BgL_arg2163z00_355 =
										bgl_append2(BgL_arg2164z00_356, BgL_arg2165z00_357);
								}
								return MAKE_PAIR(BgL_copz00_2, BgL_arg2163z00_355);
							}
							break;
						case ((long) 205):

							{
								obj_t BgL_begz00_362;
								obj_t BgL_endz00_363;
								obj_t BgL_namez00_364;
								obj_t BgL_typez00_365;
								obj_t BgL_indexz00_366;

								if (PAIRP(BgL_argsz00_3))
									{	/* Jas/wide.scm 13 */
										obj_t BgL_cdrzd2943zd2_371;

										BgL_cdrzd2943zd2_371 = CDR(BgL_argsz00_3);
										if (PAIRP(BgL_cdrzd2943zd2_371))
											{	/* Jas/wide.scm 13 */
												obj_t BgL_cdrzd2950zd2_373;

												BgL_cdrzd2950zd2_373 = CDR(BgL_cdrzd2943zd2_371);
												if (PAIRP(BgL_cdrzd2950zd2_373))
													{	/* Jas/wide.scm 13 */
														obj_t BgL_cdrzd2956zd2_375;

														BgL_cdrzd2956zd2_375 = CDR(BgL_cdrzd2950zd2_373);
														if (PAIRP(BgL_cdrzd2956zd2_375))
															{	/* Jas/wide.scm 13 */
																obj_t BgL_cdrzd2961zd2_377;

																BgL_cdrzd2961zd2_377 =
																	CDR(BgL_cdrzd2956zd2_375);
																if (PAIRP(BgL_cdrzd2961zd2_377))
																	{	/* Jas/wide.scm 13 */
																		if (NULLP(CDR(BgL_cdrzd2961zd2_377)))
																			{	/* Jas/wide.scm 13 */
																				BgL_begz00_362 = CAR(BgL_argsz00_3);
																				BgL_endz00_363 =
																					CAR(BgL_cdrzd2943zd2_371);
																				BgL_namez00_364 =
																					CAR(BgL_cdrzd2950zd2_373);
																				BgL_typez00_365 =
																					CAR(BgL_cdrzd2956zd2_375);
																				BgL_indexz00_366 =
																					CAR(BgL_cdrzd2961zd2_377);
																				{	/* Jas/wide.scm 75 */
																					int BgL_arg2187z00_386;
																					int BgL_arg2189z00_387;

																					BgL_arg2187z00_386 =
																						BGl_poolzd2namezd2zzjas_classfilez00
																						((BgL_classfilez00_bglt)
																						(BgL_classfilez00_1),
																						BgL_namez00_364);
																					{	/* Jas/wide.scm 76 */
																						obj_t BgL_arg2200z00_394;

																						{	/* Jas/wide.scm 76 */
																							BgL_typez00_bglt
																								BgL_obj1286z00_593;
																							BgL_obj1286z00_593 =
																								(BgL_typez00_bglt)
																								(BgL_typez00_365);
																							BgL_arg2200z00_394 =
																								(((BgL_typez00_bglt)
																									CREF(BgL_obj1286z00_593))->
																								BgL_codez00);
																						}
																						BgL_arg2189z00_387 =
																							BGl_poolzd2namezd2zzjas_classfilez00
																							((BgL_classfilez00_bglt)
																							(BgL_classfilez00_1),
																							BgL_arg2200z00_394);
																					}
																					{	/* Jas/wide.scm 75 */
																						obj_t BgL_list2190z00_388;

																						{	/* Jas/wide.scm 75 */
																							obj_t BgL_arg2191z00_389;

																							{	/* Jas/wide.scm 75 */
																								obj_t BgL_arg2193z00_390;

																								{	/* Jas/wide.scm 75 */
																									obj_t BgL_arg2197z00_391;

																									{	/* Jas/wide.scm 75 */
																										obj_t BgL_arg2198z00_392;

																										{	/* Jas/wide.scm 75 */
																											obj_t BgL_arg2199z00_393;

																											BgL_arg2199z00_393 =
																												MAKE_PAIR
																												(BgL_indexz00_366,
																												BNIL);
																											BgL_arg2198z00_392 =
																												MAKE_PAIR(BINT
																												(BgL_arg2189z00_387),
																												BgL_arg2199z00_393);
																										}
																										BgL_arg2197z00_391 =
																											MAKE_PAIR(BINT
																											(BgL_arg2187z00_386),
																											BgL_arg2198z00_392);
																									}
																									BgL_arg2193z00_390 =
																										MAKE_PAIR(BgL_endz00_363,
																										BgL_arg2197z00_391);
																								}
																								BgL_arg2191z00_389 =
																									MAKE_PAIR(BgL_begz00_362,
																									BgL_arg2193z00_390);
																							}
																							BgL_list2190z00_388 =
																								MAKE_PAIR(BgL_copz00_2,
																								BgL_arg2191z00_389);
																						}
																						return BgL_list2190z00_388;
																					}
																				}
																			}
																		else
																			{	/* Jas/wide.scm 13 */
																			BgL_tagzd2930zd2_368:
																				return
																					BGl_jaszd2errorzd2zzjas_classfilez00(
																					(BgL_classfilez00_bglt)
																					(BgL_classfilez00_1),
																					BGl_string2266z00zzjas_widez00,
																					BgL_argsz00_3);
																			}
																	}
																else
																	{	/* Jas/wide.scm 13 */
																		goto BgL_tagzd2930zd2_368;
																	}
															}
														else
															{	/* Jas/wide.scm 13 */
																goto BgL_tagzd2930zd2_368;
															}
													}
												else
													{	/* Jas/wide.scm 13 */
														goto BgL_tagzd2930zd2_368;
													}
											}
										else
											{	/* Jas/wide.scm 13 */
												goto BgL_tagzd2930zd2_368;
											}
									}
								else
									{	/* Jas/wide.scm 13 */
										goto BgL_tagzd2930zd2_368;
									}
							}
							break;
						default:
							return MAKE_PAIR(BgL_copz00_2, BgL_argsz00_3);
						}
				}
			else
				{	/* Jas/wide.scm 13 */
					return MAKE_PAIR(BgL_copz00_2, BgL_argsz00_3);
				}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzjas_widez00()
	{
		AN_OBJECT;
		{	/* Jas/wide.scm 1 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzjas_widez00()
	{
		AN_OBJECT;
		{	/* Jas/wide.scm 1 */
			BGl_modulezd2initializa7ationz75zzjas_libz00(((long) 125143848),
				BSTRING_TO_STRING(BGl_string2267z00zzjas_widez00));
			return
				BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long) 324206891),
				BSTRING_TO_STRING(BGl_string2267z00zzjas_widez00));
		}
	}

#ifdef __cplusplus
}
#endif
