/*===========================================================================*/
/*   (Module/alibrary.scm)                                                   */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/alibrary.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_alibraryz00 = BUNSPEC;
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzmodule_alibraryz00();
	static obj_t BGl__usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t,
		obj_t);
	static obj_t BGl__makezd2alibraryzd2compilerz00zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzmodule_alibraryz00();
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_alibraryzd2producerzd2zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__alibraryzd2producerzd2zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00(obj_t);
	static obj_t BGl_zc3anonymousza31413ze3z83zzmodule_alibraryz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31414ze3z83zzmodule_alibraryz00(obj_t);
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_alibraryz00();
	extern obj_t BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1425z00zzmodule_alibraryz00,
		BgL_bgl_string1425za700za7za7m1433za7, "Illegal prototype", 17);
	      DEFINE_STRING(BGl_string1426z00zzmodule_alibraryz00,
		BgL_bgl_string1426za700za7za7m1434za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1427z00zzmodule_alibraryz00,
		BgL_bgl_string1427za700za7za7m1435za7, "Illegal `library' clause", 24);
	      DEFINE_STRING(BGl_string1428z00zzmodule_alibraryz00,
		BgL_bgl_string1428za700za7za7m1436za7, "module_alibrary", 15);
	      DEFINE_STRING(BGl_string1429z00zzmodule_alibraryz00,
		BgL_bgl_string1429za700za7za7m1437za7, "void library now ", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2alibraryzd2compilerzd2envzd2zzmodule_alibraryz00,
		BgL_bgl__makeza7d2alibrary1438za7,
		BGl__makezd2alibraryzd2compilerz00zzmodule_alibraryz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2libraryz12zd2envz12zzmodule_alibraryz00,
		BgL_bgl__useza7d2libraryza711439z00,
		BGl__usezd2libraryz12zc0zzmodule_alibraryz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_alibraryzd2producerzd2envz00zzmodule_alibraryz00,
		BgL_bgl__alibraryza7d2prod1440za7,
		BGl__alibraryzd2producerzd2zzmodule_alibraryz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long
		BgL_checksumz00_223, char *BgL_fromz00_224)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_alibraryz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_alibraryz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00();
					BGl_cnstzd2initzd2zzmodule_alibraryz00();
					BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00()
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_alibrary");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_alibraryz00()
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 15 */
			{	/* Module/alibrary.scm 15 */
				obj_t BgL_cportz00_213;

				BgL_cportz00_213 =
					bgl_open_input_string(BGl_string1429z00zzmodule_alibraryz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_214;

					BgL_iz00_214 = ((long) 2);
				BgL_loopz00_215:
					if ((BgL_iz00_214 == ((long) -1)))
						{	/* Module/alibrary.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/alibrary.scm 15 */
							{	/* Module/alibrary.scm 15 */
								obj_t BgL_arg1432z00_217;

								{	/* Module/alibrary.scm 15 */

									{	/* Module/alibrary.scm 15 */
										obj_t BgL_locationz00_219;

										BgL_locationz00_219 = BBOOL(((bool_t) 0));
										{	/* Module/alibrary.scm 15 */

											BgL_arg1432z00_217 =
												BGl_readz00zz__readerz00(BgL_cportz00_213,
												BgL_locationz00_219);
										}
									}
								}
								{	/* Module/alibrary.scm 15 */
									int BgL_auxz00_241;

									BgL_auxz00_241 = (int) (BgL_iz00_214);
									CNST_TABLE_SET(BgL_auxz00_241, BgL_arg1432z00_217);
							}}
							{	/* Module/alibrary.scm 15 */
								int BgL_auxz00_220;

								BgL_auxz00_220 = (int) ((BgL_iz00_214 - ((long) 1)));
								{
									long BgL_iz00_246;

									BgL_iz00_246 = (long) (BgL_auxz00_220);
									BgL_iz00_214 = BgL_iz00_246;
									goto BgL_loopz00_215;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_alibraryz00()
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 15 */
			return BUNSPEC;
		}
	}



/* use-library! */
	BGL_EXPORTED_DEF obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t
		BgL_libraryz00_19, obj_t BgL_modez00_20)
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 29 */
			if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_libraryz00_19,
						BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00)))
				{	/* Module/alibrary.scm 30 */
					return BFALSE;
				}
			else
				{	/* Module/alibrary.scm 30 */
					BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00 =
						MAKE_PAIR(BgL_libraryz00_19,
						BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00);
					{	/* Module/alibrary.scm 34 */
						obj_t BgL_heapzd2namezd2_147;

						BgL_heapzd2namezd2_147 = SYMBOL_TO_STRING(BgL_libraryz00_19);
						BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2
							(BgL_libraryz00_19);
						{	/* Module/alibrary.scm 36 */
							obj_t BgL_arg1407z00_148;

							{	/* Module/alibrary.scm 36 */
								obj_t BgL_arg1408z00_149;

								BgL_arg1408z00_149 =
									BGl_stringzd2upcasezd2zz__r4_strings_6_7z00
									(BgL_heapzd2namezd2_147);
								BgL_arg1407z00_148 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg1408z00_149));
							}
							BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2
								(BgL_arg1407z00_148);
						}
						if ((BgL_modez00_20 == CNST_TABLE_REF(((long) 0))))
							{	/* Module/alibrary.scm 42 */
								BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00
									(BgL_libraryz00_19);
							}
						else
							{	/* Module/alibrary.scm 42 */
								BFALSE;
							}
						BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00 =
							MAKE_PAIR(BgL_heapzd2namezd2_147,
							BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						return BgL_libraryz00_19;
					}
				}
		}
	}



/* _use-library! */
	obj_t BGl__usezd2libraryz12zc0zzmodule_alibraryz00(obj_t BgL_envz00_200,
		obj_t BgL_libraryz00_201, obj_t BgL_modez00_202)
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 29 */
			return
				BGl_usezd2libraryz12zc0zzmodule_alibraryz00(BgL_libraryz00_201,
				BgL_modez00_202);
		}
	}



/* make-alibrary-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00()
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 50 */
			{	/* Module/alibrary.scm 52 */
				obj_t BgL_arg1410z00_151;

				BgL_arg1410z00_151 = CNST_TABLE_REF(((long) 1));
				{	/* Module/module.scm 53 */
					obj_t BgL_zc3anonymousza31414ze3z83_203;
					obj_t BgL_zc3anonymousza31413ze3z83_204;

					BgL_zc3anonymousza31414ze3z83_203 =
						make_fx_procedure(BGl_zc3anonymousza31414ze3z83zzmodule_alibraryz00,
						(int) (((long) 0)), (int) (((long) 0)));
					BgL_zc3anonymousza31413ze3z83_204 =
						make_fx_procedure(BGl_zc3anonymousza31413ze3z83zzmodule_alibraryz00,
						(int) (((long) 2)), (int) (((long) 0)));
					{	/* Module/alibrary.scm 51 */
						BgL_ccompz00_bglt BgL_auxz00_271;

						BgL_auxz00_271 =
							BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg1410z00_151,
							BGl_alibraryzd2producerzd2envz00zzmodule_alibraryz00,
							BgL_zc3anonymousza31413ze3z83_204,
							BgL_zc3anonymousza31414ze3z83_203);
						return (obj_t) (BgL_auxz00_271);
					}
				}
			}
		}
	}



/* _make-alibrary-compiler */
	obj_t BGl__makezd2alibraryzd2compilerz00zzmodule_alibraryz00(obj_t
		BgL_envz00_205)
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 50 */
			return BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
		}
	}



/* <anonymous:1414> */
	obj_t BGl_zc3anonymousza31414ze3z83zzmodule_alibraryz00(obj_t BgL_envz00_206)
	{
		AN_OBJECT;
		{	/* Module/module.scm 55 */
			{

				return CNST_TABLE_REF(((long) 2));
		}}
	}



/* <anonymous:1413> */
	obj_t BGl_zc3anonymousza31413ze3z83zzmodule_alibraryz00(obj_t BgL_envz00_207,
		obj_t BgL_mz00_208, obj_t BgL_cz00_209)
	{
		AN_OBJECT;
		{	/* Module/module.scm 53 */
			return BNIL;
		}
	}



/* alibrary-producer */
	obj_t BGl_alibraryzd2producerzd2zzmodule_alibraryz00(obj_t BgL_clausez00_21)
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 58 */
			{
				obj_t BgL_protosz00_160;

				if (PAIRP(BgL_clausez00_21))
					{	/* Module/alibrary.scm 59 */
						BgL_protosz00_160 = CDR(BgL_clausez00_21);
						{
							obj_t BgL_l1394z00_166;

							BgL_l1394z00_166 = BgL_protosz00_160;
						BgL_forzd2each1395zd2_167:
							if (PAIRP(BgL_l1394z00_166))
								{	/* Module/alibrary.scm 61 */
									{	/* Module/alibrary.scm 62 */
										obj_t BgL_xz00_169;

										BgL_xz00_169 = CAR(BgL_l1394z00_166);
										if (SYMBOLP(BgL_xz00_169))
											{	/* Module/alibrary.scm 62 */
												BGl_usezd2libraryz12zc0zzmodule_alibraryz00
													(BgL_xz00_169, CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* Module/alibrary.scm 62 */
												BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
													BGl_string1425z00zzmodule_alibraryz00, BgL_xz00_169);
									}}
									{
										obj_t BgL_l1394z00_287;

										BgL_l1394z00_287 = CDR(BgL_l1394z00_166);
										BgL_l1394z00_166 = BgL_l1394z00_287;
										goto BgL_forzd2each1395zd2_167;
									}
								}
							else
								{	/* Module/alibrary.scm 61 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/alibrary.scm 59 */
						{	/* Module/alibrary.scm 68 */
							obj_t BgL_list1421z00_172;

							BgL_list1421z00_172 = MAKE_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1426z00zzmodule_alibraryz00,
								BGl_string1427z00zzmodule_alibraryz00, BgL_clausez00_21,
								BgL_list1421z00_172);
						}
					}
			}
		}
	}



/* _alibrary-producer */
	obj_t BGl__alibraryzd2producerzd2zzmodule_alibraryz00(obj_t BgL_envz00_210,
		obj_t BgL_clausez00_211)
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 58 */
			return BGl_alibraryzd2producerzd2zzmodule_alibraryz00(BgL_clausez00_211);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_alibraryz00()
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00()
	{
		AN_OBJECT;
		{	/* Module/alibrary.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1428z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1428z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1428z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(((long) 218992570),
				BSTRING_TO_STRING(BGl_string1428z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string1428z00zzmodule_alibraryz00));
			return
				BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string1428z00zzmodule_alibraryz00));
		}
	}

#ifdef __cplusplus
}
#endif
