/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/pragma.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
	static obj_t BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
	static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	static obj_t BGl_zc3anonymousza31918ze3z83zzmodule_pragmaz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31920ze3z83zzmodule_pragmaz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00();
	static obj_t BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00(obj_t);
	static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
	static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00();
	static obj_t __cnst[13];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00,
		BgL_bgl__pragmaza7d2finali2222za7,
		BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00,
		BgL_bgl__makeza7d2pragmaza7d2223z00,
		BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2200z00zzmodule_pragmaz00,
		BgL_bgl_string2200za700za7za7m2224za7, "Illegal `pragma' clause", 23);
	      DEFINE_STRING(BGl_string2201z00zzmodule_pragmaz00,
		BgL_bgl_string2201za700za7za7m2225za7,
		"Can't find global variable for pragma -- ", 41);
	      DEFINE_STRING(BGl_string2202z00zzmodule_pragmaz00,
		BgL_bgl_string2202za700za7za7m2226za7, "pragma-finalizer", 16);
	      DEFINE_STRING(BGl_string2203z00zzmodule_pragmaz00,
		BgL_bgl_string2203za700za7za7m2227za7, "Illegal `pragma' finalizer form",
		31);
	      DEFINE_STRING(BGl_string2204z00zzmodule_pragmaz00,
		BgL_bgl_string2204za700za7za7m2228za7, "pragma(", 7);
	      DEFINE_STRING(BGl_string2205z00zzmodule_pragmaz00,
		BgL_bgl_string2205za700za7za7m2229za7, ")", 1);
	      DEFINE_STRING(BGl_string2206z00zzmodule_pragmaz00,
		BgL_bgl_string2206za700za7za7m2230za7,
		"property is not concerning a function", 37);
	      DEFINE_STRING(BGl_string2207z00zzmodule_pragmaz00,
		BgL_bgl_string2207za700za7za7m2231za7, "side-effect-free", 16);
	      DEFINE_STRING(BGl_string2208z00zzmodule_pragmaz00,
		BgL_bgl_string2208za700za7za7m2232za7, "no-cfa-top", 10);
	      DEFINE_STRING(BGl_string2210z00zzmodule_pragmaz00,
		BgL_bgl_string2210za700za7za7m2233za7, "no-trace", 8);
	      DEFINE_STRING(BGl_string2209z00zzmodule_pragmaz00,
		BgL_bgl_string2209za700za7za7m2234za7, "allocator", 9);
	      DEFINE_STRING(BGl_string2199z00zzmodule_pragmaz00,
		BgL_bgl_string2199za700za7za7m2235za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2211z00zzmodule_pragmaz00,
		BgL_bgl_string2211za700za7za7m2236za7, "Illegal `pragma' form", 21);
	      DEFINE_STRING(BGl_string2212z00zzmodule_pragmaz00,
		BgL_bgl_string2212za700za7za7m2237za7, "predicate-of", 12);
	      DEFINE_STRING(BGl_string2213z00zzmodule_pragmaz00,
		BgL_bgl_string2213za700za7za7m2238za7, "Illegal `predicate-of' pragma", 29);
	      DEFINE_STRING(BGl_string2214z00zzmodule_pragmaz00,
		BgL_bgl_string2214za700za7za7m2239za7, "effect", 6);
	      DEFINE_STRING(BGl_string2215z00zzmodule_pragmaz00,
		BgL_bgl_string2215za700za7za7m2240za7, "module_pragma", 13);
	      DEFINE_STRING(BGl_string2216z00zzmodule_pragmaz00,
		BgL_bgl_string2216za700za7za7m2241za7,
		"effect coerce predicate-of args-safe nesting no-trace allocator no-cfa-top side-effect-free void @ foreign pragma ",
		114);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long
		BgL_checksumz00_720, char *BgL_fromz00_721)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_cnstzd2initzd2zzmodule_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_toplevelzd2initzd2zzmodule_pragmaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_pragma");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			{	/* Module/pragma.scm 15 */
				obj_t BgL_cportz00_712;

				BgL_cportz00_712 =
					bgl_open_input_string(BGl_string2216z00zzmodule_pragmaz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_713;

					BgL_iz00_713 = ((long) 12);
				BgL_loopz00_714:
					if ((BgL_iz00_713 == ((long) -1)))
						{	/* Module/pragma.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/pragma.scm 15 */
							{	/* Module/pragma.scm 15 */
								obj_t BgL_arg2221z00_716;

								{	/* Module/pragma.scm 15 */

									{	/* Module/pragma.scm 15 */
										obj_t BgL_locationz00_718;

										BgL_locationz00_718 = BBOOL(((bool_t) 0));
										{	/* Module/pragma.scm 15 */

											BgL_arg2221z00_716 =
												BGl_readz00zz__readerz00(BgL_cportz00_712,
												BgL_locationz00_718);
										}
									}
								}
								{	/* Module/pragma.scm 15 */
									int BgL_auxz00_739;

									BgL_auxz00_739 = (int) (BgL_iz00_713);
									CNST_TABLE_SET(BgL_auxz00_739, BgL_arg2221z00_716);
							}}
							{	/* Module/pragma.scm 15 */
								int BgL_auxz00_719;

								BgL_auxz00_719 = (int) ((BgL_iz00_713 - ((long) 1)));
								{
									long BgL_iz00_744;

									BgL_iz00_744 = (long) (BgL_auxz00_719);
									BgL_iz00_713 = BgL_iz00_744;
									goto BgL_loopz00_714;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC);
		}
	}



/* make-pragma-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 34 */
			{	/* Module/pragma.scm 35 */
				obj_t BgL_arg1904z00_328;
				obj_t BgL_arg1910z00_329;

				BgL_arg1904z00_328 = CNST_TABLE_REF(((long) 0));
				BgL_arg1910z00_329 =
					BGl_pragmazd2producerzd2zzmodule_pragmaz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{	/* Module/pragma.scm 38 */
					obj_t BgL_zc3anonymousza31918ze3z83_702;

					BgL_zc3anonymousza31918ze3z83_702 =
						make_fx_procedure(BGl_zc3anonymousza31918ze3z83zzmodule_pragmaz00,
						(int) (((long) 2)), (int) (((long) 0)));
					{	/* Module/pragma.scm 35 */
						BgL_ccompz00_bglt BgL_auxz00_751;

						BgL_auxz00_751 =
							BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg1904z00_328,
							BgL_arg1910z00_329, BgL_zc3anonymousza31918ze3z83_702,
							BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00);
						return (obj_t) (BgL_auxz00_751);
					}
				}
			}
		}
	}



/* _make-pragma-compiler */
	obj_t BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00(obj_t BgL_envz00_703)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 34 */
			return BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
		}
	}



/* <anonymous:1918> */
	obj_t BGl_zc3anonymousza31918ze3z83zzmodule_pragmaz00(obj_t BgL_envz00_704,
		obj_t BgL_mz00_705, obj_t BgL_cz00_706)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 37 */
			{
				obj_t BgL_mz00_331;
				obj_t BgL_cz00_332;

				BgL_mz00_331 = BgL_mz00_705;
				BgL_cz00_332 = BgL_cz00_706;
				{	/* Module/pragma.scm 38 */
					obj_t BgL_fun1919z00_605;

					BgL_fun1919z00_605 =
						BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_331);
					return
						PROCEDURE_ENTRY(BgL_fun1919z00_605) (BgL_fun1919z00_605,
						BgL_cz00_332, BEOA);
				}
			}
		}
	}



/* pragma-producer */
	obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_1)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 44 */
			{	/* Module/pragma.scm 45 */
				obj_t BgL_zc3anonymousza31920ze3z83_708;

				BgL_zc3anonymousza31920ze3z83_708 =
					make_fx_procedure(BGl_zc3anonymousza31920ze3z83zzmodule_pragmaz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31920ze3z83_708,
					(int) (((long) 0)), BgL_modulez00_1);
				return BgL_zc3anonymousza31920ze3z83_708;
			}
		}
	}



/* <anonymous:1920> */
	obj_t BGl_zc3anonymousza31920ze3z83zzmodule_pragmaz00(obj_t BgL_envz00_709,
		obj_t BgL_clausez00_711)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 45 */
			{	/* Module/pragma.scm 45 */
				obj_t BgL_modulez00_710;

				BgL_modulez00_710 = PROCEDURE_REF(BgL_envz00_709, (int) (((long) 0)));
				{
					obj_t BgL_clausez00_336;

					BgL_clausez00_336 = BgL_clausez00_711;
					{
						obj_t BgL_protosz00_338;

						if (PAIRP(BgL_clausez00_336))
							{	/* Module/pragma.scm 45 */
								BgL_protosz00_338 = CDR(BgL_clausez00_336);
								{
									obj_t BgL_l1888z00_344;

									BgL_l1888z00_344 = BgL_protosz00_338;
								BgL_forzd2each1889zd2_345:
									if (PAIRP(BgL_l1888z00_344))
										{	/* Module/pragma.scm 48 */
											BGl_pragmazd2parserzd2zzmodule_pragmaz00(CAR
												(BgL_l1888z00_344), BgL_modulez00_710,
												BgL_clausez00_336);
											{
												obj_t BgL_l1888z00_771;

												BgL_l1888z00_771 = CDR(BgL_l1888z00_344);
												BgL_l1888z00_344 = BgL_l1888z00_771;
												goto BgL_forzd2each1889zd2_345;
											}
										}
									else
										{	/* Module/pragma.scm 48 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/pragma.scm 45 */
								{	/* Module/pragma.scm 52 */
									obj_t BgL_list1925z00_349;

									BgL_list1925z00_349 = MAKE_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string2199z00zzmodule_pragmaz00,
										BGl_string2200z00zzmodule_pragmaz00, BgL_clausez00_336,
										BgL_list1925z00_349);
								}
							}
					}
				}
			}
		}
	}



/* pragma-parser */
	obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_2,
		obj_t BgL_modulez00_3, obj_t BgL_clausez00_4)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 60 */
			{
				obj_t BgL_idz00_350;
				obj_t BgL_propz00_351;

				if (PAIRP(BgL_protoz00_2))
					{	/* Module/pragma.scm 61 */
						obj_t BgL_carzd2944zd2_356;

						BgL_carzd2944zd2_356 = CAR(BgL_protoz00_2);
						if (SYMBOLP(BgL_carzd2944zd2_356))
							{	/* Module/pragma.scm 61 */
								BgL_idz00_350 = BgL_carzd2944zd2_356;
								BgL_propz00_351 = CDR(BgL_protoz00_2);
								{	/* Module/pragma.scm 63 */
									obj_t BgL_arg1937z00_359;

									{	/* Module/pragma.scm 63 */
										obj_t BgL_list1938z00_360;

										{	/* Module/pragma.scm 63 */
											obj_t BgL_arg1942z00_361;

											{	/* Module/pragma.scm 63 */
												obj_t BgL_arg1947z00_362;

												{	/* Module/pragma.scm 63 */
													obj_t BgL_arg1948z00_363;

													BgL_arg1948z00_363 = MAKE_PAIR(BgL_clausez00_4, BNIL);
													BgL_arg1947z00_362 =
														MAKE_PAIR(BgL_propz00_351, BgL_arg1948z00_363);
												}
												BgL_arg1942z00_361 =
													MAKE_PAIR(BgL_modulez00_3, BgL_arg1947z00_362);
											}
											BgL_list1938z00_360 =
												MAKE_PAIR(BgL_idz00_350, BgL_arg1942z00_361);
										}
										BgL_arg1937z00_359 = BgL_list1938z00_360;
									}
									return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 =
										MAKE_PAIR(BgL_arg1937z00_359,
											BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC);
								}
							}
						else
							{	/* Module/pragma.scm 61 */
							BgL_tagzd2938zd2_353:
								{	/* Module/pragma.scm 65 */
									obj_t BgL_list1949z00_364;

									BgL_list1949z00_364 = MAKE_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string2199z00zzmodule_pragmaz00,
										BGl_string2200z00zzmodule_pragmaz00, BgL_clausez00_4,
										BgL_list1949z00_364);
								}
							}
					}
				else
					{	/* Module/pragma.scm 61 */
						goto BgL_tagzd2938zd2_353;
					}
			}
		}
	}



/* pragma-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 75 */
			{
				obj_t BgL_l1890z00_365;

				BgL_l1890z00_365 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00;
			BgL_forzd2each1891zd2_366:
				if (PAIRP(BgL_l1890z00_365))
					{	/* Module/pragma.scm 76 */
						{	/* Module/pragma.scm 77 */
							obj_t BgL_pragmaz00_368;

							BgL_pragmaz00_368 = CAR(BgL_l1890z00_365);
							{
								obj_t BgL_idz00_369;
								obj_t BgL_modulez00_370;
								obj_t BgL_propza2za2_371;
								obj_t BgL_clausez00_372;

								if (PAIRP(BgL_pragmaz00_368))
									{	/* Module/pragma.scm 77 */
										obj_t BgL_cdrzd2961zd2_377;

										BgL_cdrzd2961zd2_377 = CDR(BgL_pragmaz00_368);
										if (PAIRP(BgL_cdrzd2961zd2_377))
											{	/* Module/pragma.scm 77 */
												obj_t BgL_cdrzd2967zd2_379;

												BgL_cdrzd2967zd2_379 = CDR(BgL_cdrzd2961zd2_377);
												if (PAIRP(BgL_cdrzd2967zd2_379))
													{	/* Module/pragma.scm 77 */
														obj_t BgL_cdrzd2972zd2_381;

														BgL_cdrzd2972zd2_381 = CDR(BgL_cdrzd2967zd2_379);
														if (PAIRP(BgL_cdrzd2972zd2_381))
															{	/* Module/pragma.scm 77 */
																if (NULLP(CDR(BgL_cdrzd2972zd2_381)))
																	{	/* Module/pragma.scm 77 */
																		BgL_idz00_369 = CAR(BgL_pragmaz00_368);
																		BgL_modulez00_370 =
																			CAR(BgL_cdrzd2961zd2_377);
																		BgL_propza2za2_371 =
																			CAR(BgL_cdrzd2967zd2_379);
																		BgL_clausez00_372 =
																			CAR(BgL_cdrzd2972zd2_381);
																		{	/* Module/pragma.scm 79 */
																			obj_t BgL_globalz00_389;

																			{	/* Module/pragma.scm 79 */
																				obj_t BgL_globalz00_400;

																				BgL_globalz00_400 =
																					BGl_findzd2globalzf2modulez20zzast_envz00
																					(BgL_idz00_369, BgL_modulez00_370);
																				if (BGl_iszd2azf3z21zz__objectz00
																					(BgL_globalz00_400,
																						BGl_globalz00zzast_varz00))
																					{	/* Module/pragma.scm 81 */
																						BgL_globalz00_389 =
																							BgL_globalz00_400;
																					}
																				else
																					{	/* Module/pragma.scm 81 */
																						BgL_globalz00_389 =
																							BGl_findzd2globalzf2modulez20zzast_envz00
																							(BgL_idz00_369,
																							CNST_TABLE_REF(((long) 1)));
																			}}
																			if (BGl_iszd2azf3z21zz__objectz00
																				(BgL_globalz00_389,
																					BGl_globalz00zzast_varz00))
																				{	/* Module/pragma.scm 84 */
																					BBOOL
																						(BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00
																						(BgL_globalz00_389,
																							BgL_propza2za2_371,
																							BgL_clausez00_372));
																				}
																			else
																				{	/* Module/pragma.scm 85 */
																					obj_t BgL_arg1992z00_391;

																					{	/* Module/pragma.scm 85 */
																						obj_t BgL_arg2025z00_396;
																						obj_t BgL_arg2032z00_397;

																						BgL_arg2025z00_396 =
																							CNST_TABLE_REF(((long) 2));
																						{	/* Module/pragma.scm 85 */
																							obj_t BgL_list2033z00_398;

																							{	/* Module/pragma.scm 85 */
																								obj_t BgL_arg2045z00_399;

																								BgL_arg2045z00_399 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2033z00_398 =
																									MAKE_PAIR(BgL_modulez00_370,
																									BgL_arg2045z00_399);
																							}
																							BgL_arg2032z00_397 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_369,
																								BgL_list2033z00_398);
																						}
																						BgL_arg1992z00_391 =
																							MAKE_PAIR(BgL_arg2025z00_396,
																							BgL_arg2032z00_397);
																					}
																					{	/* Module/pragma.scm 85 */
																						obj_t BgL_list1999z00_393;

																						{	/* Module/pragma.scm 85 */
																							obj_t BgL_arg2011z00_394;

																							{	/* Module/pragma.scm 85 */
																								obj_t BgL_arg2012z00_395;

																								BgL_arg2012z00_395 =
																									MAKE_PAIR(BgL_pragmaz00_368,
																									BNIL);
																								BgL_arg2011z00_394 =
																									MAKE_PAIR
																									(BGl_string2201z00zzmodule_pragmaz00,
																									BgL_arg2012z00_395);
																							}
																							BgL_list1999z00_393 =
																								MAKE_PAIR(BgL_arg1992z00_391,
																								BgL_arg2011z00_394);
																						}
																						BGl_warningz00zz__errorz00
																							(BgL_list1999z00_393);
																	}}}}
																else
																	{	/* Module/pragma.scm 77 */
																	BgL_tagzd2950zd2_374:
																		BGl_internalzd2errorzd2zztools_errorz00
																			(BGl_string2202z00zzmodule_pragmaz00,
																			BGl_string2203z00zzmodule_pragmaz00,
																			BgL_pragmaz00_368);
																	}
															}
														else
															{	/* Module/pragma.scm 77 */
																goto BgL_tagzd2950zd2_374;
															}
													}
												else
													{	/* Module/pragma.scm 77 */
														goto BgL_tagzd2950zd2_374;
													}
											}
										else
											{	/* Module/pragma.scm 77 */
												goto BgL_tagzd2950zd2_374;
											}
									}
								else
									{	/* Module/pragma.scm 77 */
										goto BgL_tagzd2950zd2_374;
									}
							}
						}
						{
							obj_t BgL_l1890z00_829;

							BgL_l1890z00_829 = CDR(BgL_l1890z00_365);
							BgL_l1890z00_365 = BgL_l1890z00_829;
							goto BgL_forzd2each1891zd2_366;
						}
					}
				else
					{	/* Module/pragma.scm 76 */
						((bool_t) 1);
					}
			}
			BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL;
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* _pragma-finalizer */
	obj_t BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00(obj_t BgL_envz00_707)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 75 */
			return BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
		}
	}



/* set-pragma-properties! */
	bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_5, obj_t BgL_propza2za2_6, obj_t BgL_clausez00_7)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 100 */
			{
				obj_t BgL_l1892z00_403;

				BgL_l1892z00_403 = BgL_propza2za2_6;
			BgL_forzd2each1893zd2_404:
				if (PAIRP(BgL_l1892z00_403))
					{	/* Module/pragma.scm 101 */
						BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_5,
							CAR(BgL_l1892z00_403), BgL_clausez00_7);
						{
							obj_t BgL_l1892z00_837;

							BgL_l1892z00_837 = CDR(BgL_l1892z00_403);
							BgL_l1892z00_403 = BgL_l1892z00_837;
							goto BgL_forzd2each1893zd2_404;
						}
					}
				else
					{	/* Module/pragma.scm 101 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-pragma-property! */
	obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_8, obj_t BgL_propz00_9, obj_t BgL_clausez00_10)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 107 */
			{
				obj_t BgL_pz00_472;
				BgL_globalz00_bglt BgL_gz00_473;

				{
					obj_t BgL_keyz00_410;
					obj_t BgL_valz00_411;

					if (SYMBOLP(BgL_propz00_9))
						{	/* Module/pragma.scm 114 */
							if ((BgL_propz00_9 == CNST_TABLE_REF(((long) 4))))
								{	/* Module/pragma.scm 119 */
									BgL_valuez00_bglt BgL_valuez00_422;

									{	/* Module/pragma.scm 119 */
										BgL_variablez00_bglt BgL_obj1407z00_645;

										BgL_obj1407z00_645 =
											(BgL_variablez00_bglt) (BgL_globalz00_8);
										BgL_valuez00_422 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_645))->
											BgL_valuez00);
									}
									{	/* Module/pragma.scm 120 */
										bool_t BgL_testz00_846;

										{	/* Module/pragma.scm 120 */
											obj_t BgL_obj1653z00_646;

											BgL_obj1653z00_646 = (obj_t) (BgL_valuez00_422);
											BgL_testz00_846 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1653z00_646,
												BGl_funz00zzast_varz00);
										}
										if (BgL_testz00_846)
											{	/* Module/pragma.scm 122 */
												BgL_funz00_bglt BgL_obj1613z00_647;
												obj_t BgL_val1612z00_648;

												BgL_obj1613z00_647 =
													(BgL_funz00_bglt) (BgL_valuez00_422);
												BgL_val1612z00_648 = BFALSE;
												return
													((((BgL_funz00_bglt) CREF(BgL_obj1613z00_647))->
														BgL_sidezd2effectzf3z21) =
													((obj_t) BgL_val1612z00_648), BUNSPEC);
											}
										else
											{	/* Module/pragma.scm 120 */
												BgL_pz00_472 = BGl_string2207z00zzmodule_pragmaz00;
												BgL_gz00_473 = (BgL_globalz00_bglt) (BgL_globalz00_8);
											BgL_zc3anonymousza32158ze3z83_474:
												if (CBOOL
													(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
													{	/* Module/pragma.scm 109 */
														return BFALSE;
													}
												else
													{	/* Module/pragma.scm 110 */
														obj_t BgL_arg2162z00_475;
														obj_t BgL_arg2164z00_477;

														BgL_arg2162z00_475 =
															string_append_3
															(BGl_string2204z00zzmodule_pragmaz00,
															BgL_pz00_472,
															BGl_string2205z00zzmodule_pragmaz00);
														BgL_arg2164z00_477 =
															BGl_shapez00zztools_shapez00((obj_t)
															(BgL_gz00_473));
														{	/* Module/pragma.scm 110 */
															obj_t BgL_list2166z00_479;

															BgL_list2166z00_479 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BgL_arg2162z00_475,
																BGl_string2206z00zzmodule_pragmaz00,
																BgL_arg2164z00_477, BgL_list2166z00_479);
														}
													}
											}
									}
								}
							else
								{	/* Module/pragma.scm 116 */
									if ((BgL_propz00_9 == CNST_TABLE_REF(((long) 5))))
										{	/* Module/pragma.scm 125 */
											BgL_valuez00_bglt BgL_valuez00_425;

											{	/* Module/pragma.scm 125 */
												BgL_variablez00_bglt BgL_obj1407z00_651;

												BgL_obj1407z00_651 =
													(BgL_variablez00_bglt) (BgL_globalz00_8);
												BgL_valuez00_425 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1407z00_651))->
													BgL_valuez00);
											}
											{	/* Module/pragma.scm 126 */
												bool_t BgL_testz00_864;

												{	/* Module/pragma.scm 126 */
													obj_t BgL_obj1653z00_652;

													BgL_obj1653z00_652 = (obj_t) (BgL_valuez00_425);
													BgL_testz00_864 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1653z00_652,
														BGl_funz00zzast_varz00);
												}
												if (BgL_testz00_864)
													{	/* Module/pragma.scm 128 */
														BgL_funz00_bglt BgL_obj1622z00_653;
														bool_t BgL_val1621z00_654;

														BgL_obj1622z00_653 =
															(BgL_funz00_bglt) (BgL_valuez00_425);
														BgL_val1621z00_654 = ((bool_t) 0);
														return
															((((BgL_funz00_bglt) CREF(BgL_obj1622z00_653))->
																BgL_topzf3zf3) =
															((bool_t) BgL_val1621z00_654), BUNSPEC);
													}
												else
													{
														BgL_globalz00_bglt BgL_gz00_870;
														obj_t BgL_pz00_869;

														BgL_pz00_869 = BGl_string2208z00zzmodule_pragmaz00;
														BgL_gz00_870 =
															(BgL_globalz00_bglt) (BgL_globalz00_8);
														BgL_gz00_473 = BgL_gz00_870;
														BgL_pz00_472 = BgL_pz00_869;
														goto BgL_zc3anonymousza32158ze3z83_474;
													}
											}
										}
									else
										{	/* Module/pragma.scm 116 */
											if ((BgL_propz00_9 == CNST_TABLE_REF(((long) 6))))
												{	/* Module/pragma.scm 132 */
													BgL_valuez00_bglt BgL_valuez00_428;

													{	/* Module/pragma.scm 132 */
														BgL_variablez00_bglt BgL_obj1407z00_657;

														BgL_obj1407z00_657 =
															(BgL_variablez00_bglt) (BgL_globalz00_8);
														BgL_valuez00_428 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1407z00_657))->BgL_valuez00);
													}
													{	/* Module/pragma.scm 133 */
														bool_t BgL_testz00_877;

														{	/* Module/pragma.scm 133 */
															obj_t BgL_obj1751z00_658;

															BgL_obj1751z00_658 = (obj_t) (BgL_valuez00_428);
															BgL_testz00_877 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1751z00_658, BGl_sfunz00zzast_varz00);
														}
														if (BgL_testz00_877)
															{	/* Module/pragma.scm 136 */
																obj_t BgL_arg2071z00_430;

																{	/* Module/pragma.scm 136 */
																	obj_t BgL_arg2077z00_431;

																	{	/* Module/pragma.scm 136 */
																		BgL_sfunz00_bglt BgL_obj1673z00_659;

																		BgL_obj1673z00_659 =
																			(BgL_sfunz00_bglt) (BgL_valuez00_428);
																		BgL_arg2077z00_431 =
																			(((BgL_sfunz00_bglt)
																				CREF(BgL_obj1673z00_659))->
																			BgL_propertyz00);
																	}
																	BgL_arg2071z00_430 =
																		MAKE_PAIR(BgL_propz00_9,
																		BgL_arg2077z00_431);
																}
																{	/* Module/pragma.scm 135 */
																	BgL_sfunz00_bglt BgL_obj1675z00_660;
																	obj_t BgL_val1674z00_661;

																	BgL_obj1675z00_660 =
																		(BgL_sfunz00_bglt) (BgL_valuez00_428);
																	BgL_val1674z00_661 = BgL_arg2071z00_430;
																	return
																		((((BgL_sfunz00_bglt)
																				CREF(BgL_obj1675z00_660))->
																			BgL_propertyz00) =
																		((obj_t) BgL_val1674z00_661), BUNSPEC);
																}
															}
														else
															{
																BgL_globalz00_bglt BgL_gz00_886;
																obj_t BgL_pz00_885;

																BgL_pz00_885 =
																	BGl_string2209z00zzmodule_pragmaz00;
																BgL_gz00_886 =
																	(BgL_globalz00_bglt) (BgL_globalz00_8);
																BgL_gz00_473 = BgL_gz00_886;
																BgL_pz00_472 = BgL_pz00_885;
																goto BgL_zc3anonymousza32158ze3z83_474;
															}
													}
												}
											else
												{	/* Module/pragma.scm 116 */
													if ((BgL_propz00_9 == CNST_TABLE_REF(((long) 7))))
														{	/* Module/pragma.scm 138 */
															BgL_valuez00_bglt BgL_valuez00_433;

															{	/* Module/pragma.scm 138 */
																BgL_variablez00_bglt BgL_obj1407z00_664;

																BgL_obj1407z00_664 =
																	(BgL_variablez00_bglt) (BgL_globalz00_8);
																BgL_valuez00_433 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1407z00_664))->BgL_valuez00);
															}
															{	/* Module/pragma.scm 139 */
																bool_t BgL_testz00_893;

																{	/* Module/pragma.scm 139 */
																	obj_t BgL_obj1751z00_665;

																	BgL_obj1751z00_665 =
																		(obj_t) (BgL_valuez00_433);
																	BgL_testz00_893 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj1751z00_665,
																		BGl_sfunz00zzast_varz00);
																}
																if (BgL_testz00_893)
																	{	/* Module/pragma.scm 142 */
																		obj_t BgL_arg2084z00_435;

																		{	/* Module/pragma.scm 142 */
																			obj_t BgL_arg2085z00_436;

																			{	/* Module/pragma.scm 142 */
																				BgL_sfunz00_bglt BgL_obj1673z00_666;

																				BgL_obj1673z00_666 =
																					(BgL_sfunz00_bglt) (BgL_valuez00_433);
																				BgL_arg2085z00_436 =
																					(((BgL_sfunz00_bglt)
																						CREF(BgL_obj1673z00_666))->
																					BgL_propertyz00);
																			}
																			BgL_arg2084z00_435 =
																				MAKE_PAIR(BgL_propz00_9,
																				BgL_arg2085z00_436);
																		}
																		{	/* Module/pragma.scm 141 */
																			BgL_sfunz00_bglt BgL_obj1675z00_667;
																			obj_t BgL_val1674z00_668;

																			BgL_obj1675z00_667 =
																				(BgL_sfunz00_bglt) (BgL_valuez00_433);
																			BgL_val1674z00_668 = BgL_arg2084z00_435;
																			return
																				((((BgL_sfunz00_bglt)
																						CREF(BgL_obj1675z00_667))->
																					BgL_propertyz00) =
																				((obj_t) BgL_val1674z00_668), BUNSPEC);
																		}
																	}
																else
																	{
																		BgL_globalz00_bglt BgL_gz00_902;
																		obj_t BgL_pz00_901;

																		BgL_pz00_901 =
																			BGl_string2210z00zzmodule_pragmaz00;
																		BgL_gz00_902 =
																			(BgL_globalz00_bglt) (BgL_globalz00_8);
																		BgL_gz00_473 = BgL_gz00_902;
																		BgL_pz00_472 = BgL_pz00_901;
																		goto BgL_zc3anonymousza32158ze3z83_474;
																	}
															}
														}
													else
														{	/* Module/pragma.scm 116 */
															if ((BgL_propz00_9 == CNST_TABLE_REF(((long) 8))))
																{	/* Module/pragma.scm 144 */
																	BgL_valuez00_bglt BgL_valuez00_438;

																	{	/* Module/pragma.scm 144 */
																		BgL_variablez00_bglt BgL_obj1407z00_671;

																		BgL_obj1407z00_671 =
																			(BgL_variablez00_bglt) (BgL_globalz00_8);
																		BgL_valuez00_438 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_obj1407z00_671))->
																			BgL_valuez00);
																	}
																	{	/* Module/pragma.scm 145 */
																		bool_t BgL_testz00_909;

																		{	/* Module/pragma.scm 145 */
																			obj_t BgL_obj1815z00_672;

																			BgL_obj1815z00_672 =
																				(obj_t) (BgL_valuez00_438);
																			BgL_testz00_909 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_obj1815z00_672,
																				BGl_cfunz00zzast_varz00);
																		}
																		if (BgL_testz00_909)
																			{	/* Module/pragma.scm 147 */
																				obj_t BgL_arg2091z00_440;

																				{	/* Module/pragma.scm 147 */
																					obj_t BgL_arg2098z00_441;
																					obj_t BgL_arg2104z00_442;

																					BgL_arg2098z00_441 =
																						CNST_TABLE_REF(((long) 8));
																					{	/* Module/pragma.scm 148 */
																						BgL_globalz00_bglt
																							BgL_obj1488z00_673;
																						BgL_obj1488z00_673 =
																							(BgL_globalz00_bglt)
																							(BgL_globalz00_8);
																						BgL_arg2104z00_442 =
																							(((BgL_globalz00_bglt)
																								CREF(BgL_obj1488z00_673))->
																							BgL_pragmaz00);
																					}
																					BgL_arg2091z00_440 =
																						MAKE_PAIR(BgL_arg2098z00_441,
																						BgL_arg2104z00_442);
																				}
																				{	/* Module/pragma.scm 146 */
																					BgL_globalz00_bglt BgL_obj1490z00_674;
																					obj_t BgL_val1489z00_675;

																					BgL_obj1490z00_674 =
																						(BgL_globalz00_bglt)
																						(BgL_globalz00_8);
																					BgL_val1489z00_675 =
																						BgL_arg2091z00_440;
																					return ((((BgL_globalz00_bglt)
																								CREF(BgL_obj1490z00_674))->
																							BgL_pragmaz00) =
																						((obj_t) BgL_val1489z00_675),
																						BUNSPEC);
																				}
																			}
																		else
																			{	/* Module/pragma.scm 145 */
																				return BFALSE;
																			}
																	}
																}
															else
																{	/* Module/pragma.scm 116 */
																	if (
																		(BgL_propz00_9 ==
																			CNST_TABLE_REF(((long) 9))))
																		{	/* Module/pragma.scm 150 */
																			BgL_valuez00_bglt BgL_valuez00_444;

																			{	/* Module/pragma.scm 150 */
																				BgL_variablez00_bglt BgL_obj1407z00_678;

																				BgL_obj1407z00_678 =
																					(BgL_variablez00_bglt)
																					(BgL_globalz00_8);
																				BgL_valuez00_444 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_obj1407z00_678))->
																					BgL_valuez00);
																			}
																			{	/* Module/pragma.scm 151 */
																				bool_t BgL_testz00_923;

																				{	/* Module/pragma.scm 151 */
																					obj_t BgL_obj1815z00_679;

																					BgL_obj1815z00_679 =
																						(obj_t) (BgL_valuez00_444);
																					BgL_testz00_923 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj1815z00_679,
																						BGl_cfunz00zzast_varz00);
																				}
																				if (BgL_testz00_923)
																					{	/* Module/pragma.scm 153 */
																						obj_t BgL_arg2117z00_446;

																						{	/* Module/pragma.scm 153 */
																							obj_t BgL_arg2123z00_447;
																							obj_t BgL_arg2128z00_448;

																							BgL_arg2123z00_447 =
																								CNST_TABLE_REF(((long) 9));
																							{	/* Module/pragma.scm 154 */
																								BgL_globalz00_bglt
																									BgL_obj1488z00_680;
																								BgL_obj1488z00_680 =
																									(BgL_globalz00_bglt)
																									(BgL_globalz00_8);
																								BgL_arg2128z00_448 =
																									(((BgL_globalz00_bglt)
																										CREF(BgL_obj1488z00_680))->
																									BgL_pragmaz00);
																							}
																							BgL_arg2117z00_446 =
																								MAKE_PAIR(BgL_arg2123z00_447,
																								BgL_arg2128z00_448);
																						}
																						{	/* Module/pragma.scm 152 */
																							BgL_globalz00_bglt
																								BgL_obj1490z00_681;
																							obj_t BgL_val1489z00_682;

																							BgL_obj1490z00_681 =
																								(BgL_globalz00_bglt)
																								(BgL_globalz00_8);
																							BgL_val1489z00_682 =
																								BgL_arg2117z00_446;
																							return ((((BgL_globalz00_bglt)
																										CREF(BgL_obj1490z00_681))->
																									BgL_pragmaz00) =
																								((obj_t) BgL_val1489z00_682),
																								BUNSPEC);
																						}
																					}
																				else
																					{	/* Module/pragma.scm 151 */
																						return BFALSE;
																					}
																			}
																		}
																	else
																		{	/* Module/pragma.scm 156 */
																			obj_t BgL_list2129z00_449;

																			BgL_list2129z00_449 =
																				MAKE_PAIR(BNIL, BNIL);
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_string2199z00zzmodule_pragmaz00,
																				BGl_string2211z00zzmodule_pragmaz00,
																				BgL_clausez00_10, BgL_list2129z00_449);
																		}
																}
														}
												}
										}
								}
						}
					else
						{	/* Module/pragma.scm 114 */
							if (PAIRP(BgL_propz00_9))
								{	/* Module/pragma.scm 114 */
									obj_t BgL_carzd2988zd2_417;

									BgL_carzd2988zd2_417 = CAR(BgL_propz00_9);
									if (SYMBOLP(BgL_carzd2988zd2_417))
										{	/* Module/pragma.scm 114 */
											BgL_keyz00_410 = BgL_carzd2988zd2_417;
											BgL_valz00_411 = CDR(BgL_propz00_9);
											if ((BgL_keyz00_410 == CNST_TABLE_REF(((long) 10))))
												{	/* Module/pragma.scm 161 */
													bool_t BgL_testz00_942;

													if (PAIRP(BgL_valz00_411))
														{	/* Module/pragma.scm 161 */
															obj_t BgL_auxz00_945;

															BgL_auxz00_945 = CAR(BgL_valz00_411);
															BgL_testz00_942 = SYMBOLP(BgL_auxz00_945);
														}
													else
														{	/* Module/pragma.scm 161 */
															BgL_testz00_942 = ((bool_t) 0);
														}
													if (BgL_testz00_942)
														{	/* Module/pragma.scm 163 */
															BgL_typez00_bglt BgL_typez00_453;
															BgL_valuez00_bglt BgL_valuez00_454;

															BgL_typez00_453 =
																BGl_usezd2typez12zc0zztype_envz00(CAR
																(BgL_valz00_411),
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_propz00_9));
															{	/* Module/pragma.scm 164 */
																BgL_variablez00_bglt BgL_obj1407z00_689;

																BgL_obj1407z00_689 =
																	(BgL_variablez00_bglt) (BgL_globalz00_8);
																BgL_valuez00_454 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1407z00_689))->BgL_valuez00);
															}
															{	/* Module/pragma.scm 165 */
																bool_t BgL_testz00_953;

																{	/* Module/pragma.scm 165 */
																	obj_t BgL_obj1653z00_690;

																	BgL_obj1653z00_690 =
																		(obj_t) (BgL_valuez00_454);
																	BgL_testz00_953 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj1653z00_690,
																		BGl_funz00zzast_varz00);
																}
																if (BgL_testz00_953)
																	{	/* Module/pragma.scm 165 */
																		{	/* Module/pragma.scm 168 */
																			BgL_funz00_bglt BgL_obj1616z00_691;
																			obj_t BgL_val1615z00_692;

																			BgL_obj1616z00_691 =
																				(BgL_funz00_bglt) (BgL_valuez00_454);
																			BgL_val1615z00_692 =
																				(obj_t) (BgL_typez00_453);
																			((((BgL_funz00_bglt)
																						CREF(BgL_obj1616z00_691))->
																					BgL_predicatezd2ofzd2) =
																				((obj_t) BgL_val1615z00_692), BUNSPEC);
																		}
																		BGl_removezd2varzd2fromz12z12zzast_removez00
																			(CNST_TABLE_REF(((long) 11)),
																			(BgL_variablez00_bglt) (BgL_globalz00_8));
																		{	/* Module/pragma.scm 174 */
																			BgL_funz00_bglt BgL_obj1613z00_693;
																			obj_t BgL_val1612z00_694;

																			BgL_obj1613z00_693 =
																				(BgL_funz00_bglt) (BgL_valuez00_454);
																			BgL_val1612z00_694 = BFALSE;
																			return
																				((((BgL_funz00_bglt)
																						CREF(BgL_obj1613z00_693))->
																					BgL_sidezd2effectzf3z21) =
																				((obj_t) BgL_val1612z00_694), BUNSPEC);
																		}
																	}
																else
																	{
																		BgL_globalz00_bglt BgL_gz00_965;
																		obj_t BgL_pz00_964;

																		BgL_pz00_964 =
																			BGl_string2212z00zzmodule_pragmaz00;
																		BgL_gz00_965 =
																			(BgL_globalz00_bglt) (BgL_globalz00_8);
																		BgL_gz00_473 = BgL_gz00_965;
																		BgL_pz00_472 = BgL_pz00_964;
																		goto BgL_zc3anonymousza32158ze3z83_474;
																	}
															}
														}
													else
														{	/* Module/pragma.scm 161 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string2199z00zzmodule_pragmaz00,
																BGl_string2213z00zzmodule_pragmaz00,
																BgL_propz00_9, BNIL);
														}
												}
											else
												{	/* Module/pragma.scm 158 */
													if ((BgL_keyz00_410 == CNST_TABLE_REF(((long) 12))))
														{	/* Module/pragma.scm 176 */
															BgL_valuez00_bglt BgL_valuez00_462;

															{	/* Module/pragma.scm 176 */
																BgL_variablez00_bglt BgL_obj1407z00_697;

																BgL_obj1407z00_697 =
																	(BgL_variablez00_bglt) (BgL_globalz00_8);
																BgL_valuez00_462 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1407z00_697))->BgL_valuez00);
															}
															{	/* Module/pragma.scm 177 */
																bool_t BgL_testz00_973;

																{	/* Module/pragma.scm 177 */
																	obj_t BgL_obj1653z00_698;

																	BgL_obj1653z00_698 =
																		(obj_t) (BgL_valuez00_462);
																	BgL_testz00_973 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj1653z00_698,
																		BGl_funz00zzast_varz00);
																}
																if (BgL_testz00_973)
																	{	/* Module/pragma.scm 179 */
																		BgL_feffectz00_bglt BgL_arg2150z00_464;

																		BgL_arg2150z00_464 =
																			BGl_parsezd2effectzd2zzeffect_feffectz00
																			(BgL_propz00_9);
																		{	/* Module/pragma.scm 179 */
																			BgL_funz00_bglt BgL_obj1628z00_699;
																			obj_t BgL_val1627z00_700;

																			BgL_obj1628z00_699 =
																				(BgL_funz00_bglt) (BgL_valuez00_462);
																			BgL_val1627z00_700 =
																				(obj_t) (BgL_arg2150z00_464);
																			return
																				((((BgL_funz00_bglt)
																						CREF(BgL_obj1628z00_699))->
																					BgL_effectz00) =
																				((obj_t) BgL_val1627z00_700), BUNSPEC);
																		}
																	}
																else
																	{
																		BgL_globalz00_bglt BgL_gz00_981;
																		obj_t BgL_pz00_980;

																		BgL_pz00_980 =
																			BGl_string2214z00zzmodule_pragmaz00;
																		BgL_gz00_981 =
																			(BgL_globalz00_bglt) (BgL_globalz00_8);
																		BgL_gz00_473 = BgL_gz00_981;
																		BgL_pz00_472 = BgL_pz00_980;
																		goto BgL_zc3anonymousza32158ze3z83_474;
																	}
															}
														}
													else
														{	/* Module/pragma.scm 181 */
															obj_t BgL_list2151z00_465;

															BgL_list2151z00_465 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string2199z00zzmodule_pragmaz00,
																BGl_string2211z00zzmodule_pragmaz00,
																BgL_propz00_9, BgL_list2151z00_465);
														}
												}
										}
									else
										{	/* Module/pragma.scm 114 */
										BgL_tagzd2980zd2_413:
											{	/* Module/pragma.scm 183 */
												obj_t BgL_arg2154z00_468;

												if (PAIRP(BgL_propz00_9))
													{	/* Module/pragma.scm 185 */
														BgL_arg2154z00_468 = BgL_propz00_9;
													}
												else
													{	/* Module/pragma.scm 185 */
														BgL_arg2154z00_468 = BgL_clausez00_10;
													}
												{	/* Module/pragma.scm 183 */
													obj_t BgL_list2156z00_470;

													BgL_list2156z00_470 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string2199z00zzmodule_pragmaz00,
														BGl_string2211z00zzmodule_pragmaz00,
														BgL_arg2154z00_468, BgL_list2156z00_470);
												}
											}
										}
								}
							else
								{	/* Module/pragma.scm 114 */
									goto BgL_tagzd2980zd2_413;
								}
						}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 158085554),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 215625933),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 53594424),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2215z00zzmodule_pragmaz00));
		}
	}

#ifdef __cplusplus
}
#endif
