/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/generic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t
		BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl__makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_cnstzd2initzd2zzobject_genericz00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_genericz00();
	static obj_t __cnst[16];


	   
		 
		DEFINE_STRING(BGl_string2426z00zzobject_genericz00,
		BgL_bgl_string2426za700za7za7o2433za7,
		"Illegal generic definition (no formal arguments provided)", 57);
	      DEFINE_STRING(BGl_string2427z00zzobject_genericz00,
		BgL_bgl_string2427za700za7za7o2434za7,
		"Illegal global definition (internal error)", 42);
	      DEFINE_STRING(BGl_string2428z00zzobject_genericz00,
		BgL_bgl_string2428za700za7za7o2435za7,
		"generic function has a non-class dispatching type arg", 53);
	      DEFINE_STRING(BGl_string2430z00zzobject_genericz00,
		BgL_bgl_string2430za700za7za7o2436za7,
		"object? labels begin procedure? if -default __r4_pairs_and_lists_6_3 generic-default cons* apply @ find-method let procedure method sgfun ",
		138);
	      DEFINE_STRING(BGl_string2429z00zzobject_genericz00,
		BgL_bgl_string2429za700za7za7o2437za7, "object_generic", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00,
		BgL_bgl__makeza7d2genericza72438z00,
		BGl__makezd2genericzd2bodyz00zzobject_genericz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long
		BgL_checksumz00_839, char *BgL_fromz00_840)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_genericz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
					BGl_cnstzd2initzd2zzobject_genericz00();
					BGl_importedzd2moduleszd2initz00zzobject_genericz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_generic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			{	/* Object/generic.scm 15 */
				obj_t BgL_cportz00_831;

				BgL_cportz00_831 =
					bgl_open_input_string(BGl_string2430z00zzobject_genericz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_832;

					BgL_iz00_832 = ((long) 15);
				BgL_loopz00_833:
					if ((BgL_iz00_832 == ((long) -1)))
						{	/* Object/generic.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/generic.scm 15 */
							{	/* Object/generic.scm 15 */
								obj_t BgL_arg2432z00_835;

								{	/* Object/generic.scm 15 */

									{	/* Object/generic.scm 15 */
										obj_t BgL_locationz00_837;

										BgL_locationz00_837 = BBOOL(((bool_t) 0));
										{	/* Object/generic.scm 15 */

											BgL_arg2432z00_835 =
												BGl_readz00zz__readerz00(BgL_cportz00_831,
												BgL_locationz00_837);
										}
									}
								}
								{	/* Object/generic.scm 15 */
									int BgL_auxz00_858;

									BgL_auxz00_858 = (int) (BgL_iz00_832);
									CNST_TABLE_SET(BgL_auxz00_858, BgL_arg2432z00_835);
							}}
							{	/* Object/generic.scm 15 */
								int BgL_auxz00_838;

								BgL_auxz00_838 = (int) ((BgL_iz00_832 - ((long) 1)));
								{
									long BgL_iz00_863;

									BgL_iz00_863 = (long) (BgL_auxz00_838);
									BgL_iz00_832 = BgL_iz00_863;
									goto BgL_loopz00_833;
								}
							}
						}
				}
			}
		}
	}



/* make-generic-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_1, obj_t BgL_localsz00_2, obj_t BgL_argsz00_3, obj_t BgL_srcz00_4)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 33 */
			{
				obj_t BgL_msgz00_413;

				{	/* Object/generic.scm 36 */
					obj_t BgL_gz00_381;

					BgL_gz00_381 =
						BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1,
						BGl_za2moduleza2z00zzmodule_modulez00);
					if (NULLP(BgL_argsz00_3))
						{	/* Object/generic.scm 38 */
							BgL_msgz00_413 = BGl_string2426z00zzobject_genericz00;
						BgL_zc3anonymousza32187ze3z83_414:
							{	/* Object/generic.scm 35 */
								obj_t BgL_list2188z00_415;

								BgL_list2188z00_415 = MAKE_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_1,
									BgL_msgz00_413, BgL_srcz00_4, BgL_list2188z00_415);
							}
						}
					else
						{	/* Object/generic.scm 40 */
							bool_t BgL_testz00_870;

							if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_381,
									BGl_globalz00zzast_varz00))
								{	/* Object/generic.scm 41 */
									bool_t BgL__ortest_2132z00_403;

									{	/* Object/generic.scm 41 */
										bool_t BgL_testz00_873;

										{	/* Object/generic.scm 41 */
											BgL_valuez00_bglt BgL_arg2186z00_412;

											{	/* Object/generic.scm 41 */
												BgL_variablez00_bglt BgL_obj1387z00_764;

												BgL_obj1387z00_764 =
													(BgL_variablez00_bglt) (BgL_gz00_381);
												BgL_arg2186z00_412 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_764))->
													BgL_valuez00);
											}
											{	/* Object/generic.scm 41 */
												obj_t BgL_obj1729z00_765;

												BgL_obj1729z00_765 = (obj_t) (BgL_arg2186z00_412);
												BgL_testz00_873 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_765,
													BGl_sfunz00zzast_varz00);
											}
										}
										if (BgL_testz00_873)
											{	/* Object/generic.scm 41 */
												BgL__ortest_2132z00_403 = ((bool_t) 0);
											}
										else
											{	/* Object/generic.scm 41 */
												BgL__ortest_2132z00_403 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_2132z00_403)
										{	/* Object/generic.scm 41 */
											BgL_testz00_870 = BgL__ortest_2132z00_403;
										}
									else
										{	/* Object/generic.scm 42 */
											bool_t BgL__ortest_2133z00_404;

											{	/* Object/generic.scm 42 */
												bool_t BgL_testz00_879;

												{	/* Object/generic.scm 42 */
													obj_t BgL_auxz00_880;

													{	/* Object/generic.scm 42 */
														BgL_sfunz00_bglt BgL_obj1661z00_767;

														{	/* Object/generic.scm 42 */
															BgL_variablez00_bglt BgL_obj1387z00_766;

															BgL_obj1387z00_766 =
																(BgL_variablez00_bglt) (BgL_gz00_381);
															{	/* Object/generic.scm 42 */
																BgL_valuez00_bglt BgL_auxz00_882;

																BgL_auxz00_882 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_766))->BgL_valuez00);
																BgL_obj1661z00_767 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_882);
															}
														}
														BgL_auxz00_880 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1661z00_767))->
															BgL_classz00);
													}
													BgL_testz00_879 =
														(BgL_auxz00_880 == CNST_TABLE_REF(((long) 0)));
												}
												if (BgL_testz00_879)
													{	/* Object/generic.scm 42 */
														BgL__ortest_2133z00_404 = ((bool_t) 0);
													}
												else
													{	/* Object/generic.scm 42 */
														BgL__ortest_2133z00_404 = ((bool_t) 1);
													}
											}
											if (BgL__ortest_2133z00_404)
												{	/* Object/generic.scm 42 */
													BgL_testz00_870 = BgL__ortest_2133z00_404;
												}
											else
												{	/* Object/generic.scm 43 */
													obj_t BgL_auxz00_889;

													{	/* Object/generic.scm 43 */
														BgL_sfunz00_bglt BgL_obj1654z00_769;

														{	/* Object/generic.scm 43 */
															BgL_variablez00_bglt BgL_obj1387z00_768;

															BgL_obj1387z00_768 =
																(BgL_variablez00_bglt) (BgL_gz00_381);
															{	/* Object/generic.scm 43 */
																BgL_valuez00_bglt BgL_auxz00_891;

																BgL_auxz00_891 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_768))->BgL_valuez00);
																BgL_obj1654z00_769 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_891);
															}
														}
														BgL_auxz00_889 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_769))->
															BgL_argsz00);
													}
													BgL_testz00_870 = NULLP(BgL_auxz00_889);
												}
										}
								}
							else
								{	/* Object/generic.scm 40 */
									BgL_testz00_870 = ((bool_t) 0);
								}
							if (BgL_testz00_870)
								{
									obj_t BgL_msgz00_896;

									BgL_msgz00_896 = BGl_string2427z00zzobject_genericz00;
									BgL_msgz00_413 = BgL_msgz00_896;
									goto BgL_zc3anonymousza32187ze3z83_414;
								}
							else
								{	/* Object/generic.scm 46 */
									obj_t BgL_methodzd2argzd2_384;

									BgL_methodzd2argzd2_384 = CAR(BgL_localsz00_2);
									{	/* Object/generic.scm 46 */
										BgL_typez00_bglt BgL_methodzd2argzd2typez00_385;

										{	/* Object/generic.scm 47 */
											BgL_variablez00_bglt BgL_obj1384z00_772;

											BgL_obj1384z00_772 =
												(BgL_variablez00_bglt) (BgL_methodzd2argzd2_384);
											BgL_methodzd2argzd2typez00_385 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1384z00_772))->
												BgL_typez00);
										}
										{	/* Object/generic.scm 47 */
											obj_t BgL_ptypez00_386;

											if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_381,
													BGl_globalz00zzast_varz00))
												{	/* Object/generic.scm 48 */
													obj_t BgL_pairz00_776;

													{	/* Object/generic.scm 48 */
														BgL_sfunz00_bglt BgL_obj1654z00_775;

														{	/* Object/generic.scm 48 */
															BgL_variablez00_bglt BgL_obj1387z00_774;

															BgL_obj1387z00_774 =
																(BgL_variablez00_bglt) (BgL_gz00_381);
															{	/* Object/generic.scm 48 */
																BgL_valuez00_bglt BgL_auxz00_903;

																BgL_auxz00_903 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1387z00_774))->BgL_valuez00);
																BgL_obj1654z00_775 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_903);
															}
														}
														BgL_pairz00_776 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1654z00_775))->
															BgL_argsz00);
													}
													BgL_ptypez00_386 = CAR(BgL_pairz00_776);
												}
											else
												{	/* Object/generic.scm 48 */
													BgL_ptypez00_386 = BFALSE;
												}
											{	/* Object/generic.scm 48 */

												{	/* Object/generic.scm 50 */
													bool_t BgL_testz00_908;

													{	/* Object/generic.scm 50 */
														bool_t BgL_testz00_909;

														{	/* Object/generic.scm 50 */
															obj_t BgL_obj1912z00_777;

															BgL_obj1912z00_777 =
																(obj_t) (BgL_methodzd2argzd2typez00_385);
															BgL_testz00_909 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1912z00_777,
																BGl_tclassz00zzobject_classz00);
														}
														if (BgL_testz00_909)
															{	/* Object/generic.scm 50 */
																BgL_testz00_908 = ((bool_t) 1);
															}
														else
															{	/* Object/generic.scm 50 */
																BgL_testz00_908 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_ptypez00_386,
																	BGl_tclassz00zzobject_classz00);
															}
													}
													if (BgL_testz00_908)
														{	/* Object/generic.scm 50 */
															return
																BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00
																(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3,
																BgL_srcz00_4);
														}
													else
														{	/* Object/generic.scm 52 */
															bool_t BgL_testz00_914;

															{	/* Object/generic.scm 52 */
																bool_t BgL_testz00_915;

																{	/* Object/generic.scm 52 */
																	obj_t BgL_obj1374z00_779;

																	BgL_obj1374z00_779 =
																		(obj_t) (BgL_methodzd2argzd2typez00_385);
																	BgL_testz00_915 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj1374z00_779,
																		BGl_typez00zztype_typez00);
																}
																if (BgL_testz00_915)
																	{	/* Object/generic.scm 52 */
																		if (
																			((obj_t) (BgL_methodzd2argzd2typez00_385)
																				== BGl_za2objza2z00zztype_cachez00))
																			{	/* Object/generic.scm 53 */
																				BgL_testz00_914 = ((bool_t) 0);
																			}
																		else
																			{	/* Object/generic.scm 54 */
																				bool_t BgL_testz00_921;

																				{	/* Object/generic.scm 54 */
																					BgL_typez00_bglt BgL_arg2162z00_397;

																					BgL_arg2162z00_397 =
																						BGl_getzd2defaultzd2typez00zztype_cachez00
																						();
																					BgL_testz00_921 =
																						((obj_t)
																						(BgL_methodzd2argzd2typez00_385) ==
																						(obj_t) (BgL_arg2162z00_397));
																				}
																				if (BgL_testz00_921)
																					{	/* Object/generic.scm 54 */
																						BgL_testz00_914 = ((bool_t) 0);
																					}
																				else
																					{	/* Object/generic.scm 54 */
																						BgL_testz00_914 = ((bool_t) 1);
																					}
																			}
																	}
																else
																	{	/* Object/generic.scm 52 */
																		BgL_testz00_914 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_914)
																{
																	obj_t BgL_msgz00_926;

																	BgL_msgz00_926 =
																		BGl_string2428z00zzobject_genericz00;
																	BgL_msgz00_413 = BgL_msgz00_926;
																	goto BgL_zc3anonymousza32187ze3z83_414;
																}
															else
																{	/* Object/generic.scm 56 */
																	bool_t BgL_testz00_927;

																	if (BGl_iszd2azf3z21zz__objectz00
																		(BgL_ptypez00_386,
																			BGl_typez00zztype_typez00))
																		{	/* Object/generic.scm 56 */
																			if (
																				(BgL_ptypez00_386 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* Object/generic.scm 57 */
																					BgL_testz00_927 = ((bool_t) 0);
																				}
																			else
																				{	/* Object/generic.scm 58 */
																					bool_t BgL_testz00_932;

																					{	/* Object/generic.scm 58 */
																						BgL_typez00_bglt BgL_arg2156z00_393;

																						BgL_arg2156z00_393 =
																							BGl_getzd2defaultzd2typez00zztype_cachez00
																							();
																						BgL_testz00_932 =
																							(BgL_ptypez00_386 ==
																							(obj_t) (BgL_arg2156z00_393));
																					}
																					if (BgL_testz00_932)
																						{	/* Object/generic.scm 58 */
																							BgL_testz00_927 = ((bool_t) 0);
																						}
																					else
																						{	/* Object/generic.scm 58 */
																							BgL_testz00_927 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Object/generic.scm 56 */
																			BgL_testz00_927 = ((bool_t) 0);
																		}
																	if (BgL_testz00_927)
																		{
																			obj_t BgL_msgz00_936;

																			BgL_msgz00_936 =
																				BGl_string2428z00zzobject_genericz00;
																			BgL_msgz00_413 = BgL_msgz00_936;
																			goto BgL_zc3anonymousza32187ze3z83_414;
																		}
																	else
																		{	/* Object/generic.scm 56 */
																			return
																				BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00
																				(BgL_idz00_1, BgL_localsz00_2,
																				BgL_argsz00_3, BgL_srcz00_4);
																		}
																}
														}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* _make-generic-body */
	obj_t BGl__makezd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_envz00_826,
		obj_t BgL_idz00_827, obj_t BgL_localsz00_828, obj_t BgL_argsz00_829,
		obj_t BgL_srcz00_830)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 33 */
			return
				BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_827,
				BgL_localsz00_828, BgL_argsz00_829, BgL_srcz00_830);
		}
	}



/* make-object-generic-body */
	obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t
		BgL_idz00_5, obj_t BgL_localsz00_6, obj_t BgL_argsz00_7, obj_t BgL_srcz00_8)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 66 */
			{	/* Object/generic.scm 67 */
				obj_t BgL_pidz00_417;

				BgL_pidz00_417 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_5,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_8));
				{	/* Object/generic.scm 67 */
					obj_t BgL_idz00_418;

					BgL_idz00_418 = CAR(BgL_pidz00_417);
					{	/* Object/generic.scm 68 */
						long BgL_arityz00_419;

						BgL_arityz00_419 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_7);
						{	/* Object/generic.scm 69 */
							obj_t BgL_argszd2idzd2_420;

							if (NULLP(BgL_localsz00_6))
								{	/* Object/generic.scm 70 */
									BgL_argszd2idzd2_420 = BNIL;
								}
							else
								{	/* Object/generic.scm 70 */
									obj_t BgL_head2138z00_461;

									{	/* Object/generic.scm 70 */
										obj_t BgL_arg2274z00_472;

										{	/* Object/generic.scm 70 */
											BgL_variablez00_bglt BgL_obj1379z00_784;

											{	/* Object/generic.scm 70 */
												obj_t BgL_pairz00_783;

												BgL_pairz00_783 = BgL_localsz00_6;
												{	/* Object/generic.scm 70 */
													obj_t BgL_auxz00_945;

													BgL_auxz00_945 = CAR(BgL_pairz00_783);
													BgL_obj1379z00_784 =
														(BgL_variablez00_bglt) (BgL_auxz00_945);
												}
											}
											BgL_arg2274z00_472 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_784))->
												BgL_idz00);
										}
										BgL_head2138z00_461 = MAKE_PAIR(BgL_arg2274z00_472, BNIL);
									}
									{	/* Object/generic.scm 70 */
										obj_t BgL_g2141z00_462;

										BgL_g2141z00_462 = CDR(BgL_localsz00_6);
										{
											obj_t BgL_l2135z00_463;
											obj_t BgL_tail2139z00_464;

											BgL_l2135z00_463 = BgL_g2141z00_462;
											BgL_tail2139z00_464 = BgL_head2138z00_461;
										BgL_map2137z00_465:
											if (NULLP(BgL_l2135z00_463))
												{	/* Object/generic.scm 70 */
													BgL_argszd2idzd2_420 = BgL_head2138z00_461;
												}
											else
												{	/* Object/generic.scm 70 */
													obj_t BgL_newtail2140z00_467;

													{	/* Object/generic.scm 70 */
														obj_t BgL_arg2271z00_469;

														{	/* Object/generic.scm 70 */
															BgL_variablez00_bglt BgL_obj1379z00_790;

															{	/* Object/generic.scm 70 */
																obj_t BgL_pairz00_789;

																BgL_pairz00_789 = BgL_l2135z00_463;
																{	/* Object/generic.scm 70 */
																	obj_t BgL_auxz00_953;

																	BgL_auxz00_953 = CAR(BgL_pairz00_789);
																	BgL_obj1379z00_790 =
																		(BgL_variablez00_bglt) (BgL_auxz00_953);
																}
															}
															BgL_arg2271z00_469 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1379z00_790))->BgL_idz00);
														}
														BgL_newtail2140z00_467 =
															MAKE_PAIR(BgL_arg2271z00_469, BNIL);
													}
													SET_CDR(BgL_tail2139z00_464, BgL_newtail2140z00_467);
													{
														obj_t BgL_tail2139z00_961;
														obj_t BgL_l2135z00_959;

														BgL_l2135z00_959 = CDR(BgL_l2135z00_463);
														BgL_tail2139z00_961 = BgL_newtail2140z00_467;
														BgL_tail2139z00_464 = BgL_tail2139z00_961;
														BgL_l2135z00_463 = BgL_l2135z00_959;
														goto BgL_map2137z00_465;
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 70 */
								obj_t BgL_methodzd2argzd2_421;

								BgL_methodzd2argzd2_421 = CAR(BgL_localsz00_6);
								{	/* Object/generic.scm 71 */
									obj_t BgL_methodzd2argzd2idz00_422;

									{	/* Object/generic.scm 72 */
										BgL_variablez00_bglt BgL_obj1379z00_797;

										BgL_obj1379z00_797 =
											(BgL_variablez00_bglt) (BgL_methodzd2argzd2_421);
										BgL_methodzd2argzd2idz00_422 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_797))->
											BgL_idz00);
									}
									{	/* Object/generic.scm 73 */
										obj_t BgL_methodz00_424;

										BgL_methodz00_424 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													1)));
										{	/* Object/generic.scm 74 */
											obj_t BgL_tmethodz00_425;

											BgL_tmethodz00_425 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_methodz00_424, CNST_TABLE_REF(((long) 2)));
											{	/* Object/generic.scm 75 */

												{	/* Object/generic.scm 76 */
													obj_t BgL_arg2189z00_426;
													obj_t BgL_arg2190z00_427;

													BgL_arg2189z00_426 = CNST_TABLE_REF(((long) 3));
													{	/* Object/generic.scm 76 */
														obj_t BgL_arg2191z00_428;
														obj_t BgL_arg2193z00_429;

														{	/* Object/generic.scm 76 */
															obj_t BgL_arg2200z00_433;

															{	/* Object/generic.scm 76 */
																obj_t BgL_arg2208z00_435;

																{	/* Object/generic.scm 76 */
																	obj_t BgL_arg2214z00_436;

																	{	/* Object/generic.scm 76 */
																		obj_t BgL_arg2227z00_439;
																		obj_t BgL_arg2234z00_440;

																		BgL_arg2227z00_439 =
																			CNST_TABLE_REF(((long) 4));
																		{	/* Object/generic.scm 76 */
																			obj_t BgL_arg2235z00_441;

																			{	/* Object/generic.scm 76 */
																				obj_t BgL_arg2254z00_445;
																				obj_t BgL_arg2255z00_446;

																				BgL_arg2254z00_445 =
																					CNST_TABLE_REF(((long) 5));
																				{	/* Object/generic.scm 76 */
																					obj_t BgL_list2256z00_447;

																					{	/* Object/generic.scm 76 */
																						obj_t BgL_arg2257z00_448;

																						BgL_arg2257z00_448 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list2256z00_447 =
																							MAKE_PAIR
																							(BGl_za2moduleza2z00zzmodule_modulez00,
																							BgL_arg2257z00_448);
																					}
																					BgL_arg2255z00_446 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_idz00_418,
																						BgL_list2256z00_447);
																				}
																				BgL_arg2235z00_441 =
																					MAKE_PAIR(BgL_arg2254z00_445,
																					BgL_arg2255z00_446);
																			}
																			{	/* Object/generic.scm 76 */
																				obj_t BgL_list2237z00_443;

																				{	/* Object/generic.scm 76 */
																					obj_t BgL_arg2248z00_444;

																					BgL_arg2248z00_444 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2237z00_443 =
																						MAKE_PAIR(BgL_arg2235z00_441,
																						BgL_arg2248z00_444);
																				}
																				BgL_arg2234z00_440 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_methodzd2argzd2idz00_422,
																					BgL_list2237z00_443);
																		}}
																		BgL_arg2214z00_436 =
																			MAKE_PAIR(BgL_arg2227z00_439,
																			BgL_arg2234z00_440);
																	}
																	{	/* Object/generic.scm 76 */
																		obj_t BgL_list2222z00_438;

																		BgL_list2222z00_438 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2208z00_435 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2214z00_436, BgL_list2222z00_438);
																}}
																BgL_arg2200z00_433 =
																	MAKE_PAIR(BgL_tmethodz00_425,
																	BgL_arg2208z00_435);
															}
															BgL_arg2191z00_428 =
																MAKE_PAIR(BgL_arg2200z00_433, BNIL);
														}
														if ((BgL_arityz00_419 >= ((long) 0)))
															{	/* Object/generic.scm 77 */
																BgL_arg2193z00_429 =
																	MAKE_PAIR(BgL_methodz00_424,
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_argszd2idzd2_420, BNIL));
															}
														else
															{	/* Object/generic.scm 79 */
																obj_t BgL_arg2260z00_451;
																obj_t BgL_arg2261z00_452;

																BgL_arg2260z00_451 = CNST_TABLE_REF(((long) 6));
																{	/* Object/generic.scm 79 */
																	obj_t BgL_arg2262z00_453;

																	{	/* Object/generic.scm 79 */
																		obj_t BgL_arg2266z00_457;
																		obj_t BgL_arg2267z00_458;

																		BgL_arg2266z00_457 =
																			CNST_TABLE_REF(((long) 7));
																		BgL_arg2267z00_458 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_argszd2idzd2_420, BNIL);
																		BgL_arg2262z00_453 =
																			MAKE_PAIR(BgL_arg2266z00_457,
																			BgL_arg2267z00_458);
																	}
																	{	/* Object/generic.scm 79 */
																		obj_t BgL_list2264z00_455;

																		{	/* Object/generic.scm 79 */
																			obj_t BgL_arg2265z00_456;

																			BgL_arg2265z00_456 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2264z00_455 =
																				MAKE_PAIR(BgL_arg2262z00_453,
																				BgL_arg2265z00_456);
																		}
																		BgL_arg2261z00_452 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_methodz00_424, BgL_list2264z00_455);
																}}
																BgL_arg2193z00_429 =
																	MAKE_PAIR(BgL_arg2260z00_451,
																	BgL_arg2261z00_452);
															}
														{	/* Object/generic.scm 76 */
															obj_t BgL_list2198z00_431;

															{	/* Object/generic.scm 76 */
																obj_t BgL_arg2199z00_432;

																BgL_arg2199z00_432 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2198z00_431 =
																	MAKE_PAIR(BgL_arg2193z00_429,
																	BgL_arg2199z00_432);
															}
															BgL_arg2190z00_427 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2191z00_428, BgL_list2198z00_431);
													}}
													return
														MAKE_PAIR(BgL_arg2189z00_426, BgL_arg2190z00_427);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-non-object-generic-body */
	obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_9, obj_t BgL_localsz00_10, obj_t BgL_argsz00_11,
		obj_t BgL_srcz00_12)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 84 */
			{	/* Object/generic.scm 85 */
				obj_t BgL_pidz00_476;

				BgL_pidz00_476 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12));
				{	/* Object/generic.scm 85 */
					obj_t BgL_idz00_477;

					BgL_idz00_477 = CAR(BgL_pidz00_476);
					{	/* Object/generic.scm 86 */
						long BgL_arityz00_478;

						BgL_arityz00_478 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_11);
						{	/* Object/generic.scm 87 */
							obj_t BgL_argszd2idzd2_479;

							if (NULLP(BgL_localsz00_10))
								{	/* Object/generic.scm 88 */
									BgL_argszd2idzd2_479 = BNIL;
								}
							else
								{	/* Object/generic.scm 88 */
									obj_t BgL_head2144z00_603;

									{	/* Object/generic.scm 88 */
										obj_t BgL_arg2403z00_614;

										{	/* Object/generic.scm 88 */
											BgL_variablez00_bglt BgL_obj1379z00_804;

											{	/* Object/generic.scm 88 */
												obj_t BgL_pairz00_803;

												BgL_pairz00_803 = BgL_localsz00_10;
												{	/* Object/generic.scm 88 */
													obj_t BgL_auxz00_1006;

													BgL_auxz00_1006 = CAR(BgL_pairz00_803);
													BgL_obj1379z00_804 =
														(BgL_variablez00_bglt) (BgL_auxz00_1006);
												}
											}
											BgL_arg2403z00_614 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_804))->
												BgL_idz00);
										}
										BgL_head2144z00_603 = MAKE_PAIR(BgL_arg2403z00_614, BNIL);
									}
									{	/* Object/generic.scm 88 */
										obj_t BgL_g2147z00_604;

										BgL_g2147z00_604 = CDR(BgL_localsz00_10);
										{
											obj_t BgL_l2142z00_605;
											obj_t BgL_tail2145z00_606;

											BgL_l2142z00_605 = BgL_g2147z00_604;
											BgL_tail2145z00_606 = BgL_head2144z00_603;
										BgL_map2143z00_607:
											if (NULLP(BgL_l2142z00_605))
												{	/* Object/generic.scm 88 */
													BgL_argszd2idzd2_479 = BgL_head2144z00_603;
												}
											else
												{	/* Object/generic.scm 88 */
													obj_t BgL_newtail2146z00_609;

													{	/* Object/generic.scm 88 */
														obj_t BgL_arg2400z00_611;

														{	/* Object/generic.scm 88 */
															BgL_variablez00_bglt BgL_obj1379z00_810;

															{	/* Object/generic.scm 88 */
																obj_t BgL_pairz00_809;

																BgL_pairz00_809 = BgL_l2142z00_605;
																{	/* Object/generic.scm 88 */
																	obj_t BgL_auxz00_1014;

																	BgL_auxz00_1014 = CAR(BgL_pairz00_809);
																	BgL_obj1379z00_810 =
																		(BgL_variablez00_bglt) (BgL_auxz00_1014);
																}
															}
															BgL_arg2400z00_611 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1379z00_810))->BgL_idz00);
														}
														BgL_newtail2146z00_609 =
															MAKE_PAIR(BgL_arg2400z00_611, BNIL);
													}
													SET_CDR(BgL_tail2145z00_606, BgL_newtail2146z00_609);
													{
														obj_t BgL_tail2145z00_1022;
														obj_t BgL_l2142z00_1020;

														BgL_l2142z00_1020 = CDR(BgL_l2142z00_605);
														BgL_tail2145z00_1022 = BgL_newtail2146z00_609;
														BgL_tail2145z00_606 = BgL_tail2145z00_1022;
														BgL_l2142z00_605 = BgL_l2142z00_1020;
														goto BgL_map2143z00_607;
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 88 */
								obj_t BgL_defaultzd2bodyzd2_480;

								if ((BgL_arityz00_478 >= ((long) 0)))
									{	/* Object/generic.scm 90 */
										obj_t BgL_arg2359z00_567;
										obj_t BgL_arg2360z00_568;

										{	/* Object/generic.scm 90 */
											obj_t BgL_arg2361z00_569;
											obj_t BgL_arg2362z00_570;

											BgL_arg2361z00_569 = CNST_TABLE_REF(((long) 8));
											{	/* Object/generic.scm 91 */
												obj_t BgL_arg2363z00_571;

												{	/* Object/generic.scm 91 */
													obj_t BgL_arg2366z00_574;
													obj_t BgL_arg2368z00_575;

													BgL_arg2366z00_574 = CNST_TABLE_REF(((long) 5));
													{	/* Object/generic.scm 91 */
														obj_t BgL_list2369z00_576;

														{	/* Object/generic.scm 91 */
															obj_t BgL_arg2370z00_577;

															BgL_arg2370z00_577 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2369z00_576 =
																MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
																BgL_arg2370z00_577);
														}
														BgL_arg2368z00_575 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_idz00_477, BgL_list2369z00_576);
													}
													BgL_arg2363z00_571 =
														MAKE_PAIR(BgL_arg2366z00_574, BgL_arg2368z00_575);
												}
												{	/* Object/generic.scm 90 */
													obj_t BgL_list2365z00_573;

													BgL_list2365z00_573 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2362z00_570 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2363z00_571, BgL_list2365z00_573);
											}}
											BgL_arg2359z00_567 =
												MAKE_PAIR(BgL_arg2361z00_569, BgL_arg2362z00_570);
										}
										BgL_arg2360z00_568 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_argszd2idzd2_479, BNIL);
										BgL_defaultzd2bodyzd2_480 =
											MAKE_PAIR(BgL_arg2359z00_567, BgL_arg2360z00_568);
									}
								else
									{	/* Object/generic.scm 93 */
										obj_t BgL_arg2372z00_578;
										obj_t BgL_arg2373z00_579;

										BgL_arg2372z00_578 = CNST_TABLE_REF(((long) 6));
										{	/* Object/generic.scm 93 */
											obj_t BgL_arg2374z00_580;
											obj_t BgL_arg2375z00_581;

											{	/* Object/generic.scm 93 */
												obj_t BgL_arg2379z00_585;
												obj_t BgL_arg2380z00_586;

												BgL_arg2379z00_585 = CNST_TABLE_REF(((long) 8));
												{	/* Object/generic.scm 94 */
													obj_t BgL_arg2381z00_587;

													{	/* Object/generic.scm 94 */
														obj_t BgL_arg2384z00_590;
														obj_t BgL_arg2385z00_591;

														BgL_arg2384z00_590 = CNST_TABLE_REF(((long) 5));
														{	/* Object/generic.scm 94 */
															obj_t BgL_list2386z00_592;

															{	/* Object/generic.scm 94 */
																obj_t BgL_arg2389z00_593;

																BgL_arg2389z00_593 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2386z00_592 =
																	MAKE_PAIR
																	(BGl_za2moduleza2z00zzmodule_modulez00,
																	BgL_arg2389z00_593);
															}
															BgL_arg2385z00_591 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_idz00_477, BgL_list2386z00_592);
														}
														BgL_arg2381z00_587 =
															MAKE_PAIR(BgL_arg2384z00_590, BgL_arg2385z00_591);
													}
													{	/* Object/generic.scm 93 */
														obj_t BgL_list2383z00_589;

														BgL_list2383z00_589 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2380z00_586 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2381z00_587, BgL_list2383z00_589);
												}}
												BgL_arg2374z00_580 =
													MAKE_PAIR(BgL_arg2379z00_585, BgL_arg2380z00_586);
											}
											{	/* Object/generic.scm 95 */
												obj_t BgL_arg2390z00_594;
												obj_t BgL_arg2391z00_595;

												{	/* Object/generic.scm 95 */
													obj_t BgL_arg2392z00_596;
													obj_t BgL_arg2393z00_597;

													BgL_arg2392z00_596 = CNST_TABLE_REF(((long) 5));
													{	/* Object/generic.scm 95 */
														obj_t BgL_list2394z00_598;

														{	/* Object/generic.scm 95 */
															obj_t BgL_arg2395z00_599;
															obj_t BgL_arg2396z00_600;

															BgL_arg2395z00_599 = CNST_TABLE_REF(((long) 9));
															BgL_arg2396z00_600 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2394z00_598 =
																MAKE_PAIR(BgL_arg2395z00_599,
																BgL_arg2396z00_600);
														}
														BgL_arg2393z00_597 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(CNST_TABLE_REF(((long) 7)), BgL_list2394z00_598);
													}
													BgL_arg2390z00_594 =
														MAKE_PAIR(BgL_arg2392z00_596, BgL_arg2393z00_597);
												}
												BgL_arg2391z00_595 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_argszd2idzd2_479, BNIL);
												BgL_arg2375z00_581 =
													MAKE_PAIR(BgL_arg2390z00_594, BgL_arg2391z00_595);
											}
											{	/* Object/generic.scm 93 */
												obj_t BgL_list2377z00_583;

												{	/* Object/generic.scm 93 */
													obj_t BgL_arg2378z00_584;

													BgL_arg2378z00_584 = MAKE_PAIR(BNIL, BNIL);
													BgL_list2377z00_583 =
														MAKE_PAIR(BgL_arg2375z00_581, BgL_arg2378z00_584);
												}
												BgL_arg2373z00_579 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2374z00_580, BgL_list2377z00_583);
										}}
										BgL_defaultzd2bodyzd2_480 =
											MAKE_PAIR(BgL_arg2372z00_578, BgL_arg2373z00_579);
									}
								{	/* Object/generic.scm 89 */
									obj_t BgL_methodzd2argzd2_481;

									BgL_methodzd2argzd2_481 = CAR(BgL_localsz00_10);
									{	/* Object/generic.scm 98 */
										obj_t BgL_methodzd2argzd2idz00_482;

										{	/* Object/generic.scm 99 */
											BgL_variablez00_bglt BgL_obj1379z00_819;

											BgL_obj1379z00_819 =
												(BgL_variablez00_bglt) (BgL_methodzd2argzd2_481);
											BgL_methodzd2argzd2idz00_482 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_819))->
												BgL_idz00);
										}
										{	/* Object/generic.scm 100 */
											obj_t BgL_methodz00_484;

											BgL_methodz00_484 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 1)));
											{	/* Object/generic.scm 101 */
												obj_t BgL_tmethodz00_485;

												BgL_tmethodz00_485 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_methodz00_484, CNST_TABLE_REF(((long) 2)));
												{	/* Object/generic.scm 102 */
													obj_t BgL_defaultzd2namezd2_486;

													{	/* Object/generic.scm 103 */
														obj_t BgL_arg2353z00_561;

														{	/* Object/generic.scm 103 */
															obj_t BgL_arg2354z00_562;
															obj_t BgL_arg2355z00_563;

															BgL_arg2354z00_562 =
																SYMBOL_TO_STRING(BgL_idz00_477);
															{	/* Object/generic.scm 103 */
																obj_t BgL_symbolz00_822;

																BgL_symbolz00_822 = CNST_TABLE_REF(((long) 10));
																BgL_arg2355z00_563 =
																	SYMBOL_TO_STRING(BgL_symbolz00_822);
															}
															{	/* Object/generic.scm 103 */
																obj_t BgL_list2356z00_564;

																{	/* Object/generic.scm 103 */
																	obj_t BgL_arg2357z00_565;

																	BgL_arg2357z00_565 =
																		MAKE_PAIR(BgL_arg2355z00_563, BNIL);
																	BgL_list2356z00_564 =
																		MAKE_PAIR(BgL_arg2354z00_562,
																		BgL_arg2357z00_565);
																}
																BgL_arg2353z00_561 =
																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																	(BgL_list2356z00_564);
														}}
														BgL_defaultzd2namezd2_486 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg2353z00_561));
													}
													{	/* Object/generic.scm 103 */
														obj_t BgL_appzd2lyzd2methodz00_487;

														{	/* Object/generic.scm 104 */
															obj_t BgL_arg2301z00_511;
															obj_t BgL_arg2302z00_512;

															BgL_arg2301z00_511 = CNST_TABLE_REF(((long) 3));
															{	/* Object/generic.scm 104 */
																obj_t BgL_arg2303z00_513;
																obj_t BgL_arg2304z00_514;

																{	/* Object/generic.scm 104 */
																	obj_t BgL_arg2308z00_518;

																	{	/* Object/generic.scm 104 */
																		obj_t BgL_arg2310z00_520;

																		{	/* Object/generic.scm 104 */
																			obj_t BgL_arg2311z00_521;

																			{	/* Object/generic.scm 104 */
																				obj_t BgL_arg2314z00_524;
																				obj_t BgL_arg2315z00_525;

																				BgL_arg2314z00_524 =
																					CNST_TABLE_REF(((long) 4));
																				{	/* Object/generic.scm 105 */
																					obj_t BgL_arg2316z00_526;

																					{	/* Object/generic.scm 105 */
																						obj_t BgL_arg2320z00_530;
																						obj_t BgL_arg2321z00_531;

																						BgL_arg2320z00_530 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Object/generic.scm 105 */
																							obj_t BgL_list2322z00_532;

																							{	/* Object/generic.scm 105 */
																								obj_t BgL_arg2323z00_533;

																								BgL_arg2323z00_533 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2322z00_532 =
																									MAKE_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BgL_arg2323z00_533);
																							}
																							BgL_arg2321z00_531 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_477,
																								BgL_list2322z00_532);
																						}
																						BgL_arg2316z00_526 =
																							MAKE_PAIR(BgL_arg2320z00_530,
																							BgL_arg2321z00_531);
																					}
																					{	/* Object/generic.scm 104 */
																						obj_t BgL_list2318z00_528;

																						{	/* Object/generic.scm 104 */
																							obj_t BgL_arg2319z00_529;

																							BgL_arg2319z00_529 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2318z00_528 =
																								MAKE_PAIR(BgL_arg2316z00_526,
																								BgL_arg2319z00_529);
																						}
																						BgL_arg2315z00_525 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_methodzd2argzd2idz00_482,
																							BgL_list2318z00_528);
																				}}
																				BgL_arg2311z00_521 =
																					MAKE_PAIR(BgL_arg2314z00_524,
																					BgL_arg2315z00_525);
																			}
																			{	/* Object/generic.scm 104 */
																				obj_t BgL_list2313z00_523;

																				BgL_list2313z00_523 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2310z00_520 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2311z00_521,
																					BgL_list2313z00_523);
																		}}
																		BgL_arg2308z00_518 =
																			MAKE_PAIR(BgL_tmethodz00_485,
																			BgL_arg2310z00_520);
																	}
																	BgL_arg2303z00_513 =
																		MAKE_PAIR(BgL_arg2308z00_518, BNIL);
																}
																{	/* Object/generic.scm 107 */
																	obj_t BgL_arg2324z00_534;
																	obj_t BgL_arg2325z00_535;

																	BgL_arg2324z00_534 =
																		CNST_TABLE_REF(((long) 11));
																	{	/* Object/generic.scm 107 */
																		obj_t BgL_arg2326z00_536;
																		obj_t BgL_arg2327z00_537;
																		obj_t BgL_arg2328z00_538;

																		{	/* Object/generic.scm 107 */
																			obj_t BgL_arg2333z00_543;
																			obj_t BgL_arg2334z00_544;

																			BgL_arg2333z00_543 =
																				CNST_TABLE_REF(((long) 12));
																			{	/* Object/generic.scm 107 */
																				obj_t BgL_list2335z00_545;

																				BgL_list2335z00_545 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2334z00_544 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_methodz00_484,
																					BgL_list2335z00_545);
																			}
																			BgL_arg2326z00_536 =
																				MAKE_PAIR(BgL_arg2333z00_543,
																				BgL_arg2334z00_544);
																		}
																		if ((BgL_arityz00_478 >= ((long) 0)))
																			{	/* Object/generic.scm 108 */
																				BgL_arg2327z00_537 =
																					MAKE_PAIR(BgL_methodz00_484,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_argszd2idzd2_479, BNIL));
																			}
																		else
																			{	/* Object/generic.scm 110 */
																				obj_t BgL_arg2338z00_548;
																				obj_t BgL_arg2340z00_549;

																				BgL_arg2338z00_548 =
																					CNST_TABLE_REF(((long) 6));
																				{	/* Object/generic.scm 110 */
																					obj_t BgL_arg2341z00_550;

																					{	/* Object/generic.scm 110 */
																						obj_t BgL_arg2346z00_554;
																						obj_t BgL_arg2347z00_555;

																						BgL_arg2346z00_554 =
																							CNST_TABLE_REF(((long) 7));
																						BgL_arg2347z00_555 =
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_argszd2idzd2_479, BNIL);
																						BgL_arg2341z00_550 =
																							MAKE_PAIR(BgL_arg2346z00_554,
																							BgL_arg2347z00_555);
																					}
																					{	/* Object/generic.scm 110 */
																						obj_t BgL_list2343z00_552;

																						{	/* Object/generic.scm 110 */
																							obj_t BgL_arg2344z00_553;

																							BgL_arg2344z00_553 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2343z00_552 =
																								MAKE_PAIR(BgL_arg2341z00_550,
																								BgL_arg2344z00_553);
																						}
																						BgL_arg2340z00_549 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_methodz00_484,
																							BgL_list2343z00_552);
																				}}
																				BgL_arg2327z00_537 =
																					MAKE_PAIR(BgL_arg2338z00_548,
																					BgL_arg2340z00_549);
																			}
																		{	/* Object/generic.scm 111 */
																			obj_t BgL_arg2348z00_556;
																			obj_t BgL_arg2349z00_557;

																			BgL_arg2348z00_556 =
																				CNST_TABLE_REF(((long) 13));
																			{	/* Object/generic.scm 112 */
																				obj_t BgL_arg2350z00_558;

																				BgL_arg2350z00_558 =
																					MAKE_PAIR(BgL_defaultzd2namezd2_486,
																					BNIL);
																				{	/* Object/generic.scm 111 */
																					obj_t BgL_list2352z00_560;

																					BgL_list2352z00_560 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2349z00_557 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2350z00_558,
																						BgL_list2352z00_560);
																			}}
																			BgL_arg2328z00_538 =
																				MAKE_PAIR(BgL_arg2348z00_556,
																				BgL_arg2349z00_557);
																		}
																		{	/* Object/generic.scm 107 */
																			obj_t BgL_list2330z00_540;

																			{	/* Object/generic.scm 107 */
																				obj_t BgL_arg2331z00_541;

																				{	/* Object/generic.scm 107 */
																					obj_t BgL_arg2332z00_542;

																					BgL_arg2332z00_542 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2331z00_541 =
																						MAKE_PAIR(BgL_arg2328z00_538,
																						BgL_arg2332z00_542);
																				}
																				BgL_list2330z00_540 =
																					MAKE_PAIR(BgL_arg2327z00_537,
																					BgL_arg2331z00_541);
																			}
																			BgL_arg2325z00_535 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2326z00_536,
																				BgL_list2330z00_540);
																	}}
																	BgL_arg2304z00_514 =
																		MAKE_PAIR(BgL_arg2324z00_534,
																		BgL_arg2325z00_535);
																}
																{	/* Object/generic.scm 104 */
																	obj_t BgL_list2306z00_516;

																	{	/* Object/generic.scm 104 */
																		obj_t BgL_arg2307z00_517;

																		BgL_arg2307z00_517 = MAKE_PAIR(BNIL, BNIL);
																		BgL_list2306z00_516 =
																			MAKE_PAIR(BgL_arg2304z00_514,
																			BgL_arg2307z00_517);
																	}
																	BgL_arg2302z00_512 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2303z00_513, BgL_list2306z00_516);
															}}
															BgL_appzd2lyzd2methodz00_487 =
																MAKE_PAIR(BgL_arg2301z00_511,
																BgL_arg2302z00_512);
														}
														{	/* Object/generic.scm 104 */

															{	/* Object/generic.scm 114 */
																obj_t BgL_arg2278z00_488;
																obj_t BgL_arg2279z00_489;

																BgL_arg2278z00_488 =
																	CNST_TABLE_REF(((long) 14));
																{	/* Object/generic.scm 114 */
																	obj_t BgL_arg2280z00_490;
																	obj_t BgL_arg2281z00_491;

																	{	/* Object/generic.scm 114 */
																		obj_t BgL_arg2285z00_495;

																		{	/* Object/generic.scm 114 */
																			obj_t BgL_arg2287z00_497;

																			{	/* Object/generic.scm 114 */
																				obj_t BgL_list2288z00_498;

																				{	/* Object/generic.scm 114 */
																					obj_t BgL_arg2289z00_499;

																					BgL_arg2289z00_499 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2288z00_498 =
																						MAKE_PAIR(BgL_defaultzd2bodyzd2_480,
																						BgL_arg2289z00_499);
																				}
																				BgL_arg2287z00_497 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BNIL, BgL_list2288z00_498);
																			}
																			BgL_arg2285z00_495 =
																				MAKE_PAIR(BgL_defaultzd2namezd2_486,
																				BgL_arg2287z00_497);
																		}
																		BgL_arg2280z00_490 =
																			MAKE_PAIR(BgL_arg2285z00_495, BNIL);
																	}
																	{	/* Object/generic.scm 115 */
																		obj_t BgL_arg2290z00_500;
																		obj_t BgL_arg2291z00_501;

																		BgL_arg2290z00_500 =
																			CNST_TABLE_REF(((long) 11));
																		{	/* Object/generic.scm 115 */
																			obj_t BgL_arg2292z00_502;
																			obj_t BgL_arg2293z00_503;

																			{	/* Object/generic.scm 115 */
																				obj_t BgL_arg2298z00_508;
																				obj_t BgL_arg2299z00_509;

																				BgL_arg2298z00_508 =
																					CNST_TABLE_REF(((long) 15));
																				{	/* Object/generic.scm 115 */
																					obj_t BgL_list2300z00_510;

																					BgL_list2300z00_510 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2299z00_509 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_methodzd2argzd2idz00_482,
																						BgL_list2300z00_510);
																				}
																				BgL_arg2292z00_502 =
																					MAKE_PAIR(BgL_arg2298z00_508,
																					BgL_arg2299z00_509);
																			}
																			BgL_arg2293z00_503 =
																				MAKE_PAIR(BgL_defaultzd2namezd2_486,
																				BNIL);
																			{	/* Object/generic.scm 115 */
																				obj_t BgL_list2295z00_505;

																				{	/* Object/generic.scm 115 */
																					obj_t BgL_arg2296z00_506;

																					{	/* Object/generic.scm 115 */
																						obj_t BgL_arg2297z00_507;

																						BgL_arg2297z00_507 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2296z00_506 =
																							MAKE_PAIR(BgL_arg2293z00_503,
																							BgL_arg2297z00_507);
																					}
																					BgL_list2295z00_505 =
																						MAKE_PAIR
																						(BgL_appzd2lyzd2methodz00_487,
																						BgL_arg2296z00_506);
																				}
																				BgL_arg2291z00_501 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2292z00_502,
																					BgL_list2295z00_505);
																		}}
																		BgL_arg2281z00_491 =
																			MAKE_PAIR(BgL_arg2290z00_500,
																			BgL_arg2291z00_501);
																	}
																	{	/* Object/generic.scm 114 */
																		obj_t BgL_list2283z00_493;

																		{	/* Object/generic.scm 114 */
																			obj_t BgL_arg2284z00_494;

																			BgL_arg2284z00_494 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2283z00_493 =
																				MAKE_PAIR(BgL_arg2281z00_491,
																				BgL_arg2284z00_494);
																		}
																		BgL_arg2279z00_489 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2280z00_490, BgL_list2283z00_493);
																}}
																return
																	MAKE_PAIR(BgL_arg2278z00_488,
																	BgL_arg2279z00_489);
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2429z00zzobject_genericz00));
		}
	}

#ifdef __cplusplus
}
#endif
