/*===========================================================================*/
/*   (Prof/emit.scm)                                                         */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Prof/emit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzprof_emitz00();
	extern obj_t BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzprof_emitz00();
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzprof_emitz00();
	static obj_t BGl__emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzprof_emitz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00();
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33389ze3z83zzprof_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2profzd2infozd2envzd2zzprof_emitz00,
		BgL_bgl__emitza7d2profza7d2i3492z00,
		BGl__emitzd2profzd2infoz00zzprof_emitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3470z00zzprof_emitz00,
		BgL_bgl_string3470za700za7za7p3493za7, "/* prof association table */", 28);
	      DEFINE_STRING(BGl_string3471z00zzprof_emitz00,
		BgL_bgl_string3471za700za7za7p3494za7, "static obj_t write_bprof_table() {",
		34);
	      DEFINE_STRING(BGl_string3472z00zzprof_emitz00,
		BgL_bgl_string3472za700za7za7p3495za7, "   extern obj_t bprof_port;", 27);
	      DEFINE_STRING(BGl_string3473z00zzprof_emitz00,
		BgL_bgl_string3473za700za7za7p3496za7,
		"   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( \"", 59);
	      DEFINE_STRING(BGl_string3474z00zzprof_emitz00,
		BgL_bgl_string3474za700za7za7p3497za7, "\", \"w\" );", 9);
	      DEFINE_STRING(BGl_string3475z00zzprof_emitz00,
		BgL_bgl_string3475za700za7za7p3498za7, "   if( bprof_port ) {", 21);
	      DEFINE_STRING(BGl_string3476z00zzprof_emitz00,
		BgL_bgl_string3476za700za7za7p3499za7, "      fputs( \"(\\\"", 17);
	      DEFINE_STRING(BGl_string3477z00zzprof_emitz00,
		BgL_bgl_string3477za700za7za7p3500za7, "\\\" \\\"", 5);
	      DEFINE_STRING(BGl_string3478z00zzprof_emitz00,
		BgL_bgl_string3478za700za7za7p3501za7, "\\\"", 2);
	      DEFINE_STRING(BGl_string3480z00zzprof_emitz00,
		BgL_bgl_string3480za700za7za7p3502za7, "   }", 4);
	      DEFINE_STRING(BGl_string3479z00zzprof_emitz00,
		BgL_bgl_string3479za700za7za7p3503za7, ")\\n\", (FILE *)bprof_port );", 27);
	      DEFINE_STRING(BGl_string3481z00zzprof_emitz00,
		BgL_bgl_string3481za700za7za7p3504za7, "   return BUNSPEC;", 18);
	      DEFINE_STRING(BGl_string3482z00zzprof_emitz00,
		BgL_bgl_string3482za700za7za7p3505za7, "}\n", 2);
	      DEFINE_STRING(BGl_string3483z00zzprof_emitz00,
		BgL_bgl_string3483za700za7za7p3506za7, "      fputs( \"((\\\"", 18);
	      DEFINE_STRING(BGl_string3484z00zzprof_emitz00,
		BgL_bgl_string3484za700za7za7p3507za7, "\\\" ", 3);
	      DEFINE_STRING(BGl_string3485z00zzprof_emitz00,
		BgL_bgl_string3485za700za7za7p3508za7, ") \\\"", 4);
	      DEFINE_STRING(BGl_string3486z00zzprof_emitz00,
		BgL_bgl_string3486za700za7za7p3509za7, " allocator", 10);
	      DEFINE_STRING(BGl_string3487z00zzprof_emitz00,
		BgL_bgl_string3487za700za7za7p3510za7, "", 0);
	      DEFINE_STRING(BGl_string3488z00zzprof_emitz00,
		BgL_bgl_string3488za700za7za7p3511za7, "prof_emit", 9);
	      DEFINE_STRING(BGl_string3489z00zzprof_emitz00,
		BgL_bgl_string3489za700za7za7p3512za7, "foreign location allocator ", 27);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long
		BgL_checksumz00_1467, char *BgL_fromz00_1468)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzprof_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzprof_emitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzprof_emitz00();
					BGl_cnstzd2initzd2zzprof_emitz00();
					BGl_importedzd2moduleszd2initz00zzprof_emitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00()
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "prof_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"prof_emit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "prof_emit");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"prof_emit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzprof_emitz00()
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 15 */
			{	/* Prof/emit.scm 15 */
				obj_t BgL_cportz00_1459;

				BgL_cportz00_1459 =
					bgl_open_input_string(BGl_string3489z00zzprof_emitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1460;

					BgL_iz00_1460 = ((long) 2);
				BgL_loopz00_1461:
					if ((BgL_iz00_1460 == ((long) -1)))
						{	/* Prof/emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Prof/emit.scm 15 */
							{	/* Prof/emit.scm 15 */
								obj_t BgL_arg3491z00_1463;

								{	/* Prof/emit.scm 15 */

									{	/* Prof/emit.scm 15 */
										obj_t BgL_locationz00_1465;

										BgL_locationz00_1465 = BBOOL(((bool_t) 0));
										{	/* Prof/emit.scm 15 */

											BgL_arg3491z00_1463 =
												BGl_readz00zz__readerz00(BgL_cportz00_1459,
												BgL_locationz00_1465);
										}
									}
								}
								{	/* Prof/emit.scm 15 */
									int BgL_auxz00_1485;

									BgL_auxz00_1485 = (int) (BgL_iz00_1460);
									CNST_TABLE_SET(BgL_auxz00_1485, BgL_arg3491z00_1463);
							}}
							{	/* Prof/emit.scm 15 */
								int BgL_auxz00_1466;

								BgL_auxz00_1466 = (int) ((BgL_iz00_1460 - ((long) 1)));
								{
									long BgL_iz00_1490;

									BgL_iz00_1490 = (long) (BgL_auxz00_1466);
									BgL_iz00_1460 = BgL_iz00_1490;
									goto BgL_loopz00_1461;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzprof_emitz00()
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 15 */
			return BUNSPEC;
		}
	}



/* emit-prof-info */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t
		BgL_globalsz00_33, obj_t BgL_portz00_34)
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 40 */
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3470z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3471z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3472z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3473z00zzprof_emitz00, BgL_portz00_34);
			bgl_display_obj(BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00,
				BgL_portz00_34);
			bgl_display_string(BGl_string3474z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3475z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			{	/* Prof/emit.scm 81 */
				obj_t BgL_zc3anonymousza33389ze3z83_1449;

				BgL_zc3anonymousza33389ze3z83_1449 =
					make_fx_procedure(BGl_zc3anonymousza33389ze3z83zzprof_emitz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza33389ze3z83_1449,
					(int) (((long) 0)), BgL_portz00_34);
				BGl_forzd2eachzd2globalz12z12zzast_envz00
					(BgL_zc3anonymousza33389ze3z83_1449, BNIL);
			}
			{
				obj_t BgL_l3358z00_870;

				BgL_l3358z00_870 = BgL_globalsz00_33;
			BgL_forzd2each3359zd2_871:
				if (PAIRP(BgL_l3358z00_870))
					{	/* Prof/emit.scm 87 */
						{	/* Prof/emit.scm 88 */
							obj_t BgL_globalz00_873;

							BgL_globalz00_873 = CAR(BgL_l3358z00_870);
							{	/* Prof/emit.scm 88 */
								bool_t BgL_testz00_1515;

								{	/* Prof/emit.scm 88 */
									BgL_globalz00_bglt BgL_obj1464z00_1378;

									BgL_obj1464z00_1378 =
										(BgL_globalz00_bglt) (BgL_globalz00_873);
									BgL_testz00_1515 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1464z00_1378))->
										BgL_userzf3zf3);
								}
								if (BgL_testz00_1515)
									{	/* Prof/emit.scm 88 */
										BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_34,
											BgL_globalz00_873);
									}
								else
									{	/* Prof/emit.scm 88 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3358z00_1519;

							BgL_l3358z00_1519 = CDR(BgL_l3358z00_870);
							BgL_l3358z00_870 = BgL_l3358z00_1519;
							goto BgL_forzd2each3359zd2_871;
						}
					}
				else
					{	/* Prof/emit.scm 87 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l3361z00_876;

				BgL_l3361z00_876 = BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00;
			BgL_forzd2each3363zd2_877:
				if (PAIRP(BgL_l3361z00_876))
					{	/* Prof/emit.scm 93 */
						{	/* Prof/emit.scm 94 */
							obj_t BgL_scmze2cze2_879;

							BgL_scmze2cze2_879 = CAR(BgL_l3361z00_876);
							{	/* Prof/emit.scm 94 */
								obj_t BgL_scmz00_880;
								obj_t BgL_cz00_881;

								BgL_scmz00_880 = CAR(BgL_scmze2cze2_879);
								BgL_cz00_881 = CDR(BgL_scmze2cze2_879);
								bgl_display_string(BGl_string3476z00zzprof_emitz00,
									BgL_portz00_34);
								bgl_display_obj(BgL_scmz00_880, BgL_portz00_34);
								bgl_display_string(BGl_string3477z00zzprof_emitz00,
									BgL_portz00_34);
								bgl_display_obj(BgL_cz00_881, BgL_portz00_34);
								bgl_display_string(BGl_string3478z00zzprof_emitz00,
									BgL_portz00_34);
								bgl_display_string(BGl_string3479z00zzprof_emitz00,
									BgL_portz00_34);
								BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
						}}
						{
							obj_t BgL_l3361z00_1533;

							BgL_l3361z00_1533 = CDR(BgL_l3361z00_876);
							BgL_l3361z00_876 = BgL_l3361z00_1533;
							goto BgL_forzd2each3363zd2_877;
						}
					}
				else
					{	/* Prof/emit.scm 93 */
						((bool_t) 1);
					}
			}
			bgl_display_string(BGl_string3480z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3481z00zzprof_emitz00, BgL_portz00_34);
			BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
			bgl_display_string(BGl_string3482z00zzprof_emitz00, BgL_portz00_34);
			return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_34);
		}
	}



/* _emit-prof-info */
	obj_t BGl__emitzd2profzd2infoz00zzprof_emitz00(obj_t BgL_envz00_1450,
		obj_t BgL_globalsz00_1451, obj_t BgL_portz00_1452)
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 40 */
			return
				BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_1451,
				BgL_portz00_1452);
		}
	}



/* emit-global! */
	obj_t BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t BgL_portz00_1453,
		obj_t BgL_globalz00_887)
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 68 */
			{	/* Prof/emit.scm 42 */
				BgL_valuez00_bglt BgL_sfunz00_889;

				{	/* Prof/emit.scm 42 */
					BgL_variablez00_bglt BgL_obj1387z00_1403;

					BgL_obj1387z00_1403 = (BgL_variablez00_bglt) (BgL_globalz00_887);
					BgL_sfunz00_889 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1387z00_1403))->BgL_valuez00);
				}
				{	/* Prof/emit.scm 43 */

					BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
						(BgL_variablez00_bglt) (BgL_globalz00_887));
					{	/* Prof/emit.scm 45 */
						obj_t BgL_idz00_891;
						obj_t BgL_czd2namezd2_892;
						obj_t BgL_alloczf3zf3_893;
						obj_t BgL_locz00_894;

						{	/* Prof/emit.scm 45 */
							BgL_variablez00_bglt BgL_obj1379z00_1405;

							BgL_obj1379z00_1405 = (BgL_variablez00_bglt) (BgL_globalz00_887);
							BgL_idz00_891 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1405))->BgL_idz00);
						}
						{	/* Prof/emit.scm 46 */
							BgL_variablez00_bglt BgL_obj1381z00_1406;

							BgL_obj1381z00_1406 = (BgL_variablez00_bglt) (BgL_globalz00_887);
							BgL_czd2namezd2_892 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1381z00_1406))->
								BgL_namez00);
						}
						{	/* Prof/emit.scm 47 */
							bool_t BgL_testz00_1550;

							{	/* Prof/emit.scm 47 */
								obj_t BgL_obj1729z00_1407;

								BgL_obj1729z00_1407 = (obj_t) (BgL_sfunz00_889);
								BgL_testz00_1550 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1407,
									BGl_sfunz00zzast_varz00);
							}
							if (BgL_testz00_1550)
								{	/* Prof/emit.scm 48 */
									obj_t BgL_auxz00_1553;

									{	/* Prof/emit.scm 48 */
										BgL_sfunz00_bglt BgL_obj1651z00_1408;

										BgL_obj1651z00_1408 = (BgL_sfunz00_bglt) (BgL_sfunz00_889);
										BgL_auxz00_1553 =
											(((BgL_sfunz00_bglt) CREF(BgL_obj1651z00_1408))->
											BgL_propertyz00);
									}
									BgL_alloczf3zf3_893 =
										BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
												(long) 0)), BgL_auxz00_1553);
								}
							else
								{	/* Prof/emit.scm 47 */
									BgL_alloczf3zf3_893 = BFALSE;
								}
						}
						{	/* Prof/emit.scm 49 */
							bool_t BgL_testz00_1558;

							{	/* Prof/emit.scm 49 */
								obj_t BgL_obj1729z00_1409;

								BgL_obj1729z00_1409 = (obj_t) (BgL_sfunz00_889);
								BgL_testz00_1558 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_1409,
									BGl_sfunz00zzast_varz00);
							}
							if (BgL_testz00_1558)
								{	/* Prof/emit.scm 50 */
									BgL_sfunz00_bglt BgL_obj1667z00_1410;

									BgL_obj1667z00_1410 = (BgL_sfunz00_bglt) (BgL_sfunz00_889);
									BgL_locz00_894 =
										(((BgL_sfunz00_bglt) CREF(BgL_obj1667z00_1410))->
										BgL_locz00);
								}
							else
								{	/* Prof/emit.scm 49 */
									BgL_locz00_894 = BFALSE;
								}
						}
						{	/* Prof/emit.scm 51 */
							bool_t BgL_testz00_1563;

							if (STRUCTP(BgL_locz00_894))
								{	/* Prof/emit.scm 51 */
									BgL_testz00_1563 =
										(STRUCT_KEY(BgL_locz00_894) == CNST_TABLE_REF(((long) 1)));
								}
							else
								{	/* Prof/emit.scm 51 */
									BgL_testz00_1563 = ((bool_t) 0);
								}
							if (BgL_testz00_1563)
								{	/* Prof/emit.scm 51 */
									bgl_display_string(BGl_string3483z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_obj(BgL_idz00_891, BgL_portz00_1453);
									bgl_display_string(BGl_string3484z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_string(BGl_string3478z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_obj(STRUCT_REF(BgL_locz00_894,
											(int) (((long) 0))), BgL_portz00_1453);
									bgl_display_string(BGl_string3484z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_obj(STRUCT_REF(BgL_locz00_894,
											(int) (((long) 1))), BgL_portz00_1453);
									bgl_display_string(BGl_string3485z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_obj(BgL_czd2namezd2_892, BgL_portz00_1453);
									bgl_display_string(BGl_string3478z00zzprof_emitz00,
										BgL_portz00_1453);
									{	/* Prof/emit.scm 60 */
										obj_t BgL_arg3408z00_899;

										if (CBOOL(BgL_alloczf3zf3_893))
											{	/* Prof/emit.scm 60 */
												BgL_arg3408z00_899 = BGl_string3486z00zzprof_emitz00;
											}
										else
											{	/* Prof/emit.scm 60 */
												BgL_arg3408z00_899 = BGl_string3487z00zzprof_emitz00;
											}
										bgl_display_obj(BgL_arg3408z00_899, BgL_portz00_1453);
									}
									bgl_display_string(BGl_string3479z00zzprof_emitz00,
										BgL_portz00_1453);
									return BGL_DISPLAY_CHAR(((unsigned char) '\n'),
										BgL_portz00_1453);
								}
							else
								{	/* Prof/emit.scm 51 */
									bgl_display_string(BGl_string3476z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_obj(BgL_idz00_891, BgL_portz00_1453);
									bgl_display_string(BGl_string3477z00zzprof_emitz00,
										BgL_portz00_1453);
									bgl_display_obj(BgL_czd2namezd2_892, BgL_portz00_1453);
									bgl_display_string(BGl_string3478z00zzprof_emitz00,
										BgL_portz00_1453);
									{	/* Prof/emit.scm 67 */
										obj_t BgL_arg3409z00_901;

										if (CBOOL(BgL_alloczf3zf3_893))
											{	/* Prof/emit.scm 67 */
												BgL_arg3409z00_901 = BGl_string3486z00zzprof_emitz00;
											}
										else
											{	/* Prof/emit.scm 67 */
												BgL_arg3409z00_901 = BGl_string3487z00zzprof_emitz00;
											}
										bgl_display_obj(BgL_arg3409z00_901, BgL_portz00_1453);
									}
									bgl_display_string(BGl_string3479z00zzprof_emitz00,
										BgL_portz00_1453);
									return BGL_DISPLAY_CHAR(((unsigned char) '\n'),
										BgL_portz00_1453);
		}}}}}}
	}



/* <anonymous:3389> */
	obj_t BGl_zc3anonymousza33389ze3z83zzprof_emitz00(obj_t BgL_envz00_1454,
		obj_t BgL_gz00_1456)
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 80 */
			{	/* Prof/emit.scm 81 */
				obj_t BgL_portz00_1455;

				BgL_portz00_1455 = PROCEDURE_REF(BgL_envz00_1454, (int) (((long) 0)));
				{
					obj_t BgL_gz00_859;

					BgL_gz00_859 = BgL_gz00_1456;
					{	/* Prof/emit.scm 81 */
						bool_t BgL_testz00_1600;

						{	/* Prof/emit.scm 81 */
							bool_t BgL_testz00_1601;

							{	/* Prof/emit.scm 81 */
								bool_t BgL_testz00_1602;

								{	/* Prof/emit.scm 81 */
									long BgL_auxz00_1603;

									{	/* Prof/emit.scm 81 */
										BgL_variablez00_bglt BgL_obj1399z00_1370;

										BgL_obj1399z00_1370 = (BgL_variablez00_bglt) (BgL_gz00_859);
										BgL_auxz00_1603 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1399z00_1370))->
											BgL_occurrencez00);
									}
									BgL_testz00_1602 = (BgL_auxz00_1603 > ((long) 0));
								}
								if (BgL_testz00_1602)
									{	/* Prof/emit.scm 81 */
										BgL_testz00_1601 = ((bool_t) 1);
									}
								else
									{	/* Prof/emit.scm 82 */
										obj_t BgL_auxz00_1607;

										{	/* Prof/emit.scm 82 */
											BgL_globalz00_bglt BgL_obj1452z00_1373;

											BgL_obj1452z00_1373 = (BgL_globalz00_bglt) (BgL_gz00_859);
											BgL_auxz00_1607 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1373))->
												BgL_modulez00);
										}
										BgL_testz00_1601 =
											(BgL_auxz00_1607 == CNST_TABLE_REF(((long) 2)));
							}}
							if (BgL_testz00_1601)
								{	/* Prof/emit.scm 83 */
									bool_t BgL_testz00_1612;

									{	/* Prof/emit.scm 83 */
										BgL_globalz00_bglt BgL_obj1461z00_1374;

										BgL_obj1461z00_1374 = (BgL_globalz00_bglt) (BgL_gz00_859);
										BgL_testz00_1612 =
											CBOOL(
											(((BgL_globalz00_bglt) CREF(BgL_obj1461z00_1374))->
												BgL_libraryz00));
									}
									if (BgL_testz00_1612)
										{	/* Prof/emit.scm 84 */
											BgL_globalz00_bglt BgL_obj1464z00_1375;

											BgL_obj1464z00_1375 = (BgL_globalz00_bglt) (BgL_gz00_859);
											BgL_testz00_1600 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1464z00_1375))->
												BgL_userzf3zf3);
										}
									else
										{	/* Prof/emit.scm 83 */
											BgL_testz00_1600 = ((bool_t) 0);
										}
								}
							else
								{	/* Prof/emit.scm 81 */
									BgL_testz00_1600 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_1600)
							{	/* Prof/emit.scm 81 */
								return
									BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_1455,
									BgL_gz00_859);
							}
						else
							{	/* Prof/emit.scm 81 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzprof_emitz00()
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00()
	{
		AN_OBJECT;
		{	/* Prof/emit.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 451721304),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 256968439),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					105506684), BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
			return BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)
					254412896), BSTRING_TO_STRING(BGl_string3488z00zzprof_emitz00));
		}
	}

#ifdef __cplusplus
}
#endif
