/*===========================================================================*/
/*   (SawMill/collapse.scm)                                                  */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/collapse.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                 *BgL_rtl_isaz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_collapsedz00_bgl
	{
		obj_t BgL_lastz00;
	}                   *BgL_collapsedz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2collapsedz80zzsaw_collapsez00(obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3798z83zzsaw_collapsez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_collapsez00();
	static obj_t BGl__collapsedzd2nilzd2zzsaw_collapsez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_objectzd2ze3structzd2colla3796ze3zzsaw_collapsez00(obj_t,
		obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static BgL_collapsedz00_bglt BGl_collapsedzd2nilzd2zzsaw_collapsez00();
	static bool_t BGl_dfsz00zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_collapsez00();
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl__collapse3947z00zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_collapsedz00zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_objectzd2initzd2zzsaw_collapsez00();
	static obj_t BGl__collapsedzf3zf3zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
	static obj_t BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 = BUNSPEC;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string3953z00zzsaw_collapsez00,
		BgL_bgl_string3953za700za7za7s3958za7, "saw_collapse", 12);
	      DEFINE_STRING(BGl_string3954z00zzsaw_collapsez00,
		BgL_bgl_string3954za700za7za7s3959za7, "collapsed ", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_collapsezd2envzd2zzsaw_collapsez00,
		BgL_bgl__collapse3947za7003960za7, BGl__collapse3947z00zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_collapsedzd2nilzd2envz00zzsaw_collapsez00,
		BgL_bgl__collapsedza7d2nil3961za7, BGl__collapsedzd2nilzd2zzsaw_collapsez00,
		0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2collapsedzd2envz52zzsaw_collapsez00,
		BgL_bgl__za752allocateza7d2c3962z00,
		BGl__z52allocatezd2collapsedz80zzsaw_collapsez00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_collapsedzf3zd2envz21zzsaw_collapsez00,
		BgL_bgl__collapsedza7f3za7f33963z00, BGl__collapsedzf3zf3zzsaw_collapsez00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long
		BgL_checksumz00_1816, char *BgL_fromz00_1817)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_collapsez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_collapsez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_cnstzd2initzd2zzsaw_collapsez00();
					BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_objectzd2initzd2zzsaw_collapsez00();
					BGl_methodzd2initzd2zzsaw_collapsez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_collapse");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_cportz00_1800;

				BgL_cportz00_1800 =
					bgl_open_input_string(BGl_string3954z00zzsaw_collapsez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1801;

					BgL_iz00_1801 = ((long) 0);
				BgL_loopz00_1802:
					if ((BgL_iz00_1801 == ((long) -1)))
						{	/* SawMill/collapse.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/collapse.scm 1 */
							{	/* SawMill/collapse.scm 1 */
								obj_t BgL_arg3956z00_1804;

								{	/* SawMill/collapse.scm 1 */

									{	/* SawMill/collapse.scm 1 */
										obj_t BgL_locationz00_1806;

										BgL_locationz00_1806 = BBOOL(((bool_t) 0));
										{	/* SawMill/collapse.scm 1 */

											BgL_arg3956z00_1804 =
												BGl_readz00zz__readerz00(BgL_cportz00_1800,
												BgL_locationz00_1806);
										}
									}
								}
								{	/* SawMill/collapse.scm 1 */
									int BgL_auxz00_1835;

									BgL_auxz00_1835 = (int) (BgL_iz00_1801);
									CNST_TABLE_SET(BgL_auxz00_1835, BgL_arg3956z00_1804);
							}}
							{	/* SawMill/collapse.scm 1 */
								int BgL_auxz00_1807;

								BgL_auxz00_1807 = (int) ((BgL_iz00_1801 - ((long) 1)));
								{
									long BgL_iz00_1840;

									BgL_iz00_1840 = (long) (BgL_auxz00_1807);
									BgL_iz00_1801 = BgL_iz00_1840;
									goto BgL_loopz00_1802;
								}
							}
						}
				}
			}
		}
	}



/* collapse */
	BGL_EXPORTED_DEF obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt
		BgL_bz00_1)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 13 */
			BGl_dfsz00zzsaw_collapsez00(BgL_bz00_1);
			return BUNSPEC;
		}
	}



/* dfs */
	bool_t BGl_dfsz00zzsaw_collapsez00(BgL_blockz00_bglt BgL_bz00_1037)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 14 */
			{	/* SawMill/collapse.scm 16 */
				BgL_blockz00_bglt BgL_obj3785z00_1040;

				BgL_obj3785z00_1040 = ((BgL_blockz00_bglt) BgL_bz00_1037);
				{	/* SawMill/collapse.scm 16 */
					BgL_collapsedz00_bglt BgL_arg3799z00_1041;

					{	/* SawMill/collapse.scm 16 */
						obj_t BgL_arg3800z00_1042;

						BgL_arg3800z00_1042 =
							BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->BgL_firstz00));
						{	/* SawMill/collapse.scm 16 */
							BgL_collapsedz00_bglt BgL_res3938z00_1674;

							{	/* SawMill/collapse.scm 16 */
								BgL_collapsedz00_bglt BgL_new3746z00_1669;
								BgL_new3746z00_1669 =
									((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_collapsedz00_bgl))));
								{	/* SawMill/collapse.scm 16 */
									BgL_collapsedz00_bglt BgL_res3937z00_1673;

									{	/* SawMill/collapse.scm 16 */
										BgL_collapsedz00_bglt BgL_new3756z00_1670;

										BgL_new3756z00_1670 = BgL_new3746z00_1669;
										{	/* SawMill/collapse.scm 16 */
											obj_t BgL_last3755z00_1672;

											BgL_last3755z00_1672 = BgL_arg3800z00_1042;
											((((BgL_collapsedz00_bglt) CREF(BgL_new3756z00_1670))->
													BgL_lastz00) =
												((obj_t) BgL_last3755z00_1672), BUNSPEC);
											BgL_res3937z00_1673 = BgL_new3756z00_1670;
									}} BgL_res3937z00_1673;
								}
								BgL_res3938z00_1674 = BgL_new3746z00_1669;
							}
							BgL_arg3799z00_1041 = BgL_res3938z00_1674;
					}}
					{	/* SawMill/collapse.scm 16 */
						obj_t BgL_auxz00_1850;
						BgL_objectz00_bglt BgL_auxz00_1848;

						BgL_auxz00_1850 = (obj_t) (BgL_arg3799z00_1041);
						BgL_auxz00_1848 = (BgL_objectz00_bglt) (BgL_obj3785z00_1040);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_1848, BgL_auxz00_1850);
				}}
				{	/* SawMill/collapse.scm 16 */
					long BgL_arg3802z00_1044;

					BgL_arg3802z00_1044 =
						BGl_classzd2numzd2zz__objectz00(BGl_collapsedz00zzsaw_collapsez00);
					{	/* SawMill/collapse.scm 16 */
						BgL_objectz00_bglt BgL_objz00_1675;

						BgL_objz00_1675 = (BgL_objectz00_bglt) (BgL_obj3785z00_1040);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1675, BgL_arg3802z00_1044);
				}} BgL_obj3785z00_1040;
			}
			{	/* SawMill/collapse.scm 17 */
				bool_t BgL_testz00_1856;

				{	/* SawMill/collapse.scm 17 */
					bool_t BgL_testz00_1857;

					{	/* SawMill/collapse.scm 17 */
						obj_t BgL_auxz00_1858;

						BgL_auxz00_1858 =
							(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->BgL_predsz00);
						BgL_testz00_1857 = PAIRP(BgL_auxz00_1858);
					}
					if (BgL_testz00_1857)
						{	/* SawMill/collapse.scm 17 */
							obj_t BgL_auxz00_1861;

							{	/* SawMill/collapse.scm 17 */
								obj_t BgL_pairz00_1680;

								BgL_pairz00_1680 =
									(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->BgL_predsz00);
								BgL_auxz00_1861 = CDR(BgL_pairz00_1680);
							}
							BgL_testz00_1856 = NULLP(BgL_auxz00_1861);
						}
					else
						{	/* SawMill/collapse.scm 17 */
							BgL_testz00_1856 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_1856)
					{	/* SawMill/collapse.scm 18 */
						obj_t BgL_pz00_1046;

						{	/* SawMill/collapse.scm 18 */
							obj_t BgL_pairz00_1683;

							BgL_pairz00_1683 =
								(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->BgL_predsz00);
							BgL_pz00_1046 = CAR(BgL_pairz00_1683);
						}
						{	/* SawMill/collapse.scm 18 */
							obj_t BgL_psz00_1047;

							{	/* SawMill/collapse.scm 18 */
								BgL_blockz00_bglt BgL_obj3723z00_1684;

								BgL_obj3723z00_1684 = (BgL_blockz00_bglt) (BgL_pz00_1046);
								BgL_psz00_1047 =
									(((BgL_blockz00_bglt) CREF(BgL_obj3723z00_1684))->
									BgL_succsz00);
							}
							{	/* SawMill/collapse.scm 18 */

								if (NULLP(CDR(BgL_psz00_1047)))
									{	/* SawMill/collapse.scm 20 */
										{	/* SawMill/collapse.scm 23 */
											obj_t BgL_arg3805z00_1049;
											obj_t BgL_arg3806z00_1050;

											{	/* SawMill/collapse.scm 23 */
												BgL_collapsedz00_bglt BgL_obj3767z00_1687;

												BgL_obj3767z00_1687 =
													(BgL_collapsedz00_bglt) (BgL_pz00_1046);
												{
													obj_t BgL_auxz00_1873;

													{	/* SawMill/collapse.scm 23 */
														BgL_objectz00_bglt BgL_auxz00_1874;

														BgL_auxz00_1874 =
															(BgL_objectz00_bglt) (BgL_obj3767z00_1687);
														BgL_auxz00_1873 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1874);
													}
													BgL_arg3805z00_1049 =
														(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_1873))->
														BgL_lastz00);
												}
											}
											BgL_arg3806z00_1050 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->
												BgL_firstz00);
											SET_CDR(BgL_arg3805z00_1049, BgL_arg3806z00_1050);
										}
										{	/* SawMill/collapse.scm 24 */
											obj_t BgL_arg3807z00_1051;

											{	/* SawMill/collapse.scm 24 */
												BgL_collapsedz00_bglt BgL_obj3767z00_1691;

												BgL_obj3767z00_1691 =
													(BgL_collapsedz00_bglt) (BgL_bz00_1037);
												{
													obj_t BgL_auxz00_1881;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_auxz00_1882;

														BgL_auxz00_1882 =
															(BgL_objectz00_bglt) (BgL_obj3767z00_1691);
														BgL_auxz00_1881 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1882);
													}
													BgL_arg3807z00_1051 =
														(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_1881))->
														BgL_lastz00);
												}
											}
											{	/* SawMill/collapse.scm 24 */
												BgL_collapsedz00_bglt BgL_obj3769z00_1692;
												obj_t BgL_val3768z00_1693;

												BgL_obj3769z00_1692 =
													(BgL_collapsedz00_bglt) (BgL_pz00_1046);
												BgL_val3768z00_1693 = BgL_arg3807z00_1051;
												{
													obj_t BgL_auxz00_1887;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_auxz00_1888;

														BgL_auxz00_1888 =
															(BgL_objectz00_bglt) (BgL_obj3769z00_1692);
														BgL_auxz00_1887 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1888);
													}
													((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_1887))->
															BgL_lastz00) =
														((obj_t) BgL_val3768z00_1693), BUNSPEC);
												}
											}
										}
										{	/* SawMill/collapse.scm 25 */
											obj_t BgL_arg3808z00_1052;

											BgL_arg3808z00_1052 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->
												BgL_succsz00);
											{	/* SawMill/collapse.scm 25 */
												BgL_blockz00_bglt BgL_obj3725z00_1695;
												obj_t BgL_val3724z00_1696;

												BgL_obj3725z00_1695 =
													(BgL_blockz00_bglt) (BgL_pz00_1046);
												BgL_val3724z00_1696 = BgL_arg3808z00_1052;
												((((BgL_blockz00_bglt) CREF(BgL_obj3725z00_1695))->
														BgL_succsz00) =
													((obj_t) BgL_val3724z00_1696), BUNSPEC);
											}
										}
										{	/* SawMill/collapse.scm 26 */
											obj_t BgL_g3790z00_1053;

											BgL_g3790z00_1053 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->
												BgL_succsz00);
											{
												obj_t BgL_l3788z00_1054;

												BgL_l3788z00_1054 = BgL_g3790z00_1053;
											BgL_forzd2each3789zd2_1055:
												if (PAIRP(BgL_l3788z00_1054))
													{	/* SawMill/collapse.scm 26 */
														{	/* SawMill/collapse.scm 27 */
															obj_t BgL_sz00_1057;

															BgL_sz00_1057 = CAR(BgL_l3788z00_1054);
															{	/* SawMill/collapse.scm 28 */
																obj_t BgL_arg3810z00_1059;

																{	/* SawMill/collapse.scm 28 */
																	obj_t BgL_arg3811z00_1060;

																	{	/* SawMill/collapse.scm 28 */
																		BgL_blockz00_bglt BgL_obj3720z00_1700;

																		BgL_obj3720z00_1700 =
																			(BgL_blockz00_bglt) (BgL_sz00_1057);
																		BgL_arg3811z00_1060 =
																			(((BgL_blockz00_bglt)
																				CREF(BgL_obj3720z00_1700))->
																			BgL_predsz00);
																	}
																	BgL_arg3810z00_1059 =
																		BGl_substz00zzsaw_libz00
																		(BgL_arg3811z00_1060,
																		(obj_t) (BgL_bz00_1037), BgL_pz00_1046);
																}
																{	/* SawMill/collapse.scm 28 */
																	BgL_blockz00_bglt BgL_obj3722z00_1701;
																	obj_t BgL_val3721z00_1702;

																	BgL_obj3722z00_1701 =
																		(BgL_blockz00_bglt) (BgL_sz00_1057);
																	BgL_val3721z00_1702 = BgL_arg3810z00_1059;
																	((((BgL_blockz00_bglt)
																				CREF(BgL_obj3722z00_1701))->
																			BgL_predsz00) =
																		((obj_t) BgL_val3721z00_1702), BUNSPEC);
																}
															}
														}
														{
															obj_t BgL_l3788z00_1905;

															BgL_l3788z00_1905 = CDR(BgL_l3788z00_1054);
															BgL_l3788z00_1054 = BgL_l3788z00_1905;
															goto BgL_forzd2each3789zd2_1055;
														}
													}
												else
													{	/* SawMill/collapse.scm 26 */
														((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* SawMill/collapse.scm 20 */
										((bool_t) 0);
									}
							}
						}
					}
				else
					{	/* SawMill/collapse.scm 17 */
						((bool_t) 0);
					}
			}
			{	/* SawMill/collapse.scm 30 */
				obj_t BgL_g3793z00_1068;

				BgL_g3793z00_1068 =
					(((BgL_blockz00_bglt) CREF(BgL_bz00_1037))->BgL_succsz00);
				{
					obj_t BgL_l3791z00_1069;

					BgL_l3791z00_1069 = BgL_g3793z00_1068;
				BgL_forzd2each3792zd2_1070:
					if (PAIRP(BgL_l3791z00_1069))
						{	/* SawMill/collapse.scm 30 */
							{	/* SawMill/collapse.scm 31 */
								BgL_blockz00_bglt BgL_succz00_1072;

								{	/* SawMill/collapse.scm 31 */
									obj_t BgL_pairz00_1706;

									BgL_pairz00_1706 = BgL_l3791z00_1069;
									{	/* SawMill/collapse.scm 31 */
										obj_t BgL_auxz00_1910;

										BgL_auxz00_1910 = CAR(BgL_pairz00_1706);
										BgL_succz00_1072 = (BgL_blockz00_bglt) (BgL_auxz00_1910);
									}
								}
								{	/* SawMill/collapse.scm 31 */
									bool_t BgL_testz00_1913;

									{	/* SawMill/collapse.scm 31 */
										obj_t BgL_obj3766z00_1707;

										BgL_obj3766z00_1707 = (obj_t) (BgL_succz00_1072);
										BgL_testz00_1913 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj3766z00_1707,
											BGl_collapsedz00zzsaw_collapsez00);
									}
									if (BgL_testz00_1913)
										{	/* SawMill/collapse.scm 31 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/collapse.scm 31 */
											BGl_dfsz00zzsaw_collapsez00(BgL_succz00_1072);
										}
								}
							}
							{
								obj_t BgL_l3791z00_1917;

								BgL_l3791z00_1917 = CDR(BgL_l3791z00_1069);
								BgL_l3791z00_1069 = BgL_l3791z00_1917;
								goto BgL_forzd2each3792zd2_1070;
							}
						}
					else
						{	/* SawMill/collapse.scm 30 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* _collapse3947 */
	obj_t BGl__collapse3947z00zzsaw_collapsez00(obj_t BgL_envz00_1782,
		obj_t BgL_bz00_1783)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 13 */
			return
				BGl_collapsez00zzsaw_collapsez00((BgL_blockz00_bglt) (BgL_bz00_1783));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 7 */
				obj_t BgL_arg3822z00_1075;
				obj_t BgL_arg3823z00_1076;
				obj_t BgL_arg3826z00_1079;

				BgL_arg3822z00_1075 = CNST_TABLE_REF(((long) 0));
				BgL_arg3823z00_1076 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/collapse.scm 7 */
					obj_t BgL_v3794z00_1080;

					BgL_v3794z00_1080 = create_vector((int) (((long) 0)));
					BgL_arg3826z00_1079 = BgL_v3794z00_1080;
				}
				BGl_collapsedz00zzsaw_collapsez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3822z00_1075,
					BgL_arg3823z00_1076, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2collapsedzd2envz52zzsaw_collapsez00,
					BGl_collapsedzd2nilzd2envz00zzsaw_collapsez00,
					BGl_collapsedzf3zd2envz21zzsaw_collapsez00, ((long) 25242469), BFALSE,
					BFALSE, BgL_arg3826z00_1079);
			}
			return (BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* _collapsed? */
	obj_t BGl__collapsedzf3zf3zzsaw_collapsez00(obj_t BgL_envz00_1786,
		obj_t BgL_obj3766z00_1787)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3766z00_1787,
					BGl_collapsedz00zzsaw_collapsez00));
		}
	}



/* _%allocate-collapsed */
	obj_t BGl__z52allocatezd2collapsedz80zzsaw_collapsez00(obj_t BgL_envz00_1784)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{	/* SawMill/collapse.scm 7 */
				BgL_blockz00_bglt BgL_auxz00_1927;

				{	/* SawMill/collapse.scm 7 */
					BgL_blockz00_bglt BgL_res3957z00_1815;

					{	/* SawMill/collapse.scm 7 */
						BgL_blockz00_bglt BgL_new3759z00_1812;
						BgL_new3759z00_1812 =
							((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/collapse.scm 7 */
							long BgL_arg3829z00_1813;

							BgL_arg3829z00_1813 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_collapsedz00zzsaw_collapsez00);
							{	/* SawMill/collapse.scm 7 */
								BgL_objectz00_bglt BgL_objz00_1814;

								BgL_objz00_1814 = (BgL_objectz00_bglt) (BgL_new3759z00_1812);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1814, BgL_arg3829z00_1813);
						}}
						{	/* SawMill/collapse.scm 7 */
							BgL_objectz00_bglt BgL_auxz00_1932;

							BgL_auxz00_1932 = (BgL_objectz00_bglt) (BgL_new3759z00_1812);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1932, BFALSE);
						}
						BgL_res3957z00_1815 = BgL_new3759z00_1812;
					}
					BgL_auxz00_1927 = BgL_res3957z00_1815;
				}
				return (obj_t) (BgL_auxz00_1927);
			}
		}
	}



/* collapsed-nil */
	BgL_collapsedz00_bglt BGl_collapsedzd2nilzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			if ((BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 == BUNSPEC))
				{	/* SawMill/collapse.scm 7 */
					{	/* SawMill/collapse.scm 7 */
						BgL_blockz00_bglt BgL_res3940z00_1723;

						{	/* SawMill/collapse.scm 7 */
							BgL_blockz00_bglt BgL_new3743z00_1719;
							BgL_new3743z00_1719 =
								((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/collapse.scm 7 */
								long BgL_arg3837z00_1720;

								BgL_arg3837z00_1720 =
									BGl_classzd2numzd2zz__objectz00(BGl_blockz00zzsaw_defsz00);
								{	/* SawMill/collapse.scm 7 */
									BgL_objectz00_bglt BgL_objz00_1721;

									BgL_objz00_1721 = (BgL_objectz00_bglt) (BgL_new3743z00_1719);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1721,
										BgL_arg3837z00_1720);
							}}
							{	/* SawMill/collapse.scm 7 */
								BgL_objectz00_bglt BgL_auxz00_1942;

								BgL_auxz00_1942 = (BgL_objectz00_bglt) (BgL_new3743z00_1719);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1942, BFALSE);
							}
							BgL_res3940z00_1723 = BgL_new3743z00_1719;
						}
						BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 =
							(obj_t) (BgL_res3940z00_1723);
					}
					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_arg3834z00_1093;

						BgL_arg3834z00_1093 = MAKE_PAIR(BFALSE, BFALSE);
						{	/* SawMill/collapse.scm 7 */
							BgL_blockz00_bglt BgL_res3941z00_1733;

							{	/* SawMill/collapse.scm 7 */
								BgL_blockz00_bglt BgL_new3737z00_1724;
								int BgL_label3733z00_1725;

								BgL_new3737z00_1724 =
									(BgL_blockz00_bglt)
									(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
								BgL_label3733z00_1725 = (int) (((long) 0));
								{	/* SawMill/collapse.scm 7 */
									int BgL_label3733z00_1729;
									obj_t BgL_preds3734z00_1730;
									obj_t BgL_succs3735z00_1731;
									obj_t BgL_first3736z00_1732;

									BgL_label3733z00_1729 = BgL_label3733z00_1725;
									BgL_preds3734z00_1730 = BNIL;
									BgL_succs3735z00_1731 = BNIL;
									BgL_first3736z00_1732 = BgL_arg3834z00_1093;
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_1724))->
											BgL_labelz00) = ((int) BgL_label3733z00_1729), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_1724))->
											BgL_predsz00) = ((obj_t) BgL_preds3734z00_1730), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_1724))->
											BgL_succsz00) = ((obj_t) BgL_succs3735z00_1731), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3737z00_1724))->
											BgL_firstz00) = ((obj_t) BgL_first3736z00_1732), BUNSPEC);
									BgL_res3941z00_1733 = BgL_new3737z00_1724;
							}} BgL_res3941z00_1733;
					}}
					{	/* SawMill/collapse.scm 7 */
						long BgL_arg3835z00_1094;

						BgL_arg3835z00_1094 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_collapsedz00zzsaw_collapsez00);
						{	/* SawMill/collapse.scm 7 */
							BgL_objectz00_bglt BgL_objz00_1734;

							BgL_objz00_1734 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1734, BgL_arg3835z00_1094);
					}}
					{	/* SawMill/collapse.scm 7 */
						BgL_collapsedz00_bglt BgL_arg3836z00_1095;

						{	/* SawMill/collapse.scm 7 */
							BgL_collapsedz00_bglt BgL_res3943z00_1742;

							{	/* SawMill/collapse.scm 7 */
								BgL_collapsedz00_bglt BgL_new3746z00_1737;
								BgL_new3746z00_1737 =
									((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_collapsedz00_bgl))));
								{	/* SawMill/collapse.scm 7 */
									BgL_collapsedz00_bglt BgL_res3942z00_1741;

									{	/* SawMill/collapse.scm 7 */
										BgL_collapsedz00_bglt BgL_new3756z00_1738;

										BgL_new3756z00_1738 = BgL_new3746z00_1737;
										{	/* SawMill/collapse.scm 7 */
											obj_t BgL_last3755z00_1740;

											BgL_last3755z00_1740 = BUNSPEC;
											((((BgL_collapsedz00_bglt) CREF(BgL_new3756z00_1738))->
													BgL_lastz00) =
												((obj_t) BgL_last3755z00_1740), BUNSPEC);
											BgL_res3942z00_1741 = BgL_new3756z00_1738;
									}} BgL_res3942z00_1741;
								}
								BgL_res3943z00_1742 = BgL_new3746z00_1737;
							}
							BgL_arg3836z00_1095 = BgL_res3943z00_1742;
						}
						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_auxz00_1960;
							BgL_objectz00_bglt BgL_auxz00_1958;

							BgL_auxz00_1960 = (obj_t) (BgL_arg3836z00_1095);
							BgL_auxz00_1958 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1958, BgL_auxz00_1960);
				}}}
			else
				{	/* SawMill/collapse.scm 7 */
					BFALSE;
				}
			return
				(BgL_collapsedz00_bglt)
				(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
		}
	}



/* _collapsed-nil */
	obj_t BGl__collapsedzd2nilzd2zzsaw_collapsez00(obj_t BgL_envz00_1785)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{	/* SawMill/collapse.scm 7 */
				BgL_collapsedz00_bglt BgL_auxz00_1964;

				BgL_auxz00_1964 = BGl_collapsedzd2nilzd2zzsaw_collapsez00();
				return (obj_t) (BgL_auxz00_1964);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_objectzd2ze3structzd2colla3796ze3_1792;

				BgL_objectzd2ze3structzd2colla3796ze3_1792 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2colla3796ze3zzsaw_collapsez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_collapsedz00zzsaw_collapsez00,
					BgL_objectzd2ze3structzd2colla3796ze3_1792);
			}
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_structzb2objectzd2ze3objec3798z83_1788;

				BgL_structzb2objectzd2ze3objec3798z83_1788 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec3798z83zzsaw_collapsez00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_collapsedz00zzsaw_collapsez00,
					BgL_structzb2objectzd2ze3objec3798z83_1788);
			}
		}
	}



/* struct+object->objec3798 */
	obj_t BGl_structzb2objectzd2ze3objec3798z83zzsaw_collapsez00(obj_t
		BgL_envz00_1795, obj_t BgL_oz00_1796, obj_t BgL_sz00_1797)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_collapsedz00_bglt BgL_oz00_1655;
				obj_t BgL_sz00_1656;

				{	/* SawMill/collapse.scm 7 */
					BgL_collapsedz00_bglt BgL_auxz00_1975;

					BgL_oz00_1655 = (BgL_collapsedz00_bglt) (BgL_oz00_1796);
					BgL_sz00_1656 = BgL_sz00_1797;
					{

						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_old3763z00_1659;
							obj_t BgL_aux3764z00_1660;

							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_nextzd2method3797zd2_1665;

								BgL_nextzd2method3797zd2_1665 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1655),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_collapsedz00zzsaw_collapsez00);
								if (PROCEDUREP(BgL_nextzd2method3797zd2_1665))
									{	/* SawMill/collapse.scm 7 */
										BgL_old3763z00_1659 =
											PROCEDURE_ENTRY(BgL_nextzd2method3797zd2_1665)
											(BgL_nextzd2method3797zd2_1665, (obj_t) (BgL_oz00_1655),
											BgL_sz00_1656, BEOA);
									}
								else
									{	/* SawMill/collapse.scm 7 */
										{	/* SawMill/collapse.scm 7 */
											BgL_objectz00_bglt BgL_auxz00_1983;

											BgL_auxz00_1983 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1655), BgL_sz00_1656);
											BgL_old3763z00_1659 = (obj_t) (BgL_auxz00_1983);
										}
									}
							}
							BgL_aux3764z00_1660 =
								STRUCT_REF(BgL_sz00_1656, (int) (((long) 0)));
							{	/* SawMill/collapse.scm 7 */
								BgL_collapsedz00_bglt BgL_new3765z00_1661;

								BgL_new3765z00_1661 =
									((BgL_collapsedz00_bglt) (BgL_old3763z00_1659));
								{	/* SawMill/collapse.scm 7 */
									long BgL_arg3933z00_1662;

									BgL_arg3933z00_1662 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_collapsedz00zzsaw_collapsez00);
									{	/* SawMill/collapse.scm 7 */
										BgL_objectz00_bglt BgL_objz00_1770;

										BgL_objz00_1770 =
											(BgL_objectz00_bglt) (BgL_new3765z00_1661);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1770,
											BgL_arg3933z00_1662);
								}}
								{	/* SawMill/collapse.scm 7 */
									BgL_collapsedz00_bglt BgL_arg3934z00_1663;

									{	/* SawMill/collapse.scm 7 */
										obj_t BgL_arg3935z00_1664;

										BgL_arg3935z00_1664 =
											STRUCT_REF(BgL_aux3764z00_1660, (int) (((long) 0)));
										{	/* SawMill/collapse.scm 7 */
											BgL_collapsedz00_bglt BgL_res3946z00_1780;

											{	/* SawMill/collapse.scm 7 */
												BgL_collapsedz00_bglt BgL_new3746z00_1775;
												BgL_new3746z00_1775 =
													((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_collapsedz00_bgl))));
												{	/* SawMill/collapse.scm 7 */
													BgL_collapsedz00_bglt BgL_res3945z00_1779;

													{	/* SawMill/collapse.scm 7 */
														BgL_collapsedz00_bglt BgL_new3756z00_1776;

														BgL_new3756z00_1776 = BgL_new3746z00_1775;
														{	/* SawMill/collapse.scm 7 */
															obj_t BgL_last3755z00_1778;

															BgL_last3755z00_1778 = BgL_arg3935z00_1664;
															((((BgL_collapsedz00_bglt)
																		CREF(BgL_new3756z00_1776))->BgL_lastz00) =
																((obj_t) BgL_last3755z00_1778), BUNSPEC);
															BgL_res3945z00_1779 = BgL_new3756z00_1776;
													}} BgL_res3945z00_1779;
												}
												BgL_res3946z00_1780 = BgL_new3746z00_1775;
											}
											BgL_arg3934z00_1663 = BgL_res3946z00_1780;
									}}
									{	/* SawMill/collapse.scm 7 */
										obj_t BgL_auxz00_1999;
										BgL_objectz00_bglt BgL_auxz00_1997;

										BgL_auxz00_1999 = (obj_t) (BgL_arg3934z00_1663);
										BgL_auxz00_1997 =
											(BgL_objectz00_bglt) (BgL_new3765z00_1661);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_1997, BgL_auxz00_1999);
								}}
								BgL_auxz00_1975 = BgL_new3765z00_1661;
					}}}
					return (obj_t) (BgL_auxz00_1975);
				}
			}
		}
	}



/* object->struct-colla3796 */
	obj_t BGl_objectzd2ze3structzd2colla3796ze3zzsaw_collapsez00(obj_t
		BgL_envz00_1798, obj_t BgL_obj3760z00_1799)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_collapsedz00_bglt BgL_obj3760z00_1645;

				BgL_obj3760z00_1645 = (BgL_collapsedz00_bglt) (BgL_obj3760z00_1799);
				{

					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_res3761z00_1648;

						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_nextzd2method3795zd2_1653;

							BgL_nextzd2method3795zd2_1653 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3760z00_1645),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_collapsedz00zzsaw_collapsez00);
							if (PROCEDUREP(BgL_nextzd2method3795zd2_1653))
								{	/* SawMill/collapse.scm 7 */
									BgL_res3761z00_1648 =
										PROCEDURE_ENTRY(BgL_nextzd2method3795zd2_1653)
										(BgL_nextzd2method3795zd2_1653,
										(obj_t) (BgL_obj3760z00_1645), BEOA);
								}
							else
								{	/* SawMill/collapse.scm 7 */
									BgL_res3761z00_1648 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3760z00_1645));
								}
						}
						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_aux3762z00_1649;

							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_keyz00_1751;

								BgL_keyz00_1751 = CNST_TABLE_REF(((long) 0));
								BgL_aux3762z00_1649 =
									make_struct(BgL_keyz00_1751, (int) (((long) 1)), BUNSPEC);
							}
							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_arg3930z00_1651;

								{
									obj_t BgL_auxz00_2016;

									{	/* SawMill/collapse.scm 7 */
										BgL_objectz00_bglt BgL_auxz00_2017;

										BgL_auxz00_2017 =
											(BgL_objectz00_bglt) (BgL_obj3760z00_1645);
										BgL_auxz00_2016 = BGL_OBJECT_WIDENING(BgL_auxz00_2017);
									}
									BgL_arg3930z00_1651 =
										(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_2016))->
										BgL_lastz00);
								}
								{	/* SawMill/collapse.scm 7 */
									int BgL_auxz00_2021;

									BgL_auxz00_2021 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3762z00_1649, BgL_auxz00_2021,
										BgL_arg3930z00_1651);
							}}
							{	/* SawMill/collapse.scm 7 */
								int BgL_auxz00_2024;

								BgL_auxz00_2024 = (int) (((long) 0));
								STRUCT_SET(BgL_res3761z00_1648, BgL_auxz00_2024,
									BgL_aux3762z00_1649);
							}
							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_auxz00_2027;

								BgL_auxz00_2027 = STRUCT_KEY(BgL_res3761z00_1648);
								STRUCT_KEY_SET(BgL_aux3762z00_1649, BgL_auxz00_2027);
							}
							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_kz00_1766;

								BgL_kz00_1766 = CNST_TABLE_REF(((long) 0));
								STRUCT_KEY_SET(BgL_res3761z00_1648, BgL_kz00_1766);
							}
							return BgL_res3761z00_1648;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3953z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3953z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3953z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 123885324),
				BSTRING_TO_STRING(BGl_string3953z00zzsaw_collapsez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 192042637),
				BSTRING_TO_STRING(BGl_string3953z00zzsaw_collapsez00));
		}
	}

#ifdef __cplusplus
}
#endif
