/*===========================================================================*/
/*   (Tools/shape.scm)                                                       */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/shape.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zztools_shapez00();
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_shapezd2default3021zd2zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_shapezd2type3028zd2zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_shapezd2global3024zd2zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_loopz00zztools_shapez00(obj_t);
	static obj_t BGl_shapezd2local3026zd2zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl__shapezd2default3021zd2zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_shapez00 = BUNSPEC;
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	extern obj_t BGl_za2modulezd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_shapezd2node3030zd2zztools_shapez00(obj_t, obj_t);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl__shapez00zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_shapezd2default3021zd2envz00zztools_shapez00,
		BgL_bgl__shapeza7d2default3241za7,
		BGl__shapezd2default3021zd2zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_shapezd2envzd2zztools_shapez00,
		BgL_bgl__shapeza700za7za7tools3242za7, BGl__shapez00zztools_shapez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3226z00zztools_shapez00,
		BgL_bgl_string3226za700za7za7t3243za7, "-", 1);
	      DEFINE_STRING(BGl_string3227z00zztools_shapez00,
		BgL_bgl_string3227za700za7za7t3244za7, "\"", 1);
	      DEFINE_STRING(BGl_string3228z00zztools_shapez00,
		BgL_bgl_string3228za700za7za7t3245za7, "::", 2);
	      DEFINE_STRING(BGl_string3230z00zztools_shapez00,
		BgL_bgl_string3230za700za7za7t3246za7, "-<user>", 7);
	      DEFINE_STRING(BGl_string3229z00zztools_shapez00,
		BgL_bgl_string3229za700za7za7t3247za7, "", 0);
	      DEFINE_STRING(BGl_string3231z00zztools_shapez00,
		BgL_bgl_string3231za700za7za7t3248za7, "-<no-user>", 10);
	      DEFINE_STRING(BGl_string3232z00zztools_shapez00,
		BgL_bgl_string3232za700za7za7t3249za7, "{", 1);
	      DEFINE_STRING(BGl_string3233z00zztools_shapez00,
		BgL_bgl_string3233za700za7za7t3250za7, "}", 1);
	      DEFINE_STRING(BGl_string3234z00zztools_shapez00,
		BgL_bgl_string3234za700za7za7t3251za7, "@", 1);
	      DEFINE_STRING(BGl_string3235z00zztools_shapez00,
		BgL_bgl_string3235za700za7za7t3252za7, "Can't find global anymore -- ", 29);
	      DEFINE_STRING(BGl_string3236z00zztools_shapez00,
		BgL_bgl_string3236za700za7za7t3253za7, "global-shape:", 13);
	      DEFINE_STRING(BGl_string3237z00zztools_shapez00,
		BgL_bgl_string3237za700za7za7t3254za7, "tools_shape", 11);
	      DEFINE_STRING(BGl_string3238z00zztools_shapez00,
		BgL_bgl_string3238za700za7za7t3255za7, "a-tvector @ _ ", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long
		BgL_checksumz00_1456, char *BgL_fromz00_1457)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_shapez00))
				{
					BGl_requirezd2initializa7ationz75zztools_shapez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_shapez00();
					BGl_cnstzd2initzd2zztools_shapez00();
					BGl_importedzd2moduleszd2initz00zztools_shapez00();
					BGl_methodzd2initzd2zztools_shapez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_shape");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			{	/* Tools/shape.scm 16 */
				obj_t BgL_cportz00_1447;

				BgL_cportz00_1447 =
					bgl_open_input_string(BGl_string3238z00zztools_shapez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1448;

					BgL_iz00_1448 = ((long) 2);
				BgL_loopz00_1449:
					if ((BgL_iz00_1448 == ((long) -1)))
						{	/* Tools/shape.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Tools/shape.scm 16 */
							{	/* Tools/shape.scm 16 */
								obj_t BgL_arg3240z00_1451;

								{	/* Tools/shape.scm 16 */

									{	/* Tools/shape.scm 16 */
										obj_t BgL_locationz00_1453;

										BgL_locationz00_1453 = BBOOL(((bool_t) 0));
										{	/* Tools/shape.scm 16 */

											BgL_arg3240z00_1451 =
												BGl_readz00zz__readerz00(BgL_cportz00_1447,
												BgL_locationz00_1453);
										}
									}
								}
								{	/* Tools/shape.scm 16 */
									int BgL_auxz00_1478;

									BgL_auxz00_1478 = (int) (BgL_iz00_1448);
									CNST_TABLE_SET(BgL_auxz00_1478, BgL_arg3240z00_1451);
							}}
							{	/* Tools/shape.scm 16 */
								int BgL_auxz00_1454;

								BgL_auxz00_1454 = (int) ((BgL_iz00_1448 - ((long) 1)));
								{
									long BgL_iz00_1483;

									BgL_iz00_1483 = (long) (BgL_auxz00_1454);
									BgL_iz00_1448 = BgL_iz00_1483;
									goto BgL_loopz00_1449;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_addzd2genericz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00,
				BGl_shapezd2default3021zd2envz00zztools_shapez00);
			{	/* Tools/shape.scm 16 */
				obj_t BgL_shapezd2global3024zd2_1433;

				BgL_shapezd2global3024zd2_1433 =
					make_fx_procedure(BGl_shapezd2global3024zd2zztools_shapez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00,
					BGl_globalz00zzast_varz00, BgL_shapezd2global3024zd2_1433);
			}
			{	/* Tools/shape.scm 16 */
				obj_t BgL_shapezd2local3026zd2_1432;

				BgL_shapezd2local3026zd2_1432 =
					make_fx_procedure(BGl_shapezd2local3026zd2zztools_shapez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00,
					BGl_localz00zzast_varz00, BgL_shapezd2local3026zd2_1432);
			}
			{	/* Tools/shape.scm 16 */
				obj_t BgL_shapezd2type3028zd2_1431;

				BgL_shapezd2type3028zd2_1431 =
					make_fx_procedure(BGl_shapezd2type3028zd2zztools_shapez00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00,
					BGl_typez00zztype_typez00, BgL_shapezd2type3028zd2_1431);
			}
			{	/* Tools/shape.scm 16 */
				obj_t BgL_shapezd2node3030zd2_1430;

				BgL_shapezd2node3030zd2_1430 =
					make_fx_procedure(BGl_shapezd2node3030zd2zztools_shapez00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_shapezd2envzd2zztools_shapez00, BGl_nodez00zzast_nodez00,
					BgL_shapezd2node3030zd2_1430);
			}
		}
	}



/* shape-node3030 */
	obj_t BGl_shapezd2node3030zd2zztools_shapez00(obj_t BgL_envz00_1434,
		obj_t BgL_nodez00_1435)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 166 */
			{	/* Tools/shape.scm 167 */
				BgL_nodez00_bglt BgL_nodez00_1455;

				BgL_nodez00_1455 = (BgL_nodez00_bglt) (BgL_nodez00_1435);
				return BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_1455);
			}
		}
	}



/* shape-type3028 */
	obj_t BGl_shapezd2type3028zd2zztools_shapez00(obj_t BgL_envz00_1436,
		obj_t BgL_typez00_1437)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 148 */
			{
				BgL_typez00_bglt BgL_typez00_1207;

				BgL_typez00_1207 = (BgL_typez00_bglt) (BgL_typez00_1437);
				{	/* Tools/shape.scm 149 */
					obj_t BgL_spz00_1210;

					{	/* Tools/shape.scm 149 */
						obj_t BgL_arg3181z00_1223;

						BgL_arg3181z00_1223 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1207))->BgL_idz00);
						BgL_spz00_1210 = SYMBOL_TO_STRING(BgL_arg3181z00_1223);
					}
					{	/* Tools/shape.scm 149 */
						obj_t BgL_sz00_1211;

						if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
							{	/* Tools/shape.scm 151 */
								obj_t BgL_arg3178z00_1220;

								{	/* Tools/shape.scm 156 */
									long BgL_arg3179z00_1221;

									BgL_arg3179z00_1221 = (long) (BgL_typez00_1207);
									BgL_arg3178z00_1220 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg3179z00_1221, ((long) 16));
								}
								BgL_sz00_1211 =
									string_append_3(BgL_spz00_1210,
									BGl_string3226z00zztools_shapez00, BgL_arg3178z00_1220);
							}
						else
							{	/* Tools/shape.scm 150 */
								BgL_sz00_1211 = BgL_spz00_1210;
							}
						{	/* Tools/shape.scm 150 */

							if (CBOOL(BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 160 */
									obj_t BgL_arg3169z00_1213;

									BgL_arg3169z00_1213 =
										(((BgL_typez00_bglt) CREF(BgL_typez00_1207))->BgL_namez00);
									{	/* Tools/shape.scm 160 */
										obj_t BgL_list3171z00_1215;

										{	/* Tools/shape.scm 160 */
											obj_t BgL_arg3172z00_1216;

											{	/* Tools/shape.scm 160 */
												obj_t BgL_arg3175z00_1217;

												{	/* Tools/shape.scm 160 */
													obj_t BgL_arg3176z00_1218;

													BgL_arg3176z00_1218 =
														MAKE_PAIR(BGl_string3227z00zztools_shapez00, BNIL);
													BgL_arg3175z00_1217 =
														MAKE_PAIR(BgL_arg3169z00_1213, BgL_arg3176z00_1218);
												}
												BgL_arg3172z00_1216 =
													MAKE_PAIR(BGl_string3227z00zztools_shapez00,
													BgL_arg3175z00_1217);
											}
											BgL_list3171z00_1215 =
												MAKE_PAIR(BgL_sz00_1211, BgL_arg3172z00_1216);
										}
										return
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list3171z00_1215);
									}
								}
							else
								{	/* Tools/shape.scm 159 */
									return BgL_sz00_1211;
								}
						}
					}
				}
			}
		}
	}



/* shape-local3026 */
	obj_t BGl_shapezd2local3026zd2zztools_shapez00(obj_t BgL_envz00_1438,
		obj_t BgL_varz00_1439)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 120 */
			{
				BgL_localz00_bglt BgL_varz00_1174;

				BgL_varz00_1174 = (BgL_localz00_bglt) (BgL_varz00_1439);
				{	/* Tools/shape.scm 121 */
					obj_t BgL_symz00_1177;

					if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 122 */
							obj_t BgL_arg3158z00_1195;
							obj_t BgL_arg3159z00_1196;
							obj_t BgL_arg3160z00_1197;

							{	/* Tools/shape.scm 122 */
								BgL_variablez00_bglt BgL_obj1379z00_1324;

								BgL_obj1379z00_1324 = (BgL_variablez00_bglt) (BgL_varz00_1174);
								BgL_arg3158z00_1195 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1324))->
									BgL_idz00);
							}
							BgL_arg3159z00_1196 = CNST_TABLE_REF(((long) 0));
							{	/* Tools/shape.scm 125 */
								obj_t BgL_arg3164z00_1201;

								{	/* Tools/shape.scm 125 */

									BgL_arg3164z00_1201 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(((BgL_localz00_bglt) CREF(BgL_varz00_1174))->BgL_keyz00),
										((long) 10));
								}
								BgL_arg3160z00_1197 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg3164z00_1201));
							}
							{	/* Tools/shape.scm 122 */
								obj_t BgL_list3161z00_1198;

								{	/* Tools/shape.scm 122 */
									obj_t BgL_arg3162z00_1199;

									{	/* Tools/shape.scm 122 */
										obj_t BgL_arg3163z00_1200;

										BgL_arg3163z00_1200 = MAKE_PAIR(BgL_arg3160z00_1197, BNIL);
										BgL_arg3162z00_1199 =
											MAKE_PAIR(BgL_arg3159z00_1196, BgL_arg3163z00_1200);
									}
									BgL_list3161z00_1198 =
										MAKE_PAIR(BgL_arg3158z00_1195, BgL_arg3162z00_1199);
								}
								BgL_symz00_1177 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list3161z00_1198);
						}}
					else
						{	/* Tools/shape.scm 126 */
							BgL_variablez00_bglt BgL_obj1379z00_1327;

							BgL_obj1379z00_1327 = (BgL_variablez00_bglt) (BgL_varz00_1174);
							BgL_symz00_1177 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1327))->BgL_idz00);
						}
					{	/* Tools/shape.scm 121 */
						obj_t BgL_symz00_1178;

						BgL_symz00_1178 = SYMBOL_TO_STRING(BgL_symz00_1177);
						{	/* Tools/shape.scm 127 */
							BgL_typez00_bglt BgL_typez00_1179;

							{	/* Tools/shape.scm 128 */
								BgL_variablez00_bglt BgL_obj1384z00_1329;

								BgL_obj1384z00_1329 = (BgL_variablez00_bglt) (BgL_varz00_1174);
								BgL_typez00_1179 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1384z00_1329))->
									BgL_typez00);
							}
							{	/* Tools/shape.scm 128 */
								obj_t BgL_tshapez00_1180;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 131 */
										obj_t BgL_arg3157z00_1194;

										BgL_arg3157z00_1194 =
											BGl_shapez00zztools_shapez00((obj_t) (BgL_typez00_1179));
										BgL_tshapez00_1180 =
											string_append(BGl_string3228z00zztools_shapez00,
											BgL_arg3157z00_1194);
									}
								else
									{	/* Tools/shape.scm 129 */
										BgL_tshapez00_1180 = BGl_string3229z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 129 */
									obj_t BgL_ushapez00_1181;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 132 */
											if (
												(((BgL_localz00_bglt) CREF(BgL_varz00_1174))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 134 */
													BgL_ushapez00_1181 =
														BGl_string3230z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 134 */
													BgL_ushapez00_1181 =
														BGl_string3231z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 132 */
											BgL_ushapez00_1181 = BGl_string3229z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 132 */
										obj_t BgL_ashapez00_1182;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 141 */
												obj_t BgL_arg3152z00_1189;

												{	/* Tools/shape.scm 141 */
													obj_t BgL_arg3154z00_1191;

													{	/* Tools/shape.scm 141 */
														BgL_variablez00_bglt BgL_obj1390z00_1331;

														BgL_obj1390z00_1331 =
															(BgL_variablez00_bglt) (BgL_varz00_1174);
														BgL_arg3154z00_1191 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1390z00_1331))->BgL_accessz00);
													}
													BgL_arg3152z00_1189 =
														SYMBOL_TO_STRING(BgL_arg3154z00_1191);
												}
												BgL_ashapez00_1182 =
													string_append_3(BGl_string3232z00zztools_shapez00,
													BgL_arg3152z00_1189,
													BGl_string3233z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 138 */
												BgL_ashapez00_1182 = BGl_string3229z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 137 */

											{	/* Tools/shape.scm 143 */
												obj_t BgL_arg3146z00_1183;

												{	/* Tools/shape.scm 143 */
													obj_t BgL_list3147z00_1184;

													{	/* Tools/shape.scm 143 */
														obj_t BgL_arg3148z00_1185;

														{	/* Tools/shape.scm 143 */
															obj_t BgL_arg3149z00_1186;

															{	/* Tools/shape.scm 143 */
																obj_t BgL_arg3150z00_1187;

																BgL_arg3150z00_1187 =
																	MAKE_PAIR(BgL_ashapez00_1182, BNIL);
																BgL_arg3149z00_1186 =
																	MAKE_PAIR(BgL_ushapez00_1181,
																	BgL_arg3150z00_1187);
															}
															BgL_arg3148z00_1185 =
																MAKE_PAIR(BgL_tshapez00_1180,
																BgL_arg3149z00_1186);
														}
														BgL_list3147z00_1184 =
															MAKE_PAIR(BgL_symz00_1178, BgL_arg3148z00_1185);
													}
													BgL_arg3146z00_1183 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list3147z00_1184);
												}
												return
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg3146z00_1183));
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* shape-global3024 */
	obj_t BGl_shapezd2global3024zd2zztools_shapez00(obj_t BgL_envz00_1440,
		obj_t BgL_varz00_1441)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 72 */
			{
				BgL_globalz00_bglt BgL_varz00_1102;

				BgL_varz00_1102 = (BgL_globalz00_bglt) (BgL_varz00_1441);
				{	/* Tools/shape.scm 73 */
					obj_t BgL_idz00_1105;

					{	/* Tools/shape.scm 73 */
						BgL_variablez00_bglt BgL_obj1379z00_1303;

						BgL_obj1379z00_1303 = (BgL_variablez00_bglt) (BgL_varz00_1102);
						BgL_idz00_1105 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1379z00_1303))->BgL_idz00);
					}
					{	/* Tools/shape.scm 73 */
						obj_t BgL_strzd2idzd2_1106;

						BgL_strzd2idzd2_1106 = SYMBOL_TO_STRING(BgL_idz00_1105);
						{	/* Tools/shape.scm 74 */
							obj_t BgL_modulez00_1107;

							{	/* Tools/shape.scm 75 */
								obj_t BgL_arg3144z00_1171;

								BgL_arg3144z00_1171 =
									(((BgL_globalz00_bglt) CREF(BgL_varz00_1102))->BgL_modulez00);
								BgL_modulez00_1107 = SYMBOL_TO_STRING(BgL_arg3144z00_1171);
							}
							{	/* Tools/shape.scm 75 */
								BgL_typez00_bglt BgL_typez00_1108;

								{	/* Tools/shape.scm 76 */
									BgL_variablez00_bglt BgL_obj1384z00_1307;

									BgL_obj1384z00_1307 =
										(BgL_variablez00_bglt) (BgL_varz00_1102);
									BgL_typez00_1108 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1384z00_1307))->
										BgL_typez00);
								}
								{	/* Tools/shape.scm 76 */
									obj_t BgL_tshapez00_1109;

									if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 79 */
											obj_t BgL_arg3143z00_1170;

											BgL_arg3143z00_1170 =
												BGl_shapez00zztools_shapez00(
												(obj_t) (BgL_typez00_1108));
											BgL_tshapez00_1109 =
												string_append(BGl_string3228z00zztools_shapez00,
												BgL_arg3143z00_1170);
										}
									else
										{	/* Tools/shape.scm 77 */
											BgL_tshapez00_1109 = BGl_string3229z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 77 */
										obj_t BgL_ushapez00_1110;

										if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 80 */
												if (
													(((BgL_globalz00_bglt) CREF(BgL_varz00_1102))->
														BgL_userzf3zf3))
													{	/* Tools/shape.scm 82 */
														BgL_ushapez00_1110 =
															BGl_string3230z00zztools_shapez00;
													}
												else
													{	/* Tools/shape.scm 82 */
														BgL_ushapez00_1110 =
															BGl_string3231z00zztools_shapez00;
													}
											}
										else
											{	/* Tools/shape.scm 80 */
												BgL_ushapez00_1110 = BGl_string3229z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 80 */
											obj_t BgL_ashapez00_1111;

											if (CBOOL
												(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
												{	/* Tools/shape.scm 89 */
													obj_t BgL_arg3138z00_1165;

													{	/* Tools/shape.scm 89 */
														obj_t BgL_arg3140z00_1167;

														{	/* Tools/shape.scm 89 */
															BgL_variablez00_bglt BgL_obj1390z00_1309;

															BgL_obj1390z00_1309 =
																(BgL_variablez00_bglt) (BgL_varz00_1102);
															BgL_arg3140z00_1167 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1390z00_1309))->BgL_accessz00);
														}
														BgL_arg3138z00_1165 =
															SYMBOL_TO_STRING(BgL_arg3140z00_1167);
													}
													BgL_ashapez00_1111 =
														string_append_3(BGl_string3232z00zztools_shapez00,
														BgL_arg3138z00_1165,
														BGl_string3233z00zztools_shapez00);
												}
											else
												{	/* Tools/shape.scm 86 */
													BgL_ashapez00_1111 =
														BGl_string3229z00zztools_shapez00;
												}
											{	/* Tools/shape.scm 85 */

												if (CBOOL
													(BGl_za2modulezd2shapezf3za2z21zzengine_paramz00))
													{	/* Tools/shape.scm 94 */
														obj_t BgL_arg3087z00_1112;

														{	/* Tools/shape.scm 94 */
															obj_t BgL_list3088z00_1113;

															{	/* Tools/shape.scm 94 */
																obj_t BgL_arg3089z00_1114;

																{	/* Tools/shape.scm 94 */
																	obj_t BgL_arg3091z00_1116;

																	{	/* Tools/shape.scm 94 */
																		obj_t BgL_arg3092z00_1117;

																		{	/* Tools/shape.scm 94 */
																			obj_t BgL_arg3093z00_1118;

																			{	/* Tools/shape.scm 94 */
																				obj_t BgL_arg3094z00_1119;

																				BgL_arg3094z00_1119 =
																					MAKE_PAIR(BgL_ashapez00_1111, BNIL);
																				BgL_arg3093z00_1118 =
																					MAKE_PAIR(BgL_ushapez00_1110,
																					BgL_arg3094z00_1119);
																			}
																			BgL_arg3092z00_1117 =
																				MAKE_PAIR(BgL_tshapez00_1109,
																				BgL_arg3093z00_1118);
																		}
																		BgL_arg3091z00_1116 =
																			MAKE_PAIR(BgL_modulez00_1107,
																			BgL_arg3092z00_1117);
																	}
																	BgL_arg3089z00_1114 =
																		MAKE_PAIR(BGl_string3234z00zztools_shapez00,
																		BgL_arg3091z00_1116);
																}
																BgL_list3088z00_1113 =
																	MAKE_PAIR(BgL_strzd2idzd2_1106,
																	BgL_arg3089z00_1114);
															}
															BgL_arg3087z00_1112 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list3088z00_1113);
														}
														return
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg3087z00_1112));
													}
												else
													{

														{	/* Tools/shape.scm 96 */
															obj_t BgL_aux3020z00_1121;

															{	/* Tools/shape.scm 96 */
																obj_t BgL_arg3123z00_1149;

																BgL_arg3123z00_1149 =
																	(((BgL_globalz00_bglt)
																		CREF(BgL_varz00_1102))->BgL_modulez00);
																BgL_aux3020z00_1121 =
																	BGl_globalzd2bucketzd2positionz00zzast_envz00
																	(BgL_idz00_1105, BgL_arg3123z00_1149);
															}
															if (INTEGERP(BgL_aux3020z00_1121))
																{	/* Tools/shape.scm 96 */
																	switch ((long) CINT(BgL_aux3020z00_1121))
																		{
																		case ((long) -1):

																			{	/* Tools/shape.scm 98 */
																				obj_t BgL_arg3098z00_1125;

																				{	/* Tools/shape.scm 100 */
																					obj_t BgL_arg3102z00_1129;
																					obj_t BgL_arg3103z00_1130;

																					BgL_arg3102z00_1129 =
																						CNST_TABLE_REF(((long) 1));
																					{	/* Tools/shape.scm 100 */
																						obj_t BgL_arg3104z00_1131;

																						BgL_arg3104z00_1131 =
																							(((BgL_globalz00_bglt)
																								CREF(BgL_varz00_1102))->
																							BgL_modulez00);
																						{	/* Tools/shape.scm 100 */
																							obj_t BgL_list3106z00_1133;

																							{	/* Tools/shape.scm 100 */
																								obj_t BgL_arg3108z00_1134;

																								BgL_arg3108z00_1134 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list3106z00_1133 =
																									MAKE_PAIR(BgL_arg3104z00_1131,
																									BgL_arg3108z00_1134);
																							}
																							BgL_arg3103z00_1130 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_1105,
																								BgL_list3106z00_1133);
																					}}
																					BgL_arg3098z00_1125 =
																						MAKE_PAIR(BgL_arg3102z00_1129,
																						BgL_arg3103z00_1130);
																				}
																				{	/* Tools/shape.scm 98 */
																					obj_t BgL_list3099z00_1126;

																					{	/* Tools/shape.scm 98 */
																						obj_t BgL_arg3100z00_1127;

																						{	/* Tools/shape.scm 98 */
																							obj_t BgL_arg3101z00_1128;

																							BgL_arg3101z00_1128 =
																								MAKE_PAIR(BgL_arg3098z00_1125,
																								BNIL);
																							BgL_arg3100z00_1127 =
																								MAKE_PAIR
																								(BGl_string3235z00zztools_shapez00,
																								BgL_arg3101z00_1128);
																						}
																						BgL_list3099z00_1126 =
																							MAKE_PAIR
																							(BGl_string3236z00zztools_shapez00,
																							BgL_arg3100z00_1127);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list3099z00_1126);
																			}}
																			{	/* Tools/shape.scm 102 */
																				obj_t BgL_arg3109z00_1135;
																				obj_t BgL_arg3110z00_1136;
																				obj_t BgL_arg3111z00_1137;

																				BgL_arg3109z00_1135 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_tshapez00_1109));
																				BgL_arg3110z00_1136 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_ushapez00_1110));
																				BgL_arg3111z00_1137 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_ashapez00_1111));
																				{	/* Tools/shape.scm 101 */
																					obj_t BgL_list3112z00_1138;

																					{	/* Tools/shape.scm 101 */
																						obj_t BgL_arg3113z00_1139;

																						{	/* Tools/shape.scm 101 */
																							obj_t BgL_arg3114z00_1140;

																							{	/* Tools/shape.scm 101 */
																								obj_t BgL_arg3115z00_1141;

																								BgL_arg3115z00_1141 =
																									MAKE_PAIR(BgL_arg3111z00_1137,
																									BNIL);
																								BgL_arg3114z00_1140 =
																									MAKE_PAIR(BgL_arg3110z00_1136,
																									BgL_arg3115z00_1141);
																							}
																							BgL_arg3113z00_1139 =
																								MAKE_PAIR(BgL_arg3109z00_1135,
																								BgL_arg3114z00_1140);
																						}
																						BgL_list3112z00_1138 =
																							MAKE_PAIR(BgL_idz00_1105,
																							BgL_arg3113z00_1139);
																					}
																					return
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list3112z00_1138);
																				}
																			}
																			break;
																		case ((long) 0):

																			{	/* Tools/shape.scm 107 */
																				obj_t BgL_arg3116z00_1142;
																				obj_t BgL_arg3117z00_1143;
																				obj_t BgL_arg3118z00_1144;

																				BgL_arg3116z00_1142 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_tshapez00_1109));
																				BgL_arg3117z00_1143 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_ushapez00_1110));
																				BgL_arg3118z00_1144 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_ashapez00_1111));
																				{	/* Tools/shape.scm 106 */
																					obj_t BgL_list3119z00_1145;

																					{	/* Tools/shape.scm 106 */
																						obj_t BgL_arg3120z00_1146;

																						{	/* Tools/shape.scm 106 */
																							obj_t BgL_arg3121z00_1147;

																							{	/* Tools/shape.scm 106 */
																								obj_t BgL_arg3122z00_1148;

																								BgL_arg3122z00_1148 =
																									MAKE_PAIR(BgL_arg3118z00_1144,
																									BNIL);
																								BgL_arg3121z00_1147 =
																									MAKE_PAIR(BgL_arg3117z00_1143,
																									BgL_arg3122z00_1148);
																							}
																							BgL_arg3120z00_1146 =
																								MAKE_PAIR(BgL_arg3116z00_1142,
																								BgL_arg3121z00_1147);
																						}
																						BgL_list3119z00_1145 =
																							MAKE_PAIR(BgL_idz00_1105,
																							BgL_arg3120z00_1146);
																					}
																					return
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list3119z00_1145);
																				}
																			}
																			break;
																		default:
																		BgL_case_else3019z00_1120:
																			{	/* Tools/shape.scm 111 */
																				obj_t BgL_symz00_1150;

																				{	/* Tools/shape.scm 112 */
																					obj_t BgL_arg3130z00_1157;
																					obj_t BgL_arg3131z00_1158;
																					obj_t BgL_arg3132z00_1159;

																					BgL_arg3130z00_1157 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_tshapez00_1109));
																					BgL_arg3131z00_1158 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_ushapez00_1110));
																					BgL_arg3132z00_1159 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_ashapez00_1111));
																					{	/* Tools/shape.scm 111 */
																						obj_t BgL_list3133z00_1160;

																						{	/* Tools/shape.scm 111 */
																							obj_t BgL_arg3134z00_1161;

																							{	/* Tools/shape.scm 111 */
																								obj_t BgL_arg3135z00_1162;

																								{	/* Tools/shape.scm 111 */
																									obj_t BgL_arg3136z00_1163;

																									BgL_arg3136z00_1163 =
																										MAKE_PAIR
																										(BgL_arg3132z00_1159, BNIL);
																									BgL_arg3135z00_1162 =
																										MAKE_PAIR
																										(BgL_arg3131z00_1158,
																										BgL_arg3136z00_1163);
																								}
																								BgL_arg3134z00_1161 =
																									MAKE_PAIR(BgL_arg3130z00_1157,
																									BgL_arg3135z00_1162);
																							}
																							BgL_list3133z00_1160 =
																								MAKE_PAIR(BgL_idz00_1105,
																								BgL_arg3134z00_1161);
																						}
																						BgL_symz00_1150 =
																							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																							(BgL_list3133z00_1160);
																					}
																				}
																				{	/* Tools/shape.scm 115 */
																					obj_t BgL_arg3124z00_1151;
																					obj_t BgL_arg3125z00_1152;

																					BgL_arg3124z00_1151 =
																						CNST_TABLE_REF(((long) 1));
																					{	/* Tools/shape.scm 115 */
																						obj_t BgL_arg3126z00_1153;

																						BgL_arg3126z00_1153 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_modulez00_1107));
																						{	/* Tools/shape.scm 115 */
																							obj_t BgL_list3128z00_1155;

																							{	/* Tools/shape.scm 115 */
																								obj_t BgL_arg3129z00_1156;

																								BgL_arg3129z00_1156 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list3128z00_1155 =
																									MAKE_PAIR(BgL_arg3126z00_1153,
																									BgL_arg3129z00_1156);
																							}
																							BgL_arg3125z00_1152 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_symz00_1150,
																								BgL_list3128z00_1155);
																					}}
																					return
																						MAKE_PAIR(BgL_arg3124z00_1151,
																						BgL_arg3125z00_1152);
																				}
																			}
																		}
																}
															else
																{	/* Tools/shape.scm 96 */
																	goto BgL_case_else3019z00_1120;
																}
														}
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* shape */
	BGL_EXPORTED_DEF obj_t BGl_shapez00zztools_shapez00(obj_t BgL_expz00_11)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			{

				if (BGL_OBJECTP(BgL_expz00_11))
					{	/* Tools/shape.scm 28 */
						obj_t BgL_method3022z00_1233;

						{	/* Tools/shape.scm 28 */
							BgL_objectz00_bglt BgL_objz00_1338;

							BgL_objz00_1338 = (BgL_objectz00_bglt) (BgL_expz00_11);
							{	/* Tools/shape.scm 28 */
								long BgL_objzd2classzd2numz00_1339;

								BgL_objzd2classzd2numz00_1339 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1338);
								{	/* Tools/shape.scm 28 */
									obj_t BgL_arg2249z00_1340;

									BgL_arg2249z00_1340 =
										PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
										(int) (((long) 1)));
									{	/* Tools/shape.scm 28 */
										obj_t BgL_arrayz00_1342;
										int BgL_offsetz00_1343;

										BgL_arrayz00_1342 = BgL_arg2249z00_1340;
										BgL_offsetz00_1343 = (int) (BgL_objzd2classzd2numz00_1339);
										{	/* Tools/shape.scm 28 */
											long BgL_offsetz00_1344;

											BgL_offsetz00_1344 =
												((long) (BgL_offsetz00_1343) - OBJECT_TYPE);
											{	/* Tools/shape.scm 28 */
												long BgL_modz00_1345;

												{	/* Tools/shape.scm 28 */
													int BgL_arg2251z00_1346;

													BgL_arg2251z00_1346 = (int) (((long) 8));
													{	/* Tools/shape.scm 28 */
														long BgL_auxz00_1661;

														BgL_auxz00_1661 = (long) (BgL_arg2251z00_1346);
														BgL_modz00_1345 =
															(BgL_offsetz00_1344 / BgL_auxz00_1661);
												}}
												{	/* Tools/shape.scm 28 */
													long BgL_restz00_1347;

													{	/* Tools/shape.scm 28 */
														int BgL_arg2250z00_1348;

														BgL_arg2250z00_1348 = (int) (((long) 8));
														{	/* Tools/shape.scm 28 */
															long BgL_auxz00_1665;

															BgL_auxz00_1665 = (long) (BgL_arg2250z00_1348);
															BgL_restz00_1347 =
																(BgL_offsetz00_1344 % BgL_auxz00_1665);
													}}
													{	/* Tools/shape.scm 28 */

														BgL_method3022z00_1233 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1342,
																(int) (BgL_modz00_1345)),
															(int) (BgL_restz00_1347));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3022z00_1233) (BgL_method3022z00_1233,
							BgL_expz00_11, BEOA);
					}
				else
					{	/* Tools/shape.scm 28 */
						{	/* Tools/shape.scm 28 */
							obj_t BgL_fun3186z00_1235;

							BgL_fun3186z00_1235 =
								PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
								(int) (((long) 0)));
							return
								PROCEDURE_ENTRY(BgL_fun3186z00_1235) (BgL_fun3186z00_1235,
								BgL_expz00_11, BEOA);
						}
					}
			}
		}
	}



/* _shape */
	obj_t BGl__shapez00zztools_shapez00(obj_t BgL_envz00_1442,
		obj_t BgL_expz00_1443)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			return BGl_shapez00zztools_shapez00(BgL_expz00_1443);
		}
	}



/* shape-default3021 */
	obj_t BGl_shapezd2default3021zd2zztools_shapez00(obj_t BgL_expz00_12)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			if (PAIRP(BgL_expz00_12))
				{	/* Tools/shape.scm 30 */
					return BGl_loopz00zztools_shapez00(BgL_expz00_12);
				}
			else
				{	/* Tools/shape.scm 30 */
					if (VECTORP(BgL_expz00_12))
						{	/* Tools/shape.scm 42 */
							int BgL_lenz00_1252;

							BgL_lenz00_1252 = VECTOR_LENGTH(BgL_expz00_12);
							{	/* Tools/shape.scm 42 */
								obj_t BgL_resz00_1253;

								BgL_resz00_1253 = make_vector(BgL_lenz00_1252, BNIL);
								{	/* Tools/shape.scm 43 */

									{
										long BgL_indicez00_1254;

										BgL_indicez00_1254 = ((long) 0);
									BgL_loopz00_1255:
										if ((BgL_indicez00_1254 == (long) (BgL_lenz00_1252)))
											{	/* Tools/shape.scm 45 */
												return BgL_resz00_1253;
											}
										else
											{	/* Tools/shape.scm 45 */
												VECTOR_SET(BgL_resz00_1253,
													(int) (BgL_indicez00_1254),
													BGl_shapez00zztools_shapez00(VECTOR_REF(BgL_expz00_12,
															(int) (BgL_indicez00_1254))));
												{
													long BgL_indicez00_1694;

													BgL_indicez00_1694 =
														(BgL_indicez00_1254 + ((long) 1));
													BgL_indicez00_1254 = BgL_indicez00_1694;
													goto BgL_loopz00_1255;
												}
											}
									}
								}
							}
						}
					else
						{	/* Tools/shape.scm 52 */
							bool_t BgL_testz00_1696;

							if (STRUCTP(BgL_expz00_12))
								{	/* Tools/shape.scm 52 */
									BgL_testz00_1696 =
										(STRUCT_KEY(BgL_expz00_12) == CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Tools/shape.scm 52 */
									BgL_testz00_1696 = ((bool_t) 0);
								}
							if (BgL_testz00_1696)
								{	/* Tools/shape.scm 53 */
									obj_t BgL_arg3208z00_1261;
									obj_t BgL_arg3209z00_1262;

									BgL_arg3208z00_1261 =
										BGl_shapez00zztools_shapez00(STRUCT_REF(BgL_expz00_12,
											(int) (((long) 0))));
									BgL_arg3209z00_1262 =
										BGl_shapez00zztools_shapez00(STRUCT_REF(BgL_expz00_12,
											(int) (((long) 1))));
									{	/* Tools/shape.scm 53 */
										obj_t BgL_newz00_1403;

										BgL_newz00_1403 =
											create_struct(CNST_TABLE_REF(((long) 2)),
											(int) (((long) 2)));
										{	/* Tools/shape.scm 53 */
											int BgL_auxz00_1711;

											BgL_auxz00_1711 = (int) (((long) 1));
											STRUCT_SET(BgL_newz00_1403, BgL_auxz00_1711,
												BgL_arg3209z00_1262);
										}
										{	/* Tools/shape.scm 53 */
											int BgL_auxz00_1714;

											BgL_auxz00_1714 = (int) (((long) 0));
											STRUCT_SET(BgL_newz00_1403, BgL_auxz00_1714,
												BgL_arg3208z00_1261);
										}
										return BgL_newz00_1403;
									}
								}
							else
								{	/* Tools/shape.scm 52 */
									if (STRUCTP(BgL_expz00_12))
										{	/* Tools/shape.scm 55 */
											obj_t BgL_keyz00_1266;

											BgL_keyz00_1266 = STRUCT_KEY(BgL_expz00_12);
											{	/* Tools/shape.scm 55 */
												int BgL_lenz00_1267;

												BgL_lenz00_1267 = STRUCT_LENGTH(BgL_expz00_12);
												{	/* Tools/shape.scm 56 */
													obj_t BgL_resz00_1268;

													BgL_resz00_1268 =
														make_struct(BgL_keyz00_1266, BgL_lenz00_1267, BNIL);
													{	/* Tools/shape.scm 57 */

														{
															long BgL_indicez00_1269;

															BgL_indicez00_1269 = ((long) 0);
														BgL_loopz00_1270:
															if (
																(BgL_indicez00_1269 ==
																	(long) (BgL_lenz00_1267)))
																{	/* Tools/shape.scm 59 */
																	return BgL_resz00_1268;
																}
															else
																{	/* Tools/shape.scm 59 */
																	{	/* Tools/shape.scm 62 */
																		obj_t BgL_auxz00_1727;
																		int BgL_auxz00_1725;

																		BgL_auxz00_1727 =
																			BGl_shapez00zztools_shapez00(STRUCT_REF
																			(BgL_expz00_12,
																				(int) (BgL_indicez00_1269)));
																		BgL_auxz00_1725 =
																			(int) (BgL_indicez00_1269);
																		STRUCT_SET(BgL_resz00_1268, BgL_auxz00_1725,
																			BgL_auxz00_1727);
																	}
																	{
																		long BgL_indicez00_1732;

																		BgL_indicez00_1732 =
																			(BgL_indicez00_1269 + ((long) 1));
																		BgL_indicez00_1269 = BgL_indicez00_1732;
																		goto BgL_loopz00_1270;
																	}
																}
														}
													}
												}
											}
										}
									else
										{	/* Tools/shape.scm 54 */
											return BgL_expz00_12;
										}
								}
						}
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_shapez00(obj_t BgL_expz00_1237)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 31 */
			if (NULLP(BgL_expz00_1237))
				{	/* Tools/shape.scm 33 */
					return BNIL;
				}
			else
				{	/* Tools/shape.scm 33 */
					if (PAIRP(BgL_expz00_1237))
						{	/* Tools/shape.scm 35 */
							if (EXTENDED_PAIRP(BgL_expz00_1237))
								{	/* Tools/shape.scm 38 */
									obj_t BgL_arg3191z00_1242;
									obj_t BgL_arg3192z00_1243;
									obj_t BgL_arg3193z00_1244;

									BgL_arg3191z00_1242 =
										BGl_shapez00zztools_shapez00(CAR(BgL_expz00_1237));
									BgL_arg3192z00_1243 =
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1237));
									BgL_arg3193z00_1244 = CER(BgL_expz00_1237);
									{	/* Tools/shape.scm 38 */
										obj_t BgL_res3223z00_1374;

										BgL_res3223z00_1374 =
											MAKE_EXTENDED_PAIR(BgL_arg3191z00_1242,
											BgL_arg3192z00_1243, BgL_arg3193z00_1244);
										return BgL_res3223z00_1374;
									}
								}
							else
								{	/* Tools/shape.scm 37 */
									return
										MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_expz00_1237)),
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1237)));
								}
						}
					else
						{	/* Tools/shape.scm 35 */
							return BGl_shapez00zztools_shapez00(BgL_expz00_1237);
						}
				}
		}
	}



/* _shape-default3021 */
	obj_t BGl__shapezd2default3021zd2zztools_shapez00(obj_t BgL_envz00_1444,
		obj_t BgL_expz00_1445)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BGl_shapezd2default3021zd2zztools_shapez00(BgL_expz00_1445);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 239222528),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3237z00zztools_shapez00));
		}
	}

#ifdef __cplusplus
}
#endif
