/*===========================================================================*/
/*   (Tvector/tvector.scm)                                                   */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tvector/tvector.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(obj_t);
	extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztvector_tvectorz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl__fillzd2tvecz12zc0zztvector_tvectorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__addzd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_tveczf3zf3zztvector_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t);
	static obj_t BGl__declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt BGl_tveczd2nilzd2zztvector_tvectorz00();
	static obj_t BGl__makezd2tveczd2zztvector_tvectorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zztvector_tvectorz00();
	static obj_t BGl__z52allocatezd2tvecz80zztvector_tvectorz00(obj_t);
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	static obj_t BGl__tveczf3zf3zztvector_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztvector_tvectorz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_objectzd2ze3structzd2tvec1481ze3zztvector_tvectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_fillzd2tvecz12zc0zztvector_tvectorz00(BgL_tvecz00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl__tveczd2nilzd2zztvector_tvectorz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_z52allocatezd2tvecz80zztvector_tvectorz00();
	static obj_t BGl_toplevelzd2initzd2zztvector_tvectorz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec1484z83zztvector_tvectorz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_makezd2tveczd2zztvector_tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		BgL_typez00_bglt);
	static obj_t BGl__wideningzd2tvec1570zd2zztvector_tvectorz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztvector_tvectorz00();
	BGL_EXPORTED_DEF obj_t BGl_tvecz00zztvector_tvectorz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2tvectorzd2typez12z12zztvector_tvectorz00(BgL_tvecz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00();
	static obj_t BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zztvector_tvectorz00();
	static obj_t __cnst[7];


	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2tveczd2envz00zztvector_tvectorz00,
		BgL_bgl__wideningza7d2tvec1596za7,
		BGl__wideningzd2tvec1570zd2zztvector_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tveczd2envz00zztvector_tvectorz00,
		BgL_bgl__makeza7d2tvecza7d2za71597za7,
		BGl__makezd2tveczd2zztvector_tvectorz00, 0L, BUNSPEC, 15);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tveczd2nilzd2envz00zztvector_tvectorz00,
		BgL_bgl__tvecza7d2nilza7d2za7za71598z00,
		BGl__tveczd2nilzd2zztvector_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1576z00zztvector_tvectorz00,
		BgL_bgl_string1576za700za7za7t1599za7, "declare-tvector-type!", 21);
	      DEFINE_STRING(BGl_string1577z00zztvector_tvectorz00,
		BgL_bgl_string1577za700za7za7t1600za7, "Unable to find `obj' type", 25);
	      DEFINE_STRING(BGl_string1578z00zztvector_tvectorz00,
		BgL_bgl_string1578za700za7za7t1601za7, "/* Tvector type definitions */",
		30);
	      DEFINE_STRING(BGl_string1580z00zztvector_tvectorz00,
		BgL_bgl_string1580za700za7za7t1602za7, " {", 2);
	      DEFINE_STRING(BGl_string1579z00zztvector_tvectorz00,
		BgL_bgl_string1579za700za7za7t1603za7, "struct bgl_tvector_of_", 22);
	      DEFINE_STRING(BGl_string1581z00zztvector_tvectorz00,
		BgL_bgl_string1581za700za7za7t1604za7, "   header_t header;", 19);
	      DEFINE_STRING(BGl_string1582z00zztvector_tvectorz00,
		BgL_bgl_string1582za700za7za7t1605za7, "   long     length;", 19);
	      DEFINE_STRING(BGl_string1583z00zztvector_tvectorz00,
		BgL_bgl_string1583za700za7za7t1606za7, "   obj_t    descr;", 18);
	      DEFINE_STRING(BGl_string1584z00zztvector_tvectorz00,
		BgL_bgl_string1584za700za7za7t1607za7, "   ", 3);
	      DEFINE_STRING(BGl_string1585z00zztvector_tvectorz00,
		BgL_bgl_string1585za700za7za7t1608za7, " el0;", 5);
	      DEFINE_STRING(BGl_string1586z00zztvector_tvectorz00,
		BgL_bgl_string1586za700za7za7t1609za7, "};\n", 3);
	      DEFINE_STRING(BGl_string1587z00zztvector_tvectorz00,
		BgL_bgl_string1587za700za7za7t1610za7, "tvector_tvector", 15);
	      DEFINE_STRING(BGl_string1588z00zztvector_tvectorz00,
		BgL_bgl_string1588za700za7za7t1611za7,
		"_ tvec tvector coerce type bigloo obj ", 38);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2tveczd2envz52zztvector_tvectorz00,
		BgL_bgl__za752allocateza7d2t1612z00,
		BGl__z52allocatezd2tvecz80zztvector_tvectorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2tvectorzd2typez12zd2envzc0zztvector_tvectorz00,
		BgL_bgl__declareza7d2tvect1613za7,
		BGl__declarezd2tvectorzd2typez12z12zztvector_tvectorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2tvectorzd2typez12zd2envzc0zztvector_tvectorz00,
		BgL_bgl__addza7d2tvectorza7d1614z00,
		BGl__addzd2tvectorzd2typez12z12zztvector_tvectorz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2tvectorzd2typeszd2envzd2zztvector_tvectorz00,
		BgL_bgl__emitza7d2tvectorza71615z00,
		BGl__emitzd2tvectorzd2typesz00zztvector_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2tvecz12zd2envz12zztvector_tvectorz00,
		BgL_bgl__fillza7d2tvecza712za71616za7,
		BGl__fillzd2tvecz12zc0zztvector_tvectorz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tveczf3zd2envz21zztvector_tvectorz00,
		BgL_bgl__tvecza7f3za7f3za7za7tve1617z00,
		BGl__tveczf3zf3zztvector_tvectorz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long
		BgL_checksumz00_472, char *BgL_fromz00_473)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztvector_tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zztvector_tvectorz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00();
					BGl_cnstzd2initzd2zztvector_tvectorz00();
					BGl_importedzd2moduleszd2initz00zztvector_tvectorz00();
					BGl_objectzd2initzd2zztvector_tvectorz00();
					BGl_methodzd2initzd2zztvector_tvectorz00();
					BGl_toplevelzd2initzd2zztvector_tvectorz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tvector_tvector");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			{	/* Tvector/tvector.scm 15 */
				obj_t BgL_cportz00_451;

				BgL_cportz00_451 =
					bgl_open_input_string(BGl_string1588z00zztvector_tvectorz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_452;

					BgL_iz00_452 = ((long) 6);
				BgL_loopz00_453:
					if ((BgL_iz00_452 == ((long) -1)))
						{	/* Tvector/tvector.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tvector/tvector.scm 15 */
							{	/* Tvector/tvector.scm 15 */
								obj_t BgL_arg1593z00_455;

								{	/* Tvector/tvector.scm 15 */

									{	/* Tvector/tvector.scm 15 */
										obj_t BgL_locationz00_457;

										BgL_locationz00_457 = BBOOL(((bool_t) 0));
										{	/* Tvector/tvector.scm 15 */

											BgL_arg1593z00_455 =
												BGl_readz00zz__readerz00(BgL_cportz00_451,
												BgL_locationz00_457);
										}
									}
								}
								{	/* Tvector/tvector.scm 15 */
									int BgL_auxz00_495;

									BgL_auxz00_495 = (int) (BgL_iz00_452);
									CNST_TABLE_SET(BgL_auxz00_495, BgL_arg1593z00_455);
							}}
							{	/* Tvector/tvector.scm 15 */
								int BgL_auxz00_458;

								BgL_auxz00_458 = (int) ((BgL_iz00_452 - ((long) 1)));
								{
									long BgL_iz00_500;

									BgL_iz00_500 = (long) (BgL_auxz00_458);
									BgL_iz00_452 = BgL_iz00_500;
									goto BgL_loopz00_453;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			return (BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 =
				BNIL, BUNSPEC);
		}
	}



/* add-tvector-type! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2tvectorzd2typez12z12zztvector_tvectorz00(BgL_tvecz00_bglt
		BgL_typez00_1)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 39 */
			return (BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 =
				MAKE_PAIR(
					(obj_t) (BgL_typez00_1),
					BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00), BUNSPEC);
		}
	}



/* _add-tvector-type! */
	obj_t BGl__addzd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t
		BgL_envz00_404, obj_t BgL_typez00_405)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 39 */
			return
				BGl_addzd2tvectorzd2typez12z12zztvector_tvectorz00(
				(BgL_tvecz00_bglt) (BgL_typez00_405));
		}
	}



/* declare-tvector-type! */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt
		BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t
		BgL_tvectzd2idzd2_2, obj_t BgL_itemzd2idzd2_3, obj_t BgL_srcz00_4)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 45 */
			{	/* Tvector/tvector.scm 46 */
				BgL_typez00_bglt BgL_objz00_121;

				BgL_objz00_121 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 0)));
				{	/* Tvector/tvector.scm 47 */
					bool_t BgL_testz00_508;

					{	/* Tvector/tvector.scm 47 */
						obj_t BgL_obj1374z00_238;

						BgL_obj1374z00_238 = (obj_t) (BgL_objz00_121);
						BgL_testz00_508 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1374z00_238,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_508)
						{	/* Tvector/tvector.scm 49 */
							BgL_typez00_bglt BgL_typez00_123;
							BgL_typez00_bglt BgL_itemzd2typezd2_124;

							{	/* Tvector/tvector.scm 50 */
								obj_t BgL_arg1492z00_129;
								obj_t BgL_arg1493z00_130;
								obj_t BgL_arg1494z00_131;

								BgL_arg1492z00_129 =
									(((BgL_typez00_bglt) CREF(BgL_objz00_121))->BgL_namez00);
								{	/* Tvector/tvector.scm 51 */
									obj_t BgL_list1495z00_132;

									BgL_list1495z00_132 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
									BgL_arg1493z00_130 = BgL_list1495z00_132;
								}
								BgL_arg1494z00_131 = CNST_TABLE_REF(((long) 1));
								BgL_typez00_123 =
									BGl_declarezd2subtypez12zc0zztype_envz00(BgL_tvectzd2idzd2_2,
									BgL_arg1492z00_129, BgL_arg1493z00_130, BgL_arg1494z00_131);
							}
							BgL_itemzd2typezd2_124 =
								BGl_usezd2typez12zc0zztype_envz00(BgL_itemzd2idzd2_3,
								BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_4));
							{	/* Tvector/tvector.scm 55 */
								BgL_typez00_bglt BgL_obj1468z00_125;

								BgL_obj1468z00_125 = ((BgL_typez00_bglt) BgL_typez00_123);
								{	/* Tvector/tvector.scm 55 */
									BgL_tvecz00_bglt BgL_arg1488z00_126;

									{	/* Tvector/tvector.scm 55 */
										BgL_tvecz00_bglt BgL_res1558z00_248;

										{	/* Tvector/tvector.scm 55 */
											BgL_tvecz00_bglt BgL_new1396z00_243;
											BgL_new1396z00_243 =
												((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_tvecz00_bgl))));
											{	/* Tvector/tvector.scm 55 */
												BgL_tvecz00_bglt BgL_res1557z00_247;

												{	/* Tvector/tvector.scm 55 */
													BgL_tvecz00_bglt BgL_new1416z00_244;

													BgL_new1416z00_244 = BgL_new1396z00_243;
													{	/* Tvector/tvector.scm 55 */
														BgL_typez00_bglt BgL_itemzd2type1415zd2_246;

														BgL_itemzd2type1415zd2_246 = BgL_itemzd2typezd2_124;
														((((BgL_tvecz00_bglt) CREF(BgL_new1416z00_244))->
																BgL_itemzd2typezd2) =
															((BgL_typez00_bglt) BgL_itemzd2type1415zd2_246),
															BUNSPEC);
														BgL_res1557z00_247 = BgL_new1416z00_244;
												}} BgL_res1557z00_247;
											}
											BgL_res1558z00_248 = BgL_new1396z00_243;
										}
										BgL_arg1488z00_126 = BgL_res1558z00_248;
									}
									{	/* Tvector/tvector.scm 55 */
										obj_t BgL_auxz00_523;
										BgL_objectz00_bglt BgL_auxz00_521;

										BgL_auxz00_523 = (obj_t) (BgL_arg1488z00_126);
										BgL_auxz00_521 = (BgL_objectz00_bglt) (BgL_obj1468z00_125);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_521, BgL_auxz00_523);
								}}
								{	/* Tvector/tvector.scm 55 */
									long BgL_arg1490z00_127;

									BgL_arg1490z00_127 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_tvecz00zztvector_tvectorz00);
									{	/* Tvector/tvector.scm 55 */
										BgL_objectz00_bglt BgL_objz00_249;

										BgL_objz00_249 = (BgL_objectz00_bglt) (BgL_obj1468z00_125);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_249,
											BgL_arg1490z00_127);
								}} BgL_obj1468z00_125;
							}
							BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
								(BGl_makezd2coercionzd2clausez00zztvector_tvectorz00
								(BgL_tvectzd2idzd2_2));
							{	/* Tvector/tvector.scm 59 */
								BgL_tvecz00_bglt BgL_typez00_251;

								BgL_typez00_251 = (BgL_tvecz00_bglt) (BgL_typez00_123);
								BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 =
									MAKE_PAIR(
									(obj_t) (BgL_typez00_251),
									BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00);
							}
							{	/* Tvector/tvector.scm 61 */
								BgL_typez00_bglt BgL_obj1321z00_252;
								obj_t BgL_val1319z00_253;

								BgL_obj1321z00_252 = BgL_itemzd2typezd2_124;
								BgL_val1319z00_253 = (obj_t) (BgL_typez00_123);
								((((BgL_typez00_bglt) CREF(BgL_obj1321z00_252))->
										BgL_tvectorz00) = ((obj_t) BgL_val1319z00_253), BUNSPEC);
							}
							return (BgL_tvecz00_bglt) (BgL_typez00_123);
						}
					else
						{	/* Tvector/tvector.scm 48 */
							obj_t BgL_auxz00_537;

							BgL_auxz00_537 =
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1576z00zztvector_tvectorz00,
								BGl_string1577z00zztvector_tvectorz00,
								BGl_expzd2envzd2zz__r4_numbers_6_5z00, BNIL);
							return (BgL_tvecz00_bglt) (BgL_auxz00_537);
						}
				}
			}
		}
	}



/* _declare-tvector-type! */
	obj_t BGl__declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t
		BgL_envz00_406, obj_t BgL_tvectzd2idzd2_407, obj_t BgL_itemzd2idzd2_408,
		obj_t BgL_srcz00_409)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 45 */
			{	/* Tvector/tvector.scm 46 */
				BgL_tvecz00_bglt BgL_auxz00_540;

				BgL_auxz00_540 =
					BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00
					(BgL_tvectzd2idzd2_407, BgL_itemzd2idzd2_408, BgL_srcz00_409);
				return (obj_t) (BgL_auxz00_540);
			}
		}
	}



/* emit-tvector-types */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t
		BgL_oportz00_5)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 68 */
			if (PAIRP(BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00))
				{	/* Tvector/tvector.scm 69 */
					BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
					bgl_display_string(BGl_string1578z00zztvector_tvectorz00,
						BgL_oportz00_5);
					BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
				}
			else
				{	/* Tvector/tvector.scm 69 */
					BFALSE;
				}
			{	/* Tvector/tvector.scm 71 */
				obj_t BgL_g1478z00_137;

				BgL_g1478z00_137 =
					bgl_reverse_bang
					(BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00);
				{
					obj_t BgL_l1476z00_138;

					BgL_l1476z00_138 = BgL_g1478z00_137;
				BgL_forzd2each1477zd2_139:
					if (PAIRP(BgL_l1476z00_138))
						{	/* Tvector/tvector.scm 71 */
							{	/* Tvector/tvector.scm 72 */
								obj_t BgL_tvectorz00_141;

								BgL_tvectorz00_141 = CAR(BgL_l1476z00_138);
								{	/* Tvector/tvector.scm 72 */
									obj_t BgL_itemzd2typezd2namez00_142;

									{	/* Tvector/tvector.scm 72 */
										BgL_typez00_bglt BgL_obj1287z00_263;

										{	/* Tvector/tvector.scm 72 */
											BgL_tvecz00_bglt BgL_obj1427z00_262;

											BgL_obj1427z00_262 =
												(BgL_tvecz00_bglt) (BgL_tvectorz00_141);
											{
												obj_t BgL_auxz00_553;

												{	/* Tvector/tvector.scm 72 */
													BgL_objectz00_bglt BgL_auxz00_554;

													BgL_auxz00_554 =
														(BgL_objectz00_bglt) (BgL_obj1427z00_262);
													BgL_auxz00_553 = BGL_OBJECT_WIDENING(BgL_auxz00_554);
												}
												BgL_obj1287z00_263 =
													(((BgL_tvecz00_bglt) CREF(BgL_auxz00_553))->
													BgL_itemzd2typezd2);
											}
										}
										BgL_itemzd2typezd2namez00_142 =
											(((BgL_typez00_bglt) CREF(BgL_obj1287z00_263))->
											BgL_namez00);
									}
									bgl_display_string(BGl_string1579z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_obj(bigloo_mangle(BgL_itemzd2typezd2namez00_142),
										BgL_oportz00_5);
									bgl_display_string(BGl_string1580z00zztvector_tvectorz00,
										BgL_oportz00_5);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1581z00zztvector_tvectorz00,
										BgL_oportz00_5);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1582z00zztvector_tvectorz00,
										BgL_oportz00_5);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1583z00zztvector_tvectorz00,
										BgL_oportz00_5);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1584z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_obj(BgL_itemzd2typezd2namez00_142,
										BgL_oportz00_5);
									bgl_display_string(BGl_string1585z00zztvector_tvectorz00,
										BgL_oportz00_5);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1586z00zztvector_tvectorz00,
										BgL_oportz00_5);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
							}}
							{
								obj_t BgL_l1476z00_576;

								BgL_l1476z00_576 = CDR(BgL_l1476z00_138);
								BgL_l1476z00_138 = BgL_l1476z00_576;
								goto BgL_forzd2each1477zd2_139;
							}
						}
					else
						{	/* Tvector/tvector.scm 71 */
							((bool_t) 1);
						}
				}
			}
			return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_oportz00_5);
		}
	}



/* _emit-tvector-types */
	obj_t BGl__emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t BgL_envz00_412,
		obj_t BgL_oportz00_413)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 68 */
			return
				BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(BgL_oportz00_413);
		}
	}



/* make-coercion-clause */
	obj_t BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(obj_t
		BgL_tvectzd2idzd2_6)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 86 */
			{	/* Tvector/tvector.scm 87 */
				obj_t BgL_arg1503z00_152;
				obj_t BgL_arg1504z00_153;

				BgL_arg1503z00_152 = CNST_TABLE_REF(((long) 2));
				{	/* Tvector/tvector.scm 87 */
					obj_t BgL_arg1505z00_154;
					obj_t BgL_arg1506z00_155;

					{	/* Tvector/tvector.scm 87 */
						obj_t BgL_arg1510z00_159;
						obj_t BgL_arg1512z00_160;

						BgL_arg1510z00_159 = CNST_TABLE_REF(((long) 3));
						{	/* Tvector/tvector.scm 87 */
							obj_t BgL_list1513z00_161;

							{	/* Tvector/tvector.scm 87 */
								obj_t BgL_arg1514z00_162;
								obj_t BgL_arg1516z00_163;

								BgL_arg1514z00_162 = CNST_TABLE_REF(((long) 4));
								{	/* Tvector/tvector.scm 87 */
									obj_t BgL_arg1518z00_165;

									{	/* Tvector/tvector.scm 87 */
										obj_t BgL_arg1521z00_167;

										BgL_arg1521z00_167 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1518z00_165 = MAKE_PAIR(BNIL, BgL_arg1521z00_167);
									}
									BgL_arg1516z00_163 = MAKE_PAIR(BNIL, BgL_arg1518z00_165);
								}
								BgL_list1513z00_161 =
									MAKE_PAIR(BgL_arg1514z00_162, BgL_arg1516z00_163);
							}
							BgL_arg1512z00_160 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_tvectzd2idzd2_6,
								BgL_list1513z00_161);
						}
						BgL_arg1505z00_154 =
							MAKE_PAIR(BgL_arg1510z00_159, BgL_arg1512z00_160);
					}
					{	/* Tvector/tvector.scm 88 */
						obj_t BgL_arg1522z00_168;
						obj_t BgL_arg1523z00_169;

						BgL_arg1522z00_168 = CNST_TABLE_REF(((long) 3));
						{	/* Tvector/tvector.scm 88 */
							obj_t BgL_list1524z00_170;

							{	/* Tvector/tvector.scm 88 */
								obj_t BgL_arg1525z00_171;

								{	/* Tvector/tvector.scm 88 */
									obj_t BgL_arg1527z00_173;

									{	/* Tvector/tvector.scm 88 */
										obj_t BgL_arg1530z00_175;

										BgL_arg1530z00_175 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1527z00_173 = MAKE_PAIR(BNIL, BgL_arg1530z00_175);
									}
									BgL_arg1525z00_171 = MAKE_PAIR(BNIL, BgL_arg1527z00_173);
								}
								BgL_list1524z00_170 =
									MAKE_PAIR(BgL_tvectzd2idzd2_6, BgL_arg1525z00_171);
							}
							BgL_arg1523z00_169 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
										(long) 4)), BgL_list1524z00_170);
						}
						BgL_arg1506z00_155 =
							MAKE_PAIR(BgL_arg1522z00_168, BgL_arg1523z00_169);
					}
					{	/* Tvector/tvector.scm 87 */
						obj_t BgL_list1508z00_157;

						{	/* Tvector/tvector.scm 87 */
							obj_t BgL_arg1509z00_158;

							BgL_arg1509z00_158 = MAKE_PAIR(BNIL, BNIL);
							BgL_list1508z00_157 =
								MAKE_PAIR(BgL_arg1506z00_155, BgL_arg1509z00_158);
						}
						BgL_arg1504z00_153 =
							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1505z00_154,
							BgL_list1508z00_157);
				}}
				return MAKE_PAIR(BgL_arg1503z00_152, BgL_arg1504z00_153);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			{	/* Tvector/tvector.scm 23 */
				obj_t BgL_arg1531z00_176;
				obj_t BgL_arg1532z00_177;
				obj_t BgL_arg1535z00_180;

				BgL_arg1531z00_176 = CNST_TABLE_REF(((long) 5));
				BgL_arg1532z00_177 = BGl_typez00zztype_typez00;
				{	/* Tvector/tvector.scm 23 */
					obj_t BgL_v1479z00_181;

					BgL_v1479z00_181 = create_vector((int) (((long) 0)));
					BgL_arg1535z00_180 = BgL_v1479z00_181;
				}
				BGl_tvecz00zztvector_tvectorz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1531z00_176,
					BgL_arg1532z00_177, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2tveczd2envz52zztvector_tvectorz00,
					BGl_tveczd2nilzd2envz00zztvector_tvectorz00,
					BGl_tveczf3zd2envz21zztvector_tvectorz00, ((long) 524731270), BFALSE,
					BFALSE, BgL_arg1535z00_180);
			}
			return (BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* tvec? */
	BGL_EXPORTED_DEF bool_t BGl_tveczf3zf3zztvector_tvectorz00(obj_t
		BgL_obj1426z00_7)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_7,
				BGl_tvecz00zztvector_tvectorz00);
		}
	}



/* _tvec? */
	obj_t BGl__tveczf3zf3zztvector_tvectorz00(obj_t BgL_envz00_416,
		obj_t BgL_obj1426z00_417)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_417,
					BGl_tvecz00zztvector_tvectorz00));
		}
	}



/* widening-tvec */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt
		BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt
		BgL_itemzd2type1395zd2_11)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_new1396z00_288;
				BgL_new1396z00_288 =
					((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_tvecz00_bgl))));
				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_res1559z00_292;

					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_new1416z00_289;

						BgL_new1416z00_289 = BgL_new1396z00_288;
						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_itemzd2type1415zd2_291;

							BgL_itemzd2type1415zd2_291 = BgL_itemzd2type1395zd2_11;
							((((BgL_tvecz00_bglt) CREF(BgL_new1416z00_289))->
									BgL_itemzd2typezd2) =
								((BgL_typez00_bglt) BgL_itemzd2type1415zd2_291), BUNSPEC);
							BgL_res1559z00_292 = BgL_new1416z00_289;
					}} BgL_res1559z00_292;
				}
				return BgL_new1396z00_288;
			}
		}
	}



/* _widening-tvec1570 */
	obj_t BGl__wideningzd2tvec1570zd2zztvector_tvectorz00(obj_t BgL_envz00_418,
		obj_t BgL_itemzd2type1395zd2_419)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_auxz00_610;

				BgL_auxz00_610 =
					BGl_wideningzd2tveczd2zztvector_tvectorz00(
					(BgL_typez00_bglt) (BgL_itemzd2type1395zd2_419));
				return (obj_t) (BgL_auxz00_610);
			}
		}
	}



/* make-tvec */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_makezd2tveczd2zztvector_tvectorz00(obj_t
		BgL_id1399z00_12, obj_t BgL_name1400z00_13, obj_t BgL_siza7e1401za7_14,
		obj_t BgL_class1402z00_15, obj_t BgL_coercezd2to1403zd2_16,
		obj_t BgL_parents1404z00_17, bool_t BgL_initzf31405zf3_18,
		bool_t BgL_magiczf31406zf3_19, obj_t BgL_z421407z42_20,
		obj_t BgL_alias1408z00_21, obj_t BgL_pointedzd2tozd2by1409z00_22,
		obj_t BgL_tvector1410z00_23, obj_t BgL_location1411z00_24,
		obj_t BgL_importzd2location1412zd2_25,
		BgL_typez00_bglt BgL_itemzd2type1398zd2_26)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_aux1413z00_293;

				BgL_aux1413z00_293 =
					BGl_makezd2typezd2zztype_typez00(BgL_id1399z00_12, BgL_name1400z00_13,
					BgL_siza7e1401za7_14, BgL_class1402z00_15, BgL_coercezd2to1403zd2_16,
					BgL_parents1404z00_17, BgL_initzf31405zf3_18, BgL_magiczf31406zf3_19,
					BgL_z421407z42_20, BgL_alias1408z00_21,
					BgL_pointedzd2tozd2by1409z00_22, BgL_tvector1410z00_23,
					BgL_location1411z00_24, BgL_importzd2location1412zd2_25);
				{	/* Tvector/tvector.scm 23 */
					long BgL_arg1536z00_294;

					BgL_arg1536z00_294 =
						BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00);
					{	/* Tvector/tvector.scm 23 */
						BgL_objectz00_bglt BgL_objz00_297;

						BgL_objz00_297 = (BgL_objectz00_bglt) (BgL_aux1413z00_293);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_297, BgL_arg1536z00_294);
				}}
				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_arg1538z00_295;

					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_res1561z00_305;

						{	/* Tvector/tvector.scm 23 */
							BgL_tvecz00_bglt BgL_new1396z00_300;
							BgL_new1396z00_300 =
								((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_tvecz00_bgl))));
							{	/* Tvector/tvector.scm 23 */
								BgL_tvecz00_bglt BgL_res1560z00_304;

								{	/* Tvector/tvector.scm 23 */
									BgL_tvecz00_bglt BgL_new1416z00_301;

									BgL_new1416z00_301 = BgL_new1396z00_300;
									{	/* Tvector/tvector.scm 23 */
										BgL_typez00_bglt BgL_itemzd2type1415zd2_303;

										BgL_itemzd2type1415zd2_303 = BgL_itemzd2type1398zd2_26;
										((((BgL_tvecz00_bglt) CREF(BgL_new1416z00_301))->
												BgL_itemzd2typezd2) =
											((BgL_typez00_bglt) BgL_itemzd2type1415zd2_303), BUNSPEC);
										BgL_res1560z00_304 = BgL_new1416z00_301;
								}} BgL_res1560z00_304;
							}
							BgL_res1561z00_305 = BgL_new1396z00_300;
						}
						BgL_arg1538z00_295 = BgL_res1561z00_305;
					}
					{	/* Tvector/tvector.scm 23 */
						obj_t BgL_auxz00_622;
						BgL_objectz00_bglt BgL_auxz00_620;

						BgL_auxz00_622 = (obj_t) (BgL_arg1538z00_295);
						BgL_auxz00_620 = (BgL_objectz00_bglt) (BgL_aux1413z00_293);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_620, BgL_auxz00_622);
				}}
				return ((BgL_tvecz00_bglt) (BgL_tvecz00_bglt) (BgL_aux1413z00_293));
			}
		}
	}



/* _make-tvec */
	obj_t BGl__makezd2tveczd2zztvector_tvectorz00(obj_t BgL_envz00_420,
		obj_t BgL_id1399z00_421, obj_t BgL_name1400z00_422,
		obj_t BgL_siza7e1401za7_423, obj_t BgL_class1402z00_424,
		obj_t BgL_coercezd2to1403zd2_425, obj_t BgL_parents1404z00_426,
		obj_t BgL_initzf31405zf3_427, obj_t BgL_magiczf31406zf3_428,
		obj_t BgL_z421407z42_429, obj_t BgL_alias1408z00_430,
		obj_t BgL_pointedzd2tozd2by1409z00_431, obj_t BgL_tvector1410z00_432,
		obj_t BgL_location1411z00_433, obj_t BgL_importzd2location1412zd2_434,
		obj_t BgL_itemzd2type1398zd2_435)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_auxz00_627;

				BgL_auxz00_627 =
					BGl_makezd2tveczd2zztvector_tvectorz00(BgL_id1399z00_421,
					BgL_name1400z00_422, BgL_siza7e1401za7_423, BgL_class1402z00_424,
					BgL_coercezd2to1403zd2_425, BgL_parents1404z00_426,
					CBOOL(BgL_initzf31405zf3_427), CBOOL(BgL_magiczf31406zf3_428),
					BgL_z421407z42_429, BgL_alias1408z00_430,
					BgL_pointedzd2tozd2by1409z00_431, BgL_tvector1410z00_432,
					BgL_location1411z00_433, BgL_importzd2location1412zd2_434,
					(BgL_typez00_bglt) (BgL_itemzd2type1398zd2_435));
				return (obj_t) (BgL_auxz00_627);
			}
		}
	}



/* fill-tvec! */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt
		BGl_fillzd2tvecz12zc0zztvector_tvectorz00(BgL_tvecz00_bglt
		BgL_new1416z00_27, BgL_typez00_bglt BgL_itemzd2type1415zd2_28)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_itemzd2type1415zd2_460;

				BgL_itemzd2type1415zd2_460 = BgL_itemzd2type1415zd2_28;
				((((BgL_tvecz00_bglt) CREF(BgL_new1416z00_27))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1415zd2_460), BUNSPEC);
				return BgL_new1416z00_27;
			}
		}
	}



/* _fill-tvec! */
	obj_t BGl__fillzd2tvecz12zc0zztvector_tvectorz00(obj_t BgL_envz00_436,
		obj_t BgL_new1416z00_437, obj_t BgL_itemzd2type1415zd2_438)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_auxz00_634;

				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_res1594z00_464;

					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_new1416z00_461;
						BgL_typez00_bglt BgL_itemzd2type1415zd2_462;

						BgL_new1416z00_461 = (BgL_tvecz00_bglt) (BgL_new1416z00_437);
						BgL_itemzd2type1415zd2_462 =
							(BgL_typez00_bglt) (BgL_itemzd2type1415zd2_438);
						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_itemzd2type1415zd2_463;

							BgL_itemzd2type1415zd2_463 = BgL_itemzd2type1415zd2_462;
							((((BgL_tvecz00_bglt) CREF(BgL_new1416z00_461))->
									BgL_itemzd2typezd2) =
								((BgL_typez00_bglt) BgL_itemzd2type1415zd2_463), BUNSPEC);
							BgL_res1594z00_464 = BgL_new1416z00_461;
						}
					}
					BgL_auxz00_634 = BgL_res1594z00_464;
				}
				return (obj_t) (BgL_auxz00_634);
			}
		}
	}



/* %allocate-tvec */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_z52allocatezd2tvecz80zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_new1419z00_465;
				BgL_new1419z00_465 =
					((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_typez00_bgl))));
				{	/* Tvector/tvector.scm 23 */
					long BgL_arg1539z00_466;

					BgL_arg1539z00_466 =
						BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00);
					{	/* Tvector/tvector.scm 23 */
						BgL_objectz00_bglt BgL_objz00_467;

						BgL_objz00_467 = (BgL_objectz00_bglt) (BgL_new1419z00_465);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_467, BgL_arg1539z00_466);
				}}
				{	/* Tvector/tvector.scm 23 */
					BgL_objectz00_bglt BgL_auxz00_643;

					BgL_auxz00_643 = (BgL_objectz00_bglt) (BgL_new1419z00_465);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_643, BFALSE);
				}
				return BgL_new1419z00_465;
			}
		}
	}



/* _%allocate-tvec */
	obj_t BGl__z52allocatezd2tvecz80zztvector_tvectorz00(obj_t BgL_envz00_414)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_auxz00_646;

				{	/* Tvector/tvector.scm 23 */
					BgL_typez00_bglt BgL_res1595z00_471;

					{	/* Tvector/tvector.scm 23 */
						BgL_typez00_bglt BgL_new1419z00_468;
						BgL_new1419z00_468 =
							((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_typez00_bgl))));
						{	/* Tvector/tvector.scm 23 */
							long BgL_arg1539z00_469;

							BgL_arg1539z00_469 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_tvecz00zztvector_tvectorz00);
							{	/* Tvector/tvector.scm 23 */
								BgL_objectz00_bglt BgL_objz00_470;

								BgL_objz00_470 = (BgL_objectz00_bglt) (BgL_new1419z00_468);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_470, BgL_arg1539z00_469);
						}}
						{	/* Tvector/tvector.scm 23 */
							BgL_objectz00_bglt BgL_auxz00_651;

							BgL_auxz00_651 = (BgL_objectz00_bglt) (BgL_new1419z00_468);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_651, BFALSE);
						}
						BgL_res1595z00_471 = BgL_new1419z00_468;
					}
					BgL_auxz00_646 = BgL_res1595z00_471;
				}
				return (obj_t) (BgL_auxz00_646);
			}
		}
	}



/* tvec-nil */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_tveczd2nilzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			if ((BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 == BUNSPEC))
				{	/* Tvector/tvector.scm 23 */
					{	/* Tvector/tvector.scm 23 */
						BgL_typez00_bglt BgL_res1562z00_315;

						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_new1373z00_311;
							BgL_new1373z00_311 =
								((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_typez00_bgl))));
							{	/* Tvector/tvector.scm 23 */
								long BgL_arg1546z00_312;

								BgL_arg1546z00_312 =
									BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00);
								{	/* Tvector/tvector.scm 23 */
									BgL_objectz00_bglt BgL_objz00_313;

									BgL_objz00_313 = (BgL_objectz00_bglt) (BgL_new1373z00_311);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_313, BgL_arg1546z00_312);
							}}
							{	/* Tvector/tvector.scm 23 */
								BgL_objectz00_bglt BgL_auxz00_661;

								BgL_auxz00_661 = (BgL_objectz00_bglt) (BgL_new1373z00_311);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_661, BFALSE);
							}
							BgL_res1562z00_315 = BgL_new1373z00_311;
						}
						BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 =
							(obj_t) (BgL_res1562z00_315);
					}
					{	/* Tvector/tvector.scm 23 */
						BgL_typez00_bglt BgL_res1563z00_345;

						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_new1357z00_316;
							obj_t BgL_id1343z00_317;

							BgL_new1357z00_316 =
								(BgL_typez00_bglt)
								(BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
							BgL_id1343z00_317 = CNST_TABLE_REF(((long) 6));
							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_id1343z00_331;
								obj_t BgL_name1344z00_332;
								obj_t BgL_siza7e1345za7_333;
								obj_t BgL_class1346z00_334;
								obj_t BgL_coercezd2to1347zd2_335;
								obj_t BgL_parents1348z00_336;
								bool_t BgL_initzf31349zf3_337;
								bool_t BgL_magiczf31350zf3_338;
								obj_t BgL_z421351z42_339;
								obj_t BgL_alias1352z00_340;
								obj_t BgL_pointedzd2tozd2by1353z00_341;
								obj_t BgL_tvector1354z00_342;
								obj_t BgL_location1355z00_343;
								obj_t BgL_importzd2location1356zd2_344;

								BgL_id1343z00_331 = BgL_id1343z00_317;
								BgL_name1344z00_332 = BUNSPEC;
								BgL_siza7e1345za7_333 = BUNSPEC;
								BgL_class1346z00_334 = BUNSPEC;
								BgL_coercezd2to1347zd2_335 = BUNSPEC;
								BgL_parents1348z00_336 = BUNSPEC;
								BgL_initzf31349zf3_337 = ((bool_t) 0);
								BgL_magiczf31350zf3_338 = ((bool_t) 0);
								BgL_z421351z42_339 = BUNSPEC;
								BgL_alias1352z00_340 = BUNSPEC;
								BgL_pointedzd2tozd2by1353z00_341 = BUNSPEC;
								BgL_tvector1354z00_342 = BUNSPEC;
								BgL_location1355z00_343 = BUNSPEC;
								BgL_importzd2location1356zd2_344 = BUNSPEC;
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->BgL_idz00) =
									((obj_t) BgL_id1343z00_331), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->BgL_namez00) =
									((obj_t) BgL_name1344z00_332), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_siza7eza7) = ((obj_t) BgL_siza7e1345za7_333), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->BgL_classz00) =
									((obj_t) BgL_class1346z00_334), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_coercezd2tozd2) =
									((obj_t) BgL_coercezd2to1347zd2_335), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_parentsz00) =
									((obj_t) BgL_parents1348z00_336), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_initzf3zf3) =
									((bool_t) BgL_initzf31349zf3_337), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_magiczf3zf3) =
									((bool_t) BgL_magiczf31350zf3_338), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->BgL_z42z42) =
									((obj_t) BgL_z421351z42_339), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->BgL_aliasz00) =
									((obj_t) BgL_alias1352z00_340), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_pointedzd2tozd2byz00) =
									((obj_t) BgL_pointedzd2tozd2by1353z00_341), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_tvectorz00) =
									((obj_t) BgL_tvector1354z00_342), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_locationz00) =
									((obj_t) BgL_location1355z00_343), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1357z00_316))->
										BgL_importzd2locationzd2) =
									((obj_t) BgL_importzd2location1356zd2_344), BUNSPEC);
								BgL_res1563z00_345 = BgL_new1357z00_316;
						}} BgL_res1563z00_345;
					}
					{	/* Tvector/tvector.scm 23 */
						long BgL_arg1542z00_191;

						BgL_arg1542z00_191 =
							BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00);
						{	/* Tvector/tvector.scm 23 */
							BgL_objectz00_bglt BgL_objz00_346;

							BgL_objz00_346 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_346, BgL_arg1542z00_191);
					}}
					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_arg1543z00_192;

						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_arg1544z00_193;

							BgL_arg1544z00_193 = BGl_typezd2nilzd2zztype_typez00();
							{	/* Tvector/tvector.scm 23 */
								BgL_tvecz00_bglt BgL_res1565z00_354;

								{	/* Tvector/tvector.scm 23 */
									BgL_tvecz00_bglt BgL_new1396z00_349;
									BgL_new1396z00_349 =
										((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_tvecz00_bgl))));
									{	/* Tvector/tvector.scm 23 */
										BgL_tvecz00_bglt BgL_res1564z00_353;

										{	/* Tvector/tvector.scm 23 */
											BgL_tvecz00_bglt BgL_new1416z00_350;

											BgL_new1416z00_350 = BgL_new1396z00_349;
											{	/* Tvector/tvector.scm 23 */
												BgL_typez00_bglt BgL_itemzd2type1415zd2_352;

												BgL_itemzd2type1415zd2_352 = BgL_arg1544z00_193;
												((((BgL_tvecz00_bglt) CREF(BgL_new1416z00_350))->
														BgL_itemzd2typezd2) =
													((BgL_typez00_bglt) BgL_itemzd2type1415zd2_352),
													BUNSPEC);
												BgL_res1564z00_353 = BgL_new1416z00_350;
										}} BgL_res1564z00_353;
									}
									BgL_res1565z00_354 = BgL_new1396z00_349;
								}
								BgL_arg1543z00_192 = BgL_res1565z00_354;
						}}
						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_auxz00_689;
							BgL_objectz00_bglt BgL_auxz00_687;

							BgL_auxz00_689 = (obj_t) (BgL_arg1543z00_192);
							BgL_auxz00_687 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_687, BgL_auxz00_689);
				}}}
			else
				{	/* Tvector/tvector.scm 23 */
					BFALSE;
				}
			return
				(BgL_tvecz00_bglt) (BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
		}
	}



/* _tvec-nil */
	obj_t BGl__tveczd2nilzd2zztvector_tvectorz00(obj_t BgL_envz00_415)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_auxz00_693;

				BgL_auxz00_693 = BGl_tveczd2nilzd2zztvector_tvectorz00();
				return (obj_t) (BgL_auxz00_693);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			{	/* Tvector/tvector.scm 15 */
				obj_t BgL_objectzd2ze3structzd2tvec1481ze3_443;

				BgL_objectzd2ze3structzd2tvec1481ze3_443 =
					make_fx_procedure
					(BGl_objectzd2ze3structzd2tvec1481ze3zztvector_tvectorz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_tvecz00zztvector_tvectorz00,
					BgL_objectzd2ze3structzd2tvec1481ze3_443);
			}
			{	/* Tvector/tvector.scm 15 */
				obj_t BgL_structzb2objectzd2ze3objec1484z83_439;

				BgL_structzb2objectzd2ze3objec1484z83_439 =
					make_fx_procedure
					(BGl_structzb2objectzd2ze3objec1484z83zztvector_tvectorz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_tvecz00zztvector_tvectorz00,
					BgL_structzb2objectzd2ze3objec1484z83_439);
			}
		}
	}



/* struct+object->objec1484 */
	obj_t BGl_structzb2objectzd2ze3objec1484z83zztvector_tvectorz00(obj_t
		BgL_envz00_446, obj_t BgL_oz00_447, obj_t BgL_sz00_448)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{
				BgL_tvecz00_bglt BgL_oz00_226;
				obj_t BgL_sz00_227;

				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_auxz00_704;

					BgL_oz00_226 = (BgL_tvecz00_bglt) (BgL_oz00_447);
					BgL_sz00_227 = BgL_sz00_448;
					{

						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_old1423z00_230;
							obj_t BgL_aux1424z00_231;

							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_nextzd2method1483zd2_236;

								BgL_nextzd2method1483zd2_236 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_226),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_tvecz00zztvector_tvectorz00);
								if (PROCEDUREP(BgL_nextzd2method1483zd2_236))
									{	/* Tvector/tvector.scm 23 */
										BgL_old1423z00_230 =
											PROCEDURE_ENTRY(BgL_nextzd2method1483zd2_236)
											(BgL_nextzd2method1483zd2_236, (obj_t) (BgL_oz00_226),
											BgL_sz00_227, BEOA);
									}
								else
									{	/* Tvector/tvector.scm 23 */
										{	/* Tvector/tvector.scm 23 */
											BgL_objectz00_bglt BgL_auxz00_712;

											BgL_auxz00_712 =
												BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_226), BgL_sz00_227);
											BgL_old1423z00_230 = (obj_t) (BgL_auxz00_712);
										}
									}
							}
							BgL_aux1424z00_231 = STRUCT_REF(BgL_sz00_227, (int) (((long) 0)));
							{	/* Tvector/tvector.scm 23 */
								BgL_tvecz00_bglt BgL_new1425z00_232;

								BgL_new1425z00_232 = ((BgL_tvecz00_bglt) (BgL_old1423z00_230));
								{	/* Tvector/tvector.scm 23 */
									long BgL_arg1551z00_233;

									BgL_arg1551z00_233 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_tvecz00zztvector_tvectorz00);
									{	/* Tvector/tvector.scm 23 */
										BgL_objectz00_bglt BgL_objz00_392;

										BgL_objz00_392 = (BgL_objectz00_bglt) (BgL_new1425z00_232);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_392,
											BgL_arg1551z00_233);
								}}
								{	/* Tvector/tvector.scm 23 */
									BgL_tvecz00_bglt BgL_arg1553z00_234;

									{	/* Tvector/tvector.scm 23 */
										obj_t BgL_arg1554z00_235;

										BgL_arg1554z00_235 =
											STRUCT_REF(BgL_aux1424z00_231, (int) (((long) 0)));
										{	/* Tvector/tvector.scm 23 */
											BgL_tvecz00_bglt BgL_res1568z00_402;

											{	/* Tvector/tvector.scm 23 */
												BgL_typez00_bglt BgL_itemzd2type1395zd2_396;

												BgL_itemzd2type1395zd2_396 =
													(BgL_typez00_bglt) (BgL_arg1554z00_235);
												{	/* Tvector/tvector.scm 23 */
													BgL_tvecz00_bglt BgL_new1396z00_397;
													BgL_new1396z00_397 =
														((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_tvecz00_bgl))));
													{	/* Tvector/tvector.scm 23 */
														BgL_tvecz00_bglt BgL_res1567z00_401;

														{	/* Tvector/tvector.scm 23 */
															BgL_tvecz00_bglt BgL_new1416z00_398;

															BgL_new1416z00_398 = BgL_new1396z00_397;
															{	/* Tvector/tvector.scm 23 */
																BgL_typez00_bglt BgL_itemzd2type1415zd2_400;

																BgL_itemzd2type1415zd2_400 =
																	BgL_itemzd2type1395zd2_396;
																((((BgL_tvecz00_bglt)
																			CREF(BgL_new1416z00_398))->
																		BgL_itemzd2typezd2) =
																	((BgL_typez00_bglt)
																		BgL_itemzd2type1415zd2_400), BUNSPEC);
																BgL_res1567z00_401 = BgL_new1416z00_398;
														}} BgL_res1567z00_401;
													}
													BgL_res1568z00_402 = BgL_new1396z00_397;
											}}
											BgL_arg1553z00_234 = BgL_res1568z00_402;
									}}
									{	/* Tvector/tvector.scm 23 */
										obj_t BgL_auxz00_729;
										BgL_objectz00_bglt BgL_auxz00_727;

										BgL_auxz00_729 = (obj_t) (BgL_arg1553z00_234);
										BgL_auxz00_727 = (BgL_objectz00_bglt) (BgL_new1425z00_232);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_727, BgL_auxz00_729);
								}}
								BgL_auxz00_704 = BgL_new1425z00_232;
					}}}
					return (obj_t) (BgL_auxz00_704);
				}
			}
		}
	}



/* object->struct-tvec1481 */
	obj_t BGl_objectzd2ze3structzd2tvec1481ze3zztvector_tvectorz00(obj_t
		BgL_envz00_449, obj_t BgL_obj1420z00_450)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{
				BgL_tvecz00_bglt BgL_obj1420z00_216;

				BgL_obj1420z00_216 = (BgL_tvecz00_bglt) (BgL_obj1420z00_450);
				{

					{	/* Tvector/tvector.scm 23 */
						obj_t BgL_res1421z00_219;

						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_nextzd2method1480zd2_224;

							BgL_nextzd2method1480zd2_224 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj1420z00_216),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_tvecz00zztvector_tvectorz00);
							if (PROCEDUREP(BgL_nextzd2method1480zd2_224))
								{	/* Tvector/tvector.scm 23 */
									BgL_res1421z00_219 =
										PROCEDURE_ENTRY(BgL_nextzd2method1480zd2_224)
										(BgL_nextzd2method1480zd2_224, (obj_t) (BgL_obj1420z00_216),
										BEOA);
								}
							else
								{	/* Tvector/tvector.scm 23 */
									BgL_res1421z00_219 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj1420z00_216));
								}
						}
						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_aux1422z00_220;

							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_keyz00_373;

								BgL_keyz00_373 = CNST_TABLE_REF(((long) 5));
								BgL_aux1422z00_220 =
									make_struct(BgL_keyz00_373, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Tvector/tvector.scm 23 */
								BgL_typez00_bglt BgL_arg1548z00_222;

								{
									obj_t BgL_auxz00_746;

									{	/* Tvector/tvector.scm 23 */
										BgL_objectz00_bglt BgL_auxz00_747;

										BgL_auxz00_747 = (BgL_objectz00_bglt) (BgL_obj1420z00_216);
										BgL_auxz00_746 = BGL_OBJECT_WIDENING(BgL_auxz00_747);
									}
									BgL_arg1548z00_222 =
										(((BgL_tvecz00_bglt) CREF(BgL_auxz00_746))->
										BgL_itemzd2typezd2);
								}
								{	/* Tvector/tvector.scm 23 */
									int BgL_kz00_378;
									obj_t BgL_oz00_379;

									BgL_kz00_378 = (int) (((long) 0));
									BgL_oz00_379 = (obj_t) (BgL_arg1548z00_222);
									STRUCT_SET(BgL_aux1422z00_220, BgL_kz00_378, BgL_oz00_379);
							}}
							{	/* Tvector/tvector.scm 23 */
								int BgL_auxz00_754;

								BgL_auxz00_754 = (int) (((long) 0));
								STRUCT_SET(BgL_res1421z00_219, BgL_auxz00_754,
									BgL_aux1422z00_220);
							}
							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_auxz00_757;

								BgL_auxz00_757 = STRUCT_KEY(BgL_res1421z00_219);
								STRUCT_KEY_SET(BgL_aux1422z00_220, BgL_auxz00_757);
							}
							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_kz00_388;

								BgL_kz00_388 = CNST_TABLE_REF(((long) 5));
								STRUCT_KEY_SET(BgL_res1421z00_219, BgL_kz00_388);
							}
							return BgL_res1421z00_219;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string1587z00zztvector_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string1587z00zztvector_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1587z00zztvector_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1587z00zztvector_tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1587z00zztvector_tvectorz00));
		}
	}

#ifdef __cplusplus
}
#endif
