/*===========================================================================*/
/*   (Write/version.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Write/version.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzwrite_versionz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_versionz00zzwrite_versionz00();
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	static obj_t BGl__revisionz00zzwrite_versionz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzwrite_versionz00();
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzwrite_versionz00();
	static obj_t BGl_horsez00zzwrite_versionz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzwrite_versionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_za2bigloozd2urlza2zd2zzengine_paramz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_displayzd2tozd2columnz00zzwrite_versionz00(obj_t, long,
		unsigned char);
	static obj_t BGl__versionz00zzwrite_versionz00(obj_t);
	extern obj_t BGl_za2bigloozd2emailza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
	static obj_t BGl__shortzd2versionzd2zzwrite_versionz00(obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzwrite_versionz00();
	BGL_EXPORTED_DECL obj_t BGl_shortzd2versionzd2zzwrite_versionz00();
	static obj_t BGl_methodzd2initzd2zzwrite_versionz00();
	BGL_EXPORTED_DECL obj_t BGl_revisionz00zzwrite_versionz00();
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_revisionzd2envzd2zzwrite_versionz00,
		BgL_bgl__revisionza700za7za7wr1373za7, BGl__revisionz00zzwrite_versionz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1360z00zzwrite_versionz00,
		BgL_bgl_string1360za700za7za7w1374za7, "", 0);
	      DEFINE_STRING(BGl_string1361z00zzwrite_versionz00,
		BgL_bgl_string1361za700za7za7w1375za7, "email: ", 7);
	      DEFINE_STRING(BGl_string1362z00zzwrite_versionz00,
		BgL_bgl_string1362za700za7za7w1376za7, "url: ", 5);
	      DEFINE_STRING(BGl_string1363z00zzwrite_versionz00,
		BgL_bgl_string1363za700za7za7w1377za7, "`a practical Scheme compiler'", 29);
	      DEFINE_STRING(BGl_string1364z00zzwrite_versionz00,
		BgL_bgl_string1364za700za7za7w1378za7, " ", 1);
	      DEFINE_STRING(BGl_string1365z00zzwrite_versionz00,
		BgL_bgl_string1365za700za7za7w1379za7,
		" Ce travail est dedi\351 \340 Nelly Lebas, ma grand-m\350re, d\351c\351d\351e le 10 Mars 1995,",
		76);
	      DEFINE_STRING(BGl_string1366z00zzwrite_versionz00,
		BgL_bgl_string1366za700za7za7w1380za7,
		" \340 Marcel Lebas, mon grand-p\350re, d\351c\351d\351 le 29 Octobre 1998",
		58);
	      DEFINE_STRING(BGl_string1367z00zzwrite_versionz00,
		BgL_bgl_string1367za700za7za7w1381za7,
		" \340 Carlos, mon p\350re d\351c\351d\351, le 12 Mars 2001 au matin,", 53);
	      DEFINE_STRING(BGl_string1368z00zzwrite_versionz00,
		BgL_bgl_string1368za700za7za7w1382za7,
		" et \340 Pierrette, ma m\350re, d\351c\351d\351e le 31 Janvier 2006 \340 10h30.",
		61);
	      DEFINE_STRING(BGl_string1370z00zzwrite_versionz00,
		BgL_bgl_string1370za700za7za7w1383za7,
		"done (\"            ,--^, \" \"      _ ___/ /|/  \" \"  ,;'( )__, ) '   \" \" ;;  //   L__.    \" \" '   \\\\    /  '    \" \"      ^   ^       \") ",
		134);
	      DEFINE_STRING(BGl_string1369z00zzwrite_versionz00,
		BgL_bgl_string1369za700za7za7w1384za7, "write_version", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_versionzd2envzd2zzwrite_versionz00,
		BgL_bgl__versionza700za7za7wri1385za7, BGl__versionz00zzwrite_versionz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_shortzd2versionzd2envz00zzwrite_versionz00,
		BgL_bgl__shortza7d2version1386za7,
		BGl__shortzd2versionzd2zzwrite_versionz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzwrite_versionz00(long
		BgL_checksumz00_143, char *BgL_fromz00_144)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzwrite_versionz00))
				{
					BGl_requirezd2initializa7ationz75zzwrite_versionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzwrite_versionz00();
					BGl_cnstzd2initzd2zzwrite_versionz00();
					BGl_importedzd2moduleszd2initz00zzwrite_versionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"write_version");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"write_version");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 15 */
			{	/* Write/version.scm 15 */
				obj_t BgL_cportz00_135;

				BgL_cportz00_135 =
					bgl_open_input_string(BGl_string1370z00zzwrite_versionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_136;

					BgL_iz00_136 = ((long) 1);
				BgL_loopz00_137:
					if ((BgL_iz00_136 == ((long) -1)))
						{	/* Write/version.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Write/version.scm 15 */
							{	/* Write/version.scm 15 */
								obj_t BgL_arg1372z00_139;

								{	/* Write/version.scm 15 */

									{	/* Write/version.scm 15 */
										obj_t BgL_locationz00_141;

										BgL_locationz00_141 = BBOOL(((bool_t) 0));
										{	/* Write/version.scm 15 */

											BgL_arg1372z00_139 =
												BGl_readz00zz__readerz00(BgL_cportz00_135,
												BgL_locationz00_141);
										}
									}
								}
								{	/* Write/version.scm 15 */
									int BgL_auxz00_159;

									BgL_auxz00_159 = (int) (BgL_iz00_136);
									CNST_TABLE_SET(BgL_auxz00_159, BgL_arg1372z00_139);
							}}
							{	/* Write/version.scm 15 */
								int BgL_auxz00_142;

								BgL_auxz00_142 = (int) ((BgL_iz00_136 - ((long) 1)));
								{
									long BgL_iz00_164;

									BgL_iz00_164 = (long) (BgL_auxz00_142);
									BgL_iz00_136 = BgL_iz00_164;
									goto BgL_loopz00_137;
								}
							}
						}
				}
			}
		}
	}



/* revision */
	BGL_EXPORTED_DEF obj_t BGl_revisionz00zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 25 */
			{	/* Write/version.scm 26 */
				obj_t BgL_port1288z00_30;

				BgL_port1288z00_30 = BGL_CURRENT_OUTPUT_PORT();
				bgl_display_obj(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
					BgL_port1288z00_30);
				return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port1288z00_30);
		}}
	}



/* _revision */
	obj_t BGl__revisionz00zzwrite_versionz00(obj_t BgL_envz00_132)
	{
		AN_OBJECT;
		{	/* Write/version.scm 25 */
			return BGl_revisionz00zzwrite_versionz00();
		}
	}



/* short-version */
	BGL_EXPORTED_DEF obj_t BGl_shortzd2versionzd2zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 31 */
			{	/* Write/version.scm 32 */
				obj_t BgL_port1289z00_31;

				BgL_port1289z00_31 = BGL_CURRENT_OUTPUT_PORT();
				bgl_display_obj(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
					BgL_port1289z00_31);
				return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port1289z00_31);
		}}
	}



/* _short-version */
	obj_t BGl__shortzd2versionzd2zzwrite_versionz00(obj_t BgL_envz00_133)
	{
		AN_OBJECT;
		{	/* Write/version.scm 31 */
			return BGl_shortzd2versionzd2zzwrite_versionz00();
		}
	}



/* version */
	BGL_EXPORTED_DEF obj_t BGl_versionz00zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 37 */
			BGl_displayzd2tozd2columnz00zzwrite_versionz00
				(BGl_string1360z00zzwrite_versionz00, ((long) 79),
				((unsigned char) '-'));
			{	/* Write/version.scm 39 */
				obj_t BgL_arg1302z00_32;

				BgL_arg1302z00_32 = BGL_CURRENT_OUTPUT_PORT();
				BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_arg1302z00_32);
			}
			{	/* Write/version.scm 40 */
				obj_t BgL_arg1304z00_34;
				obj_t BgL_arg1305z00_35;
				obj_t BgL_arg1306z00_36;

				if (
					(STRING_REF(BGl_za2bigloozd2dateza2zd2zzengine_paramz00,
							((long) 0)) == ((unsigned char) ' ')))
					{	/* Write/version.scm 43 */
						long BgL_arg1318z00_45;

						BgL_arg1318z00_45 =
							STRING_LENGTH(BGl_za2bigloozd2dateza2zd2zzengine_paramz00);
						BgL_arg1304z00_34 =
							c_substring(BGl_za2bigloozd2dateza2zd2zzengine_paramz00,
							((long) 1), BgL_arg1318z00_45);
					}
				else
					{	/* Write/version.scm 42 */
						BgL_arg1304z00_34 = BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
					}
				BgL_arg1305z00_35 =
					string_append(BGl_string1361z00zzwrite_versionz00,
					BGl_za2bigloozd2emailza2zd2zzengine_paramz00);
				BgL_arg1306z00_36 =
					string_append(BGl_string1362z00zzwrite_versionz00,
					BGl_za2bigloozd2urlza2zd2zzengine_paramz00);
				{	/* Write/version.scm 40 */
					obj_t BgL_list1307z00_37;

					{	/* Write/version.scm 40 */
						obj_t BgL_arg1310z00_38;

						{	/* Write/version.scm 40 */
							obj_t BgL_arg1311z00_39;

							{	/* Write/version.scm 40 */
								obj_t BgL_arg1312z00_40;

								{	/* Write/version.scm 40 */
									obj_t BgL_arg1313z00_41;

									{	/* Write/version.scm 40 */
										obj_t BgL_arg1314z00_42;

										BgL_arg1314z00_42 = MAKE_PAIR(BgL_arg1306z00_36, BNIL);
										BgL_arg1313z00_41 =
											MAKE_PAIR(BgL_arg1305z00_35, BgL_arg1314z00_42);
									}
									BgL_arg1312z00_40 =
										MAKE_PAIR(BGl_za2bigloozd2authorza2zd2zzengine_paramz00,
										BgL_arg1313z00_41);
								}
								BgL_arg1311z00_39 =
									MAKE_PAIR(BgL_arg1304z00_34, BgL_arg1312z00_40);
							}
							BgL_arg1310z00_38 =
								MAKE_PAIR(BGl_string1363z00zzwrite_versionz00,
								BgL_arg1311z00_39);
						}
						BgL_list1307z00_37 =
							MAKE_PAIR(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
							BgL_arg1310z00_38);
					}
					BGl_horsez00zzwrite_versionz00(BgL_list1307z00_37);
				}
			}
			if (((long) CINT(BGl_za2verboseza2z00zzengine_paramz00) >= ((long) 3)))
				{	/* Write/version.scm 48 */
					BGl_displayzd2tozd2columnz00zzwrite_versionz00
						(BGl_string1364z00zzwrite_versionz00, ((long) 78),
						((unsigned char) '-'));
					{	/* Write/version.scm 50 */
						obj_t BgL_arg1321z00_48;

						BgL_arg1321z00_48 = BGL_CURRENT_OUTPUT_PORT();
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_arg1321z00_48);
					}
					{	/* Write/version.scm 51 */
						obj_t BgL_list1322z00_49;

						{	/* Write/version.scm 51 */
							obj_t BgL_arg1324z00_51;

							BgL_arg1324z00_51 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list1322z00_49 =
								MAKE_PAIR(BGl_string1365z00zzwrite_versionz00,
								BgL_arg1324z00_51);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
							BgL_list1322z00_49);
					}
					{	/* Write/version.scm 52 */
						obj_t BgL_list1325z00_52;

						{	/* Write/version.scm 52 */
							obj_t BgL_arg1327z00_54;

							BgL_arg1327z00_54 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list1325z00_52 =
								MAKE_PAIR(BGl_string1366z00zzwrite_versionz00,
								BgL_arg1327z00_54);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
							BgL_list1325z00_52);
					}
					{	/* Write/version.scm 53 */
						obj_t BgL_list1328z00_55;

						{	/* Write/version.scm 53 */
							obj_t BgL_arg1330z00_57;

							BgL_arg1330z00_57 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list1328z00_55 =
								MAKE_PAIR(BGl_string1367z00zzwrite_versionz00,
								BgL_arg1330z00_57);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
							BgL_list1328z00_55);
					}
					{	/* Write/version.scm 54 */
						obj_t BgL_list1331z00_58;

						{	/* Write/version.scm 54 */
							obj_t BgL_arg1333z00_60;

							BgL_arg1333z00_60 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list1331z00_58 =
								MAKE_PAIR(BGl_string1368z00zzwrite_versionz00,
								BgL_arg1333z00_60);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
							BgL_list1331z00_58);
				}}
			else
				{	/* Write/version.scm 48 */
					BFALSE;
				}
			BGl_displayzd2tozd2columnz00zzwrite_versionz00
				(BGl_string1360z00zzwrite_versionz00, ((long) 79),
				((unsigned char) '-'));
			{	/* Write/version.scm 56 */
				obj_t BgL_arg1334z00_61;

				BgL_arg1334z00_61 = BGL_CURRENT_OUTPUT_PORT();
				BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_arg1334z00_61);
			}
			{	/* Write/version.scm 57 */
				obj_t BgL_arg1335z00_62;

				BgL_arg1335z00_62 = BGL_CURRENT_OUTPUT_PORT();
				return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_arg1335z00_62);
		}}
	}



/* _version */
	obj_t BGl__versionz00zzwrite_versionz00(obj_t BgL_envz00_134)
	{
		AN_OBJECT;
		{	/* Write/version.scm 37 */
			return BGl_versionz00zzwrite_versionz00();
		}
	}



/* horse */
	obj_t BGl_horsez00zzwrite_versionz00(obj_t BgL_lz00_1)
	{
		AN_OBJECT;
		{	/* Write/version.scm 62 */
			{	/* Write/version.scm 63 */
				obj_t BgL_g1285z00_63;

				BgL_g1285z00_63 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_lz00_64;
					obj_t BgL_horsez00_65;

					BgL_lz00_64 = BgL_lz00_1;
					BgL_horsez00_65 = BgL_g1285z00_63;
				BgL_loopz00_66:
					if (NULLP(BgL_lz00_64))
						{	/* Write/version.scm 71 */
							if (NULLP(BgL_horsez00_65))
								{	/* Write/version.scm 72 */
									return CNST_TABLE_REF(((long) 1));
								}
							else
								{	/* Write/version.scm 72 */
									BGl_displayzd2tozd2columnz00zzwrite_versionz00
										(BGl_string1360z00zzwrite_versionz00, ((long) 62),
										((unsigned char) ' '));
									{	/* Write/version.scm 76 */
										obj_t BgL_port1290z00_69;

										BgL_port1290z00_69 = BGL_CURRENT_OUTPUT_PORT();
										bgl_display_obj(CAR(BgL_horsez00_65), BgL_port1290z00_69);
										BGL_DISPLAY_CHAR(((unsigned char) '\n'),
											BgL_port1290z00_69);
									}
									{
										obj_t BgL_horsez00_235;
										obj_t BgL_lz00_234;

										BgL_lz00_234 = BNIL;
										BgL_horsez00_235 = CDR(BgL_horsez00_65);
										BgL_horsez00_65 = BgL_horsez00_235;
										BgL_lz00_64 = BgL_lz00_234;
										goto BgL_loopz00_66;
									}
								}
						}
					else
						{	/* Write/version.scm 71 */
							if (NULLP(BgL_horsez00_65))
								{	/* Write/version.scm 78 */
									{	/* Write/version.scm 79 */
										obj_t BgL_port1291z00_74;

										BgL_port1291z00_74 = BGL_CURRENT_OUTPUT_PORT();
										bgl_display_obj(CAR(BgL_lz00_64), BgL_port1291z00_74);
										BGL_DISPLAY_CHAR(((unsigned char) '\n'),
											BgL_port1291z00_74);
									}
									{
										obj_t BgL_horsez00_245;
										obj_t BgL_lz00_243;

										BgL_lz00_243 = CDR(BgL_lz00_64);
										BgL_horsez00_245 = BNIL;
										BgL_horsez00_65 = BgL_horsez00_245;
										BgL_lz00_64 = BgL_lz00_243;
										goto BgL_loopz00_66;
									}
								}
							else
								{	/* Write/version.scm 78 */
									BGl_displayzd2tozd2columnz00zzwrite_versionz00(CAR
										(BgL_lz00_64), ((long) 62), ((unsigned char) ' '));
									{	/* Write/version.scm 83 */
										obj_t BgL_port1292z00_80;

										BgL_port1292z00_80 = BGL_CURRENT_OUTPUT_PORT();
										bgl_display_obj(CAR(BgL_horsez00_65), BgL_port1292z00_80);
										BGL_DISPLAY_CHAR(((unsigned char) '\n'),
											BgL_port1292z00_80);
									}
									{
										obj_t BgL_horsez00_254;
										obj_t BgL_lz00_252;

										BgL_lz00_252 = CDR(BgL_lz00_64);
										BgL_horsez00_254 = CDR(BgL_horsez00_65);
										BgL_horsez00_65 = BgL_horsez00_254;
										BgL_lz00_64 = BgL_lz00_252;
										goto BgL_loopz00_66;
									}
								}
						}
				}
			}
		}
	}



/* display-to-column */
	obj_t BGl_displayzd2tozd2columnz00zzwrite_versionz00(obj_t BgL_stringz00_2,
		long BgL_columnz00_3, unsigned char BgL_charz00_4)
	{
		AN_OBJECT;
		{	/* Write/version.scm 89 */
			{	/* Write/version.scm 90 */
				obj_t BgL_arg1354z00_84;

				BgL_arg1354z00_84 = BGL_CURRENT_OUTPUT_PORT();
				bgl_display_obj(BgL_stringz00_2, BgL_arg1354z00_84);
			}
			{	/* Write/version.scm 91 */
				long BgL_g1286z00_85;

				BgL_g1286z00_85 = (((long) 1) + STRING_LENGTH(BgL_stringz00_2));
				{
					long BgL_lz00_86;

					BgL_lz00_86 = BgL_g1286z00_85;
				BgL_loopz00_87:
					if ((BgL_lz00_86 == BgL_columnz00_3))
						{	/* Write/version.scm 92 */
							return CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Write/version.scm 92 */
							{	/* Write/version.scm 95 */
								obj_t BgL_arg1356z00_89;

								BgL_arg1356z00_89 = BGL_CURRENT_OUTPUT_PORT();
								BGL_DISPLAY_CHAR(BgL_charz00_4, BgL_arg1356z00_89);
							}
							{
								long BgL_lz00_265;

								BgL_lz00_265 = (BgL_lz00_86 + ((long) 1));
								BgL_lz00_86 = BgL_lz00_265;
								goto BgL_loopz00_87;
							}
						}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzwrite_versionz00()
	{
		AN_OBJECT;
		{	/* Write/version.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 44202634),
				BSTRING_TO_STRING(BGl_string1369z00zzwrite_versionz00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1369z00zzwrite_versionz00));
		}
	}

#ifdef __cplusplus
}
#endif
