/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/tvector.scm -indent -o objs/obj_s/Llib/tvector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
static obj_t BGl__tvectorzd2ze3vector1611z31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
static obj_t BGl__declarezd2tvectorz121607zc0zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2ze3tvector1610z31zz__tvectorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1710z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1713z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
static obj_t BGl_symbol1717z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1720z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1722z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1725z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1727z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1729z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1731z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1734z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1738z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1740z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1742z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1746z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1748z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1750z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
static obj_t BGl_symbol1752z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1757z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1759z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1761z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1763z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1767z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1769z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
static obj_t BGl_symbol1772z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1777z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1779z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1782z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1785z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1787z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1789z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1791z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl__tvectorzd2id1605zd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t, obj_t);
static obj_t BGl__tvectorzd2length1604zd2zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl_list1745z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_list1756z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl__getzd2tvectorzd2descrip1606z00zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
static obj_t BGl__listzd2ze3tvector1609z31zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl_list1776z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_list1784z00zz__tvectorz00 = BUNSPEC;
extern obj_t create_struct(obj_t, int);
static obj_t BGl__tvectorzd2ref1608zd2zz__tvectorz00(obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2lengt1796za7, BGl__tvectorzd2length1604zd2zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__vectorza7d2za7e3tve1797z00, BGl__vectorzd2ze3tvector1610z31zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2ref161798za7, BGl__tvectorzd2ref1608zd2zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1711z00zz__tvectorz00, BgL_bgl_string1711za700za7za7_1799za7, "_tvector-length1604", 19 );
DEFINE_STRING( BGl_string1712z00zz__tvectorz00, BgL_bgl_string1712za700za7za7_1800za7, "tvector", 7 );
DEFINE_STRING( BGl_string1714z00zz__tvectorz00, BgL_bgl_string1714za700za7za7_1801za7, "tvector-id", 10 );
DEFINE_STRING( BGl_string1715z00zz__tvectorz00, BgL_bgl_string1715za700za7za7_1802za7, "struct", 6 );
DEFINE_STRING( BGl_string1716z00zz__tvectorz00, BgL_bgl_string1716za700za7za7_1803za7, "symbol", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl__getza7d2tvectorza7d1804z00, BGl__getzd2tvectorzd2descrip1606z00zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1718z00zz__tvectorz00, BgL_bgl_string1718za700za7za7_1805za7, "tvect-descr", 11 );
DEFINE_STRING( BGl_string1719z00zz__tvectorz00, BgL_bgl_string1719za700za7za7_1806za7, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string1721z00zz__tvectorz00, BgL_bgl_string1721za700za7za7_1807za7, "_tvector-id1605", 15 );
DEFINE_STRING( BGl_string1723z00zz__tvectorz00, BgL_bgl_string1723za700za7za7_1808za7, "get-tvector-descriptor", 22 );
DEFINE_STRING( BGl_string1724z00zz__tvectorz00, BgL_bgl_string1724za700za7za7_1809za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1726z00zz__tvectorz00, BgL_bgl_string1726za700za7za7_1810za7, "_get-tvector-descrip1606", 24 );
DEFINE_STRING( BGl_string1728z00zz__tvectorz00, BgL_bgl_string1728za700za7za7_1811za7, "upcase", 6 );
DEFINE_STRING( BGl_string1730z00zz__tvectorz00, BgL_bgl_string1730za700za7za7_1812za7, "downcase", 8 );
DEFINE_STRING( BGl_string1732z00zz__tvectorz00, BgL_bgl_string1732za700za7za7_1813za7, "declare-tvector!", 16 );
DEFINE_STRING( BGl_string1733z00zz__tvectorz00, BgL_bgl_string1733za700za7za7_1814za7, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string1735z00zz__tvectorz00, BgL_bgl_string1735za700za7za7_1815za7, "_declare-tvector!1607", 21 );
DEFINE_STRING( BGl_string1736z00zz__tvectorz00, BgL_bgl_string1736za700za7za7_1816za7, "string", 6 );
DEFINE_STRING( BGl_string1737z00zz__tvectorz00, BgL_bgl_string1737za700za7za7_1817za7, "procedure", 9 );
DEFINE_STRING( BGl_string1739z00zz__tvectorz00, BgL_bgl_string1739za700za7za7_1818za7, "tvector-ref", 11 );
DEFINE_STRING( BGl_string1741z00zz__tvectorz00, BgL_bgl_string1741za700za7za7_1819za7, "_tvector-ref1608", 16 );
DEFINE_STRING( BGl_string1743z00zz__tvectorz00, BgL_bgl_string1743za700za7za7_1820za7, "list->tvector", 13 );
DEFINE_STRING( BGl_string1744z00zz__tvectorz00, BgL_bgl_string1744za700za7za7_1821za7, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string1747z00zz__tvectorz00, BgL_bgl_string1747za700za7za7_1822za7, "funcall", 7 );
DEFINE_STRING( BGl_string1749z00zz__tvectorz00, BgL_bgl_string1749za700za7za7_1823za7, "allocate", 8 );
DEFINE_STRING( BGl_string1751z00zz__tvectorz00, BgL_bgl_string1751za700za7za7_1824za7, "len", 3 );
DEFINE_STRING( BGl_string1753z00zz__tvectorz00, BgL_bgl_string1753za700za7za7_1825za7, "loop", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2id1601826za7, BGl__tvectorzd2id1605zd2zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1754z00zz__tvectorz00, BgL_bgl_string1754za700za7za7_1827za7, "pair", 4 );
DEFINE_STRING( BGl_string1755z00zz__tvectorz00, BgL_bgl_string1755za700za7za7_1828za7, "loop:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string1758z00zz__tvectorz00, BgL_bgl_string1758za700za7za7_1829za7, "set", 3 );
DEFINE_STRING( BGl_string1760z00zz__tvectorz00, BgL_bgl_string1760za700za7za7_1830za7, "tvec", 4 );
DEFINE_STRING( BGl_string1762z00zz__tvectorz00, BgL_bgl_string1762za700za7za7_1831za7, "i", 1 );
DEFINE_STRING( BGl_string1764z00zz__tvectorz00, BgL_bgl_string1764za700za7za7_1832za7, "arg1284", 7 );
DEFINE_STRING( BGl_string1765z00zz__tvectorz00, BgL_bgl_string1765za700za7za7_1833za7, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string1766z00zz__tvectorz00, BgL_bgl_string1766za700za7za7_1834za7, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string1768z00zz__tvectorz00, BgL_bgl_string1768za700za7za7_1835za7, "_list->tvector1609", 18 );
DEFINE_STRING( BGl_string1770z00zz__tvectorz00, BgL_bgl_string1770za700za7za7_1836za7, "vector->tvector", 15 );
DEFINE_STRING( BGl_string1771z00zz__tvectorz00, BgL_bgl_string1771za700za7za7_1837za7, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string1773z00zz__tvectorz00, BgL_bgl_string1773za700za7za7_1838za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1774z00zz__tvectorz00, BgL_bgl_string1774za700za7za7_1839za7, "index out of range [0..", 23 );
DEFINE_STRING( BGl_string1775z00zz__tvectorz00, BgL_bgl_string1775za700za7za7_1840za7, "]", 1 );
DEFINE_STRING( BGl_string1778z00zz__tvectorz00, BgL_bgl_string1778za700za7za7_1841za7, "arg1306", 7 );
DEFINE_STRING( BGl_string1780z00zz__tvectorz00, BgL_bgl_string1780za700za7za7_1842za7, "_vector->tvector1610", 20 );
DEFINE_STRING( BGl_string1781z00zz__tvectorz00, BgL_bgl_string1781za700za7za7_1843za7, "vector", 6 );
DEFINE_STRING( BGl_string1783z00zz__tvectorz00, BgL_bgl_string1783za700za7za7_1844za7, "tvector->vector", 15 );
DEFINE_STRING( BGl_string1786z00zz__tvectorz00, BgL_bgl_string1786za700za7za7_1845za7, "ref", 3 );
DEFINE_STRING( BGl_string1788z00zz__tvectorz00, BgL_bgl_string1788za700za7za7_1846za7, "tv", 2 );
DEFINE_STRING( BGl_string1790z00zz__tvectorz00, BgL_bgl_string1790za700za7za7_1847za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1792z00zz__tvectorz00, BgL_bgl_string1792za700za7za7_1848za7, "_tvector->vector1611", 20 );
DEFINE_STRING( BGl_string1793z00zz__tvectorz00, BgL_bgl_string1793za700za7za7_1849za7, "__tvector", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl__tvectorza7f3za7f3za7za71850z00, BGl__tvectorzf3zf3zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl__declareza7d2tvect1851za7, BGl__declarezd2tvectorz121607zc0zz__tvectorz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__listza7d2za7e3tvect1852z00, BGl__listzd2ze3tvector1609z31zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl__tvectorza7d2za7e3ve1853z00, BGl__tvectorzd2ze3vector1611z31zz__tvectorz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_1365, char * BgL_fromz00_1366)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
BGl_toplevelzd2initzd2zz__tvectorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_symbol1710z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1711z00zz__tvectorz00); 
BGl_symbol1713z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1714z00zz__tvectorz00); 
BGl_symbol1717z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1718z00zz__tvectorz00); 
BGl_symbol1720z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1721z00zz__tvectorz00); 
BGl_symbol1722z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1723z00zz__tvectorz00); 
BGl_symbol1725z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1726z00zz__tvectorz00); 
BGl_symbol1727z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1728z00zz__tvectorz00); 
BGl_symbol1729z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1730z00zz__tvectorz00); 
BGl_symbol1731z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1732z00zz__tvectorz00); 
BGl_symbol1734z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1735z00zz__tvectorz00); 
BGl_symbol1738z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1739z00zz__tvectorz00); 
BGl_symbol1740z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1741z00zz__tvectorz00); 
BGl_symbol1742z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1743z00zz__tvectorz00); 
BGl_symbol1746z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1747z00zz__tvectorz00); 
BGl_symbol1748z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1749z00zz__tvectorz00); 
BGl_symbol1750z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1751z00zz__tvectorz00); 
BGl_list1745z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1746z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1748z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1748z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1750z00zz__tvectorz00, BNIL)))); 
BGl_symbol1752z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1753z00zz__tvectorz00); 
BGl_symbol1757z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1758z00zz__tvectorz00); 
BGl_symbol1759z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1760z00zz__tvectorz00); 
BGl_symbol1761z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1762z00zz__tvectorz00); 
BGl_symbol1763z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1764z00zz__tvectorz00); 
BGl_list1756z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1746z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1757z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1757z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1759z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1761z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1763z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1767z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1768z00zz__tvectorz00); 
BGl_symbol1769z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1770z00zz__tvectorz00); 
BGl_symbol1772z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1773z00zz__tvectorz00); 
BGl_symbol1777z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1778z00zz__tvectorz00); 
BGl_list1776z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1746z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1757z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1757z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1759z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1761z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1777z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1779z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1780z00zz__tvectorz00); 
BGl_symbol1782z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1783z00zz__tvectorz00); 
BGl_symbol1785z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1786z00zz__tvectorz00); 
BGl_symbol1787z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1788z00zz__tvectorz00); 
BGl_list1784z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1746z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1785z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1785z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1787z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1761z00zz__tvectorz00, BNIL))))); 
BGl_symbol1789z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1790z00zz__tvectorz00); 
return ( 
BGl_symbol1791z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1792z00zz__tvectorz00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
return ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ;} 
}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/tvector.scm 86 */
return 
TVECTORP(BgL_objz00_1);} 
}



/* _tvector? */
obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t BgL_envz00_1226, obj_t BgL_objz00_1227)
{ AN_OBJECT;
{ /* Llib/tvector.scm 86 */
return 
BBOOL(
TVECTORP(BgL_objz00_1227));} 
}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* Llib/tvector.scm 92 */
return 
TVECTOR_LENGTH(BgL_objz00_2);} 
}



/* _tvector-length1604 */
obj_t BGl__tvectorzd2length1604zd2zz__tvectorz00(obj_t BgL_envz00_1228, obj_t BgL_objz00_1229)
{ AN_OBJECT;
{ /* Llib/tvector.scm 92 */
{ /* Llib/tvector.scm 93 */
int BgL_auxz00_1429;
{ /* Llib/tvector.scm 93 */
obj_t BgL_objz00_1354;
if(
TVECTORP(BgL_objz00_1229))
{ /* Llib/tvector.scm 93 */
BgL_objz00_1354 = BgL_objz00_1229; }  else 
{ /* Llib/tvector.scm 93 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1710z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_objz00_1229); 
exit( -1 );} 
BgL_auxz00_1429 = 
TVECTOR_LENGTH(BgL_objz00_1354); } 
return 
BINT(BgL_auxz00_1429);} } 
}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_3)
{ AN_OBJECT;
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
obj_t BgL_arg1143z00_807;
BgL_arg1143z00_807 = 
TVECTOR_DESCR(BgL_tvectz00_3); 
{ /* Llib/tvector.scm 99 */
bool_t BgL_testz00_1437;
{ /* Llib/tvector.scm 99 */
obj_t BgL_auxz00_1438;
{ /* Llib/tvector.scm 99 */
obj_t BgL_res1571z00_813;
{ /* Llib/tvector.scm 99 */
obj_t BgL_sz00_812;
if(
STRUCTP(BgL_arg1143z00_807))
{ /* Llib/tvector.scm 99 */
BgL_sz00_812 = BgL_arg1143z00_807; }  else 
{ /* Llib/tvector.scm 99 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1713z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_arg1143z00_807); 
exit( -1 );} 
{ /* Llib/tvector.scm 99 */
obj_t BgL_aux1616z00_1254;
BgL_aux1616z00_1254 = 
STRUCT_KEY(BgL_sz00_812); 
if(
SYMBOLP(BgL_aux1616z00_1254))
{ /* Llib/tvector.scm 99 */
BgL_res1571z00_813 = BgL_aux1616z00_1254; }  else 
{ /* Llib/tvector.scm 99 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1713z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1616z00_1254); 
exit( -1 );} } } 
BgL_auxz00_1438 = BgL_res1571z00_813; } 
BgL_testz00_1437 = 
(BgL_auxz00_1438==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1437)
{ /* Llib/tvector.scm 99 */
int BgL_auxz00_1449;
BgL_auxz00_1449 = 
(int)(((long)0)); 
return 
STRUCT_REF(BgL_arg1143z00_807, BgL_auxz00_1449);}  else 
{ /* Llib/tvector.scm 99 */
return 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_arg1143z00_807);} } } } 
}



/* _tvector-id1605 */
obj_t BGl__tvectorzd2id1605zd2zz__tvectorz00(obj_t BgL_envz00_1230, obj_t BgL_tvectz00_1231)
{ AN_OBJECT;
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
obj_t BgL_auxz00_1453;
if(
TVECTORP(BgL_tvectz00_1231))
{ /* Llib/tvector.scm 99 */
BgL_auxz00_1453 = BgL_tvectz00_1231
; }  else 
{ /* Llib/tvector.scm 99 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1720z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_tvectz00_1231); 
exit( -1 );} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1453);} } 
}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_22)
{ AN_OBJECT;
{ /* Llib/tvector.scm 121 */
if(
PAIRP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 123 */
obj_t BgL_cellz00_498;
{ /* Llib/tvector.scm 123 */
obj_t BgL_auxz00_1461;
{ /* Llib/tvector.scm 123 */
obj_t BgL_aux1620z00_1258;
BgL_aux1620z00_1258 = BGl_za2tvectorzd2tableza2zd2zz__tvectorz00; 
{ /* Llib/tvector.scm 123 */
bool_t BgL_testz00_1462;
if(
PAIRP(BgL_aux1620z00_1258))
{ /* Llib/tvector.scm 123 */
BgL_testz00_1462 = ((bool_t)1)
; }  else 
{ /* Llib/tvector.scm 123 */
BgL_testz00_1462 = 
NULLP(BgL_aux1620z00_1258)
; } 
if(BgL_testz00_1462)
{ /* Llib/tvector.scm 123 */
BgL_auxz00_1461 = BgL_aux1620z00_1258
; }  else 
{ /* Llib/tvector.scm 123 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1722z00zz__tvectorz00, BGl_string1724z00zz__tvectorz00, BgL_aux1620z00_1258); 
exit( -1 );} } } 
BgL_cellz00_498 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_22, BgL_auxz00_1461); } 
if(
PAIRP(BgL_cellz00_498))
{ /* Llib/tvector.scm 124 */
return 
CDR(BgL_cellz00_498);}  else 
{ /* Llib/tvector.scm 124 */
return BFALSE;} }  else 
{ /* Llib/tvector.scm 122 */
return BFALSE;} } 
}



/* _get-tvector-descrip1606 */
obj_t BGl__getzd2tvectorzd2descrip1606z00zz__tvectorz00(obj_t BgL_envz00_1232, obj_t BgL_idz00_1233)
{ AN_OBJECT;
{ /* Llib/tvector.scm 121 */
{ /* Llib/tvector.scm 122 */
obj_t BgL_auxz00_1472;
if(
SYMBOLP(BgL_idz00_1233))
{ /* Llib/tvector.scm 122 */
BgL_auxz00_1472 = BgL_idz00_1233
; }  else 
{ /* Llib/tvector.scm 122 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1725z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_idz00_1233); 
exit( -1 );} 
return 
get_tvector_descriptor(BgL_auxz00_1472);} } 
}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_23, obj_t BgL_allocatez00_24, obj_t BgL_refz00_25, obj_t BgL_setz00_26)
{ AN_OBJECT;
{ /* Llib/tvector.scm 135 */
{ /* Llib/tvector.scm 136 */
obj_t BgL_idz00_500;
{ /* Llib/tvector.scm 136 */
obj_t BgL_arg1235z00_505;
{ /* Llib/tvector.scm 136 */
obj_t BgL_casezd2valuezd2_506;
BgL_casezd2valuezd2_506 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_506==BGl_symbol1727z00zz__tvectorz00))
{ /* Llib/tvector.scm 136 */
BgL_arg1235z00_505 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* Llib/tvector.scm 136 */
if(
(BgL_casezd2valuezd2_506==BGl_symbol1729z00zz__tvectorz00))
{ /* Llib/tvector.scm 136 */
BgL_arg1235z00_505 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* Llib/tvector.scm 136 */
BgL_arg1235z00_505 = 
string_to_bstring(BgL_idz00_23); } } } 
BgL_idz00_500 = 
string_to_symbol(
BSTRING_TO_STRING(BgL_arg1235z00_505)); } 
{ /* Llib/tvector.scm 136 */
obj_t BgL_oldz00_501;
BgL_oldz00_501 = 
get_tvector_descriptor(BgL_idz00_500); 
{ /* Llib/tvector.scm 143 */

{ /* Llib/tvector.scm 144 */
bool_t BgL_testz00_1491;
if(
STRUCTP(BgL_oldz00_501))
{ /* Llib/tvector.scm 144 */
obj_t BgL_auxz00_1494;
{ /* Llib/tvector.scm 144 */
obj_t BgL_res1585z00_903;
{ /* Llib/tvector.scm 144 */
obj_t BgL_sz00_902;
BgL_sz00_902 = BgL_oldz00_501; 
{ /* Llib/tvector.scm 144 */
obj_t BgL_aux1628z00_1266;
BgL_aux1628z00_1266 = 
STRUCT_KEY(BgL_sz00_902); 
if(
SYMBOLP(BgL_aux1628z00_1266))
{ /* Llib/tvector.scm 144 */
BgL_res1585z00_903 = BgL_aux1628z00_1266; }  else 
{ /* Llib/tvector.scm 144 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1731z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1628z00_1266); 
exit( -1 );} } } 
BgL_auxz00_1494 = BgL_res1585z00_903; } 
BgL_testz00_1491 = 
(BgL_auxz00_1494==BGl_symbol1717z00zz__tvectorz00); }  else 
{ /* Llib/tvector.scm 144 */
BgL_testz00_1491 = ((bool_t)0)
; } 
if(BgL_testz00_1491)
{ /* Llib/tvector.scm 144 */
return BgL_oldz00_501;}  else 
{ /* Llib/tvector.scm 145 */
obj_t BgL_newz00_503;
{ /* Llib/tvector.scm 145 */
obj_t BgL_newz00_908;
BgL_newz00_908 = 
create_struct(BGl_symbol1717z00zz__tvectorz00, 
(int)(((long)4))); 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1503;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1504;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1586z00_915;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1630z00_1268;
BgL_aux1630z00_1268 = 
STRUCT_KEY(BgL_newz00_908); 
if(
SYMBOLP(BgL_aux1630z00_1268))
{ /* Llib/tvector.scm 145 */
BgL_res1586z00_915 = BgL_aux1630z00_1268; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1731z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1630z00_1268); 
exit( -1 );} } 
BgL_auxz00_1504 = BgL_res1586z00_915; } 
BgL_testz00_1503 = 
(BgL_auxz00_1504==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1503)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1511;
BgL_auxz00_1511 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_908, BgL_auxz00_1511, BgL_setz00_26); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1733z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_newz00_908); } } 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1515;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1516;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1587z00_922;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1632z00_1270;
BgL_aux1632z00_1270 = 
STRUCT_KEY(BgL_newz00_908); 
if(
SYMBOLP(BgL_aux1632z00_1270))
{ /* Llib/tvector.scm 145 */
BgL_res1587z00_922 = BgL_aux1632z00_1270; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1731z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1632z00_1270); 
exit( -1 );} } 
BgL_auxz00_1516 = BgL_res1587z00_922; } 
BgL_testz00_1515 = 
(BgL_auxz00_1516==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1515)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1523;
BgL_auxz00_1523 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_908, BgL_auxz00_1523, BgL_refz00_25); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1733z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_newz00_908); } } 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1527;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1528;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1588z00_929;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1634z00_1272;
BgL_aux1634z00_1272 = 
STRUCT_KEY(BgL_newz00_908); 
if(
SYMBOLP(BgL_aux1634z00_1272))
{ /* Llib/tvector.scm 145 */
BgL_res1588z00_929 = BgL_aux1634z00_1272; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1731z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1634z00_1272); 
exit( -1 );} } 
BgL_auxz00_1528 = BgL_res1588z00_929; } 
BgL_testz00_1527 = 
(BgL_auxz00_1528==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1527)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1535;
BgL_auxz00_1535 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_908, BgL_auxz00_1535, BgL_allocatez00_24); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1733z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_newz00_908); } } 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1539;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1540;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1589z00_936;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1636z00_1274;
BgL_aux1636z00_1274 = 
STRUCT_KEY(BgL_newz00_908); 
if(
SYMBOLP(BgL_aux1636z00_1274))
{ /* Llib/tvector.scm 145 */
BgL_res1589z00_936 = BgL_aux1636z00_1274; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1731z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1636z00_1274); 
exit( -1 );} } 
BgL_auxz00_1540 = BgL_res1589z00_936; } 
BgL_testz00_1539 = 
(BgL_auxz00_1540==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1539)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1547;
BgL_auxz00_1547 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_908, BgL_auxz00_1547, BgL_idz00_500); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1733z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_newz00_908); } } 
BgL_newz00_503 = BgL_newz00_908; } 
{ /* Llib/tvector.scm 146 */
obj_t BgL_arg1222z00_504;
BgL_arg1222z00_504 = 
MAKE_PAIR(BgL_idz00_500, BgL_newz00_503); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_PAIR(BgL_arg1222z00_504, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
return BgL_newz00_503;} } } } } } 
}



/* _declare-tvector!1607 */
obj_t BGl__declarezd2tvectorz121607zc0zz__tvectorz00(obj_t BgL_envz00_1234, obj_t BgL_idz00_1235, obj_t BgL_allocatez00_1236, obj_t BgL_refz00_1237, obj_t BgL_setz00_1238)
{ AN_OBJECT;
{ /* Llib/tvector.scm 135 */
{ /* Llib/tvector.scm 136 */
obj_t BgL_auxz00_1560;char * BgL_auxz00_1553;
if(
PROCEDUREP(BgL_allocatez00_1236))
{ /* Llib/tvector.scm 136 */
BgL_auxz00_1560 = BgL_allocatez00_1236
; }  else 
{ /* Llib/tvector.scm 136 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1734z00zz__tvectorz00, BGl_string1737z00zz__tvectorz00, BgL_allocatez00_1236); 
exit( -1 );} 
{ /* Llib/tvector.scm 136 */
obj_t BgL_auxz00_1554;
if(
STRINGP(BgL_idz00_1235))
{ /* Llib/tvector.scm 136 */
BgL_auxz00_1554 = BgL_idz00_1235
; }  else 
{ /* Llib/tvector.scm 136 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1734z00zz__tvectorz00, BGl_string1736z00zz__tvectorz00, BgL_idz00_1235); 
exit( -1 );} 
BgL_auxz00_1553 = 
BSTRING_TO_STRING(BgL_auxz00_1554); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_1553, BgL_auxz00_1560, BgL_refz00_1237, BgL_setz00_1238);} } 
}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_27)
{ AN_OBJECT;
{ /* Llib/tvector.scm 153 */
{ /* Llib/tvector.scm 154 */
obj_t BgL_arg1274z00_937;
BgL_arg1274z00_937 = 
TVECTOR_DESCR(BgL_tvectorz00_27); 
{ /* Llib/tvector.scm 154 */
bool_t BgL_testz00_1567;
{ /* Llib/tvector.scm 154 */
obj_t BgL_auxz00_1568;
{ /* Llib/tvector.scm 154 */
obj_t BgL_res1590z00_943;
{ /* Llib/tvector.scm 154 */
obj_t BgL_sz00_942;
if(
STRUCTP(BgL_arg1274z00_937))
{ /* Llib/tvector.scm 154 */
BgL_sz00_942 = BgL_arg1274z00_937; }  else 
{ /* Llib/tvector.scm 154 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1738z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_arg1274z00_937); 
exit( -1 );} 
{ /* Llib/tvector.scm 154 */
obj_t BgL_aux1644z00_1282;
BgL_aux1644z00_1282 = 
STRUCT_KEY(BgL_sz00_942); 
if(
SYMBOLP(BgL_aux1644z00_1282))
{ /* Llib/tvector.scm 154 */
BgL_res1590z00_943 = BgL_aux1644z00_1282; }  else 
{ /* Llib/tvector.scm 154 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1738z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1644z00_1282); 
exit( -1 );} } } 
BgL_auxz00_1568 = BgL_res1590z00_943; } 
BgL_testz00_1567 = 
(BgL_auxz00_1568==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1567)
{ /* Llib/tvector.scm 154 */
int BgL_auxz00_1579;
BgL_auxz00_1579 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_arg1274z00_937, BgL_auxz00_1579);}  else 
{ /* Llib/tvector.scm 154 */
return 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_arg1274z00_937);} } } } 
}



/* _tvector-ref1608 */
obj_t BGl__tvectorzd2ref1608zd2zz__tvectorz00(obj_t BgL_envz00_1239, obj_t BgL_tvectorz00_1240)
{ AN_OBJECT;
{ /* Llib/tvector.scm 153 */
{ /* Llib/tvector.scm 154 */
obj_t BgL_auxz00_1583;
if(
TVECTORP(BgL_tvectorz00_1240))
{ /* Llib/tvector.scm 154 */
BgL_auxz00_1583 = BgL_tvectorz00_1240
; }  else 
{ /* Llib/tvector.scm 154 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1740z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_tvectorz00_1240); 
exit( -1 );} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_1583);} } 
}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_28, obj_t BgL_lz00_29)
{ AN_OBJECT;
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
obj_t BgL_descrz00_512;
BgL_descrz00_512 = 
get_tvector_descriptor(BgL_idz00_28); 
if(
CBOOL(BgL_descrz00_512))
{ /* Llib/tvector.scm 163 */
obj_t BgL_allocatez00_513;obj_t BgL_setz00_514;
{ /* Llib/tvector.scm 163 */
bool_t BgL_testz00_1592;
{ /* Llib/tvector.scm 163 */
obj_t BgL_auxz00_1593;
{ /* Llib/tvector.scm 163 */
obj_t BgL_res1591z00_949;
{ /* Llib/tvector.scm 163 */
obj_t BgL_sz00_948;
if(
STRUCTP(BgL_descrz00_512))
{ /* Llib/tvector.scm 163 */
BgL_sz00_948 = BgL_descrz00_512; }  else 
{ /* Llib/tvector.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1742z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_512); 
exit( -1 );} 
{ /* Llib/tvector.scm 163 */
obj_t BgL_aux1650z00_1288;
BgL_aux1650z00_1288 = 
STRUCT_KEY(BgL_sz00_948); 
if(
SYMBOLP(BgL_aux1650z00_1288))
{ /* Llib/tvector.scm 163 */
BgL_res1591z00_949 = BgL_aux1650z00_1288; }  else 
{ /* Llib/tvector.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1742z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1650z00_1288); 
exit( -1 );} } } 
BgL_auxz00_1593 = BgL_res1591z00_949; } 
BgL_testz00_1592 = 
(BgL_auxz00_1593==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1592)
{ /* Llib/tvector.scm 163 */
int BgL_auxz00_1604;
BgL_auxz00_1604 = 
(int)(((long)1)); 
BgL_allocatez00_513 = 
STRUCT_REF(BgL_descrz00_512, BgL_auxz00_1604); }  else 
{ /* Llib/tvector.scm 163 */
BgL_allocatez00_513 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_descrz00_512); } } 
{ /* Llib/tvector.scm 164 */
bool_t BgL_testz00_1608;
{ /* Llib/tvector.scm 164 */
obj_t BgL_auxz00_1609;
{ /* Llib/tvector.scm 164 */
obj_t BgL_res1592z00_955;
{ /* Llib/tvector.scm 164 */
obj_t BgL_sz00_954;
if(
STRUCTP(BgL_descrz00_512))
{ /* Llib/tvector.scm 164 */
BgL_sz00_954 = BgL_descrz00_512; }  else 
{ /* Llib/tvector.scm 164 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1742z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_512); 
exit( -1 );} 
{ /* Llib/tvector.scm 164 */
obj_t BgL_aux1654z00_1292;
BgL_aux1654z00_1292 = 
STRUCT_KEY(BgL_sz00_954); 
if(
SYMBOLP(BgL_aux1654z00_1292))
{ /* Llib/tvector.scm 164 */
BgL_res1592z00_955 = BgL_aux1654z00_1292; }  else 
{ /* Llib/tvector.scm 164 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1742z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1654z00_1292); 
exit( -1 );} } } 
BgL_auxz00_1609 = BgL_res1592z00_955; } 
BgL_testz00_1608 = 
(BgL_auxz00_1609==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1608)
{ /* Llib/tvector.scm 164 */
int BgL_auxz00_1620;
BgL_auxz00_1620 = 
(int)(((long)3)); 
BgL_setz00_514 = 
STRUCT_REF(BgL_descrz00_512, BgL_auxz00_1620); }  else 
{ /* Llib/tvector.scm 164 */
BgL_setz00_514 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_descrz00_512); } } 
if(
PROCEDUREP(BgL_setz00_514))
{ /* Llib/tvector.scm 169 */
long BgL_lenz00_516;
BgL_lenz00_516 = 
bgl_list_length(BgL_lz00_29); 
{ /* Llib/tvector.scm 169 */
obj_t BgL_tvecz00_517;
{ /* Llib/tvector.scm 170 */
obj_t BgL_funz00_1296;
if(
PROCEDUREP(BgL_allocatez00_513))
{ /* Llib/tvector.scm 170 */
BgL_funz00_1296 = BgL_allocatez00_513; }  else 
{ /* Llib/tvector.scm 170 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1742z00zz__tvectorz00, BGl_string1737z00zz__tvectorz00, BgL_allocatez00_513); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1296, ((long)1)))
{ /* Llib/tvector.scm 170 */
BgL_tvecz00_517 = 
PROCEDURE_ENTRY(BgL_funz00_1296)(BgL_allocatez00_513, 
BINT(BgL_lenz00_516), BEOA); }  else 
{ /* Llib/tvector.scm 170 */
FAILURE(BGl_string1744z00zz__tvectorz00,BGl_list1745z00zz__tvectorz00,BgL_funz00_1296);} } 
{ /* Llib/tvector.scm 170 */

{ 
obj_t BgL_lz00_518;long BgL_iz00_519;
BgL_lz00_518 = BgL_lz00_29; 
BgL_iz00_519 = ((long)0); 
BgL_loopz00_520:
if(
NULLP(BgL_lz00_518))
{ /* Llib/tvector.scm 173 */
return BgL_tvecz00_517;}  else 
{ /* Llib/tvector.scm 173 */
{ /* Llib/tvector.scm 176 */
obj_t BgL_arg1284z00_522;
{ /* Llib/tvector.scm 176 */
obj_t BgL_pairz00_958;
if(
PAIRP(BgL_lz00_518))
{ /* Llib/tvector.scm 176 */
BgL_pairz00_958 = BgL_lz00_518; }  else 
{ /* Llib/tvector.scm 176 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1752z00zz__tvectorz00, BGl_string1754z00zz__tvectorz00, BgL_lz00_518); 
exit( -1 );} 
BgL_arg1284z00_522 = 
CAR(BgL_pairz00_958); } 
{ /* Llib/tvector.scm 176 */
obj_t BgL_funz00_1303;
BgL_funz00_1303 = BgL_setz00_514; 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1303, ((long)3)))
{ /* Llib/tvector.scm 176 */
PROCEDURE_ENTRY(BgL_funz00_1303)(BgL_setz00_514, BgL_tvecz00_517, 
BINT(BgL_iz00_519), BgL_arg1284z00_522, BEOA); }  else 
{ /* Llib/tvector.scm 176 */
FAILURE(BGl_string1755z00zz__tvectorz00,BGl_list1756z00zz__tvectorz00,BgL_funz00_1303);} } } 
{ /* Llib/tvector.scm 177 */
obj_t BgL_arg1302z00_523;long BgL_arg1303z00_524;
{ /* Llib/tvector.scm 177 */
obj_t BgL_pairz00_959;
if(
PAIRP(BgL_lz00_518))
{ /* Llib/tvector.scm 177 */
BgL_pairz00_959 = BgL_lz00_518; }  else 
{ /* Llib/tvector.scm 177 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1752z00zz__tvectorz00, BGl_string1754z00zz__tvectorz00, BgL_lz00_518); 
exit( -1 );} 
BgL_arg1302z00_523 = 
CDR(BgL_pairz00_959); } 
BgL_arg1303z00_524 = 
(BgL_iz00_519+((long)1)); 
{ 
long BgL_iz00_1657;obj_t BgL_lz00_1656;
BgL_lz00_1656 = BgL_arg1302z00_523; 
BgL_iz00_1657 = BgL_arg1303z00_524; 
BgL_iz00_519 = BgL_iz00_1657; 
BgL_lz00_518 = BgL_lz00_1656; 
goto BgL_loopz00_520;} } } } } } }  else 
{ /* Llib/tvector.scm 165 */
return 
BGl_errorz00zz__errorz00(BGl_string1743z00zz__tvectorz00, BGl_string1765z00zz__tvectorz00, BgL_idz00_28);} }  else 
{ /* Llib/tvector.scm 161 */
return 
BGl_errorz00zz__errorz00(BGl_string1743z00zz__tvectorz00, BGl_string1766z00zz__tvectorz00, BgL_idz00_28);} } } 
}



/* _list->tvector1609 */
obj_t BGl__listzd2ze3tvector1609z31zz__tvectorz00(obj_t BgL_envz00_1241, obj_t BgL_idz00_1242, obj_t BgL_lz00_1243)
{ AN_OBJECT;
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
obj_t BgL_auxz00_1665;obj_t BgL_auxz00_1660;
{ /* Llib/tvector.scm 160 */
bool_t BgL_testz00_1666;
if(
PAIRP(BgL_lz00_1243))
{ /* Llib/tvector.scm 160 */
BgL_testz00_1666 = ((bool_t)1)
; }  else 
{ /* Llib/tvector.scm 160 */
BgL_testz00_1666 = 
NULLP(BgL_lz00_1243)
; } 
if(BgL_testz00_1666)
{ /* Llib/tvector.scm 160 */
BgL_auxz00_1665 = BgL_lz00_1243
; }  else 
{ /* Llib/tvector.scm 160 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1767z00zz__tvectorz00, BGl_string1724z00zz__tvectorz00, BgL_lz00_1243); 
exit( -1 );} } 
if(
SYMBOLP(BgL_idz00_1242))
{ /* Llib/tvector.scm 160 */
BgL_auxz00_1660 = BgL_idz00_1242
; }  else 
{ /* Llib/tvector.scm 160 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1767z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_idz00_1242); 
exit( -1 );} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1660, BgL_auxz00_1665);} } 
}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_vz00_31)
{ AN_OBJECT;
{ /* Llib/tvector.scm 182 */
{ /* Llib/tvector.scm 183 */
obj_t BgL_descrz00_525;
BgL_descrz00_525 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_525))
{ /* Llib/tvector.scm 186 */
obj_t BgL_allocatez00_526;obj_t BgL_setz00_527;
{ /* Llib/tvector.scm 186 */
bool_t BgL_testz00_1676;
{ /* Llib/tvector.scm 186 */
obj_t BgL_auxz00_1677;
{ /* Llib/tvector.scm 186 */
obj_t BgL_res1593z00_967;
{ /* Llib/tvector.scm 186 */
obj_t BgL_sz00_966;
if(
STRUCTP(BgL_descrz00_525))
{ /* Llib/tvector.scm 186 */
BgL_sz00_966 = BgL_descrz00_525; }  else 
{ /* Llib/tvector.scm 186 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1769z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_525); 
exit( -1 );} 
{ /* Llib/tvector.scm 186 */
obj_t BgL_aux1674z00_1314;
BgL_aux1674z00_1314 = 
STRUCT_KEY(BgL_sz00_966); 
if(
SYMBOLP(BgL_aux1674z00_1314))
{ /* Llib/tvector.scm 186 */
BgL_res1593z00_967 = BgL_aux1674z00_1314; }  else 
{ /* Llib/tvector.scm 186 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1769z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1674z00_1314); 
exit( -1 );} } } 
BgL_auxz00_1677 = BgL_res1593z00_967; } 
BgL_testz00_1676 = 
(BgL_auxz00_1677==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1676)
{ /* Llib/tvector.scm 186 */
int BgL_auxz00_1688;
BgL_auxz00_1688 = 
(int)(((long)1)); 
BgL_allocatez00_526 = 
STRUCT_REF(BgL_descrz00_525, BgL_auxz00_1688); }  else 
{ /* Llib/tvector.scm 186 */
BgL_allocatez00_526 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_descrz00_525); } } 
{ /* Llib/tvector.scm 187 */
bool_t BgL_testz00_1692;
{ /* Llib/tvector.scm 187 */
obj_t BgL_auxz00_1693;
{ /* Llib/tvector.scm 187 */
obj_t BgL_res1594z00_973;
{ /* Llib/tvector.scm 187 */
obj_t BgL_sz00_972;
if(
STRUCTP(BgL_descrz00_525))
{ /* Llib/tvector.scm 187 */
BgL_sz00_972 = BgL_descrz00_525; }  else 
{ /* Llib/tvector.scm 187 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1769z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_525); 
exit( -1 );} 
{ /* Llib/tvector.scm 187 */
obj_t BgL_aux1678z00_1318;
BgL_aux1678z00_1318 = 
STRUCT_KEY(BgL_sz00_972); 
if(
SYMBOLP(BgL_aux1678z00_1318))
{ /* Llib/tvector.scm 187 */
BgL_res1594z00_973 = BgL_aux1678z00_1318; }  else 
{ /* Llib/tvector.scm 187 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1769z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1678z00_1318); 
exit( -1 );} } } 
BgL_auxz00_1693 = BgL_res1594z00_973; } 
BgL_testz00_1692 = 
(BgL_auxz00_1693==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1692)
{ /* Llib/tvector.scm 187 */
int BgL_auxz00_1704;
BgL_auxz00_1704 = 
(int)(((long)3)); 
BgL_setz00_527 = 
STRUCT_REF(BgL_descrz00_525, BgL_auxz00_1704); }  else 
{ /* Llib/tvector.scm 187 */
BgL_setz00_527 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_descrz00_525); } } 
if(
PROCEDUREP(BgL_setz00_527))
{ /* Llib/tvector.scm 192 */
int BgL_lenz00_529;
BgL_lenz00_529 = 
VECTOR_LENGTH(BgL_vz00_31); 
{ /* Llib/tvector.scm 192 */
obj_t BgL_tvecz00_530;
{ /* Llib/tvector.scm 193 */
obj_t BgL_funz00_1322;
if(
PROCEDUREP(BgL_allocatez00_526))
{ /* Llib/tvector.scm 193 */
BgL_funz00_1322 = BgL_allocatez00_526; }  else 
{ /* Llib/tvector.scm 193 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1769z00zz__tvectorz00, BGl_string1737z00zz__tvectorz00, BgL_allocatez00_526); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1322, ((long)1)))
{ /* Llib/tvector.scm 193 */
BgL_tvecz00_530 = 
PROCEDURE_ENTRY(BgL_funz00_1322)(BgL_allocatez00_526, 
BINT(BgL_lenz00_529), BEOA); }  else 
{ /* Llib/tvector.scm 193 */
FAILURE(BGl_string1771z00zz__tvectorz00,BGl_list1745z00zz__tvectorz00,BgL_funz00_1322);} } 
{ /* Llib/tvector.scm 193 */

{ /* Llib/tvector.scm 194 */
long BgL_g1112z00_531;
BgL_g1112z00_531 = 
(
(long)(BgL_lenz00_529)-((long)1)); 
{ 
long BgL_iz00_532;
BgL_iz00_532 = BgL_g1112z00_531; 
BgL_loopz00_533:
if(
(BgL_iz00_532==((long)-1)))
{ /* Llib/tvector.scm 195 */
return BgL_tvecz00_530;}  else 
{ /* Llib/tvector.scm 195 */
{ /* Llib/tvector.scm 198 */
obj_t BgL_arg1306z00_535;
{ /* Llib/tvector.scm 198 */
obj_t BgL_vectorz00_980;int BgL_kz00_981;
BgL_vectorz00_980 = BgL_vz00_31; 
BgL_kz00_981 = 
(int)(BgL_iz00_532); 
{ /* Llib/tvector.scm 198 */
bool_t BgL_testz00_1726;
{ /* Llib/tvector.scm 198 */
int BgL_arg1529z00_983;
BgL_arg1529z00_983 = 
VECTOR_LENGTH(BgL_vectorz00_980); 
BgL_testz00_1726 = 
BOUND_CHECK(BgL_kz00_981, BgL_arg1529z00_983); } 
if(BgL_testz00_1726)
{ /* Llib/tvector.scm 198 */
BgL_arg1306z00_535 = 
VECTOR_REF(BgL_vectorz00_980,BgL_kz00_981); }  else 
{ /* Llib/tvector.scm 198 */
obj_t BgL_arg1520z00_984;obj_t BgL_arg1521z00_985;
BgL_arg1520z00_984 = BGl_symbol1772z00zz__tvectorz00; 
{ /* Llib/tvector.scm 198 */
obj_t BgL_arg1523z00_987;
{ /* Llib/tvector.scm 198 */
long BgL_arg1525z00_989;
{ /* Llib/tvector.scm 198 */
int BgL_arg1526z00_990;
BgL_arg1526z00_990 = 
VECTOR_LENGTH(BgL_vectorz00_980); 
BgL_arg1525z00_989 = 
(
(long)(BgL_arg1526z00_990)-((long)1)); } 
{ /* Llib/tvector.scm 198 */

BgL_arg1523z00_987 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1525z00_989, ((long)10)); } } 
BgL_arg1521z00_985 = 
string_append_3(BGl_string1774z00zz__tvectorz00, BgL_arg1523z00_987, BGl_string1775z00zz__tvectorz00); } 
BgL_arg1306z00_535 = 
BGl_errorz00zz__errorz00(BgL_arg1520z00_984, BgL_arg1521z00_985, 
BINT(BgL_kz00_981)); } } } 
{ /* Llib/tvector.scm 198 */
obj_t BgL_funz00_1327;
BgL_funz00_1327 = BgL_setz00_527; 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1327, ((long)3)))
{ /* Llib/tvector.scm 198 */
PROCEDURE_ENTRY(BgL_funz00_1327)(BgL_setz00_527, BgL_tvecz00_530, 
BINT(BgL_iz00_532), BgL_arg1306z00_535, BEOA); }  else 
{ /* Llib/tvector.scm 198 */
FAILURE(BGl_string1755z00zz__tvectorz00,BGl_list1776z00zz__tvectorz00,BgL_funz00_1327);} } } 
{ 
long BgL_iz00_1743;
BgL_iz00_1743 = 
(BgL_iz00_532-((long)1)); 
BgL_iz00_532 = BgL_iz00_1743; 
goto BgL_loopz00_533;} } } } } } }  else 
{ /* Llib/tvector.scm 188 */
return 
BGl_errorz00zz__errorz00(BGl_string1770z00zz__tvectorz00, BGl_string1765z00zz__tvectorz00, BgL_idz00_30);} }  else 
{ /* Llib/tvector.scm 184 */
return 
BGl_errorz00zz__errorz00(BGl_string1770z00zz__tvectorz00, BGl_string1766z00zz__tvectorz00, BgL_idz00_30);} } } 
}



/* _vector->tvector1610 */
obj_t BGl__vectorzd2ze3tvector1610z31zz__tvectorz00(obj_t BgL_envz00_1244, obj_t BgL_idz00_1245, obj_t BgL_vz00_1246)
{ AN_OBJECT;
{ /* Llib/tvector.scm 182 */
{ /* Llib/tvector.scm 183 */
obj_t BgL_auxz00_1752;obj_t BgL_auxz00_1747;
if(
VECTORP(BgL_vz00_1246))
{ /* Llib/tvector.scm 183 */
BgL_auxz00_1752 = BgL_vz00_1246
; }  else 
{ /* Llib/tvector.scm 183 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1779z00zz__tvectorz00, BGl_string1781z00zz__tvectorz00, BgL_vz00_1246); 
exit( -1 );} 
if(
SYMBOLP(BgL_idz00_1245))
{ /* Llib/tvector.scm 183 */
BgL_auxz00_1747 = BgL_idz00_1245
; }  else 
{ /* Llib/tvector.scm 183 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1779z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_idz00_1245); 
exit( -1 );} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1747, BgL_auxz00_1752);} } 
}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_32)
{ AN_OBJECT;
{ /* Llib/tvector.scm 204 */
{ /* Llib/tvector.scm 205 */
obj_t BgL_descrz00_537;
BgL_descrz00_537 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* Llib/tvector.scm 206 */
obj_t BgL_allocatez00_538;obj_t BgL_refz00_539;
{ /* Llib/tvector.scm 206 */
bool_t BgL_testz00_1759;
{ /* Llib/tvector.scm 206 */
obj_t BgL_auxz00_1760;
{ /* Llib/tvector.scm 206 */
obj_t BgL_res1595z00_1005;
{ /* Llib/tvector.scm 206 */
obj_t BgL_sz00_1004;
if(
STRUCTP(BgL_descrz00_537))
{ /* Llib/tvector.scm 206 */
BgL_sz00_1004 = BgL_descrz00_537; }  else 
{ /* Llib/tvector.scm 206 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1782z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_537); 
exit( -1 );} 
{ /* Llib/tvector.scm 206 */
obj_t BgL_aux1694z00_1336;
BgL_aux1694z00_1336 = 
STRUCT_KEY(BgL_sz00_1004); 
if(
SYMBOLP(BgL_aux1694z00_1336))
{ /* Llib/tvector.scm 206 */
BgL_res1595z00_1005 = BgL_aux1694z00_1336; }  else 
{ /* Llib/tvector.scm 206 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1782z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1694z00_1336); 
exit( -1 );} } } 
BgL_auxz00_1760 = BgL_res1595z00_1005; } 
BgL_testz00_1759 = 
(BgL_auxz00_1760==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1759)
{ /* Llib/tvector.scm 206 */
int BgL_auxz00_1771;
BgL_auxz00_1771 = 
(int)(((long)1)); 
BgL_allocatez00_538 = 
STRUCT_REF(BgL_descrz00_537, BgL_auxz00_1771); }  else 
{ /* Llib/tvector.scm 206 */
BgL_allocatez00_538 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_descrz00_537); } } 
{ /* Llib/tvector.scm 207 */
bool_t BgL_testz00_1775;
{ /* Llib/tvector.scm 207 */
obj_t BgL_auxz00_1776;
{ /* Llib/tvector.scm 207 */
obj_t BgL_res1596z00_1011;
{ /* Llib/tvector.scm 207 */
obj_t BgL_sz00_1010;
if(
STRUCTP(BgL_descrz00_537))
{ /* Llib/tvector.scm 207 */
BgL_sz00_1010 = BgL_descrz00_537; }  else 
{ /* Llib/tvector.scm 207 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1782z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_537); 
exit( -1 );} 
{ /* Llib/tvector.scm 207 */
obj_t BgL_aux1698z00_1340;
BgL_aux1698z00_1340 = 
STRUCT_KEY(BgL_sz00_1010); 
if(
SYMBOLP(BgL_aux1698z00_1340))
{ /* Llib/tvector.scm 207 */
BgL_res1596z00_1011 = BgL_aux1698z00_1340; }  else 
{ /* Llib/tvector.scm 207 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1782z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1698z00_1340); 
exit( -1 );} } } 
BgL_auxz00_1776 = BgL_res1596z00_1011; } 
BgL_testz00_1775 = 
(BgL_auxz00_1776==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1775)
{ /* Llib/tvector.scm 207 */
int BgL_auxz00_1787;
BgL_auxz00_1787 = 
(int)(((long)2)); 
BgL_refz00_539 = 
STRUCT_REF(BgL_descrz00_537, BgL_auxz00_1787); }  else 
{ /* Llib/tvector.scm 207 */
BgL_refz00_539 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_descrz00_537); } } 
if(
PROCEDUREP(BgL_refz00_539))
{ /* Llib/tvector.scm 212 */
int BgL_lenz00_541;
BgL_lenz00_541 = 
TVECTOR_LENGTH(BgL_tvz00_32); 
{ /* Llib/tvector.scm 212 */
obj_t BgL_vecz00_542;
BgL_vecz00_542 = 
create_vector(BgL_lenz00_541); 
{ /* Llib/tvector.scm 213 */

{ /* Llib/tvector.scm 214 */
long BgL_g1113z00_543;
BgL_g1113z00_543 = 
(
(long)(BgL_lenz00_541)-((long)1)); 
{ 
long BgL_iz00_544;
BgL_iz00_544 = BgL_g1113z00_543; 
BgL_loopz00_545:
if(
(BgL_iz00_544==((long)-1)))
{ /* Llib/tvector.scm 215 */
return BgL_vecz00_542;}  else 
{ /* Llib/tvector.scm 215 */
{ /* Llib/tvector.scm 218 */
obj_t BgL_arg1310z00_547;
{ /* Llib/tvector.scm 218 */
obj_t BgL_funz00_1344;
BgL_funz00_1344 = BgL_refz00_539; 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1344, ((long)2)))
{ /* Llib/tvector.scm 218 */
BgL_arg1310z00_547 = 
PROCEDURE_ENTRY(BgL_funz00_1344)(BgL_refz00_539, BgL_tvz00_32, 
BINT(BgL_iz00_544), BEOA); }  else 
{ /* Llib/tvector.scm 218 */
FAILURE(BGl_string1755z00zz__tvectorz00,BGl_list1784z00zz__tvectorz00,BgL_funz00_1344);} } 
{ /* Llib/tvector.scm 218 */
obj_t BgL_vectorz00_1018;int BgL_kz00_1019;obj_t BgL_objz00_1020;
BgL_vectorz00_1018 = BgL_vecz00_542; 
BgL_kz00_1019 = 
(int)(BgL_iz00_544); 
BgL_objz00_1020 = BgL_arg1310z00_547; 
{ /* Llib/tvector.scm 218 */
bool_t BgL_testz00_1806;
{ /* Llib/tvector.scm 218 */
int BgL_arg1518z00_1022;
BgL_arg1518z00_1022 = 
VECTOR_LENGTH(BgL_vectorz00_1018); 
BgL_testz00_1806 = 
BOUND_CHECK(BgL_kz00_1019, BgL_arg1518z00_1022); } 
if(BgL_testz00_1806)
{ /* Llib/tvector.scm 218 */
VECTOR_SET(BgL_vectorz00_1018,BgL_kz00_1019,BgL_objz00_1020); }  else 
{ /* Llib/tvector.scm 218 */
obj_t BgL_arg1508z00_1023;obj_t BgL_arg1509z00_1024;
BgL_arg1508z00_1023 = BGl_symbol1789z00zz__tvectorz00; 
{ /* Llib/tvector.scm 218 */
obj_t BgL_arg1512z00_1026;
{ /* Llib/tvector.scm 218 */
long BgL_arg1514z00_1028;
{ /* Llib/tvector.scm 218 */
int BgL_arg1516z00_1029;
BgL_arg1516z00_1029 = 
VECTOR_LENGTH(BgL_vectorz00_1018); 
BgL_arg1514z00_1028 = 
(
(long)(BgL_arg1516z00_1029)-((long)1)); } 
{ /* Llib/tvector.scm 218 */

BgL_arg1512z00_1026 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1514z00_1028, ((long)10)); } } 
BgL_arg1509z00_1024 = 
string_append_3(BGl_string1774z00zz__tvectorz00, BgL_arg1512z00_1026, BGl_string1775z00zz__tvectorz00); } 
BGl_errorz00zz__errorz00(BgL_arg1508z00_1023, BgL_arg1509z00_1024, 
BINT(BgL_kz00_1019)); } } } } 
{ 
long BgL_iz00_1817;
BgL_iz00_1817 = 
(BgL_iz00_544-((long)1)); 
BgL_iz00_544 = BgL_iz00_1817; 
goto BgL_loopz00_545;} } } } } } }  else 
{ /* Llib/tvector.scm 209 */
obj_t BgL_arg1314z00_551;
{ /* Llib/tvector.scm 211 */
obj_t BgL_arg1143z00_1040;
BgL_arg1143z00_1040 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* Llib/tvector.scm 211 */
bool_t BgL_testz00_1820;
{ /* Llib/tvector.scm 211 */
obj_t BgL_auxz00_1821;
{ /* Llib/tvector.scm 211 */
obj_t BgL_res1597z00_1046;
{ /* Llib/tvector.scm 211 */
obj_t BgL_sz00_1045;
if(
STRUCTP(BgL_arg1143z00_1040))
{ /* Llib/tvector.scm 211 */
BgL_sz00_1045 = BgL_arg1143z00_1040; }  else 
{ /* Llib/tvector.scm 211 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1782z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_arg1143z00_1040); 
exit( -1 );} 
{ /* Llib/tvector.scm 211 */
obj_t BgL_aux1706z00_1349;
BgL_aux1706z00_1349 = 
STRUCT_KEY(BgL_sz00_1045); 
if(
SYMBOLP(BgL_aux1706z00_1349))
{ /* Llib/tvector.scm 211 */
BgL_res1597z00_1046 = BgL_aux1706z00_1349; }  else 
{ /* Llib/tvector.scm 211 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1782z00zz__tvectorz00, BGl_string1716z00zz__tvectorz00, BgL_aux1706z00_1349); 
exit( -1 );} } } 
BgL_auxz00_1821 = BgL_res1597z00_1046; } 
BgL_testz00_1820 = 
(BgL_auxz00_1821==BGl_symbol1717z00zz__tvectorz00); } 
if(BgL_testz00_1820)
{ /* Llib/tvector.scm 211 */
int BgL_auxz00_1832;
BgL_auxz00_1832 = 
(int)(((long)0)); 
BgL_arg1314z00_551 = 
STRUCT_REF(BgL_arg1143z00_1040, BgL_auxz00_1832); }  else 
{ /* Llib/tvector.scm 211 */
BgL_arg1314z00_551 = 
BGl_errorz00zz__errorz00(BGl_string1719z00zz__tvectorz00, BGl_string1718z00zz__tvectorz00, BgL_arg1143z00_1040); } } } 
return 
BGl_errorz00zz__errorz00(BGl_string1783z00zz__tvectorz00, BGl_string1765z00zz__tvectorz00, BgL_arg1314z00_551);} } } } 
}



/* _tvector->vector1611 */
obj_t BGl__tvectorzd2ze3vector1611z31zz__tvectorz00(obj_t BgL_envz00_1247, obj_t BgL_tvz00_1248)
{ AN_OBJECT;
{ /* Llib/tvector.scm 204 */
{ /* Llib/tvector.scm 205 */
obj_t BgL_auxz00_1837;
if(
TVECTORP(BgL_tvz00_1248))
{ /* Llib/tvector.scm 205 */
BgL_auxz00_1837 = BgL_tvz00_1248
; }  else 
{ /* Llib/tvector.scm 205 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1791z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_tvz00_1248); 
exit( -1 );} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_1837);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)42697480), 
BSTRING_TO_STRING(BGl_string1793z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)169825269), 
BSTRING_TO_STRING(BGl_string1793z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)484239619), 
BSTRING_TO_STRING(BGl_string1793z00zz__tvectorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)216816546), 
BSTRING_TO_STRING(BGl_string1793z00zz__tvectorz00));} 
}

#ifdef __cplusplus
}
#endif
