/*===========================================================================*/
/*   (Llib/weakhash.scm)                                                     */
/*   Bigloo (3.0c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 11 11:07:30 CET 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0c -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Llib/weakhash.scm -indent -o objs/obj_u/Llib/weakhash.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	static obj_t BGl__weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__weakhashz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t make_weakptr(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__weakhashz00();
	static obj_t BGl_zc3anonymousza31779ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_removestopz00zz__weakhashz00 = BUNSPEC;
	extern long BGl_hashtablezd2siza7ez75zz__hashz00(obj_t);
	static obj_t BGl__weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31783ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl_keepgoingz00zz__weakhashz00 = BUNSPEC;
	static obj_t BGl__weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31800ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31863ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__weakhashz00 = BUNSPEC;
	extern obj_t make_vector(int, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t);
	extern long BGl_getzd2hashnumberzd2zz__hashz00(obj_t);
	extern bool_t BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00(obj_t);
	static obj_t BGl__weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t);
	static obj_t BGl_zc3anonymousza31806ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31871ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t, obj_t);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t, obj_t);
	extern obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, int);
	static obj_t BGl__weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31759ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2getz00zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__weakhashz00();
	extern bool_t BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00(obj_t);
	static obj_t BGl_zc3anonymousza31837ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31766ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_traversezd2bucketszd2zz__weakhashz00(obj_t, obj_t, long,
		obj_t);
	static obj_t BGl_zc3anonymousza31768ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_traversezd2hashzd2zz__weakhashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl__weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t);
	static obj_t BGl_removez00zz__weakhashz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_weakzd2hashtablezd2getz00zz__weakhashz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__weakhashz00();
	extern obj_t weakptr_data(obj_t);
	static obj_t BGl__weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2keyzd2listzd2envz00zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2196za7,
		BGl__weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2getzd2envzd2zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2197za7,
		BGl__weakzd2hashtablezd2getz00zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2forzd2eachzd2envz00zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2198za7,
		BGl__weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2expandz12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2199za7,
		BGl__weakzd2hashtablezd2expandz12z12zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2updatez12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2200za7,
		BGl__weakzd2hashtablezd2updatez12z12zz__weakhashz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2ze3listzd2envz31zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2201za7,
		BGl__weakzd2hashtablezd2ze3listze3zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2mapzd2envzd2zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2202za7,
		BGl__weakzd2hashtablezd2mapz00zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2ze3vectorzd2envz31zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2203za7,
		BGl__weakzd2hashtablezd2ze3vectorze3zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2containszf3zd2envz21zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2204za7,
		BGl__weakzd2hashtablezd2containszf3zf3zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2removez12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2205za7,
		BGl__weakzd2hashtablezd2removez12z12zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2filterz12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2206za7,
		BGl__weakzd2hashtablezd2filterz12z12zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2putz12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2207za7,
		BGl__weakzd2hashtablezd2putz12z12zz__weakhashz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2195z00zz__weakhashz00,
		BgL_bgl_string2195za700za7za7_2208za7, "__weakhash", 10);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__weakhashz00(long
		BgL_checksumz00_2921, char *BgL_fromz00_2922)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__weakhashz00))
				{
					BGl_requirezd2initializa7ationz75zz__weakhashz00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__weakhashz00();
					BGl_toplevelzd2initzd2zz__weakhashz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__weakhashz00()
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 18 */
			BGl_keepgoingz00zz__weakhashz00 = MAKE_PAIR(BUNSPEC, BUNSPEC);
			BGl_removez00zz__weakhashz00 = MAKE_PAIR(BUNSPEC, BUNSPEC);
			return (BGl_removestopz00zz__weakhashz00 =
				MAKE_PAIR(BUNSPEC, BUNSPEC), BUNSPEC);
		}
	}



/* traverse-buckets */
	obj_t BGl_traversezd2bucketszd2zz__weakhashz00(obj_t BgL_tablez00_37,
		obj_t BgL_bucketsz00_38, long BgL_iz00_39, obj_t BgL_funz00_40)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 127 */
			if (
				(((long) 1) ==
					(long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 5))))))
				{	/* Llib/weakhash.scm 134 */
					obj_t BgL_g1587z00_720;

					BgL_g1587z00_720 = VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
					{
						obj_t BgL_bucketz00_721;
						obj_t BgL_lastzd2bucketzd2_722;

						BgL_bucketz00_721 = BgL_g1587z00_720;
						BgL_lastzd2bucketzd2_722 = BFALSE;
					BgL_liipz00_723:
						if (NULLP(BgL_bucketz00_721))
							{	/* Llib/weakhash.scm 134 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
						else
							{	/* Llib/weakhash.scm 136 */
								obj_t BgL_retz00_725;

								{	/* Llib/weakhash.scm 136 */
									obj_t BgL_keyz00_731;

									{	/* Llib/weakhash.scm 136 */
										obj_t BgL_arg1671z00_734;

										{	/* Llib/weakhash.scm 136 */
											obj_t BgL_pairz00_1627;

											BgL_pairz00_1627 = BgL_bucketz00_721;
											BgL_arg1671z00_734 = CAR(CAR(BgL_pairz00_1627));
										}
										BgL_keyz00_731 = weakptr_data(BgL_arg1671z00_734);
									}
									if ((BgL_keyz00_731 == BUNSPEC))
										{	/* Llib/weakhash.scm 137 */
											BgL_retz00_725 = BGl_removez00zz__weakhashz00;
										}
									else
										{	/* Llib/weakhash.scm 139 */
											obj_t BgL_arg1670z00_733;

											{	/* Llib/weakhash.scm 139 */
												obj_t BgL_pairz00_1632;

												BgL_pairz00_1632 = BgL_bucketz00_721;
												BgL_arg1670z00_733 = CDR(CAR(BgL_pairz00_1632));
											}
											BgL_retz00_725 =
												PROCEDURE_L_ENTRY(BgL_funz00_40) (BgL_funz00_40,
												BgL_keyz00_731, BgL_arg1670z00_733, BgL_bucketz00_721);
										}
								}
								if ((BgL_retz00_725 == BGl_keepgoingz00zz__weakhashz00))
									{
										obj_t BgL_lastzd2bucketzd2_2953;
										obj_t BgL_bucketz00_2951;

										BgL_bucketz00_2951 = CDR(BgL_bucketz00_721);
										BgL_lastzd2bucketzd2_2953 = BgL_bucketz00_721;
										BgL_lastzd2bucketzd2_722 = BgL_lastzd2bucketzd2_2953;
										BgL_bucketz00_721 = BgL_bucketz00_2951;
										goto BgL_liipz00_723;
									}
								else
									{	/* Llib/weakhash.scm 134 */
										if ((BgL_retz00_725 == BGl_removez00zz__weakhashz00))
											{	/* Llib/weakhash.scm 134 */
												{	/* Llib/weakhash.scm 134 */
													long BgL_arg1657z00_1642;

													BgL_arg1657z00_1642 =
														(
														(long) CINT(STRUCT_REF(BgL_tablez00_37,
																(int) (((long) 0)))) - ((long) 1));
													{	/* Llib/weakhash.scm 134 */
														obj_t BgL_auxz00_2962;
														int BgL_auxz00_2960;

														BgL_auxz00_2962 = BINT(BgL_arg1657z00_1642);
														BgL_auxz00_2960 = (int) (((long) 0));
														STRUCT_SET(BgL_tablez00_37, BgL_auxz00_2960,
															BgL_auxz00_2962);
												}}
												if (CBOOL(BgL_lastzd2bucketzd2_722))
													{	/* Llib/weakhash.scm 134 */
														obj_t BgL_auxz00_2967;

														BgL_auxz00_2967 = CDR(BgL_bucketz00_721);
														SET_CDR(BgL_lastzd2bucketzd2_722, BgL_auxz00_2967);
													}
												else
													{	/* Llib/weakhash.scm 134 */
														VECTOR_SET(BgL_bucketsz00_38,
															(int) (BgL_iz00_39), CDR(BgL_bucketz00_721));
													} BGl_keepgoingz00zz__weakhashz00;
												{
													obj_t BgL_bucketz00_2973;

													BgL_bucketz00_2973 = CDR(BgL_bucketz00_721);
													BgL_bucketz00_721 = BgL_bucketz00_2973;
													goto BgL_liipz00_723;
												}
											}
										else
											{	/* Llib/weakhash.scm 134 */
												if (
													(BgL_retz00_725 == BGl_removestopz00zz__weakhashz00))
													{	/* Llib/weakhash.scm 134 */
														{	/* Llib/weakhash.scm 134 */
															long BgL_arg1657z00_1670;

															BgL_arg1657z00_1670 =
																(
																(long) CINT(STRUCT_REF(BgL_tablez00_37,
																		(int) (((long) 0)))) - ((long) 1));
															{	/* Llib/weakhash.scm 134 */
																obj_t BgL_auxz00_2983;
																int BgL_auxz00_2981;

																BgL_auxz00_2983 = BINT(BgL_arg1657z00_1670);
																BgL_auxz00_2981 = (int) (((long) 0));
																STRUCT_SET(BgL_tablez00_37, BgL_auxz00_2981,
																	BgL_auxz00_2983);
														}}
														if (CBOOL(BgL_lastzd2bucketzd2_722))
															{	/* Llib/weakhash.scm 134 */
																obj_t BgL_auxz00_2988;

																BgL_auxz00_2988 = CDR(BgL_bucketz00_721);
																SET_CDR(BgL_lastzd2bucketzd2_722,
																	BgL_auxz00_2988);
															}
														else
															{	/* Llib/weakhash.scm 134 */
																VECTOR_SET(BgL_bucketsz00_38,
																	(int) (BgL_iz00_39), CDR(BgL_bucketz00_721));
															}
														return BGl_keepgoingz00zz__weakhashz00;
													}
												else
													{	/* Llib/weakhash.scm 134 */
														return BgL_retz00_725;
													}
											}
									}
							}
					}
				}
			else
				{	/* Llib/weakhash.scm 134 */
					if (
						(((long) 2) ==
							(long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 5))))))
						{	/* Llib/weakhash.scm 140 */
							obj_t BgL_g1588z00_736;

							BgL_g1588z00_736 =
								VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
							{
								obj_t BgL_bucketz00_737;
								obj_t BgL_lastzd2bucketzd2_738;

								BgL_bucketz00_737 = BgL_g1588z00_736;
								BgL_lastzd2bucketzd2_738 = BFALSE;
							BgL_liipz00_739:
								if (NULLP(BgL_bucketz00_737))
									{	/* Llib/weakhash.scm 140 */
										return BGl_keepgoingz00zz__weakhashz00;
									}
								else
									{	/* Llib/weakhash.scm 142 */
										obj_t BgL_retz00_741;

										{	/* Llib/weakhash.scm 142 */
											obj_t BgL_dataz00_747;

											{	/* Llib/weakhash.scm 142 */
												obj_t BgL_arg1683z00_750;

												{	/* Llib/weakhash.scm 142 */
													obj_t BgL_pairz00_1700;

													BgL_pairz00_1700 = BgL_bucketz00_737;
													BgL_arg1683z00_750 = CDR(CAR(BgL_pairz00_1700));
												}
												BgL_dataz00_747 = weakptr_data(BgL_arg1683z00_750);
											}
											if ((BgL_dataz00_747 == BUNSPEC))
												{	/* Llib/weakhash.scm 143 */
													BgL_retz00_741 = BGl_removez00zz__weakhashz00;
												}
											else
												{	/* Llib/weakhash.scm 145 */
													obj_t BgL_arg1682z00_749;

													{	/* Llib/weakhash.scm 145 */
														obj_t BgL_pairz00_1705;

														BgL_pairz00_1705 = BgL_bucketz00_737;
														BgL_arg1682z00_749 = CAR(CAR(BgL_pairz00_1705));
													}
													BgL_retz00_741 =
														PROCEDURE_L_ENTRY(BgL_funz00_40) (BgL_funz00_40,
														BgL_arg1682z00_749, BgL_dataz00_747,
														BgL_bucketz00_737);
												}
										}
										if ((BgL_retz00_741 == BGl_keepgoingz00zz__weakhashz00))
											{
												obj_t BgL_lastzd2bucketzd2_3016;
												obj_t BgL_bucketz00_3014;

												BgL_bucketz00_3014 = CDR(BgL_bucketz00_737);
												BgL_lastzd2bucketzd2_3016 = BgL_bucketz00_737;
												BgL_lastzd2bucketzd2_738 = BgL_lastzd2bucketzd2_3016;
												BgL_bucketz00_737 = BgL_bucketz00_3014;
												goto BgL_liipz00_739;
											}
										else
											{	/* Llib/weakhash.scm 140 */
												if ((BgL_retz00_741 == BGl_removez00zz__weakhashz00))
													{	/* Llib/weakhash.scm 140 */
														{	/* Llib/weakhash.scm 140 */
															long BgL_arg1657z00_1715;

															BgL_arg1657z00_1715 =
																(
																(long) CINT(STRUCT_REF(BgL_tablez00_37,
																		(int) (((long) 0)))) - ((long) 1));
															{	/* Llib/weakhash.scm 140 */
																obj_t BgL_auxz00_3025;
																int BgL_auxz00_3023;

																BgL_auxz00_3025 = BINT(BgL_arg1657z00_1715);
																BgL_auxz00_3023 = (int) (((long) 0));
																STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3023,
																	BgL_auxz00_3025);
														}}
														if (CBOOL(BgL_lastzd2bucketzd2_738))
															{	/* Llib/weakhash.scm 140 */
																obj_t BgL_auxz00_3030;

																BgL_auxz00_3030 = CDR(BgL_bucketz00_737);
																SET_CDR(BgL_lastzd2bucketzd2_738,
																	BgL_auxz00_3030);
															}
														else
															{	/* Llib/weakhash.scm 140 */
																VECTOR_SET(BgL_bucketsz00_38,
																	(int) (BgL_iz00_39), CDR(BgL_bucketz00_737));
															} BGl_keepgoingz00zz__weakhashz00;
														{
															obj_t BgL_bucketz00_3036;

															BgL_bucketz00_3036 = CDR(BgL_bucketz00_737);
															BgL_bucketz00_737 = BgL_bucketz00_3036;
															goto BgL_liipz00_739;
														}
													}
												else
													{	/* Llib/weakhash.scm 140 */
														if (
															(BgL_retz00_741 ==
																BGl_removestopz00zz__weakhashz00))
															{	/* Llib/weakhash.scm 140 */
																{	/* Llib/weakhash.scm 140 */
																	long BgL_arg1657z00_1743;

																	BgL_arg1657z00_1743 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_37,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 140 */
																		obj_t BgL_auxz00_3046;
																		int BgL_auxz00_3044;

																		BgL_auxz00_3046 = BINT(BgL_arg1657z00_1743);
																		BgL_auxz00_3044 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3044,
																			BgL_auxz00_3046);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_738))
																	{	/* Llib/weakhash.scm 140 */
																		obj_t BgL_auxz00_3051;

																		BgL_auxz00_3051 = CDR(BgL_bucketz00_737);
																		SET_CDR(BgL_lastzd2bucketzd2_738,
																			BgL_auxz00_3051);
																	}
																else
																	{	/* Llib/weakhash.scm 140 */
																		VECTOR_SET(BgL_bucketsz00_38,
																			(int) (BgL_iz00_39),
																			CDR(BgL_bucketz00_737));
																	}
																return BGl_keepgoingz00zz__weakhashz00;
															}
														else
															{	/* Llib/weakhash.scm 140 */
																return BgL_retz00_741;
															}
													}
											}
									}
							}
						}
					else
						{	/* Llib/weakhash.scm 140 */
							if (
								(((long) 3) ==
									(long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 5))))))
								{	/* Llib/weakhash.scm 146 */
									obj_t BgL_g1589z00_752;

									BgL_g1589z00_752 =
										VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
									{
										obj_t BgL_bucketz00_753;
										obj_t BgL_lastzd2bucketzd2_754;

										BgL_bucketz00_753 = BgL_g1589z00_752;
										BgL_lastzd2bucketzd2_754 = BFALSE;
									BgL_liipz00_755:
										if (NULLP(BgL_bucketz00_753))
											{	/* Llib/weakhash.scm 146 */
												return BGl_keepgoingz00zz__weakhashz00;
											}
										else
											{	/* Llib/weakhash.scm 148 */
												obj_t BgL_retz00_757;

												{	/* Llib/weakhash.scm 148 */
													obj_t BgL_keyz00_763;
													obj_t BgL_dataz00_764;

													{	/* Llib/weakhash.scm 148 */
														obj_t BgL_arg1693z00_767;

														{	/* Llib/weakhash.scm 148 */
															obj_t BgL_pairz00_1773;

															BgL_pairz00_1773 = BgL_bucketz00_753;
															BgL_arg1693z00_767 = CAR(CAR(BgL_pairz00_1773));
														}
														BgL_keyz00_763 = weakptr_data(BgL_arg1693z00_767);
													}
													{	/* Llib/weakhash.scm 149 */
														obj_t BgL_arg1694z00_768;

														{	/* Llib/weakhash.scm 149 */
															obj_t BgL_pairz00_1778;

															BgL_pairz00_1778 = BgL_bucketz00_753;
															BgL_arg1694z00_768 = CDR(CAR(BgL_pairz00_1778));
														}
														BgL_dataz00_764 = weakptr_data(BgL_arg1694z00_768);
													}
													{	/* Llib/weakhash.scm 150 */
														bool_t BgL_testz00_3072;

														if ((BgL_keyz00_763 == BUNSPEC))
															{	/* Llib/weakhash.scm 150 */
																BgL_testz00_3072 = ((bool_t) 1);
															}
														else
															{	/* Llib/weakhash.scm 150 */
																BgL_testz00_3072 = (BgL_dataz00_764 == BUNSPEC);
															}
														if (BgL_testz00_3072)
															{	/* Llib/weakhash.scm 150 */
																BgL_retz00_757 = BGl_removez00zz__weakhashz00;
															}
														else
															{	/* Llib/weakhash.scm 150 */
																BgL_retz00_757 =
																	PROCEDURE_L_ENTRY(BgL_funz00_40)
																	(BgL_funz00_40, BgL_keyz00_763,
																	BgL_dataz00_764, BgL_bucketz00_753);
															}
													}
												}
												if ((BgL_retz00_757 == BGl_keepgoingz00zz__weakhashz00))
													{
														obj_t BgL_lastzd2bucketzd2_3082;
														obj_t BgL_bucketz00_3080;

														BgL_bucketz00_3080 = CDR(BgL_bucketz00_753);
														BgL_lastzd2bucketzd2_3082 = BgL_bucketz00_753;
														BgL_lastzd2bucketzd2_754 =
															BgL_lastzd2bucketzd2_3082;
														BgL_bucketz00_753 = BgL_bucketz00_3080;
														goto BgL_liipz00_755;
													}
												else
													{	/* Llib/weakhash.scm 146 */
														if (
															(BgL_retz00_757 == BGl_removez00zz__weakhashz00))
															{	/* Llib/weakhash.scm 146 */
																{	/* Llib/weakhash.scm 146 */
																	long BgL_arg1657z00_1789;

																	BgL_arg1657z00_1789 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_37,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3091;
																		int BgL_auxz00_3089;

																		BgL_auxz00_3091 = BINT(BgL_arg1657z00_1789);
																		BgL_auxz00_3089 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3089,
																			BgL_auxz00_3091);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_754))
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3096;

																		BgL_auxz00_3096 = CDR(BgL_bucketz00_753);
																		SET_CDR(BgL_lastzd2bucketzd2_754,
																			BgL_auxz00_3096);
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		VECTOR_SET(BgL_bucketsz00_38,
																			(int) (BgL_iz00_39),
																			CDR(BgL_bucketz00_753));
																	} BGl_keepgoingz00zz__weakhashz00;
																{
																	obj_t BgL_bucketz00_3102;

																	BgL_bucketz00_3102 = CDR(BgL_bucketz00_753);
																	BgL_bucketz00_753 = BgL_bucketz00_3102;
																	goto BgL_liipz00_755;
																}
															}
														else
															{	/* Llib/weakhash.scm 146 */
																if (
																	(BgL_retz00_757 ==
																		BGl_removestopz00zz__weakhashz00))
																	{	/* Llib/weakhash.scm 146 */
																		{	/* Llib/weakhash.scm 146 */
																			long BgL_arg1657z00_1817;

																			BgL_arg1657z00_1817 =
																				(
																				(long) CINT(STRUCT_REF(BgL_tablez00_37,
																						(int) (((long) 0)))) - ((long) 1));
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3112;
																				int BgL_auxz00_3110;

																				BgL_auxz00_3112 =
																					BINT(BgL_arg1657z00_1817);
																				BgL_auxz00_3110 = (int) (((long) 0));
																				STRUCT_SET(BgL_tablez00_37,
																					BgL_auxz00_3110, BgL_auxz00_3112);
																		}}
																		if (CBOOL(BgL_lastzd2bucketzd2_754))
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3117;

																				BgL_auxz00_3117 =
																					CDR(BgL_bucketz00_753);
																				SET_CDR(BgL_lastzd2bucketzd2_754,
																					BgL_auxz00_3117);
																			}
																		else
																			{	/* Llib/weakhash.scm 146 */
																				VECTOR_SET(BgL_bucketsz00_38,
																					(int) (BgL_iz00_39),
																					CDR(BgL_bucketz00_753));
																			}
																		return BGl_keepgoingz00zz__weakhashz00;
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		return BgL_retz00_757;
																	}
															}
													}
											}
									}
								}
							else
								{	/* Llib/weakhash.scm 146 */
									obj_t BgL_g1590z00_769;

									BgL_g1590z00_769 =
										VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
									{
										obj_t BgL_bucketz00_770;
										obj_t BgL_lastzd2bucketzd2_771;

										BgL_bucketz00_770 = BgL_g1590z00_769;
										BgL_lastzd2bucketzd2_771 = BFALSE;
									BgL_liipz00_772:
										if (NULLP(BgL_bucketz00_770))
											{	/* Llib/weakhash.scm 146 */
												return BGl_keepgoingz00zz__weakhashz00;
											}
										else
											{	/* Llib/weakhash.scm 156 */
												obj_t BgL_retz00_774;

												{	/* Llib/weakhash.scm 156 */
													obj_t BgL_arg1701z00_780;
													obj_t BgL_arg1702z00_781;

													{	/* Llib/weakhash.scm 156 */
														obj_t BgL_pairz00_1842;

														BgL_pairz00_1842 = BgL_bucketz00_770;
														BgL_arg1701z00_780 = CAR(CAR(BgL_pairz00_1842));
													}
													{	/* Llib/weakhash.scm 156 */
														obj_t BgL_pairz00_1846;

														BgL_pairz00_1846 = BgL_bucketz00_770;
														BgL_arg1702z00_781 = CDR(CAR(BgL_pairz00_1846));
													}
													BgL_retz00_774 =
														PROCEDURE_L_ENTRY(BgL_funz00_40) (BgL_funz00_40,
														BgL_arg1701z00_780, BgL_arg1702z00_781,
														BgL_bucketz00_770);
												}
												if ((BgL_retz00_774 == BGl_keepgoingz00zz__weakhashz00))
													{
														obj_t BgL_lastzd2bucketzd2_3137;
														obj_t BgL_bucketz00_3135;

														BgL_bucketz00_3135 = CDR(BgL_bucketz00_770);
														BgL_lastzd2bucketzd2_3137 = BgL_bucketz00_770;
														BgL_lastzd2bucketzd2_771 =
															BgL_lastzd2bucketzd2_3137;
														BgL_bucketz00_770 = BgL_bucketz00_3135;
														goto BgL_liipz00_772;
													}
												else
													{	/* Llib/weakhash.scm 146 */
														if (
															(BgL_retz00_774 == BGl_removez00zz__weakhashz00))
															{	/* Llib/weakhash.scm 146 */
																{	/* Llib/weakhash.scm 146 */
																	long BgL_arg1657z00_1856;

																	BgL_arg1657z00_1856 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_37,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3146;
																		int BgL_auxz00_3144;

																		BgL_auxz00_3146 = BINT(BgL_arg1657z00_1856);
																		BgL_auxz00_3144 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3144,
																			BgL_auxz00_3146);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_771))
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3151;

																		BgL_auxz00_3151 = CDR(BgL_bucketz00_770);
																		SET_CDR(BgL_lastzd2bucketzd2_771,
																			BgL_auxz00_3151);
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		VECTOR_SET(BgL_bucketsz00_38,
																			(int) (BgL_iz00_39),
																			CDR(BgL_bucketz00_770));
																	} BGl_keepgoingz00zz__weakhashz00;
																{
																	obj_t BgL_bucketz00_3157;

																	BgL_bucketz00_3157 = CDR(BgL_bucketz00_770);
																	BgL_bucketz00_770 = BgL_bucketz00_3157;
																	goto BgL_liipz00_772;
																}
															}
														else
															{	/* Llib/weakhash.scm 146 */
																if (
																	(BgL_retz00_774 ==
																		BGl_removestopz00zz__weakhashz00))
																	{	/* Llib/weakhash.scm 146 */
																		{	/* Llib/weakhash.scm 146 */
																			long BgL_arg1657z00_1884;

																			BgL_arg1657z00_1884 =
																				(
																				(long) CINT(STRUCT_REF(BgL_tablez00_37,
																						(int) (((long) 0)))) - ((long) 1));
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3167;
																				int BgL_auxz00_3165;

																				BgL_auxz00_3167 =
																					BINT(BgL_arg1657z00_1884);
																				BgL_auxz00_3165 = (int) (((long) 0));
																				STRUCT_SET(BgL_tablez00_37,
																					BgL_auxz00_3165, BgL_auxz00_3167);
																		}}
																		if (CBOOL(BgL_lastzd2bucketzd2_771))
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3172;

																				BgL_auxz00_3172 =
																					CDR(BgL_bucketz00_770);
																				SET_CDR(BgL_lastzd2bucketzd2_771,
																					BgL_auxz00_3172);
																			}
																		else
																			{	/* Llib/weakhash.scm 146 */
																				VECTOR_SET(BgL_bucketsz00_38,
																					(int) (BgL_iz00_39),
																					CDR(BgL_bucketz00_770));
																			}
																		return BGl_keepgoingz00zz__weakhashz00;
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		return BgL_retz00_774;
																	}
															}
													}
											}
									}
								}
						}
				}
		}
	}



/* traverse-hash */
	bool_t BGl_traversezd2hashzd2zz__weakhashz00(obj_t BgL_tablez00_41,
		obj_t BgL_funz00_42)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 169 */
			if (
				(((long) 1) ==
					(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 5))))))
				{	/* Llib/weakhash.scm 179 */
					obj_t BgL_bucketsz00_789;

					BgL_bucketsz00_789 = STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
					{	/* Llib/weakhash.scm 179 */
						int BgL_bucketszd2lenzd2_790;

						BgL_bucketszd2lenzd2_790 = VECTOR_LENGTH(BgL_bucketsz00_789);
						{	/* Llib/weakhash.scm 179 */

							{
								long BgL_iz00_791;

								BgL_iz00_791 = ((long) 0);
							BgL_loopz00_792:
								if ((BgL_iz00_791 == (long) (BgL_bucketszd2lenzd2_790)))
									{	/* Llib/weakhash.scm 179 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/weakhash.scm 179 */
										{	/* Llib/weakhash.scm 179 */
											obj_t BgL_g1591z00_794;

											BgL_g1591z00_794 =
												VECTOR_REF(BgL_bucketsz00_789, (int) (BgL_iz00_791));
											{
												obj_t BgL_bucketz00_795;
												obj_t BgL_lastzd2bucketzd2_796;

												BgL_bucketz00_795 = BgL_g1591z00_794;
												BgL_lastzd2bucketzd2_796 = BFALSE;
											BgL_liipz00_797:
												if (NULLP(BgL_bucketz00_795))
													{	/* Llib/weakhash.scm 179 */
														((bool_t) 0);
													}
												else
													{	/* Llib/weakhash.scm 181 */
														obj_t BgL_retz00_799;

														{	/* Llib/weakhash.scm 181 */
															obj_t BgL_keyz00_803;

															{	/* Llib/weakhash.scm 181 */
																obj_t BgL_arg1721z00_806;

																{	/* Llib/weakhash.scm 181 */
																	obj_t BgL_pairz00_1920;

																	BgL_pairz00_1920 = BgL_bucketz00_795;
																	BgL_arg1721z00_806 =
																		CAR(CAR(BgL_pairz00_1920));
																}
																BgL_keyz00_803 =
																	weakptr_data(BgL_arg1721z00_806);
															}
															if ((BgL_keyz00_803 == BUNSPEC))
																{	/* Llib/weakhash.scm 182 */
																	BgL_retz00_799 = BGl_removez00zz__weakhashz00;
																}
															else
																{	/* Llib/weakhash.scm 184 */
																	obj_t BgL_arg1720z00_805;

																	{	/* Llib/weakhash.scm 184 */
																		obj_t BgL_pairz00_1925;

																		BgL_pairz00_1925 = BgL_bucketz00_795;
																		BgL_arg1720z00_805 =
																			CDR(CAR(BgL_pairz00_1925));
																	}
																	BgL_retz00_799 =
																		PROCEDURE_ENTRY(BgL_funz00_42)
																		(BgL_funz00_42, BgL_keyz00_803,
																		BgL_arg1720z00_805, BEOA);
																}
														}
														if (
															(BgL_retz00_799 == BGl_removez00zz__weakhashz00))
															{	/* Llib/weakhash.scm 179 */
																{	/* Llib/weakhash.scm 179 */
																	long BgL_arg1657z00_1934;

																	BgL_arg1657z00_1934 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_41,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 179 */
																		obj_t BgL_auxz00_3210;
																		int BgL_auxz00_3208;

																		BgL_auxz00_3210 = BINT(BgL_arg1657z00_1934);
																		BgL_auxz00_3208 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_41, BgL_auxz00_3208,
																			BgL_auxz00_3210);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_796))
																	{	/* Llib/weakhash.scm 179 */
																		obj_t BgL_auxz00_3215;

																		BgL_auxz00_3215 = CDR(BgL_bucketz00_795);
																		SET_CDR(BgL_lastzd2bucketzd2_796,
																			BgL_auxz00_3215);
																	}
																else
																	{	/* Llib/weakhash.scm 179 */
																		VECTOR_SET(BgL_bucketsz00_789,
																			(int) (BgL_iz00_791),
																			CDR(BgL_bucketz00_795));
																	} BGl_keepgoingz00zz__weakhashz00;
																{
																	obj_t BgL_bucketz00_3221;

																	BgL_bucketz00_3221 = CDR(BgL_bucketz00_795);
																	BgL_bucketz00_795 = BgL_bucketz00_3221;
																	goto BgL_liipz00_797;
																}
															}
														else
															{
																obj_t BgL_lastzd2bucketzd2_3225;
																obj_t BgL_bucketz00_3223;

																BgL_bucketz00_3223 = CDR(BgL_bucketz00_795);
																BgL_lastzd2bucketzd2_3225 = BgL_bucketz00_795;
																BgL_lastzd2bucketzd2_796 =
																	BgL_lastzd2bucketzd2_3225;
																BgL_bucketz00_795 = BgL_bucketz00_3223;
																goto BgL_liipz00_797;
															}
													}
											}
										}
										{
											long BgL_iz00_3226;

											BgL_iz00_3226 = (BgL_iz00_791 + ((long) 1));
											BgL_iz00_791 = BgL_iz00_3226;
											goto BgL_loopz00_792;
										}
									}
							}
						}
					}
				}
			else
				{	/* Llib/weakhash.scm 179 */
					if (
						(((long) 2) ==
							(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 5))))))
						{	/* Llib/weakhash.scm 185 */
							obj_t BgL_bucketsz00_809;

							BgL_bucketsz00_809 =
								STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
							{	/* Llib/weakhash.scm 185 */
								int BgL_bucketszd2lenzd2_810;

								BgL_bucketszd2lenzd2_810 = VECTOR_LENGTH(BgL_bucketsz00_809);
								{	/* Llib/weakhash.scm 185 */

									{
										long BgL_iz00_811;

										BgL_iz00_811 = ((long) 0);
									BgL_loopz00_812:
										if ((BgL_iz00_811 == (long) (BgL_bucketszd2lenzd2_810)))
											{	/* Llib/weakhash.scm 185 */
												return ((bool_t) 0);
											}
										else
											{	/* Llib/weakhash.scm 185 */
												{	/* Llib/weakhash.scm 185 */
													obj_t BgL_g1592z00_814;

													BgL_g1592z00_814 =
														VECTOR_REF(BgL_bucketsz00_809,
														(int) (BgL_iz00_811));
													{
														obj_t BgL_bucketz00_815;
														obj_t BgL_lastzd2bucketzd2_816;

														BgL_bucketz00_815 = BgL_g1592z00_814;
														BgL_lastzd2bucketzd2_816 = BFALSE;
													BgL_liipz00_817:
														if (NULLP(BgL_bucketz00_815))
															{	/* Llib/weakhash.scm 185 */
																((bool_t) 0);
															}
														else
															{	/* Llib/weakhash.scm 187 */
																obj_t BgL_retz00_819;

																{	/* Llib/weakhash.scm 187 */
																	obj_t BgL_dataz00_823;

																	{	/* Llib/weakhash.scm 187 */
																		obj_t BgL_arg1731z00_826;

																		{	/* Llib/weakhash.scm 187 */
																			obj_t BgL_pairz00_1974;

																			BgL_pairz00_1974 = BgL_bucketz00_815;
																			BgL_arg1731z00_826 =
																				CDR(CAR(BgL_pairz00_1974));
																		}
																		BgL_dataz00_823 =
																			weakptr_data(BgL_arg1731z00_826);
																	}
																	if ((BgL_dataz00_823 == BUNSPEC))
																		{	/* Llib/weakhash.scm 188 */
																			BgL_retz00_819 =
																				BGl_removez00zz__weakhashz00;
																		}
																	else
																		{	/* Llib/weakhash.scm 190 */
																			obj_t BgL_arg1730z00_825;

																			{	/* Llib/weakhash.scm 190 */
																				obj_t BgL_pairz00_1979;

																				BgL_pairz00_1979 = BgL_bucketz00_815;
																				BgL_arg1730z00_825 =
																					CAR(CAR(BgL_pairz00_1979));
																			}
																			BgL_retz00_819 =
																				PROCEDURE_ENTRY(BgL_funz00_42)
																				(BgL_funz00_42, BgL_arg1730z00_825,
																				BgL_dataz00_823, BEOA);
																		}
																}
																if (
																	(BgL_retz00_819 ==
																		BGl_removez00zz__weakhashz00))
																	{	/* Llib/weakhash.scm 185 */
																		{	/* Llib/weakhash.scm 185 */
																			long BgL_arg1657z00_1988;

																			BgL_arg1657z00_1988 =
																				(
																				(long) CINT(STRUCT_REF(BgL_tablez00_41,
																						(int) (((long) 0)))) - ((long) 1));
																			{	/* Llib/weakhash.scm 185 */
																				obj_t BgL_auxz00_3260;
																				int BgL_auxz00_3258;

																				BgL_auxz00_3260 =
																					BINT(BgL_arg1657z00_1988);
																				BgL_auxz00_3258 = (int) (((long) 0));
																				STRUCT_SET(BgL_tablez00_41,
																					BgL_auxz00_3258, BgL_auxz00_3260);
																		}}
																		if (CBOOL(BgL_lastzd2bucketzd2_816))
																			{	/* Llib/weakhash.scm 185 */
																				obj_t BgL_auxz00_3265;

																				BgL_auxz00_3265 =
																					CDR(BgL_bucketz00_815);
																				SET_CDR(BgL_lastzd2bucketzd2_816,
																					BgL_auxz00_3265);
																			}
																		else
																			{	/* Llib/weakhash.scm 185 */
																				VECTOR_SET(BgL_bucketsz00_809,
																					(int) (BgL_iz00_811),
																					CDR(BgL_bucketz00_815));
																			} BGl_keepgoingz00zz__weakhashz00;
																		{
																			obj_t BgL_bucketz00_3271;

																			BgL_bucketz00_3271 =
																				CDR(BgL_bucketz00_815);
																			BgL_bucketz00_815 = BgL_bucketz00_3271;
																			goto BgL_liipz00_817;
																		}
																	}
																else
																	{
																		obj_t BgL_lastzd2bucketzd2_3275;
																		obj_t BgL_bucketz00_3273;

																		BgL_bucketz00_3273 = CDR(BgL_bucketz00_815);
																		BgL_lastzd2bucketzd2_3275 =
																			BgL_bucketz00_815;
																		BgL_lastzd2bucketzd2_816 =
																			BgL_lastzd2bucketzd2_3275;
																		BgL_bucketz00_815 = BgL_bucketz00_3273;
																		goto BgL_liipz00_817;
																	}
															}
													}
												}
												{
													long BgL_iz00_3276;

													BgL_iz00_3276 = (BgL_iz00_811 + ((long) 1));
													BgL_iz00_811 = BgL_iz00_3276;
													goto BgL_loopz00_812;
												}
											}
									}
								}
							}
						}
					else
						{	/* Llib/weakhash.scm 185 */
							if (
								(((long) 3) ==
									(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 5))))))
								{	/* Llib/weakhash.scm 191 */
									obj_t BgL_bucketsz00_829;

									BgL_bucketsz00_829 =
										STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 191 */
										int BgL_bucketszd2lenzd2_830;

										BgL_bucketszd2lenzd2_830 =
											VECTOR_LENGTH(BgL_bucketsz00_829);
										{	/* Llib/weakhash.scm 191 */

											{
												long BgL_iz00_831;

												BgL_iz00_831 = ((long) 0);
											BgL_loopz00_832:
												if ((BgL_iz00_831 == (long) (BgL_bucketszd2lenzd2_830)))
													{	/* Llib/weakhash.scm 191 */
														return ((bool_t) 0);
													}
												else
													{	/* Llib/weakhash.scm 191 */
														{	/* Llib/weakhash.scm 191 */
															obj_t BgL_g1593z00_834;

															BgL_g1593z00_834 =
																VECTOR_REF(BgL_bucketsz00_829,
																(int) (BgL_iz00_831));
															{
																obj_t BgL_bucketz00_835;
																obj_t BgL_lastzd2bucketzd2_836;

																BgL_bucketz00_835 = BgL_g1593z00_834;
																BgL_lastzd2bucketzd2_836 = BFALSE;
															BgL_liipz00_837:
																if (NULLP(BgL_bucketz00_835))
																	{	/* Llib/weakhash.scm 191 */
																		((bool_t) 0);
																	}
																else
																	{	/* Llib/weakhash.scm 193 */
																		obj_t BgL_retz00_839;

																		{	/* Llib/weakhash.scm 193 */
																			obj_t BgL_keyz00_843;
																			obj_t BgL_dataz00_844;

																			{	/* Llib/weakhash.scm 193 */
																				obj_t BgL_arg1741z00_847;

																				{	/* Llib/weakhash.scm 193 */
																					obj_t BgL_pairz00_2028;

																					BgL_pairz00_2028 = BgL_bucketz00_835;
																					BgL_arg1741z00_847 =
																						CAR(CAR(BgL_pairz00_2028));
																				}
																				BgL_keyz00_843 =
																					weakptr_data(BgL_arg1741z00_847);
																			}
																			{	/* Llib/weakhash.scm 194 */
																				obj_t BgL_arg1742z00_848;

																				{	/* Llib/weakhash.scm 194 */
																					obj_t BgL_pairz00_2033;

																					BgL_pairz00_2033 = BgL_bucketz00_835;
																					BgL_arg1742z00_848 =
																						CDR(CAR(BgL_pairz00_2033));
																				}
																				BgL_dataz00_844 =
																					weakptr_data(BgL_arg1742z00_848);
																			}
																			{	/* Llib/weakhash.scm 195 */
																				bool_t BgL_testz00_3299;

																				if ((BgL_keyz00_843 == BUNSPEC))
																					{	/* Llib/weakhash.scm 195 */
																						BgL_testz00_3299 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/weakhash.scm 195 */
																						BgL_testz00_3299 =
																							(BgL_dataz00_844 == BUNSPEC);
																					}
																				if (BgL_testz00_3299)
																					{	/* Llib/weakhash.scm 195 */
																						BgL_retz00_839 =
																							BGl_removez00zz__weakhashz00;
																					}
																				else
																					{	/* Llib/weakhash.scm 195 */
																						BgL_retz00_839 =
																							PROCEDURE_ENTRY(BgL_funz00_42)
																							(BgL_funz00_42, BgL_keyz00_843,
																							BgL_dataz00_844, BEOA);
																					}
																			}
																		}
																		if (
																			(BgL_retz00_839 ==
																				BGl_removez00zz__weakhashz00))
																			{	/* Llib/weakhash.scm 191 */
																				{	/* Llib/weakhash.scm 191 */
																					long BgL_arg1657z00_2043;

																					BgL_arg1657z00_2043 =
																						(
																						(long)
																						CINT(STRUCT_REF(BgL_tablez00_41,
																								(int) (((long) 0)))) -
																						((long) 1));
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3313;
																						int BgL_auxz00_3311;

																						BgL_auxz00_3313 =
																							BINT(BgL_arg1657z00_2043);
																						BgL_auxz00_3311 =
																							(int) (((long) 0));
																						STRUCT_SET(BgL_tablez00_41,
																							BgL_auxz00_3311, BgL_auxz00_3313);
																				}}
																				if (CBOOL(BgL_lastzd2bucketzd2_836))
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3318;

																						BgL_auxz00_3318 =
																							CDR(BgL_bucketz00_835);
																						SET_CDR(BgL_lastzd2bucketzd2_836,
																							BgL_auxz00_3318);
																					}
																				else
																					{	/* Llib/weakhash.scm 191 */
																						VECTOR_SET(BgL_bucketsz00_829,
																							(int) (BgL_iz00_831),
																							CDR(BgL_bucketz00_835));
																					} BGl_keepgoingz00zz__weakhashz00;
																				{
																					obj_t BgL_bucketz00_3324;

																					BgL_bucketz00_3324 =
																						CDR(BgL_bucketz00_835);
																					BgL_bucketz00_835 =
																						BgL_bucketz00_3324;
																					goto BgL_liipz00_837;
																				}
																			}
																		else
																			{
																				obj_t BgL_lastzd2bucketzd2_3328;
																				obj_t BgL_bucketz00_3326;

																				BgL_bucketz00_3326 =
																					CDR(BgL_bucketz00_835);
																				BgL_lastzd2bucketzd2_3328 =
																					BgL_bucketz00_835;
																				BgL_lastzd2bucketzd2_836 =
																					BgL_lastzd2bucketzd2_3328;
																				BgL_bucketz00_835 = BgL_bucketz00_3326;
																				goto BgL_liipz00_837;
																			}
																	}
															}
														}
														{
															long BgL_iz00_3329;

															BgL_iz00_3329 = (BgL_iz00_831 + ((long) 1));
															BgL_iz00_831 = BgL_iz00_3329;
															goto BgL_loopz00_832;
														}
													}
											}
										}
									}
								}
							else
								{	/* Llib/weakhash.scm 191 */
									obj_t BgL_bucketsz00_850;

									BgL_bucketsz00_850 =
										STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 191 */
										int BgL_bucketszd2lenzd2_851;

										BgL_bucketszd2lenzd2_851 =
											VECTOR_LENGTH(BgL_bucketsz00_850);
										{	/* Llib/weakhash.scm 191 */

											{
												long BgL_iz00_852;

												BgL_iz00_852 = ((long) 0);
											BgL_loopz00_853:
												if ((BgL_iz00_852 == (long) (BgL_bucketszd2lenzd2_851)))
													{	/* Llib/weakhash.scm 191 */
														return ((bool_t) 0);
													}
												else
													{	/* Llib/weakhash.scm 191 */
														{	/* Llib/weakhash.scm 191 */
															obj_t BgL_g1594z00_855;

															BgL_g1594z00_855 =
																VECTOR_REF(BgL_bucketsz00_850,
																(int) (BgL_iz00_852));
															{
																obj_t BgL_bucketz00_856;
																obj_t BgL_lastzd2bucketzd2_857;

																BgL_bucketz00_856 = BgL_g1594z00_855;
																BgL_lastzd2bucketzd2_857 = BFALSE;
															BgL_liipz00_858:
																if (NULLP(BgL_bucketz00_856))
																	{	/* Llib/weakhash.scm 191 */
																		((bool_t) 0);
																	}
																else
																	{	/* Llib/weakhash.scm 201 */
																		obj_t BgL_retz00_860;

																		{	/* Llib/weakhash.scm 201 */
																			obj_t BgL_arg1749z00_864;
																			obj_t BgL_arg1750z00_865;

																			{	/* Llib/weakhash.scm 201 */
																				obj_t BgL_pairz00_2078;

																				BgL_pairz00_2078 = BgL_bucketz00_856;
																				BgL_arg1749z00_864 =
																					CAR(CAR(BgL_pairz00_2078));
																			}
																			{	/* Llib/weakhash.scm 201 */
																				obj_t BgL_pairz00_2082;

																				BgL_pairz00_2082 = BgL_bucketz00_856;
																				BgL_arg1750z00_865 =
																					CDR(CAR(BgL_pairz00_2082));
																			}
																			BgL_retz00_860 =
																				PROCEDURE_ENTRY(BgL_funz00_42)
																				(BgL_funz00_42, BgL_arg1749z00_864,
																				BgL_arg1750z00_865, BEOA);
																		}
																		if (
																			(BgL_retz00_860 ==
																				BGl_removez00zz__weakhashz00))
																			{	/* Llib/weakhash.scm 191 */
																				{	/* Llib/weakhash.scm 191 */
																					long BgL_arg1657z00_2091;

																					BgL_arg1657z00_2091 =
																						(
																						(long)
																						CINT(STRUCT_REF(BgL_tablez00_41,
																								(int) (((long) 0)))) -
																						((long) 1));
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3355;
																						int BgL_auxz00_3353;

																						BgL_auxz00_3355 =
																							BINT(BgL_arg1657z00_2091);
																						BgL_auxz00_3353 =
																							(int) (((long) 0));
																						STRUCT_SET(BgL_tablez00_41,
																							BgL_auxz00_3353, BgL_auxz00_3355);
																				}}
																				if (CBOOL(BgL_lastzd2bucketzd2_857))
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3360;

																						BgL_auxz00_3360 =
																							CDR(BgL_bucketz00_856);
																						SET_CDR(BgL_lastzd2bucketzd2_857,
																							BgL_auxz00_3360);
																					}
																				else
																					{	/* Llib/weakhash.scm 191 */
																						VECTOR_SET(BgL_bucketsz00_850,
																							(int) (BgL_iz00_852),
																							CDR(BgL_bucketz00_856));
																					} BGl_keepgoingz00zz__weakhashz00;
																				{
																					obj_t BgL_bucketz00_3366;

																					BgL_bucketz00_3366 =
																						CDR(BgL_bucketz00_856);
																					BgL_bucketz00_856 =
																						BgL_bucketz00_3366;
																					goto BgL_liipz00_858;
																				}
																			}
																		else
																			{
																				obj_t BgL_lastzd2bucketzd2_3370;
																				obj_t BgL_bucketz00_3368;

																				BgL_bucketz00_3368 =
																					CDR(BgL_bucketz00_856);
																				BgL_lastzd2bucketzd2_3370 =
																					BgL_bucketz00_856;
																				BgL_lastzd2bucketzd2_857 =
																					BgL_lastzd2bucketzd2_3370;
																				BgL_bucketz00_856 = BgL_bucketz00_3368;
																				goto BgL_liipz00_858;
																			}
																	}
															}
														}
														{
															long BgL_iz00_3371;

															BgL_iz00_3371 = (BgL_iz00_852 + ((long) 1));
															BgL_iz00_852 = BgL_iz00_3371;
															goto BgL_loopz00_853;
														}
													}
											}
										}
									}
								}
						}
				}
		}
	}



/* weak-hashtable->vector */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t BgL_tablez00_43)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 213 */
			{	/* Llib/weakhash.scm 214 */
				obj_t BgL_vecz00_873;
				obj_t BgL_wz00_874;

				{	/* Llib/weakhash.scm 214 */
					long BgL_arg1762z00_882;

					BgL_arg1762z00_882 =
						BGl_hashtablezd2siza7ez75zz__hashz00(BgL_tablez00_43);
					BgL_vecz00_873 = make_vector((int) (BgL_arg1762z00_882), BUNSPEC);
				}
				{	/* Llib/weakhash.scm 215 */
					obj_t BgL_cellvalz00_3376;

					BgL_cellvalz00_3376 = BINT(((long) 0));
					BgL_wz00_874 = MAKE_CELL(BgL_cellvalz00_3376);
				}
				{	/* Llib/weakhash.scm 218 */
					obj_t BgL_zc3anonymousza31759ze3z83_2811;

					BgL_zc3anonymousza31759ze3z83_2811 =
						make_fx_procedure(BGl_zc3anonymousza31759ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza31759ze3z83_2811,
						(int) (((long) 0)), BgL_vecz00_873);
					PROCEDURE_SET(BgL_zc3anonymousza31759ze3z83_2811,
						(int) (((long) 1)), BgL_wz00_874);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_43,
						BgL_zc3anonymousza31759ze3z83_2811);
				}
				{	/* Llib/weakhash.scm 220 */
					bool_t BgL_testz00_3386;

					{	/* Llib/weakhash.scm 220 */
						long BgL_arg1761z00_881;

						BgL_arg1761z00_881 =
							BGl_hashtablezd2siza7ez75zz__hashz00(BgL_tablez00_43);
						{	/* Llib/weakhash.scm 220 */
							long BgL_n1z00_2123;

							BgL_n1z00_2123 = (long) CINT(CELL_REF(BgL_wz00_874));
							BgL_testz00_3386 = (BgL_n1z00_2123 < BgL_arg1761z00_881);
					}}
					if (BgL_testz00_3386)
						{	/* Llib/weakhash.scm 220 */
							return
								BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_vecz00_873,
								CINT(CELL_REF(BgL_wz00_874)));
						}
					else
						{	/* Llib/weakhash.scm 220 */
							return BgL_vecz00_873;
						}
				}
			}
		}
	}



/* _weak-hashtable->vector */
	obj_t BGl__weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t
		BgL_envz00_2812, obj_t BgL_tablez00_2813)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 213 */
			return
				BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(BgL_tablez00_2813);
		}
	}



/* <anonymous:1759> */
	obj_t BGl_zc3anonymousza31759ze3z83zz__weakhashz00(obj_t BgL_envz00_2814,
		obj_t BgL_keyz00_2817, obj_t BgL_valz00_2818)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 217 */
			{	/* Llib/weakhash.scm 218 */
				obj_t BgL_vecz00_2815;
				obj_t BgL_wz00_2816;

				BgL_vecz00_2815 = PROCEDURE_REF(BgL_envz00_2814, (int) (((long) 0)));
				BgL_wz00_2816 = PROCEDURE_REF(BgL_envz00_2814, (int) (((long) 1)));
				{
					obj_t BgL_keyz00_876;
					obj_t BgL_valz00_877;

					BgL_keyz00_876 = BgL_keyz00_2817;
					BgL_valz00_877 = BgL_valz00_2818;
					{	/* Llib/weakhash.scm 218 */
						obj_t BgL_vectorz00_2118;
						int BgL_kz00_2119;
						obj_t BgL_objz00_2120;

						BgL_vectorz00_2118 = BgL_vecz00_2815;
						BgL_kz00_2119 = CINT(CELL_REF(BgL_wz00_2816));
						BgL_objz00_2120 = BgL_valz00_877;
						VECTOR_SET(BgL_vectorz00_2118, BgL_kz00_2119, BgL_objz00_2120);
					}
					{	/* Llib/weakhash.scm 219 */
						obj_t BgL_auxz00_2819;

						{	/* Llib/weakhash.scm 219 */
							long BgL_za71za7_2121;

							BgL_za71za7_2121 = (long) CINT(CELL_REF(BgL_wz00_2816));
							BgL_auxz00_2819 = BINT((BgL_za71za7_2121 + ((long) 1)));
						}
						return CELL_SET(BgL_wz00_2816, BgL_auxz00_2819);
					}
				}
			}
		}
	}



/* weak-hashtable->list */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t
		BgL_tablez00_44)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 227 */
			{	/* Llib/weakhash.scm 228 */
				obj_t BgL_resz00_2125;

				BgL_resz00_2125 = MAKE_CELL(BNIL);
				{	/* Llib/weakhash.scm 228 */
					obj_t BgL_zc3anonymousza31766ze3z83_2820;

					BgL_zc3anonymousza31766ze3z83_2820 =
						make_fx_procedure(BGl_zc3anonymousza31766ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31766ze3z83_2820,
						(int) (((long) 0)), BgL_resz00_2125);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_44,
						BgL_zc3anonymousza31766ze3z83_2820);
				}
				return CELL_REF(BgL_resz00_2125);
			}
		}
	}



/* _weak-hashtable->list */
	obj_t BGl__weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t BgL_envz00_2821,
		obj_t BgL_tablez00_2822)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 227 */
			return
				BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(BgL_tablez00_2822);
		}
	}



/* <anonymous:1766> */
	obj_t BGl_zc3anonymousza31766ze3z83zz__weakhashz00(obj_t BgL_envz00_2823,
		obj_t BgL_keyz00_2825, obj_t BgL_valz00_2826)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 230 */
			{	/* Llib/weakhash.scm 228 */
				obj_t BgL_resz00_2824;

				BgL_resz00_2824 = PROCEDURE_REF(BgL_envz00_2823, (int) (((long) 0)));
				{
					obj_t BgL_keyz00_2127;
					obj_t BgL_valz00_2128;

					BgL_keyz00_2127 = BgL_keyz00_2825;
					BgL_valz00_2128 = BgL_valz00_2826;
					{	/* Llib/weakhash.scm 228 */
						obj_t BgL_auxz00_2827;

						BgL_auxz00_2827 =
							MAKE_PAIR(BgL_valz00_2128, CELL_REF(BgL_resz00_2824));
						return CELL_SET(BgL_resz00_2824, BgL_auxz00_2827);
					}
				}
			}
		}
	}



/* weak-hashtable-key-list */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t BgL_tablez00_45)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 237 */
			{	/* Llib/weakhash.scm 238 */
				obj_t BgL_resz00_2129;

				BgL_resz00_2129 = MAKE_CELL(BNIL);
				{	/* Llib/weakhash.scm 238 */
					obj_t BgL_zc3anonymousza31768ze3z83_2828;

					BgL_zc3anonymousza31768ze3z83_2828 =
						make_fx_procedure(BGl_zc3anonymousza31768ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31768ze3z83_2828,
						(int) (((long) 0)), BgL_resz00_2129);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_45,
						BgL_zc3anonymousza31768ze3z83_2828);
				}
				return CELL_REF(BgL_resz00_2129);
			}
		}
	}



/* _weak-hashtable-key-list */
	obj_t BGl__weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t
		BgL_envz00_2829, obj_t BgL_tablez00_2830)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 237 */
			return
				BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(BgL_tablez00_2830);
		}
	}



/* <anonymous:1768> */
	obj_t BGl_zc3anonymousza31768ze3z83zz__weakhashz00(obj_t BgL_envz00_2831,
		obj_t BgL_keyz00_2833, obj_t BgL_valz00_2834)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 240 */
			{	/* Llib/weakhash.scm 238 */
				obj_t BgL_resz00_2832;

				BgL_resz00_2832 = PROCEDURE_REF(BgL_envz00_2831, (int) (((long) 0)));
				{
					obj_t BgL_keyz00_2131;
					obj_t BgL_valz00_2132;

					BgL_keyz00_2131 = BgL_keyz00_2833;
					BgL_valz00_2132 = BgL_valz00_2834;
					{	/* Llib/weakhash.scm 238 */
						obj_t BgL_auxz00_2835;

						BgL_auxz00_2835 =
							MAKE_PAIR(BgL_keyz00_2131, CELL_REF(BgL_resz00_2832));
						return CELL_SET(BgL_resz00_2832, BgL_auxz00_2835);
					}
				}
			}
		}
	}



/* weak-hashtable-map */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t
		BgL_tablez00_47, obj_t BgL_funz00_48)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 264 */
			{	/* Llib/weakhash.scm 265 */
				obj_t BgL_resz00_2133;

				BgL_resz00_2133 = MAKE_CELL(BNIL);
				{	/* Llib/weakhash.scm 265 */
					obj_t BgL_zc3anonymousza31779ze3z83_2836;

					BgL_zc3anonymousza31779ze3z83_2836 =
						make_fx_procedure(BGl_zc3anonymousza31779ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza31779ze3z83_2836,
						(int) (((long) 0)), BgL_funz00_48);
					PROCEDURE_SET(BgL_zc3anonymousza31779ze3z83_2836,
						(int) (((long) 1)), BgL_resz00_2133);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_47,
						BgL_zc3anonymousza31779ze3z83_2836);
				}
				return CELL_REF(BgL_resz00_2133);
			}
		}
	}



/* _weak-hashtable-map */
	obj_t BGl__weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t BgL_envz00_2837,
		obj_t BgL_tablez00_2838, obj_t BgL_funz00_2839)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 264 */
			return
				BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(BgL_tablez00_2838,
				BgL_funz00_2839);
		}
	}



/* <anonymous:1779> */
	obj_t BGl_zc3anonymousza31779ze3z83zz__weakhashz00(obj_t BgL_envz00_2840,
		obj_t BgL_keyz00_2843, obj_t BgL_valz00_2844)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 267 */
			{	/* Llib/weakhash.scm 265 */
				obj_t BgL_funz00_2841;
				obj_t BgL_resz00_2842;

				BgL_funz00_2841 = PROCEDURE_REF(BgL_envz00_2840, (int) (((long) 0)));
				BgL_resz00_2842 = PROCEDURE_REF(BgL_envz00_2840, (int) (((long) 1)));
				{
					obj_t BgL_keyz00_2135;
					obj_t BgL_valz00_2136;

					BgL_keyz00_2135 = BgL_keyz00_2843;
					BgL_valz00_2136 = BgL_valz00_2844;
					{	/* Llib/weakhash.scm 265 */
						obj_t BgL_auxz00_2845;

						{	/* Llib/weakhash.scm 265 */
							obj_t BgL_arg1780z00_2138;

							BgL_arg1780z00_2138 =
								PROCEDURE_ENTRY(BgL_funz00_2841) (BgL_funz00_2841,
								BgL_keyz00_2135, BgL_valz00_2136, BEOA);
							BgL_auxz00_2845 =
								MAKE_PAIR(BgL_arg1780z00_2138, CELL_REF(BgL_resz00_2842));
						}
						return CELL_SET(BgL_resz00_2842, BgL_auxz00_2845);
					}
				}
			}
		}
	}



/* weak-hashtable-for-each */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t BgL_tablez00_49,
		obj_t BgL_funz00_50)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 274 */
			return
				BBOOL(BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_49,
					BgL_funz00_50));
		}
	}



/* _weak-hashtable-for-each */
	obj_t BGl__weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t
		BgL_envz00_2846, obj_t BgL_tablez00_2847, obj_t BgL_funz00_2848)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 274 */
			return
				BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(BgL_tablez00_2847,
				BgL_funz00_2848);
		}
	}



/* weak-hashtable-filter! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t BgL_tablez00_51,
		obj_t BgL_funz00_52)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 280 */
			{	/* Llib/weakhash.scm 281 */
				obj_t BgL_bucketsz00_922;

				BgL_bucketsz00_922 = STRUCT_REF(BgL_tablez00_51, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 281 */
					int BgL_bucketszd2lenzd2_923;

					BgL_bucketszd2lenzd2_923 = VECTOR_LENGTH(BgL_bucketsz00_922);
					{	/* Llib/weakhash.scm 282 */

						{
							long BgL_iz00_924;

							{	/* Llib/weakhash.scm 283 */
								bool_t BgL_auxz00_3444;

								BgL_iz00_924 = ((long) 0);
							BgL_loopz00_925:
								if ((BgL_iz00_924 < (long) (BgL_bucketszd2lenzd2_923)))
									{	/* Llib/weakhash.scm 284 */
										{	/* Llib/weakhash.scm 288 */
											obj_t BgL_zc3anonymousza31783ze3z83_2849;

											{
												int BgL_auxz00_3448;

												BgL_auxz00_3448 = (int) (((long) 1));
												BgL_zc3anonymousza31783ze3z83_2849 =
													MAKE_L_PROCEDURE
													(BGl_zc3anonymousza31783ze3z83zz__weakhashz00,
													BgL_auxz00_3448);
											}
											PROCEDURE_L_SET(BgL_zc3anonymousza31783ze3z83_2849,
												(int) (((long) 0)), BgL_funz00_52);
											BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_51,
												BgL_bucketsz00_922, BgL_iz00_924,
												BgL_zc3anonymousza31783ze3z83_2849);
										}
										{
											long BgL_iz00_3454;

											BgL_iz00_3454 = (BgL_iz00_924 + ((long) 1));
											BgL_iz00_924 = BgL_iz00_3454;
											goto BgL_loopz00_925;
										}
									}
								else
									{	/* Llib/weakhash.scm 284 */
										BgL_auxz00_3444 = ((bool_t) 0);
									}
								return BBOOL(BgL_auxz00_3444);
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-filter! */
	obj_t BGl__weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t
		BgL_envz00_2850, obj_t BgL_tablez00_2851, obj_t BgL_funz00_2852)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 280 */
			return
				BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(BgL_tablez00_2851,
				BgL_funz00_2852);
		}
	}



/* <anonymous:1783> */
	obj_t BGl_zc3anonymousza31783ze3z83zz__weakhashz00(obj_t BgL_envz00_2853,
		obj_t BgL_keyz00_2855, obj_t BgL_valz00_2856, obj_t BgL_bucketz00_2857)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 287 */
			{	/* Llib/weakhash.scm 288 */
				obj_t BgL_funz00_2854;

				BgL_funz00_2854 = PROCEDURE_L_REF(BgL_envz00_2853, (int) (((long) 0)));
				{
					obj_t BgL_keyz00_928;
					obj_t BgL_valz00_929;
					obj_t BgL_bucketz00_930;

					BgL_keyz00_928 = BgL_keyz00_2855;
					BgL_valz00_929 = BgL_valz00_2856;
					BgL_bucketz00_930 = BgL_bucketz00_2857;
					if (CBOOL(PROCEDURE_ENTRY(BgL_funz00_2854) (BgL_funz00_2854,
								BgL_keyz00_928, BgL_valz00_929, BEOA)))
						{	/* Llib/weakhash.scm 288 */
							return BGl_keepgoingz00zz__weakhashz00;
						}
					else
						{	/* Llib/weakhash.scm 288 */
							return BGl_removez00zz__weakhashz00;
						}
				}
			}
		}
	}



/* weak-hashtable-contains? */
	BGL_EXPORTED_DEF bool_t
		BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t BgL_tablez00_55,
		obj_t BgL_keyz00_56)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 315 */
			{	/* Llib/weakhash.scm 316 */
				obj_t BgL_bucketsz00_956;

				BgL_bucketsz00_956 = STRUCT_REF(BgL_tablez00_55, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 316 */
					int BgL_bucketzd2lenzd2_957;

					BgL_bucketzd2lenzd2_957 = VECTOR_LENGTH(BgL_bucketsz00_956);
					{	/* Llib/weakhash.scm 317 */
						long BgL_bucketzd2numzd2_958;

						{	/* Llib/weakhash.scm 318 */
							long BgL_arg1802z00_968;

							{	/* Llib/weakhash.scm 318 */
								long BgL_res2170z00_2167;

								{	/* Llib/weakhash.scm 318 */
									obj_t BgL_hashnz00_2154;

									BgL_hashnz00_2154 =
										STRUCT_REF(BgL_tablez00_55, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2154))
										{	/* Llib/weakhash.scm 318 */
											obj_t BgL_arg1653z00_2156;

											BgL_arg1653z00_2156 =
												PROCEDURE_ENTRY(BgL_hashnz00_2154) (BgL_hashnz00_2154,
												BgL_keyz00_56, BEOA);
											{	/* Llib/weakhash.scm 318 */
												long BgL_nz00_2161;

												BgL_nz00_2161 = (long) CINT(BgL_arg1653z00_2156);
												if ((BgL_nz00_2161 < ((long) 0)))
													{	/* Llib/weakhash.scm 318 */
														BgL_res2170z00_2167 = NEG(BgL_nz00_2161);
													}
												else
													{	/* Llib/weakhash.scm 318 */
														BgL_res2170z00_2167 = BgL_nz00_2161;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 318 */
											BgL_res2170z00_2167 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_56);
										}
								}
								BgL_arg1802z00_968 = BgL_res2170z00_2167;
							}
							{	/* Llib/weakhash.scm 318 */
								long BgL_auxz00_3478;

								BgL_auxz00_3478 = (long) (BgL_bucketzd2lenzd2_957);
								BgL_bucketzd2numzd2_958 =
									(BgL_arg1802z00_968 % BgL_auxz00_3478);
						}}
						{	/* Llib/weakhash.scm 318 */
							obj_t BgL_retz00_959;

							{	/* Llib/weakhash.scm 321 */
								obj_t BgL_zc3anonymousza31800ze3z83_2858;

								{
									int BgL_auxz00_3481;

									BgL_auxz00_3481 = (int) (((long) 2));
									BgL_zc3anonymousza31800ze3z83_2858 =
										MAKE_L_PROCEDURE
										(BGl_zc3anonymousza31800ze3z83zz__weakhashz00,
										BgL_auxz00_3481);
								}
								PROCEDURE_L_SET(BgL_zc3anonymousza31800ze3z83_2858,
									(int) (((long) 0)), BgL_tablez00_55);
								PROCEDURE_L_SET(BgL_zc3anonymousza31800ze3z83_2858,
									(int) (((long) 1)), BgL_keyz00_56);
								BgL_retz00_959 =
									BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_55,
									BgL_bucketsz00_956, BgL_bucketzd2numzd2_958,
									BgL_zc3anonymousza31800ze3z83_2858);
							}
							{	/* Llib/weakhash.scm 319 */

								if ((BgL_retz00_959 == BGl_keepgoingz00zz__weakhashz00))
									{	/* Llib/weakhash.scm 324 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/weakhash.scm 324 */
										return ((bool_t) 1);
									}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-contains? */
	obj_t BGl__weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t
		BgL_envz00_2859, obj_t BgL_tablez00_2860, obj_t BgL_keyz00_2861)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 315 */
			return
				BBOOL(BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00
				(BgL_tablez00_2860, BgL_keyz00_2861));
		}
	}



/* <anonymous:1800> */
	obj_t BGl_zc3anonymousza31800ze3z83zz__weakhashz00(obj_t BgL_envz00_2862,
		obj_t BgL_bkeyz00_2865, obj_t BgL_valz00_2866, obj_t BgL_bucketz00_2867)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 320 */
			{	/* Llib/weakhash.scm 321 */
				obj_t BgL_tablez00_2863;
				obj_t BgL_keyz00_2864;

				BgL_tablez00_2863 =
					PROCEDURE_L_REF(BgL_envz00_2862, (int) (((long) 0)));
				BgL_keyz00_2864 = PROCEDURE_L_REF(BgL_envz00_2862, (int) (((long) 1)));
				{
					obj_t BgL_bkeyz00_962;
					obj_t BgL_valz00_963;
					obj_t BgL_bucketz00_964;

					BgL_bkeyz00_962 = BgL_bkeyz00_2865;
					BgL_valz00_963 = BgL_valz00_2866;
					BgL_bucketz00_964 = BgL_bucketz00_2867;
					{	/* Llib/weakhash.scm 321 */
						bool_t BgL_testz00_3497;

						{	/* Llib/weakhash.scm 321 */
							obj_t BgL_eqtz00_2174;

							BgL_eqtz00_2174 =
								STRUCT_REF(BgL_tablez00_2863, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2174))
								{	/* Llib/weakhash.scm 321 */
									BgL_testz00_3497 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2174) (BgL_eqtz00_2174,
											BgL_keyz00_2864, BgL_bkeyz00_962, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 321 */
									if (STRINGP(BgL_keyz00_2864))
										{	/* Llib/weakhash.scm 321 */
											if (STRINGP(BgL_bkeyz00_962))
												{	/* Llib/weakhash.scm 321 */
													BgL_testz00_3497 =
														bigloo_strcmp(BgL_keyz00_2864, BgL_bkeyz00_962);
												}
											else
												{	/* Llib/weakhash.scm 321 */
													BgL_testz00_3497 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 321 */
											BgL_testz00_3497 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_keyz00_2864, BgL_bkeyz00_962);
										}
								}
						}
						if (BgL_testz00_3497)
							{	/* Llib/weakhash.scm 321 */
								return BTRUE;
							}
						else
							{	/* Llib/weakhash.scm 321 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-get */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2getz00zz__weakhashz00(obj_t
		BgL_tablez00_57, obj_t BgL_keyz00_58)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 329 */
			{	/* Llib/weakhash.scm 330 */
				obj_t BgL_bucketsz00_969;

				BgL_bucketsz00_969 = STRUCT_REF(BgL_tablez00_57, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 330 */
					int BgL_bucketzd2lenzd2_970;

					BgL_bucketzd2lenzd2_970 = VECTOR_LENGTH(BgL_bucketsz00_969);
					{	/* Llib/weakhash.scm 331 */
						long BgL_bucketzd2numzd2_971;

						{	/* Llib/weakhash.scm 332 */
							long BgL_arg1808z00_981;

							{	/* Llib/weakhash.scm 332 */
								long BgL_res2172z00_2205;

								{	/* Llib/weakhash.scm 332 */
									obj_t BgL_hashnz00_2192;

									BgL_hashnz00_2192 =
										STRUCT_REF(BgL_tablez00_57, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2192))
										{	/* Llib/weakhash.scm 332 */
											obj_t BgL_arg1653z00_2194;

											BgL_arg1653z00_2194 =
												PROCEDURE_ENTRY(BgL_hashnz00_2192) (BgL_hashnz00_2192,
												BgL_keyz00_58, BEOA);
											{	/* Llib/weakhash.scm 332 */
												long BgL_nz00_2199;

												BgL_nz00_2199 = (long) CINT(BgL_arg1653z00_2194);
												if ((BgL_nz00_2199 < ((long) 0)))
													{	/* Llib/weakhash.scm 332 */
														BgL_res2172z00_2205 = NEG(BgL_nz00_2199);
													}
												else
													{	/* Llib/weakhash.scm 332 */
														BgL_res2172z00_2205 = BgL_nz00_2199;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 332 */
											BgL_res2172z00_2205 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_58);
										}
								}
								BgL_arg1808z00_981 = BgL_res2172z00_2205;
							}
							{	/* Llib/weakhash.scm 332 */
								long BgL_auxz00_3525;

								BgL_auxz00_3525 = (long) (BgL_bucketzd2lenzd2_970);
								BgL_bucketzd2numzd2_971 =
									(BgL_arg1808z00_981 % BgL_auxz00_3525);
						}}
						{	/* Llib/weakhash.scm 332 */
							obj_t BgL_retz00_972;

							{	/* Llib/weakhash.scm 335 */
								obj_t BgL_zc3anonymousza31806ze3z83_2868;

								{
									int BgL_auxz00_3528;

									BgL_auxz00_3528 = (int) (((long) 2));
									BgL_zc3anonymousza31806ze3z83_2868 =
										MAKE_L_PROCEDURE
										(BGl_zc3anonymousza31806ze3z83zz__weakhashz00,
										BgL_auxz00_3528);
								}
								PROCEDURE_L_SET(BgL_zc3anonymousza31806ze3z83_2868,
									(int) (((long) 0)), BgL_tablez00_57);
								PROCEDURE_L_SET(BgL_zc3anonymousza31806ze3z83_2868,
									(int) (((long) 1)), BgL_keyz00_58);
								BgL_retz00_972 =
									BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_57,
									BgL_bucketsz00_969, BgL_bucketzd2numzd2_971,
									BgL_zc3anonymousza31806ze3z83_2868);
							}
							{	/* Llib/weakhash.scm 333 */

								if ((BgL_retz00_972 == BGl_keepgoingz00zz__weakhashz00))
									{	/* Llib/weakhash.scm 338 */
										return BFALSE;
									}
								else
									{	/* Llib/weakhash.scm 338 */
										return BgL_retz00_972;
									}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-get */
	obj_t BGl__weakzd2hashtablezd2getz00zz__weakhashz00(obj_t BgL_envz00_2869,
		obj_t BgL_tablez00_2870, obj_t BgL_keyz00_2871)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 329 */
			return
				BGl_weakzd2hashtablezd2getz00zz__weakhashz00(BgL_tablez00_2870,
				BgL_keyz00_2871);
		}
	}



/* <anonymous:1806> */
	obj_t BGl_zc3anonymousza31806ze3z83zz__weakhashz00(obj_t BgL_envz00_2872,
		obj_t BgL_bkeyz00_2875, obj_t BgL_valz00_2876, obj_t BgL_bucketz00_2877)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 334 */
			{	/* Llib/weakhash.scm 335 */
				obj_t BgL_tablez00_2873;
				obj_t BgL_keyz00_2874;

				BgL_tablez00_2873 =
					PROCEDURE_L_REF(BgL_envz00_2872, (int) (((long) 0)));
				BgL_keyz00_2874 = PROCEDURE_L_REF(BgL_envz00_2872, (int) (((long) 1)));
				{
					obj_t BgL_bkeyz00_975;
					obj_t BgL_valz00_976;
					obj_t BgL_bucketz00_977;

					BgL_bkeyz00_975 = BgL_bkeyz00_2875;
					BgL_valz00_976 = BgL_valz00_2876;
					BgL_bucketz00_977 = BgL_bucketz00_2877;
					{	/* Llib/weakhash.scm 335 */
						bool_t BgL_testz00_3543;

						{	/* Llib/weakhash.scm 335 */
							obj_t BgL_eqtz00_2212;

							BgL_eqtz00_2212 =
								STRUCT_REF(BgL_tablez00_2873, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2212))
								{	/* Llib/weakhash.scm 335 */
									BgL_testz00_3543 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2212) (BgL_eqtz00_2212,
											BgL_keyz00_2874, BgL_bkeyz00_975, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 335 */
									if (STRINGP(BgL_keyz00_2874))
										{	/* Llib/weakhash.scm 335 */
											if (STRINGP(BgL_bkeyz00_975))
												{	/* Llib/weakhash.scm 335 */
													BgL_testz00_3543 =
														bigloo_strcmp(BgL_keyz00_2874, BgL_bkeyz00_975);
												}
											else
												{	/* Llib/weakhash.scm 335 */
													BgL_testz00_3543 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 335 */
											BgL_testz00_3543 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_keyz00_2874, BgL_bkeyz00_975);
										}
								}
						}
						if (BgL_testz00_3543)
							{	/* Llib/weakhash.scm 335 */
								return BgL_valz00_976;
							}
						else
							{	/* Llib/weakhash.scm 335 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-put! */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t
		BgL_tablez00_61, obj_t BgL_keyz00_62, obj_t BgL_objz00_63)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 362 */
			{	/* Llib/weakhash.scm 363 */
				obj_t BgL_bucketsz00_993;

				BgL_bucketsz00_993 = STRUCT_REF(BgL_tablez00_61, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 363 */
					int BgL_bucketzd2lenzd2_994;

					BgL_bucketzd2lenzd2_994 = VECTOR_LENGTH(BgL_bucketsz00_993);
					{	/* Llib/weakhash.scm 364 */
						long BgL_bucketzd2numzd2_995;

						{	/* Llib/weakhash.scm 365 */
							long BgL_arg1843z00_1023;

							{	/* Llib/weakhash.scm 365 */
								long BgL_res2174z00_2243;

								{	/* Llib/weakhash.scm 365 */
									obj_t BgL_hashnz00_2230;

									BgL_hashnz00_2230 =
										STRUCT_REF(BgL_tablez00_61, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2230))
										{	/* Llib/weakhash.scm 365 */
											obj_t BgL_arg1653z00_2232;

											BgL_arg1653z00_2232 =
												PROCEDURE_ENTRY(BgL_hashnz00_2230) (BgL_hashnz00_2230,
												BgL_keyz00_62, BEOA);
											{	/* Llib/weakhash.scm 365 */
												long BgL_nz00_2237;

												BgL_nz00_2237 = (long) CINT(BgL_arg1653z00_2232);
												if ((BgL_nz00_2237 < ((long) 0)))
													{	/* Llib/weakhash.scm 365 */
														BgL_res2174z00_2243 = NEG(BgL_nz00_2237);
													}
												else
													{	/* Llib/weakhash.scm 365 */
														BgL_res2174z00_2243 = BgL_nz00_2237;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 365 */
											BgL_res2174z00_2243 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_62);
										}
								}
								BgL_arg1843z00_1023 = BgL_res2174z00_2243;
							}
							{	/* Llib/weakhash.scm 365 */
								long BgL_auxz00_3571;

								BgL_auxz00_3571 = (long) (BgL_bucketzd2lenzd2_994);
								BgL_bucketzd2numzd2_995 =
									(BgL_arg1843z00_1023 % BgL_auxz00_3571);
						}}
						{	/* Llib/weakhash.scm 365 */
							obj_t BgL_bucketz00_996;

							BgL_bucketz00_996 =
								VECTOR_REF(BgL_bucketsz00_993, (int) (BgL_bucketzd2numzd2_995));
							{	/* Llib/weakhash.scm 366 */
								obj_t BgL_maxzd2bucketzd2lenz00_997;

								BgL_maxzd2bucketzd2lenz00_997 =
									STRUCT_REF(BgL_tablez00_61, (int) (((long) 1)));
								{	/* Llib/weakhash.scm 367 */
									obj_t BgL_countz00_998;

									{	/* Llib/weakhash.scm 368 */
										obj_t BgL_cellvalz00_3578;

										BgL_cellvalz00_3578 = BINT(((long) 0));
										BgL_countz00_998 = MAKE_CELL(BgL_cellvalz00_3578);
									}
									{	/* Llib/weakhash.scm 368 */
										obj_t BgL_foundz00_999;

										{	/* Llib/weakhash.scm 373 */
											obj_t BgL_zc3anonymousza31837ze3z83_2878;

											{
												int BgL_auxz00_3580;

												BgL_auxz00_3580 = (int) (((long) 4));
												BgL_zc3anonymousza31837ze3z83_2878 =
													MAKE_L_PROCEDURE
													(BGl_zc3anonymousza31837ze3z83zz__weakhashz00,
													BgL_auxz00_3580);
											}
											PROCEDURE_L_SET(BgL_zc3anonymousza31837ze3z83_2878,
												(int) (((long) 0)), BgL_countz00_998);
											PROCEDURE_L_SET(BgL_zc3anonymousza31837ze3z83_2878,
												(int) (((long) 1)), BgL_tablez00_61);
											PROCEDURE_L_SET(BgL_zc3anonymousza31837ze3z83_2878,
												(int) (((long) 2)), BgL_keyz00_62);
											PROCEDURE_L_SET(BgL_zc3anonymousza31837ze3z83_2878,
												(int) (((long) 3)), BgL_objz00_63);
											BgL_foundz00_999 =
												BGl_traversezd2bucketszd2zz__weakhashz00
												(BgL_tablez00_61, BgL_bucketsz00_993,
												BgL_bucketzd2numzd2_995,
												BgL_zc3anonymousza31837ze3z83_2878);
										}
										{	/* Llib/weakhash.scm 370 */

											if ((BgL_foundz00_999 == BGl_keepgoingz00zz__weakhashz00))
												{	/* Llib/weakhash.scm 384 */
													{	/* Llib/weakhash.scm 387 */
														long BgL_arg1820z00_1001;

														BgL_arg1820z00_1001 =
															(
															(long) CINT(STRUCT_REF(BgL_tablez00_61,
																	(int) (((long) 0)))) + ((long) 1));
														{	/* Llib/weakhash.scm 387 */
															obj_t BgL_auxz00_3600;
															int BgL_auxz00_3598;

															BgL_auxz00_3600 = BINT(BgL_arg1820z00_1001);
															BgL_auxz00_3598 = (int) (((long) 0));
															STRUCT_SET(BgL_tablez00_61, BgL_auxz00_3598,
																BgL_auxz00_3600);
													}}
													{	/* Llib/weakhash.scm 389 */
														obj_t BgL_arg1825z00_1004;

														{	/* Llib/weakhash.scm 389 */
															obj_t BgL_arg1826z00_1005;
															obj_t BgL_arg1827z00_1006;

															{	/* Llib/weakhash.scm 389 */
																obj_t BgL_arg1829z00_1007;
																obj_t BgL_arg1831z00_1008;

																if (BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00
																	(BgL_tablez00_61))
																	{	/* Llib/weakhash.scm 389 */
																		BgL_arg1829z00_1007 =
																			make_weakptr(BgL_keyz00_62);
																	}
																else
																	{	/* Llib/weakhash.scm 389 */
																		BgL_arg1829z00_1007 = BgL_keyz00_62;
																	}
																if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
																	(BgL_tablez00_61))
																	{	/* Llib/weakhash.scm 392 */
																		BgL_arg1831z00_1008 =
																			make_weakptr(BgL_objz00_63);
																	}
																else
																	{	/* Llib/weakhash.scm 392 */
																		BgL_arg1831z00_1008 = BgL_objz00_63;
																	}
																BgL_arg1826z00_1005 =
																	MAKE_PAIR(BgL_arg1829z00_1007,
																	BgL_arg1831z00_1008);
															}
															BgL_arg1827z00_1006 =
																VECTOR_REF(STRUCT_REF(BgL_tablez00_61,
																	(int) (((long) 2))),
																(int) (BgL_bucketzd2numzd2_995));
															BgL_arg1825z00_1004 =
																MAKE_PAIR(BgL_arg1826z00_1005,
																BgL_arg1827z00_1006);
														}
														VECTOR_SET(BgL_bucketsz00_993,
															(int) (BgL_bucketzd2numzd2_995),
															BgL_arg1825z00_1004);
													}
													{	/* Llib/weakhash.scm 399 */
														bool_t BgL_testz00_3617;

														{	/* Llib/weakhash.scm 399 */
															long BgL_n1z00_2296;
															long BgL_n2z00_2297;

															BgL_n1z00_2296 =
																(long) CINT(CELL_REF(BgL_countz00_998));
															BgL_n2z00_2297 =
																(long) CINT(BgL_maxzd2bucketzd2lenz00_997);
															BgL_testz00_3617 =
																(BgL_n1z00_2296 > BgL_n2z00_2297);
														}
														if (BgL_testz00_3617)
															{	/* Llib/weakhash.scm 399 */
																BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00
																	(BgL_tablez00_61);
															}
														else
															{	/* Llib/weakhash.scm 399 */
																BFALSE;
															}
													}
													return BgL_objz00_63;
												}
											else
												{	/* Llib/weakhash.scm 384 */
													return BgL_foundz00_999;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-put! */
	obj_t BGl__weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t BgL_envz00_2879,
		obj_t BgL_tablez00_2880, obj_t BgL_keyz00_2881, obj_t BgL_objz00_2882)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 362 */
			return
				BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(BgL_tablez00_2880,
				BgL_keyz00_2881, BgL_objz00_2882);
		}
	}



/* <anonymous:1837> */
	obj_t BGl_zc3anonymousza31837ze3z83zz__weakhashz00(obj_t BgL_envz00_2883,
		obj_t BgL_bkeyz00_2888, obj_t BgL_valz00_2889, obj_t BgL_bucketz00_2890)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 372 */
			{	/* Llib/weakhash.scm 373 */
				obj_t BgL_countz00_2884;
				obj_t BgL_tablez00_2885;
				obj_t BgL_keyz00_2886;
				obj_t BgL_objz00_2887;

				BgL_countz00_2884 =
					PROCEDURE_L_REF(BgL_envz00_2883, (int) (((long) 0)));
				BgL_tablez00_2885 =
					PROCEDURE_L_REF(BgL_envz00_2883, (int) (((long) 1)));
				BgL_keyz00_2886 = PROCEDURE_L_REF(BgL_envz00_2883, (int) (((long) 2)));
				BgL_objz00_2887 = PROCEDURE_L_REF(BgL_envz00_2883, (int) (((long) 3)));
				{
					obj_t BgL_bkeyz00_1014;
					obj_t BgL_valz00_1015;
					obj_t BgL_bucketz00_1016;

					BgL_bkeyz00_1014 = BgL_bkeyz00_2888;
					BgL_valz00_1015 = BgL_valz00_2889;
					BgL_bucketz00_1016 = BgL_bucketz00_2890;
					{	/* Llib/weakhash.scm 373 */
						obj_t BgL_auxz00_2891;

						{	/* Llib/weakhash.scm 373 */
							long BgL_za71za7_2255;

							BgL_za71za7_2255 = (long) CINT(CELL_REF(BgL_countz00_2884));
							BgL_auxz00_2891 = BINT((BgL_za71za7_2255 + ((long) 1)));
						}
						CELL_SET(BgL_countz00_2884, BgL_auxz00_2891);
					}
					{	/* Llib/weakhash.scm 374 */
						bool_t BgL_testz00_3634;

						{	/* Llib/weakhash.scm 374 */
							obj_t BgL_eqtz00_2260;

							BgL_eqtz00_2260 =
								STRUCT_REF(BgL_tablez00_2885, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2260))
								{	/* Llib/weakhash.scm 374 */
									BgL_testz00_3634 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2260) (BgL_eqtz00_2260,
											BgL_bkeyz00_1014, BgL_keyz00_2886, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 374 */
									if (STRINGP(BgL_bkeyz00_1014))
										{	/* Llib/weakhash.scm 374 */
											if (STRINGP(BgL_keyz00_2886))
												{	/* Llib/weakhash.scm 374 */
													BgL_testz00_3634 =
														bigloo_strcmp(BgL_bkeyz00_1014, BgL_keyz00_2886);
												}
											else
												{	/* Llib/weakhash.scm 374 */
													BgL_testz00_3634 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 374 */
											BgL_testz00_3634 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_bkeyz00_1014, BgL_keyz00_2886);
										}
								}
						}
						if (BgL_testz00_3634)
							{	/* Llib/weakhash.scm 374 */
								{	/* Llib/weakhash.scm 374 */
									obj_t BgL_arg1839z00_2252;
									obj_t BgL_arg1840z00_2253;

									BgL_arg1839z00_2252 = CAR(BgL_bucketz00_1016);
									if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
										(BgL_tablez00_2885))
										{	/* Llib/weakhash.scm 374 */
											BgL_arg1840z00_2253 = make_weakptr(BgL_objz00_2887);
										}
									else
										{	/* Llib/weakhash.scm 374 */
											BgL_arg1840z00_2253 = BgL_objz00_2887;
										}
									SET_CDR(BgL_arg1839z00_2252, BgL_arg1840z00_2253);
								}
								return BgL_valz00_1015;
							}
						else
							{	/* Llib/weakhash.scm 374 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-update! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t BgL_tablez00_64,
		obj_t BgL_keyz00_65, obj_t BgL_procz00_66, obj_t BgL_objz00_67)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 406 */
			{	/* Llib/weakhash.scm 407 */
				obj_t BgL_bucketsz00_1024;

				BgL_bucketsz00_1024 = STRUCT_REF(BgL_tablez00_64, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 407 */
					int BgL_bucketzd2lenzd2_1025;

					BgL_bucketzd2lenzd2_1025 = VECTOR_LENGTH(BgL_bucketsz00_1024);
					{	/* Llib/weakhash.scm 408 */
						long BgL_bucketzd2numzd2_1026;

						{	/* Llib/weakhash.scm 409 */
							long BgL_arg1868z00_1055;

							{	/* Llib/weakhash.scm 409 */
								long BgL_res2176z00_2317;

								{	/* Llib/weakhash.scm 409 */
									obj_t BgL_hashnz00_2304;

									BgL_hashnz00_2304 =
										STRUCT_REF(BgL_tablez00_64, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2304))
										{	/* Llib/weakhash.scm 409 */
											obj_t BgL_arg1653z00_2306;

											BgL_arg1653z00_2306 =
												PROCEDURE_ENTRY(BgL_hashnz00_2304) (BgL_hashnz00_2304,
												BgL_keyz00_65, BEOA);
											{	/* Llib/weakhash.scm 409 */
												long BgL_nz00_2311;

												BgL_nz00_2311 = (long) CINT(BgL_arg1653z00_2306);
												if ((BgL_nz00_2311 < ((long) 0)))
													{	/* Llib/weakhash.scm 409 */
														BgL_res2176z00_2317 = NEG(BgL_nz00_2311);
													}
												else
													{	/* Llib/weakhash.scm 409 */
														BgL_res2176z00_2317 = BgL_nz00_2311;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 409 */
											BgL_res2176z00_2317 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_65);
										}
								}
								BgL_arg1868z00_1055 = BgL_res2176z00_2317;
							}
							{	/* Llib/weakhash.scm 409 */
								long BgL_auxz00_3667;

								BgL_auxz00_3667 = (long) (BgL_bucketzd2lenzd2_1025);
								BgL_bucketzd2numzd2_1026 =
									(BgL_arg1868z00_1055 % BgL_auxz00_3667);
						}}
						{	/* Llib/weakhash.scm 409 */
							obj_t BgL_bucketz00_1027;

							BgL_bucketz00_1027 =
								VECTOR_REF(BgL_bucketsz00_1024,
								(int) (BgL_bucketzd2numzd2_1026));
							{	/* Llib/weakhash.scm 410 */
								obj_t BgL_maxzd2bucketzd2lenz00_1028;

								BgL_maxzd2bucketzd2lenz00_1028 =
									STRUCT_REF(BgL_tablez00_64, (int) (((long) 1)));
								{	/* Llib/weakhash.scm 411 */
									obj_t BgL_countz00_1029;

									{	/* Llib/weakhash.scm 412 */
										obj_t BgL_cellvalz00_3674;

										BgL_cellvalz00_3674 = BINT(((long) 0));
										BgL_countz00_1029 = MAKE_CELL(BgL_cellvalz00_3674);
									}
									{	/* Llib/weakhash.scm 412 */
										obj_t BgL_foundz00_1030;

										{	/* Llib/weakhash.scm 417 */
											obj_t BgL_zc3anonymousza31863ze3z83_2892;

											{
												int BgL_auxz00_3676;

												BgL_auxz00_3676 = (int) (((long) 4));
												BgL_zc3anonymousza31863ze3z83_2892 =
													MAKE_L_PROCEDURE
													(BGl_zc3anonymousza31863ze3z83zz__weakhashz00,
													BgL_auxz00_3676);
											}
											PROCEDURE_L_SET(BgL_zc3anonymousza31863ze3z83_2892,
												(int) (((long) 0)), BgL_countz00_1029);
											PROCEDURE_L_SET(BgL_zc3anonymousza31863ze3z83_2892,
												(int) (((long) 1)), BgL_tablez00_64);
											PROCEDURE_L_SET(BgL_zc3anonymousza31863ze3z83_2892,
												(int) (((long) 2)), BgL_keyz00_65);
											PROCEDURE_L_SET(BgL_zc3anonymousza31863ze3z83_2892,
												(int) (((long) 3)), BgL_procz00_66);
											BgL_foundz00_1030 =
												BGl_traversezd2bucketszd2zz__weakhashz00
												(BgL_tablez00_64, BgL_bucketsz00_1024,
												BgL_bucketzd2numzd2_1026,
												BgL_zc3anonymousza31863ze3z83_2892);
										}
										{	/* Llib/weakhash.scm 414 */

											if (
												(BgL_foundz00_1030 == BGl_keepgoingz00zz__weakhashz00))
												{	/* Llib/weakhash.scm 428 */
													{	/* Llib/weakhash.scm 431 */
														long BgL_arg1845z00_1032;

														BgL_arg1845z00_1032 =
															(
															(long) CINT(STRUCT_REF(BgL_tablez00_64,
																	(int) (((long) 0)))) + ((long) 1));
														{	/* Llib/weakhash.scm 431 */
															obj_t BgL_auxz00_3696;
															int BgL_auxz00_3694;

															BgL_auxz00_3696 = BINT(BgL_arg1845z00_1032);
															BgL_auxz00_3694 = (int) (((long) 0));
															STRUCT_SET(BgL_tablez00_64, BgL_auxz00_3694,
																BgL_auxz00_3696);
													}}
													{	/* Llib/weakhash.scm 433 */
														obj_t BgL_arg1850z00_1035;

														{	/* Llib/weakhash.scm 433 */
															obj_t BgL_arg1851z00_1036;
															obj_t BgL_arg1853z00_1037;

															{	/* Llib/weakhash.scm 433 */
																obj_t BgL_arg1856z00_1038;
																obj_t BgL_arg1857z00_1039;

																if (BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00
																	(BgL_tablez00_64))
																	{	/* Llib/weakhash.scm 433 */
																		BgL_arg1856z00_1038 =
																			make_weakptr(BgL_keyz00_65);
																	}
																else
																	{	/* Llib/weakhash.scm 433 */
																		BgL_arg1856z00_1038 = BgL_keyz00_65;
																	}
																if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
																	(BgL_tablez00_64))
																	{	/* Llib/weakhash.scm 436 */
																		BgL_arg1857z00_1039 =
																			make_weakptr(BgL_objz00_67);
																	}
																else
																	{	/* Llib/weakhash.scm 436 */
																		BgL_arg1857z00_1039 = BgL_objz00_67;
																	}
																BgL_arg1851z00_1036 =
																	MAKE_PAIR(BgL_arg1856z00_1038,
																	BgL_arg1857z00_1039);
															}
															BgL_arg1853z00_1037 =
																VECTOR_REF(STRUCT_REF(BgL_tablez00_64,
																	(int) (((long) 2))),
																(int) (BgL_bucketzd2numzd2_1026));
															BgL_arg1850z00_1035 =
																MAKE_PAIR(BgL_arg1851z00_1036,
																BgL_arg1853z00_1037);
														}
														VECTOR_SET(BgL_bucketsz00_1024,
															(int) (BgL_bucketzd2numzd2_1026),
															BgL_arg1850z00_1035);
													}
													{	/* Llib/weakhash.scm 443 */
														bool_t BgL_testz00_3713;

														{	/* Llib/weakhash.scm 443 */
															long BgL_n1z00_2371;
															long BgL_n2z00_2372;

															BgL_n1z00_2371 =
																(long) CINT(CELL_REF(BgL_countz00_1029));
															BgL_n2z00_2372 =
																(long) CINT(BgL_maxzd2bucketzd2lenz00_1028);
															BgL_testz00_3713 =
																(BgL_n1z00_2371 > BgL_n2z00_2372);
														}
														if (BgL_testz00_3713)
															{	/* Llib/weakhash.scm 443 */
																BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00
																	(BgL_tablez00_64);
															}
														else
															{	/* Llib/weakhash.scm 443 */
																BFALSE;
															}
													}
													return BgL_objz00_67;
												}
											else
												{	/* Llib/weakhash.scm 428 */
													return BgL_foundz00_1030;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-update! */
	obj_t BGl__weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t
		BgL_envz00_2893, obj_t BgL_tablez00_2894, obj_t BgL_keyz00_2895,
		obj_t BgL_procz00_2896, obj_t BgL_objz00_2897)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 406 */
			return
				BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(BgL_tablez00_2894,
				BgL_keyz00_2895, BgL_procz00_2896, BgL_objz00_2897);
		}
	}



/* <anonymous:1863> */
	obj_t BGl_zc3anonymousza31863ze3z83zz__weakhashz00(obj_t BgL_envz00_2898,
		obj_t BgL_bkeyz00_2903, obj_t BgL_valz00_2904, obj_t BgL_bucketz00_2905)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 416 */
			{	/* Llib/weakhash.scm 417 */
				obj_t BgL_countz00_2899;
				obj_t BgL_tablez00_2900;
				obj_t BgL_keyz00_2901;
				obj_t BgL_procz00_2902;

				BgL_countz00_2899 =
					PROCEDURE_L_REF(BgL_envz00_2898, (int) (((long) 0)));
				BgL_tablez00_2900 =
					PROCEDURE_L_REF(BgL_envz00_2898, (int) (((long) 1)));
				BgL_keyz00_2901 = PROCEDURE_L_REF(BgL_envz00_2898, (int) (((long) 2)));
				BgL_procz00_2902 = PROCEDURE_L_REF(BgL_envz00_2898, (int) (((long) 3)));
				{
					obj_t BgL_bkeyz00_1045;
					obj_t BgL_valz00_1046;
					obj_t BgL_bucketz00_1047;

					BgL_bkeyz00_1045 = BgL_bkeyz00_2903;
					BgL_valz00_1046 = BgL_valz00_2904;
					BgL_bucketz00_1047 = BgL_bucketz00_2905;
					{	/* Llib/weakhash.scm 417 */
						obj_t BgL_auxz00_2906;

						{	/* Llib/weakhash.scm 417 */
							long BgL_za71za7_2330;

							BgL_za71za7_2330 = (long) CINT(CELL_REF(BgL_countz00_2899));
							BgL_auxz00_2906 = BINT((BgL_za71za7_2330 + ((long) 1)));
						}
						CELL_SET(BgL_countz00_2899, BgL_auxz00_2906);
					}
					{	/* Llib/weakhash.scm 418 */
						bool_t BgL_testz00_3730;

						{	/* Llib/weakhash.scm 418 */
							obj_t BgL_eqtz00_2335;

							BgL_eqtz00_2335 =
								STRUCT_REF(BgL_tablez00_2900, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2335))
								{	/* Llib/weakhash.scm 418 */
									BgL_testz00_3730 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2335) (BgL_eqtz00_2335,
											BgL_bkeyz00_1045, BgL_keyz00_2901, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 418 */
									if (STRINGP(BgL_bkeyz00_1045))
										{	/* Llib/weakhash.scm 418 */
											if (STRINGP(BgL_keyz00_2901))
												{	/* Llib/weakhash.scm 418 */
													BgL_testz00_3730 =
														bigloo_strcmp(BgL_bkeyz00_1045, BgL_keyz00_2901);
												}
											else
												{	/* Llib/weakhash.scm 418 */
													BgL_testz00_3730 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 418 */
											BgL_testz00_3730 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_bkeyz00_1045, BgL_keyz00_2901);
										}
								}
						}
						if (BgL_testz00_3730)
							{	/* Llib/weakhash.scm 418 */
								obj_t BgL_newvalz00_2326;

								BgL_newvalz00_2326 =
									PROCEDURE_ENTRY(BgL_procz00_2902) (BgL_procz00_2902,
									BgL_valz00_1046, BEOA);
								{	/* Llib/weakhash.scm 418 */
									obj_t BgL_arg1865z00_2327;
									obj_t BgL_arg1866z00_2328;

									BgL_arg1865z00_2327 = CAR(BgL_bucketz00_1047);
									if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
										(BgL_tablez00_2900))
										{	/* Llib/weakhash.scm 418 */
											BgL_arg1866z00_2328 = make_weakptr(BgL_newvalz00_2326);
										}
									else
										{	/* Llib/weakhash.scm 418 */
											BgL_arg1866z00_2328 = BgL_newvalz00_2326;
										}
									SET_CDR(BgL_arg1865z00_2327, BgL_arg1866z00_2328);
								}
								return BgL_valz00_1046;
							}
						else
							{	/* Llib/weakhash.scm 418 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-remove! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t BgL_tablez00_68,
		obj_t BgL_keyz00_69)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 450 */
			{	/* Llib/weakhash.scm 451 */
				obj_t BgL_bucketsz00_1056;

				BgL_bucketsz00_1056 = STRUCT_REF(BgL_tablez00_68, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 451 */
					int BgL_bucketzd2lenzd2_1057;

					BgL_bucketzd2lenzd2_1057 = VECTOR_LENGTH(BgL_bucketsz00_1056);
					{	/* Llib/weakhash.scm 452 */
						long BgL_bucketzd2numzd2_1058;

						{	/* Llib/weakhash.scm 453 */
							long BgL_arg1873z00_1069;

							{	/* Llib/weakhash.scm 453 */
								long BgL_res2178z00_2392;

								{	/* Llib/weakhash.scm 453 */
									obj_t BgL_hashnz00_2379;

									BgL_hashnz00_2379 =
										STRUCT_REF(BgL_tablez00_68, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2379))
										{	/* Llib/weakhash.scm 453 */
											obj_t BgL_arg1653z00_2381;

											BgL_arg1653z00_2381 =
												PROCEDURE_ENTRY(BgL_hashnz00_2379) (BgL_hashnz00_2379,
												BgL_keyz00_69, BEOA);
											{	/* Llib/weakhash.scm 453 */
												long BgL_nz00_2386;

												BgL_nz00_2386 = (long) CINT(BgL_arg1653z00_2381);
												if ((BgL_nz00_2386 < ((long) 0)))
													{	/* Llib/weakhash.scm 453 */
														BgL_res2178z00_2392 = NEG(BgL_nz00_2386);
													}
												else
													{	/* Llib/weakhash.scm 453 */
														BgL_res2178z00_2392 = BgL_nz00_2386;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 453 */
											BgL_res2178z00_2392 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_69);
										}
								}
								BgL_arg1873z00_1069 = BgL_res2178z00_2392;
							}
							{	/* Llib/weakhash.scm 453 */
								long BgL_auxz00_3765;

								BgL_auxz00_3765 = (long) (BgL_bucketzd2lenzd2_1057);
								BgL_bucketzd2numzd2_1058 =
									(BgL_arg1873z00_1069 % BgL_auxz00_3765);
						}}
						{	/* Llib/weakhash.scm 453 */
							obj_t BgL_bucketz00_1059;

							BgL_bucketz00_1059 =
								VECTOR_REF(BgL_bucketsz00_1056,
								(int) (BgL_bucketzd2numzd2_1058));
							{	/* Llib/weakhash.scm 454 */
								obj_t BgL_foundz00_1060;

								{	/* Llib/weakhash.scm 458 */
									obj_t BgL_zc3anonymousza31871ze3z83_2907;

									{
										int BgL_auxz00_3770;

										BgL_auxz00_3770 = (int) (((long) 2));
										BgL_zc3anonymousza31871ze3z83_2907 =
											MAKE_L_PROCEDURE
											(BGl_zc3anonymousza31871ze3z83zz__weakhashz00,
											BgL_auxz00_3770);
									}
									PROCEDURE_L_SET(BgL_zc3anonymousza31871ze3z83_2907,
										(int) (((long) 0)), BgL_tablez00_68);
									PROCEDURE_L_SET(BgL_zc3anonymousza31871ze3z83_2907,
										(int) (((long) 1)), BgL_keyz00_69);
									BgL_foundz00_1060 =
										BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_68,
										BgL_bucketsz00_1056, BgL_bucketzd2numzd2_1058,
										BgL_zc3anonymousza31871ze3z83_2907);
								}
								{	/* Llib/weakhash.scm 455 */

									if ((BgL_foundz00_1060 == BGl_keepgoingz00zz__weakhashz00))
										{	/* Llib/weakhash.scm 461 */
											return BFALSE;
										}
									else
										{	/* Llib/weakhash.scm 461 */
											return BTRUE;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-remove! */
	obj_t BGl__weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t
		BgL_envz00_2908, obj_t BgL_tablez00_2909, obj_t BgL_keyz00_2910)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 450 */
			return
				BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(BgL_tablez00_2909,
				BgL_keyz00_2910);
		}
	}



/* <anonymous:1871> */
	obj_t BGl_zc3anonymousza31871ze3z83zz__weakhashz00(obj_t BgL_envz00_2911,
		obj_t BgL_bkeyz00_2914, obj_t BgL_valz00_2915, obj_t BgL_bucketz00_2916)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 457 */
			{	/* Llib/weakhash.scm 458 */
				obj_t BgL_tablez00_2912;
				obj_t BgL_keyz00_2913;

				BgL_tablez00_2912 =
					PROCEDURE_L_REF(BgL_envz00_2911, (int) (((long) 0)));
				BgL_keyz00_2913 = PROCEDURE_L_REF(BgL_envz00_2911, (int) (((long) 1)));
				{
					obj_t BgL_bkeyz00_1063;
					obj_t BgL_valz00_1064;
					obj_t BgL_bucketz00_1065;

					BgL_bkeyz00_1063 = BgL_bkeyz00_2914;
					BgL_valz00_1064 = BgL_valz00_2915;
					BgL_bucketz00_1065 = BgL_bucketz00_2916;
					{	/* Llib/weakhash.scm 458 */
						bool_t BgL_testz00_3785;

						{	/* Llib/weakhash.scm 458 */
							obj_t BgL_eqtz00_2401;

							BgL_eqtz00_2401 =
								STRUCT_REF(BgL_tablez00_2912, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2401))
								{	/* Llib/weakhash.scm 458 */
									BgL_testz00_3785 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2401) (BgL_eqtz00_2401,
											BgL_keyz00_2913, BgL_bkeyz00_1063, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 458 */
									if (STRINGP(BgL_keyz00_2913))
										{	/* Llib/weakhash.scm 458 */
											if (STRINGP(BgL_bkeyz00_1063))
												{	/* Llib/weakhash.scm 458 */
													BgL_testz00_3785 =
														bigloo_strcmp(BgL_keyz00_2913, BgL_bkeyz00_1063);
												}
											else
												{	/* Llib/weakhash.scm 458 */
													BgL_testz00_3785 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 458 */
											BgL_testz00_3785 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_keyz00_2913, BgL_bkeyz00_1063);
										}
								}
						}
						if (BgL_testz00_3785)
							{	/* Llib/weakhash.scm 458 */
								return BGl_removestopz00zz__weakhashz00;
							}
						else
							{	/* Llib/weakhash.scm 458 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-expand! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t BgL_tablez00_70)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 466 */
			if (
				(((long) 1) ==
					(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
				{	/* Llib/weakhash.scm 478 */
					obj_t BgL_oldzd2buckszd2_1071;

					BgL_oldzd2buckszd2_1071 =
						STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
					{	/* Llib/weakhash.scm 478 */
						int BgL_oldzd2buckszd2lenz00_1072;

						BgL_oldzd2buckszd2lenz00_1072 =
							VECTOR_LENGTH(BgL_oldzd2buckszd2_1071);
						{	/* Llib/weakhash.scm 478 */
							long BgL_newzd2buckszd2lenz00_1073;

							BgL_newzd2buckszd2lenz00_1073 =
								(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1072));
							{	/* Llib/weakhash.scm 478 */
								obj_t BgL_newzd2buckszd2_1074;

								BgL_newzd2buckszd2_1074 =
									make_vector((int) (BgL_newzd2buckszd2lenz00_1073), BNIL);
								{	/* Llib/weakhash.scm 478 */
									obj_t BgL_countz00_1075;

									BgL_countz00_1075 =
										STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
									{	/* Llib/weakhash.scm 478 */

										{	/* Llib/weakhash.scm 478 */
											int BgL_auxz00_3813;

											BgL_auxz00_3813 = (int) (((long) 2));
											STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3813,
												BgL_newzd2buckszd2_1074);
										}
										{
											long BgL_iz00_1076;

											BgL_iz00_1076 = ((long) 0);
										BgL_loopz00_1077:
											if (
												(BgL_iz00_1076 <
													(long) (BgL_oldzd2buckszd2lenz00_1072)))
												{	/* Llib/weakhash.scm 478 */
													{	/* Llib/weakhash.scm 478 */
														obj_t BgL_g1609z00_1079;

														BgL_g1609z00_1079 =
															VECTOR_REF(BgL_oldzd2buckszd2_1071,
															(int) (BgL_iz00_1076));
														{
															obj_t BgL_l1607z00_1080;

															BgL_l1607z00_1080 = BgL_g1609z00_1079;
														BgL_forzd2each1608zd2_1081:
															if (PAIRP(BgL_l1607z00_1080))
																{	/* Llib/weakhash.scm 478 */
																	{	/* Llib/weakhash.scm 480 */
																		obj_t BgL_cellz00_1083;

																		BgL_cellz00_1083 = CAR(BgL_l1607z00_1080);
																		{	/* Llib/weakhash.scm 480 */
																			obj_t BgL_keyz00_1084;

																			BgL_keyz00_1084 =
																				weakptr_data(CAR(BgL_cellz00_1083));
																			if ((BgL_keyz00_1084 == BUNSPEC))
																				{	/* Llib/weakhash.scm 482 */
																					long BgL_za71za7_2440;

																					BgL_za71za7_2440 =
																						(long) CINT(BgL_countz00_1075);
																					BgL_countz00_1075 =
																						BINT(
																						(BgL_za71za7_2440 - ((long) 1)));
																				}
																			else
																				{	/* Llib/weakhash.scm 483 */
																					long BgL_hz00_1086;

																					{	/* Llib/weakhash.scm 484 */
																						long BgL_arg1880z00_1089;

																						{	/* Llib/weakhash.scm 484 */
																							long BgL_res2180z00_2457;

																							{	/* Llib/weakhash.scm 484 */
																								obj_t BgL_hashnz00_2444;

																								BgL_hashnz00_2444 =
																									STRUCT_REF(BgL_tablez00_70,
																									(int) (((long) 4)));
																								if (PROCEDUREP
																									(BgL_hashnz00_2444))
																									{	/* Llib/weakhash.scm 484 */
																										obj_t BgL_arg1653z00_2446;

																										BgL_arg1653z00_2446 =
																											PROCEDURE_ENTRY
																											(BgL_hashnz00_2444)
																											(BgL_hashnz00_2444,
																											BgL_keyz00_1084, BEOA);
																										{	/* Llib/weakhash.scm 484 */
																											long BgL_nz00_2451;

																											BgL_nz00_2451 =
																												(long)
																												CINT
																												(BgL_arg1653z00_2446);
																											if ((BgL_nz00_2451 <
																													((long) 0)))
																												{	/* Llib/weakhash.scm 484 */
																													BgL_res2180z00_2457 =
																														NEG(BgL_nz00_2451);
																												}
																											else
																												{	/* Llib/weakhash.scm 484 */
																													BgL_res2180z00_2457 =
																														BgL_nz00_2451;
																												}
																										}
																									}
																								else
																									{	/* Llib/weakhash.scm 484 */
																										BgL_res2180z00_2457 =
																											BGl_getzd2hashnumberzd2zz__hashz00
																											(BgL_keyz00_1084);
																									}
																							}
																							BgL_arg1880z00_1089 =
																								BgL_res2180z00_2457;
																						}
																						BgL_hz00_1086 =
																							(BgL_arg1880z00_1089 %
																							BgL_newzd2buckszd2lenz00_1073);
																					}
																					{	/* Llib/weakhash.scm 489 */
																						obj_t BgL_arg1878z00_1087;

																						BgL_arg1878z00_1087 =
																							MAKE_PAIR(BgL_cellz00_1083,
																							VECTOR_REF
																							(BgL_newzd2buckszd2_1074,
																								(int) (BgL_hz00_1086)));
																						VECTOR_SET(BgL_newzd2buckszd2_1074,
																							(int) (BgL_hz00_1086),
																							BgL_arg1878z00_1087);
																	}}}}
																	{
																		obj_t BgL_l1607z00_3848;

																		BgL_l1607z00_3848 = CDR(BgL_l1607z00_1080);
																		BgL_l1607z00_1080 = BgL_l1607z00_3848;
																		goto BgL_forzd2each1608zd2_1081;
																	}
																}
															else
																{	/* Llib/weakhash.scm 478 */
																	((bool_t) 1);
																}
														}
													}
													{
														long BgL_iz00_3850;

														BgL_iz00_3850 = (BgL_iz00_1076 + ((long) 1));
														BgL_iz00_1076 = BgL_iz00_3850;
														goto BgL_loopz00_1077;
													}
												}
											else
												{	/* Llib/weakhash.scm 478 */
													((bool_t) 0);
												}
										}
										{	/* Llib/weakhash.scm 478 */
											int BgL_auxz00_3852;

											BgL_auxz00_3852 = (int) (((long) 0));
											return
												STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3852,
												BgL_countz00_1075);
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Llib/weakhash.scm 478 */
					if (
						(((long) 2) ==
							(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
						{	/* Llib/weakhash.scm 491 */
							obj_t BgL_oldzd2buckszd2_1094;

							BgL_oldzd2buckszd2_1094 =
								STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
							{	/* Llib/weakhash.scm 491 */
								int BgL_oldzd2buckszd2lenz00_1095;

								BgL_oldzd2buckszd2lenz00_1095 =
									VECTOR_LENGTH(BgL_oldzd2buckszd2_1094);
								{	/* Llib/weakhash.scm 491 */
									long BgL_newzd2buckszd2lenz00_1096;

									BgL_newzd2buckszd2lenz00_1096 =
										(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1095));
									{	/* Llib/weakhash.scm 491 */
										obj_t BgL_newzd2buckszd2_1097;

										BgL_newzd2buckszd2_1097 =
											make_vector((int) (BgL_newzd2buckszd2lenz00_1096), BNIL);
										{	/* Llib/weakhash.scm 491 */
											obj_t BgL_countz00_1098;

											BgL_countz00_1098 =
												STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
											{	/* Llib/weakhash.scm 491 */

												{	/* Llib/weakhash.scm 491 */
													int BgL_auxz00_3869;

													BgL_auxz00_3869 = (int) (((long) 2));
													STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3869,
														BgL_newzd2buckszd2_1097);
												}
												{
													long BgL_iz00_1099;

													BgL_iz00_1099 = ((long) 0);
												BgL_loopz00_1100:
													if (
														(BgL_iz00_1099 <
															(long) (BgL_oldzd2buckszd2lenz00_1095)))
														{	/* Llib/weakhash.scm 491 */
															{	/* Llib/weakhash.scm 491 */
																obj_t BgL_g1612z00_1102;

																BgL_g1612z00_1102 =
																	VECTOR_REF(BgL_oldzd2buckszd2_1094,
																	(int) (BgL_iz00_1099));
																{
																	obj_t BgL_l1610z00_1103;

																	BgL_l1610z00_1103 = BgL_g1612z00_1102;
																BgL_forzd2each1611zd2_1104:
																	if (PAIRP(BgL_l1610z00_1103))
																		{	/* Llib/weakhash.scm 491 */
																			{	/* Llib/weakhash.scm 493 */
																				obj_t BgL_cellz00_1106;

																				BgL_cellz00_1106 =
																					CAR(BgL_l1610z00_1103);
																				{	/* Llib/weakhash.scm 493 */
																					obj_t BgL_dataz00_1107;

																					BgL_dataz00_1107 =
																						weakptr_data(CDR(BgL_cellz00_1106));
																					if ((BgL_dataz00_1107 == BUNSPEC))
																						{	/* Llib/weakhash.scm 495 */
																							long BgL_za71za7_2500;

																							BgL_za71za7_2500 =
																								(long) CINT(BgL_countz00_1098);
																							BgL_countz00_1098 =
																								BINT(
																								(BgL_za71za7_2500 -
																									((long) 1)));
																						}
																					else
																						{	/* Llib/weakhash.scm 496 */
																							long BgL_hz00_1109;

																							{	/* Llib/weakhash.scm 498 */
																								long BgL_arg1890z00_1112;

																								{	/* Llib/weakhash.scm 498 */
																									obj_t BgL_arg1891z00_1113;

																									BgL_arg1891z00_1113 =
																										CAR(BgL_cellz00_1106);
																									{	/* Llib/weakhash.scm 497 */
																										long BgL_res2182z00_2518;

																										{	/* Llib/weakhash.scm 497 */
																											obj_t BgL_hashnz00_2505;

																											BgL_hashnz00_2505 =
																												STRUCT_REF
																												(BgL_tablez00_70,
																												(int) (((long) 4)));
																											if (PROCEDUREP
																												(BgL_hashnz00_2505))
																												{	/* Llib/weakhash.scm 497 */
																													obj_t
																														BgL_arg1653z00_2507;
																													BgL_arg1653z00_2507 =
																														PROCEDURE_ENTRY
																														(BgL_hashnz00_2505)
																														(BgL_hashnz00_2505,
																														BgL_arg1891z00_1113,
																														BEOA);
																													{	/* Llib/weakhash.scm 497 */
																														long BgL_nz00_2512;

																														BgL_nz00_2512 =
																															(long)
																															CINT
																															(BgL_arg1653z00_2507);
																														if ((BgL_nz00_2512 <
																																((long) 0)))
																															{	/* Llib/weakhash.scm 497 */
																																BgL_res2182z00_2518
																																	=
																																	NEG
																																	(BgL_nz00_2512);
																															}
																														else
																															{	/* Llib/weakhash.scm 497 */
																																BgL_res2182z00_2518
																																	=
																																	BgL_nz00_2512;
																															}
																													}
																												}
																											else
																												{	/* Llib/weakhash.scm 497 */
																													BgL_res2182z00_2518 =
																														BGl_getzd2hashnumberzd2zz__hashz00
																														(BgL_arg1891z00_1113);
																												}
																										}
																										BgL_arg1890z00_1112 =
																											BgL_res2182z00_2518;
																									}
																								}
																								BgL_hz00_1109 =
																									(BgL_arg1890z00_1112 %
																									BgL_newzd2buckszd2lenz00_1096);
																							}
																							{	/* Llib/weakhash.scm 503 */
																								obj_t BgL_arg1888z00_1110;

																								BgL_arg1888z00_1110 =
																									MAKE_PAIR(BgL_cellz00_1106,
																									VECTOR_REF
																									(BgL_newzd2buckszd2_1097,
																										(int) (BgL_hz00_1109)));
																								VECTOR_SET
																									(BgL_newzd2buckszd2_1097,
																									(int) (BgL_hz00_1109),
																									BgL_arg1888z00_1110);
																			}}}}
																			{
																				obj_t BgL_l1610z00_3905;

																				BgL_l1610z00_3905 =
																					CDR(BgL_l1610z00_1103);
																				BgL_l1610z00_1103 = BgL_l1610z00_3905;
																				goto BgL_forzd2each1611zd2_1104;
																			}
																		}
																	else
																		{	/* Llib/weakhash.scm 491 */
																			((bool_t) 1);
																		}
																}
															}
															{
																long BgL_iz00_3907;

																BgL_iz00_3907 = (BgL_iz00_1099 + ((long) 1));
																BgL_iz00_1099 = BgL_iz00_3907;
																goto BgL_loopz00_1100;
															}
														}
													else
														{	/* Llib/weakhash.scm 491 */
															((bool_t) 0);
														}
												}
												{	/* Llib/weakhash.scm 491 */
													int BgL_auxz00_3909;

													BgL_auxz00_3909 = (int) (((long) 0));
													return
														STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3909,
														BgL_countz00_1098);
												}
											}
										}
									}
								}
							}
						}
					else
						{	/* Llib/weakhash.scm 491 */
							if (
								(((long) 3) ==
									(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
								{	/* Llib/weakhash.scm 505 */
									obj_t BgL_oldzd2buckszd2_1118;

									BgL_oldzd2buckszd2_1118 =
										STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 505 */
										int BgL_oldzd2buckszd2lenz00_1119;

										BgL_oldzd2buckszd2lenz00_1119 =
											VECTOR_LENGTH(BgL_oldzd2buckszd2_1118);
										{	/* Llib/weakhash.scm 505 */
											long BgL_newzd2buckszd2lenz00_1120;

											BgL_newzd2buckszd2lenz00_1120 =
												(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1119));
											{	/* Llib/weakhash.scm 505 */
												obj_t BgL_newzd2buckszd2_1121;

												BgL_newzd2buckszd2_1121 =
													make_vector(
													(int) (BgL_newzd2buckszd2lenz00_1120), BNIL);
												{	/* Llib/weakhash.scm 505 */
													obj_t BgL_countz00_1122;

													BgL_countz00_1122 =
														STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
													{	/* Llib/weakhash.scm 505 */

														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_3926;

															BgL_auxz00_3926 = (int) (((long) 2));
															STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3926,
																BgL_newzd2buckszd2_1121);
														}
														{
															long BgL_iz00_1123;

															BgL_iz00_1123 = ((long) 0);
														BgL_loopz00_1124:
															if (
																(BgL_iz00_1123 <
																	(long) (BgL_oldzd2buckszd2lenz00_1119)))
																{	/* Llib/weakhash.scm 505 */
																	{	/* Llib/weakhash.scm 505 */
																		obj_t BgL_g1615z00_1126;

																		BgL_g1615z00_1126 =
																			VECTOR_REF(BgL_oldzd2buckszd2_1118,
																			(int) (BgL_iz00_1123));
																		{
																			obj_t BgL_l1613z00_1127;

																			BgL_l1613z00_1127 = BgL_g1615z00_1126;
																		BgL_forzd2each1614zd2_1128:
																			if (PAIRP(BgL_l1613z00_1127))
																				{	/* Llib/weakhash.scm 505 */
																					{	/* Llib/weakhash.scm 507 */
																						obj_t BgL_cellz00_1130;

																						BgL_cellz00_1130 =
																							CAR(BgL_l1613z00_1127);
																						{	/* Llib/weakhash.scm 507 */
																							obj_t BgL_keyz00_1131;
																							obj_t BgL_dataz00_1132;

																							BgL_keyz00_1131 =
																								weakptr_data(CAR
																								(BgL_cellz00_1130));
																							BgL_dataz00_1132 =
																								weakptr_data(CDR
																								(BgL_cellz00_1130));
																							{	/* Llib/weakhash.scm 509 */
																								bool_t BgL_testz00_3941;

																								if (
																									(BgL_keyz00_1131 == BUNSPEC))
																									{	/* Llib/weakhash.scm 509 */
																										BgL_testz00_3941 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Llib/weakhash.scm 509 */
																										BgL_testz00_3941 =
																											(BgL_dataz00_1132 ==
																											BUNSPEC);
																									}
																								if (BgL_testz00_3941)
																									{	/* Llib/weakhash.scm 511 */
																										long BgL_za71za7_2563;

																										BgL_za71za7_2563 =
																											(long)
																											CINT(BgL_countz00_1122);
																										BgL_countz00_1122 =
																											BINT((BgL_za71za7_2563 -
																												((long) 1)));
																									}
																								else
																									{	/* Llib/weakhash.scm 512 */
																										long BgL_hz00_1134;

																										{	/* Llib/weakhash.scm 513 */
																											long BgL_arg1903z00_1137;

																											{	/* Llib/weakhash.scm 513 */
																												long
																													BgL_res2184z00_2580;
																												{	/* Llib/weakhash.scm 513 */
																													obj_t
																														BgL_hashnz00_2567;
																													BgL_hashnz00_2567 =
																														STRUCT_REF
																														(BgL_tablez00_70,
																														(int) (((long) 4)));
																													if (PROCEDUREP
																														(BgL_hashnz00_2567))
																														{	/* Llib/weakhash.scm 513 */
																															obj_t
																																BgL_arg1653z00_2569;
																															BgL_arg1653z00_2569
																																=
																																PROCEDURE_ENTRY
																																(BgL_hashnz00_2567)
																																(BgL_hashnz00_2567,
																																BgL_keyz00_1131,
																																BEOA);
																															{	/* Llib/weakhash.scm 513 */
																																long
																																	BgL_nz00_2574;
																																BgL_nz00_2574 =
																																	(long)
																																	CINT
																																	(BgL_arg1653z00_2569);
																																if (
																																	(BgL_nz00_2574
																																		<
																																		((long) 0)))
																																	{	/* Llib/weakhash.scm 513 */
																																		BgL_res2184z00_2580
																																			=
																																			NEG
																																			(BgL_nz00_2574);
																																	}
																																else
																																	{	/* Llib/weakhash.scm 513 */
																																		BgL_res2184z00_2580
																																			=
																																			BgL_nz00_2574;
																																	}
																															}
																														}
																													else
																														{	/* Llib/weakhash.scm 513 */
																															BgL_res2184z00_2580
																																=
																																BGl_getzd2hashnumberzd2zz__hashz00
																																(BgL_keyz00_1131);
																														}
																												}
																												BgL_arg1903z00_1137 =
																													BgL_res2184z00_2580;
																											}
																											BgL_hz00_1134 =
																												(BgL_arg1903z00_1137 %
																												BgL_newzd2buckszd2lenz00_1120);
																										}
																										{	/* Llib/weakhash.scm 518 */
																											obj_t BgL_arg1901z00_1135;

																											BgL_arg1901z00_1135 =
																												MAKE_PAIR
																												(BgL_cellz00_1130,
																												VECTOR_REF
																												(BgL_newzd2buckszd2_1121,
																													(int)
																													(BgL_hz00_1134)));
																											VECTOR_SET
																												(BgL_newzd2buckszd2_1121,
																												(int) (BgL_hz00_1134),
																												BgL_arg1901z00_1135);
																					}}}}}
																					{
																						obj_t BgL_l1613z00_3965;

																						BgL_l1613z00_3965 =
																							CDR(BgL_l1613z00_1127);
																						BgL_l1613z00_1127 =
																							BgL_l1613z00_3965;
																						goto BgL_forzd2each1614zd2_1128;
																					}
																				}
																			else
																				{	/* Llib/weakhash.scm 505 */
																					((bool_t) 1);
																				}
																		}
																	}
																	{
																		long BgL_iz00_3967;

																		BgL_iz00_3967 =
																			(BgL_iz00_1123 + ((long) 1));
																		BgL_iz00_1123 = BgL_iz00_3967;
																		goto BgL_loopz00_1124;
																	}
																}
															else
																{	/* Llib/weakhash.scm 505 */
																	((bool_t) 0);
																}
														}
														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_3969;

															BgL_auxz00_3969 = (int) (((long) 0));
															return
																STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3969,
																BgL_countz00_1122);
														}
													}
												}
											}
										}
									}
								}
							else
								{	/* Llib/weakhash.scm 505 */
									obj_t BgL_oldzd2buckszd2_1143;

									BgL_oldzd2buckszd2_1143 =
										STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 505 */
										int BgL_oldzd2buckszd2lenz00_1144;

										BgL_oldzd2buckszd2lenz00_1144 =
											VECTOR_LENGTH(BgL_oldzd2buckszd2_1143);
										{	/* Llib/weakhash.scm 505 */
											long BgL_newzd2buckszd2lenz00_1145;

											BgL_newzd2buckszd2lenz00_1145 =
												(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1144));
											{	/* Llib/weakhash.scm 505 */
												obj_t BgL_newzd2buckszd2_1146;

												BgL_newzd2buckszd2_1146 =
													make_vector(
													(int) (BgL_newzd2buckszd2lenz00_1145), BNIL);
												{	/* Llib/weakhash.scm 505 */
													obj_t BgL_countz00_1147;

													BgL_countz00_1147 =
														STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
													{	/* Llib/weakhash.scm 505 */

														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_3981;

															BgL_auxz00_3981 = (int) (((long) 2));
															STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3981,
																BgL_newzd2buckszd2_1146);
														}
														{
															long BgL_iz00_1148;

															BgL_iz00_1148 = ((long) 0);
														BgL_loopz00_1149:
															if (
																(BgL_iz00_1148 <
																	(long) (BgL_oldzd2buckszd2lenz00_1144)))
																{	/* Llib/weakhash.scm 505 */
																	{	/* Llib/weakhash.scm 505 */
																		obj_t BgL_g1618z00_1151;

																		BgL_g1618z00_1151 =
																			VECTOR_REF(BgL_oldzd2buckszd2_1143,
																			(int) (BgL_iz00_1148));
																		{
																			obj_t BgL_l1616z00_1152;

																			BgL_l1616z00_1152 = BgL_g1618z00_1151;
																		BgL_forzd2each1617zd2_1153:
																			if (PAIRP(BgL_l1616z00_1152))
																				{	/* Llib/weakhash.scm 505 */
																					{	/* Llib/weakhash.scm 522 */
																						obj_t BgL_cellz00_1155;

																						BgL_cellz00_1155 =
																							CAR(BgL_l1616z00_1152);
																						{	/* Llib/weakhash.scm 522 */
																							long BgL_hz00_1156;

																							{	/* Llib/weakhash.scm 524 */
																								long BgL_arg1914z00_1159;

																								{	/* Llib/weakhash.scm 524 */
																									obj_t BgL_arg1917z00_1160;

																									BgL_arg1917z00_1160 =
																										CAR(BgL_cellz00_1155);
																									{	/* Llib/weakhash.scm 523 */
																										long BgL_res2186z00_2632;

																										{	/* Llib/weakhash.scm 523 */
																											obj_t BgL_hashnz00_2619;

																											BgL_hashnz00_2619 =
																												STRUCT_REF
																												(BgL_tablez00_70,
																												(int) (((long) 4)));
																											if (PROCEDUREP
																												(BgL_hashnz00_2619))
																												{	/* Llib/weakhash.scm 523 */
																													obj_t
																														BgL_arg1653z00_2621;
																													BgL_arg1653z00_2621 =
																														PROCEDURE_ENTRY
																														(BgL_hashnz00_2619)
																														(BgL_hashnz00_2619,
																														BgL_arg1917z00_1160,
																														BEOA);
																													{	/* Llib/weakhash.scm 523 */
																														long BgL_nz00_2626;

																														BgL_nz00_2626 =
																															(long)
																															CINT
																															(BgL_arg1653z00_2621);
																														if ((BgL_nz00_2626 <
																																((long) 0)))
																															{	/* Llib/weakhash.scm 523 */
																																BgL_res2186z00_2632
																																	=
																																	NEG
																																	(BgL_nz00_2626);
																															}
																														else
																															{	/* Llib/weakhash.scm 523 */
																																BgL_res2186z00_2632
																																	=
																																	BgL_nz00_2626;
																															}
																													}
																												}
																											else
																												{	/* Llib/weakhash.scm 523 */
																													BgL_res2186z00_2632 =
																														BGl_getzd2hashnumberzd2zz__hashz00
																														(BgL_arg1917z00_1160);
																												}
																										}
																										BgL_arg1914z00_1159 =
																											BgL_res2186z00_2632;
																									}
																								}
																								BgL_hz00_1156 =
																									(BgL_arg1914z00_1159 %
																									BgL_newzd2buckszd2lenz00_1145);
																							}
																							{	/* Llib/weakhash.scm 530 */
																								obj_t BgL_arg1911z00_1157;

																								BgL_arg1911z00_1157 =
																									MAKE_PAIR(BgL_cellz00_1155,
																									VECTOR_REF
																									(BgL_newzd2buckszd2_1146,
																										(int) (BgL_hz00_1156)));
																								VECTOR_SET
																									(BgL_newzd2buckszd2_1146,
																									(int) (BgL_hz00_1156),
																									BgL_arg1911z00_1157);
																					}}}
																					{
																						obj_t BgL_l1616z00_4010;

																						BgL_l1616z00_4010 =
																							CDR(BgL_l1616z00_1152);
																						BgL_l1616z00_1152 =
																							BgL_l1616z00_4010;
																						goto BgL_forzd2each1617zd2_1153;
																					}
																				}
																			else
																				{	/* Llib/weakhash.scm 505 */
																					((bool_t) 1);
																				}
																		}
																	}
																	{
																		long BgL_iz00_4012;

																		BgL_iz00_4012 =
																			(BgL_iz00_1148 + ((long) 1));
																		BgL_iz00_1148 = BgL_iz00_4012;
																		goto BgL_loopz00_1149;
																	}
																}
															else
																{	/* Llib/weakhash.scm 505 */
																	((bool_t) 0);
																}
														}
														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_4014;

															BgL_auxz00_4014 = (int) (((long) 0));
															return
																STRUCT_SET(BgL_tablez00_70, BgL_auxz00_4014,
																BgL_countz00_1147);
														}
													}
												}
											}
										}
									}
								}
						}
				}
		}
	}



/* _weak-hashtable-expand! */
	obj_t BGl__weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t
		BgL_envz00_2917, obj_t BgL_tablez00_2918)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 466 */
			return
				BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00(BgL_tablez00_2918);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__weakhashz00()
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 18 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__weakhashz00()
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 18 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2195z00zz__weakhashz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2195z00zz__weakhashz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string2195z00zz__weakhashz00));
			return
				BGl_modulezd2initializa7ationz75zz__hashz00(((long) 169825269),
				BSTRING_TO_STRING(BGl_string2195z00zz__weakhashz00));
		}
	}

#ifdef __cplusplus
}
#endif
